#include <qttest_includes.h>

#include <smoke.h>
#include <qttest_smoke.h>

namespace __smokeqttest {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBool
      switch(to) {
        case 1: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 2:   //QByteArray
      switch(to) {
        case 2: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 3:   //QChildEvent
      switch(to) {
        case 4: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 3: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 4:   //QEvent
      switch(to) {
        case 4: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QMetaObject
      switch(to) {
        case 6: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 7:   //QObject
      switch(to) {
        case 7: return (void*)(QObject*)xptr;
        case 18: return (void*)(QTestEventLoop*)(QObject*)xptr;
        case 10: return (void*)(QSignalSpy*)(QObject*)xptr;
        default: return xptr;
      }
    case 8:   //QPoint
      switch(to) {
        case 8: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 9:   //QRegExp
      switch(to) {
        case 9: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 10:   //QSignalSpy
      switch(to) {
        case 7: return (void*)(QObject*)(QSignalSpy*)xptr;
        case 10: return (void*)(QSignalSpy*)xptr;
        default: return xptr;
      }
    case 12:   //QTestAccessibility
      switch(to) {
        case 12: return (void*)(QTestAccessibility*)xptr;
        default: return xptr;
      }
    case 13:   //QTestAccessibilityEvent
      switch(to) {
        case 13: return (void*)(QTestAccessibilityEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QTestData
      switch(to) {
        case 14: return (void*)(QTestData*)xptr;
        default: return xptr;
      }
    case 15:   //QTestDelayEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)(QTestDelayEvent*)xptr;
        case 15: return (void*)(QTestDelayEvent*)xptr;
        default: return xptr;
      }
    case 16:   //QTestEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)xptr;
        case 20: return (void*)(QTestKeyEvent*)(QTestEvent*)xptr;
        case 21: return (void*)(QTestMouseEvent*)(QTestEvent*)xptr;
        case 15: return (void*)(QTestDelayEvent*)(QTestEvent*)xptr;
        case 19: return (void*)(QTestKeyClicksEvent*)(QTestEvent*)xptr;
        default: return xptr;
      }
    case 17:   //QTestEventList
      switch(to) {
        case 17: return (void*)(QTestEventList*)xptr;
        default: return xptr;
      }
    case 18:   //QTestEventLoop
      switch(to) {
        case 7: return (void*)(QObject*)(QTestEventLoop*)xptr;
        case 18: return (void*)(QTestEventLoop*)xptr;
        default: return xptr;
      }
    case 19:   //QTestKeyClicksEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)(QTestKeyClicksEvent*)xptr;
        case 19: return (void*)(QTestKeyClicksEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QTestKeyEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)(QTestKeyEvent*)xptr;
        case 20: return (void*)(QTestKeyEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QTestMouseEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)(QTestMouseEvent*)xptr;
        case 21: return (void*)(QTestMouseEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QTestTable
      switch(to) {
        case 22: return (void*)(QTestTable*)xptr;
        default: return xptr;
      }
    case 23:   //QTimerEvent
      switch(to) {
        case 4: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 23: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QWidget
      switch(to) {
        case 7: return (void*)(QObject*)(QWidget*)xptr;
        case 24: return (void*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    7, 0, 0,	// 1: QObject, QList
    16, 0,	// 4: QTestEvent
    0, 0,	// 6: QList
    7, 0,	// 8: QObject
};

// These are the xenum functions for manipulating enum pointers
void xenum_QTest(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QSignalSpy(Smoke::Index, void*, Smoke::Stack);
void xcall_QTest(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestAccessibility(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestAccessibilityEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestData(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestDelayEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestEventList(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestEventLoop(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestKeyClicksEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestKeyEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestMouseEvent(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBool", true, 0, 0, 0, 0, 0 },	//1
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//2
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//3
    { "QEvent", true, 0, 0, 0, 0, 0 },	//4
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//5
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//6
    { "QObject", true, 0, 0, 0, 0, 0 },	//7
    { "QPoint", true, 0, 0, 0, 0, 0 },	//8
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//9
    { "QSignalSpy", false, 1, xcall_QSignalSpy, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSignalSpy) },	//10
    { "QTest", false, 0, xcall_QTest, xenum_QTest, Smoke::cf_namespace, 0 },	//11
    { "QTestAccessibility", false, 0, xcall_QTestAccessibility, 0, Smoke::cf_deepcopy, sizeof(QTestAccessibility) },	//12
    { "QTestAccessibilityEvent", false, 0, xcall_QTestAccessibilityEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QTestAccessibilityEvent) },	//13
    { "QTestData", false, 0, xcall_QTestData, 0, 0, sizeof(QTestData) },	//14
    { "QTestDelayEvent", false, 4, xcall_QTestDelayEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestDelayEvent) },	//15
    { "QTestEvent", false, 0, xcall_QTestEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestEvent) },	//16
    { "QTestEventList", false, 6, xcall_QTestEventList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QTestEventList) },	//17
    { "QTestEventLoop", false, 8, xcall_QTestEventLoop, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QTestEventLoop) },	//18
    { "QTestKeyClicksEvent", false, 4, xcall_QTestKeyClicksEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestKeyClicksEvent) },	//19
    { "QTestKeyEvent", false, 4, xcall_QTestKeyEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestKeyEvent) },	//20
    { "QTestMouseEvent", false, 4, xcall_QTestMouseEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestMouseEvent) },	//21
    { "QTestTable", true, 0, 0, 0, 0, 0 },	//22
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QWidget", true, 0, 0, 0, 0, 0 },	//24
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QBool", 1, Smoke::t_class|Smoke::tf_stack },	//2
    { "QByteArray", 2, Smoke::t_class|Smoke::tf_stack },	//3
    { "QChildEvent*", 3, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QEvent*", 4, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//6
    { "QFlags<Qt::KeyboardModifier>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//7
    { "QList<QTestAccessibilityEvent>", 0, Smoke::t_voidp|Smoke::tf_stack },	//8
    { "QMetaObject::Call", 6, Smoke::t_enum|Smoke::tf_stack },	//9
    { "QObject*", 7, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QPoint", 8, Smoke::t_class|Smoke::tf_stack },	//11
    { "QRegExp&", 9, Smoke::t_class|Smoke::tf_ref },	//12
    { "QSignalSpy*", 10, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//14
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//15
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//16
    { "QTest::KeyAction", 11, Smoke::t_enum|Smoke::tf_stack },	//17
    { "QTest::MouseAction", 11, Smoke::t_enum|Smoke::tf_stack },	//18
    { "QTest::SkipMode", 11, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QTest::TestFailMode", 11, Smoke::t_enum|Smoke::tf_stack },	//20
    { "QTestAccessibilityEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QTestData&", 14, Smoke::t_class|Smoke::tf_ref },	//22
    { "QTestDelayEvent*", 15, Smoke::t_class|Smoke::tf_ptr },	//23
    { "QTestEvent*", 16, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QTestEventList*", 17, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QTestEventLoop&", 18, Smoke::t_class|Smoke::tf_ref },	//26
    { "QTestEventLoop*", 18, Smoke::t_class|Smoke::tf_ptr },	//27
    { "QTestKeyClicksEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QTestKeyEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QTestMouseEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//30
    { "QTestTable*", 22, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QTimerEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//32
    { "QWidget*", 24, Smoke::t_class|Smoke::tf_ptr },	//33
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QtMsgType", 5, Smoke::t_enum|Smoke::tf_stack },	//105
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//106
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//107
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//108
    { "char**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//109
    { "const QMetaObject&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//110
    { "const QMetaObject*", 6, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//111
    { "const QRegExp&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//112
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//113
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//114
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//115
    { "const QTestAccessibilityEvent&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//116
    { "const QTestDelayEvent&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//117
    { "const QTestEvent&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//118
    { "const QTestEventList&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//119
    { "const QTestKeyClicksEvent&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//120
    { "const QTestKeyEvent&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//121
    { "const QTestMouseEvent&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//122
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//123
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//124
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//125
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//126
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//127
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//128
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//129
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    123, 0,	//1  const char*
    5, 0,	//3  QEvent*
    10, 5, 0,	//5  QObject*, QEvent*
    32, 0,	//8  QTimerEvent*
    4, 0,	//10  QChildEvent*
    10, 123, 0,	//12  QObject*, const char*
    9, 125, 128, 0,	//15  QMetaObject::Call, int, void**
    33, 11, 125, 0,	//19  QWidget*, QPoint, int
    33, 0,	//23  QWidget*
    33, 11, 0,	//25  QWidget*, QPoint
    123, 123, 20, 123, 125, 0,	//28  const char*, const char*, QTest::TestFailMode, const char*, int
    33, 77, 6, 11, 125, 0,	//34  QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int
    33, 77, 0,	//40  QWidget*, Qt::MouseButton
    33, 77, 6, 0,	//43  QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>
    33, 77, 6, 11, 0,	//47  QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint
    10, 114, 0,	//52  QObject*, const QStringList&
    33, 106, 125, 6, 14, 106, 125, 0,	//55  QWidget*, bool, int, QFlags<Qt::KeyboardModifier>, QString, bool, int
    33, 106, 125, 6, 14, 106, 0,	//63  QWidget*, bool, int, QFlags<Qt::KeyboardModifier>, QString, bool
    33, 71, 6, 125, 0,	//70  QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int
    33, 71, 0,	//75  QWidget*, Qt::Key
    33, 71, 6, 0,	//78  QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>
    123, 19, 123, 125, 0,	//82  const char*, QTest::SkipMode, const char*, int
    106, 123, 123, 123, 125, 0,	//87  bool, const char*, const char*, const char*, int
    123, 123, 125, 0,	//93  const char*, const char*, int
    71, 0,	//97  Qt::Key
    125, 0,	//99  int
    17, 33, 71, 107, 6, 125, 0,	//101  QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>, int
    17, 33, 71, 107, 6, 0,	//108  QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>
    33, 107, 6, 125, 0,	//114  QWidget*, char, QFlags<Qt::KeyboardModifier>, int
    33, 107, 0,	//119  QWidget*, char
    33, 107, 6, 0,	//122  QWidget*, char, QFlags<Qt::KeyboardModifier>
    123, 125, 0,	//126  const char*, int
    17, 33, 107, 6, 125, 0,	//129  QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>, int
    17, 33, 107, 0,	//135  QTest::KeyAction, QWidget*, char
    17, 33, 107, 6, 0,	//139  QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>
    124, 124, 123, 123, 123, 125, 0,	//144  const void*, const void*, const char*, const char*, const char*, int
    10, 125, 109, 0,	//151  QObject*, int, char**
    10, 0,	//155  QObject*
    10, 125, 0,	//157  QObject*, int
    106, 123, 108, 108, 123, 123, 123, 125, 0,	//160  bool, const char*, char*, char*, const char*, const char*, const char*, int
    18, 33, 77, 6, 11, 125, 0,	//169  QTest::MouseAction, QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int
    18, 33, 77, 6, 11, 0,	//176  QTest::MouseAction, QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint
    124, 0,	//182  const void*
    107, 0,	//184  char
    125, 123, 0,	//186  int, const char*
    123, 123, 123, 123, 123, 125, 0,	//189  const char*, const char*, const char*, const char*, const char*, int
    106, 123, 123, 125, 0,	//196  bool, const char*, const char*, int
    17, 33, 71, 14, 6, 125, 0,	//201  QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>, int
    17, 33, 71, 14, 6, 0,	//208  QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>
    17, 33, 71, 6, 125, 0,	//214  QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int
    17, 33, 71, 0,	//220  QTest::KeyAction, QWidget*, Qt::Key
    17, 33, 71, 6, 0,	//224  QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>
    105, 123, 0,	//229  QtMsgType, const char*
    33, 113, 6, 125, 0,	//232  QWidget*, const QString&, QFlags<Qt::KeyboardModifier>, int
    33, 113, 0,	//237  QWidget*, const QString&
    33, 113, 6, 0,	//240  QWidget*, const QString&, QFlags<Qt::KeyboardModifier>
    116, 0,	//244  const QTestAccessibilityEvent&
    10, 125, 125, 0,	//246  QObject*, int, int
    125, 124, 0,	//250  int, const void*
    117, 0,	//253  const QTestDelayEvent&
    118, 0,	//255  const QTestEvent&
    119, 0,	//257  const QTestEventList&
    71, 6, 125, 0,	//259  Qt::Key, QFlags<Qt::KeyboardModifier>, int
    17, 71, 6, 125, 0,	//263  QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int
    107, 6, 125, 0,	//268  char, QFlags<Qt::KeyboardModifier>, int
    113, 6, 125, 0,	//272  const QString&, QFlags<Qt::KeyboardModifier>, int
    17, 107, 6, 125, 0,	//276  QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int
    77, 6, 11, 125, 0,	//281  Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int
    11, 125, 0,	//286  QPoint, int
    71, 6, 0,	//289  Qt::Key, QFlags<Qt::KeyboardModifier>
    17, 71, 0,	//292  QTest::KeyAction, Qt::Key
    17, 71, 6, 0,	//295  QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>
    107, 6, 0,	//299  char, QFlags<Qt::KeyboardModifier>
    113, 0,	//302  const QString&
    113, 6, 0,	//304  const QString&, QFlags<Qt::KeyboardModifier>
    17, 107, 0,	//307  QTest::KeyAction, char
    17, 107, 6, 0,	//310  QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>
    77, 0,	//314  Qt::MouseButton
    77, 6, 0,	//316  Qt::MouseButton, QFlags<Qt::KeyboardModifier>
    77, 6, 11, 0,	//319  Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint
    11, 0,	//323  QPoint
    123, 123, 0,	//325  const char*, const char*
    120, 0,	//328  const QTestKeyClicksEvent&
    121, 0,	//330  const QTestKeyEvent&
    17, 0,	//332  QTest::KeyAction
    6, 0,	//334  QFlags<Qt::KeyboardModifier>
    18, 77, 6, 11, 125, 0,	//336  QTest::MouseAction, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int
    122, 0,	//342  const QTestMouseEvent&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Abort",	//1
    "Click",	//2
    "Continue",	//3
    "MouseClick",	//4
    "MouseDClick",	//5
    "MouseMove",	//6
    "MousePress",	//7
    "MouseRelease",	//8
    "Press",	//9
    "QSignalSpy",	//10
    "QSignalSpy#$",	//11
    "QTestAccessibilityEvent",	//12
    "QTestAccessibilityEvent#",	//13
    "QTestAccessibilityEvent#$",	//14
    "QTestAccessibilityEvent#$$",	//15
    "QTestDelayEvent",	//16
    "QTestDelayEvent#",	//17
    "QTestDelayEvent$",	//18
    "QTestEvent",	//19
    "QTestEvent#",	//20
    "QTestEventList",	//21
    "QTestEventList#",	//22
    "QTestEventLoop",	//23
    "QTestEventLoop#",	//24
    "QTestKeyClicksEvent",	//25
    "QTestKeyClicksEvent#",	//26
    "QTestKeyClicksEvent$$$",	//27
    "QTestKeyEvent",	//28
    "QTestKeyEvent#",	//29
    "QTestKeyEvent$$$$",	//30
    "QTestMouseEvent",	//31
    "QTestMouseEvent#",	//32
    "QTestMouseEvent$$$#$",	//33
    "Q_COMPLEX_TYPE",	//34
    "Q_DUMMY_TYPE",	//35
    "Q_MOVABLE_TYPE",	//36
    "Q_PRIMITIVE_TYPE",	//37
    "Q_STATIC_TYPE",	//38
    "QtCriticalMsg",	//39
    "QtDebugMsg",	//40
    "QtFatalMsg",	//41
    "QtSystemMsg",	//42
    "QtWarningMsg",	//43
    "Release",	//44
    "SkipAll",	//45
    "SkipSingle",	//46
    "_action",	//47
    "_ascii",	//48
    "_delay",	//49
    "_key",	//50
    "_modifiers",	//51
    "addColumnInternal",	//52
    "addColumnInternal$$",	//53
    "addDelay",	//54
    "addDelay$",	//55
    "addKeyClick",	//56
    "addKeyClick$",	//57
    "addKeyClick$$",	//58
    "addKeyClick$$$",	//59
    "addKeyClicks",	//60
    "addKeyClicks$",	//61
    "addKeyClicks$$",	//62
    "addKeyClicks$$$",	//63
    "addKeyEvent",	//64
    "addKeyEvent$$",	//65
    "addKeyEvent$$$",	//66
    "addKeyEvent$$$$",	//67
    "addKeyPress",	//68
    "addKeyPress$",	//69
    "addKeyPress$$",	//70
    "addKeyPress$$$",	//71
    "addKeyRelease",	//72
    "addKeyRelease$",	//73
    "addKeyRelease$$",	//74
    "addKeyRelease$$$",	//75
    "addMouseClick",	//76
    "addMouseClick$",	//77
    "addMouseClick$$",	//78
    "addMouseClick$$#",	//79
    "addMouseClick$$#$",	//80
    "addMouseDClick",	//81
    "addMouseDClick$",	//82
    "addMouseDClick$$",	//83
    "addMouseDClick$$#",	//84
    "addMouseDClick$$#$",	//85
    "addMouseMove",	//86
    "addMouseMove#",	//87
    "addMouseMove#$",	//88
    "addMousePress",	//89
    "addMousePress$",	//90
    "addMousePress$$",	//91
    "addMousePress$$#",	//92
    "addMousePress$$#$",	//93
    "addMouseRelease",	//94
    "addMouseRelease$",	//95
    "addMouseRelease$$",	//96
    "addMouseRelease$$#",	//97
    "addMouseRelease$$#$",	//98
    "append",	//99
    "append$$",	//100
    "asciiToKey",	//101
    "asciiToKey$",	//102
    "changeInterval",	//103
    "changeInterval$",	//104
    "child",	//105
    "childEvent",	//106
    "cleanup",	//107
    "clear",	//108
    "clearEvents",	//109
    "clone",	//110
    "compare_helper",	//111
    "compare_helper$$$$",	//112
    "compare_helper$$$$$$$$",	//113
    "compare_ptr_helper",	//114
    "compare_ptr_helper$$$$$$",	//115
    "compare_string_helper",	//116
    "compare_string_helper$$$$$$",	//117
    "connectNotify",	//118
    "currentDataTag",	//119
    "currentTestFailed",	//120
    "currentTestFunction",	//121
    "customEvent",	//122
    "data",	//123
    "data$",	//124
    "dataCount",	//125
    "dataTag",	//126
    "disconnectNotify",	//127
    "enterLoop",	//128
    "enterLoop$",	//129
    "event",	//130
    "eventFilter",	//131
    "events",	//132
    "exitLoop",	//133
    "ignoreMessage",	//134
    "ignoreMessage$$",	//135
    "initialize",	//136
    "instance",	//137
    "isValid",	//138
    "keyClick",	//139
    "keyClick#$",	//140
    "keyClick#$$",	//141
    "keyClick#$$$",	//142
    "keyClicks",	//143
    "keyClicks#$",	//144
    "keyClicks#$$",	//145
    "keyClicks#$$$",	//146
    "keyEvent",	//147
    "keyEvent$#$",	//148
    "keyEvent$#$$",	//149
    "keyEvent$#$$$",	//150
    "keyPress",	//151
    "keyPress#$",	//152
    "keyPress#$$",	//153
    "keyPress#$$$",	//154
    "keyRelease",	//155
    "keyRelease#$",	//156
    "keyRelease#$$",	//157
    "keyRelease#$$$",	//158
    "keyToAscii",	//159
    "keyToAscii$",	//160
    "metaObject",	//161
    "mouseClick",	//162
    "mouseClick#$",	//163
    "mouseClick#$$",	//164
    "mouseClick#$$#",	//165
    "mouseClick#$$#$",	//166
    "mouseDClick",	//167
    "mouseDClick#$",	//168
    "mouseDClick#$$",	//169
    "mouseDClick#$$#",	//170
    "mouseDClick#$$#$",	//171
    "mouseEvent",	//172
    "mouseEvent$#$$#",	//173
    "mouseEvent$#$$#$",	//174
    "mouseMove",	//175
    "mouseMove#",	//176
    "mouseMove##",	//177
    "mouseMove##$",	//178
    "mousePress",	//179
    "mousePress#$",	//180
    "mousePress#$$",	//181
    "mousePress#$$#",	//182
    "mousePress#$$#$",	//183
    "mouseRelease",	//184
    "mouseRelease#$",	//185
    "mouseRelease#$$",	//186
    "mouseRelease#$$#",	//187
    "mouseRelease#$$#$",	//188
    "newRow",	//189
    "newRow$",	//190
    "object",	//191
    "operator==",	//192
    "operator==#",	//193
    "parent",	//194
    "qData",	//195
    "qData$$",	//196
    "qElementData",	//197
    "qElementData$$",	//198
    "qExec",	//199
    "qExec#",	//200
    "qExec#$",	//201
    "qExec#$?",	//202
    "qExec#?",	//203
    "qExpectFail",	//204
    "qExpectFail$$$$$",	//205
    "qFail",	//206
    "qFail$$$",	//207
    "qGlobalData",	//208
    "qGlobalData$$",	//209
    "qSkip",	//210
    "qSkip$$$$",	//211
    "qSleep",	//212
    "qSleep$",	//213
    "qVerify",	//214
    "qVerify$$$$$",	//215
    "qWait",	//216
    "qWait$",	//217
    "qWaitForWindowShown",	//218
    "qWaitForWindowShown#",	//219
    "qWarn",	//220
    "qWarn$",	//221
    "qt_metacall",	//222
    "qt_metacall$$?",	//223
    "qt_metacast",	//224
    "qt_metacast$",	//225
    "sendKeyEvent",	//226
    "sendKeyEvent$#$$$",	//227
    "sendKeyEvent$#$$$$",	//228
    "setChild",	//229
    "setChild$",	//230
    "setEvent",	//231
    "setEvent$",	//232
    "setObject",	//233
    "setObject#",	//234
    "set_action",	//235
    "set_action$",	//236
    "set_ascii",	//237
    "set_ascii$",	//238
    "set_delay",	//239
    "set_delay$",	//240
    "set_key",	//241
    "set_key$",	//242
    "set_modifiers",	//243
    "set_modifiers$",	//244
    "signal",	//245
    "simulate",	//246
    "simulate#",	//247
    "simulateEvent",	//248
    "simulateEvent#$$$$$",	//249
    "simulateEvent#$$$$$$",	//250
    "staticMetaObject",	//251
    "testObject",	//252
    "timeout",	//253
    "timerEvent",	//254
    "timerEvent#",	//255
    "toHexRepresentation",	//256
    "toHexRepresentation$$",	//257
    "toString",	//258
    "toString$",	//259
    "tr",	//260
    "tr$",	//261
    "tr$$",	//262
    "tr$$$",	//263
    "trUtf8",	//264
    "trUtf8$",	//265
    "trUtf8$$",	//266
    "trUtf8$$$",	//267
    "verifyEvent",	//268
    "verifyEvent#",	//269
    "verifyEvent#$$",	//270
    "~QSignalSpy",	//271
    "~QTestAccessibilityEvent",	//272
    "~QTestData",	//273
    "~QTestDelayEvent",	//274
    "~QTestEvent",	//275
    "~QTestEventList",	//276
    "~QTestEventLoop",	//277
    "~QTestKeyClicksEvent",	//278
    "~QTestKeyEvent",	//279
    "~QTestMouseEvent",	//280
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {5, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 1},	//1 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {5, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 2},	//2 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {5, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 3},	//3 QGlobalSpace::Q_STATIC_TYPE (enum)
    {5, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 4},	//4 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {5, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 5},	//5 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {5, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 6},	//6 QGlobalSpace::QtDebugMsg (enum)
    {5, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 7},	//7 QGlobalSpace::QtWarningMsg (enum)
    {5, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 8},	//8 QGlobalSpace::QtCriticalMsg (enum)
    {5, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 9},	//9 QGlobalSpace::QtFatalMsg (enum)
    {5, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 10},	//10 QGlobalSpace::QtSystemMsg (enum)
    {7, 161, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 111, 0},	//11 QObject::metaObject() const
    {7, 224, 1, 1, Smoke::mf_virtual, 127, 0},	//12 QObject::qt_metacast(const char*)
    {7, 130, 3, 1, Smoke::mf_virtual, 106, 0},	//13 QObject::event(QEvent*)
    {7, 131, 5, 2, Smoke::mf_virtual, 106, 0},	//14 QObject::eventFilter(QObject*, QEvent*)
    {7, 254, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//15 QObject::timerEvent(QTimerEvent*)
    {7, 106, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//16 QObject::childEvent(QChildEvent*)
    {7, 122, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//17 QObject::customEvent(QEvent*)
    {7, 118, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//18 QObject::connectNotify(const char*)
    {7, 127, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//19 QObject::disconnectNotify(const char*)
    {10, 10, 12, 2, Smoke::mf_ctor, 13, 1},	//20 QSignalSpy::QSignalSpy(QObject*, const char*)
    {10, 138, 0, 0, Smoke::mf_const, 106, 2},	//21 QSignalSpy::isValid() const
    {10, 245, 0, 0, Smoke::mf_const, 3, 3},	//22 QSignalSpy::signal() const
    {10, 222, 15, 3, Smoke::mf_virtual, 125, 4},	//23 QSignalSpy::qt_metacall(QMetaObject::Call, int, void**)
    {10, 271, 0, 0, Smoke::mf_dtor, 0, 5 },	//24 QSignalSpy::~QSignalSpy()
    {11, 175, 19, 3, Smoke::mf_static, 0, 1},	//25 QTest::mouseMove(QWidget*, QPoint, int)
    {11, 175, 23, 1, Smoke::mf_static, 0, 2},	//26 QTest::mouseMove(QWidget*)
    {11, 175, 25, 2, Smoke::mf_static, 0, 3},	//27 QTest::mouseMove(QWidget*, QPoint)
    {11, 204, 28, 5, Smoke::mf_static, 106, 4},	//28 QTest::qExpectFail(const char*, const char*, QTest::TestFailMode, const char*, int)
    {11, 179, 34, 5, Smoke::mf_static, 0, 5},	//29 QTest::mousePress(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 179, 40, 2, Smoke::mf_static, 0, 6},	//30 QTest::mousePress(QWidget*, Qt::MouseButton)
    {11, 179, 43, 3, Smoke::mf_static, 0, 7},	//31 QTest::mousePress(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {11, 179, 47, 4, Smoke::mf_static, 0, 8},	//32 QTest::mousePress(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 121, 0, 0, Smoke::mf_static, 123, 9},	//33 QTest::currentTestFunction()
    {11, 199, 52, 2, Smoke::mf_static, 125, 10},	//34 QTest::qExec(QObject*, const QStringList&)
    {11, 252, 0, 0, Smoke::mf_static, 10, 11},	//35 QTest::testObject()
    {11, 248, 55, 7, Smoke::mf_static, 0, 12},	//36 QTest::simulateEvent(QWidget*, bool, int, QFlags<Qt::KeyboardModifier>, QString, bool, int)
    {11, 248, 63, 6, Smoke::mf_static, 0, 13},	//37 QTest::simulateEvent(QWidget*, bool, int, QFlags<Qt::KeyboardModifier>, QString, bool)
    {11, 151, 70, 4, Smoke::mf_static, 0, 14},	//38 QTest::keyPress(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {11, 151, 75, 2, Smoke::mf_static, 0, 15},	//39 QTest::keyPress(QWidget*, Qt::Key)
    {11, 151, 78, 3, Smoke::mf_static, 0, 16},	//40 QTest::keyPress(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {11, 167, 34, 5, Smoke::mf_static, 0, 17},	//41 QTest::mouseDClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 167, 40, 2, Smoke::mf_static, 0, 18},	//42 QTest::mouseDClick(QWidget*, Qt::MouseButton)
    {11, 167, 43, 3, Smoke::mf_static, 0, 19},	//43 QTest::mouseDClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {11, 167, 47, 4, Smoke::mf_static, 0, 20},	//44 QTest::mouseDClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 210, 82, 4, Smoke::mf_static, 0, 21},	//45 QTest::qSkip(const char*, QTest::SkipMode, const char*, int)
    {11, 214, 87, 5, Smoke::mf_static, 106, 22},	//46 QTest::qVerify(bool, const char*, const char*, const char*, int)
    {11, 206, 93, 3, Smoke::mf_static, 0, 23},	//47 QTest::qFail(const char*, const char*, int)
    {11, 159, 97, 1, Smoke::mf_static, 107, 24},	//48 QTest::keyToAscii(Qt::Key)
    {11, 216, 99, 1, Smoke::mf_static, 0, 25},	//49 QTest::qWait(int)
    {11, 226, 101, 6, Smoke::mf_static, 0, 26},	//50 QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 226, 108, 5, Smoke::mf_static, 0, 27},	//51 QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>)
    {11, 220, 1, 1, Smoke::mf_static, 0, 28},	//52 QTest::qWarn(const char*)
    {11, 151, 114, 4, Smoke::mf_static, 0, 29},	//53 QTest::keyPress(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 151, 119, 2, Smoke::mf_static, 0, 30},	//54 QTest::keyPress(QWidget*, char)
    {11, 151, 122, 3, Smoke::mf_static, 0, 31},	//55 QTest::keyPress(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    {11, 119, 0, 0, Smoke::mf_static, 123, 32},	//56 QTest::currentDataTag()
    {11, 139, 114, 4, Smoke::mf_static, 0, 33},	//57 QTest::keyClick(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 139, 119, 2, Smoke::mf_static, 0, 34},	//58 QTest::keyClick(QWidget*, char)
    {11, 139, 122, 3, Smoke::mf_static, 0, 35},	//59 QTest::keyClick(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    {11, 120, 0, 0, Smoke::mf_static, 106, 36},	//60 QTest::currentTestFailed()
    {11, 208, 126, 2, Smoke::mf_static, 127, 37},	//61 QTest::qGlobalData(const char*, int)
    {11, 218, 23, 1, Smoke::mf_static, 106, 38},	//62 QTest::qWaitForWindowShown(QWidget*)
    {11, 189, 1, 1, Smoke::mf_static, 22, 39},	//63 QTest::newRow(const char*)
    {11, 147, 129, 5, Smoke::mf_static, 0, 40},	//64 QTest::keyEvent(QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 147, 135, 3, Smoke::mf_static, 0, 41},	//65 QTest::keyEvent(QTest::KeyAction, QWidget*, char)
    {11, 147, 139, 4, Smoke::mf_static, 0, 42},	//66 QTest::keyEvent(QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>)
    {11, 139, 70, 4, Smoke::mf_static, 0, 43},	//67 QTest::keyClick(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {11, 139, 75, 2, Smoke::mf_static, 0, 44},	//68 QTest::keyClick(QWidget*, Qt::Key)
    {11, 139, 78, 3, Smoke::mf_static, 0, 45},	//69 QTest::keyClick(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {11, 197, 126, 2, Smoke::mf_static, 127, 46},	//70 QTest::qElementData(const char*, int)
    {11, 114, 144, 6, Smoke::mf_static, 106, 47},	//71 QTest::compare_ptr_helper(const void*, const void*, const char*, const char*, const char*, int)
    {11, 199, 151, 3, Smoke::mf_static, 125, 48},	//72 QTest::qExec(QObject*, int, char**)
    {11, 199, 155, 1, Smoke::mf_static, 125, 49},	//73 QTest::qExec(QObject*)
    {11, 199, 157, 2, Smoke::mf_static, 125, 50},	//74 QTest::qExec(QObject*, int)
    {11, 155, 70, 4, Smoke::mf_static, 0, 51},	//75 QTest::keyRelease(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {11, 155, 75, 2, Smoke::mf_static, 0, 52},	//76 QTest::keyRelease(QWidget*, Qt::Key)
    {11, 155, 78, 3, Smoke::mf_static, 0, 53},	//77 QTest::keyRelease(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {11, 111, 160, 8, Smoke::mf_static, 106, 54},	//78 QTest::compare_helper(bool, const char*, char*, char*, const char*, const char*, const char*, int)
    {11, 258, 1, 1, Smoke::mf_static, 108, 55},	//79 QTest::toString(const char*)
    {11, 172, 169, 6, Smoke::mf_static, 0, 56},	//80 QTest::mouseEvent(QTest::MouseAction, QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 172, 176, 5, Smoke::mf_static, 0, 57},	//81 QTest::mouseEvent(QTest::MouseAction, QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 258, 182, 1, Smoke::mf_static, 108, 58},	//82 QTest::toString(const void*)
    {11, 101, 184, 1, Smoke::mf_static, 71, 59},	//83 QTest::asciiToKey(char)
    {11, 52, 186, 2, Smoke::mf_static, 0, 60},	//84 QTest::addColumnInternal(int, const char*)
    {11, 155, 114, 4, Smoke::mf_static, 0, 61},	//85 QTest::keyRelease(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 155, 119, 2, Smoke::mf_static, 0, 62},	//86 QTest::keyRelease(QWidget*, char)
    {11, 155, 122, 3, Smoke::mf_static, 0, 63},	//87 QTest::keyRelease(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    {11, 256, 126, 2, Smoke::mf_static, 108, 64},	//88 QTest::toHexRepresentation(const char*, int)
    {11, 162, 34, 5, Smoke::mf_static, 0, 65},	//89 QTest::mouseClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 162, 40, 2, Smoke::mf_static, 0, 66},	//90 QTest::mouseClick(QWidget*, Qt::MouseButton)
    {11, 162, 43, 3, Smoke::mf_static, 0, 67},	//91 QTest::mouseClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {11, 162, 47, 4, Smoke::mf_static, 0, 68},	//92 QTest::mouseClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 212, 99, 1, Smoke::mf_static, 0, 69},	//93 QTest::qSleep(int)
    {11, 116, 189, 6, Smoke::mf_static, 106, 70},	//94 QTest::compare_string_helper(const char*, const char*, const char*, const char*, const char*, int)
    {11, 111, 196, 4, Smoke::mf_static, 106, 71},	//95 QTest::compare_helper(bool, const char*, const char*, int)
    {11, 226, 201, 6, Smoke::mf_static, 0, 72},	//96 QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>, int)
    {11, 226, 208, 5, Smoke::mf_static, 0, 73},	//97 QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>)
    {11, 195, 126, 2, Smoke::mf_static, 127, 74},	//98 QTest::qData(const char*, int)
    {11, 147, 214, 5, Smoke::mf_static, 0, 75},	//99 QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {11, 147, 220, 3, Smoke::mf_static, 0, 76},	//100 QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key)
    {11, 147, 224, 4, Smoke::mf_static, 0, 77},	//101 QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {11, 134, 229, 2, Smoke::mf_static, 0, 78},	//102 QTest::ignoreMessage(QtMsgType, const char*)
    {11, 184, 34, 5, Smoke::mf_static, 0, 79},	//103 QTest::mouseRelease(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 184, 40, 2, Smoke::mf_static, 0, 80},	//104 QTest::mouseRelease(QWidget*, Qt::MouseButton)
    {11, 184, 43, 3, Smoke::mf_static, 0, 81},	//105 QTest::mouseRelease(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {11, 184, 47, 4, Smoke::mf_static, 0, 82},	//106 QTest::mouseRelease(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 143, 232, 4, Smoke::mf_static, 0, 83},	//107 QTest::keyClicks(QWidget*, const QString&, QFlags<Qt::KeyboardModifier>, int)
    {11, 143, 237, 2, Smoke::mf_static, 0, 84},	//108 QTest::keyClicks(QWidget*, const QString&)
    {11, 143, 240, 3, Smoke::mf_static, 0, 85},	//109 QTest::keyClicks(QWidget*, const QString&, QFlags<Qt::KeyboardModifier>)
    {11, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 86},	//110 QTest::Abort (enum)
    {11, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 87},	//111 QTest::Continue (enum)
    {11, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 88},	//112 QTest::MousePress (enum)
    {11, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 89},	//113 QTest::MouseRelease (enum)
    {11, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 90},	//114 QTest::MouseClick (enum)
    {11, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 91},	//115 QTest::MouseDClick (enum)
    {11, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 92},	//116 QTest::MouseMove (enum)
    {11, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 93},	//117 QTest::Press (enum)
    {11, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 94},	//118 QTest::Release (enum)
    {11, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 95},	//119 QTest::Click (enum)
    {11, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 96},	//120 QTest::SkipSingle (enum)
    {11, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 97},	//121 QTest::SkipAll (enum)
    {12, 136, 0, 0, Smoke::mf_static, 0, 1},	//122 QTestAccessibility::initialize()
    {12, 107, 0, 0, Smoke::mf_static, 0, 2},	//123 QTestAccessibility::cleanup()
    {12, 109, 0, 0, Smoke::mf_static, 0, 3},	//124 QTestAccessibility::clearEvents()
    {12, 132, 0, 0, Smoke::mf_static, 8, 4},	//125 QTestAccessibility::events()
    {12, 268, 244, 1, Smoke::mf_static, 106, 5},	//126 QTestAccessibility::verifyEvent(const QTestAccessibilityEvent&)
    {12, 268, 246, 3, Smoke::mf_static, 106, 6},	//127 QTestAccessibility::verifyEvent(QObject*, int, int)
    {13, 12, 246, 3, Smoke::mf_ctor, 21, 1},	//128 QTestAccessibilityEvent::QTestAccessibilityEvent(QObject*, int, int)
    {13, 192, 244, 1, Smoke::mf_const, 106, 2},	//129 QTestAccessibilityEvent::operator==(const QTestAccessibilityEvent&) const
    {13, 12, 244, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 21, 3},	//130 QTestAccessibilityEvent::QTestAccessibilityEvent(const QTestAccessibilityEvent&)
    {13, 12, 0, 0, Smoke::mf_ctor, 21, 4},	//131 QTestAccessibilityEvent::QTestAccessibilityEvent()
    {13, 12, 155, 1, Smoke::mf_ctor, 21, 5},	//132 QTestAccessibilityEvent::QTestAccessibilityEvent(QObject*)
    {13, 12, 157, 2, Smoke::mf_ctor, 21, 6},	//133 QTestAccessibilityEvent::QTestAccessibilityEvent(QObject*, int)
    {13, 191, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 10, 7},	//134 QTestAccessibilityEvent::object() const
    {13, 233, 155, 1, Smoke::mf_attribute, 0, 8},	//135 QTestAccessibilityEvent::setObject(QObject*)
    {13, 105, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 125, 9},	//136 QTestAccessibilityEvent::child() const
    {13, 229, 99, 1, Smoke::mf_attribute, 0, 10},	//137 QTestAccessibilityEvent::setChild(int)
    {13, 130, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 125, 11},	//138 QTestAccessibilityEvent::event() const
    {13, 231, 99, 1, Smoke::mf_attribute, 0, 12},	//139 QTestAccessibilityEvent::setEvent(int)
    {13, 272, 0, 0, Smoke::mf_dtor, 0, 13 },	//140 QTestAccessibilityEvent::~QTestAccessibilityEvent()
    {14, 99, 250, 2, 0, 0, 1},	//141 QTestData::append(int, const void*)
    {14, 123, 99, 1, Smoke::mf_const, 127, 2},	//142 QTestData::data(int) const
    {14, 126, 0, 0, Smoke::mf_const, 123, 3},	//143 QTestData::dataTag() const
    {14, 194, 0, 0, Smoke::mf_const, 31, 4},	//144 QTestData::parent() const
    {14, 125, 0, 0, Smoke::mf_const, 125, 5},	//145 QTestData::dataCount() const
    {14, 273, 0, 0, Smoke::mf_dtor, 0, 6 },	//146 QTestData::~QTestData()
    {15, 16, 99, 1, Smoke::mf_ctor, 23, 1},	//147 QTestDelayEvent::QTestDelayEvent(int)
    {15, 110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 24, 2},	//148 QTestDelayEvent::clone() const
    {15, 246, 23, 1, Smoke::mf_virtual, 0, 3},	//149 QTestDelayEvent::simulate(QWidget*)
    {15, 16, 253, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 23, 4},	//150 QTestDelayEvent::QTestDelayEvent(const QTestDelayEvent&)
    {15, 274, 0, 0, Smoke::mf_dtor, 0, 5 },	//151 QTestDelayEvent::~QTestDelayEvent()
    {16, 246, 23, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//152 QTestEvent::simulate(QWidget*) [pure virtual]
    {16, 110, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 24, 2},	//153 QTestEvent::clone() const [pure virtual]
    {16, 19, 0, 0, Smoke::mf_ctor, 24, 3},	//154 QTestEvent::QTestEvent()
    {16, 19, 255, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 24, 4},	//155 QTestEvent::QTestEvent(const QTestEvent&)
    {16, 275, 0, 0, Smoke::mf_dtor, 0, 5 },	//156 QTestEvent::~QTestEvent()
    {17, 21, 0, 0, Smoke::mf_ctor, 25, 1},	//157 QTestEventList::QTestEventList()
    {17, 21, 257, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 25, 2},	//158 QTestEventList::QTestEventList(const QTestEventList&)
    {17, 108, 0, 0, 0, 0, 3},	//159 QTestEventList::clear()
    {17, 56, 259, 3, 0, 0, 4},	//160 QTestEventList::addKeyClick(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {17, 68, 259, 3, 0, 0, 5},	//161 QTestEventList::addKeyPress(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {17, 72, 259, 3, 0, 0, 6},	//162 QTestEventList::addKeyRelease(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {17, 64, 263, 4, 0, 0, 7},	//163 QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {17, 56, 268, 3, 0, 0, 8},	//164 QTestEventList::addKeyClick(char, QFlags<Qt::KeyboardModifier>, int)
    {17, 68, 268, 3, 0, 0, 9},	//165 QTestEventList::addKeyPress(char, QFlags<Qt::KeyboardModifier>, int)
    {17, 72, 268, 3, 0, 0, 10},	//166 QTestEventList::addKeyRelease(char, QFlags<Qt::KeyboardModifier>, int)
    {17, 60, 272, 3, 0, 0, 11},	//167 QTestEventList::addKeyClicks(const QString&, QFlags<Qt::KeyboardModifier>, int)
    {17, 64, 276, 4, 0, 0, 12},	//168 QTestEventList::addKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int)
    {17, 89, 281, 4, 0, 0, 13},	//169 QTestEventList::addMousePress(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {17, 94, 281, 4, 0, 0, 14},	//170 QTestEventList::addMouseRelease(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {17, 76, 281, 4, 0, 0, 15},	//171 QTestEventList::addMouseClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {17, 81, 281, 4, 0, 0, 16},	//172 QTestEventList::addMouseDClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {17, 86, 286, 2, 0, 0, 17},	//173 QTestEventList::addMouseMove(QPoint, int)
    {17, 54, 99, 1, 0, 0, 18},	//174 QTestEventList::addDelay(int)
    {17, 246, 23, 1, 0, 0, 19},	//175 QTestEventList::simulate(QWidget*)
    {17, 56, 97, 1, 0, 0, 20},	//176 QTestEventList::addKeyClick(Qt::Key)
    {17, 56, 289, 2, 0, 0, 21},	//177 QTestEventList::addKeyClick(Qt::Key, QFlags<Qt::KeyboardModifier>)
    {17, 68, 97, 1, 0, 0, 22},	//178 QTestEventList::addKeyPress(Qt::Key)
    {17, 68, 289, 2, 0, 0, 23},	//179 QTestEventList::addKeyPress(Qt::Key, QFlags<Qt::KeyboardModifier>)
    {17, 72, 97, 1, 0, 0, 24},	//180 QTestEventList::addKeyRelease(Qt::Key)
    {17, 72, 289, 2, 0, 0, 25},	//181 QTestEventList::addKeyRelease(Qt::Key, QFlags<Qt::KeyboardModifier>)
    {17, 64, 292, 2, 0, 0, 26},	//182 QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key)
    {17, 64, 295, 3, 0, 0, 27},	//183 QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {17, 56, 184, 1, 0, 0, 28},	//184 QTestEventList::addKeyClick(char)
    {17, 56, 299, 2, 0, 0, 29},	//185 QTestEventList::addKeyClick(char, QFlags<Qt::KeyboardModifier>)
    {17, 68, 184, 1, 0, 0, 30},	//186 QTestEventList::addKeyPress(char)
    {17, 68, 299, 2, 0, 0, 31},	//187 QTestEventList::addKeyPress(char, QFlags<Qt::KeyboardModifier>)
    {17, 72, 184, 1, 0, 0, 32},	//188 QTestEventList::addKeyRelease(char)
    {17, 72, 299, 2, 0, 0, 33},	//189 QTestEventList::addKeyRelease(char, QFlags<Qt::KeyboardModifier>)
    {17, 60, 302, 1, 0, 0, 34},	//190 QTestEventList::addKeyClicks(const QString&)
    {17, 60, 304, 2, 0, 0, 35},	//191 QTestEventList::addKeyClicks(const QString&, QFlags<Qt::KeyboardModifier>)
    {17, 64, 307, 2, 0, 0, 36},	//192 QTestEventList::addKeyEvent(QTest::KeyAction, char)
    {17, 64, 310, 3, 0, 0, 37},	//193 QTestEventList::addKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>)
    {17, 89, 314, 1, 0, 0, 38},	//194 QTestEventList::addMousePress(Qt::MouseButton)
    {17, 89, 316, 2, 0, 0, 39},	//195 QTestEventList::addMousePress(Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {17, 89, 319, 3, 0, 0, 40},	//196 QTestEventList::addMousePress(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {17, 94, 314, 1, 0, 0, 41},	//197 QTestEventList::addMouseRelease(Qt::MouseButton)
    {17, 94, 316, 2, 0, 0, 42},	//198 QTestEventList::addMouseRelease(Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {17, 94, 319, 3, 0, 0, 43},	//199 QTestEventList::addMouseRelease(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {17, 76, 314, 1, 0, 0, 44},	//200 QTestEventList::addMouseClick(Qt::MouseButton)
    {17, 76, 316, 2, 0, 0, 45},	//201 QTestEventList::addMouseClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {17, 76, 319, 3, 0, 0, 46},	//202 QTestEventList::addMouseClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {17, 81, 314, 1, 0, 0, 47},	//203 QTestEventList::addMouseDClick(Qt::MouseButton)
    {17, 81, 316, 2, 0, 0, 48},	//204 QTestEventList::addMouseDClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {17, 81, 319, 3, 0, 0, 49},	//205 QTestEventList::addMouseDClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {17, 86, 0, 0, 0, 0, 50},	//206 QTestEventList::addMouseMove()
    {17, 86, 323, 1, 0, 0, 51},	//207 QTestEventList::addMouseMove(QPoint)
    {17, 276, 0, 0, Smoke::mf_dtor, 0, 52 },	//208 QTestEventList::~QTestEventList()
    {18, 161, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 111, 1},	//209 QTestEventLoop::metaObject() const
    {18, 224, 1, 1, Smoke::mf_virtual, 127, 2},	//210 QTestEventLoop::qt_metacast(const char*)
    {18, 260, 325, 2, Smoke::mf_static, 14, 3},	//211 QTestEventLoop::tr(const char*, const char*)
    {18, 264, 325, 2, Smoke::mf_static, 14, 4},	//212 QTestEventLoop::trUtf8(const char*, const char*)
    {18, 260, 93, 3, Smoke::mf_static, 14, 5},	//213 QTestEventLoop::tr(const char*, const char*, int)
    {18, 264, 93, 3, Smoke::mf_static, 14, 6},	//214 QTestEventLoop::trUtf8(const char*, const char*, int)
    {18, 222, 15, 3, Smoke::mf_virtual, 125, 7},	//215 QTestEventLoop::qt_metacall(QMetaObject::Call, int, void**)
    {18, 23, 155, 1, Smoke::mf_ctor, 27, 8},	//216 QTestEventLoop::QTestEventLoop(QObject*)
    {18, 128, 99, 1, 0, 0, 9},	//217 QTestEventLoop::enterLoop(int)
    {18, 103, 99, 1, 0, 0, 10},	//218 QTestEventLoop::changeInterval(int)
    {18, 253, 0, 0, Smoke::mf_const, 106, 11},	//219 QTestEventLoop::timeout() const
    {18, 137, 0, 0, Smoke::mf_static, 26, 12},	//220 QTestEventLoop::instance()
    {18, 133, 0, 0, Smoke::mf_slot, 0, 13},	//221 QTestEventLoop::exitLoop()
    {18, 254, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//222 QTestEventLoop::timerEvent(QTimerEvent*)
    {18, 260, 1, 1, Smoke::mf_static, 14, 15},	//223 QTestEventLoop::tr(const char*)
    {18, 264, 1, 1, Smoke::mf_static, 14, 16},	//224 QTestEventLoop::trUtf8(const char*)
    {18, 23, 0, 0, Smoke::mf_ctor, 27, 17},	//225 QTestEventLoop::QTestEventLoop()
    {18, 251, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 110, 18},	//226 QTestEventLoop::staticMetaObject() const
    {18, 277, 0, 0, Smoke::mf_dtor, 0, 19 },	//227 QTestEventLoop::~QTestEventLoop()
    {19, 25, 272, 3, Smoke::mf_ctor, 28, 1},	//228 QTestKeyClicksEvent::QTestKeyClicksEvent(const QString&, QFlags<Qt::KeyboardModifier>, int)
    {19, 110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 24, 2},	//229 QTestKeyClicksEvent::clone() const
    {19, 246, 23, 1, Smoke::mf_virtual, 0, 3},	//230 QTestKeyClicksEvent::simulate(QWidget*)
    {19, 25, 328, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 4},	//231 QTestKeyClicksEvent::QTestKeyClicksEvent(const QTestKeyClicksEvent&)
    {19, 278, 0, 0, Smoke::mf_dtor, 0, 5 },	//232 QTestKeyClicksEvent::~QTestKeyClicksEvent()
    {20, 28, 263, 4, Smoke::mf_ctor, 29, 1},	//233 QTestKeyEvent::QTestKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {20, 28, 276, 4, Smoke::mf_ctor, 29, 2},	//234 QTestKeyEvent::QTestKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int)
    {20, 110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 24, 3},	//235 QTestKeyEvent::clone() const
    {20, 246, 23, 1, Smoke::mf_virtual, 0, 4},	//236 QTestKeyEvent::simulate(QWidget*)
    {20, 28, 330, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 29, 5},	//237 QTestKeyEvent::QTestKeyEvent(const QTestKeyEvent&)
    {20, 47, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 17, 6},	//238 QTestKeyEvent::_action() const
    {20, 235, 332, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 7},	//239 QTestKeyEvent::set_action(QTest::KeyAction)
    {20, 49, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 125, 8},	//240 QTestKeyEvent::_delay() const
    {20, 239, 99, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 9},	//241 QTestKeyEvent::set_delay(int)
    {20, 51, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 7, 10},	//242 QTestKeyEvent::_modifiers() const
    {20, 243, 334, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 11},	//243 QTestKeyEvent::set_modifiers(QFlags<Qt::KeyboardModifier>)
    {20, 48, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 107, 12},	//244 QTestKeyEvent::_ascii() const
    {20, 237, 184, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 13},	//245 QTestKeyEvent::set_ascii(char)
    {20, 50, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 71, 14},	//246 QTestKeyEvent::_key() const
    {20, 241, 97, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 15},	//247 QTestKeyEvent::set_key(Qt::Key)
    {20, 279, 0, 0, Smoke::mf_dtor, 0, 16 },	//248 QTestKeyEvent::~QTestKeyEvent()
    {21, 31, 336, 5, Smoke::mf_ctor, 30, 1},	//249 QTestMouseEvent::QTestMouseEvent(QTest::MouseAction, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {21, 110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 24, 2},	//250 QTestMouseEvent::clone() const
    {21, 246, 23, 1, Smoke::mf_virtual, 0, 3},	//251 QTestMouseEvent::simulate(QWidget*)
    {21, 31, 342, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 30, 4},	//252 QTestMouseEvent::QTestMouseEvent(const QTestMouseEvent&)
    {21, 280, 0, 0, Smoke::mf_dtor, 0, 5 },	//253 QTestMouseEvent::~QTestMouseEvent()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    176,  // QTestEventList::addKeyClick(Qt::Key)
    184,  // QTestEventList::addKeyClick(char)
    0,
    177,  // QTestEventList::addKeyClick(Qt::Key, QFlags<Qt::KeyboardModifier>)
    185,  // QTestEventList::addKeyClick(char, QFlags<Qt::KeyboardModifier>)
    0,
    160,  // QTestEventList::addKeyClick(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    164,  // QTestEventList::addKeyClick(char, QFlags<Qt::KeyboardModifier>, int)
    0,
    182,  // QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key)
    192,  // QTestEventList::addKeyEvent(QTest::KeyAction, char)
    0,
    183,  // QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>)
    193,  // QTestEventList::addKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>)
    0,
    163,  // QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    168,  // QTestEventList::addKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int)
    0,
    178,  // QTestEventList::addKeyPress(Qt::Key)
    186,  // QTestEventList::addKeyPress(char)
    0,
    179,  // QTestEventList::addKeyPress(Qt::Key, QFlags<Qt::KeyboardModifier>)
    187,  // QTestEventList::addKeyPress(char, QFlags<Qt::KeyboardModifier>)
    0,
    161,  // QTestEventList::addKeyPress(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    165,  // QTestEventList::addKeyPress(char, QFlags<Qt::KeyboardModifier>, int)
    0,
    180,  // QTestEventList::addKeyRelease(Qt::Key)
    188,  // QTestEventList::addKeyRelease(char)
    0,
    181,  // QTestEventList::addKeyRelease(Qt::Key, QFlags<Qt::KeyboardModifier>)
    189,  // QTestEventList::addKeyRelease(char, QFlags<Qt::KeyboardModifier>)
    0,
    162,  // QTestEventList::addKeyRelease(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    166,  // QTestEventList::addKeyRelease(char, QFlags<Qt::KeyboardModifier>, int)
    0,
    233,  // QTestKeyEvent::QTestKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    234,  // QTestKeyEvent::QTestKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int)
    0,
    130,  // QTestAccessibilityEvent::QTestAccessibilityEvent(const QTestAccessibilityEvent&)
    132,  // QTestAccessibilityEvent::QTestAccessibilityEvent(QObject*)
    0,
    58,  // QTest::keyClick(QWidget*, char)
    68,  // QTest::keyClick(QWidget*, Qt::Key)
    0,
    59,  // QTest::keyClick(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    69,  // QTest::keyClick(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    0,
    57,  // QTest::keyClick(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    67,  // QTest::keyClick(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    0,
    65,  // QTest::keyEvent(QTest::KeyAction, QWidget*, char)
    100,  // QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key)
    0,
    66,  // QTest::keyEvent(QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>)
    101,  // QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    0,
    64,  // QTest::keyEvent(QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    99,  // QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    0,
    39,  // QTest::keyPress(QWidget*, Qt::Key)
    54,  // QTest::keyPress(QWidget*, char)
    0,
    40,  // QTest::keyPress(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    55,  // QTest::keyPress(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    0,
    38,  // QTest::keyPress(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    53,  // QTest::keyPress(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    0,
    76,  // QTest::keyRelease(QWidget*, Qt::Key)
    86,  // QTest::keyRelease(QWidget*, char)
    0,
    77,  // QTest::keyRelease(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    87,  // QTest::keyRelease(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    0,
    75,  // QTest::keyRelease(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    85,  // QTest::keyRelease(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    0,
    51,  // QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>)
    97,  // QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>)
    0,
    50,  // QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>, int)
    96,  // QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>, int)
    0,
    79,  // QTest::toString(const char*)
    82,  // QTest::toString(const void*)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {5, 34, 1},	// QGlobalSpace::Q_COMPLEX_TYPE
    {5, 35, 5},	// QGlobalSpace::Q_DUMMY_TYPE
    {5, 36, 4},	// QGlobalSpace::Q_MOVABLE_TYPE
    {5, 37, 2},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {5, 38, 3},	// QGlobalSpace::Q_STATIC_TYPE
    {5, 39, 8},	// QGlobalSpace::QtCriticalMsg
    {5, 40, 6},	// QGlobalSpace::QtDebugMsg
    {5, 41, 9},	// QGlobalSpace::QtFatalMsg
    {5, 42, 10},	// QGlobalSpace::QtSystemMsg
    {5, 43, 7},	// QGlobalSpace::QtWarningMsg
    {10, 11, 20},	// QSignalSpy::QSignalSpy#$
    {10, 138, 21},	// QSignalSpy::isValid
    {10, 223, 23},	// QSignalSpy::qt_metacall$$?
    {10, 245, 22},	// QSignalSpy::signal
    {10, 271, 24},	// QSignalSpy::~QSignalSpy
    {11, 1, 110},	// QTest::Abort
    {11, 2, 119},	// QTest::Click
    {11, 3, 111},	// QTest::Continue
    {11, 4, 114},	// QTest::MouseClick
    {11, 5, 115},	// QTest::MouseDClick
    {11, 6, 116},	// QTest::MouseMove
    {11, 7, 112},	// QTest::MousePress
    {11, 8, 113},	// QTest::MouseRelease
    {11, 9, 117},	// QTest::Press
    {11, 44, 118},	// QTest::Release
    {11, 45, 121},	// QTest::SkipAll
    {11, 46, 120},	// QTest::SkipSingle
    {11, 53, 84},	// QTest::addColumnInternal$$
    {11, 102, 83},	// QTest::asciiToKey$
    {11, 112, 95},	// QTest::compare_helper$$$$
    {11, 113, 78},	// QTest::compare_helper$$$$$$$$
    {11, 115, 71},	// QTest::compare_ptr_helper$$$$$$
    {11, 117, 94},	// QTest::compare_string_helper$$$$$$
    {11, 119, 56},	// QTest::currentDataTag
    {11, 120, 60},	// QTest::currentTestFailed
    {11, 121, 33},	// QTest::currentTestFunction
    {11, 135, 102},	// QTest::ignoreMessage$$
    {11, 140, -43},	// QTest::keyClick#$
    {11, 141, -46},	// QTest::keyClick#$$
    {11, 142, -49},	// QTest::keyClick#$$$
    {11, 144, 108},	// QTest::keyClicks#$
    {11, 145, 109},	// QTest::keyClicks#$$
    {11, 146, 107},	// QTest::keyClicks#$$$
    {11, 148, -52},	// QTest::keyEvent$#$
    {11, 149, -55},	// QTest::keyEvent$#$$
    {11, 150, -58},	// QTest::keyEvent$#$$$
    {11, 152, -61},	// QTest::keyPress#$
    {11, 153, -64},	// QTest::keyPress#$$
    {11, 154, -67},	// QTest::keyPress#$$$
    {11, 156, -70},	// QTest::keyRelease#$
    {11, 157, -73},	// QTest::keyRelease#$$
    {11, 158, -76},	// QTest::keyRelease#$$$
    {11, 160, 48},	// QTest::keyToAscii$
    {11, 163, 90},	// QTest::mouseClick#$
    {11, 164, 91},	// QTest::mouseClick#$$
    {11, 165, 92},	// QTest::mouseClick#$$#
    {11, 166, 89},	// QTest::mouseClick#$$#$
    {11, 168, 42},	// QTest::mouseDClick#$
    {11, 169, 43},	// QTest::mouseDClick#$$
    {11, 170, 44},	// QTest::mouseDClick#$$#
    {11, 171, 41},	// QTest::mouseDClick#$$#$
    {11, 173, 81},	// QTest::mouseEvent$#$$#
    {11, 174, 80},	// QTest::mouseEvent$#$$#$
    {11, 176, 26},	// QTest::mouseMove#
    {11, 177, 27},	// QTest::mouseMove##
    {11, 178, 25},	// QTest::mouseMove##$
    {11, 180, 30},	// QTest::mousePress#$
    {11, 181, 31},	// QTest::mousePress#$$
    {11, 182, 32},	// QTest::mousePress#$$#
    {11, 183, 29},	// QTest::mousePress#$$#$
    {11, 185, 104},	// QTest::mouseRelease#$
    {11, 186, 105},	// QTest::mouseRelease#$$
    {11, 187, 106},	// QTest::mouseRelease#$$#
    {11, 188, 103},	// QTest::mouseRelease#$$#$
    {11, 190, 63},	// QTest::newRow$
    {11, 196, 98},	// QTest::qData$$
    {11, 198, 70},	// QTest::qElementData$$
    {11, 200, 73},	// QTest::qExec#
    {11, 201, 74},	// QTest::qExec#$
    {11, 202, 72},	// QTest::qExec#$?
    {11, 203, 34},	// QTest::qExec#?
    {11, 205, 28},	// QTest::qExpectFail$$$$$
    {11, 207, 47},	// QTest::qFail$$$
    {11, 209, 61},	// QTest::qGlobalData$$
    {11, 211, 45},	// QTest::qSkip$$$$
    {11, 213, 93},	// QTest::qSleep$
    {11, 215, 46},	// QTest::qVerify$$$$$
    {11, 217, 49},	// QTest::qWait$
    {11, 219, 62},	// QTest::qWaitForWindowShown#
    {11, 221, 52},	// QTest::qWarn$
    {11, 227, -79},	// QTest::sendKeyEvent$#$$$
    {11, 228, -82},	// QTest::sendKeyEvent$#$$$$
    {11, 249, 37},	// QTest::simulateEvent#$$$$$
    {11, 250, 36},	// QTest::simulateEvent#$$$$$$
    {11, 252, 35},	// QTest::testObject
    {11, 257, 88},	// QTest::toHexRepresentation$$
    {11, 259, -85},	// QTest::toString$
    {12, 107, 123},	// QTestAccessibility::cleanup
    {12, 109, 124},	// QTestAccessibility::clearEvents
    {12, 132, 125},	// QTestAccessibility::events
    {12, 136, 122},	// QTestAccessibility::initialize
    {12, 269, 126},	// QTestAccessibility::verifyEvent#
    {12, 270, 127},	// QTestAccessibility::verifyEvent#$$
    {13, 12, 131},	// QTestAccessibilityEvent::QTestAccessibilityEvent
    {13, 13, -40},	// QTestAccessibilityEvent::QTestAccessibilityEvent#
    {13, 14, 133},	// QTestAccessibilityEvent::QTestAccessibilityEvent#$
    {13, 15, 128},	// QTestAccessibilityEvent::QTestAccessibilityEvent#$$
    {13, 105, 136},	// QTestAccessibilityEvent::child
    {13, 130, 138},	// QTestAccessibilityEvent::event
    {13, 191, 134},	// QTestAccessibilityEvent::object
    {13, 193, 129},	// QTestAccessibilityEvent::operator==#
    {13, 230, 137},	// QTestAccessibilityEvent::setChild$
    {13, 232, 139},	// QTestAccessibilityEvent::setEvent$
    {13, 234, 135},	// QTestAccessibilityEvent::setObject#
    {13, 272, 140},	// QTestAccessibilityEvent::~QTestAccessibilityEvent
    {14, 100, 141},	// QTestData::append$$
    {14, 124, 142},	// QTestData::data$
    {14, 125, 145},	// QTestData::dataCount
    {14, 126, 143},	// QTestData::dataTag
    {14, 194, 144},	// QTestData::parent
    {14, 273, 146},	// QTestData::~QTestData
    {15, 17, 150},	// QTestDelayEvent::QTestDelayEvent#
    {15, 18, 147},	// QTestDelayEvent::QTestDelayEvent$
    {15, 110, 148},	// QTestDelayEvent::clone
    {15, 247, 149},	// QTestDelayEvent::simulate#
    {15, 274, 151},	// QTestDelayEvent::~QTestDelayEvent
    {16, 19, 154},	// QTestEvent::QTestEvent
    {16, 20, 155},	// QTestEvent::QTestEvent#
    {16, 110, 153},	// QTestEvent::clone
    {16, 247, 152},	// QTestEvent::simulate#
    {16, 275, 156},	// QTestEvent::~QTestEvent
    {17, 21, 157},	// QTestEventList::QTestEventList
    {17, 22, 158},	// QTestEventList::QTestEventList#
    {17, 55, 174},	// QTestEventList::addDelay$
    {17, 57, -1},	// QTestEventList::addKeyClick$
    {17, 58, -4},	// QTestEventList::addKeyClick$$
    {17, 59, -7},	// QTestEventList::addKeyClick$$$
    {17, 61, 190},	// QTestEventList::addKeyClicks$
    {17, 62, 191},	// QTestEventList::addKeyClicks$$
    {17, 63, 167},	// QTestEventList::addKeyClicks$$$
    {17, 65, -10},	// QTestEventList::addKeyEvent$$
    {17, 66, -13},	// QTestEventList::addKeyEvent$$$
    {17, 67, -16},	// QTestEventList::addKeyEvent$$$$
    {17, 69, -19},	// QTestEventList::addKeyPress$
    {17, 70, -22},	// QTestEventList::addKeyPress$$
    {17, 71, -25},	// QTestEventList::addKeyPress$$$
    {17, 73, -28},	// QTestEventList::addKeyRelease$
    {17, 74, -31},	// QTestEventList::addKeyRelease$$
    {17, 75, -34},	// QTestEventList::addKeyRelease$$$
    {17, 77, 200},	// QTestEventList::addMouseClick$
    {17, 78, 201},	// QTestEventList::addMouseClick$$
    {17, 79, 202},	// QTestEventList::addMouseClick$$#
    {17, 80, 171},	// QTestEventList::addMouseClick$$#$
    {17, 82, 203},	// QTestEventList::addMouseDClick$
    {17, 83, 204},	// QTestEventList::addMouseDClick$$
    {17, 84, 205},	// QTestEventList::addMouseDClick$$#
    {17, 85, 172},	// QTestEventList::addMouseDClick$$#$
    {17, 86, 206},	// QTestEventList::addMouseMove
    {17, 87, 207},	// QTestEventList::addMouseMove#
    {17, 88, 173},	// QTestEventList::addMouseMove#$
    {17, 90, 194},	// QTestEventList::addMousePress$
    {17, 91, 195},	// QTestEventList::addMousePress$$
    {17, 92, 196},	// QTestEventList::addMousePress$$#
    {17, 93, 169},	// QTestEventList::addMousePress$$#$
    {17, 95, 197},	// QTestEventList::addMouseRelease$
    {17, 96, 198},	// QTestEventList::addMouseRelease$$
    {17, 97, 199},	// QTestEventList::addMouseRelease$$#
    {17, 98, 170},	// QTestEventList::addMouseRelease$$#$
    {17, 108, 159},	// QTestEventList::clear
    {17, 247, 175},	// QTestEventList::simulate#
    {17, 276, 208},	// QTestEventList::~QTestEventList
    {18, 23, 225},	// QTestEventLoop::QTestEventLoop
    {18, 24, 216},	// QTestEventLoop::QTestEventLoop#
    {18, 104, 218},	// QTestEventLoop::changeInterval$
    {18, 129, 217},	// QTestEventLoop::enterLoop$
    {18, 133, 221},	// QTestEventLoop::exitLoop
    {18, 137, 220},	// QTestEventLoop::instance
    {18, 161, 209},	// QTestEventLoop::metaObject
    {18, 223, 215},	// QTestEventLoop::qt_metacall$$?
    {18, 225, 210},	// QTestEventLoop::qt_metacast$
    {18, 251, 226},	// QTestEventLoop::staticMetaObject
    {18, 253, 219},	// QTestEventLoop::timeout
    {18, 255, 222},	// QTestEventLoop::timerEvent#
    {18, 261, 223},	// QTestEventLoop::tr$
    {18, 262, 211},	// QTestEventLoop::tr$$
    {18, 263, 213},	// QTestEventLoop::tr$$$
    {18, 265, 224},	// QTestEventLoop::trUtf8$
    {18, 266, 212},	// QTestEventLoop::trUtf8$$
    {18, 267, 214},	// QTestEventLoop::trUtf8$$$
    {18, 277, 227},	// QTestEventLoop::~QTestEventLoop
    {19, 26, 231},	// QTestKeyClicksEvent::QTestKeyClicksEvent#
    {19, 27, 228},	// QTestKeyClicksEvent::QTestKeyClicksEvent$$$
    {19, 110, 229},	// QTestKeyClicksEvent::clone
    {19, 247, 230},	// QTestKeyClicksEvent::simulate#
    {19, 278, 232},	// QTestKeyClicksEvent::~QTestKeyClicksEvent
    {20, 29, 237},	// QTestKeyEvent::QTestKeyEvent#
    {20, 30, -37},	// QTestKeyEvent::QTestKeyEvent$$$$
    {20, 47, 238},	// QTestKeyEvent::_action
    {20, 48, 244},	// QTestKeyEvent::_ascii
    {20, 49, 240},	// QTestKeyEvent::_delay
    {20, 50, 246},	// QTestKeyEvent::_key
    {20, 51, 242},	// QTestKeyEvent::_modifiers
    {20, 110, 235},	// QTestKeyEvent::clone
    {20, 236, 239},	// QTestKeyEvent::set_action$
    {20, 238, 245},	// QTestKeyEvent::set_ascii$
    {20, 240, 241},	// QTestKeyEvent::set_delay$
    {20, 242, 247},	// QTestKeyEvent::set_key$
    {20, 244, 243},	// QTestKeyEvent::set_modifiers$
    {20, 247, 236},	// QTestKeyEvent::simulate#
    {20, 279, 248},	// QTestKeyEvent::~QTestKeyEvent
    {21, 32, 252},	// QTestMouseEvent::QTestMouseEvent#
    {21, 33, 249},	// QTestMouseEvent::QTestMouseEvent$$$#$
    {21, 110, 250},	// QTestMouseEvent::clone
    {21, 247, 251},	// QTestMouseEvent::simulate#
    {21, 280, 253},	// QTestMouseEvent::~QTestMouseEvent
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qttest_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qttest_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qttest_Smoke = new Smoke(
        "qttest",
        __smokeqttest::classes, 24,
        __smokeqttest::methods, 254,
        __smokeqttest::methodMaps, 216,
        __smokeqttest::methodNames, 280,
        __smokeqttest::types, 129,
        __smokeqttest::inheritanceList,
        __smokeqttest::argumentList,
        __smokeqttest::ambiguousMethodList,
        __smokeqttest::cast );
    initialized = true;
}

void delete_qttest_Smoke() { delete qttest_Smoke; }

}
