#include <kdecore_includes.h>

#include <smoke.h>
#include <kdecore_smoke.h>

namespace __smokekdecore {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KAboutData
      switch(to) {
        case 1: return (void*)(KAboutData*)xptr;
        default: return xptr;
      }
    case 2:   //KAboutLicense
      switch(to) {
        case 2: return (void*)(KAboutLicense*)xptr;
        default: return xptr;
      }
    case 3:   //KAboutPerson
      switch(to) {
        case 3: return (void*)(KAboutPerson*)xptr;
        default: return xptr;
      }
    case 4:   //KAuth::Action
      switch(to) {
        case 4: return (void*)(KAuth::Action*)xptr;
        default: return xptr;
      }
    case 5:   //KAuth::ActionReply
      switch(to) {
        case 5: return (void*)(KAuth::ActionReply*)xptr;
        default: return xptr;
      }
    case 6:   //KAuth::ActionWatcher
      switch(to) {
        case 171: return (void*)(QObject*)(KAuth::ActionWatcher*)xptr;
        case 6: return (void*)(KAuth::ActionWatcher*)xptr;
        default: return xptr;
      }
    case 8:   //KAutoSaveFile
      switch(to) {
        case 155: return (void*)(QFile*)(KAutoSaveFile*)xptr;
        case 160: return (void*)(QIODevice*)(KAutoSaveFile*)xptr;
        case 171: return (void*)(QObject*)(KAutoSaveFile*)xptr;
        case 8: return (void*)(KAutoSaveFile*)xptr;
        default: return xptr;
      }
    case 9:   //KAutostart
      switch(to) {
        case 171: return (void*)(QObject*)(KAutostart*)xptr;
        case 9: return (void*)(KAutostart*)xptr;
        default: return xptr;
      }
    case 10:   //KCalendarSystem
      switch(to) {
        case 10: return (void*)(KCalendarSystem*)xptr;
        default: return xptr;
      }
    case 11:   //KCalendarSystemPrivate
      switch(to) {
        case 11: return (void*)(KCalendarSystemPrivate*)xptr;
        default: return xptr;
      }
    case 12:   //KCharMacroExpander
      switch(to) {
        case 75: return (void*)(KMacroExpanderBase*)(KCharMacroExpander*)xptr;
        case 12: return (void*)(KCharMacroExpander*)xptr;
        default: return xptr;
      }
    case 13:   //KCharsets
      switch(to) {
        case 13: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 14:   //KCmdLineArgs
      switch(to) {
        case 14: return (void*)(KCmdLineArgs*)xptr;
        default: return xptr;
      }
    case 15:   //KCmdLineOptions
      switch(to) {
        case 15: return (void*)(KCmdLineOptions*)xptr;
        default: return xptr;
      }
    case 17:   //KComponentData
      switch(to) {
        case 17: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 18:   //KCompositeJob
      switch(to) {
        case 62: return (void*)(KJob*)(KCompositeJob*)xptr;
        case 171: return (void*)(QObject*)(KCompositeJob*)xptr;
        case 18: return (void*)(KCompositeJob*)xptr;
        default: return xptr;
      }
    case 19:   //KCompositeJobPrivate
      switch(to) {
        case 19: return (void*)(KCompositeJobPrivate*)xptr;
        default: return xptr;
      }
    case 20:   //KConfig
      switch(to) {
        case 21: return (void*)(KConfigBase*)(KConfig*)xptr;
        case 20: return (void*)(KConfig*)xptr;
        case 56: return (void*)(KDesktopFile*)(KConfig*)xptr;
        case 99: return (void*)(KSharedConfig*)(KConfig*)xptr;
        default: return xptr;
      }
    case 21:   //KConfigBase
      switch(to) {
        case 21: return (void*)(KConfigBase*)xptr;
        case 22: return (void*)(KConfigGroup*)(KConfigBase*)xptr;
        case 20: return (void*)(KConfig*)(KConfigBase*)xptr;
        case 56: return (void*)(KDesktopFile*)(KConfigBase*)xptr;
        case 99: return (void*)(KSharedConfig*)(KConfigBase*)xptr;
        default: return xptr;
      }
    case 22:   //KConfigGroup
      switch(to) {
        case 21: return (void*)(KConfigBase*)(KConfigGroup*)xptr;
        case 22: return (void*)(KConfigGroup*)xptr;
        default: return xptr;
      }
    case 23:   //KConfigPrivate
      switch(to) {
        case 23: return (void*)(KConfigPrivate*)xptr;
        default: return xptr;
      }
    case 24:   //KConfigSkeletonItem
      switch(to) {
        case 24: return (void*)(KConfigSkeletonItem*)xptr;
        default: return xptr;
      }
    case 25:   //KCoreConfigSkeleton
      switch(to) {
        case 171: return (void*)(QObject*)(KCoreConfigSkeleton*)xptr;
        case 25: return (void*)(KCoreConfigSkeleton*)xptr;
        default: return xptr;
      }
    case 26:   //KCoreConfigSkeleton::ItemBool
      switch(to) {
        case 26: return (void*)(KCoreConfigSkeleton::ItemBool*)xptr;
        default: return xptr;
      }
    case 27:   //KCoreConfigSkeleton::ItemDateTime
      switch(to) {
        case 27: return (void*)(KCoreConfigSkeleton::ItemDateTime*)xptr;
        default: return xptr;
      }
    case 28:   //KCoreConfigSkeleton::ItemDouble
      switch(to) {
        case 28: return (void*)(KCoreConfigSkeleton::ItemDouble*)xptr;
        default: return xptr;
      }
    case 29:   //KCoreConfigSkeleton::ItemEnum
      switch(to) {
        case 32: return (void*)(KCoreConfigSkeleton::ItemInt*)(KCoreConfigSkeleton::ItemEnum*)xptr;
        case 29: return (void*)(KCoreConfigSkeleton::ItemEnum*)xptr;
        default: return xptr;
      }
    case 30:   //KCoreConfigSkeleton::ItemEnum::Choice
      switch(to) {
        case 30: return (void*)(KCoreConfigSkeleton::ItemEnum::Choice*)xptr;
        default: return xptr;
      }
    case 31:   //KCoreConfigSkeleton::ItemEnum::Choice2
      switch(to) {
        case 31: return (void*)(KCoreConfigSkeleton::ItemEnum::Choice2*)xptr;
        default: return xptr;
      }
    case 32:   //KCoreConfigSkeleton::ItemInt
      switch(to) {
        case 32: return (void*)(KCoreConfigSkeleton::ItemInt*)xptr;
        case 29: return (void*)(KCoreConfigSkeleton::ItemEnum*)(KCoreConfigSkeleton::ItemInt*)xptr;
        default: return xptr;
      }
    case 33:   //KCoreConfigSkeleton::ItemIntList
      switch(to) {
        case 33: return (void*)(KCoreConfigSkeleton::ItemIntList*)xptr;
        default: return xptr;
      }
    case 34:   //KCoreConfigSkeleton::ItemLongLong
      switch(to) {
        case 34: return (void*)(KCoreConfigSkeleton::ItemLongLong*)xptr;
        default: return xptr;
      }
    case 35:   //KCoreConfigSkeleton::ItemPassword
      switch(to) {
        case 42: return (void*)(KCoreConfigSkeleton::ItemString*)(KCoreConfigSkeleton::ItemPassword*)xptr;
        case 35: return (void*)(KCoreConfigSkeleton::ItemPassword*)xptr;
        default: return xptr;
      }
    case 36:   //KCoreConfigSkeleton::ItemPath
      switch(to) {
        case 42: return (void*)(KCoreConfigSkeleton::ItemString*)(KCoreConfigSkeleton::ItemPath*)xptr;
        case 36: return (void*)(KCoreConfigSkeleton::ItemPath*)xptr;
        default: return xptr;
      }
    case 37:   //KCoreConfigSkeleton::ItemPathList
      switch(to) {
        case 43: return (void*)(KCoreConfigSkeleton::ItemStringList*)(KCoreConfigSkeleton::ItemPathList*)xptr;
        case 37: return (void*)(KCoreConfigSkeleton::ItemPathList*)xptr;
        default: return xptr;
      }
    case 38:   //KCoreConfigSkeleton::ItemPoint
      switch(to) {
        case 38: return (void*)(KCoreConfigSkeleton::ItemPoint*)xptr;
        default: return xptr;
      }
    case 39:   //KCoreConfigSkeleton::ItemProperty
      switch(to) {
        case 39: return (void*)(KCoreConfigSkeleton::ItemProperty*)xptr;
        default: return xptr;
      }
    case 40:   //KCoreConfigSkeleton::ItemRect
      switch(to) {
        case 40: return (void*)(KCoreConfigSkeleton::ItemRect*)xptr;
        default: return xptr;
      }
    case 41:   //KCoreConfigSkeleton::ItemSize
      switch(to) {
        case 41: return (void*)(KCoreConfigSkeleton::ItemSize*)xptr;
        default: return xptr;
      }
    case 42:   //KCoreConfigSkeleton::ItemString
      switch(to) {
        case 42: return (void*)(KCoreConfigSkeleton::ItemString*)xptr;
        case 36: return (void*)(KCoreConfigSkeleton::ItemPath*)(KCoreConfigSkeleton::ItemString*)xptr;
        case 35: return (void*)(KCoreConfigSkeleton::ItemPassword*)(KCoreConfigSkeleton::ItemString*)xptr;
        default: return xptr;
      }
    case 43:   //KCoreConfigSkeleton::ItemStringList
      switch(to) {
        case 43: return (void*)(KCoreConfigSkeleton::ItemStringList*)xptr;
        case 37: return (void*)(KCoreConfigSkeleton::ItemPathList*)(KCoreConfigSkeleton::ItemStringList*)xptr;
        default: return xptr;
      }
    case 44:   //KCoreConfigSkeleton::ItemUInt
      switch(to) {
        case 44: return (void*)(KCoreConfigSkeleton::ItemUInt*)xptr;
        default: return xptr;
      }
    case 45:   //KCoreConfigSkeleton::ItemULongLong
      switch(to) {
        case 45: return (void*)(KCoreConfigSkeleton::ItemULongLong*)xptr;
        default: return xptr;
      }
    case 46:   //KCoreConfigSkeleton::ItemUrl
      switch(to) {
        case 46: return (void*)(KCoreConfigSkeleton::ItemUrl*)xptr;
        default: return xptr;
      }
    case 47:   //KCoreConfigSkeleton::ItemUrlList
      switch(to) {
        case 47: return (void*)(KCoreConfigSkeleton::ItemUrlList*)xptr;
        default: return xptr;
      }
    case 48:   //KCurrencyCode
      switch(to) {
        case 48: return (void*)(KCurrencyCode*)xptr;
        default: return xptr;
      }
    case 50:   //KDEDModule
      switch(to) {
        case 171: return (void*)(QObject*)(KDEDModule*)xptr;
        case 50: return (void*)(KDEDModule*)xptr;
        default: return xptr;
      }
    case 51:   //KDEPluginVerificationData
      switch(to) {
        case 51: return (void*)(KDEPluginVerificationData*)xptr;
        default: return xptr;
      }
    case 52:   //KDateTime
      switch(to) {
        case 52: return (void*)(KDateTime*)xptr;
        default: return xptr;
      }
    case 53:   //KDateTime::Spec
      switch(to) {
        case 53: return (void*)(KDateTime::Spec*)xptr;
        default: return xptr;
      }
    case 54:   //KDebug
      switch(to) {
        case 54: return (void*)(KDebug*)xptr;
        default: return xptr;
      }
    case 55:   //KDebugTag
      switch(to) {
        case 55: return (void*)(KDebugTag*)xptr;
        default: return xptr;
      }
    case 56:   //KDesktopFile
      switch(to) {
        case 20: return (void*)(KConfig*)(KDesktopFile*)xptr;
        case 21: return (void*)(KConfigBase*)(KDesktopFile*)xptr;
        case 56: return (void*)(KDesktopFile*)xptr;
        default: return xptr;
      }
    case 57:   //KEncodingDetector
      switch(to) {
        case 57: return (void*)(KEncodingDetector*)xptr;
        default: return xptr;
      }
    case 58:   //KEncodingProber
      switch(to) {
        case 58: return (void*)(KEncodingProber*)xptr;
        default: return xptr;
      }
    case 59:   //KFilterBase
      switch(to) {
        case 59: return (void*)(KFilterBase*)xptr;
        default: return xptr;
      }
    case 60:   //KFilterDev
      switch(to) {
        case 160: return (void*)(QIODevice*)(KFilterDev*)xptr;
        case 171: return (void*)(QObject*)(KFilterDev*)xptr;
        case 60: return (void*)(KFilterDev*)xptr;
        default: return xptr;
      }
    case 62:   //KJob
      switch(to) {
        case 171: return (void*)(QObject*)(KJob*)xptr;
        case 62: return (void*)(KJob*)xptr;
        case 18: return (void*)(KCompositeJob*)(KJob*)xptr;
        default: return xptr;
      }
    case 63:   //KJobPrivate
      switch(to) {
        case 63: return (void*)(KJobPrivate*)xptr;
        default: return xptr;
      }
    case 64:   //KJobTrackerInterface
      switch(to) {
        case 171: return (void*)(QObject*)(KJobTrackerInterface*)xptr;
        case 64: return (void*)(KJobTrackerInterface*)xptr;
        default: return xptr;
      }
    case 65:   //KJobUiDelegate
      switch(to) {
        case 171: return (void*)(QObject*)(KJobUiDelegate*)xptr;
        case 65: return (void*)(KJobUiDelegate*)xptr;
        default: return xptr;
      }
    case 66:   //KLibLoader
      switch(to) {
        case 171: return (void*)(QObject*)(KLibLoader*)xptr;
        case 66: return (void*)(KLibLoader*)xptr;
        default: return xptr;
      }
    case 67:   //KLibrary
      switch(to) {
        case 163: return (void*)(QLibrary*)(KLibrary*)xptr;
        case 171: return (void*)(QObject*)(KLibrary*)xptr;
        case 67: return (void*)(KLibrary*)xptr;
        default: return xptr;
      }
    case 68:   //KLocalSocket
      switch(to) {
        case 189: return (void*)(QTcpSocket*)(KLocalSocket*)xptr;
        case 138: return (void*)(QAbstractSocket*)(KLocalSocket*)xptr;
        case 160: return (void*)(QIODevice*)(KLocalSocket*)xptr;
        case 171: return (void*)(QObject*)(KLocalSocket*)xptr;
        case 68: return (void*)(KLocalSocket*)xptr;
        default: return xptr;
      }
    case 69:   //KLocalSocketServer
      switch(to) {
        case 171: return (void*)(QObject*)(KLocalSocketServer*)xptr;
        case 69: return (void*)(KLocalSocketServer*)xptr;
        default: return xptr;
      }
    case 70:   //KLocale
      switch(to) {
        case 70: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 71:   //KLocalizedString
      switch(to) {
        case 71: return (void*)(KLocalizedString*)xptr;
        default: return xptr;
      }
    case 72:   //KLockFile
      switch(to) {
        case 179: return (void*)(QSharedData*)(KLockFile*)xptr;
        case 72: return (void*)(KLockFile*)xptr;
        default: return xptr;
      }
    case 73:   //KMD5
      switch(to) {
        case 73: return (void*)(KMD5*)xptr;
        default: return xptr;
      }
    case 75:   //KMacroExpanderBase
      switch(to) {
        case 75: return (void*)(KMacroExpanderBase*)xptr;
        case 12: return (void*)(KCharMacroExpander*)(KMacroExpanderBase*)xptr;
        case 135: return (void*)(KWordMacroExpander*)(KMacroExpanderBase*)xptr;
        default: return xptr;
      }
    case 77:   //KMessageHandler
      switch(to) {
        case 77: return (void*)(KMessageHandler*)xptr;
        default: return xptr;
      }
    case 78:   //KMimeType
      switch(to) {
        case 96: return (void*)(KServiceType*)(KMimeType*)xptr;
        case 109: return (void*)(KSycocaEntry*)(KMimeType*)xptr;
        case 179: return (void*)(QSharedData*)(KMimeType*)xptr;
        case 78: return (void*)(KMimeType*)xptr;
        default: return xptr;
      }
    case 79:   //KMimeTypePrivate
      switch(to) {
        case 79: return (void*)(KMimeTypePrivate*)xptr;
        default: return xptr;
      }
    case 80:   //KMimeTypeTrader
      switch(to) {
        case 80: return (void*)(KMimeTypeTrader*)xptr;
        default: return xptr;
      }
    case 81:   //KParts::Part
      switch(to) {
        case 81: return (void*)(KParts::Part*)xptr;
        default: return xptr;
      }
    case 82:   //KPluginFactory
      switch(to) {
        case 171: return (void*)(QObject*)(KPluginFactory*)xptr;
        case 82: return (void*)(KPluginFactory*)xptr;
        default: return xptr;
      }
    case 83:   //KPluginFactoryPrivate
      switch(to) {
        case 83: return (void*)(KPluginFactoryPrivate*)xptr;
        default: return xptr;
      }
    case 84:   //KPluginInfo
      switch(to) {
        case 84: return (void*)(KPluginInfo*)xptr;
        default: return xptr;
      }
    case 85:   //KPluginLoader
      switch(to) {
        case 172: return (void*)(QPluginLoader*)(KPluginLoader*)xptr;
        case 171: return (void*)(QObject*)(KPluginLoader*)xptr;
        case 85: return (void*)(KPluginLoader*)xptr;
        default: return xptr;
      }
    case 86:   //KProcess
      switch(to) {
        case 175: return (void*)(QProcess*)(KProcess*)xptr;
        case 160: return (void*)(QIODevice*)(KProcess*)xptr;
        case 171: return (void*)(QObject*)(KProcess*)xptr;
        case 86: return (void*)(KProcess*)xptr;
        default: return xptr;
      }
    case 87:   //KProcessPrivate
      switch(to) {
        case 87: return (void*)(KProcessPrivate*)xptr;
        default: return xptr;
      }
    case 88:   //KProtocolInfo
      switch(to) {
        case 109: return (void*)(KSycocaEntry*)(KProtocolInfo*)xptr;
        case 179: return (void*)(QSharedData*)(KProtocolInfo*)xptr;
        case 88: return (void*)(KProtocolInfo*)xptr;
        default: return xptr;
      }
    case 89:   //KProtocolInfo::ExtraField
      switch(to) {
        case 89: return (void*)(KProtocolInfo::ExtraField*)xptr;
        default: return xptr;
      }
    case 91:   //KRandomSequence
      switch(to) {
        case 91: return (void*)(KRandomSequence*)xptr;
        default: return xptr;
      }
    case 92:   //KSaveFile
      switch(to) {
        case 155: return (void*)(QFile*)(KSaveFile*)xptr;
        case 160: return (void*)(QIODevice*)(KSaveFile*)xptr;
        case 171: return (void*)(QObject*)(KSaveFile*)xptr;
        case 92: return (void*)(KSaveFile*)xptr;
        default: return xptr;
      }
    case 93:   //KService
      switch(to) {
        case 109: return (void*)(KSycocaEntry*)(KService*)xptr;
        case 179: return (void*)(QSharedData*)(KService*)xptr;
        case 93: return (void*)(KService*)xptr;
        default: return xptr;
      }
    case 94:   //KServiceAction
      switch(to) {
        case 94: return (void*)(KServiceAction*)xptr;
        default: return xptr;
      }
    case 95:   //KServiceGroup
      switch(to) {
        case 109: return (void*)(KSycocaEntry*)(KServiceGroup*)xptr;
        case 179: return (void*)(QSharedData*)(KServiceGroup*)xptr;
        case 95: return (void*)(KServiceGroup*)xptr;
        default: return xptr;
      }
    case 96:   //KServiceType
      switch(to) {
        case 109: return (void*)(KSycocaEntry*)(KServiceType*)xptr;
        case 179: return (void*)(QSharedData*)(KServiceType*)xptr;
        case 96: return (void*)(KServiceType*)xptr;
        case 78: return (void*)(KMimeType*)(KServiceType*)xptr;
        default: return xptr;
      }
    case 97:   //KServiceTypePrivate
      switch(to) {
        case 97: return (void*)(KServiceTypePrivate*)xptr;
        default: return xptr;
      }
    case 98:   //KServiceTypeTrader
      switch(to) {
        case 98: return (void*)(KServiceTypeTrader*)xptr;
        default: return xptr;
      }
    case 99:   //KSharedConfig
      switch(to) {
        case 20: return (void*)(KConfig*)(KSharedConfig*)xptr;
        case 21: return (void*)(KConfigBase*)(KSharedConfig*)xptr;
        case 179: return (void*)(QSharedData*)(KSharedConfig*)xptr;
        case 99: return (void*)(KSharedConfig*)xptr;
        default: return xptr;
      }
    case 102:   //KSslCipher
      switch(to) {
        case 102: return (void*)(KSslCipher*)xptr;
        default: return xptr;
      }
    case 103:   //KSslError
      switch(to) {
        case 103: return (void*)(KSslError*)xptr;
        default: return xptr;
      }
    case 104:   //KSslErrorUiData
      switch(to) {
        case 104: return (void*)(KSslErrorUiData*)xptr;
        default: return xptr;
      }
    case 105:   //KSslKey
      switch(to) {
        case 105: return (void*)(KSslKey*)xptr;
        default: return xptr;
      }
    case 106:   //KStandardDirs
      switch(to) {
        case 106: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 108:   //KSycoca
      switch(to) {
        case 171: return (void*)(QObject*)(KSycoca*)xptr;
        case 108: return (void*)(KSycoca*)xptr;
        default: return xptr;
      }
    case 109:   //KSycocaEntry
      switch(to) {
        case 179: return (void*)(QSharedData*)(KSycocaEntry*)xptr;
        case 109: return (void*)(KSycocaEntry*)xptr;
        case 88: return (void*)(KProtocolInfo*)(KSycocaEntry*)xptr;
        case 96: return (void*)(KServiceType*)(KSycocaEntry*)xptr;
        case 93: return (void*)(KService*)(KSycocaEntry*)xptr;
        case 95: return (void*)(KServiceGroup*)(KSycocaEntry*)xptr;
        case 78: return (void*)(KMimeType*)(KSycocaEntry*)xptr;
        default: return xptr;
      }
    case 110:   //KSycocaEntryPrivate
      switch(to) {
        case 110: return (void*)(KSycocaEntryPrivate*)xptr;
        default: return xptr;
      }
    case 111:   //KSycocaFactory
      switch(to) {
        case 111: return (void*)(KSycocaFactory*)xptr;
        default: return xptr;
      }
    case 112:   //KSycocaFactoryList
      switch(to) {
        case 112: return (void*)(KSycocaFactoryList*)xptr;
        default: return xptr;
      }
    case 113:   //KSystemTimeZone
      switch(to) {
        case 120: return (void*)(KTimeZone*)(KSystemTimeZone*)xptr;
        case 113: return (void*)(KSystemTimeZone*)xptr;
        default: return xptr;
      }
    case 114:   //KSystemTimeZoneBackend
      switch(to) {
        case 124: return (void*)(KTimeZoneBackend*)(KSystemTimeZoneBackend*)xptr;
        case 114: return (void*)(KSystemTimeZoneBackend*)xptr;
        default: return xptr;
      }
    case 115:   //KSystemTimeZoneSource
      switch(to) {
        case 126: return (void*)(KTimeZoneSource*)(KSystemTimeZoneSource*)xptr;
        case 115: return (void*)(KSystemTimeZoneSource*)xptr;
        default: return xptr;
      }
    case 116:   //KSystemTimeZones
      switch(to) {
        case 171: return (void*)(QObject*)(KSystemTimeZones*)xptr;
        case 116: return (void*)(KSystemTimeZones*)xptr;
        default: return xptr;
      }
    case 117:   //KTcpSocket
      switch(to) {
        case 160: return (void*)(QIODevice*)(KTcpSocket*)xptr;
        case 171: return (void*)(QObject*)(KTcpSocket*)xptr;
        case 117: return (void*)(KTcpSocket*)xptr;
        default: return xptr;
      }
    case 118:   //KTempDir
      switch(to) {
        case 118: return (void*)(KTempDir*)xptr;
        default: return xptr;
      }
    case 119:   //KTemporaryFile
      switch(to) {
        case 190: return (void*)(QTemporaryFile*)(KTemporaryFile*)xptr;
        case 155: return (void*)(QFile*)(KTemporaryFile*)xptr;
        case 160: return (void*)(QIODevice*)(KTemporaryFile*)xptr;
        case 171: return (void*)(QObject*)(KTemporaryFile*)xptr;
        case 119: return (void*)(KTemporaryFile*)xptr;
        default: return xptr;
      }
    case 120:   //KTimeZone
      switch(to) {
        case 120: return (void*)(KTimeZone*)xptr;
        case 113: return (void*)(KSystemTimeZone*)(KTimeZone*)xptr;
        case 129: return (void*)(KTzfileTimeZone*)(KTimeZone*)xptr;
        default: return xptr;
      }
    case 121:   //KTimeZone::LeapSeconds
      switch(to) {
        case 121: return (void*)(KTimeZone::LeapSeconds*)xptr;
        default: return xptr;
      }
    case 122:   //KTimeZone::Phase
      switch(to) {
        case 122: return (void*)(KTimeZone::Phase*)xptr;
        default: return xptr;
      }
    case 123:   //KTimeZone::Transition
      switch(to) {
        case 123: return (void*)(KTimeZone::Transition*)xptr;
        default: return xptr;
      }
    case 124:   //KTimeZoneBackend
      switch(to) {
        case 124: return (void*)(KTimeZoneBackend*)xptr;
        case 130: return (void*)(KTzfileTimeZoneBackend*)(KTimeZoneBackend*)xptr;
        case 114: return (void*)(KSystemTimeZoneBackend*)(KTimeZoneBackend*)xptr;
        default: return xptr;
      }
    case 125:   //KTimeZoneData
      switch(to) {
        case 125: return (void*)(KTimeZoneData*)xptr;
        default: return xptr;
      }
    case 126:   //KTimeZoneSource
      switch(to) {
        case 126: return (void*)(KTimeZoneSource*)xptr;
        case 131: return (void*)(KTzfileTimeZoneSource*)(KTimeZoneSource*)xptr;
        case 115: return (void*)(KSystemTimeZoneSource*)(KTimeZoneSource*)xptr;
        default: return xptr;
      }
    case 127:   //KTimeZones
      switch(to) {
        case 127: return (void*)(KTimeZones*)xptr;
        default: return xptr;
      }
    case 128:   //KToolInvocation
      switch(to) {
        case 171: return (void*)(QObject*)(KToolInvocation*)xptr;
        case 128: return (void*)(KToolInvocation*)xptr;
        default: return xptr;
      }
    case 129:   //KTzfileTimeZone
      switch(to) {
        case 120: return (void*)(KTimeZone*)(KTzfileTimeZone*)xptr;
        case 129: return (void*)(KTzfileTimeZone*)xptr;
        default: return xptr;
      }
    case 130:   //KTzfileTimeZoneBackend
      switch(to) {
        case 124: return (void*)(KTimeZoneBackend*)(KTzfileTimeZoneBackend*)xptr;
        case 130: return (void*)(KTzfileTimeZoneBackend*)xptr;
        default: return xptr;
      }
    case 131:   //KTzfileTimeZoneSource
      switch(to) {
        case 126: return (void*)(KTimeZoneSource*)(KTzfileTimeZoneSource*)xptr;
        case 131: return (void*)(KTzfileTimeZoneSource*)xptr;
        default: return xptr;
      }
    case 132:   //KUrl
      switch(to) {
        case 198: return (void*)(QUrl*)(KUrl*)xptr;
        case 132: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 133:   //KUser
      switch(to) {
        case 133: return (void*)(KUser*)xptr;
        default: return xptr;
      }
    case 134:   //KUserGroup
      switch(to) {
        case 134: return (void*)(KUserGroup*)xptr;
        default: return xptr;
      }
    case 135:   //KWordMacroExpander
      switch(to) {
        case 75: return (void*)(KMacroExpanderBase*)(KWordMacroExpander*)xptr;
        case 135: return (void*)(KWordMacroExpander*)xptr;
        default: return xptr;
      }
    case 136:   //OrgKdeKLauncherInterface
      switch(to) {
        case 145: return (void*)(QDBusAbstractInterface*)(OrgKdeKLauncherInterface*)xptr;
        case 171: return (void*)(QObject*)(OrgKdeKLauncherInterface*)xptr;
        case 136: return (void*)(OrgKdeKLauncherInterface*)xptr;
        default: return xptr;
      }
    case 137:   //QAbstractFileEngine
      switch(to) {
        case 137: return (void*)(QAbstractFileEngine*)xptr;
        default: return xptr;
      }
    case 138:   //QAbstractSocket
      switch(to) {
        case 160: return (void*)(QIODevice*)(QAbstractSocket*)xptr;
        case 171: return (void*)(QObject*)(QAbstractSocket*)xptr;
        case 138: return (void*)(QAbstractSocket*)xptr;
        case 68: return (void*)(KLocalSocket*)(QAbstractSocket*)xptr;
        default: return xptr;
      }
    case 139:   //QAuthenticator
      switch(to) {
        case 139: return (void*)(QAuthenticator*)xptr;
        default: return xptr;
      }
    case 140:   //QBitArray
      switch(to) {
        case 140: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 141:   //QBool
      switch(to) {
        case 141: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 142:   //QByteArray
      switch(to) {
        case 142: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 143:   //QChar
      switch(to) {
        case 143: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 144:   //QChildEvent
      switch(to) {
        case 154: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 144: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 145:   //QDBusAbstractInterface
      switch(to) {
        case 171: return (void*)(QObject*)(QDBusAbstractInterface*)xptr;
        case 145: return (void*)(QDBusAbstractInterface*)xptr;
        case 136: return (void*)(OrgKdeKLauncherInterface*)(QDBusAbstractInterface*)xptr;
        default: return xptr;
      }
    case 146:   //QDBusArgument
      switch(to) {
        case 146: return (void*)(QDBusArgument*)xptr;
        default: return xptr;
      }
    case 147:   //QDBusConnection
      switch(to) {
        case 147: return (void*)(QDBusConnection*)xptr;
        default: return xptr;
      }
    case 148:   //QDBusObjectPath
      switch(to) {
        case 148: return (void*)(QDBusObjectPath*)xptr;
        default: return xptr;
      }
    case 149:   //QDBusSignature
      switch(to) {
        case 149: return (void*)(QDBusSignature*)xptr;
        default: return xptr;
      }
    case 150:   //QDBusVariant
      switch(to) {
        case 200: return (void*)(QVariant*)(QDBusVariant*)xptr;
        case 150: return (void*)(QDBusVariant*)xptr;
        default: return xptr;
      }
    case 151:   //QDataStream
      switch(to) {
        case 151: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 152:   //QDate
      switch(to) {
        case 152: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 153:   //QDateTime
      switch(to) {
        case 153: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 154:   //QEvent
      switch(to) {
        case 154: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 155:   //QFile
      switch(to) {
        case 160: return (void*)(QIODevice*)(QFile*)xptr;
        case 171: return (void*)(QObject*)(QFile*)xptr;
        case 155: return (void*)(QFile*)xptr;
        case 8: return (void*)(KAutoSaveFile*)(QFile*)xptr;
        case 92: return (void*)(KSaveFile*)(QFile*)xptr;
        case 119: return (void*)(KTemporaryFile*)(QFile*)xptr;
        default: return xptr;
      }
    case 156:   //QFileInfo
      switch(to) {
        case 156: return (void*)(QFileInfo*)xptr;
        default: return xptr;
      }
    case 158:   //QHashDummyValue
      switch(to) {
        case 158: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 159:   //QHostAddress
      switch(to) {
        case 159: return (void*)(QHostAddress*)xptr;
        default: return xptr;
      }
    case 160:   //QIODevice
      switch(to) {
        case 171: return (void*)(QObject*)(QIODevice*)xptr;
        case 160: return (void*)(QIODevice*)xptr;
        case 68: return (void*)(KLocalSocket*)(QIODevice*)xptr;
        case 60: return (void*)(KFilterDev*)(QIODevice*)xptr;
        case 117: return (void*)(KTcpSocket*)(QIODevice*)xptr;
        case 8: return (void*)(KAutoSaveFile*)(QIODevice*)xptr;
        case 92: return (void*)(KSaveFile*)(QIODevice*)xptr;
        case 119: return (void*)(KTemporaryFile*)(QIODevice*)xptr;
        case 86: return (void*)(KProcess*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 161:   //QIncompatibleFlag
      switch(to) {
        case 161: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 162:   //QLatin1String
      switch(to) {
        case 162: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 163:   //QLibrary
      switch(to) {
        case 171: return (void*)(QObject*)(QLibrary*)xptr;
        case 163: return (void*)(QLibrary*)xptr;
        case 67: return (void*)(KLibrary*)(QLibrary*)xptr;
        default: return xptr;
      }
    case 164:   //QLine
      switch(to) {
        case 164: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 165:   //QLineF
      switch(to) {
        case 165: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 166:   //QLocale
      switch(to) {
        case 166: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 167:   //QMargins
      switch(to) {
        case 167: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 168:   //QMetaObject
      switch(to) {
        case 168: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 169:   //QMimeData
      switch(to) {
        case 171: return (void*)(QObject*)(QMimeData*)xptr;
        case 169: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 170:   //QNetworkProxy
      switch(to) {
        case 170: return (void*)(QNetworkProxy*)xptr;
        default: return xptr;
      }
    case 171:   //QObject
      switch(to) {
        case 171: return (void*)(QObject*)xptr;
        case 64: return (void*)(KJobTrackerInterface*)(QObject*)xptr;
        case 18: return (void*)(KCompositeJob*)(QObject*)xptr;
        case 85: return (void*)(KPluginLoader*)(QObject*)xptr;
        case 68: return (void*)(KLocalSocket*)(QObject*)xptr;
        case 62: return (void*)(KJob*)(QObject*)xptr;
        case 69: return (void*)(KLocalSocketServer*)(QObject*)xptr;
        case 204: return (void*)(Sonnet::BackgroundChecker*)(QObject*)xptr;
        case 9: return (void*)(KAutostart*)(QObject*)xptr;
        case 66: return (void*)(KLibLoader*)(QObject*)xptr;
        case 60: return (void*)(KFilterDev*)(QObject*)xptr;
        case 82: return (void*)(KPluginFactory*)(QObject*)xptr;
        case 117: return (void*)(KTcpSocket*)(QObject*)xptr;
        case 116: return (void*)(KSystemTimeZones*)(QObject*)xptr;
        case 6: return (void*)(KAuth::ActionWatcher*)(QObject*)xptr;
        case 8: return (void*)(KAutoSaveFile*)(QObject*)xptr;
        case 128: return (void*)(KToolInvocation*)(QObject*)xptr;
        case 136: return (void*)(OrgKdeKLauncherInterface*)(QObject*)xptr;
        case 67: return (void*)(KLibrary*)(QObject*)xptr;
        case 92: return (void*)(KSaveFile*)(QObject*)xptr;
        case 25: return (void*)(KCoreConfigSkeleton*)(QObject*)xptr;
        case 65: return (void*)(KJobUiDelegate*)(QObject*)xptr;
        case 119: return (void*)(KTemporaryFile*)(QObject*)xptr;
        case 50: return (void*)(KDEDModule*)(QObject*)xptr;
        case 108: return (void*)(KSycoca*)(QObject*)xptr;
        case 86: return (void*)(KProcess*)(QObject*)xptr;
        default: return xptr;
      }
    case 172:   //QPluginLoader
      switch(to) {
        case 171: return (void*)(QObject*)(QPluginLoader*)xptr;
        case 172: return (void*)(QPluginLoader*)xptr;
        case 85: return (void*)(KPluginLoader*)(QPluginLoader*)xptr;
        default: return xptr;
      }
    case 173:   //QPoint
      switch(to) {
        case 173: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 174:   //QPointF
      switch(to) {
        case 174: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 175:   //QProcess
      switch(to) {
        case 160: return (void*)(QIODevice*)(QProcess*)xptr;
        case 171: return (void*)(QObject*)(QProcess*)xptr;
        case 175: return (void*)(QProcess*)xptr;
        case 86: return (void*)(KProcess*)(QProcess*)xptr;
        default: return xptr;
      }
    case 176:   //QRect
      switch(to) {
        case 176: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 177:   //QRectF
      switch(to) {
        case 177: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 178:   //QRegExp
      switch(to) {
        case 178: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 179:   //QSharedData
      switch(to) {
        case 179: return (void*)(QSharedData*)xptr;
        case 88: return (void*)(KProtocolInfo*)(QSharedData*)xptr;
        case 96: return (void*)(KServiceType*)(QSharedData*)xptr;
        case 93: return (void*)(KService*)(QSharedData*)xptr;
        case 72: return (void*)(KLockFile*)(QSharedData*)xptr;
        case 109: return (void*)(KSycocaEntry*)(QSharedData*)xptr;
        case 99: return (void*)(KSharedConfig*)(QSharedData*)xptr;
        case 95: return (void*)(KServiceGroup*)(QSharedData*)xptr;
        case 78: return (void*)(KMimeType*)(QSharedData*)xptr;
        default: return xptr;
      }
    case 180:   //QSize
      switch(to) {
        case 180: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 181:   //QSizeF
      switch(to) {
        case 181: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 182:   //QSslCertificate
      switch(to) {
        case 182: return (void*)(QSslCertificate*)xptr;
        default: return xptr;
      }
    case 183:   //QSslCipher
      switch(to) {
        case 183: return (void*)(QSslCipher*)xptr;
        default: return xptr;
      }
    case 184:   //QSslError
      switch(to) {
        case 184: return (void*)(QSslError*)xptr;
        default: return xptr;
      }
    case 185:   //QSslKey
      switch(to) {
        case 185: return (void*)(QSslKey*)xptr;
        default: return xptr;
      }
    case 186:   //QString::Null
      switch(to) {
        case 186: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 187:   //QStringRef
      switch(to) {
        case 187: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 188:   //QTcpServer
      switch(to) {
        case 171: return (void*)(QObject*)(QTcpServer*)xptr;
        case 188: return (void*)(QTcpServer*)xptr;
        default: return xptr;
      }
    case 189:   //QTcpSocket
      switch(to) {
        case 138: return (void*)(QAbstractSocket*)(QTcpSocket*)xptr;
        case 160: return (void*)(QIODevice*)(QTcpSocket*)xptr;
        case 171: return (void*)(QObject*)(QTcpSocket*)xptr;
        case 189: return (void*)(QTcpSocket*)xptr;
        case 68: return (void*)(KLocalSocket*)(QTcpSocket*)xptr;
        default: return xptr;
      }
    case 190:   //QTemporaryFile
      switch(to) {
        case 155: return (void*)(QFile*)(QTemporaryFile*)xptr;
        case 160: return (void*)(QIODevice*)(QTemporaryFile*)xptr;
        case 171: return (void*)(QObject*)(QTemporaryFile*)xptr;
        case 190: return (void*)(QTemporaryFile*)xptr;
        case 119: return (void*)(KTemporaryFile*)(QTemporaryFile*)xptr;
        default: return xptr;
      }
    case 191:   //QTextCodec
      switch(to) {
        case 191: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 192:   //QTextDecoder
      switch(to) {
        case 192: return (void*)(QTextDecoder*)xptr;
        default: return xptr;
      }
    case 193:   //QTextStream
      switch(to) {
        case 193: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 194:   //QTextStreamManipulator
      switch(to) {
        case 194: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 195:   //QTime
      switch(to) {
        case 195: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 196:   //QTimerEvent
      switch(to) {
        case 154: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 196: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 197:   //QUdpSocket
      switch(to) {
        case 197: return (void*)(QUdpSocket*)xptr;
        default: return xptr;
      }
    case 198:   //QUrl
      switch(to) {
        case 198: return (void*)(QUrl*)xptr;
        case 132: return (void*)(KUrl*)(QUrl*)xptr;
        default: return xptr;
      }
    case 199:   //QUuid
      switch(to) {
        case 199: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 200:   //QVariant
      switch(to) {
        case 200: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 201:   //QVariantComparisonHelper
      switch(to) {
        case 201: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 202:   //QWidget
      switch(to) {
        case 202: return (void*)(QWidget*)xptr;
        default: return xptr;
      }
    case 204:   //Sonnet::BackgroundChecker
      switch(to) {
        case 171: return (void*)(QObject*)(Sonnet::BackgroundChecker*)xptr;
        case 204: return (void*)(Sonnet::BackgroundChecker*)xptr;
        default: return xptr;
      }
    case 205:   //Sonnet::Speller
      switch(to) {
        case 205: return (void*)(Sonnet::Speller*)xptr;
        default: return xptr;
      }
    case 206:   //_IO_FILE
      switch(to) {
        case 206: return (void*)(_IO_FILE*)xptr;
        default: return xptr;
      }
    case 207:   //group
      switch(to) {
        case 207: return (void*)(group*)xptr;
        default: return xptr;
      }
    case 208:   //kndbgstream
      switch(to) {
        case 208: return (void*)(kndbgstream*)xptr;
        default: return xptr;
      }
    case 209:   //passwd
      switch(to) {
        case 209: return (void*)(passwd*)xptr;
        default: return xptr;
      }
    case 210:   //std::bidirectional_iterator_tag
      switch(to) {
        case 210: return (void*)(std::bidirectional_iterator_tag*)xptr;
        default: return xptr;
      }
    case 211:   //std::random_access_iterator_tag
      switch(to) {
        case 211: return (void*)(std::random_access_iterator_tag*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    171, 0,	// 1: QObject
    155, 0,	// 3: QFile
    75, 0,	// 5: KMacroExpanderBase
    62, 0,	// 7: KJob
    21, 0,	// 9: KConfigBase
    0, 0,	// 11: KConfigSkeletonGenericItem
    32, 0,	// 13: KCoreConfigSkeleton::ItemInt
    42, 0,	// 15: KCoreConfigSkeleton::ItemString
    43, 0,	// 17: KCoreConfigSkeleton::ItemStringList
    20, 0,	// 19: KConfig
    160, 0,	// 21: QIODevice
    163, 0,	// 23: QLibrary
    189, 0,	// 25: QTcpSocket
    179, 0,	// 27: QSharedData
    96, 0,	// 29: KServiceType
    172, 0,	// 31: QPluginLoader
    175, 0,	// 33: QProcess
    109, 0,	// 35: KSycocaEntry
    20, 179, 0,	// 37: KConfig, QSharedData
    120, 0,	// 40: KTimeZone
    124, 0,	// 42: KTimeZoneBackend
    126, 0,	// 44: KTimeZoneSource
    190, 0,	// 46: QTemporaryFile
    198, 0,	// 48: QUrl
    145, 0,	// 50: QDBusAbstractInterface
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KAutostart(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KShell(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KLocalSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfig(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTcpSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KUser(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KSslError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KJob(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KServiceGroup(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KSslKey(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfigBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KFilterBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KLockFile(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KMessage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KStandardDirs(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KAboutData(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KUrl(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KCalendarSystem(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KAuth__ActionReply(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KProtocolInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KProcess(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KDateTime(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KService(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KCurrencyCode(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KLibLoader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KCmdLineArgs(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KEncodingProber(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KSycoca(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KMimeType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KCoreConfigSkeleton__ItemString(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KAuth__Action(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KProtocolInfo__ExtraField(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KEncodingDetector(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KGlobal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KComponentData(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Sonnet__Speller(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KAboutData(Smoke::Index, void*, Smoke::Stack);
void xcall_KAboutLicense(Smoke::Index, void*, Smoke::Stack);
void xcall_KAboutPerson(Smoke::Index, void*, Smoke::Stack);
void xcall_KAuth__Action(Smoke::Index, void*, Smoke::Stack);
void xcall_KAuth__ActionReply(Smoke::Index, void*, Smoke::Stack);
void xcall_KAuth__ActionWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_KAuthorized(Smoke::Index, void*, Smoke::Stack);
void xcall_KAutoSaveFile(Smoke::Index, void*, Smoke::Stack);
void xcall_KAutostart(Smoke::Index, void*, Smoke::Stack);
void xcall_KCalendarSystem(Smoke::Index, void*, Smoke::Stack);
void xcall_KCharMacroExpander(Smoke::Index, void*, Smoke::Stack);
void xcall_KCharsets(Smoke::Index, void*, Smoke::Stack);
void xcall_KCmdLineArgs(Smoke::Index, void*, Smoke::Stack);
void xcall_KCmdLineOptions(Smoke::Index, void*, Smoke::Stack);
void xcall_KCodecs(Smoke::Index, void*, Smoke::Stack);
void xcall_KComponentData(Smoke::Index, void*, Smoke::Stack);
void xcall_KCompositeJob(Smoke::Index, void*, Smoke::Stack);
void xcall_KConfig(Smoke::Index, void*, Smoke::Stack);
void xcall_KConfigBase(Smoke::Index, void*, Smoke::Stack);
void xcall_KConfigGroup(Smoke::Index, void*, Smoke::Stack);
void xcall_KConfigSkeletonItem(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemBool(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemDateTime(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemDouble(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemEnum(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemEnum__Choice(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemEnum__Choice2(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemInt(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemIntList(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemLongLong(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemPassword(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemPath(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemPathList(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemPoint(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemProperty(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemRect(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemSize(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemString(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemStringList(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemUInt(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemULongLong(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemUrl(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemUrlList(Smoke::Index, void*, Smoke::Stack);
void xcall_KCurrencyCode(Smoke::Index, void*, Smoke::Stack);
void xcall_KDE(Smoke::Index, void*, Smoke::Stack);
void xcall_KDEDModule(Smoke::Index, void*, Smoke::Stack);
void xcall_KDEPluginVerificationData(Smoke::Index, void*, Smoke::Stack);
void xcall_KDateTime(Smoke::Index, void*, Smoke::Stack);
void xcall_KDateTime__Spec(Smoke::Index, void*, Smoke::Stack);
void xcall_KDebug(Smoke::Index, void*, Smoke::Stack);
void xcall_KDebugTag(Smoke::Index, void*, Smoke::Stack);
void xcall_KDesktopFile(Smoke::Index, void*, Smoke::Stack);
void xcall_KEncodingDetector(Smoke::Index, void*, Smoke::Stack);
void xcall_KEncodingProber(Smoke::Index, void*, Smoke::Stack);
void xcall_KFilterBase(Smoke::Index, void*, Smoke::Stack);
void xcall_KFilterDev(Smoke::Index, void*, Smoke::Stack);
void xcall_KGlobal(Smoke::Index, void*, Smoke::Stack);
void xcall_KJob(Smoke::Index, void*, Smoke::Stack);
void xcall_KJobTrackerInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KJobUiDelegate(Smoke::Index, void*, Smoke::Stack);
void xcall_KLibLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_KLibrary(Smoke::Index, void*, Smoke::Stack);
void xcall_KLocalSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_KLocalSocketServer(Smoke::Index, void*, Smoke::Stack);
void xcall_KLocale(Smoke::Index, void*, Smoke::Stack);
void xcall_KLocalizedString(Smoke::Index, void*, Smoke::Stack);
void xcall_KLockFile(Smoke::Index, void*, Smoke::Stack);
void xcall_KMD5(Smoke::Index, void*, Smoke::Stack);
void xcall_KMacroExpander(Smoke::Index, void*, Smoke::Stack);
void xcall_KMacroExpanderBase(Smoke::Index, void*, Smoke::Stack);
void xcall_KMessage(Smoke::Index, void*, Smoke::Stack);
void xcall_KMessageHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_KMimeType(Smoke::Index, void*, Smoke::Stack);
void xcall_KMimeTypeTrader(Smoke::Index, void*, Smoke::Stack);
void xcall_KPluginFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_KPluginInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_KPluginLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_KProcess(Smoke::Index, void*, Smoke::Stack);
void xcall_KProtocolInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_KProtocolInfo__ExtraField(Smoke::Index, void*, Smoke::Stack);
void xcall_KRandom(Smoke::Index, void*, Smoke::Stack);
void xcall_KRandomSequence(Smoke::Index, void*, Smoke::Stack);
void xcall_KSaveFile(Smoke::Index, void*, Smoke::Stack);
void xcall_KService(Smoke::Index, void*, Smoke::Stack);
void xcall_KServiceAction(Smoke::Index, void*, Smoke::Stack);
void xcall_KServiceGroup(Smoke::Index, void*, Smoke::Stack);
void xcall_KServiceType(Smoke::Index, void*, Smoke::Stack);
void xcall_KServiceTypeTrader(Smoke::Index, void*, Smoke::Stack);
void xcall_KSharedConfig(Smoke::Index, void*, Smoke::Stack);
void xcall_KShell(Smoke::Index, void*, Smoke::Stack);
void xcall_KSocketFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_KSslCipher(Smoke::Index, void*, Smoke::Stack);
void xcall_KSslError(Smoke::Index, void*, Smoke::Stack);
void xcall_KSslErrorUiData(Smoke::Index, void*, Smoke::Stack);
void xcall_KSslKey(Smoke::Index, void*, Smoke::Stack);
void xcall_KStandardDirs(Smoke::Index, void*, Smoke::Stack);
void xcall_KStringHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_KSycoca(Smoke::Index, void*, Smoke::Stack);
void xcall_KSycocaEntry(Smoke::Index, void*, Smoke::Stack);
void xcall_KSystemTimeZone(Smoke::Index, void*, Smoke::Stack);
void xcall_KSystemTimeZoneBackend(Smoke::Index, void*, Smoke::Stack);
void xcall_KSystemTimeZoneSource(Smoke::Index, void*, Smoke::Stack);
void xcall_KSystemTimeZones(Smoke::Index, void*, Smoke::Stack);
void xcall_KTcpSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_KTempDir(Smoke::Index, void*, Smoke::Stack);
void xcall_KTemporaryFile(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZone(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZone__LeapSeconds(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZone__Phase(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZone__Transition(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZoneBackend(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZoneData(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZoneSource(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZones(Smoke::Index, void*, Smoke::Stack);
void xcall_KToolInvocation(Smoke::Index, void*, Smoke::Stack);
void xcall_KTzfileTimeZone(Smoke::Index, void*, Smoke::Stack);
void xcall_KTzfileTimeZoneBackend(Smoke::Index, void*, Smoke::Stack);
void xcall_KTzfileTimeZoneSource(Smoke::Index, void*, Smoke::Stack);
void xcall_KUrl(Smoke::Index, void*, Smoke::Stack);
void xcall_KUser(Smoke::Index, void*, Smoke::Stack);
void xcall_KUserGroup(Smoke::Index, void*, Smoke::Stack);
void xcall_KWordMacroExpander(Smoke::Index, void*, Smoke::Stack);
void xcall_OrgKdeKLauncherInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_Sonnet(Smoke::Index, void*, Smoke::Stack);
void xcall_Sonnet__BackgroundChecker(Smoke::Index, void*, Smoke::Stack);
void xcall_Sonnet__Speller(Smoke::Index, void*, Smoke::Stack);
void xcall_kndbgstream(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KAboutData", false, 0, xcall_KAboutData, xenum_KAboutData, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KAboutData) },	//1
    { "KAboutLicense", false, 0, xcall_KAboutLicense, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KAboutLicense) },	//2
    { "KAboutPerson", false, 0, xcall_KAboutPerson, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KAboutPerson) },	//3
    { "KAuth::Action", false, 0, xcall_KAuth__Action, xenum_KAuth__Action, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KAuth::Action) },	//4
    { "KAuth::ActionReply", false, 0, xcall_KAuth__ActionReply, xenum_KAuth__ActionReply, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KAuth::ActionReply) },	//5
    { "KAuth::ActionWatcher", false, 1, xcall_KAuth__ActionWatcher, 0, Smoke::cf_virtual, sizeof(KAuth::ActionWatcher) },	//6
    { "KAuthorized", false, 0, xcall_KAuthorized, 0, Smoke::cf_namespace, 0 },	//7
    { "KAutoSaveFile", false, 3, xcall_KAutoSaveFile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KAutoSaveFile) },	//8
    { "KAutostart", false, 1, xcall_KAutostart, xenum_KAutostart, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KAutostart) },	//9
    { "KCalendarSystem", false, 0, xcall_KCalendarSystem, xenum_KCalendarSystem, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KCalendarSystem) },	//10
    { "KCalendarSystemPrivate", true, 0, 0, 0, 0, 0 },	//11
    { "KCharMacroExpander", false, 5, xcall_KCharMacroExpander, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KCharMacroExpander) },	//12
    { "KCharsets", false, 0, xcall_KCharsets, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KCharsets) },	//13
    { "KCmdLineArgs", false, 0, xcall_KCmdLineArgs, xenum_KCmdLineArgs, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCmdLineArgs) },	//14
    { "KCmdLineOptions", false, 0, xcall_KCmdLineOptions, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCmdLineOptions) },	//15
    { "KCodecs", false, 0, xcall_KCodecs, 0, Smoke::cf_namespace, 0 },	//16
    { "KComponentData", false, 0, xcall_KComponentData, xenum_KComponentData, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KComponentData) },	//17
    { "KCompositeJob", false, 7, xcall_KCompositeJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KCompositeJob) },	//18
    { "KCompositeJobPrivate", true, 0, 0, 0, 0, 0 },	//19
    { "KConfig", false, 9, xcall_KConfig, xenum_KConfig, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KConfig) },	//20
    { "KConfigBase", false, 0, xcall_KConfigBase, xenum_KConfigBase, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KConfigBase) },	//21
    { "KConfigGroup", false, 9, xcall_KConfigGroup, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KConfigGroup) },	//22
    { "KConfigPrivate", true, 0, 0, 0, 0, 0 },	//23
    { "KConfigSkeletonItem", false, 0, xcall_KConfigSkeletonItem, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KConfigSkeletonItem) },	//24
    { "KCoreConfigSkeleton", false, 1, xcall_KCoreConfigSkeleton, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KCoreConfigSkeleton) },	//25
    { "KCoreConfigSkeleton::ItemBool", false, 11, xcall_KCoreConfigSkeleton__ItemBool, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemBool) },	//26
    { "KCoreConfigSkeleton::ItemDateTime", false, 11, xcall_KCoreConfigSkeleton__ItemDateTime, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemDateTime) },	//27
    { "KCoreConfigSkeleton::ItemDouble", false, 11, xcall_KCoreConfigSkeleton__ItemDouble, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemDouble) },	//28
    { "KCoreConfigSkeleton::ItemEnum", false, 13, xcall_KCoreConfigSkeleton__ItemEnum, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemEnum) },	//29
    { "KCoreConfigSkeleton::ItemEnum::Choice", false, 0, xcall_KCoreConfigSkeleton__ItemEnum__Choice, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemEnum::Choice) },	//30
    { "KCoreConfigSkeleton::ItemEnum::Choice2", false, 0, xcall_KCoreConfigSkeleton__ItemEnum__Choice2, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemEnum::Choice2) },	//31
    { "KCoreConfigSkeleton::ItemInt", false, 11, xcall_KCoreConfigSkeleton__ItemInt, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemInt) },	//32
    { "KCoreConfigSkeleton::ItemIntList", false, 11, xcall_KCoreConfigSkeleton__ItemIntList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemIntList) },	//33
    { "KCoreConfigSkeleton::ItemLongLong", false, 11, xcall_KCoreConfigSkeleton__ItemLongLong, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemLongLong) },	//34
    { "KCoreConfigSkeleton::ItemPassword", false, 15, xcall_KCoreConfigSkeleton__ItemPassword, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemPassword) },	//35
    { "KCoreConfigSkeleton::ItemPath", false, 15, xcall_KCoreConfigSkeleton__ItemPath, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemPath) },	//36
    { "KCoreConfigSkeleton::ItemPathList", false, 17, xcall_KCoreConfigSkeleton__ItemPathList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemPathList) },	//37
    { "KCoreConfigSkeleton::ItemPoint", false, 11, xcall_KCoreConfigSkeleton__ItemPoint, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemPoint) },	//38
    { "KCoreConfigSkeleton::ItemProperty", false, 11, xcall_KCoreConfigSkeleton__ItemProperty, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemProperty) },	//39
    { "KCoreConfigSkeleton::ItemRect", false, 11, xcall_KCoreConfigSkeleton__ItemRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemRect) },	//40
    { "KCoreConfigSkeleton::ItemSize", false, 11, xcall_KCoreConfigSkeleton__ItemSize, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemSize) },	//41
    { "KCoreConfigSkeleton::ItemString", false, 11, xcall_KCoreConfigSkeleton__ItemString, xenum_KCoreConfigSkeleton__ItemString, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemString) },	//42
    { "KCoreConfigSkeleton::ItemStringList", false, 11, xcall_KCoreConfigSkeleton__ItemStringList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemStringList) },	//43
    { "KCoreConfigSkeleton::ItemUInt", false, 11, xcall_KCoreConfigSkeleton__ItemUInt, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemUInt) },	//44
    { "KCoreConfigSkeleton::ItemULongLong", false, 11, xcall_KCoreConfigSkeleton__ItemULongLong, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemULongLong) },	//45
    { "KCoreConfigSkeleton::ItemUrl", false, 11, xcall_KCoreConfigSkeleton__ItemUrl, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemUrl) },	//46
    { "KCoreConfigSkeleton::ItemUrlList", false, 11, xcall_KCoreConfigSkeleton__ItemUrlList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemUrlList) },	//47
    { "KCurrencyCode", false, 0, xcall_KCurrencyCode, xenum_KCurrencyCode, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KCurrencyCode) },	//48
    { "KDE", false, 0, xcall_KDE, 0, Smoke::cf_namespace, 0 },	//49
    { "KDEDModule", false, 1, xcall_KDEDModule, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KDEDModule) },	//50
    { "KDEPluginVerificationData", false, 0, xcall_KDEPluginVerificationData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KDEPluginVerificationData) },	//51
    { "KDateTime", false, 0, xcall_KDateTime, xenum_KDateTime, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KDateTime) },	//52
    { "KDateTime::Spec", false, 0, xcall_KDateTime__Spec, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KDateTime::Spec) },	//53
    { "KDebug", false, 0, xcall_KDebug, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KDebug) },	//54
    { "KDebugTag", false, 0, xcall_KDebugTag, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KDebugTag) },	//55
    { "KDesktopFile", false, 19, xcall_KDesktopFile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KDesktopFile) },	//56
    { "KEncodingDetector", false, 0, xcall_KEncodingDetector, xenum_KEncodingDetector, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KEncodingDetector) },	//57
    { "KEncodingProber", false, 0, xcall_KEncodingProber, xenum_KEncodingProber, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KEncodingProber) },	//58
    { "KFilterBase", false, 0, xcall_KFilterBase, xenum_KFilterBase, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KFilterBase) },	//59
    { "KFilterDev", false, 21, xcall_KFilterDev, 0, Smoke::cf_virtual, sizeof(KFilterDev) },	//60
    { "KGlobal", false, 0, xcall_KGlobal, xenum_KGlobal, Smoke::cf_namespace, 0 },	//61
    { "KJob", false, 1, xcall_KJob, xenum_KJob, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KJob) },	//62
    { "KJobPrivate", true, 0, 0, 0, 0, 0 },	//63
    { "KJobTrackerInterface", false, 1, xcall_KJobTrackerInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KJobTrackerInterface) },	//64
    { "KJobUiDelegate", false, 1, xcall_KJobUiDelegate, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KJobUiDelegate) },	//65
    { "KLibLoader", false, 1, xcall_KLibLoader, xenum_KLibLoader, Smoke::cf_virtual, sizeof(KLibLoader) },	//66
    { "KLibrary", false, 23, xcall_KLibrary, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KLibrary) },	//67
    { "KLocalSocket", false, 25, xcall_KLocalSocket, xenum_KLocalSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KLocalSocket) },	//68
    { "KLocalSocketServer", false, 1, xcall_KLocalSocketServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KLocalSocketServer) },	//69
    { "KLocale", false, 0, xcall_KLocale, xenum_KLocale, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KLocale) },	//70
    { "KLocalizedString", false, 0, xcall_KLocalizedString, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KLocalizedString) },	//71
    { "KLockFile", false, 27, xcall_KLockFile, xenum_KLockFile, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KLockFile) },	//72
    { "KMD5", false, 0, xcall_KMD5, 0, Smoke::cf_constructor, sizeof(KMD5) },	//73
    { "KMacroExpander", false, 0, xcall_KMacroExpander, 0, Smoke::cf_namespace, 0 },	//74
    { "KMacroExpanderBase", false, 0, xcall_KMacroExpanderBase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KMacroExpanderBase) },	//75
    { "KMessage", false, 0, xcall_KMessage, xenum_KMessage, Smoke::cf_namespace, 0 },	//76
    { "KMessageHandler", false, 0, xcall_KMessageHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KMessageHandler) },	//77
    { "KMimeType", false, 29, xcall_KMimeType, xenum_KMimeType, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KMimeType) },	//78
    { "KMimeTypePrivate", true, 0, 0, 0, 0, 0 },	//79
    { "KMimeTypeTrader", false, 0, xcall_KMimeTypeTrader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KMimeTypeTrader) },	//80
    { "KParts::Part", true, 0, 0, 0, 0, 0 },	//81
    { "KPluginFactory", false, 1, xcall_KPluginFactory, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KPluginFactory) },	//82
    { "KPluginFactoryPrivate", true, 0, 0, 0, 0, 0 },	//83
    { "KPluginInfo", false, 0, xcall_KPluginInfo, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KPluginInfo) },	//84
    { "KPluginLoader", false, 31, xcall_KPluginLoader, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KPluginLoader) },	//85
    { "KProcess", false, 33, xcall_KProcess, xenum_KProcess, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KProcess) },	//86
    { "KProcessPrivate", true, 0, 0, 0, 0, 0 },	//87
    { "KProtocolInfo", false, 35, xcall_KProtocolInfo, xenum_KProtocolInfo, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KProtocolInfo) },	//88
    { "KProtocolInfo::ExtraField", false, 0, xcall_KProtocolInfo__ExtraField, xenum_KProtocolInfo__ExtraField, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KProtocolInfo::ExtraField) },	//89
    { "KRandom", false, 0, xcall_KRandom, 0, Smoke::cf_namespace, 0 },	//90
    { "KRandomSequence", false, 0, xcall_KRandomSequence, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KRandomSequence) },	//91
    { "KSaveFile", false, 3, xcall_KSaveFile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KSaveFile) },	//92
    { "KService", false, 35, xcall_KService, xenum_KService, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KService) },	//93
    { "KServiceAction", false, 0, xcall_KServiceAction, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KServiceAction) },	//94
    { "KServiceGroup", false, 35, xcall_KServiceGroup, xenum_KServiceGroup, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KServiceGroup) },	//95
    { "KServiceType", false, 35, xcall_KServiceType, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KServiceType) },	//96
    { "KServiceTypePrivate", true, 0, 0, 0, 0, 0 },	//97
    { "KServiceTypeTrader", false, 0, xcall_KServiceTypeTrader, 0, 0, sizeof(KServiceTypeTrader) },	//98
    { "KSharedConfig", false, 37, xcall_KSharedConfig, 0, Smoke::cf_virtual, sizeof(KSharedConfig) },	//99
    { "KShell", false, 0, xcall_KShell, xenum_KShell, Smoke::cf_namespace, 0 },	//100
    { "KSocketFactory", false, 0, xcall_KSocketFactory, 0, Smoke::cf_namespace, 0 },	//101
    { "KSslCipher", false, 0, xcall_KSslCipher, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KSslCipher) },	//102
    { "KSslError", false, 0, xcall_KSslError, xenum_KSslError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KSslError) },	//103
    { "KSslErrorUiData", false, 0, xcall_KSslErrorUiData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KSslErrorUiData) },	//104
    { "KSslKey", false, 0, xcall_KSslKey, xenum_KSslKey, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KSslKey) },	//105
    { "KStandardDirs", false, 0, xcall_KStandardDirs, xenum_KStandardDirs, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KStandardDirs) },	//106
    { "KStringHandler", false, 0, xcall_KStringHandler, 0, Smoke::cf_namespace, 0 },	//107
    { "KSycoca", false, 1, xcall_KSycoca, xenum_KSycoca, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KSycoca) },	//108
    { "KSycocaEntry", false, 27, xcall_KSycocaEntry, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KSycocaEntry) },	//109
    { "KSycocaEntryPrivate", true, 0, 0, 0, 0, 0 },	//110
    { "KSycocaFactory", true, 0, 0, 0, 0, 0 },	//111
    { "KSycocaFactoryList", true, 0, 0, 0, 0, 0 },	//112
    { "KSystemTimeZone", false, 40, xcall_KSystemTimeZone, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KSystemTimeZone) },	//113
    { "KSystemTimeZoneBackend", false, 42, xcall_KSystemTimeZoneBackend, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KSystemTimeZoneBackend) },	//114
    { "KSystemTimeZoneSource", false, 44, xcall_KSystemTimeZoneSource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KSystemTimeZoneSource) },	//115
    { "KSystemTimeZones", false, 1, xcall_KSystemTimeZones, 0, Smoke::cf_virtual, sizeof(KSystemTimeZones) },	//116
    { "KTcpSocket", false, 21, xcall_KTcpSocket, xenum_KTcpSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTcpSocket) },	//117
    { "KTempDir", false, 0, xcall_KTempDir, 0, Smoke::cf_constructor, sizeof(KTempDir) },	//118
    { "KTemporaryFile", false, 46, xcall_KTemporaryFile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTemporaryFile) },	//119
    { "KTimeZone", false, 0, xcall_KTimeZone, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTimeZone) },	//120
    { "KTimeZone::LeapSeconds", false, 0, xcall_KTimeZone__LeapSeconds, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KTimeZone::LeapSeconds) },	//121
    { "KTimeZone::Phase", false, 0, xcall_KTimeZone__Phase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KTimeZone::Phase) },	//122
    { "KTimeZone::Transition", false, 0, xcall_KTimeZone__Transition, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KTimeZone::Transition) },	//123
    { "KTimeZoneBackend", false, 0, xcall_KTimeZoneBackend, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTimeZoneBackend) },	//124
    { "KTimeZoneData", false, 0, xcall_KTimeZoneData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTimeZoneData) },	//125
    { "KTimeZoneSource", false, 0, xcall_KTimeZoneSource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTimeZoneSource) },	//126
    { "KTimeZones", false, 0, xcall_KTimeZones, 0, Smoke::cf_constructor, sizeof(KTimeZones) },	//127
    { "KToolInvocation", false, 1, xcall_KToolInvocation, 0, Smoke::cf_virtual, sizeof(KToolInvocation) },	//128
    { "KTzfileTimeZone", false, 40, xcall_KTzfileTimeZone, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTzfileTimeZone) },	//129
    { "KTzfileTimeZoneBackend", false, 42, xcall_KTzfileTimeZoneBackend, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTzfileTimeZoneBackend) },	//130
    { "KTzfileTimeZoneSource", false, 44, xcall_KTzfileTimeZoneSource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTzfileTimeZoneSource) },	//131
    { "KUrl", false, 48, xcall_KUrl, xenum_KUrl, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KUrl) },	//132
    { "KUser", false, 0, xcall_KUser, xenum_KUser, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KUser) },	//133
    { "KUserGroup", false, 0, xcall_KUserGroup, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KUserGroup) },	//134
    { "KWordMacroExpander", false, 5, xcall_KWordMacroExpander, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KWordMacroExpander) },	//135
    { "OrgKdeKLauncherInterface", false, 50, xcall_OrgKdeKLauncherInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(OrgKdeKLauncherInterface) },	//136
    { "QAbstractFileEngine", true, 0, 0, 0, 0, 0 },	//137
    { "QAbstractSocket", true, 0, 0, 0, 0, 0 },	//138
    { "QAuthenticator", true, 0, 0, 0, 0, 0 },	//139
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//140
    { "QBool", true, 0, 0, 0, 0, 0 },	//141
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//142
    { "QChar", true, 0, 0, 0, 0, 0 },	//143
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//144
    { "QDBusAbstractInterface", true, 0, 0, 0, 0, 0 },	//145
    { "QDBusArgument", true, 0, 0, 0, 0, 0 },	//146
    { "QDBusConnection", true, 0, 0, 0, 0, 0 },	//147
    { "QDBusObjectPath", true, 0, 0, 0, 0, 0 },	//148
    { "QDBusSignature", true, 0, 0, 0, 0, 0 },	//149
    { "QDBusVariant", true, 0, 0, 0, 0, 0 },	//150
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//151
    { "QDate", true, 0, 0, 0, 0, 0 },	//152
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//153
    { "QEvent", true, 0, 0, 0, 0, 0 },	//154
    { "QFile", true, 0, 0, 0, 0, 0 },	//155
    { "QFileInfo", true, 0, 0, 0, 0, 0 },	//156
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//157
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//158
    { "QHostAddress", true, 0, 0, 0, 0, 0 },	//159
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//160
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//161
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//162
    { "QLibrary", true, 0, 0, 0, 0, 0 },	//163
    { "QLine", true, 0, 0, 0, 0, 0 },	//164
    { "QLineF", true, 0, 0, 0, 0, 0 },	//165
    { "QLocale", true, 0, 0, 0, 0, 0 },	//166
    { "QMargins", true, 0, 0, 0, 0, 0 },	//167
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//168
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//169
    { "QNetworkProxy", true, 0, 0, 0, 0, 0 },	//170
    { "QObject", true, 0, 0, 0, 0, 0 },	//171
    { "QPluginLoader", true, 0, 0, 0, 0, 0 },	//172
    { "QPoint", true, 0, 0, 0, 0, 0 },	//173
    { "QPointF", true, 0, 0, 0, 0, 0 },	//174
    { "QProcess", true, 0, 0, 0, 0, 0 },	//175
    { "QRect", true, 0, 0, 0, 0, 0 },	//176
    { "QRectF", true, 0, 0, 0, 0, 0 },	//177
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//178
    { "QSharedData", true, 0, 0, 0, 0, 0 },	//179
    { "QSize", true, 0, 0, 0, 0, 0 },	//180
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//181
    { "QSslCertificate", true, 0, 0, 0, 0, 0 },	//182
    { "QSslCipher", true, 0, 0, 0, 0, 0 },	//183
    { "QSslError", true, 0, 0, 0, 0, 0 },	//184
    { "QSslKey", true, 0, 0, 0, 0, 0 },	//185
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//186
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//187
    { "QTcpServer", true, 0, 0, 0, 0, 0 },	//188
    { "QTcpSocket", true, 0, 0, 0, 0, 0 },	//189
    { "QTemporaryFile", true, 0, 0, 0, 0, 0 },	//190
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//191
    { "QTextDecoder", true, 0, 0, 0, 0, 0 },	//192
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//193
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//194
    { "QTime", true, 0, 0, 0, 0, 0 },	//195
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//196
    { "QUdpSocket", true, 0, 0, 0, 0, 0 },	//197
    { "QUrl", true, 0, 0, 0, 0, 0 },	//198
    { "QUuid", true, 0, 0, 0, 0, 0 },	//199
    { "QVariant", true, 0, 0, 0, 0, 0 },	//200
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//201
    { "QWidget", true, 0, 0, 0, 0, 0 },	//202
    { "Sonnet", false, 0, xcall_Sonnet, 0, Smoke::cf_namespace, 0 },	//203
    { "Sonnet::BackgroundChecker", false, 1, xcall_Sonnet__BackgroundChecker, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Sonnet::BackgroundChecker) },	//204
    { "Sonnet::Speller", false, 0, xcall_Sonnet__Speller, xenum_Sonnet__Speller, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Sonnet::Speller) },	//205
    { "_IO_FILE", true, 0, 0, 0, 0, 0 },	//206
    { "group", true, 0, 0, 0, 0, 0 },	//207
    { "kndbgstream", false, 0, xcall_kndbgstream, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(kndbgstream) },	//208
    { "passwd", true, 0, 0, 0, 0, 0 },	//209
    { "std::bidirectional_iterator_tag", true, 0, 0, 0, 0, 0 },	//210
    { "std::random_access_iterator_tag", true, 0, 0, 0, 0, 0 },	//211
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "DatabaseType", 0, Smoke::t_voidp|Smoke::tf_stack },	//1
    { "FileNameUsedForCopying", 0, Smoke::t_voidp|Smoke::tf_stack },	//2
    { "KAboutData&", 1, Smoke::t_class|Smoke::tf_ref },	//3
    { "KAboutData*", 1, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KAboutData::LicenseKey", 1, Smoke::t_enum|Smoke::tf_stack },	//5
    { "KAboutData::NameFormat", 1, Smoke::t_enum|Smoke::tf_stack },	//6
    { "KAboutLicense", 2, Smoke::t_class|Smoke::tf_stack },	//7
    { "KAboutLicense&", 2, Smoke::t_class|Smoke::tf_ref },	//8
    { "KAboutLicense*", 2, Smoke::t_class|Smoke::tf_ptr },	//9
    { "KAboutPerson&", 3, Smoke::t_class|Smoke::tf_ref },	//10
    { "KAboutPerson*", 3, Smoke::t_class|Smoke::tf_ptr },	//11
    { "KAuth::Action&", 4, Smoke::t_class|Smoke::tf_ref },	//12
    { "KAuth::Action*", 4, Smoke::t_class|Smoke::tf_ptr },	//13
    { "KAuth::Action::AuthStatus", 4, Smoke::t_enum|Smoke::tf_stack },	//14
    { "KAuth::ActionReply", 5, Smoke::t_class|Smoke::tf_stack },	//15
    { "KAuth::ActionReply&", 5, Smoke::t_class|Smoke::tf_ref },	//16
    { "KAuth::ActionReply*", 5, Smoke::t_class|Smoke::tf_ptr },	//17
    { "KAuth::ActionReply::Error", 5, Smoke::t_enum|Smoke::tf_stack },	//18
    { "KAuth::ActionReply::Type", 5, Smoke::t_enum|Smoke::tf_stack },	//19
    { "KAuth::ActionWatcher*", 6, Smoke::t_class|Smoke::tf_ptr },	//20
    { "KAutoSaveFile*", 8, Smoke::t_class|Smoke::tf_ptr },	//21
    { "KAutostart*", 9, Smoke::t_class|Smoke::tf_ptr },	//22
    { "KAutostart::Condition", 9, Smoke::t_enum|Smoke::tf_stack },	//23
    { "KAutostart::StartPhase", 9, Smoke::t_enum|Smoke::tf_stack },	//24
    { "KCalendarSystem*", 10, Smoke::t_class|Smoke::tf_ptr },	//25
    { "KCalendarSystem::MonthNameFormat", 10, Smoke::t_enum|Smoke::tf_stack },	//26
    { "KCalendarSystem::StringFormat", 10, Smoke::t_enum|Smoke::tf_stack },	//27
    { "KCalendarSystem::WeekDayNameFormat", 10, Smoke::t_enum|Smoke::tf_stack },	//28
    { "KCalendarSystemPrivate&", 11, Smoke::t_class|Smoke::tf_ref },	//29
    { "KCharMacroExpander*", 12, Smoke::t_class|Smoke::tf_ptr },	//30
    { "KCharsets*", 13, Smoke::t_class|Smoke::tf_ptr },	//31
    { "KCmdLineArgs*", 14, Smoke::t_class|Smoke::tf_ptr },	//32
    { "KCmdLineArgs::StdCmdLineArg", 14, Smoke::t_enum|Smoke::tf_stack },	//33
    { "KCmdLineOptions&", 15, Smoke::t_class|Smoke::tf_ref },	//34
    { "KCmdLineOptions*", 15, Smoke::t_class|Smoke::tf_ptr },	//35
    { "KComponentData", 17, Smoke::t_class|Smoke::tf_stack },	//36
    { "KComponentData&", 17, Smoke::t_class|Smoke::tf_ref },	//37
    { "KComponentData*", 17, Smoke::t_class|Smoke::tf_ptr },	//38
    { "KComponentData::MainComponentRegistration", 17, Smoke::t_enum|Smoke::tf_stack },	//39
    { "KCompositeJob*", 18, Smoke::t_class|Smoke::tf_ptr },	//40
    { "KCompositeJobPrivate&", 19, Smoke::t_class|Smoke::tf_ref },	//41
    { "KConfig*", 20, Smoke::t_class|Smoke::tf_ptr },	//42
    { "KConfig::OpenFlag", 20, Smoke::t_enum|Smoke::tf_stack },	//43
    { "KConfigBase*", 21, Smoke::t_class|Smoke::tf_ptr },	//44
    { "KConfigBase::AccessMode", 21, Smoke::t_enum|Smoke::tf_stack },	//45
    { "KConfigBase::WriteConfigFlag", 21, Smoke::t_enum|Smoke::tf_stack },	//46
    { "KConfigGroup", 22, Smoke::t_class|Smoke::tf_stack },	//47
    { "KConfigGroup&", 22, Smoke::t_class|Smoke::tf_ref },	//48
    { "KConfigGroup*", 22, Smoke::t_class|Smoke::tf_ptr },	//49
    { "KConfigPrivate&", 23, Smoke::t_class|Smoke::tf_ref },	//50
    { "KConfigSkeletonItem*", 24, Smoke::t_class|Smoke::tf_ptr },	//51
    { "KCoreConfigSkeleton*", 25, Smoke::t_class|Smoke::tf_ptr },	//52
    { "KCoreConfigSkeleton::ItemBool*", 26, Smoke::t_class|Smoke::tf_ptr },	//53
    { "KCoreConfigSkeleton::ItemDateTime*", 27, Smoke::t_class|Smoke::tf_ptr },	//54
    { "KCoreConfigSkeleton::ItemDouble*", 28, Smoke::t_class|Smoke::tf_ptr },	//55
    { "KCoreConfigSkeleton::ItemEnum*", 29, Smoke::t_class|Smoke::tf_ptr },	//56
    { "KCoreConfigSkeleton::ItemEnum::Choice*", 30, Smoke::t_class|Smoke::tf_ptr },	//57
    { "KCoreConfigSkeleton::ItemEnum::Choice2*", 31, Smoke::t_class|Smoke::tf_ptr },	//58
    { "KCoreConfigSkeleton::ItemInt*", 32, Smoke::t_class|Smoke::tf_ptr },	//59
    { "KCoreConfigSkeleton::ItemIntList*", 33, Smoke::t_class|Smoke::tf_ptr },	//60
    { "KCoreConfigSkeleton::ItemLongLong*", 34, Smoke::t_class|Smoke::tf_ptr },	//61
    { "KCoreConfigSkeleton::ItemPassword*", 35, Smoke::t_class|Smoke::tf_ptr },	//62
    { "KCoreConfigSkeleton::ItemPath*", 36, Smoke::t_class|Smoke::tf_ptr },	//63
    { "KCoreConfigSkeleton::ItemPathList*", 37, Smoke::t_class|Smoke::tf_ptr },	//64
    { "KCoreConfigSkeleton::ItemPoint*", 38, Smoke::t_class|Smoke::tf_ptr },	//65
    { "KCoreConfigSkeleton::ItemProperty*", 39, Smoke::t_class|Smoke::tf_ptr },	//66
    { "KCoreConfigSkeleton::ItemRect*", 40, Smoke::t_class|Smoke::tf_ptr },	//67
    { "KCoreConfigSkeleton::ItemSize*", 41, Smoke::t_class|Smoke::tf_ptr },	//68
    { "KCoreConfigSkeleton::ItemString*", 42, Smoke::t_class|Smoke::tf_ptr },	//69
    { "KCoreConfigSkeleton::ItemString::Type", 42, Smoke::t_enum|Smoke::tf_stack },	//70
    { "KCoreConfigSkeleton::ItemStringList*", 43, Smoke::t_class|Smoke::tf_ptr },	//71
    { "KCoreConfigSkeleton::ItemUInt*", 44, Smoke::t_class|Smoke::tf_ptr },	//72
    { "KCoreConfigSkeleton::ItemULongLong*", 45, Smoke::t_class|Smoke::tf_ptr },	//73
    { "KCoreConfigSkeleton::ItemUrl*", 46, Smoke::t_class|Smoke::tf_ptr },	//74
    { "KCoreConfigSkeleton::ItemUrlList*", 47, Smoke::t_class|Smoke::tf_ptr },	//75
    { "KCurrencyCode&", 48, Smoke::t_class|Smoke::tf_ref },	//76
    { "KCurrencyCode*", 48, Smoke::t_class|Smoke::tf_ptr },	//77
    { "KCurrencyCode::CurrencyStatus", 48, Smoke::t_enum|Smoke::tf_stack },	//78
    { "KDEDModule*", 50, Smoke::t_class|Smoke::tf_ptr },	//79
    { "KDEPluginVerificationData*", 51, Smoke::t_class|Smoke::tf_ptr },	//80
    { "KDateTime", 52, Smoke::t_class|Smoke::tf_stack },	//81
    { "KDateTime&", 52, Smoke::t_class|Smoke::tf_ref },	//82
    { "KDateTime*", 52, Smoke::t_class|Smoke::tf_ptr },	//83
    { "KDateTime::Comparison", 52, Smoke::t_enum|Smoke::tf_stack },	//84
    { "KDateTime::Spec", 53, Smoke::t_class|Smoke::tf_stack },	//85
    { "KDateTime::Spec&", 53, Smoke::t_class|Smoke::tf_ref },	//86
    { "KDateTime::Spec*", 53, Smoke::t_class|Smoke::tf_ptr },	//87
    { "KDateTime::SpecType", 52, Smoke::t_enum|Smoke::tf_stack },	//88
    { "KDateTime::TimeFormat", 52, Smoke::t_enum|Smoke::tf_stack },	//89
    { "KDebug*", 54, Smoke::t_class|Smoke::tf_ptr },	//90
    { "KDebugTag*", 55, Smoke::t_class|Smoke::tf_ptr },	//91
    { "KDesktopFile*", 56, Smoke::t_class|Smoke::tf_ptr },	//92
    { "KEncodingDetector*", 57, Smoke::t_class|Smoke::tf_ptr },	//93
    { "KEncodingDetector::AutoDetectScript", 57, Smoke::t_enum|Smoke::tf_stack },	//94
    { "KEncodingDetector::EncodingChoiceSource", 57, Smoke::t_enum|Smoke::tf_stack },	//95
    { "KEncodingProber*", 58, Smoke::t_class|Smoke::tf_ptr },	//96
    { "KEncodingProber::ProberState", 58, Smoke::t_enum|Smoke::tf_stack },	//97
    { "KEncodingProber::ProberType", 58, Smoke::t_enum|Smoke::tf_stack },	//98
    { "KFilterBase*", 59, Smoke::t_class|Smoke::tf_ptr },	//99
    { "KFilterBase::FilterFlags", 59, Smoke::t_enum|Smoke::tf_stack },	//100
    { "KFilterBase::Result", 59, Smoke::t_enum|Smoke::tf_stack },	//101
    { "KGlobal::CopyCatalogs", 61, Smoke::t_enum|Smoke::tf_stack },	//102
    { "KJob*", 62, Smoke::t_class|Smoke::tf_ptr },	//103
    { "KJob::Capability", 62, Smoke::t_enum|Smoke::tf_stack },	//104
    { "KJob::KillVerbosity", 62, Smoke::t_enum|Smoke::tf_stack },	//105
    { "KJob::Unit", 62, Smoke::t_enum|Smoke::tf_stack },	//106
    { "KJobPrivate&", 63, Smoke::t_class|Smoke::tf_ref },	//107
    { "KJobTrackerInterface*", 64, Smoke::t_class|Smoke::tf_ptr },	//108
    { "KJobUiDelegate*", 65, Smoke::t_class|Smoke::tf_ptr },	//109
    { "KLibLoader*", 66, Smoke::t_class|Smoke::tf_ptr },	//110
    { "KLibLoader::ComponentLoadingError", 66, Smoke::t_enum|Smoke::tf_stack },	//111
    { "KLibrary*", 67, Smoke::t_class|Smoke::tf_ptr },	//112
    { "KLocalSocket*", 68, Smoke::t_class|Smoke::tf_ptr },	//113
    { "KLocalSocket::LocalSocketType", 68, Smoke::t_enum|Smoke::tf_stack },	//114
    { "KLocalSocketServer*", 69, Smoke::t_class|Smoke::tf_ptr },	//115
    { "KLocale&", 70, Smoke::t_class|Smoke::tf_ref },	//116
    { "KLocale*", 70, Smoke::t_class|Smoke::tf_ptr },	//117
    { "KLocale::BinarySizeUnits", 70, Smoke::t_enum|Smoke::tf_stack },	//118
    { "KLocale::BinaryUnitDialect", 70, Smoke::t_enum|Smoke::tf_stack },	//119
    { "KLocale::DateFormat", 70, Smoke::t_enum|Smoke::tf_stack },	//120
    { "KLocale::DateTimeFormatOption", 70, Smoke::t_enum|Smoke::tf_stack },	//121
    { "KLocale::DateTimeFormatStandard", 70, Smoke::t_enum|Smoke::tf_stack },	//122
    { "KLocale::DigitSet", 70, Smoke::t_enum|Smoke::tf_stack },	//123
    { "KLocale::MeasureSystem", 70, Smoke::t_enum|Smoke::tf_stack },	//124
    { "KLocale::ReadDateFlags", 70, Smoke::t_enum|Smoke::tf_stack },	//125
    { "KLocale::ReadTimeFlags", 70, Smoke::t_enum|Smoke::tf_stack },	//126
    { "KLocale::SignPosition", 70, Smoke::t_enum|Smoke::tf_stack },	//127
    { "KLocale::TimeFormatOption", 70, Smoke::t_enum|Smoke::tf_stack },	//128
    { "KLocale::TimeProcessingOption", 70, Smoke::t_enum|Smoke::tf_stack },	//129
    { "KLocalizedString", 71, Smoke::t_class|Smoke::tf_stack },	//130
    { "KLocalizedString&", 71, Smoke::t_class|Smoke::tf_ref },	//131
    { "KLocalizedString*", 71, Smoke::t_class|Smoke::tf_ptr },	//132
    { "KLockFile*", 72, Smoke::t_class|Smoke::tf_ptr },	//133
    { "KLockFile::LockFlag", 72, Smoke::t_enum|Smoke::tf_stack },	//134
    { "KLockFile::LockResult", 72, Smoke::t_enum|Smoke::tf_stack },	//135
    { "KMD5*", 73, Smoke::t_class|Smoke::tf_ptr },	//136
    { "KMacroExpanderBase*", 75, Smoke::t_class|Smoke::tf_ptr },	//137
    { "KMessage::MessageType", 76, Smoke::t_enum|Smoke::tf_stack },	//138
    { "KMessageHandler*", 77, Smoke::t_class|Smoke::tf_ptr },	//139
    { "KMimeType*", 78, Smoke::t_class|Smoke::tf_ptr },	//140
    { "KMimeType::FindByNameOption", 78, Smoke::t_enum|Smoke::tf_stack },	//141
    { "KMimeTypePrivate&", 79, Smoke::t_class|Smoke::tf_ref },	//142
    { "KMimeTypeTrader*", 80, Smoke::t_class|Smoke::tf_ptr },	//143
    { "KParts::Part*", 81, Smoke::t_class|Smoke::tf_ptr },	//144
    { "KPluginFactory*", 82, Smoke::t_class|Smoke::tf_ptr },	//145
    { "KPluginFactoryPrivate&", 83, Smoke::t_class|Smoke::tf_ref },	//146
    { "KPluginInfo&", 84, Smoke::t_class|Smoke::tf_ref },	//147
    { "KPluginInfo*", 84, Smoke::t_class|Smoke::tf_ptr },	//148
    { "KPluginLoader*", 85, Smoke::t_class|Smoke::tf_ptr },	//149
    { "KProcess&", 86, Smoke::t_class|Smoke::tf_ref },	//150
    { "KProcess*", 86, Smoke::t_class|Smoke::tf_ptr },	//151
    { "KProcess::OutputChannelMode", 86, Smoke::t_enum|Smoke::tf_stack },	//152
    { "KProcessPrivate*", 87, Smoke::t_class|Smoke::tf_ptr },	//153
    { "KProtocolInfo*", 88, Smoke::t_class|Smoke::tf_ptr },	//154
    { "KProtocolInfo::ExtraField&", 89, Smoke::t_class|Smoke::tf_ref },	//155
    { "KProtocolInfo::ExtraField*", 89, Smoke::t_class|Smoke::tf_ptr },	//156
    { "KProtocolInfo::ExtraField::Type", 89, Smoke::t_enum|Smoke::tf_stack },	//157
    { "KProtocolInfo::FileNameUsedForCopying", 88, Smoke::t_enum|Smoke::tf_stack },	//158
    { "KProtocolInfo::Type", 88, Smoke::t_enum|Smoke::tf_stack },	//159
    { "KRandomSequence&", 91, Smoke::t_class|Smoke::tf_ref },	//160
    { "KRandomSequence*", 91, Smoke::t_class|Smoke::tf_ptr },	//161
    { "KSaveFile*", 92, Smoke::t_class|Smoke::tf_ptr },	//162
    { "KService*", 93, Smoke::t_class|Smoke::tf_ptr },	//163
    { "KService::DBusStartupType", 93, Smoke::t_enum|Smoke::tf_stack },	//164
    { "KServiceAction&", 94, Smoke::t_class|Smoke::tf_ref },	//165
    { "KServiceAction*", 94, Smoke::t_class|Smoke::tf_ptr },	//166
    { "KServiceGroup*", 95, Smoke::t_class|Smoke::tf_ptr },	//167
    { "KServiceGroup::EntriesOption", 95, Smoke::t_enum|Smoke::tf_stack },	//168
    { "KServiceType*", 96, Smoke::t_class|Smoke::tf_ptr },	//169
    { "KServiceTypePrivate&", 97, Smoke::t_class|Smoke::tf_ref },	//170
    { "KServiceTypeTrader*", 98, Smoke::t_class|Smoke::tf_ptr },	//171
    { "KSharedPtr<KMimeType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//172
    { "KSharedPtr<KService>", 0, Smoke::t_voidp|Smoke::tf_stack },	//173
    { "KSharedPtr<KServiceGroup>", 0, Smoke::t_voidp|Smoke::tf_stack },	//174
    { "KSharedPtr<KServiceType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//175
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//176
    { "KShell::Errors", 100, Smoke::t_enum|Smoke::tf_stack },	//177
    { "KShell::Errors*", 100, Smoke::t_enum|Smoke::tf_ptr },	//178
    { "KShell::Option", 100, Smoke::t_enum|Smoke::tf_stack },	//179
    { "KSslCipher", 102, Smoke::t_class|Smoke::tf_stack },	//180
    { "KSslCipher&", 102, Smoke::t_class|Smoke::tf_ref },	//181
    { "KSslCipher*", 102, Smoke::t_class|Smoke::tf_ptr },	//182
    { "KSslError&", 103, Smoke::t_class|Smoke::tf_ref },	//183
    { "KSslError*", 103, Smoke::t_class|Smoke::tf_ptr },	//184
    { "KSslError::Error", 103, Smoke::t_enum|Smoke::tf_stack },	//185
    { "KSslErrorUiData&", 104, Smoke::t_class|Smoke::tf_ref },	//186
    { "KSslErrorUiData*", 104, Smoke::t_class|Smoke::tf_ptr },	//187
    { "KSslKey", 105, Smoke::t_class|Smoke::tf_stack },	//188
    { "KSslKey&", 105, Smoke::t_class|Smoke::tf_ref },	//189
    { "KSslKey*", 105, Smoke::t_class|Smoke::tf_ptr },	//190
    { "KSslKey::Algorithm", 105, Smoke::t_enum|Smoke::tf_stack },	//191
    { "KSslKey::KeySecrecy", 105, Smoke::t_enum|Smoke::tf_stack },	//192
    { "KStandardDirs*", 106, Smoke::t_class|Smoke::tf_ptr },	//193
    { "KStandardDirs::SearchOption", 106, Smoke::t_enum|Smoke::tf_stack },	//194
    { "KSycoca*", 108, Smoke::t_class|Smoke::tf_ptr },	//195
    { "KSycoca::DatabaseType", 108, Smoke::t_enum|Smoke::tf_stack },	//196
    { "KSycocaEntry*", 109, Smoke::t_class|Smoke::tf_ptr },	//197
    { "KSycocaEntryPrivate&", 110, Smoke::t_class|Smoke::tf_ref },	//198
    { "KSycocaFactory*", 111, Smoke::t_class|Smoke::tf_ptr },	//199
    { "KSycocaFactoryId", 157, Smoke::t_enum|Smoke::tf_stack },	//200
    { "KSycocaFactoryList*", 112, Smoke::t_class|Smoke::tf_ptr },	//201
    { "KSycocaType", 157, Smoke::t_enum|Smoke::tf_stack },	//202
    { "KSycocaType&", 157, Smoke::t_enum|Smoke::tf_ref },	//203
    { "KSystemTimeZone*", 113, Smoke::t_class|Smoke::tf_ptr },	//204
    { "KSystemTimeZoneBackend*", 114, Smoke::t_class|Smoke::tf_ptr },	//205
    { "KSystemTimeZoneSource*", 115, Smoke::t_class|Smoke::tf_ptr },	//206
    { "KTcpSocket*", 117, Smoke::t_class|Smoke::tf_ptr },	//207
    { "KTcpSocket::EncryptionMode", 117, Smoke::t_enum|Smoke::tf_stack },	//208
    { "KTcpSocket::Error", 117, Smoke::t_enum|Smoke::tf_stack },	//209
    { "KTcpSocket::ProxyPolicy", 117, Smoke::t_enum|Smoke::tf_stack },	//210
    { "KTcpSocket::SslVersion", 117, Smoke::t_enum|Smoke::tf_stack },	//211
    { "KTcpSocket::State", 117, Smoke::t_enum|Smoke::tf_stack },	//212
    { "KTempDir*", 118, Smoke::t_class|Smoke::tf_ptr },	//213
    { "KTemporaryFile*", 119, Smoke::t_class|Smoke::tf_ptr },	//214
    { "KTimeZone", 120, Smoke::t_class|Smoke::tf_stack },	//215
    { "KTimeZone&", 120, Smoke::t_class|Smoke::tf_ref },	//216
    { "KTimeZone*", 120, Smoke::t_class|Smoke::tf_ptr },	//217
    { "KTimeZone::LeapSeconds", 121, Smoke::t_class|Smoke::tf_stack },	//218
    { "KTimeZone::LeapSeconds&", 121, Smoke::t_class|Smoke::tf_ref },	//219
    { "KTimeZone::LeapSeconds*", 121, Smoke::t_class|Smoke::tf_ptr },	//220
    { "KTimeZone::Phase", 122, Smoke::t_class|Smoke::tf_stack },	//221
    { "KTimeZone::Phase&", 122, Smoke::t_class|Smoke::tf_ref },	//222
    { "KTimeZone::Phase*", 122, Smoke::t_class|Smoke::tf_ptr },	//223
    { "KTimeZone::Transition&", 123, Smoke::t_class|Smoke::tf_ref },	//224
    { "KTimeZone::Transition*", 123, Smoke::t_class|Smoke::tf_ptr },	//225
    { "KTimeZoneBackend&", 124, Smoke::t_class|Smoke::tf_ref },	//226
    { "KTimeZoneBackend*", 124, Smoke::t_class|Smoke::tf_ptr },	//227
    { "KTimeZoneData&", 125, Smoke::t_class|Smoke::tf_ref },	//228
    { "KTimeZoneData*", 125, Smoke::t_class|Smoke::tf_ptr },	//229
    { "KTimeZoneSource*", 126, Smoke::t_class|Smoke::tf_ptr },	//230
    { "KTimeZones*", 127, Smoke::t_class|Smoke::tf_ptr },	//231
    { "KToolInvocation*", 128, Smoke::t_class|Smoke::tf_ptr },	//232
    { "KTzfileTimeZone*", 129, Smoke::t_class|Smoke::tf_ptr },	//233
    { "KTzfileTimeZoneBackend*", 130, Smoke::t_class|Smoke::tf_ptr },	//234
    { "KTzfileTimeZoneSource*", 131, Smoke::t_class|Smoke::tf_ptr },	//235
    { "KUrl", 132, Smoke::t_class|Smoke::tf_stack },	//236
    { "KUrl&", 132, Smoke::t_class|Smoke::tf_ref },	//237
    { "KUrl*", 132, Smoke::t_class|Smoke::tf_ptr },	//238
    { "KUrl::AdjustPathOption", 132, Smoke::t_enum|Smoke::tf_stack },	//239
    { "KUrl::CleanPathOption", 132, Smoke::t_enum|Smoke::tf_stack },	//240
    { "KUrl::DirectoryOption", 132, Smoke::t_enum|Smoke::tf_stack },	//241
    { "KUrl::EncodedPathAndQueryOption", 132, Smoke::t_enum|Smoke::tf_stack },	//242
    { "KUrl::EqualsOption", 132, Smoke::t_enum|Smoke::tf_stack },	//243
    { "KUrl::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//244
    { "KUrl::List&", 0, Smoke::t_voidp|Smoke::tf_ref },	//245
    { "KUrl::MimeDataFlags", 132, Smoke::t_enum|Smoke::tf_stack },	//246
    { "KUrl::QueryItemsOption", 132, Smoke::t_enum|Smoke::tf_stack },	//247
    { "KUser&", 133, Smoke::t_class|Smoke::tf_ref },	//248
    { "KUser*", 133, Smoke::t_class|Smoke::tf_ptr },	//249
    { "KUser::UIDMode", 133, Smoke::t_enum|Smoke::tf_stack },	//250
    { "KUser::UserProperty", 133, Smoke::t_enum|Smoke::tf_stack },	//251
    { "KUserGroup&", 134, Smoke::t_class|Smoke::tf_ref },	//252
    { "KUserGroup*", 134, Smoke::t_class|Smoke::tf_ptr },	//253
    { "KWordMacroExpander*", 135, Smoke::t_class|Smoke::tf_ptr },	//254
    { "OrgKdeKLauncherInterface*", 136, Smoke::t_class|Smoke::tf_ptr },	//255
    { "QAbstractFileEngine*", 137, Smoke::t_class|Smoke::tf_ptr },	//256
    { "QAbstractFileEngine::FileFlag", 137, Smoke::t_enum|Smoke::tf_stack },	//257
    { "QAbstractSocket::SocketError", 138, Smoke::t_enum|Smoke::tf_stack },	//258
    { "QAbstractSocket::SocketOption", 138, Smoke::t_enum|Smoke::tf_stack },	//259
    { "QAuthenticator*", 139, Smoke::t_class|Smoke::tf_ptr },	//260
    { "QBitArray", 140, Smoke::t_class|Smoke::tf_stack },	//261
    { "QBitArray&", 140, Smoke::t_class|Smoke::tf_ref },	//262
    { "QBool", 141, Smoke::t_class|Smoke::tf_stack },	//263
    { "QByteArray", 142, Smoke::t_class|Smoke::tf_stack },	//264
    { "QByteArray&", 142, Smoke::t_class|Smoke::tf_ref },	//265
    { "QChar", 143, Smoke::t_class|Smoke::tf_stack },	//266
    { "QChar&", 143, Smoke::t_class|Smoke::tf_ref },	//267
    { "QChildEvent*", 144, Smoke::t_class|Smoke::tf_ptr },	//268
    { "QDBus::CallMode", 0, Smoke::t_enum|Smoke::tf_stack },	//269
    { "QDBusArgument&", 146, Smoke::t_class|Smoke::tf_ref },	//270
    { "QDBusConnection::RegisterOption", 147, Smoke::t_enum|Smoke::tf_stack },	//271
    { "QDBusReply<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//272
    { "QDBusReply<void>", 0, Smoke::t_voidp|Smoke::tf_stack },	//273
    { "QDBusServiceWatcher::WatchModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//274
    { "QDataStream&", 151, Smoke::t_class|Smoke::tf_ref },	//275
    { "QDataStream*", 151, Smoke::t_class|Smoke::tf_ptr },	//276
    { "QDataStream*&", 151, Smoke::t_class|Smoke::tf_ref|Smoke::tf_ptr },	//277
    { "QDate", 152, Smoke::t_class|Smoke::tf_stack },	//278
    { "QDate&", 152, Smoke::t_class|Smoke::tf_ref },	//279
    { "QDateTime", 153, Smoke::t_class|Smoke::tf_stack },	//280
    { "QDateTime&", 153, Smoke::t_class|Smoke::tf_ref },	//281
    { "QDir::Filter", 0, Smoke::t_enum|Smoke::tf_stack },	//282
    { "QDir::SortFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//283
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//284
    { "QEvent*", 154, Smoke::t_class|Smoke::tf_ptr },	//285
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//286
    { "QFile::FileError", 155, Smoke::t_enum|Smoke::tf_stack },	//287
    { "QFile::Permission", 155, Smoke::t_enum|Smoke::tf_stack },	//288
    { "QFlags<KAutostart::Condition>", 0, Smoke::t_uint|Smoke::tf_stack },	//289
    { "QFlags<KCmdLineArgs::StdCmdLineArg>", 0, Smoke::t_uint|Smoke::tf_stack },	//290
    { "QFlags<KConfig::OpenFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//291
    { "QFlags<KConfigBase::WriteConfigFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//292
    { "QFlags<KCurrencyCode::CurrencyStatus>", 0, Smoke::t_uint|Smoke::tf_stack },	//293
    { "QFlags<KJob::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//294
    { "QFlags<KLocale::DateTimeFormatOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//295
    { "QFlags<KLocale::TimeFormatOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//296
    { "QFlags<KLocale::TimeProcessingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//297
    { "QFlags<KLockFile::LockFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//298
    { "QFlags<KServiceGroup::EntriesOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//299
    { "QFlags<KShell::Option>", 0, Smoke::t_uint|Smoke::tf_stack },	//300
    { "QFlags<KStandardDirs::SearchOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//301
    { "QFlags<KUrl::CleanPathOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//302
    { "QFlags<KUrl::DirectoryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//303
    { "QFlags<KUrl::EncodedPathAndQueryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//304
    { "QFlags<KUrl::EqualsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//305
    { "QFlags<KUrl::QueryItemsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//306
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//307
    { "QFlags<QDBusConnection::RegisterOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//308
    { "QFlags<QDBusServiceWatcher::WatchModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//309
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//310
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//311
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//312
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//313
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//314
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//315
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//316
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//317
    { "QFlags<QNetworkProxy::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//318
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//319
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//320
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//321
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//322
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//323
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//324
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//325
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//326
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//327
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//328
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//329
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//330
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//331
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//332
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//333
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//334
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//335
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//336
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//337
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//338
    { "QFlags<QtConcurrent::ReduceOptions::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//339
    { "QHostAddress", 159, Smoke::t_class|Smoke::tf_stack },	//340
    { "QHostAddress&", 159, Smoke::t_class|Smoke::tf_ref },	//341
    { "QHostAddress::SpecialAddress", 159, Smoke::t_enum|Smoke::tf_stack },	//342
    { "QIODevice&", 160, Smoke::t_class|Smoke::tf_ref },	//343
    { "QIODevice*", 160, Smoke::t_class|Smoke::tf_ptr },	//344
    { "QIODevice::OpenMode", 0, Smoke::t_uint|Smoke::tf_stack },	//345
    { "QIODevice::OpenModeFlag", 160, Smoke::t_enum|Smoke::tf_stack },	//346
    { "QIncompatibleFlag", 161, Smoke::t_class|Smoke::tf_stack },	//347
    { "QLibrary::LoadHint", 163, Smoke::t_enum|Smoke::tf_stack },	//348
    { "QLine&", 164, Smoke::t_class|Smoke::tf_ref },	//349
    { "QLineF&", 165, Smoke::t_class|Smoke::tf_ref },	//350
    { "QList<KAboutLicense>", 0, Smoke::t_voidp|Smoke::tf_stack },	//351
    { "QList<KAboutPerson>", 0, Smoke::t_voidp|Smoke::tf_stack },	//352
    { "QList<KAuth::Action>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//353
    { "QList<KAutoSaveFile*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//354
    { "QList<KConfigSkeletonItem*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//355
    { "QList<KCoreConfigSkeleton::ItemEnum::Choice2>", 0, Smoke::t_voidp|Smoke::tf_stack },	//356
    { "QList<KCoreConfigSkeleton::ItemEnum::Choice>", 0, Smoke::t_voidp|Smoke::tf_stack },	//357
    { "QList<KLocale::DigitSet>", 0, Smoke::t_voidp|Smoke::tf_stack },	//358
    { "QList<KPluginInfo>", 0, Smoke::t_voidp|Smoke::tf_stack },	//359
    { "QList<KProtocolInfo::ExtraField>", 0, Smoke::t_voidp|Smoke::tf_stack },	//360
    { "QList<KServiceAction>", 0, Smoke::t_voidp|Smoke::tf_stack },	//361
    { "QList<KSharedPtr<KMimeType> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//362
    { "QList<KSharedPtr<KService> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//363
    { "QList<KSharedPtr<KService> >&", 0, Smoke::t_voidp|Smoke::tf_ref },	//364
    { "QList<KSharedPtr<KServiceGroup> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//365
    { "QList<KSharedPtr<KServiceType> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//366
    { "QList<KSharedPtr<KSycocaEntry> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//367
    { "QList<KSslCipher>", 0, Smoke::t_voidp|Smoke::tf_stack },	//368
    { "QList<KSslError>", 0, Smoke::t_voidp|Smoke::tf_stack },	//369
    { "QList<KTimeZone::LeapSeconds>", 0, Smoke::t_voidp|Smoke::tf_stack },	//370
    { "QList<KTimeZone::Phase>", 0, Smoke::t_voidp|Smoke::tf_stack },	//371
    { "QList<KTimeZone::Transition>", 0, Smoke::t_voidp|Smoke::tf_stack },	//372
    { "QList<KUser>", 0, Smoke::t_voidp|Smoke::tf_stack },	//373
    { "QList<KUserGroup>", 0, Smoke::t_voidp|Smoke::tf_stack },	//374
    { "QList<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//375
    { "QList<QDateTime>", 0, Smoke::t_voidp|Smoke::tf_stack },	//376
    { "QList<QSslCertificate>", 0, Smoke::t_voidp|Smoke::tf_stack },	//377
    { "QList<QStringList>", 0, Smoke::t_voidp|Smoke::tf_stack },	//378
    { "QList<QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//379
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//380
    { "QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//381
    { "QLocale&", 166, Smoke::t_class|Smoke::tf_ref },	//382
    { "QLocale::NumberOption", 166, Smoke::t_enum|Smoke::tf_stack },	//383
    { "QMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//384
    { "QMap<QString,QVariant::Type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//385
    { "QMap<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//386
    { "QMetaObject::Call", 168, Smoke::t_enum|Smoke::tf_stack },	//387
    { "QMimeData*", 169, Smoke::t_class|Smoke::tf_ptr },	//388
    { "QNetworkProxy", 170, Smoke::t_class|Smoke::tf_stack },	//389
    { "QNetworkProxy::Capability", 170, Smoke::t_enum|Smoke::tf_stack },	//390
    { "QObject*", 171, Smoke::t_class|Smoke::tf_ptr },	//391
    { "QPoint&", 173, Smoke::t_class|Smoke::tf_ref },	//392
    { "QPointF&", 174, Smoke::t_class|Smoke::tf_ref },	//393
    { "QRect&", 176, Smoke::t_class|Smoke::tf_ref },	//394
    { "QRectF&", 177, Smoke::t_class|Smoke::tf_ref },	//395
    { "QRegExp&", 178, Smoke::t_class|Smoke::tf_ref },	//396
    { "QSize&", 180, Smoke::t_class|Smoke::tf_ref },	//397
    { "QSizeF&", 181, Smoke::t_class|Smoke::tf_ref },	//398
    { "QSsl::AlternateNameEntryType", 0, Smoke::t_enum|Smoke::tf_stack },	//399
    { "QSsl::EncodingFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//400
    { "QSsl::KeyAlgorithm", 0, Smoke::t_enum|Smoke::tf_stack },	//401
    { "QSsl::KeyType", 0, Smoke::t_enum|Smoke::tf_stack },	//402
    { "QSsl::SslProtocol", 0, Smoke::t_enum|Smoke::tf_stack },	//403
    { "QSslCertificate", 182, Smoke::t_class|Smoke::tf_stack },	//404
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//405
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//406
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//407
    { "QString::Null", 186, Smoke::t_class|Smoke::tf_stack },	//408
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//409
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//410
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//411
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//412
    { "QTcpServer*", 188, Smoke::t_class|Smoke::tf_ptr },	//413
    { "QTcpSocket*", 189, Smoke::t_class|Smoke::tf_ptr },	//414
    { "QTextCodec*", 191, Smoke::t_class|Smoke::tf_ptr },	//415
    { "QTextCodec::ConversionFlag", 191, Smoke::t_enum|Smoke::tf_stack },	//416
    { "QTextDecoder*", 192, Smoke::t_class|Smoke::tf_ptr },	//417
    { "QTextStream&", 193, Smoke::t_class|Smoke::tf_ref },	//418
    { "QTextStream&(*)(QTextStream&)", 193, Smoke::t_class|Smoke::tf_ref },	//419
    { "QTextStream::NumberFlag", 193, Smoke::t_enum|Smoke::tf_stack },	//420
    { "QTextStreamManipulator", 194, Smoke::t_class|Smoke::tf_stack },	//421
    { "QTime", 195, Smoke::t_class|Smoke::tf_stack },	//422
    { "QTime&", 195, Smoke::t_class|Smoke::tf_ref },	//423
    { "QTimerEvent*", 196, Smoke::t_class|Smoke::tf_ptr },	//424
    { "QUdpSocket*", 197, Smoke::t_class|Smoke::tf_ptr },	//425
    { "QUrl&", 198, Smoke::t_class|Smoke::tf_ref },	//426
    { "QUrl::FormattingOption", 198, Smoke::t_enum|Smoke::tf_stack },	//427
    { "QUuid&", 199, Smoke::t_class|Smoke::tf_ref },	//428
    { "QVariant", 200, Smoke::t_class|Smoke::tf_stack },	//429
    { "QVariant&", 200, Smoke::t_class|Smoke::tf_ref },	//430
    { "QVariant::Type", 200, Smoke::t_enum|Smoke::tf_stack },	//431
    { "QVariant::Type&", 200, Smoke::t_enum|Smoke::tf_ref },	//432
    { "QVector<KService::ServiceTypeAndPreference>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//433
    { "QWidget*", 202, Smoke::t_class|Smoke::tf_ptr },	//434
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//435
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//436
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//437
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//438
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//439
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//440
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//441
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//442
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//443
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//444
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//445
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//446
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//447
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//448
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//449
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//450
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//451
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//452
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//453
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//454
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//455
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//456
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//457
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//458
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//459
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//460
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//461
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//462
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//463
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//464
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//465
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//466
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//467
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//468
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//469
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//470
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//471
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//472
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//473
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//474
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//475
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//476
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//477
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//478
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//479
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//480
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//481
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//482
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//483
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//484
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//485
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//486
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//487
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//488
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//489
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//490
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//491
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//492
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//493
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//494
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//495
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//496
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//497
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//498
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//499
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//500
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//501
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//502
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//503
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//504
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//505
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//506
    { "QtConcurrent::ReduceOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//507
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//508
    { "QtMsgType", 157, Smoke::t_enum|Smoke::tf_stack },	//509
    { "Sonnet::BackgroundChecker*", 204, Smoke::t_class|Smoke::tf_ptr },	//510
    { "Sonnet::Speller", 205, Smoke::t_class|Smoke::tf_stack },	//511
    { "Sonnet::Speller&", 205, Smoke::t_class|Smoke::tf_ref },	//512
    { "Sonnet::Speller*", 205, Smoke::t_class|Smoke::tf_ptr },	//513
    { "Sonnet::Speller::Attribute", 205, Smoke::t_enum|Smoke::tf_stack },	//514
    { "_IO_FILE*", 206, Smoke::t_class|Smoke::tf_ptr },	//515
    { "_LIB_VERSION_TYPE", 157, Smoke::t_enum|Smoke::tf_stack },	//516
    { "__codecvt_result", 157, Smoke::t_enum|Smoke::tf_stack },	//517
    { "__itimer_which", 157, Smoke::t_enum|Smoke::tf_stack },	//518
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//519
    { "bool&", 0, Smoke::t_voidp|Smoke::tf_ref },	//520
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//521
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//522
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//523
    { "char**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//524
    { "const KAboutData&", 1, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//525
    { "const KAboutData*", 1, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//526
    { "const KAboutLicense&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//527
    { "const KAboutPerson&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//528
    { "const KAuth::Action&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//529
    { "const KAuth::ActionReply&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//530
    { "const KCalendarSystem*", 10, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//531
    { "const KCharMacroExpander&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//532
    { "const KCharsets&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//533
    { "const KCmdLineArgs&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//534
    { "const KCmdLineOptions&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//535
    { "const KComponentData&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//536
    { "const KConfig*", 20, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//537
    { "const KConfigBase&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//538
    { "const KConfigBase*", 21, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//539
    { "const KConfigGroup", 22, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//540
    { "const KConfigGroup&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//541
    { "const KConfigSkeletonItem&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//542
    { "const KCoreConfigSkeleton::ItemBool&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//543
    { "const KCoreConfigSkeleton::ItemDateTime&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//544
    { "const KCoreConfigSkeleton::ItemDouble&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//545
    { "const KCoreConfigSkeleton::ItemEnum&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//546
    { "const KCoreConfigSkeleton::ItemEnum::Choice&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//547
    { "const KCoreConfigSkeleton::ItemEnum::Choice2&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//548
    { "const KCoreConfigSkeleton::ItemInt&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//549
    { "const KCoreConfigSkeleton::ItemIntList&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//550
    { "const KCoreConfigSkeleton::ItemLongLong&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//551
    { "const KCoreConfigSkeleton::ItemPassword&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//552
    { "const KCoreConfigSkeleton::ItemPath&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//553
    { "const KCoreConfigSkeleton::ItemPathList&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//554
    { "const KCoreConfigSkeleton::ItemPoint&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//555
    { "const KCoreConfigSkeleton::ItemProperty&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//556
    { "const KCoreConfigSkeleton::ItemRect&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//557
    { "const KCoreConfigSkeleton::ItemSize&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//558
    { "const KCoreConfigSkeleton::ItemString&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//559
    { "const KCoreConfigSkeleton::ItemStringList&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//560
    { "const KCoreConfigSkeleton::ItemUInt&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//561
    { "const KCoreConfigSkeleton::ItemULongLong&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//562
    { "const KCoreConfigSkeleton::ItemUrl&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//563
    { "const KCoreConfigSkeleton::ItemUrlList&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//564
    { "const KCurrencyCode&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//565
    { "const KDEPluginVerificationData&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//566
    { "const KDateTime&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//567
    { "const KDateTime::Spec&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//568
    { "const KDebug&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//569
    { "const KDebugTag&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//570
    { "const KDesktopFile*", 56, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//571
    { "const KEncodingDetector&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//572
    { "const KEncodingProber&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//573
    { "const KLocale&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//574
    { "const KLocale*", 70, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//575
    { "const KLocalizedString&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//576
    { "const KLockFile&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//577
    { "const KMacroExpanderBase&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//578
    { "const KMessageHandler&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//579
    { "const KMimeTypeTrader&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//580
    { "const KPluginInfo&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//581
    { "const KProtocolInfo::ExtraField&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//582
    { "const KRandomSequence&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//583
    { "const KService&", 93, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//584
    { "const KServiceAction&", 94, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//585
    { "const KServiceType*", 96, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//586
    { "const KSharedPtr<KService>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//587
    { "const KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//588
    { "const KSharedPtr<KSharedConfig>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//589
    { "const KSharedPtr<KSycocaEntry>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//590
    { "const KSslCipher&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//591
    { "const KSslError&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//592
    { "const KSslErrorUiData&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//593
    { "const KSslKey&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//594
    { "const KSystemTimeZone&", 113, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//595
    { "const KSystemTimeZoneBackend&", 114, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//596
    { "const KSystemTimeZoneSource&", 115, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//597
    { "const KTcpSocket*", 117, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//598
    { "const KTimeZone&", 120, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//599
    { "const KTimeZone*", 120, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//600
    { "const KTimeZone::LeapSeconds&", 121, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//601
    { "const KTimeZone::Phase&", 122, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//602
    { "const KTimeZone::Transition&", 123, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//603
    { "const KTimeZone::Transition*", 123, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//604
    { "const KTimeZone::Transition**", 123, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//605
    { "const KTimeZoneBackend&", 124, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//606
    { "const KTimeZoneData&", 125, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//607
    { "const KTimeZoneData*", 125, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//608
    { "const KTimeZoneSource&", 126, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//609
    { "const KTimeZones*", 127, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//610
    { "const KTzfileTimeZone&", 129, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//611
    { "const KTzfileTimeZoneBackend&", 130, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//612
    { "const KTzfileTimeZoneSource&", 131, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//613
    { "const KUrl&", 132, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//614
    { "const KUrl::CleanPathOption&", 132, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//615
    { "const KUrl::List&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//616
    { "const KUser&", 133, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//617
    { "const KUserGroup&", 134, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//618
    { "const KWordMacroExpander&", 135, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//619
    { "const QBitArray&", 140, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//620
    { "const QByteArray", 142, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//621
    { "const QByteArray&", 142, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//622
    { "const QChar&", 143, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//623
    { "const QDBusArgument&", 146, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//624
    { "const QDBusConnection&", 147, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//625
    { "const QDBusObjectPath&", 148, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//626
    { "const QDBusSignature&", 149, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//627
    { "const QDBusVariant&", 150, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//628
    { "const QDate", 152, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//629
    { "const QDate&", 152, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//630
    { "const QDateTime&", 153, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//631
    { "const QFileInfo&", 156, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//632
    { "const QFlags<KUrl::DirectoryOption>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//633
    { "const QFlags<KUrl::EncodedPathAndQueryOption>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//634
    { "const QFlags<KUrl::EqualsOption>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//635
    { "const QFlags<KUrl::QueryItemsOption>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//636
    { "const QHash<QChar,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//637
    { "const QHash<QChar,QStringList>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//638
    { "const QHash<QString,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//639
    { "const QHash<QString,QStringList>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//640
    { "const QHashDummyValue&", 158, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//641
    { "const QHostAddress&", 159, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//642
    { "const QLatin1String&", 162, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//643
    { "const QLine&", 164, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//644
    { "const QLineF&", 165, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//645
    { "const QList<KAuth::Action>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//646
    { "const QList<KCatalogName>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//647
    { "const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//648
    { "const QList<KCoreConfigSkeleton::ItemEnum::Choice>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//649
    { "const QList<KJob*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//650
    { "const QList<KSharedPtr<KService> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//651
    { "const QList<KSslCipher>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//652
    { "const QList<KSslError>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//653
    { "const QList<KTimeZone::LeapSeconds>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//654
    { "const QList<KTimeZone::Phase>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//655
    { "const QList<KTimeZone::Transition>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//656
    { "const QList<QByteArray>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//657
    { "const QList<QSslCertificate>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//658
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//659
    { "const QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//660
    { "const QLocale&", 166, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//661
    { "const QMap<QString,KTimeZone>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//662
    { "const QMap<QString,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//663
    { "const QMap<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//664
    { "const QMargins&", 167, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//665
    { "const QMetaObject&", 168, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//666
    { "const QMetaObject*", 168, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//667
    { "const QNetworkProxy&", 170, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//668
    { "const QObject*", 171, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//669
    { "const QPair<QString,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//670
    { "const QPoint", 173, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//671
    { "const QPoint&", 173, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//672
    { "const QPointF", 174, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//673
    { "const QPointF&", 174, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//674
    { "const QRect&", 176, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//675
    { "const QRectF&", 177, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//676
    { "const QRegExp&", 178, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//677
    { "const QSize", 180, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//678
    { "const QSize&", 180, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//679
    { "const QSizeF", 181, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//680
    { "const QSizeF&", 181, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//681
    { "const QSslCertificate&", 182, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//682
    { "const QSslCipher&", 183, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//683
    { "const QSslError&", 184, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//684
    { "const QSslKey&", 185, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//685
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//686
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//687
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//688
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//689
    { "const QStringRef&", 187, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//690
    { "const QTime&", 195, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//691
    { "const QUrl&", 198, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//692
    { "const QUuid&", 199, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//693
    { "const QVariant&", 200, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//694
    { "const QVariant::Type", 200, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//695
    { "const QVariantComparisonHelper&", 201, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//696
    { "const QVariantMap&", 0, Smoke::t_voidp|Smoke::tf_stack },	//697
    { "const Sonnet::Speller&", 205, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//698
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//699
    { "const float", 0, Smoke::t_float|Smoke::tf_stack|Smoke::tf_const },	//700
    { "const group*", 207, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//701
    { "const int", 0, Smoke::t_int|Smoke::tf_stack|Smoke::tf_const },	//702
    { "const kndbgstream&", 208, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//703
    { "const long int", 0, Smoke::t_long|Smoke::tf_stack|Smoke::tf_const },	//704
    { "const passwd*", 209, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//705
    { "const unsigned char(&)[16]", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//706
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//707
    { "const unsigned char[64]", 0, Smoke::t_uchar|Smoke::tf_stack|Smoke::tf_const },	//708
    { "const unsigned int", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//709
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//710
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//711
    { "double&", 0, Smoke::t_voidp|Smoke::tf_ref },	//712
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//713
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//714
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//715
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//716
    { "kndbgstream*", 208, Smoke::t_class|Smoke::tf_ptr },	//717
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//718
    { "long int", 0, Smoke::t_long|Smoke::tf_stack },	//719
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//720
    { "long long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//721
    { "qlonglong", 0, Smoke::t_voidp|Smoke::tf_stack },	//722
    { "quint16", 0, Smoke::t_ushort|Smoke::tf_stack },	//723
    { "qulonglong", 0, Smoke::t_voidp|Smoke::tf_stack },	//724
    { "std::bidirectional_iterator_tag", 210, Smoke::t_class|Smoke::tf_stack },	//725
    { "std::forward_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//726
    { "std::random_access_iterator_tag", 211, Smoke::t_class|Smoke::tf_stack },	//727
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//728
    { "unsigned char(&)[16]", 0, Smoke::t_voidp|Smoke::tf_ref },	//729
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//730
    { "unsigned int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//731
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//732
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//733
    { "unsigned long long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//734
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//735
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//736
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//737
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//738
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//739
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    622, 622, 576, 622, 576, 5, 576, 576, 622, 622, 0,	//1  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&
    525, 0,	//12  const KAboutData&
    576, 576, 622, 622, 0,	//14  const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&
    576, 576, 0,	//19  const KLocalizedString&, const KLocalizedString&
    576, 0,	//22  const KLocalizedString&
    687, 0,	//24  const QString&
    622, 0,	//26  const QByteArray&
    694, 0,	//28  const QVariant&
    5, 0,	//30  KAboutData::LicenseKey
    6, 0,	//32  KAboutData::NameFormat
    622, 622, 576, 622, 0,	//34  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&
    622, 622, 576, 622, 576, 0,	//39  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&
    622, 622, 576, 622, 576, 5, 0,	//45  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey
    622, 622, 576, 622, 576, 5, 576, 0,	//52  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&
    622, 622, 576, 622, 576, 5, 576, 576, 0,	//60  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&
    622, 622, 576, 622, 576, 5, 576, 576, 622, 0,	//69  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&, const QByteArray&
    576, 576, 622, 0,	//79  const KLocalizedString&, const KLocalizedString&, const QByteArray&
    527, 0,	//83  const KAboutLicense&
    528, 0,	//85  const KAboutPerson&
    529, 0,	//87  const KAuth::Action&
    687, 687, 0,	//89  const QString&, const QString&
    664, 0,	//92  const QMap<QString,QVariant>&
    687, 694, 0,	//94  const QString&, const QVariant&
    519, 0,	//97  bool
    646, 353, 687, 0,	//99  const QList<KAuth::Action>&, QList<KAuth::Action>*, const QString&
    19, 0,	//103  KAuth::ActionReply::Type
    714, 0,	//105  int
    530, 0,	//107  const KAuth::ActionReply&
    699, 0,	//109  const char*
    699, 699, 0,	//111  const char*, const char*
    699, 699, 714, 0,	//114  const char*, const char*, int
    387, 714, 738, 0,	//118  QMetaObject::Call, int, void**
    697, 0,	//122  const QVariantMap&
    687, 614, 614, 0,	//124  const QString&, const KUrl&, const KUrl&
    688, 0,	//128  const QStringList&
    614, 391, 0,	//130  const KUrl&, QObject*
    391, 0,	//133  QObject*
    614, 0,	//135  const KUrl&
    315, 0,	//137  QFlags<QIODevice::OpenModeFlag>
    614, 687, 0,	//139  const KUrl&, const QString&
    687, 391, 0,	//142  const QString&, QObject*
    687, 289, 0,	//145  const QString&, QFlags<KAutostart::Condition>
    24, 0,	//148  KAutostart::StartPhase
    687, 575, 0,	//150  const QString&, const KLocale*
    687, 176, 575, 0,	//153  const QString&, KSharedPtr<KSharedConfig>, const KLocale*
    575, 0,	//157  const KLocale*
    588, 575, 0,	//159  const KSharedPtr<KSharedConfig>, const KLocale*
    714, 714, 714, 0,	//162  int, int, int
    714, 714, 0,	//166  int, int
    687, 714, 714, 714, 0,	//169  const QString&, int, int, int
    630, 0,	//174  const QDate&
    279, 714, 714, 714, 0,	//176  QDate&, int, int, int
    279, 714, 714, 0,	//181  QDate&, int, int
    279, 405, 714, 714, 714, 0,	//185  QDate&, QString, int, int, int
    629, 716, 716, 716, 0,	//191  const QDate, int*, int*, int*
    630, 27, 0,	//196  const QDate&, KCalendarSystem::StringFormat
    630, 714, 0,	//199  const QDate&, int
    630, 630, 716, 716, 716, 716, 0,	//202  const QDate&, const QDate&, int*, int*, int*, int*
    630, 630, 0,	//209  const QDate&, const QDate&
    630, 716, 0,	//212  const QDate&, int*
    714, 714, 26, 0,	//215  int, int, KCalendarSystem::MonthNameFormat
    630, 26, 0,	//219  const QDate&, KCalendarSystem::MonthNameFormat
    714, 28, 0,	//222  int, KCalendarSystem::WeekDayNameFormat
    630, 28, 0,	//225  const QDate&, KCalendarSystem::WeekDayNameFormat
    687, 715, 0,	//228  const QString&, int&
    630, 120, 0,	//231  const QDate&, KLocale::DateFormat
    630, 687, 122, 0,	//234  const QDate&, const QString&, KLocale::DateTimeFormatStandard
    630, 687, 123, 122, 0,	//238  const QDate&, const QString&, KLocale::DigitSet, KLocale::DateTimeFormatStandard
    687, 521, 0,	//243  const QString&, bool*
    687, 125, 521, 0,	//246  const QString&, KLocale::ReadDateFlags, bool*
    687, 687, 521, 0,	//250  const QString&, const QString&, bool*
    687, 687, 521, 122, 0,	//254  const QString&, const QString&, bool*, KLocale::DateTimeFormatStandard
    714, 715, 715, 715, 0,	//259  int, int&, int&, int&
    714, 714, 714, 715, 0,	//264  int, int, int, int&
    29, 588, 575, 0,	//269  KCalendarSystemPrivate&, const KSharedPtr<KSharedConfig>, const KLocale*
    687, 176, 0,	//273  const QString&, KSharedPtr<KSharedConfig>
    588, 0,	//276  const KSharedPtr<KSharedConfig>
    630, 687, 0,	//278  const QDate&, const QString&
    630, 687, 123, 0,	//281  const QDate&, const QString&, KLocale::DigitSet
    687, 125, 0,	//285  const QString&, KLocale::ReadDateFlags
    29, 0,	//288  KCalendarSystemPrivate&
    29, 588, 0,	//290  KCalendarSystemPrivate&, const KSharedPtr<KSharedConfig>
    266, 0,	//293  QChar
    687, 714, 411, 0,	//295  const QString&, int, QStringList&
    266, 411, 0,	//299  QChar, QStringList&
    532, 0,	//302  const KCharMacroExpander&
    687, 520, 0,	//304  const QString&, bool&
    623, 0,	//307  const QChar&
    533, 0,	//309  const KCharsets&
    714, 524, 622, 622, 576, 622, 576, 290, 0,	//311  int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, QFlags<KCmdLineArgs::StdCmdLineArg>
    714, 524, 526, 290, 0,	//320  int, char**, const KAboutData*, QFlags<KCmdLineArgs::StdCmdLineArg>
    526, 0,	//325  const KAboutData*
    290, 0,	//327  QFlags<KCmdLineArgs::StdCmdLineArg>
    535, 576, 622, 622, 0,	//329  const KCmdLineOptions&, const KLocalizedString&, const QByteArray&, const QByteArray&
    275, 0,	//334  QDataStream&
    535, 576, 622, 0,	//336  const KCmdLineOptions&, const KLocalizedString&, const QByteArray&
    534, 0,	//340  const KCmdLineArgs&
    714, 524, 622, 622, 576, 622, 0,	//342  int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&
    714, 524, 622, 622, 576, 622, 576, 0,	//349  int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&
    714, 524, 526, 0,	//357  int, char**, const KAboutData*
    535, 0,	//361  const KCmdLineOptions&
    535, 576, 0,	//363  const KCmdLineOptions&, const KLocalizedString&
    622, 576, 622, 0,	//366  const QByteArray&, const KLocalizedString&, const QByteArray&
    622, 576, 0,	//370  const QByteArray&, const KLocalizedString&
    622, 265, 0,	//373  const QByteArray&, QByteArray&
    622, 265, 519, 0,	//376  const QByteArray&, QByteArray&, bool
    622, 519, 0,	//380  const QByteArray&, bool
    536, 0,	//383  const KComponentData&
    622, 622, 39, 0,	//385  const QByteArray&, const QByteArray&, KComponentData::MainComponentRegistration
    525, 39, 0,	//389  const KAboutData&, KComponentData::MainComponentRegistration
    526, 39, 0,	//392  const KAboutData*, KComponentData::MainComponentRegistration
    622, 622, 0,	//395  const QByteArray&, const QByteArray&
    103, 0,	//398  KJob*
    103, 687, 687, 0,	//400  KJob*, const QString&, const QString&
    41, 391, 0,	//404  KCompositeJobPrivate&, QObject*
    687, 291, 699, 0,	//407  const QString&, QFlags<KConfig::OpenFlag>, const char*
    536, 687, 291, 699, 0,	//411  const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>, const char*
    687, 687, 699, 0,	//416  const QString&, const QString&, const char*
    687, 42, 0,	//420  const QString&, KConfig*
    622, 292, 0,	//423  const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>
    50, 0,	//426  KConfigPrivate&
    687, 291, 0,	//428  const QString&, QFlags<KConfig::OpenFlag>
    536, 687, 0,	//431  const KComponentData&, const QString&
    536, 687, 291, 0,	//434  const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>
    687, 292, 0,	//438  const QString&, QFlags<KConfigBase::WriteConfigFlag>
    699, 292, 0,	//441  const char*, QFlags<KConfigBase::WriteConfigFlag>
    538, 0,	//444  const KConfigBase&
    44, 687, 0,	//446  KConfigBase*, const QString&
    44, 699, 0,	//449  KConfigBase*, const char*
    539, 687, 0,	//452  const KConfigBase*, const QString&
    539, 699, 0,	//455  const KConfigBase*, const char*
    589, 687, 0,	//458  const KSharedPtr<KSharedConfig>&, const QString&
    589, 699, 0,	//461  const KSharedPtr<KSharedConfig>&, const char*
    541, 0,	//464  const KConfigGroup&
    44, 292, 0,	//466  KConfigBase*, QFlags<KConfigBase::WriteConfigFlag>
    292, 0,	//469  QFlags<KConfigBase::WriteConfigFlag>
    699, 694, 0,	//471  const char*, const QVariant&
    699, 687, 0,	//474  const char*, const QString&
    687, 699, 0,	//477  const QString&, const char*
    687, 659, 0,	//480  const QString&, const QList<QVariant>&
    699, 659, 0,	//483  const char*, const QList<QVariant>&
    687, 688, 0,	//486  const QString&, const QStringList&
    699, 688, 0,	//489  const char*, const QStringList&
    687, 694, 292, 0,	//492  const QString&, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>
    699, 694, 292, 0,	//496  const char*, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>
    687, 687, 292, 0,	//500  const QString&, const QString&, QFlags<KConfigBase::WriteConfigFlag>
    699, 687, 292, 0,	//504  const char*, const QString&, QFlags<KConfigBase::WriteConfigFlag>
    687, 622, 292, 0,	//508  const QString&, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>
    699, 622, 292, 0,	//512  const char*, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>
    687, 699, 292, 0,	//516  const QString&, const char*, QFlags<KConfigBase::WriteConfigFlag>
    699, 699, 292, 0,	//520  const char*, const char*, QFlags<KConfigBase::WriteConfigFlag>
    687, 688, 292, 0,	//524  const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>
    699, 688, 292, 0,	//528  const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>
    687, 659, 292, 0,	//532  const QString&, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>
    699, 659, 292, 0,	//536  const char*, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>
    44, 0,	//540  KConfigBase*
    687, 622, 0,	//542  const QString&, const QByteArray&
    699, 622, 0,	//545  const char*, const QByteArray&
    42, 0,	//548  KConfig*
    542, 0,	//550  const KConfigSkeletonItem&
    176, 391, 0,	//552  KSharedPtr<KSharedConfig>, QObject*
    51, 687, 0,	//555  KConfigSkeletonItem*, const QString&
    687, 406, 687, 687, 0,	//558  const QString&, QString&, const QString&, const QString&
    687, 430, 694, 687, 0,	//563  const QString&, QVariant&, const QVariant&, const QString&
    687, 520, 519, 687, 0,	//568  const QString&, bool&, bool, const QString&
    687, 715, 714, 687, 0,	//573  const QString&, int&, int, const QString&
    687, 731, 730, 687, 0,	//578  const QString&, unsigned int&, unsigned int, const QString&
    687, 721, 720, 687, 0,	//583  const QString&, long long&, long long, const QString&
    687, 734, 733, 687, 0,	//588  const QString&, unsigned long long&, unsigned long long, const QString&
    687, 712, 711, 687, 0,	//593  const QString&, double&, double, const QString&
    687, 394, 675, 687, 0,	//598  const QString&, QRect&, const QRect&, const QString&
    687, 392, 672, 687, 0,	//603  const QString&, QPoint&, const QPoint&, const QString&
    687, 397, 679, 687, 0,	//608  const QString&, QSize&, const QSize&, const QString&
    687, 281, 631, 687, 0,	//613  const QString&, QDateTime&, const QDateTime&, const QString&
    687, 411, 688, 687, 0,	//618  const QString&, QStringList&, const QStringList&, const QString&
    687, 381, 660, 687, 0,	//623  const QString&, QList<int>&, const QList<int>&, const QString&
    176, 0,	//628  KSharedPtr<KSharedConfig>
    51, 0,	//630  KConfigSkeletonItem*
    687, 406, 0,	//632  const QString&, QString&
    687, 406, 687, 0,	//635  const QString&, QString&, const QString&
    687, 430, 0,	//639  const QString&, QVariant&
    687, 430, 694, 0,	//642  const QString&, QVariant&, const QVariant&
    687, 520, 519, 0,	//646  const QString&, bool&, bool
    687, 715, 714, 0,	//650  const QString&, int&, int
    687, 731, 0,	//654  const QString&, unsigned int&
    687, 731, 730, 0,	//657  const QString&, unsigned int&, unsigned int
    687, 721, 0,	//661  const QString&, long long&
    687, 721, 720, 0,	//664  const QString&, long long&, long long
    687, 734, 0,	//668  const QString&, unsigned long long&
    687, 734, 733, 0,	//671  const QString&, unsigned long long&, unsigned long long
    687, 712, 0,	//675  const QString&, double&
    687, 712, 711, 0,	//678  const QString&, double&, double
    687, 394, 0,	//682  const QString&, QRect&
    687, 394, 675, 0,	//685  const QString&, QRect&, const QRect&
    687, 392, 0,	//689  const QString&, QPoint&
    687, 392, 672, 0,	//692  const QString&, QPoint&, const QPoint&
    687, 397, 0,	//696  const QString&, QSize&
    687, 397, 679, 0,	//699  const QString&, QSize&, const QSize&
    687, 281, 0,	//703  const QString&, QDateTime&
    687, 281, 631, 0,	//706  const QString&, QDateTime&, const QDateTime&
    687, 411, 0,	//710  const QString&, QStringList&
    687, 411, 688, 0,	//713  const QString&, QStringList&, const QStringList&
    687, 381, 0,	//717  const QString&, QList<int>&
    687, 381, 660, 0,	//720  const QString&, QList<int>&, const QList<int>&
    687, 687, 520, 519, 0,	//724  const QString&, const QString&, bool&, bool
    543, 0,	//729  const KCoreConfigSkeleton::ItemBool&
    687, 687, 520, 0,	//731  const QString&, const QString&, bool&
    687, 687, 281, 631, 0,	//735  const QString&, const QString&, QDateTime&, const QDateTime&
    544, 0,	//740  const KCoreConfigSkeleton::ItemDateTime&
    687, 687, 281, 0,	//742  const QString&, const QString&, QDateTime&
    687, 687, 712, 711, 0,	//746  const QString&, const QString&, double&, double
    711, 0,	//751  double
    545, 0,	//753  const KCoreConfigSkeleton::ItemDouble&
    687, 687, 712, 0,	//755  const QString&, const QString&, double&
    687, 687, 715, 649, 714, 0,	//759  const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&, int
    687, 687, 715, 648, 714, 0,	//765  const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&, int
    546, 0,	//771  const KCoreConfigSkeleton::ItemEnum&
    687, 687, 715, 649, 0,	//773  const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&
    687, 687, 715, 648, 0,	//778  const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&
    547, 0,	//783  const KCoreConfigSkeleton::ItemEnum::Choice&
    548, 0,	//785  const KCoreConfigSkeleton::ItemEnum::Choice2&
    687, 687, 715, 714, 0,	//787  const QString&, const QString&, int&, int
    549, 0,	//792  const KCoreConfigSkeleton::ItemInt&
    687, 687, 715, 0,	//794  const QString&, const QString&, int&
    687, 687, 381, 660, 0,	//798  const QString&, const QString&, QList<int>&, const QList<int>&
    550, 0,	//803  const KCoreConfigSkeleton::ItemIntList&
    687, 687, 381, 0,	//805  const QString&, const QString&, QList<int>&
    687, 687, 721, 720, 0,	//809  const QString&, const QString&, long long&, long long
    720, 0,	//814  long long
    551, 0,	//816  const KCoreConfigSkeleton::ItemLongLong&
    687, 687, 721, 0,	//818  const QString&, const QString&, long long&
    687, 687, 406, 687, 0,	//822  const QString&, const QString&, QString&, const QString&
    552, 0,	//827  const KCoreConfigSkeleton::ItemPassword&
    687, 687, 406, 0,	//829  const QString&, const QString&, QString&
    553, 0,	//833  const KCoreConfigSkeleton::ItemPath&
    687, 687, 411, 688, 0,	//835  const QString&, const QString&, QStringList&, const QStringList&
    554, 0,	//840  const KCoreConfigSkeleton::ItemPathList&
    687, 687, 411, 0,	//842  const QString&, const QString&, QStringList&
    687, 687, 392, 672, 0,	//846  const QString&, const QString&, QPoint&, const QPoint&
    555, 0,	//851  const KCoreConfigSkeleton::ItemPoint&
    687, 687, 392, 0,	//853  const QString&, const QString&, QPoint&
    687, 687, 430, 694, 0,	//857  const QString&, const QString&, QVariant&, const QVariant&
    556, 0,	//862  const KCoreConfigSkeleton::ItemProperty&
    687, 687, 430, 0,	//864  const QString&, const QString&, QVariant&
    687, 687, 394, 675, 0,	//868  const QString&, const QString&, QRect&, const QRect&
    557, 0,	//873  const KCoreConfigSkeleton::ItemRect&
    687, 687, 394, 0,	//875  const QString&, const QString&, QRect&
    687, 687, 397, 679, 0,	//879  const QString&, const QString&, QSize&, const QSize&
    558, 0,	//884  const KCoreConfigSkeleton::ItemSize&
    687, 687, 397, 0,	//886  const QString&, const QString&, QSize&
    687, 687, 406, 687, 70, 0,	//890  const QString&, const QString&, QString&, const QString&, KCoreConfigSkeleton::ItemString::Type
    559, 0,	//896  const KCoreConfigSkeleton::ItemString&
    560, 0,	//898  const KCoreConfigSkeleton::ItemStringList&
    687, 687, 731, 730, 0,	//900  const QString&, const QString&, unsigned int&, unsigned int
    730, 0,	//905  unsigned int
    561, 0,	//907  const KCoreConfigSkeleton::ItemUInt&
    687, 687, 731, 0,	//909  const QString&, const QString&, unsigned int&
    687, 687, 734, 733, 0,	//913  const QString&, const QString&, unsigned long long&, unsigned long long
    733, 0,	//918  unsigned long long
    562, 0,	//920  const KCoreConfigSkeleton::ItemULongLong&
    687, 687, 734, 0,	//922  const QString&, const QString&, unsigned long long&
    687, 687, 237, 614, 0,	//926  const QString&, const QString&, KUrl&, const KUrl&
    563, 0,	//931  const KCoreConfigSkeleton::ItemUrl&
    687, 687, 237, 0,	//933  const QString&, const QString&, KUrl&
    687, 687, 245, 616, 0,	//937  const QString&, const QString&, KUrl::List&, const KUrl::List&
    564, 0,	//942  const KCoreConfigSkeleton::ItemUrlList&
    687, 687, 245, 0,	//944  const QString&, const QString&, KUrl::List&
    632, 687, 0,	//948  const QFileInfo&, const QString&
    565, 0,	//951  const KCurrencyCode&
    687, 293, 0,	//953  const QString&, QFlags<KCurrencyCode::CurrencyStatus>
    293, 0,	//956  QFlags<KCurrencyCode::CurrencyStatus>
    632, 0,	//958  const QFileInfo&
    687, 730, 0,	//960  const QString&, unsigned int
    687, 714, 730, 0,	//963  const QString&, int, unsigned int
    687, 714, 0,	//967  const QString&, int
    79, 0,	//970  KDEDModule*
    722, 0,	//972  qlonglong
    626, 0,	//974  const QDBusObjectPath&
    566, 0,	//976  const KDEPluginVerificationData&
    728, 0,	//978  unsigned char
    630, 568, 0,	//980  const QDate&, const KDateTime::Spec&
    630, 691, 568, 0,	//983  const QDate&, const QTime&, const KDateTime::Spec&
    631, 568, 0,	//987  const QDateTime&, const KDateTime::Spec&
    631, 0,	//990  const QDateTime&
    567, 0,	//992  const KDateTime&
    599, 0,	//994  const KTimeZone&
    568, 0,	//996  const KDateTime::Spec&
    691, 0,	//998  const QTime&
    89, 0,	//1000  KDateTime::TimeFormat
    687, 89, 521, 0,	//1002  const QString&, KDateTime::TimeFormat, bool*
    687, 687, 610, 519, 0,	//1006  const QString&, const QString&, const KTimeZones*, bool
    630, 691, 0,	//1011  const QDate&, const QTime&
    687, 89, 0,	//1014  const QString&, KDateTime::TimeFormat
    687, 687, 610, 0,	//1017  const QString&, const QString&, const KTimeZones*
    88, 714, 0,	//1021  KDateTime::SpecType, int
    88, 0,	//1024  KDateTime::SpecType
    509, 699, 714, 699, 0,	//1026  QtMsgType, const char*, int, const char*
    509, 519, 714, 519, 0,	//1031  QtMsgType, bool, int, bool
    519, 714, 0,	//1036  bool, int
    569, 0,	//1039  const KDebug&
    509, 0,	//1041  QtMsgType
    509, 699, 0,	//1043  QtMsgType, const char*
    509, 699, 714, 0,	//1046  QtMsgType, const char*, int
    570, 0,	//1050  const KDebugTag&
    415, 95, 94, 0,	//1052  QTextCodec*, KEncodingDetector::EncodingChoiceSource, KEncodingDetector::AutoDetectScript
    699, 95, 0,	//1056  const char*, KEncodingDetector::EncodingChoiceSource
    94, 0,	//1059  KEncodingDetector::AutoDetectScript
    699, 714, 0,	//1061  const char*, int
    523, 714, 0,	//1064  char*, int
    572, 0,	//1067  const KEncodingDetector&
    415, 95, 0,	//1069  QTextCodec*, KEncodingDetector::EncodingChoiceSource
    98, 0,	//1072  KEncodingProber::ProberType
    573, 0,	//1074  const KEncodingProber&
    344, 519, 0,	//1076  QIODevice*, bool
    523, 730, 0,	//1079  char*, unsigned int
    699, 730, 0,	//1082  const char*, unsigned int
    100, 0,	//1085  KFilterBase::FilterFlags
    344, 0,	//1087  QIODevice*
    687, 687, 519, 0,	//1089  const QString&, const QString&, bool
    344, 687, 519, 0,	//1093  QIODevice*, const QString&, bool
    523, 720, 0,	//1097  char*, long long
    699, 720, 0,	//1100  const char*, long long
    344, 687, 0,	//1103  QIODevice*, const QString&
    669, 666, 0,	//1106  const QObject*, const QMetaObject&
    117, 102, 0,	//1109  KLocale*, KGlobal::CopyCatalogs
    117, 0,	//1112  KLocale*
    109, 0,	//1114  KJobUiDelegate*
    105, 0,	//1116  KJob::KillVerbosity
    294, 0,	//1118  QFlags<KJob::Capability>
    106, 0,	//1120  KJob::Unit
    103, 687, 670, 670, 0,	//1122  KJob*, const QString&, const QPair<QString,QString>&, const QPair<QString,QString>&
    106, 733, 0,	//1127  KJob::Unit, unsigned long long
    732, 0,	//1130  unsigned long
    733, 733, 0,	//1132  unsigned long long, unsigned long long
    107, 391, 0,	//1135  KJobPrivate&, QObject*
    103, 687, 0,	//1138  KJob*, const QString&
    103, 687, 670, 0,	//1141  KJob*, const QString&, const QPair<QString,QString>&
    103, 106, 724, 0,	//1145  KJob*, KJob::Unit, qulonglong
    103, 732, 0,	//1149  KJob*, unsigned long
    687, 316, 0,	//1152  const QString&, QFlags<QLibrary::LoadHint>
    687, 536, 0,	//1155  const QString&, const KComponentData&
    687, 536, 391, 0,	//1158  const QString&, const KComponentData&, QObject*
    687, 714, 536, 391, 0,	//1162  const QString&, int, const KComponentData&, QObject*
    687, 714, 536, 0,	//1167  const QString&, int, const KComponentData&
    687, 315, 0,	//1171  const QString&, QFlags<QIODevice::OpenModeFlag>
    687, 114, 315, 0,	//1174  const QString&, KLocalSocket::LocalSocketType, QFlags<QIODevice::OpenModeFlag>
    687, 723, 345, 0,	//1178  const QString&, quint16, QIODevice::OpenMode
    687, 114, 0,	//1182  const QString&, KLocalSocket::LocalSocketType
    714, 521, 0,	//1185  int, bool*
    687, 687, 687, 42, 0,	//1188  const QString&, const QString&, const QString&, KConfig*
    574, 0,	//1193  const KLocale&
    699, 699, 407, 407, 0,	//1195  const char*, const char*, QString*, QString*
    699, 407, 407, 0,	//1200  const char*, QString*, QString*
    699, 699, 699, 407, 407, 0,	//1204  const char*, const char*, const char*, QString*, QString*
    699, 699, 699, 732, 407, 407, 0,	//1210  const char*, const char*, const char*, unsigned long, QString*, QString*
    699, 699, 732, 407, 407, 0,	//1217  const char*, const char*, unsigned long, QString*, QString*
    699, 699, 699, 699, 732, 407, 407, 0,	//1223  const char*, const char*, const char*, const char*, unsigned long, QString*, QString*
    123, 519, 0,	//1231  KLocale::DigitSet, bool
    711, 687, 714, 0,	//1234  double, const QString&, int
    711, 714, 0,	//1238  double, int
    687, 519, 714, 0,	//1241  const QString&, bool, int
    718, 0,	//1245  long
    711, 714, 119, 118, 0,	//1247  double, int, KLocale::BinaryUnitDialect, KLocale::BinarySizeUnits
    119, 0,	//1252  KLocale::BinaryUnitDialect
    631, 120, 519, 0,	//1254  const QDateTime&, KLocale::DateFormat, bool
    567, 120, 295, 0,	//1258  const KDateTime&, KLocale::DateFormat, QFlags<KLocale::DateTimeFormatOption>
    691, 519, 519, 0,	//1262  const QTime&, bool, bool
    691, 296, 0,	//1266  const QTime&, QFlags<KLocale::TimeFormatOption>
    687, 126, 521, 0,	//1269  const QString&, KLocale::ReadTimeFlags, bool*
    687, 521, 296, 297, 0,	//1273  const QString&, bool*, QFlags<KLocale::TimeFormatOption>, QFlags<KLocale::TimeProcessingOption>
    123, 0,	//1278  KLocale::DigitSet
    127, 0,	//1280  KLocale::SignPosition
    124, 0,	//1282  KLocale::MeasureSystem
    699, 699, 699, 0,	//1284  const char*, const char*, const char*
    687, 406, 406, 406, 406, 0,	//1288  const QString&, QString&, QString&, QString&, QString&
    687, 123, 519, 0,	//1294  const QString&, KLocale::DigitSet, bool
    687, 687, 687, 0,	//1298  const QString&, const QString&, const QString&
    711, 687, 0,	//1302  double, const QString&
    687, 519, 0,	//1305  const QString&, bool
    711, 714, 119, 0,	//1308  double, int, KLocale::BinaryUnitDialect
    631, 120, 0,	//1312  const QDateTime&, KLocale::DateFormat
    567, 120, 0,	//1315  const KDateTime&, KLocale::DateFormat
    691, 519, 0,	//1318  const QTime&, bool
    687, 126, 0,	//1321  const QString&, KLocale::ReadTimeFlags
    687, 521, 296, 0,	//1324  const QString&, bool*, QFlags<KLocale::TimeFormatOption>
    687, 123, 0,	//1328  const QString&, KLocale::DigitSet
    575, 687, 0,	//1331  const KLocale*, const QString&
    714, 714, 714, 623, 0,	//1334  int, int, int, const QChar&
    730, 714, 714, 623, 0,	//1339  unsigned int, int, int, const QChar&
    718, 714, 714, 623, 0,	//1344  long, int, int, const QChar&
    732, 714, 714, 623, 0,	//1349  unsigned long, int, int, const QChar&
    720, 714, 714, 623, 0,	//1354  long long, int, int, const QChar&
    733, 714, 714, 623, 0,	//1359  unsigned long long, int, int, const QChar&
    711, 714, 522, 714, 623, 0,	//1364  double, int, char, int, const QChar&
    266, 714, 623, 0,	//1370  QChar, int, const QChar&
    687, 714, 623, 0,	//1374  const QString&, int, const QChar&
    688, 647, 0,	//1378  const QStringList&, const QList<KCatalogName>&
    730, 714, 0,	//1381  unsigned int, int
    730, 714, 714, 0,	//1384  unsigned int, int, int
    718, 714, 0,	//1388  long, int
    718, 714, 714, 0,	//1391  long, int, int
    732, 714, 0,	//1395  unsigned long, int
    732, 714, 714, 0,	//1398  unsigned long, int, int
    720, 714, 0,	//1402  long long, int
    720, 714, 714, 0,	//1405  long long, int, int
    733, 714, 0,	//1409  unsigned long long, int
    733, 714, 714, 0,	//1412  unsigned long long, int, int
    711, 714, 522, 0,	//1416  double, int, char
    711, 714, 522, 714, 0,	//1420  double, int, char, int
    266, 714, 0,	//1425  QChar, int
    298, 0,	//1428  QFlags<KLockFile::LockFlag>
    715, 406, 406, 0,	//1430  int&, QString&, QString&
    577, 0,	//1434  const KLockFile&
    707, 714, 0,	//1436  const unsigned char*, int
    343, 0,	//1439  QIODevice&
    729, 0,	//1441  unsigned char(&)[16]
    265, 0,	//1443  QByteArray&
    706, 0,	//1445  const unsigned char(&)[16]
    708, 0,	//1447  const unsigned char[64]
    707, 0,	//1449  const unsigned char*
    687, 639, 266, 0,	//1451  const QString&, const QHash<QString,QString>&, QChar
    687, 639, 0,	//1455  const QString&, const QHash<QString,QString>&
    687, 638, 266, 0,	//1458  const QString&, const QHash<QChar,QStringList>&, QChar
    687, 638, 0,	//1462  const QString&, const QHash<QChar,QStringList>&
    687, 637, 266, 0,	//1465  const QString&, const QHash<QChar,QString>&, QChar
    687, 637, 0,	//1469  const QString&, const QHash<QChar,QString>&
    687, 640, 266, 0,	//1472  const QString&, const QHash<QString,QStringList>&, QChar
    687, 640, 0,	//1476  const QString&, const QHash<QString,QStringList>&
    406, 0,	//1479  QString&
    406, 715, 0,	//1481  QString&, int&
    578, 0,	//1484  const KMacroExpanderBase&
    138, 687, 687, 0,	//1486  KMessage::MessageType, const QString&, const QString&
    138, 687, 0,	//1490  KMessage::MessageType, const QString&
    139, 0,	//1493  KMessageHandler*
    579, 0,	//1495  const KMessageHandler&
    614, 730, 0,	//1497  const KUrl&, unsigned int
    687, 141, 0,	//1500  const QString&, KMimeType::FindByNameOption
    614, 730, 519, 519, 716, 0,	//1503  const KUrl&, unsigned int, bool, bool, int*
    687, 730, 519, 716, 0,	//1509  const QString&, unsigned int, bool, int*
    622, 716, 0,	//1514  const QByteArray&, int*
    687, 622, 730, 716, 0,	//1517  const QString&, const QByteArray&, unsigned int, int*
    344, 716, 0,	//1522  QIODevice*, int*
    687, 344, 730, 716, 0,	//1525  const QString&, QIODevice*, unsigned int, int*
    687, 716, 0,	//1530  const QString&, int*
    275, 714, 0,	//1533  QDataStream&, int
    142, 0,	//1536  KMimeTypePrivate&
    142, 687, 687, 0,	//1538  KMimeTypePrivate&, const QString&, const QString&
    614, 730, 519, 0,	//1542  const KUrl&, unsigned int, bool
    614, 730, 519, 519, 0,	//1546  const KUrl&, unsigned int, bool, bool
    687, 730, 519, 0,	//1551  const QString&, unsigned int, bool
    687, 622, 730, 0,	//1555  const QString&, const QByteArray&, unsigned int
    687, 344, 0,	//1559  const QString&, QIODevice*
    687, 344, 730, 0,	//1562  const QString&, QIODevice*, unsigned int
    580, 0,	//1566  const KMimeTypeTrader&
    699, 699, 391, 0,	//1568  const char*, const char*, QObject*
    525, 391, 0,	//1572  const KAboutData&, QObject*
    526, 391, 0,	//1575  const KAboutData*, QObject*
    391, 699, 688, 0,	//1578  QObject*, const char*, const QStringList&
    146, 391, 0,	//1582  KPluginFactoryPrivate&, QObject*
    659, 0,	//1585  const QList<QVariant>&
    434, 391, 699, 688, 0,	//1587  QWidget*, QObject*, const char*, const QStringList&
    699, 434, 391, 659, 687, 0,	//1592  const char*, QWidget*, QObject*, const QList<QVariant>&, const QString&
    391, 699, 0,	//1598  QObject*, const char*
    146, 0,	//1601  KPluginFactoryPrivate&
    587, 0,	//1603  const KSharedPtr<KService>
    651, 541, 0,	//1605  const QList<KSharedPtr<KService> >&, const KConfigGroup&
    688, 541, 0,	//1608  const QStringList&, const KConfigGroup&
    687, 541, 0,	//1611  const QString&, const KConfigGroup&
    47, 0,	//1614  KConfigGroup
    581, 0,	//1616  const KPluginInfo&
    651, 0,	//1618  const QList<KSharedPtr<KService> >&
    584, 536, 391, 0,	//1620  const KService&, const KComponentData&, QObject*
    584, 0,	//1624  const KService&
    584, 536, 0,	//1626  const KService&, const KComponentData&
    152, 0,	//1629  KProcess::OutputChannelMode
    687, 688, 714, 0,	//1631  const QString&, const QStringList&, int
    688, 714, 0,	//1635  const QStringList&, int
    153, 391, 0,	//1638  KProcessPrivate*, QObject*
    159, 0,	//1641  KProtocolInfo::Type
    687, 157, 0,	//1643  const QString&, KProtocolInfo::ExtraField::Type
    582, 0,	//1646  const KProtocolInfo::ExtraField&
    157, 0,	//1648  KProtocolInfo::ExtraField::Type
    583, 0,	//1650  const KRandomSequence&
    687, 687, 687, 709, 0,	//1652  const QString&, const QString&, const QString&, const unsigned int
    571, 0,	//1657  const KDesktopFile*
    586, 0,	//1659  const KServiceType*
    687, 431, 0,	//1661  const QString&, QVariant::Type
    519, 687, 407, 689, 0,	//1664  bool, const QString&, QString*, const QStringList*
    519, 687, 0,	//1669  bool, const QString&
    519, 687, 407, 0,	//1672  bool, const QString&, QString*
    687, 687, 687, 687, 519, 0,	//1676  const QString&, const QString&, const QString&, const QString&, bool
    585, 0,	//1682  const KServiceAction&
    687, 687, 687, 687, 0,	//1684  const QString&, const QString&, const QString&, const QString&
    275, 714, 519, 0,	//1689  QDataStream&, int, bool
    519, 519, 519, 519, 0,	//1693  bool, bool, bool, bool
    519, 519, 0,	//1698  bool, bool
    299, 0,	//1701  QFlags<KServiceGroup::EntriesOption>
    590, 0,	//1703  const KSharedPtr<KSycocaEntry>&
    519, 519, 519, 0,	//1705  bool, bool, bool
    92, 0,	//1709  KDesktopFile*
    170, 0,	//1711  KServiceTypePrivate&
    170, 687, 687, 0,	//1713  KServiceTypePrivate&, const QString&, const QString&
    364, 687, 0,	//1717  QList<KSharedPtr<KService> >&, const QString&
    687, 300, 178, 0,	//1720  const QString&, QFlags<KShell::Option>, KShell::Errors*
    687, 300, 0,	//1724  const QString&, QFlags<KShell::Option>
    687, 687, 735, 391, 0,	//1727  const QString&, const QString&, unsigned short, QObject*
    687, 687, 735, 0,	//1732  const QString&, const QString&, unsigned short
    687, 687, 735, 714, 391, 0,	//1736  const QString&, const QString&, unsigned short, int, QObject*
    687, 687, 735, 714, 0,	//1742  const QString&, const QString&, unsigned short, int
    687, 642, 735, 391, 0,	//1747  const QString&, const QHostAddress&, unsigned short, QObject*
    687, 642, 0,	//1752  const QString&, const QHostAddress&
    687, 642, 735, 0,	//1755  const QString&, const QHostAddress&, unsigned short
    687, 687, 391, 0,	//1759  const QString&, const QString&, QObject*
    692, 714, 391, 0,	//1763  const QUrl&, int, QObject*
    692, 0,	//1767  const QUrl&
    692, 714, 0,	//1769  const QUrl&, int
    414, 687, 687, 735, 0,	//1772  QTcpSocket*, const QString&, const QString&, unsigned short
    692, 391, 0,	//1777  const QUrl&, QObject*
    414, 692, 0,	//1780  QTcpSocket*, const QUrl&
    414, 692, 714, 0,	//1783  QTcpSocket*, const QUrl&, int
    414, 687, 687, 735, 714, 0,	//1787  QTcpSocket*, const QString&, const QString&, unsigned short, int
    591, 0,	//1793  const KSslCipher&
    683, 0,	//1795  const QSslCipher&
    185, 682, 0,	//1797  KSslError::Error, const QSslCertificate&
    684, 0,	//1800  const QSslError&
    592, 0,	//1802  const KSslError&
    185, 0,	//1804  KSslError::Error
    598, 0,	//1806  const KTcpSocket*
    593, 0,	//1808  const KSslErrorUiData&
    594, 0,	//1810  const KSslKey&
    685, 0,	//1812  const QSslKey&
    699, 687, 519, 0,	//1814  const char*, const QString&, bool
    699, 699, 687, 519, 0,	//1818  const char*, const char*, const QString&, bool
    699, 699, 699, 519, 0,	//1823  const char*, const char*, const char*, bool
    699, 687, 301, 0,	//1828  const char*, const QString&, QFlags<KStandardDirs::SearchOption>
    699, 687, 301, 411, 0,	//1832  const char*, const QString&, QFlags<KStandardDirs::SearchOption>, QStringList&
    687, 687, 301, 0,	//1837  const QString&, const QString&, QFlags<KStandardDirs::SearchOption>
    411, 687, 687, 301, 0,	//1841  QStringList&, const QString&, const QString&, QFlags<KStandardDirs::SearchOption>
    699, 687, 536, 0,	//1846  const char*, const QString&, const KComponentData&
    699, 687, 519, 536, 0,	//1850  const char*, const QString&, bool, const KComponentData&
    699, 699, 687, 0,	//1855  const char*, const char*, const QString&
    411, 687, 0,	//1859  QStringList&, const QString&
    411, 687, 687, 0,	//1862  QStringList&, const QString&, const QString&
    623, 687, 714, 0,	//1866  const QChar&, const QString&, int
    623, 687, 0,	//1870  const QChar&, const QString&
    677, 687, 714, 0,	//1873  const QRegExp&, const QString&, int
    677, 687, 0,	//1877  const QRegExp&, const QString&
    687, 687, 444, 0,	//1880  const QString&, const QString&, Qt::CaseSensitivity
    687, 687, 714, 0,	//1884  const QString&, const QString&, int
    714, 203, 0,	//1888  int, KSycocaType&
    200, 0,	//1891  KSycocaFactoryId
    1, 0,	//1893  DatabaseType
    199, 0,	//1895  KSycocaFactory*
    276, 0,	//1897  QDataStream*
    202, 0,	//1899  KSycocaType
    275, 406, 0,	//1901  QDataStream&, QString&
    275, 411, 0,	//1904  QDataStream&, QStringList&
    198, 0,	//1907  KSycocaEntryPrivate&
    206, 687, 687, 713, 713, 687, 0,	//1909  KSystemTimeZoneSource*, const QString&, const QString&, float, float, const QString&
    595, 0,	//1916  const KSystemTimeZone&
    206, 687, 0,	//1918  KSystemTimeZoneSource*, const QString&
    206, 687, 687, 0,	//1921  KSystemTimeZoneSource*, const QString&, const QString&
    206, 687, 687, 713, 0,	//1925  KSystemTimeZoneSource*, const QString&, const QString&, float
    206, 687, 687, 713, 713, 0,	//1930  KSystemTimeZoneSource*, const QString&, const QString&, float, float
    600, 631, 716, 0,	//1936  const KTimeZone*, const QDateTime&, int*
    600, 631, 0,	//1940  const KTimeZone*, const QDateTime&
    600, 719, 0,	//1943  const KTimeZone*, long int
    596, 0,	//1946  const KSystemTimeZoneBackend&
    597, 0,	//1948  const KSystemTimeZoneSource&
    687, 735, 210, 0,	//1950  const QString&, unsigned short, KTcpSocket::ProxyPolicy
    642, 735, 210, 0,	//1954  const QHostAddress&, unsigned short, KTcpSocket::ProxyPolicy
    614, 210, 0,	//1958  const KUrl&, KTcpSocket::ProxyPolicy
    668, 0,	//1961  const QNetworkProxy&
    682, 0,	//1963  const QSslCertificate&
    658, 0,	//1965  const QList<QSslCertificate>&
    687, 735, 315, 0,	//1967  const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>
    652, 0,	//1971  const QList<KSslCipher>&
    687, 400, 0,	//1973  const QString&, QSsl::EncodingFormat
    687, 191, 400, 622, 0,	//1976  const QString&, KSslKey::Algorithm, QSsl::EncodingFormat, const QByteArray&
    211, 0,	//1981  KTcpSocket::SslVersion
    259, 0,	//1983  QAbstractSocket::SocketOption
    259, 694, 0,	//1985  QAbstractSocket::SocketOption, const QVariant&
    209, 0,	//1988  KTcpSocket::Error
    668, 260, 0,	//1990  const QNetworkProxy&, QAuthenticator*
    212, 0,	//1993  KTcpSocket::State
    208, 0,	//1995  KTcpSocket::EncryptionMode
    653, 0,	//1997  const QList<KSslError>&
    687, 735, 0,	//1999  const QString&, unsigned short
    642, 735, 0,	//2002  const QHostAddress&, unsigned short
    687, 191, 0,	//2005  const QString&, KSslKey::Algorithm
    687, 191, 400, 0,	//2008  const QString&, KSslKey::Algorithm, QSsl::EncodingFormat
    599, 631, 0,	//2012  const KTimeZone&, const QDateTime&
    631, 521, 0,	//2015  const QDateTime&, bool*
    494, 0,	//2018  Qt::TimeSpec
    631, 716, 0,	//2020  const QDateTime&, int*
    719, 0,	//2023  long int
    631, 631, 0,	//2025  const QDateTime&, const QDateTime&
    631, 605, 521, 0,	//2028  const QDateTime&, const KTimeZone::Transition**, bool*
    631, 716, 521, 0,	//2032  const QDateTime&, int*, bool*
    602, 631, 631, 0,	//2036  const KTimeZone::Phase&, const QDateTime&, const QDateTime&
    227, 0,	//2040  KTimeZoneBackend*
    229, 230, 0,	//2042  KTimeZoneData*, KTimeZoneSource*
    631, 605, 0,	//2045  const QDateTime&, const KTimeZone::Transition**
    602, 0,	//2048  const KTimeZone::Phase&
    602, 631, 0,	//2050  const KTimeZone::Phase&, const QDateTime&
    229, 0,	//2053  KTimeZoneData*
    631, 714, 687, 0,	//2055  const QDateTime&, int, const QString&
    601, 0,	//2059  const KTimeZone::LeapSeconds&
    631, 714, 0,	//2061  const QDateTime&, int
    714, 622, 519, 687, 0,	//2064  int, const QByteArray&, bool, const QString&
    714, 657, 519, 687, 0,	//2069  int, const QList<QByteArray>&, bool, const QString&
    714, 622, 519, 0,	//2074  int, const QByteArray&, bool
    714, 657, 519, 0,	//2078  int, const QList<QByteArray>&, bool
    631, 602, 0,	//2082  const QDateTime&, const KTimeZone::Phase&
    603, 0,	//2085  const KTimeZone::Transition&
    606, 0,	//2087  const KTimeZoneBackend&
    600, 0,	//2089  const KTimeZone*
    230, 687, 687, 713, 713, 687, 0,	//2091  KTimeZoneSource*, const QString&, const QString&, float, float, const QString&
    230, 687, 0,	//2098  KTimeZoneSource*, const QString&
    230, 687, 687, 0,	//2101  KTimeZoneSource*, const QString&, const QString&
    230, 687, 687, 713, 0,	//2105  KTimeZoneSource*, const QString&, const QString&, float
    230, 687, 687, 713, 713, 0,	//2110  KTimeZoneSource*, const QString&, const QString&, float, float
    607, 0,	//2116  const KTimeZoneData&
    655, 714, 0,	//2118  const QList<KTimeZone::Phase>&, int
    656, 0,	//2121  const QList<KTimeZone::Transition>&
    654, 0,	//2123  const QList<KTimeZone::LeapSeconds>&
    609, 0,	//2125  const KTimeZoneSource&
    687, 687, 622, 0,	//2127  const QString&, const QString&, const QByteArray&
    614, 622, 519, 0,	//2131  const KUrl&, const QByteArray&, bool
    687, 687, 687, 687, 687, 687, 688, 622, 0,	//2135  const QString&, const QString&, const QString&, const QString&, const QString&, const QString&, const QStringList&, const QByteArray&
    687, 687, 407, 407, 716, 622, 519, 0,	//2144  const QString&, const QString&, QString*, QString*, int*, const QByteArray&, bool
    687, 688, 407, 407, 716, 622, 519, 0,	//2152  const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&, bool
    687, 688, 407, 716, 622, 0,	//2160  const QString&, const QStringList&, QString*, int*, const QByteArray&
    411, 265, 0,	//2166  QStringList&, QByteArray&
    614, 622, 0,	//2169  const KUrl&, const QByteArray&
    687, 687, 687, 687, 687, 0,	//2172  const QString&, const QString&, const QString&, const QString&, const QString&
    687, 687, 687, 687, 687, 687, 0,	//2178  const QString&, const QString&, const QString&, const QString&, const QString&, const QString&
    687, 687, 687, 687, 687, 687, 688, 0,	//2185  const QString&, const QString&, const QString&, const QString&, const QString&, const QString&, const QStringList&
    687, 687, 407, 0,	//2193  const QString&, const QString&, QString*
    687, 687, 407, 407, 0,	//2197  const QString&, const QString&, QString*, QString*
    687, 687, 407, 407, 716, 0,	//2202  const QString&, const QString&, QString*, QString*, int*
    687, 687, 407, 407, 716, 622, 0,	//2208  const QString&, const QString&, QString*, QString*, int*, const QByteArray&
    687, 688, 407, 0,	//2215  const QString&, const QStringList&, QString*
    687, 688, 407, 407, 0,	//2219  const QString&, const QStringList&, QString*, QString*
    687, 688, 407, 407, 716, 0,	//2224  const QString&, const QStringList&, QString*, QString*, int*
    687, 688, 407, 407, 716, 622, 0,	//2230  const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&
    687, 688, 407, 716, 0,	//2237  const QString&, const QStringList&, QString*, int*
    235, 687, 687, 713, 713, 687, 0,	//2242  KTzfileTimeZoneSource*, const QString&, const QString&, float, float, const QString&
    611, 0,	//2249  const KTzfileTimeZone&
    235, 687, 0,	//2251  KTzfileTimeZoneSource*, const QString&
    235, 687, 687, 0,	//2254  KTzfileTimeZoneSource*, const QString&, const QString&
    235, 687, 687, 713, 0,	//2258  KTzfileTimeZoneSource*, const QString&, const QString&, float
    235, 687, 687, 713, 713, 0,	//2263  KTzfileTimeZoneSource*, const QString&, const QString&, float, float
    612, 0,	//2269  const KTzfileTimeZoneBackend&
    613, 0,	//2271  const KTzfileTimeZoneSource&
    239, 0,	//2273  KUrl::AdjustPathOption
    615, 0,	//2275  const KUrl::CleanPathOption&
    239, 634, 0,	//2277  KUrl::AdjustPathOption, const QFlags<KUrl::EncodedPathAndQueryOption>&
    636, 0,	//2280  const QFlags<KUrl::QueryItemsOption>&
    633, 0,	//2282  const QFlags<KUrl::DirectoryOption>&
    614, 519, 0,	//2284  const KUrl&, bool
    614, 635, 0,	//2287  const KUrl&, const QFlags<KUrl::EqualsOption>&
    616, 0,	//2290  const KUrl::List&
    388, 663, 246, 0,	//2292  QMimeData*, const QMap<QString,QString>&, KUrl::MimeDataFlags
    614, 614, 0,	//2296  const KUrl&, const KUrl&
    388, 0,	//2299  QMimeData*
    388, 663, 0,	//2301  QMimeData*, const QMap<QString,QString>&
    250, 0,	//2304  KUser::UIDMode
    705, 0,	//2306  const passwd*
    617, 0,	//2308  const KUser&
    251, 0,	//2310  KUser::UserProperty
    701, 0,	//2312  const group*
    618, 0,	//2314  const KUserGroup&
    619, 0,	//2316  const KWordMacroExpander&
    687, 687, 625, 391, 0,	//2318  const QString&, const QString&, const QDBusConnection&, QObject*
    687, 688, 688, 687, 0,	//2323  const QString&, const QStringList&, const QStringList&, const QString&
    687, 688, 688, 687, 406, 406, 715, 0,	//2328  const QString&, const QStringList&, const QStringList&, const QString&, QString&, QString&, int&
    687, 687, 687, 406, 0,	//2336  const QString&, const QString&, const QString&, QString&
    687, 688, 688, 687, 519, 406, 406, 715, 0,	//2341  const QString&, const QStringList&, const QStringList&, const QString&, bool, QString&, QString&, int&
    687, 687, 625, 0,	//2350  const QString&, const QString&, const QDBusConnection&
    275, 585, 0,	//2354  QDataStream&, const KServiceAction&
    690, 690, 0,	//2357  const QStringRef&, const QStringRef&
    416, 714, 0,	//2360  QTextCodec::ConversionFlag, int
    465, 714, 0,	//2363  Qt::ImageConversionFlag, int
    699, 643, 0,	//2366  const char*, const QLatin1String&
    275, 155, 0,	//2369  QDataStream&, KProtocolInfo::ExtraField&
    690, 687, 0,	//2372  const QStringRef&, const QString&
    679, 679, 0,	//2375  const QSize&, const QSize&
    288, 314, 0,	//2378  QFile::Permission, QFlags<QFile::Permission>
    674, 674, 0,	//2381  const QPointF&, const QPointF&
    275, 398, 0,	//2384  QDataStream&, QSizeF&
    622, 699, 0,	//2387  const QByteArray&, const char*
    390, 714, 0,	//2390  QNetworkProxy::Capability, int
    687, 690, 0,	//2393  const QString&, const QStringRef&
    243, 714, 0,	//2396  KUrl::EqualsOption, int
    690, 643, 0,	//2399  const QStringRef&, const QLatin1String&
    266, 266, 0,	//2402  QChar, QChar
    628, 628, 0,	//2405  const QDBusVariant&, const QDBusVariant&
    498, 498, 0,	//2408  Qt::TouchPointState, Qt::TouchPointState
    270, 645, 0,	//2411  QDBusArgument&, const QLineF&
    270, 674, 0,	//2414  QDBusArgument&, const QPointF&
    408, 687, 0,	//2417  QString::Null, const QString&
    270, 659, 0,	//2420  QDBusArgument&, const QList<QVariant>&
    275, 642, 0,	//2423  QDataStream&, const QHostAddress&
    495, 495, 0,	//2426  Qt::ToolBarArea, Qt::ToolBarArea
    383, 383, 0,	//2429  QLocale::NumberOption, QLocale::NumberOption
    243, 243, 0,	//2432  KUrl::EqualsOption, KUrl::EqualsOption
    270, 676, 0,	//2435  QDBusArgument&, const QRectF&
    505, 505, 0,	//2438  Qt::WindowType, Qt::WindowType
    711, 681, 0,	//2441  double, const QSizeF&
    241, 241, 0,	//2444  KUrl::DirectoryOption, KUrl::DirectoryOption
    282, 714, 0,	//2447  QDir::Filter, int
    672, 672, 0,	//2450  const QPoint&, const QPoint&
    624, 350, 0,	//2453  const QDBusArgument&, QLineF&
    275, 676, 0,	//2456  QDataStream&, const QRectF&
    473, 714, 0,	//2459  Qt::KeyboardModifier, int
    492, 334, 0,	//2462  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    43, 291, 0,	//2465  KConfig::OpenFlag, QFlags<KConfig::OpenFlag>
    270, 631, 0,	//2468  QDBusArgument&, const QDateTime&
    420, 321, 0,	//2471  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    427, 714, 0,	//2474  QUrl::FormattingOption, int
    288, 714, 0,	//2477  QFile::Permission, int
    672, 711, 0,	//2480  const QPoint&, double
    284, 312, 0,	//2483  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    681, 681, 0,	//2486  const QSizeF&, const QSizeF&
    33, 714, 0,	//2489  KCmdLineArgs::StdCmdLineArg, int
    134, 714, 0,	//2492  KLockFile::LockFlag, int
    473, 330, 0,	//2495  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    390, 390, 0,	//2498  QNetworkProxy::Capability, QNetworkProxy::Capability
    427, 427, 0,	//2501  QUrl::FormattingOption, QUrl::FormattingOption
    498, 336, 0,	//2504  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    241, 714, 0,	//2507  KUrl::DirectoryOption, int
    465, 465, 0,	//2510  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    383, 714, 0,	//2513  QLocale::NumberOption, int
    643, 643, 0,	//2516  const QLatin1String&, const QLatin1String&
    390, 318, 0,	//2519  QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>
    129, 714, 0,	//2522  KLocale::TimeProcessingOption, int
    643, 690, 0,	//2525  const QLatin1String&, const QStringRef&
    241, 303, 0,	//2528  KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>
    627, 627, 0,	//2531  const QDBusSignature&, const QDBusSignature&
    456, 456, 0,	//2534  Qt::DropAction, Qt::DropAction
    275, 382, 0,	//2537  QDataStream&, QLocale&
    687, 266, 0,	//2540  const QString&, QChar
    408, 408, 0,	//2543  QString::Null, QString::Null
    179, 300, 0,	//2546  KShell::Option, QFlags<KShell::Option>
    416, 416, 0,	//2549  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    480, 480, 0,	//2552  Qt::Orientation, Qt::Orientation
    622, 687, 0,	//2555  const QByteArray&, const QString&
    495, 335, 0,	//2558  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    675, 675, 0,	//2561  const QRect&, const QRect&
    286, 313, 0,	//2564  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    620, 620, 0,	//2567  const QBitArray&, const QBitArray&
    43, 43, 0,	//2570  KConfig::OpenFlag, KConfig::OpenFlag
    23, 714, 0,	//2573  KAutostart::Condition, int
    275, 661, 0,	//2576  QDataStream&, const QLocale&
    275, 582, 0,	//2579  QDataStream&, const KProtocolInfo::ExtraField&
    275, 281, 0,	//2582  QDataStream&, QDateTime&
    263, 263, 0,	//2585  QBool, QBool
    699, 690, 0,	//2588  const char*, const QStringRef&
    495, 714, 0,	//2591  Qt::ToolBarArea, int
    467, 714, 0,	//2594  Qt::InputMethodHint, int
    121, 714, 0,	//2597  KLocale::DateTimeFormatOption, int
    266, 687, 0,	//2600  QChar, const QString&
    409, 714, 0,	//2603  QString::SectionFlag, int
    348, 714, 0,	//2606  QLibrary::LoadHint, int
    275, 426, 0,	//2609  QDataStream&, QUrl&
    179, 179, 0,	//2612  KShell::Option, KShell::Option
    687, 408, 0,	//2615  const QString&, QString::Null
    257, 714, 0,	//2618  QAbstractFileEngine::FileFlag, int
    416, 320, 0,	//2621  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    687, 522, 0,	//2624  const QString&, char
    624, 279, 0,	//2627  const QDBusArgument&, QDate&
    467, 328, 0,	//2630  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    505, 338, 0,	//2633  Qt::WindowType, QFlags<Qt::WindowType>
    270, 691, 0,	//2636  QDBusArgument&, const QTime&
    270, 644, 0,	//2639  QDBusArgument&, const QLine&
    478, 478, 0,	//2642  Qt::MouseButton, Qt::MouseButton
    242, 304, 0,	//2645  KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>
    435, 435, 0,	//2648  Qt::AlignmentFlag, Qt::AlignmentFlag
    672, 0,	//2651  const QPoint&
    456, 714, 0,	//2653  Qt::DropAction, int
    275, 691, 0,	//2656  QDataStream&, const QTime&
    283, 714, 0,	//2659  QDir::SortFlag, int
    665, 665, 0,	//2662  const QMargins&, const QMargins&
    274, 309, 0,	//2665  QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>
    104, 714, 0,	//2668  KJob::Capability, int
    476, 476, 0,	//2671  Qt::MatchFlag, Qt::MatchFlag
    242, 242, 0,	//2674  KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption
    454, 324, 0,	//2677  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    194, 301, 0,	//2680  KStandardDirs::SearchOption, QFlags<KStandardDirs::SearchOption>
    454, 714, 0,	//2683  Qt::DockWidgetArea, int
    46, 46, 0,	//2686  KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag
    270, 675, 0,	//2689  QDBusArgument&, const QRect&
    275, 350, 0,	//2692  QDataStream&, QLineF&
    288, 288, 0,	//2695  QFile::Permission, QFile::Permission
    121, 295, 0,	//2698  KLocale::DateTimeFormatOption, QFlags<KLocale::DateTimeFormatOption>
    522, 687, 0,	//2701  char, const QString&
    626, 626, 0,	//2704  const QDBusObjectPath&, const QDBusObjectPath&
    275, 397, 0,	//2707  QDataStream&, QSize&
    275, 687, 0,	//2710  QDataStream&, const QString&
    275, 631, 0,	//2713  QDataStream&, const QDateTime&
    409, 409, 0,	//2716  QString::SectionFlag, QString::SectionFlag
    274, 274, 0,	//2719  QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag
    674, 711, 0,	//2722  const QPointF&, double
    519, 263, 0,	//2725  bool, QBool
    624, 393, 0,	//2728  const QDBusArgument&, QPointF&
    275, 341, 0,	//2731  QDataStream&, QHostAddress&
    275, 165, 0,	//2734  QDataStream&, KServiceAction&
    275, 672, 0,	//2737  QDataStream&, const QPoint&
    128, 714, 0,	//2740  KLocale::TimeFormatOption, int
    275, 430, 0,	//2743  QDataStream&, QVariant&
    128, 296, 0,	//2746  KLocale::TimeFormatOption, QFlags<KLocale::TimeFormatOption>
    478, 714, 0,	//2749  Qt::MouseButton, int
    46, 292, 0,	//2752  KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>
    674, 0,	//2755  const QPointF&
    128, 128, 0,	//2757  KLocale::TimeFormatOption, KLocale::TimeFormatOption
    46, 714, 0,	//2760  KConfigBase::WriteConfigFlag, int
    271, 308, 0,	//2763  QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>
    480, 333, 0,	//2766  Qt::Orientation, QFlags<Qt::Orientation>
    286, 714, 0,	//2769  QEventLoop::ProcessEventsFlag, int
    676, 676, 0,	//2772  const QRectF&, const QRectF&
    270, 679, 0,	//2775  QDBusArgument&, const QSize&
    465, 327, 0,	//2778  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    275, 688, 0,	//2781  QDataStream&, const QStringList&
    622, 522, 0,	//2784  const QByteArray&, char
    129, 297, 0,	//2787  KLocale::TimeProcessingOption, QFlags<KLocale::TimeProcessingOption>
    284, 284, 0,	//2790  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    282, 310, 0,	//2793  QDir::Filter, QFlags<QDir::Filter>
    275, 392, 0,	//2796  QDataStream&, QPoint&
    681, 711, 0,	//2799  const QSizeF&, double
    275, 630, 0,	//2802  QDataStream&, const QDate&
    275, 644, 0,	//2805  QDataStream&, const QLine&
    523, 0,	//2808  char*
    624, 281, 0,	//2810  const QDBusArgument&, QDateTime&
    624, 395, 0,	//2813  const QDBusArgument&, QRectF&
    243, 305, 0,	//2816  KUrl::EqualsOption, QFlags<KUrl::EqualsOption>
    470, 714, 0,	//2819  Qt::ItemFlag, int
    78, 78, 0,	//2822  KCurrencyCode::CurrencyStatus, KCurrencyCode::CurrencyStatus
    418, 419, 0,	//2825  QTextStream&, QTextStream&(*)(QTextStream&)
    624, 423, 0,	//2828  const QDBusArgument&, QTime&
    104, 104, 0,	//2831  KJob::Capability, KJob::Capability
    134, 298, 0,	//2834  KLockFile::LockFlag, QFlags<KLockFile::LockFlag>
    286, 286, 0,	//2837  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    23, 289, 0,	//2840  KAutostart::Condition, QFlags<KAutostart::Condition>
    418, 421, 0,	//2843  QTextStream&, QTextStreamManipulator
    461, 326, 0,	//2846  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    271, 271, 0,	//2849  QDBusConnection::RegisterOption, QDBusConnection::RegisterOption
    342, 642, 0,	//2852  QHostAddress::SpecialAddress, const QHostAddress&
    275, 262, 0,	//2855  QDataStream&, QBitArray&
    240, 240, 0,	//2858  KUrl::CleanPathOption, KUrl::CleanPathOption
    270, 664, 0,	//2861  QDBusArgument&, const QMap<QString,QVariant>&
    690, 699, 0,	//2864  const QStringRef&, const char*
    624, 392, 0,	//2867  const QDBusArgument&, QPoint&
    33, 290, 0,	//2870  KCmdLineArgs::StdCmdLineArg, QFlags<KCmdLineArgs::StdCmdLineArg>
    461, 714, 0,	//2873  Qt::GestureFlag, int
    522, 622, 0,	//2876  char, const QByteArray&
    275, 694, 0,	//2879  QDataStream&, const QVariant&
    624, 398, 0,	//2882  const QDBusArgument&, QSizeF&
    624, 397, 0,	//2885  const QDBusArgument&, QSize&
    504, 714, 0,	//2888  Qt::WindowState, int
    275, 423, 0,	//2891  QDataStream&, QTime&
    23, 23, 0,	//2894  KAutostart::Condition, KAutostart::Condition
    104, 294, 0,	//2897  KJob::Capability, QFlags<KJob::Capability>
    247, 247, 0,	//2900  KUrl::QueryItemsOption, KUrl::QueryItemsOption
    473, 473, 0,	//2903  Qt::KeyboardModifier, Qt::KeyboardModifier
    711, 674, 0,	//2906  double, const QPointF&
    456, 325, 0,	//2909  Qt::DropAction, QFlags<Qt::DropAction>
    679, 711, 0,	//2912  const QSize&, double
    282, 282, 0,	//2915  QDir::Filter, QDir::Filter
    711, 672, 0,	//2918  double, const QPoint&
    275, 645, 0,	//2921  QDataStream&, const QLineF&
    194, 714, 0,	//2924  KStandardDirs::SearchOption, int
    43, 714, 0,	//2927  KConfig::OpenFlag, int
    346, 346, 0,	//2930  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    454, 454, 0,	//2933  Qt::DockWidgetArea, Qt::DockWidgetArea
    283, 311, 0,	//2936  QDir::SortFlag, QFlags<QDir::SortFlag>
    694, 696, 0,	//2939  const QVariant&, const QVariantComparisonHelper&
    348, 348, 0,	//2942  QLibrary::LoadHint, QLibrary::LoadHint
    284, 714, 0,	//2945  QDirIterator::IteratorFlag, int
    78, 293, 0,	//2948  KCurrencyCode::CurrencyStatus, QFlags<KCurrencyCode::CurrencyStatus>
    467, 467, 0,	//2951  Qt::InputMethodHint, Qt::InputMethodHint
    624, 394, 0,	//2954  const QDBusArgument&, QRect&
    492, 492, 0,	//2957  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    498, 714, 0,	//2960  Qt::TouchPointState, int
    427, 322, 0,	//2963  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    492, 714, 0,	//2966  Qt::TextInteractionFlag, int
    504, 504, 0,	//2969  Qt::WindowState, Qt::WindowState
    257, 307, 0,	//2972  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    275, 622, 0,	//2975  QDataStream&, const QByteArray&
    275, 692, 0,	//2978  QDataStream&, const QUrl&
    624, 430, 0,	//2981  const QDBusArgument&, QVariant&
    283, 283, 0,	//2984  QDir::SortFlag, QDir::SortFlag
    420, 714, 0,	//2987  QTextStream::NumberFlag, int
    275, 394, 0,	//2990  QDataStream&, QRect&
    275, 679, 0,	//2993  QDataStream&, const QSize&
    33, 33, 0,	//2996  KCmdLineArgs::StdCmdLineArg, KCmdLineArgs::StdCmdLineArg
    275, 623, 0,	//2999  QDataStream&, const QChar&
    435, 714, 0,	//3002  Qt::AlignmentFlag, int
    275, 677, 0,	//3005  QDataStream&, const QRegExp&
    624, 349, 0,	//3008  const QDBusArgument&, QLine&
    504, 337, 0,	//3011  Qt::WindowState, QFlags<Qt::WindowState>
    134, 134, 0,	//3014  KLockFile::LockFlag, KLockFile::LockFlag
    470, 470, 0,	//3017  Qt::ItemFlag, Qt::ItemFlag
    275, 428, 0,	//3020  QDataStream&, QUuid&
    240, 302, 0,	//3023  KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>
    275, 432, 0,	//3026  QDataStream&, QVariant::Type&
    240, 714, 0,	//3029  KUrl::CleanPathOption, int
    247, 306, 0,	//3032  KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>
    270, 630, 0,	//3035  QDBusArgument&, const QDate&
    641, 641, 0,	//3038  const QHashDummyValue&, const QHashDummyValue&
    275, 393, 0,	//3041  QDataStream&, QPointF&
    480, 714, 0,	//3044  Qt::Orientation, int
    461, 461, 0,	//3047  Qt::GestureFlag, Qt::GestureFlag
    346, 315, 0,	//3050  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    129, 129, 0,	//3053  KLocale::TimeProcessingOption, KLocale::TimeProcessingOption
    271, 714, 0,	//3056  QDBusConnection::RegisterOption, int
    711, 679, 0,	//3059  double, const QSize&
    270, 681, 0,	//3062  QDBusArgument&, const QSizeF&
    242, 714, 0,	//3065  KUrl::EncodedPathAndQueryOption, int
    263, 519, 0,	//3068  QBool, bool
    275, 349, 0,	//3071  QDataStream&, QLine&
    420, 420, 0,	//3074  QTextStream::NumberFlag, QTextStream::NumberFlag
    247, 714, 0,	//3077  KUrl::QueryItemsOption, int
    478, 332, 0,	//3080  Qt::MouseButton, QFlags<Qt::MouseButton>
    194, 194, 0,	//3083  KStandardDirs::SearchOption, KStandardDirs::SearchOption
    275, 695, 0,	//3086  QDataStream&, const QVariant::Type
    470, 329, 0,	//3089  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    275, 693, 0,	//3092  QDataStream&, const QUuid&
    348, 316, 0,	//3095  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    505, 714, 0,	//3098  Qt::WindowType, int
    121, 121, 0,	//3101  KLocale::DateTimeFormatOption, KLocale::DateTimeFormatOption
    275, 395, 0,	//3104  QDataStream&, QRectF&
    275, 675, 0,	//3107  QDataStream&, const QRect&
    476, 331, 0,	//3110  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    274, 714, 0,	//3113  QDBusServiceWatcher::WatchModeFlag, int
    435, 323, 0,	//3116  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    275, 267, 0,	//3119  QDataStream&, QChar&
    275, 396, 0,	//3122  QDataStream&, QRegExp&
    275, 674, 0,	//3125  QDataStream&, const QPointF&
    275, 681, 0,	//3128  QDataStream&, const QSizeF&
    383, 317, 0,	//3131  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    179, 714, 0,	//3134  KShell::Option, int
    409, 319, 0,	//3137  QString::SectionFlag, QFlags<QString::SectionFlag>
    257, 257, 0,	//3140  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    346, 714, 0,	//3143  QIODevice::OpenModeFlag, int
    275, 265, 0,	//3146  QDataStream&, QByteArray&
    476, 714, 0,	//3149  Qt::MatchFlag, int
    270, 672, 0,	//3152  QDBusArgument&, const QPoint&
    78, 714, 0,	//3155  KCurrencyCode::CurrencyStatus, int
    275, 279, 0,	//3158  QDataStream&, QDate&
    275, 620, 0,	//3161  QDataStream&, const QBitArray&
    285, 0,	//3164  QEvent*
    391, 285, 0,	//3166  QObject*, QEvent*
    424, 0,	//3169  QTimerEvent*
    268, 0,	//3171  QChildEvent*
    698, 391, 0,	//3173  const Sonnet::Speller&, QObject*
    698, 0,	//3176  const Sonnet::Speller&
    714, 687, 687, 0,	//3178  int, const QString&, const QString&
    514, 519, 0,	//3182  Sonnet::Speller::Attribute, bool
    514, 0,	//3185  Sonnet::Speller::Attribute
    703, 0,	//3187  const kndbgstream&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AbortError",	//1
    "AbortOnMeta",	//2
    "AbstractUnixSocket",	//3
    "Action",	//4
    "Action#",	//5
    "Action$",	//6
    "Action$$",	//7
    "ActionReply",	//8
    "ActionReply#",	//9
    "ActionReply$",	//10
    "ActiveCurrency",	//11
    "AddTrailingSlash",	//12
    "AddressInUseError",	//13
    "After",	//14
    "AfterMoney",	//15
    "AfterQuantityMoney",	//16
    "AllowEmptyPath",	//17
    "AllowSeparators",	//18
    "AnySslVersion",	//19
    "Append",	//20
    "AppendTrailingSlash",	//21
    "Applications",	//22
    "Arabic",	//23
    "ArabicDigits",	//24
    "ArabicIndicDigits",	//25
    "AtEnd",	//26
    "AtStart",	//27
    "AuthRequired",	//28
    "AuthorizationDenied",	//29
    "AuthorizationDeniedReply",	//30
    "Authorized",	//31
    "AutoDetectedEncoding",	//32
    "AutoProxy",	//33
    "AvoidEmptyPath",	//34
    "BOM",	//35
    "BackgroundChecker",	//36
    "BackgroundChecker#",	//37
    "BackgroundChecker##",	//38
    "BadQuoting",	//39
    "Baltic",	//40
    "BaseDesktop",	//41
    "Before",	//42
    "BeforeMoney",	//43
    "BeforeQuantityMoney",	//44
    "BengaliDigits",	//45
    "BoundState",	//46
    "Bytes",	//47
    "CascadeConfig",	//48
    "CaseInsensitiveKeys",	//49
    "CentralEuropean",	//50
    "CertificateSignatureFailed",	//51
    "CheckAll",	//52
    "CheckCommand",	//53
    "CheckCondition",	//54
    "CheckUppercase",	//55
    "ChineseSimplified",	//56
    "ChineseTraditional",	//57
    "Choice",	//58
    "Choice#",	//59
    "Choice2",	//60
    "Choice2#",	//61
    "ClockTime",	//62
    "ClosingState",	//63
    "CmdLineArgKDE",	//64
    "CmdLineArgNone",	//65
    "CmdLineArgQt",	//66
    "CmdLineArgsMask",	//67
    "CompareWithoutFragment",	//68
    "CompareWithoutTrailingSlash",	//69
    "ConnectedState",	//70
    "ConnectingState",	//71
    "ConnectionRefusedError",	//72
    "CopyError",	//73
    "CrashExit",	//74
    "Crashed",	//75
    "Cyrillic",	//76
    "DBusError",	//77
    "DBusErrorReply",	//78
    "DBusMulti",	//79
    "DBusNone",	//80
    "DBusUnique",	//81
    "DBusWait",	//82
    "DatagramTooLargeError",	//83
    "DateTime",	//84
    "DefaultBinaryDialect",	//85
    "DefaultBinaryUnits",	//86
    "DefaultEncoding",	//87
    "DefaultMimeDataFlags",	//88
    "Denied",	//89
    "DesktopServices",	//90
    "DevenagariDigits",	//91
    "Dh",	//92
    "Directories",	//93
    "DoCopyCatalogs",	//94
    "DontCopyCatalogs",	//95
    "DontResolveAlias",	//96
    "Dsa",	//97
    "EasternArabicIndicDigits",	//98
    "EmitResult",	//99
    "EncodingFromHTTPHeader",	//100
    "EncodingFromMetaTag",	//101
    "EncodingFromXMLHeader",	//102
    "End",	//103
    "EndsAt",	//104
    "Equal",	//105
    "ErrNoComponent",	//106
    "ErrNoFactory",	//107
    "ErrNoLibrary",	//108
    "ErrNoServiceFound",	//109
    "ErrServiceProvidesNoLibrary",	//110
    "Error",	//111
    "ExcludeNoDisplay",	//112
    "ExeGroup",	//113
    "ExeOther",	//114
    "ExeOwner",	//115
    "ExeUser",	//116
    "ExpiredCertificate",	//117
    "ExtraField",	//118
    "ExtraField#",	//119
    "ExtraField$$",	//120
    "FailedToStart",	//121
    "FancyLongDate",	//122
    "FancyShortDate",	//123
    "Fatal",	//124
    "FatalError",	//125
    "Files",	//126
    "ForceFlag",	//127
    "ForwardedChannels",	//128
    "FoundIt",	//129
    "FoundMeta",	//130
    "FromUrl",	//131
    "FullConfig",	//132
    "FullName",	//133
    "Global",	//134
    "GlobalDatabase",	//135
    "Greek",	//136
    "GujaratiDigits",	//137
    "GurmukhiDigits",	//138
    "Hebrew",	//139
    "HelperBusy",	//140
    "HelperBusyReply",	//141
    "HelperError",	//142
    "HelperErrorReply",	//143
    "HomePhone",	//144
    "HostLookupState",	//145
    "HostNameMismatch",	//146
    "HostNotFoundError",	//147
    "IECBinaryDialect",	//148
    "IPv4Protocol",	//149
    "IPv6Protocol",	//150
    "ISODate",	//151
    "ITIMER_PROF",	//152
    "ITIMER_REAL",	//153
    "ITIMER_VIRTUAL",	//154
    "IgnoreExecBit",	//155
    "IgnoreTrailingSlash",	//156
    "Imperial",	//157
    "IncludeGlobals",	//158
    "Information",	//159
    "Inside",	//160
    "Invalid",	//161
    "InvalidAction",	//162
    "InvalidActionReply",	//163
    "InvalidCertificate",	//164
    "InvalidCertificateAuthorityCertificate",	//165
    "InvalidCertificatePurpose",	//166
    "InvalidOffset",	//167
    "InvalidTime_t",	//168
    "IsoDate",	//169
    "IsoFormat",	//170
    "IsoOrdinalDate",	//171
    "IsoOrdinalFormat",	//172
    "IsoWeekDate",	//173
    "IsoWeekFormat",	//174
    "ItemBool",	//175
    "ItemBool#",	//176
    "ItemBool$$$",	//177
    "ItemBool$$$$",	//178
    "ItemDateTime",	//179
    "ItemDateTime#",	//180
    "ItemDateTime$$#",	//181
    "ItemDateTime$$##",	//182
    "ItemDouble",	//183
    "ItemDouble#",	//184
    "ItemDouble$$$",	//185
    "ItemDouble$$$$",	//186
    "ItemEnum",	//187
    "ItemEnum#",	//188
    "ItemEnum$$$?",	//189
    "ItemEnum$$$?$",	//190
    "ItemInt",	//191
    "ItemInt#",	//192
    "ItemInt$$$",	//193
    "ItemInt$$$$",	//194
    "ItemIntList",	//195
    "ItemIntList#",	//196
    "ItemIntList$$?",	//197
    "ItemIntList$$??",	//198
    "ItemLongLong",	//199
    "ItemLongLong#",	//200
    "ItemLongLong$$$",	//201
    "ItemLongLong$$$$",	//202
    "ItemPassword",	//203
    "ItemPassword#",	//204
    "ItemPassword$$$",	//205
    "ItemPassword$$$$",	//206
    "ItemPath",	//207
    "ItemPath#",	//208
    "ItemPath$$$",	//209
    "ItemPath$$$$",	//210
    "ItemPathList",	//211
    "ItemPathList#",	//212
    "ItemPathList$$?",	//213
    "ItemPathList$$??",	//214
    "ItemPoint",	//215
    "ItemPoint#",	//216
    "ItemPoint$$#",	//217
    "ItemPoint$$##",	//218
    "ItemProperty",	//219
    "ItemProperty#",	//220
    "ItemProperty$$#",	//221
    "ItemProperty$$##",	//222
    "ItemRect",	//223
    "ItemRect#",	//224
    "ItemRect$$#",	//225
    "ItemRect$$##",	//226
    "ItemSize",	//227
    "ItemSize#",	//228
    "ItemSize$$#",	//229
    "ItemSize$$##",	//230
    "ItemString",	//231
    "ItemString#",	//232
    "ItemString$$$",	//233
    "ItemString$$$$",	//234
    "ItemString$$$$$",	//235
    "ItemStringList",	//236
    "ItemStringList#",	//237
    "ItemStringList$$?",	//238
    "ItemStringList$$??",	//239
    "ItemUInt",	//240
    "ItemUInt#",	//241
    "ItemUInt$$$",	//242
    "ItemUInt$$$$",	//243
    "ItemULongLong",	//244
    "ItemULongLong#",	//245
    "ItemULongLong$$$",	//246
    "ItemULongLong$$$$",	//247
    "ItemUrl",	//248
    "ItemUrl#",	//249
    "ItemUrl$$#",	//250
    "ItemUrl$$##",	//251
    "ItemUrlList",	//252
    "ItemUrlList#",	//253
    "ItemUrlList$$?",	//254
    "ItemUrlList$$??",	//255
    "JEDECBinaryDialect",	//256
    "Japanese",	//257
    "KAboutData",	//258
    "KAboutData#",	//259
    "KAboutData####",	//260
    "KAboutData#####",	//261
    "KAboutData#####$",	//262
    "KAboutData#####$#",	//263
    "KAboutData#####$##",	//264
    "KAboutData#####$###",	//265
    "KAboutData#####$####",	//266
    "KAboutLicense",	//267
    "KAboutLicense#",	//268
    "KAboutPerson",	//269
    "KAboutPerson#",	//270
    "KAboutPerson##",	//271
    "KAboutPerson###",	//272
    "KAboutPerson####",	//273
    "KAuthError",	//274
    "KAutoSaveFile",	//275
    "KAutoSaveFile#",	//276
    "KAutoSaveFile##",	//277
    "KAutostart",	//278
    "KAutostart$",	//279
    "KAutostart$#",	//280
    "KCalendarSystem",	//281
    "KCalendarSystem#",	//282
    "KCalendarSystem#?",	//283
    "KCalendarSystem#?#",	//284
    "KCalendarSystem?",	//285
    "KCalendarSystem?#",	//286
    "KCharMacroExpander",	//287
    "KCharMacroExpander#",	//288
    "KCharsets",	//289
    "KCharsets#",	//290
    "KCmdLineArgs",	//291
    "KCmdLineArgs#",	//292
    "KCmdLineArgs###",	//293
    "KCmdLineOptions",	//294
    "KCmdLineOptions#",	//295
    "KComponentData",	//296
    "KComponentData#",	//297
    "KComponentData##",	//298
    "KComponentData##$",	//299
    "KComponentData#$",	//300
    "KCompositeJob",	//301
    "KCompositeJob#",	//302
    "KCompositeJob##",	//303
    "KConfig",	//304
    "KConfig#",	//305
    "KConfig#$",	//306
    "KConfig#$$",	//307
    "KConfig#$$$",	//308
    "KConfig$",	//309
    "KConfig$$",	//310
    "KConfig$$$",	//311
    "KConfigBase",	//312
    "KConfigBase#",	//313
    "KConfigGroup",	//314
    "KConfigGroup#",	//315
    "KConfigGroup#$",	//316
    "KConfigGroup?$",	//317
    "KConfigSkeletonItem",	//318
    "KConfigSkeletonItem#",	//319
    "KConfigSkeletonItem$$",	//320
    "KCoreConfigSkeleton",	//321
    "KCoreConfigSkeleton$",	//322
    "KCoreConfigSkeleton$#",	//323
    "KCoreConfigSkeleton?",	//324
    "KCoreConfigSkeleton?#",	//325
    "KCurrencyCode",	//326
    "KCurrencyCode#",	//327
    "KCurrencyCode#$",	//328
    "KCurrencyCode$",	//329
    "KCurrencyCode$$",	//330
    "KDEDModule",	//331
    "KDEDModule#",	//332
    "KDEPluginVerificationData",	//333
    "KDEPluginVerificationData#",	//334
    "KDEVersion",	//335
    "KDEVersionString",	//336
    "KDateTime",	//337
    "KDateTime#",	//338
    "KDateTime##",	//339
    "KDateTime###",	//340
    "KDebug",	//341
    "KDebug#",	//342
    "KDebug$",	//343
    "KDebug$$",	//344
    "KDebug$$$",	//345
    "KDebug$$$$",	//346
    "KDebugTag",	//347
    "KDebugTag#",	//348
    "KDesktopFile",	//349
    "KDesktopFile$",	//350
    "KDesktopFile$$",	//351
    "KEncodingDetector",	//352
    "KEncodingDetector#",	//353
    "KEncodingDetector#$",	//354
    "KEncodingDetector#$$",	//355
    "KEncodingProber",	//356
    "KEncodingProber#",	//357
    "KEncodingProber$",	//358
    "KFilterBase",	//359
    "KJob",	//360
    "KJob#",	//361
    "KJob##",	//362
    "KJobTrackerInterface",	//363
    "KJobTrackerInterface#",	//364
    "KJobUiDelegate",	//365
    "KLibrary",	//366
    "KLibrary#",	//367
    "KLibrary$",	//368
    "KLibrary$#",	//369
    "KLibrary$##",	//370
    "KLibrary$$",	//371
    "KLibrary$$#",	//372
    "KLibrary$$##",	//373
    "KLocalSocket",	//374
    "KLocalSocket#",	//375
    "KLocalSocketServer",	//376
    "KLocalSocketServer#",	//377
    "KLocale",	//378
    "KLocale#",	//379
    "KLocale$",	//380
    "KLocale$$",	//381
    "KLocale$$$",	//382
    "KLocale$$$#",	//383
    "KLocale$?",	//384
    "KLocalizedString",	//385
    "KLocalizedString#",	//386
    "KLockFile",	//387
    "KLockFile#",	//388
    "KLockFile$",	//389
    "KLockFile$#",	//390
    "KMD5",	//391
    "KMD5#",	//392
    "KMD5$",	//393
    "KMD5$$",	//394
    "KMacroExpanderBase",	//395
    "KMacroExpanderBase#",	//396
    "KMessageHandler",	//397
    "KMessageHandler#",	//398
    "KMimeType",	//399
    "KMimeType#",	//400
    "KMimeType#$",	//401
    "KMimeType#$$",	//402
    "KMimeType$$$",	//403
    "KMimeTypeTrader",	//404
    "KMimeTypeTrader#",	//405
    "KPluginFactory",	//406
    "KPluginFactory#",	//407
    "KPluginFactory##",	//408
    "KPluginFactory$",	//409
    "KPluginFactory$$",	//410
    "KPluginFactory$$#",	//411
    "KPluginInfo",	//412
    "KPluginInfo#",	//413
    "KPluginInfo$",	//414
    "KPluginInfo$$",	//415
    "KPluginInfo?",	//416
    "KPluginLoader",	//417
    "KPluginLoader#",	//418
    "KPluginLoader##",	//419
    "KPluginLoader###",	//420
    "KPluginLoader$",	//421
    "KPluginLoader$#",	//422
    "KPluginLoader$##",	//423
    "KProcess",	//424
    "KProcess#",	//425
    "KProcess##",	//426
    "KProtocolInfo",	//427
    "KProtocolInfo#$",	//428
    "KRandomSequence",	//429
    "KRandomSequence#",	//430
    "KRandomSequence$",	//431
    "KST_CTimeInfo",	//432
    "KST_KCustom",	//433
    "KST_KDEDesktopMimeType",	//434
    "KST_KFolderMimeType",	//435
    "KST_KImageIO",	//436
    "KST_KImageIOFormat",	//437
    "KST_KMimeType",	//438
    "KST_KMimeTypeFactory",	//439
    "KST_KProtocolInfo",	//440
    "KST_KProtocolInfoFactory",	//441
    "KST_KService",	//442
    "KST_KServiceFactory",	//443
    "KST_KServiceGroup",	//444
    "KST_KServiceGroupFactory",	//445
    "KST_KServiceSeparator",	//446
    "KST_KServiceType",	//447
    "KST_KServiceTypeFactory",	//448
    "KST_KSycocaEntry",	//449
    "KSaveFile",	//450
    "KSaveFile$",	//451
    "KSaveFile$#",	//452
    "KService",	//453
    "KService#",	//454
    "KService#$",	//455
    "KService$",	//456
    "KService$$$",	//457
    "KServiceAction",	//458
    "KServiceAction#",	//459
    "KServiceAction$$$$",	//460
    "KServiceAction$$$$$",	//461
    "KServiceGroup",	//462
    "KServiceGroup#$$",	//463
    "KServiceGroup$",	//464
    "KServiceGroup$$",	//465
    "KServiceType",	//466
    "KServiceType#",	//467
    "KServiceType#$",	//468
    "KServiceType#$$",	//469
    "KSslCipher",	//470
    "KSslCipher#",	//471
    "KSslError",	//472
    "KSslError#",	//473
    "KSslError$",	//474
    "KSslError$#",	//475
    "KSslErrorUiData",	//476
    "KSslErrorUiData#",	//477
    "KSslKey",	//478
    "KSslKey#",	//479
    "KStandardDirs",	//480
    "KSycoca",	//481
    "KSycoca$",	//482
    "KSycocaEntry",	//483
    "KSycocaEntry#",	//484
    "KSystemTimeZone",	//485
    "KSystemTimeZone#",	//486
    "KSystemTimeZone#$",	//487
    "KSystemTimeZone#$$",	//488
    "KSystemTimeZone#$$$",	//489
    "KSystemTimeZone#$$$$",	//490
    "KSystemTimeZone#$$$$$",	//491
    "KSystemTimeZoneBackend",	//492
    "KSystemTimeZoneBackend#",	//493
    "KSystemTimeZoneBackend#$$$$$",	//494
    "KSystemTimeZoneSource",	//495
    "KSystemTimeZoneSource#",	//496
    "KTcpSocket",	//497
    "KTcpSocket#",	//498
    "KTempDir",	//499
    "KTempDir$",	//500
    "KTempDir$$",	//501
    "KTemporaryFile",	//502
    "KTemporaryFile#",	//503
    "KTimeZone",	//504
    "KTimeZone#",	//505
    "KTimeZone$",	//506
    "KTimeZoneBackend",	//507
    "KTimeZoneBackend#",	//508
    "KTimeZoneBackend#$",	//509
    "KTimeZoneBackend#$$",	//510
    "KTimeZoneBackend#$$$",	//511
    "KTimeZoneBackend#$$$$",	//512
    "KTimeZoneBackend#$$$$$",	//513
    "KTimeZoneBackend$",	//514
    "KTimeZoneData",	//515
    "KTimeZoneData#",	//516
    "KTimeZoneSource",	//517
    "KTimeZoneSource#",	//518
    "KTimeZoneSource$",	//519
    "KTimeZones",	//520
    "KTzfileTimeZone",	//521
    "KTzfileTimeZone#",	//522
    "KTzfileTimeZone#$",	//523
    "KTzfileTimeZone#$$",	//524
    "KTzfileTimeZone#$$$",	//525
    "KTzfileTimeZone#$$$$",	//526
    "KTzfileTimeZone#$$$$$",	//527
    "KTzfileTimeZoneBackend",	//528
    "KTzfileTimeZoneBackend#",	//529
    "KTzfileTimeZoneBackend#$$$$$",	//530
    "KTzfileTimeZoneSource",	//531
    "KTzfileTimeZoneSource#",	//532
    "KTzfileTimeZoneSource$",	//533
    "KUrl",	//534
    "KUrl#",	//535
    "KUrl#$",	//536
    "KUrl$",	//537
    "KUser",	//538
    "KUser#",	//539
    "KUser$",	//540
    "KUserGroup",	//541
    "KUserGroup#",	//542
    "KUserGroup$",	//543
    "KWordMacroExpander",	//544
    "KWordMacroExpander#",	//545
    "KannadaDigits",	//546
    "KdeFormat",	//547
    "KeepAliveOption",	//548
    "KeepDirSeparators",	//549
    "KhmerDigits",	//550
    "Killable",	//551
    "KilledJobError",	//552
    "Korean",	//553
    "LastBinaryDialect",	//554
    "LeapSeconds",	//555
    "LeapSeconds#",	//556
    "LeapSeconds#$",	//557
    "LeapSeconds#$$",	//558
    "LeaveTrailingSlash",	//559
    "License_Artistic",	//560
    "License_BSD",	//561
    "License_Custom",	//562
    "License_File",	//563
    "License_GPL",	//564
    "License_GPL_V2",	//565
    "License_GPL_V3",	//566
    "License_LGPL",	//567
    "License_LGPL_V2",	//568
    "License_LGPL_V3",	//569
    "License_QPL",	//570
    "License_QPL_V1_0",	//571
    "License_Unknown",	//572
    "ListeningState",	//573
    "LocalDatabase",	//574
    "LocalDate",	//575
    "LocalZone",	//576
    "Localized",	//577
    "LockError",	//578
    "LockFail",	//579
    "LockOK",	//580
    "LockStale",	//581
    "LongDate",	//582
    "LongDayName",	//583
    "LongFormat",	//584
    "LongName",	//585
    "LongNamePossessive",	//586
    "LowDelayOption",	//587
    "MalayalamDigits",	//588
    "ManualProxy",	//589
    "MergedChannels",	//590
    "Metric",	//591
    "MetricBinaryDialect",	//592
    "Name",	//593
    "NetworkError",	//594
    "NoAccess",	//595
    "NoBlockFlag",	//596
    "NoCapabilities",	//597
    "NoCascade",	//598
    "NoConditions",	//599
    "NoDuplicates",	//600
    "NoError",	//601
    "NoGlobals",	//602
    "NoHeaders",	//603
    "NoOptions",	//604
    "NoPeerCertificate",	//605
    "NoResponder",	//606
    "NoResponderReply",	//607
    "NoSearchOptions",	//608
    "NoSuchAction",	//609
    "NoSuchActionReply",	//610
    "NoTextExport",	//611
    "None",	//612
    "Normal",	//613
    "NormalExit",	//614
    "NormalFormat",	//615
    "NorthernSaami",	//616
    "NotMe",	//617
    "NotOpen",	//618
    "NotRunning",	//619
    "ObeyTrailingSlash",	//620
    "ObsoleteCurrency",	//621
    "OffsetFromUTC",	//622
    "OffsetFromUTC$",	//623
    "Ok",	//624
    "OnlyStderrChannel",	//625
    "OnlyStdoutChannel",	//626
    "OpenError",	//627
    "OrgKdeKLauncherInterface",	//628
    "OrgKdeKLauncherInterface$$#",	//629
    "OrgKdeKLauncherInterface$$##",	//630
    "OriyaDigits",	//631
    "Other",	//632
    "Outside",	//633
    "ParensAround",	//634
    "Password",	//635
    "Path",	//636
    "PathLengthExceeded",	//637
    "PermissionsError",	//638
    "PermitEmptyPath",	//639
    "Persistent",	//640
    "Phase",	//641
    "Phase#",	//642
    "Phase$#$",	//643
    "Phase$#$$",	//644
    "Phase$?$",	//645
    "Phase$?$$",	//646
    "PluginVerificationDataVersion",	//647
    "PositionError",	//648
    "PosixFormat",	//649
    "PrivateKey",	//650
    "Probing",	//651
    "ProcessNonStrict",	//652
    "ProcessStrict",	//653
    "ProxyAuthenticationRequiredError",	//654
    "ProxyConnectionClosedError",	//655
    "ProxyConnectionRefusedError",	//656
    "ProxyConnectionTimeoutError",	//657
    "ProxyNotFoundError",	//658
    "ProxyProtocolError",	//659
    "PublicKey",	//660
    "QtCriticalMsg",	//661
    "QtDebugMsg",	//662
    "QtFatalMsg",	//663
    "QtSystemMsg",	//664
    "QtTextDate",	//665
    "QtWarningMsg",	//666
    "Quietly",	//667
    "RFCDate",	//668
    "RFCDateDay",	//669
    "ReadError",	//670
    "ReadGroup",	//671
    "ReadOnly",	//672
    "ReadOther",	//673
    "ReadOwner",	//674
    "ReadUser",	//675
    "ReadWrite",	//676
    "Recursive",	//677
    "RegisterAsMainComponent",	//678
    "RejectedCertificate",	//679
    "RemoteHostClosedError",	//680
    "RemoveError",	//681
    "RemoveTrailingSlash",	//682
    "RenameError",	//683
    "Reserved",	//684
    "ResizeError",	//685
    "ResolveAliases",	//686
    "ResourceError",	//687
    "RevokedCertificate",	//688
    "RoomNumber",	//689
    "Rsa",	//690
    "Running",	//691
    "Seconds",	//692
    "SelfSignedCertificate",	//693
    "SemiautomaticDetection",	//694
    "SeparateChannels",	//695
    "ShortDate",	//696
    "ShortDayName",	//697
    "ShortFormat",	//698
    "ShortName",	//699
    "ShortNamePossessive",	//700
    "SimpleConfig",	//701
    "SimplifyDirSeparators",	//702
    "SkipMainComponentRegistration",	//703
    "SkipRunTogether",	//704
    "SocketAccessError",	//705
    "SocketAddressNotAvailableError",	//706
    "SocketResourceError",	//707
    "SocketTimeoutError",	//708
    "Sorry",	//709
    "SortByGenericName",	//710
    "SortEntries",	//711
    "SouthEasternEurope",	//712
    "Spec",	//713
    "Spec#",	//714
    "Spec$",	//715
    "Spec$$",	//716
    "Speller",	//717
    "Speller#",	//718
    "Speller$",	//719
    "SslClientMode",	//720
    "SslHandshakeFailedError",	//721
    "SslServerMode",	//722
    "SslV2",	//723
    "SslV3",	//724
    "SslV3_1",	//725
    "StandardError",	//726
    "StandardOutput",	//727
    "Starting",	//728
    "StartsAt",	//729
    "String",	//730
    "Success",	//731
    "SuccessReply",	//732
    "Suspendable",	//733
    "SuspendedCurrency",	//734
    "T_ERROR",	//735
    "T_FILESYSTEM",	//736
    "T_NONE",	//737
    "T_STREAM",	//738
    "TamilDigits",	//739
    "TcpSocket",	//740
    "TeluguDigits",	//741
    "Text",	//742
    "Thai",	//743
    "ThaiDigits",	//744
    "TildeExpand",	//745
    "TimeDefault",	//746
    "TimeDuration",	//747
    "TimeOutError",	//748
    "TimeWithoutAmPm",	//749
    "TimeWithoutSeconds",	//750
    "TimeZone",	//751
    "Timedout",	//752
    "TlsV1",	//753
    "Transition",	//754
    "Transition#",	//755
    "Transition##",	//756
    "Truncate",	//757
    "Turkish",	//758
    "UNKNOWN",	//759
    "UTC",	//760
    "UdpSocket",	//761
    "Unbuffered",	//762
    "UnconnectedState",	//763
    "UnencryptedMode",	//764
    "UnfinishedSocketOperationError",	//765
    "Unicode",	//766
    "UnicodeFormat",	//767
    "UnitByte",	//768
    "UnitExaByte",	//769
    "UnitGigaByte",	//770
    "UnitKiloByte",	//771
    "UnitLastUnit",	//772
    "UnitMegaByte",	//773
    "UnitPetaByte",	//774
    "UnitTeraByte",	//775
    "UnitYottaByte",	//776
    "UnitZettaByte",	//777
    "Universal",	//778
    "UnixSocket",	//779
    "UnknownError",	//780
    "UnknownLocalSocketType",	//781
    "UnknownNetworkLayerProtocol",	//782
    "UnknownSocketError",	//783
    "UnknownSocketType",	//784
    "UnknownSslVersion",	//785
    "UnspecifiedError",	//786
    "UnsupportedSocketOperationError",	//787
    "UntrustedCertificate",	//788
    "UseEffectiveUID",	//789
    "UseRealUserID",	//790
    "UserCancelled",	//791
    "UserCancelledReply",	//792
    "UserChosenEncoding",	//793
    "UserDefinedError",	//794
    "Warning",	//795
    "WesternEuropean",	//796
    "WithHeaders",	//797
    "WithSeconds",	//798
    "WithoutSeconds",	//799
    "WorkPhone",	//800
    "WriteError",	//801
    "WriteGroup",	//802
    "WriteOnly",	//803
    "WriteOther",	//804
    "WriteOwner",	//805
    "WriteUser",	//806
    "_IEEE_",	//807
    "_ISOC_",	//808
    "_POSIX_",	//809
    "_SVID_",	//810
    "_XOPEN_",	//811
    "__codecvt_error",	//812
    "__codecvt_noconv",	//813
    "__codecvt_ok",	//814
    "__codecvt_partial",	//815
    "_k_accessServiceTypes",	//816
    "abbreviation",	//817
    "abbreviation#",	//818
    "abbreviations",	//819
    "abort",	//820
    "aboutData",	//821
    "aboutTranslationTeam",	//822
    "absoluteFilePath",	//823
    "absoluteFilePath?",	//824
    "access",	//825
    "access$$",	//826
    "accessMode",	//827
    "action",	//828
    "actionGroup",	//829
    "actionGroup$",	//830
    "actionPerformed",	//831
    "actionPerformed#",	//832
    "actionStarted",	//833
    "actions",	//834
    "activeComponent",	//835
    "add",	//836
    "add#",	//837
    "add##",	//838
    "add###",	//839
    "addArgument",	//840
    "addArgument$#",	//841
    "addAuthor",	//842
    "addAuthor#",	//843
    "addAuthor##",	//844
    "addAuthor###",	//845
    "addAuthor####",	//846
    "addCaCertificate",	//847
    "addCaCertificate#",	//848
    "addCaCertificates",	//849
    "addCaCertificates?",	//850
    "addCmdLineOptions",	//851
    "addCmdLineOptions#",	//852
    "addCmdLineOptions##",	//853
    "addCmdLineOptions###",	//854
    "addCmdLineOptions####",	//855
    "addConfigSources",	//856
    "addConfigSources?",	//857
    "addCredit",	//858
    "addCredit#",	//859
    "addCredit##",	//860
    "addCredit###",	//861
    "addCredit####",	//862
    "addCustomized",	//863
    "addCustomized#",	//864
    "addData",	//865
    "addData$#",	//866
    "addDays",	//867
    "addDays#$",	//868
    "addDays$",	//869
    "addEntry",	//870
    "addEntry?",	//871
    "addFactory",	//872
    "addFactory#",	//873
    "addItem",	//874
    "addItem#",	//875
    "addItem#$",	//876
    "addItemBool",	//877
    "addItemBool$$",	//878
    "addItemBool$$$",	//879
    "addItemBool$$$$",	//880
    "addItemDateTime",	//881
    "addItemDateTime$#",	//882
    "addItemDateTime$##",	//883
    "addItemDateTime$##$",	//884
    "addItemDouble",	//885
    "addItemDouble$$",	//886
    "addItemDouble$$$",	//887
    "addItemDouble$$$$",	//888
    "addItemInt",	//889
    "addItemInt$$",	//890
    "addItemInt$$$",	//891
    "addItemInt$$$$",	//892
    "addItemInt64",	//893
    "addItemInt64$$",	//894
    "addItemInt64$$$",	//895
    "addItemInt64$$$$",	//896
    "addItemIntList",	//897
    "addItemIntList$?",	//898
    "addItemIntList$??",	//899
    "addItemIntList$??$",	//900
    "addItemLongLong",	//901
    "addItemLongLong$$",	//902
    "addItemLongLong$$$",	//903
    "addItemLongLong$$$$",	//904
    "addItemPassword",	//905
    "addItemPassword$$",	//906
    "addItemPassword$$$",	//907
    "addItemPassword$$$$",	//908
    "addItemPath",	//909
    "addItemPath$$",	//910
    "addItemPath$$$",	//911
    "addItemPath$$$$",	//912
    "addItemPoint",	//913
    "addItemPoint$#",	//914
    "addItemPoint$##",	//915
    "addItemPoint$##$",	//916
    "addItemProperty",	//917
    "addItemProperty$#",	//918
    "addItemProperty$##",	//919
    "addItemProperty$##$",	//920
    "addItemRect",	//921
    "addItemRect$#",	//922
    "addItemRect$##",	//923
    "addItemRect$##$",	//924
    "addItemSize",	//925
    "addItemSize$#",	//926
    "addItemSize$##",	//927
    "addItemSize$##$",	//928
    "addItemString",	//929
    "addItemString$$",	//930
    "addItemString$$$",	//931
    "addItemString$$$$",	//932
    "addItemStringList",	//933
    "addItemStringList$?",	//934
    "addItemStringList$??",	//935
    "addItemStringList$??$",	//936
    "addItemUInt",	//937
    "addItemUInt$$",	//938
    "addItemUInt$$$",	//939
    "addItemUInt$$$$",	//940
    "addItemUInt64",	//941
    "addItemUInt64$$",	//942
    "addItemUInt64$$$",	//943
    "addItemUInt64$$$$",	//944
    "addItemULongLong",	//945
    "addItemULongLong$$",	//946
    "addItemULongLong$$$",	//947
    "addItemULongLong$$$$",	//948
    "addLicense",	//949
    "addLicense$",	//950
    "addLicenseText",	//951
    "addLicenseText#",	//952
    "addLicenseTextFile",	//953
    "addLicenseTextFile$",	//954
    "addMSecs",	//955
    "addMSecs$",	//956
    "addMonths",	//957
    "addMonths#$",	//958
    "addMonths$",	//959
    "addPath",	//960
    "addPath$",	//961
    "addPrefix",	//962
    "addPrefix$",	//963
    "addQueryItem",	//964
    "addQueryItem$$",	//965
    "addResourceDir",	//966
    "addResourceDir$$",	//967
    "addResourceDir$$$",	//968
    "addResourceType",	//969
    "addResourceType$$",	//970
    "addResourceType$$$",	//971
    "addResourceType$$$$",	//972
    "addSecs",	//973
    "addSecs$",	//974
    "addStdCmdLineOptions",	//975
    "addStdCmdLineOptions$",	//976
    "addSubjob",	//977
    "addSubjob#",	//978
    "addTempFileOption",	//979
    "addToAllowedEnvironments",	//980
    "addToAllowedEnvironments$",	//981
    "addToExcludedEnvironments",	//982
    "addToExcludedEnvironments$",	//983
    "addToPersonal",	//984
    "addToPersonal$",	//985
    "addToSession",	//986
    "addToSession$",	//987
    "addWordToPersonal",	//988
    "addWordToPersonal$",	//989
    "addXdgConfigPrefix",	//990
    "addXdgConfigPrefix$",	//991
    "addXdgDataPrefix",	//992
    "addXdgDataPrefix$",	//993
    "addYears",	//994
    "addYears#$",	//995
    "addYears$",	//996
    "adjustPath",	//997
    "adjustPath$",	//998
    "advertisedSslVersion",	//999
    "algorithm",	//1000
    "allCountriesList",	//1001
    "allCurrencyCodesList",	//1002
    "allCurrencyCodesList$",	//1003
    "allDigitSetsList",	//1004
    "allGroupNames",	//1005
    "allGroups",	//1006
    "allLanguagesList",	//1007
    "allMimeTypes",	//1008
    "allParentMimeTypes",	//1009
    "allResourceDirs",	//1010
    "allServiceTypes",	//1011
    "allServices",	//1012
    "allStaleFiles",	//1013
    "allStaleFiles$",	//1014
    "allTypes",	//1015
    "allUserNames",	//1016
    "allUsers",	//1017
    "allowAsDefault",	//1018
    "allowInline",	//1019
    "allowMultipleFiles",	//1020
    "allowUrlAction",	//1021
    "allowUrlAction$##",	//1022
    "allowedEnvironments",	//1023
    "analyze",	//1024
    "analyze$$",	//1025
    "appName",	//1026
    "applyConstraints",	//1027
    "applyConstraints?$",	//1028
    "archiveMimeTypes",	//1029
    "arg",	//1030
    "arg$",	//1031
    "arguments",	//1032
    "atEnd",	//1033
    "authenticationMethod",	//1034
    "author",	//1035
    "authorize",	//1036
    "authorize$",	//1037
    "authorizeControlModule",	//1038
    "authorizeControlModule$",	//1039
    "authorizeControlModules",	//1040
    "authorizeControlModules?",	//1041
    "authorizeKAction",	//1042
    "authorizeKAction$",	//1043
    "authorizeUrlAction",	//1044
    "authorizeUrlAction$##",	//1045
    "authors",	//1046
    "autoDetectLanguage",	//1047
    "autoRemove",	//1048
    "autoStart",	//1049
    "autoStart$",	//1050
    "autoStart0Done",	//1051
    "autoStart1Done",	//1052
    "autoStart2Done",	//1053
    "autostarts",	//1054
    "autostarts$",	//1055
    "autostarts$$",	//1056
    "availableBackends",	//1057
    "availableDictionaries",	//1058
    "availableEncodingNames",	//1059
    "availableLanguageNames",	//1060
    "availableLanguages",	//1061
    "backupFile",	//1062
    "backupFile$",	//1063
    "backupFile$$",	//1064
    "base64Decode",	//1065
    "base64Decode#",	//1066
    "base64Decode##",	//1067
    "base64Digest",	//1068
    "base64Encode",	//1069
    "base64Encode#",	//1070
    "base64Encode##",	//1071
    "base64Encode##$",	//1072
    "base64Encode#$",	//1073
    "baseGroup",	//1074
    "baseGroup$",	//1075
    "baseGroupName",	//1076
    "binaryUnitDialect",	//1077
    "bugAddress",	//1078
    "byKeyword",	//1079
    "byKeyword$",	//1080
    "bytesAvailable",	//1081
    "bytesToWrite",	//1082
    "caCertificates",	//1083
    "calcResourceHash",	//1084
    "calcResourceHash$$",	//1085
    "calcResourceHash$$$",	//1086
    "calendar",	//1087
    "calendarLabel",	//1088
    "calendarLabel$",	//1089
    "calendarSystems",	//1090
    "calendarType",	//1091
    "canDeleteRecursive",	//1092
    "canReadLine",	//1093
    "canRenameFromFile",	//1094
    "canRenameToFile",	//1095
    "capabilities",	//1096
    "capabilities$",	//1097
    "caption",	//1098
    "capwords",	//1099
    "capwords$",	//1100
    "capwords?",	//1101
    "catalogName",	//1102
    "categories",	//1103
    "category",	//1104
    "cd",	//1105
    "cd$",	//1106
    "certificate",	//1107
    "changeGroup",	//1108
    "changeGroup$",	//1109
    "changeLanguage",	//1110
    "changeLanguage$",	//1111
    "charsets",	//1112
    "checkAccess",	//1113
    "checkAccess$$",	//1114
    "checkAllowedEnvironment",	//1115
    "checkAllowedEnvironment$",	//1116
    "checkAndSuggest",	//1117
    "checkAndSuggest$?",	//1118
    "checkUpdate",	//1119
    "checkUpdate$$",	//1120
    "checkWord",	//1121
    "checkWord$",	//1122
    "childCount",	//1123
    "childEvent",	//1124
    "childGroup",	//1125
    "childGroup$",	//1126
    "chmod",	//1127
    "chmod$$",	//1128
    "choices",	//1129
    "choices2",	//1130
    "ciphers",	//1131
    "cleanPath",	//1132
    "cleanPath$",	//1133
    "clear",	//1134
    "clearEnvironment",	//1135
    "clearProgram",	//1136
    "clearSubjobs",	//1137
    "clone",	//1138
    "close",	//1139
    "cmp",	//1140
    "cmp#",	//1141
    "cmp#$",	//1142
    "codecForEncoding",	//1143
    "codecForName",	//1144
    "codecForName$",	//1145
    "codecForName$$",	//1146
    "command",	//1147
    "commandToCheck",	//1148
    "comment",	//1149
    "comment#",	//1150
    "compare",	//1151
    "compare#",	//1152
    "componentData",	//1153
    "componentName",	//1154
    "compress",	//1155
    "compress$",	//1156
    "confidence",	//1157
    "config",	//1158
    "config$",	//1159
    "configChanged",	//1160
    "connectNotify",	//1161
    "connectToHost",	//1162
    "connectToHost#",	//1163
    "connectToHost##",	//1164
    "connectToHost#$",	//1165
    "connectToHost#$$",	//1166
    "connectToHost#$$$",	//1167
    "connectToHost$$",	//1168
    "connectToHost$$$",	//1169
    "connectToHost$$$#",	//1170
    "connectToHostEncrypted",	//1171
    "connectToHostEncrypted$$",	//1172
    "connectToHostEncrypted$$$",	//1173
    "connectToHostImplementation",	//1174
    "connectToHostImplementation$$$",	//1175
    "connectToPath",	//1176
    "connectToPath$",	//1177
    "connectToPath$$",	//1178
    "connectToPath$$$",	//1179
    "connected",	//1180
    "continueChecking",	//1181
    "convert",	//1182
    "convert##",	//1183
    "convertDigits",	//1184
    "convertDigits$$",	//1185
    "convertDigits$$$",	//1186
    "copyCatalogsTo",	//1187
    "copyCatalogsTo#",	//1188
    "copyTo",	//1189
    "copyTo#",	//1190
    "copyTo#$",	//1191
    "copyTo$",	//1192
    "copyTo$#",	//1193
    "copyrightStatement",	//1194
    "count",	//1195
    "countriesUsingCurrency",	//1196
    "country",	//1197
    "countryCode",	//1198
    "countryCodeToName",	//1199
    "countryCodeToName$",	//1200
    "create",	//1201
    "create#",	//1202
    "create#$",	//1203
    "create#$?",	//1204
    "create$",	//1205
    "create$#",	//1206
    "create$##?$",	//1207
    "create$$",	//1208
    "create$?",	//1209
    "create$?#",	//1210
    "createObject",	//1211
    "createObject#$?",	//1212
    "createPartObject",	//1213
    "createPartObject##$?",	//1214
    "credits",	//1215
    "csqueeze",	//1216
    "csqueeze$",	//1217
    "csqueeze$$",	//1218
    "currency",	//1219
    "currencyCode",	//1220
    "currencyCodeList",	//1221
    "currencyCodeToName",	//1222
    "currencyCodeToName$",	//1223
    "currencyCodeToName$$",	//1224
    "currencySymbol",	//1225
    "currentContext",	//1226
    "currentDateTime",	//1227
    "currentDateTime#",	//1228
    "currentGroup",	//1229
    "currentLocalDate",	//1230
    "currentLocalDateTime",	//1231
    "currentLocalTime",	//1232
    "currentOffset",	//1233
    "currentOffset$",	//1234
    "currentUtcDateTime",	//1235
    "customAuthorPlainText",	//1236
    "customAuthorRichText",	//1237
    "customAuthorTextEnabled",	//1238
    "customEvent",	//1239
    "cwd",	//1240
    "data",	//1241
    "data$",	//1242
    "dataVersion",	//1243
    "databaseChanged",	//1244
    "databaseChanged?",	//1245
    "datagramSocket",	//1246
    "datagramSocket$$",	//1247
    "datagramSocket$$#",	//1248
    "date",	//1249
    "dateDifference",	//1250
    "dateDifference##$$$$",	//1251
    "dateFormat",	//1252
    "dateFormatShort",	//1253
    "dateIntroduced",	//1254
    "dateMonthNamePossessive",	//1255
    "dateSuspended",	//1256
    "dateTime",	//1257
    "dateTimeDigitSet",	//1258
    "dateToJulianDay",	//1259
    "dateToJulianDay$$$$",	//1260
    "dateWithdrawn",	//1261
    "day",	//1262
    "day#",	//1263
    "dayOfWeek",	//1264
    "dayOfWeek#",	//1265
    "dayOfWeekString",	//1266
    "dayOfWeekString#",	//1267
    "dayOfYear",	//1268
    "dayOfYear#",	//1269
    "dayOfYearString",	//1270
    "dayOfYearString#",	//1271
    "dayOfYearString#$",	//1272
    "dayString",	//1273
    "dayString#",	//1274
    "dayString#$",	//1275
    "dayStringToInteger",	//1276
    "dayStringToInteger$$",	//1277
    "daysDifference",	//1278
    "daysDifference##",	//1279
    "daysInMonth",	//1280
    "daysInMonth#",	//1281
    "daysInMonth$$",	//1282
    "daysInMonthString",	//1283
    "daysInMonthString#",	//1284
    "daysInMonthString#$",	//1285
    "daysInWeek",	//1286
    "daysInWeek#",	//1287
    "daysInWeekString",	//1288
    "daysInWeekString#",	//1289
    "daysInYear",	//1290
    "daysInYear#",	//1291
    "daysInYear$",	//1292
    "daysInYearString",	//1293
    "daysInYearString#",	//1294
    "daysInYearString#$",	//1295
    "daysTo",	//1296
    "daysTo#",	//1297
    "dbusStartupType",	//1298
    "decimalPlaces",	//1299
    "decimalSymbol",	//1300
    "decode",	//1301
    "decode#",	//1302
    "decode$$",	//1303
    "decodeRFC2047String",	//1304
    "decodeRFC2047String$",	//1305
    "decodeWithBuffering",	//1306
    "decodeWithBuffering$$",	//1307
    "decode_string",	//1308
    "decode_string$",	//1309
    "decodedInvalidCharacters",	//1310
    "decoder",	//1311
    "defaultClient",	//1312
    "defaultCountry",	//1313
    "defaultCurrencyCode",	//1314
    "defaultLanguage",	//1315
    "defaultLanguageName",	//1316
    "defaultMimeType",	//1317
    "defaultMimeTypePtr",	//1318
    "defaultOffers",	//1319
    "defaultOffers$",	//1320
    "defaultOffers$$",	//1321
    "defaultSymbol",	//1322
    "defaults",	//1323
    "deleteEntry",	//1324
    "deleteEntry$",	//1325
    "deleteEntry$$",	//1326
    "deleteGroup",	//1327
    "deleteGroup#",	//1328
    "deleteGroup#$",	//1329
    "deleteGroup$",	//1330
    "deleteGroup$$",	//1331
    "deleteGroupImpl",	//1332
    "deleteGroupImpl#",	//1333
    "deleteGroupImpl#$",	//1334
    "dependencies",	//1335
    "deref",	//1336
    "description",	//1337
    "description#$",	//1338
    "description#$?",	//1339
    "description#$??",	//1340
    "descriptionForEncoding",	//1341
    "descriptionForEncoding$",	//1342
    "descriptiveEncodingNames",	//1343
    "deserialize",	//1344
    "deserialize#",	//1345
    "desktopEntryName",	//1346
    "desktopEntryPath",	//1347
    "desktopGroup",	//1348
    "detach",	//1349
    "details",	//1350
    "detectLanguage",	//1351
    "detectLanguage$",	//1352
    "determineMimetypeFromExtension",	//1353
    "determineMimetypeFromExtension$",	//1354
    "device",	//1355
    "device#$",	//1356
    "device#$$",	//1357
    "deviceForFile",	//1358
    "deviceForFile$",	//1359
    "deviceForFile$$",	//1360
    "deviceForFile$$$",	//1361
    "digestMethod",	//1362
    "digitSet",	//1363
    "digitSetToName",	//1364
    "digitSetToName$",	//1365
    "digitSetToName$$",	//1366
    "directory",	//1367
    "directory#",	//1368
    "directoryEntryPath",	//1369
    "dirs",	//1370
    "disableAutoRebuild",	//1371
    "disconnectFromHost",	//1372
    "disconnectFromHostImplementation",	//1373
    "disconnectFromPath",	//1374
    "disconnectNotify",	//1375
    "disconnected",	//1376
    "doKill",	//1377
    "doResume",	//1378
    "doSuspend",	//1379
    "docPath",	//1380
    "docPath$",	//1381
    "done",	//1382
    "earliestValidDate",	//1383
    "earlyAuthorize",	//1384
    "email",	//1385
    "emailAddress",	//1386
    "emitPercent",	//1387
    "emitPercent$$",	//1388
    "emitResult",	//1389
    "emitSpeed",	//1390
    "emitSpeed$",	//1391
    "enable_i18n",	//1392
    "encode_string",	//1393
    "encode_string$",	//1394
    "encode_string_no_slash",	//1395
    "encode_string_no_slash$",	//1396
    "encodedHtmlRef",	//1397
    "encodedPathAndQuery",	//1398
    "encodedPathAndQuery$",	//1399
    "encodedPathAndQuery$#",	//1400
    "encoding",	//1401
    "encodingChoiceSource",	//1402
    "encodingForName",	//1403
    "encodingForName$",	//1404
    "encodingMib",	//1405
    "encodingName",	//1406
    "encodingsByScript",	//1407
    "encrypted",	//1408
    "encryptionMethod",	//1409
    "encryptionMode",	//1410
    "encryptionModeChanged",	//1411
    "encryptionModeChanged$",	//1412
    "endParseBlock",	//1413
    "entries",	//1414
    "entries$",	//1415
    "entries$$",	//1416
    "entries$$$",	//1417
    "entries$$$$",	//1418
    "entryMap",	//1419
    "entryMap$",	//1420
    "entryPath",	//1421
    "epoch",	//1422
    "equals",	//1423
    "equals#",	//1424
    "equals##",	//1425
    "equivalentTo",	//1426
    "equivalentTo#",	//1427
    "eraName",	//1428
    "eraName#",	//1429
    "eraName#$",	//1430
    "eraYear",	//1431
    "eraYear#",	//1432
    "eraYear#$",	//1433
    "error",	//1434
    "error$",	//1435
    "errorCode",	//1436
    "errorDescription",	//1437
    "errorString",	//1438
    "errorString$",	//1439
    "errorText",	//1440
    "errorsIfUtf8",	//1441
    "errorsIfUtf8$$",	//1442
    "escapeChar",	//1443
    "event",	//1444
    "eventFilter",	//1445
    "excludedEnvironments",	//1446
    "exec",	//1447
    "exec$",	//1448
    "exec_blind",	//1449
    "exec_blind$?",	//1450
    "exec_blind$??$",	//1451
    "execute",	//1452
    "execute$",	//1453
    "execute$?",	//1454
    "execute$?$",	//1455
    "execute?",	//1456
    "execute?$",	//1457
    "executeActions",	//1458
    "executeActions??$",	//1459
    "executesAsync",	//1460
    "exists",	//1461
    "exists$",	//1462
    "expandEscapedMacro",	//1463
    "expandEscapedMacro$$?",	//1464
    "expandMacro",	//1465
    "expandMacro#?",	//1466
    "expandMacro$?",	//1467
    "expandMacros",	//1468
    "expandMacros$",	//1469
    "expandMacros$?",	//1470
    "expandMacros$?#",	//1471
    "expandMacrosShellQuote",	//1472
    "expandMacrosShellQuote$",	//1473
    "expandMacrosShellQuote$$",	//1474
    "expandMacrosShellQuote$?",	//1475
    "expandMacrosShellQuote$?#",	//1476
    "expandPlainMacro",	//1477
    "expandPlainMacro$$?",	//1478
    "extraFields",	//1479
    "extraFields#",	//1480
    "extractKnownExtension",	//1481
    "extractKnownExtension$",	//1482
    "faceIconPath",	//1483
    "factories",	//1484
    "factory",	//1485
    "factory$",	//1486
    "factory$$",	//1487
    "failed",	//1488
    "favIconForUrl",	//1489
    "favIconForUrl#",	//1490
    "feed",	//1491
    "feed#",	//1492
    "feed$$",	//1493
    "fetchMoreText",	//1494
    "fileEncoding",	//1495
    "fileEncodingMib",	//1496
    "fileEngine",	//1497
    "fileName",	//1498
    "fileName#",	//1499
    "fileNameUsedForCopying",	//1500
    "filterFlags",	//1501
    "finalize",	//1502
    "findAllExe",	//1503
    "findAllExe?$",	//1504
    "findAllExe?$$",	//1505
    "findAllExe?$$$",	//1506
    "findAllResources",	//1507
    "findAllResources$",	//1508
    "findAllResources$$",	//1509
    "findAllResources$$$",	//1510
    "findAllResources$$$?",	//1511
    "findByContent",	//1512
    "findByContent#",	//1513
    "findByContent#$",	//1514
    "findByFileContent",	//1515
    "findByFileContent$",	//1516
    "findByFileContent$$",	//1517
    "findByNameAndContent",	//1518
    "findByNameAndContent$#",	//1519
    "findByNameAndContent$#$",	//1520
    "findByNameAndContent$#$$",	//1521
    "findByPath",	//1522
    "findByPath$",	//1523
    "findByPath$$",	//1524
    "findByPath$$$",	//1525
    "findByPath$$$$",	//1526
    "findByUrl",	//1527
    "findByUrl#",	//1528
    "findByUrl#$",	//1529
    "findByUrl#$$",	//1530
    "findByUrl#$$$",	//1531
    "findByUrl#$$$$",	//1532
    "findDirectChild_helper",	//1533
    "findDirectChild_helper##",	//1534
    "findDirs",	//1535
    "findDirs$$",	//1536
    "findEntry",	//1537
    "findEntry$$",	//1538
    "findExe",	//1539
    "findExe$",	//1540
    "findExe$$",	//1541
    "findExe$$$",	//1542
    "findFactory",	//1543
    "findFactory$",	//1544
    "findFilterByFileName",	//1545
    "findFilterByFileName$",	//1546
    "findFilterByMimeType",	//1547
    "findFilterByMimeType$",	//1548
    "findItem",	//1549
    "findItem$",	//1550
    "findLibrary",	//1551
    "findLibrary$",	//1552
    "findLibrary$#",	//1553
    "findResource",	//1554
    "findResource$$",	//1555
    "findResourceDir",	//1556
    "findResourceDir$$",	//1557
    "finished",	//1558
    "finished#",	//1559
    "finishedCurrentFeed",	//1560
    "flagError",	//1561
    "flush",	//1562
    "fopen",	//1563
    "fopen$$",	//1564
    "forceGlobal",	//1565
    "formatByteSize",	//1566
    "formatByteSize$",	//1567
    "formatByteSize$$",	//1568
    "formatByteSize$$$",	//1569
    "formatByteSize$$$$",	//1570
    "formatDate",	//1571
    "formatDate#",	//1572
    "formatDate#$",	//1573
    "formatDate#$$",	//1574
    "formatDate#$$$",	//1575
    "formatDateTime",	//1576
    "formatDateTime#",	//1577
    "formatDateTime#$",	//1578
    "formatDateTime#$$",	//1579
    "formatDuration",	//1580
    "formatDuration$",	//1581
    "formatLocaleTime",	//1582
    "formatLocaleTime#",	//1583
    "formatLocaleTime#$",	//1584
    "formatLong",	//1585
    "formatLong$",	//1586
    "formatMoney",	//1587
    "formatMoney$",	//1588
    "formatMoney$$",	//1589
    "formatMoney$$$",	//1590
    "formatNumber",	//1591
    "formatNumber$",	//1592
    "formatNumber$$",	//1593
    "formatNumber$$$",	//1594
    "formatTime",	//1595
    "formatTime#",	//1596
    "formatTime#$",	//1597
    "formatTime#$$",	//1598
    "fracDigits",	//1599
    "from8Bit",	//1600
    "from8Bit$",	//1601
    "fromEntity",	//1602
    "fromEntity$",	//1603
    "fromEntity$$",	//1604
    "fromFiles",	//1605
    "fromFiles?",	//1606
    "fromFiles?#",	//1607
    "fromKPartsInstanceName",	//1608
    "fromKPartsInstanceName$",	//1609
    "fromKPartsInstanceName$#",	//1610
    "fromMimeDataByteArray",	//1611
    "fromMimeDataByteArray#",	//1612
    "fromPath",	//1613
    "fromPath$",	//1614
    "fromPathOrUrl",	//1615
    "fromPathOrUrl$",	//1616
    "fromServices",	//1617
    "fromServices?",	//1618
    "fromServices?#",	//1619
    "fromString",	//1620
    "fromString$",	//1621
    "fromString$$",	//1622
    "fromString$$#",	//1623
    "fromString$$#$",	//1624
    "fromString$$$",	//1625
    "fromTime_t",	//1626
    "fromTime_t$",	//1627
    "fullLicense",	//1628
    "fullName",	//1629
    "genericName",	//1630
    "getBool",	//1631
    "getDate",	//1632
    "getDate#$$$",	//1633
    "getDouble",	//1634
    "getLockInfo",	//1635
    "getLockInfo$$$",	//1636
    "getLong",	//1637
    "getLong$",	//1638
    "getOption",	//1639
    "getOption#",	//1640
    "getOptionList",	//1641
    "getOptionList#",	//1642
    "gid",	//1643
    "group",	//1644
    "group#",	//1645
    "group$",	//1646
    "groupEntries",	//1647
    "groupEntries$",	//1648
    "groupImpl",	//1649
    "groupImpl#",	//1650
    "groupList",	//1651
    "groupNames",	//1652
    "groups",	//1653
    "hasActionGroup",	//1654
    "hasActionGroup$",	//1655
    "hasApplicationType",	//1656
    "hasAutoDetectionForScript",	//1657
    "hasAutoDetectionForScript$",	//1658
    "hasDefault",	//1659
    "hasDefault$",	//1660
    "hasDeviceType",	//1661
    "hasGroup",	//1662
    "hasGroup#",	//1663
    "hasGroup$",	//1664
    "hasGroupImpl",	//1665
    "hasGroupImpl#",	//1666
    "hasHTMLRef",	//1667
    "hasHelper",	//1668
    "hasHost",	//1669
    "hasKey",	//1670
    "hasKey$",	//1671
    "hasLinkType",	//1672
    "hasLocale",	//1673
    "hasMainComponent",	//1674
    "hasMimeType",	//1675
    "hasMimeType#",	//1676
    "hasMimeTypeType",	//1677
    "hasNullOutput",	//1678
    "hasNullOutput$$$$",	//1679
    "hasNullOutputQtDebugMsg",	//1680
    "hasNullOutputQtDebugMsg$",	//1681
    "hasNullOutputQtDebugMsg$$",	//1682
    "hasPass",	//1683
    "hasPath",	//1684
    "hasPendingConnections",	//1685
    "hasRef",	//1686
    "hasServiceType",	//1687
    "hasServiceType$",	//1688
    "hasSubUrl",	//1689
    "hasSubjobs",	//1690
    "hasSubunits",	//1691
    "hasSubunitsInCirculation",	//1692
    "hasTransitions",	//1693
    "hasTransitions#",	//1694
    "hasUser",	//1695
    "helperID",	//1696
    "hexDigest",	//1697
    "hexDigest#",	//1698
    "homeDir",	//1699
    "homepage",	//1700
    "hostFound",	//1701
    "htmlRef",	//1702
    "i18n",	//1703
    "i18n$",	//1704
    "i18nc",	//1705
    "i18nc$$",	//1706
    "icon",	//1707
    "icon$",	//1708
    "iconName",	//1709
    "iconName#",	//1710
    "iconNameForUrl",	//1711
    "iconNameForUrl#",	//1712
    "iconNameForUrl#$",	//1713
    "ignoreSslErrors",	//1714
    "inBufferAvailable",	//1715
    "inBufferEmpty",	//1716
    "inContext",	//1717
    "inContext$$",	//1718
    "incomingConnection",	//1719
    "incomingConnection$",	//1720
    "infoMessage",	//1721
    "infoMessage#$",	//1722
    "infoMessage#$$",	//1723
    "inherits",	//1724
    "inherits$",	//1725
    "init",	//1726
    "init#",	//1727
    "init$",	//1728
    "init$?#",	//1729
    "init$?####",	//1730
    "init$?#####",	//1731
    "init$?#####$",	//1732
    "init$?#$",	//1733
    "initialPreference",	//1734
    "inlineAlias",	//1735
    "inlineValue",	//1736
    "insertCatalog",	//1737
    "insertCatalog$",	//1738
    "installPath",	//1739
    "installPath$",	//1740
    "internalBugAddress",	//1741
    "internalProgramName",	//1742
    "internalVersion",	//1743
    "invokeBrowser",	//1744
    "invokeBrowser$",	//1745
    "invokeBrowser$#",	//1746
    "invokeHelp",	//1747
    "invokeHelp$",	//1748
    "invokeHelp$$",	//1749
    "invokeHelp$$#",	//1750
    "invokeMailer",	//1751
    "invokeMailer#",	//1752
    "invokeMailer##",	//1753
    "invokeMailer##$",	//1754
    "invokeMailer$$",	//1755
    "invokeMailer$$#",	//1756
    "invokeMailer$$$$$",	//1757
    "invokeMailer$$$$$$",	//1758
    "invokeMailer$$$$$$?",	//1759
    "invokeMailer$$$$$$?#",	//1760
    "invokeTerminal",	//1761
    "invokeTerminal$",	//1762
    "invokeTerminal$$",	//1763
    "invokeTerminal$$#",	//1764
    "is",	//1765
    "is$",	//1766
    "isApplication",	//1767
    "isApplicationTranslatedInto",	//1768
    "isApplicationTranslatedInto$",	//1769
    "isAuthorizedDesktopFile",	//1770
    "isAuthorizedDesktopFile$",	//1771
    "isAutoDelete",	//1772
    "isAutoErrorHandlingEnabled",	//1773
    "isAutoWarningHandlingEnabled",	//1774
    "isAvailable",	//1775
    "isBinaryData",	//1776
    "isBinaryData$",	//1777
    "isBufferBinaryData",	//1778
    "isBufferBinaryData#",	//1779
    "isBuilding",	//1780
    "isChanged",	//1781
    "isChanged$",	//1782
    "isClockTime",	//1783
    "isConfigWritable",	//1784
    "isConfigWritable$",	//1785
    "isCorrect",	//1786
    "isCorrect$",	//1787
    "isDateOnly",	//1788
    "isDefault",	//1789
    "isDeleted",	//1790
    "isDerived",	//1791
    "isDesktopFile",	//1792
    "isDesktopFile$",	//1793
    "isDst",	//1794
    "isDst#$",	//1795
    "isDst$",	//1796
    "isDstAtUtc",	//1797
    "isDstAtUtc#",	//1798
    "isDstAtUtc##",	//1799
    "isEmpty",	//1800
    "isEntryImmutable",	//1801
    "isEntryImmutable$",	//1802
    "isEqual",	//1803
    "isEqual#",	//1804
    "isExportable",	//1805
    "isFilterProtocol",	//1806
    "isFilterProtocol#",	//1807
    "isFilterProtocol$",	//1808
    "isGroupImmutable",	//1809
    "isGroupImmutable#",	//1810
    "isGroupImmutable$",	//1811
    "isGroupImmutableImpl",	//1812
    "isGroupImmutableImpl#",	//1813
    "isHelperProtocol",	//1814
    "isHelperProtocol#",	//1815
    "isHelperProtocol$",	//1816
    "isHidden",	//1817
    "isImmutable",	//1818
    "isImmutable$",	//1819
    "isKnownProtocol",	//1820
    "isKnownProtocol#",	//1821
    "isKnownProtocol$",	//1822
    "isLeapYear",	//1823
    "isLeapYear#",	//1824
    "isLeapYear$",	//1825
    "isListening",	//1826
    "isLoaded",	//1827
    "isLocalFile",	//1828
    "isLocalZone",	//1829
    "isLocked",	//1830
    "isLunar",	//1831
    "isLunisolar",	//1832
    "isMisspelled",	//1833
    "isMisspelled$",	//1834
    "isNull",	//1835
    "isOffsetFromUtc",	//1836
    "isParentOf",	//1837
    "isParentOf#",	//1838
    "isPluginEnabled",	//1839
    "isPluginEnabledByDefault",	//1840
    "isProleptic",	//1841
    "isRelativeUrl",	//1842
    "isRelativeUrl$",	//1843
    "isRestrictedResource",	//1844
    "isRestrictedResource$",	//1845
    "isRestrictedResource$$",	//1846
    "isSecondOccurrence",	//1847
    "isSeparator",	//1848
    "isSequential",	//1849
    "isServiceRegistered",	//1850
    "isServiceRegistered$",	//1851
    "isSet",	//1852
    "isSet#",	//1853
    "isSimulated",	//1854
    "isSolar",	//1855
    "isSuperUser",	//1856
    "isSuspended",	//1857
    "isTempFileSet",	//1858
    "isType",	//1859
    "isType$",	//1860
    "isUtc",	//1861
    "isUtf8",	//1862
    "isUtf8$",	//1863
    "isValid",	//1864
    "isValid#",	//1865
    "isValid$",	//1866
    "isValid$$",	//1867
    "isValid$$$",	//1868
    "isValid$$$$",	//1869
    "isValidIsoWeekDate",	//1870
    "isValidIsoWeekDate$$$",	//1871
    "isoCurrencyCode",	//1872
    "isoCurrencyCodeNumeric",	//1873
    "isoName",	//1874
    "items",	//1875
    "job",	//1876
    "join",	//1877
    "join?",	//1878
    "joinArgs",	//1879
    "joinArgs?",	//1880
    "julianDayToDate",	//1881
    "julianDayToDate$$$$",	//1882
    "kAsciiToLower",	//1883
    "kAsciiToLower$",	//1884
    "kAsciiToUpper",	//1885
    "kAsciiToUpper$",	//1886
    "kBacktrace",	//1887
    "kBacktrace$",	//1888
    "kClearDebugConfig",	//1889
    "kRealBacktrace",	//1890
    "kRealBacktrace$",	//1891
    "kapplication_hook",	//1892
    "kapplication_hook?#",	//1893
    "kasciistricmp",	//1894
    "kasciistricmp$$",	//1895
    "kcmServices",	//1896
    "kdBacktrace",	//1897
    "kdBacktrace$",	//1898
    "kde_default",	//1899
    "kde_default$",	//1900
    "kdeinitExec",	//1901
    "kdeinitExec$",	//1902
    "kdeinitExec$?",	//1903
    "kdeinitExec$?$",	//1904
    "kdeinitExec$?$$",	//1905
    "kdeinitExec$?$$#",	//1906
    "kdeinitExecWait",	//1907
    "kdeinitExecWait$",	//1908
    "kdeinitExecWait$?",	//1909
    "kdeinitExecWait$?$",	//1910
    "kdeinitExecWait$?$$",	//1911
    "kdeinitExecWait$?$$#",	//1912
    "kdeinit_exec",	//1913
    "kdeinit_exec$??$$$$",	//1914
    "kdeinit_exec_wait",	//1915
    "kdeinit_exec_wait$??$$$$",	//1916
    "key",	//1917
    "keyExchangeMethod",	//1918
    "keyList",	//1919
    "keywords",	//1920
    "kfsstnd_prefixes",	//1921
    "kfsstnd_xdg_conf_prefixes",	//1922
    "kfsstnd_xdg_data_prefixes",	//1923
    "ki18n",	//1924
    "ki18n$",	//1925
    "ki18nc",	//1926
    "ki18nc$$",	//1927
    "ki18ncp",	//1928
    "ki18ncp$$$",	//1929
    "ki18np",	//1930
    "ki18np$$",	//1931
    "kill",	//1932
    "kill$",	//1933
    "klauncher",	//1934
    "kndbgstream",	//1935
    "kndbgstream#",	//1936
    "label",	//1937
    "langLookup",	//1938
    "langLookup$",	//1939
    "langLookup$$",	//1940
    "language",	//1941
    "languageCodeToName",	//1942
    "languageCodeToName$",	//1943
    "languageForEncoding",	//1944
    "languageForEncoding$",	//1945
    "languageList",	//1946
    "lastErrorMessage",	//1947
    "latestValidDate",	//1948
    "latitude",	//1949
    "layoutInfo",	//1950
    "leapSecondChange",	//1951
    "leapSecondChange#",	//1952
    "leapSecondChanges",	//1953
    "leapSeconds",	//1954
    "library",	//1955
    "library$",	//1956
    "library$$",	//1957
    "license",	//1958
    "licenseName",	//1959
    "licenseName$",	//1960
    "licenses",	//1961
    "listen",	//1962
    "listen$",	//1963
    "listen$#",	//1964
    "listen$#$",	//1965
    "listen$#$#",	//1966
    "listen$$",	//1967
    "load",	//1968
    "load#",	//1969
    "loadAppArgs",	//1970
    "loadAppArgs#",	//1971
    "local",	//1972
    "localAddress",	//1973
    "localCertificate",	//1974
    "localPath",	//1975
    "localSocketType",	//1976
    "locale",	//1977
    "localizedFilePath",	//1978
    "localizedFilePath$",	//1979
    "localkdedir",	//1980
    "localxdgconfdir",	//1981
    "localxdgdatadir",	//1982
    "locate",	//1983
    "locate$$",	//1984
    "locate$$#",	//1985
    "locateLocal",	//1986
    "locateLocal$",	//1987
    "locateLocal$$",	//1988
    "locateLocal$$#",	//1989
    "locateLocal$$$",	//1990
    "locateLocal$$$#",	//1991
    "location",	//1992
    "lock",	//1993
    "lock$",	//1994
    "loginName",	//1995
    "longitude",	//1996
    "lsqueeze",	//1997
    "lsqueeze$",	//1998
    "lsqueeze$$",	//1999
    "mGroup",	//2000
    "mKey",	//2001
    "mName",	//2002
    "m_bAutoDel",	//2003
    "m_canCopyFromFile",	//2004
    "m_canCopyToFile",	//2005
    "m_config",	//2006
    "m_defaultMimetype",	//2007
    "m_determineMimetypeFromExtension",	//2008
    "m_dev",	//2009
    "m_exec",	//2010
    "m_icon",	//2011
    "m_inputType",	//2012
    "m_isHelperProtocol",	//2013
    "m_isSourceProtocol",	//2014
    "m_listing",	//2015
    "m_maxSlaves",	//2016
    "m_name",	//2017
    "m_outputType",	//2018
    "m_str_deprecated",	//2019
    "m_supportsDeleting",	//2020
    "m_supportsLinking",	//2021
    "m_supportsListing",	//2022
    "m_supportsMakeDir",	//2023
    "m_supportsMoving",	//2024
    "m_supportsOpening",	//2025
    "m_supportsReading",	//2026
    "m_supportsWriting",	//2027
    "mainComponent",	//2028
    "mainExtension",	//2029
    "makeDir",	//2030
    "makeDir$",	//2031
    "makeDir$$",	//2032
    "makeURL",	//2033
    "makeURL#",	//2034
    "managedFile",	//2035
    "markAsClean",	//2036
    "maxPendingConnections",	//2037
    "maxSlaves",	//2038
    "maxSlaves$",	//2039
    "maxSlavesPerHost",	//2040
    "maxSlavesPerHost$",	//2041
    "maxValue",	//2042
    "measureSystem",	//2043
    "menuId",	//2044
    "message",	//2045
    "message$$",	//2046
    "message$$$",	//2047
    "metaObject",	//2048
    "mimeType",	//2049
    "mimeType$",	//2050
    "mimeType$$",	//2051
    "minValue",	//2052
    "misspelling",	//2053
    "misspelling$$",	//2054
    "mkdir",	//2055
    "mkdir$$",	//2056
    "mode",	//2057
    "modulate",	//2058
    "modulate$",	//2059
    "moduleDeleted",	//2060
    "moduleDeleted#",	//2061
    "moduleName",	//2062
    "moduleRegistered",	//2063
    "moduleRegistered#",	//2064
    "monetaryDecimalPlaces",	//2065
    "monetaryDecimalSymbol",	//2066
    "monetaryDigitSet",	//2067
    "monetaryThousandsSeparator",	//2068
    "month",	//2069
    "month#",	//2070
    "monthName",	//2071
    "monthName#",	//2072
    "monthName#$",	//2073
    "monthName$$",	//2074
    "monthName$$$",	//2075
    "monthString",	//2076
    "monthString#",	//2077
    "monthString#$",	//2078
    "monthStringToInteger",	//2079
    "monthStringToInteger$$",	//2080
    "monthsDifference",	//2081
    "monthsDifference##",	//2082
    "monthsInYear",	//2083
    "monthsInYear#",	//2084
    "monthsInYear$",	//2085
    "monthsInYearString",	//2086
    "monthsInYearString#",	//2087
    "monthsInYearString#$",	//2088
    "name",	//2089
    "name$",	//2090
    "nameForProberType",	//2091
    "nameForProberType$",	//2092
    "nameForScript",	//2093
    "nameForScript$",	//2094
    "naturalCompare",	//2095
    "naturalCompare$$",	//2096
    "naturalCompare$$$",	//2097
    "negativeMonetarySignPosition",	//2098
    "negativePrefixCurrencySymbol",	//2099
    "negativeSign",	//2100
    "negotiatedSslVersion",	//2101
    "negotiatedSslVersionName",	//2102
    "newConnection",	//2103
    "newServicePath",	//2104
    "newServicePath$$",	//2105
    "newServicePath$$$",	//2106
    "newServicePath$$$?",	//2107
    "nextPendingConnection",	//2108
    "noDisplay",	//2109
    "notifyCatalogsUpdated",	//2110
    "notifyCatalogsUpdated??",	//2111
    "nounDeclension",	//2112
    "numberedBackupFile",	//2113
    "numberedBackupFile$",	//2114
    "numberedBackupFile$$",	//2115
    "numberedBackupFile$$$",	//2116
    "numberedBackupFile$$$$",	//2117
    "objectCreated",	//2118
    "objectCreated#",	//2119
    "obscure",	//2120
    "obscure$",	//2121
    "offset",	//2122
    "offset#$",	//2123
    "offset$",	//2124
    "offsetAtUtc",	//2125
    "offsetAtUtc#",	//2126
    "offsetAtUtc##",	//2127
    "offsetAtZoneTime",	//2128
    "offsetAtZoneTime#",	//2129
    "offsetAtZoneTime##$",	//2130
    "offsetAtZoneTime#$",	//2131
    "open",	//2132
    "open$",	//2133
    "open$$",	//2134
    "open$$$",	//2135
    "openConfig",	//2136
    "openConfig#",	//2137
    "openConfig#$",	//2138
    "openConfig#$$",	//2139
    "openConfig#$$$",	//2140
    "openConfig$",	//2141
    "openConfig$$",	//2142
    "openConfig$$$",	//2143
    "operator QVariant",	//2144
    "operator!=",	//2145
    "operator!=#",	//2146
    "operator!=##",	//2147
    "operator!=#$",	//2148
    "operator!=$",	//2149
    "operator!=$#",	//2150
    "operator!=$$",	//2151
    "operator&",	//2152
    "operator&##",	//2153
    "operator*",	//2154
    "operator*#$",	//2155
    "operator*$#",	//2156
    "operator+",	//2157
    "operator+##",	//2158
    "operator+#$",	//2159
    "operator+$#",	//2160
    "operator+$$",	//2161
    "operator-",	//2162
    "operator-#",	//2163
    "operator-##",	//2164
    "operator/",	//2165
    "operator/#$",	//2166
    "operator<",	//2167
    "operator<#",	//2168
    "operator<##",	//2169
    "operator<#$",	//2170
    "operator<$#",	//2171
    "operator<$$",	//2172
    "operator<<",	//2173
    "operator<<##",	//2174
    "operator<<#$",	//2175
    "operator<<#?",	//2176
    "operator<<$",	//2177
    "operator<<?",	//2178
    "operator<=",	//2179
    "operator<=#",	//2180
    "operator<=##",	//2181
    "operator<=#$",	//2182
    "operator<=$#",	//2183
    "operator<=$$",	//2184
    "operator=",	//2185
    "operator=#",	//2186
    "operator=$",	//2187
    "operator==",	//2188
    "operator==#",	//2189
    "operator==##",	//2190
    "operator==#$",	//2191
    "operator==$",	//2192
    "operator==$#",	//2193
    "operator==$$",	//2194
    "operator>",	//2195
    "operator>#",	//2196
    "operator>##",	//2197
    "operator>#$",	//2198
    "operator>$#",	//2199
    "operator>$$",	//2200
    "operator>=",	//2201
    "operator>=#",	//2202
    "operator>=##",	//2203
    "operator>=#$",	//2204
    "operator>=$#",	//2205
    "operator>=$$",	//2206
    "operator>>",	//2207
    "operator>>##",	//2208
    "operator>>#$",	//2209
    "operator>>#?",	//2210
    "operator^",	//2211
    "operator^##",	//2212
    "operator|",	//2213
    "operator|##",	//2214
    "operator|$$",	//2215
    "organizationDomain",	//2216
    "otherText",	//2217
    "outBufferAvailable",	//2218
    "outBufferFull",	//2219
    "outOfRange",	//2220
    "outputChannelMode",	//2221
    "pageSize",	//2222
    "parent",	//2223
    "parentApp",	//2224
    "parentMimeType",	//2225
    "parentMimeTypes",	//2226
    "parentServiceType",	//2227
    "parentType",	//2228
    "parse",	//2229
    "parse#",	//2230
    "parsedArgs",	//2231
    "parsedArgs#",	//2232
    "pass",	//2233
    "path",	//2234
    "path$",	//2235
    "pathOrUrl",	//2236
    "pathOrUrl$",	//2237
    "patterns",	//2238
    "peerAddress",	//2239
    "peerCertificateChain",	//2240
    "peerName",	//2241
    "peerPath",	//2242
    "peerPort",	//2243
    "percent",	//2244
    "percent#$",	//2245
    "perlSplit",	//2246
    "perlSplit#$",	//2247
    "perlSplit#$$",	//2248
    "perlSplit$$",	//2249
    "perlSplit$$$",	//2250
    "phase",	//2251
    "phases",	//2252
    "pid",	//2253
    "pluginKeyword",	//2254
    "pluginName",	//2255
    "pluginVersion",	//2256
    "populateMimeData",	//2257
    "populateMimeData#",	//2258
    "populateMimeData#?",	//2259
    "populateMimeData#?$",	//2260
    "pos",	//2261
    "positiveMonetarySignPosition",	//2262
    "positivePrefixCurrencySymbol",	//2263
    "positiveSign",	//2264
    "preProcessWrap",	//2265
    "preProcessWrap$",	//2266
    "preferredService",	//2267
    "preferredService$",	//2268
    "preferredService$$",	//2269
    "prettyFormatDuration",	//2270
    "prettyFormatDuration$",	//2271
    "prettyUrl",	//2272
    "prettyUrl$",	//2273
    "previousUtcOffset",	//2274
    "privateKey",	//2275
    "proberType",	//2276
    "proberTypeForName",	//2277
    "proberTypeForName$",	//2278
    "processNull",	//2279
    "processNull$$",	//2280
    "processedAmount",	//2281
    "processedAmount#$$",	//2282
    "processedAmount$",	//2283
    "productName",	//2284
    "program",	//2285
    "programIconName",	//2286
    "programLogo",	//2287
    "programName",	//2288
    "progressStep",	//2289
    "progressStep$",	//2290
    "progressStep?",	//2291
    "property",	//2292
    "property$",	//2293
    "property$$",	//2294
    "propertyDef",	//2295
    "propertyDef$",	//2296
    "propertyDefNames",	//2297
    "propertyDefs",	//2298
    "propertyNames",	//2299
    "protocol",	//2300
    "protocolClass",	//2301
    "protocolClass$",	//2302
    "protocols",	//2303
    "proxiedBy",	//2304
    "proxiedBy$",	//2305
    "proxy",	//2306
    "proxyAuthenticationRequired",	//2307
    "proxyAuthenticationRequired##",	//2308
    "proxyForConnection",	//2309
    "proxyForConnection$$",	//2310
    "proxyForDatagram",	//2311
    "proxyForDatagram$$",	//2312
    "proxyForListening",	//2313
    "proxyForListening$",	//2314
    "qtArgc",	//2315
    "qtArgv",	//2316
    "qt_metacall",	//2317
    "qt_metacall$$?",	//2318
    "qt_metacast",	//2319
    "qt_metacast$",	//2320
    "query",	//2321
    "query$",	//2322
    "query$$",	//2323
    "query$$$",	//2324
    "queryItem",	//2325
    "queryItem$",	//2326
    "queryItems",	//2327
    "queryItems#",	//2328
    "quoteArg",	//2329
    "quoteArg$",	//2330
    "quotedPrintableDecode",	//2331
    "quotedPrintableDecode#",	//2332
    "quotedPrintableDecode##",	//2333
    "quotedPrintableEncode",	//2334
    "quotedPrintableEncode#",	//2335
    "quotedPrintableEncode##$",	//2336
    "quotedPrintableEncode#$",	//2337
    "random",	//2338
    "randomString",	//2339
    "randomString$",	//2340
    "rawDigest",	//2341
    "rawDigest$",	//2342
    "rcsBackupFile",	//2343
    "rcsBackupFile$",	//2344
    "rcsBackupFile$$",	//2345
    "rcsBackupFile$$$",	//2346
    "read",	//2347
    "read#$",	//2348
    "read#?",	//2349
    "readActions",	//2350
    "readBufferSize",	//2351
    "readComment",	//2352
    "readConfig",	//2353
    "readConfig#",	//2354
    "readData",	//2355
    "readData$$",	//2356
    "readDate",	//2357
    "readDate$",	//2358
    "readDate$$",	//2359
    "readDate$$$",	//2360
    "readDate$$$$",	//2361
    "readDefault",	//2362
    "readDefault#",	//2363
    "readDefaults",	//2364
    "readDevice",	//2365
    "readDocPath",	//2366
    "readEntry",	//2367
    "readEntry$",	//2368
    "readEntry$#",	//2369
    "readEntry$$",	//2370
    "readEntry$?",	//2371
    "readEntryUntranslated",	//2372
    "readEntryUntranslated$",	//2373
    "readEntryUntranslated$$",	//2374
    "readError",	//2375
    "readGenericName",	//2376
    "readHeader",	//2377
    "readIcon",	//2378
    "readImmutability",	//2379
    "readImmutability#",	//2380
    "readLineData",	//2381
    "readLocaleTime",	//2382
    "readLocaleTime$",	//2383
    "readLocaleTime$$",	//2384
    "readLocaleTime$$$",	//2385
    "readLocaleTime$$$$",	//2386
    "readMoney",	//2387
    "readMoney$",	//2388
    "readMoney$$",	//2389
    "readName",	//2390
    "readNumber",	//2391
    "readNumber$",	//2392
    "readNumber$$",	//2393
    "readPath",	//2394
    "readPathEntry",	//2395
    "readPathEntry$$",	//2396
    "readPathEntry$?",	//2397
    "readTime",	//2398
    "readTime$",	//2399
    "readTime$$",	//2400
    "readTime$$$",	//2401
    "readType",	//2402
    "readUrl",	//2403
    "readXdgListEntry",	//2404
    "readXdgListEntry$",	//2405
    "readXdgListEntry$?",	//2406
    "readZone",	//2407
    "readZone$",	//2408
    "realCurrentLocalDateTime",	//2409
    "realFilePath",	//2410
    "realFilePath$",	//2411
    "realLocalZone",	//2412
    "realPath",	//2413
    "realPath$",	//2414
    "ref",	//2415
    "registerArea",	//2416
    "registerArea#",	//2417
    "registerArea#$",	//2418
    "registerJob",	//2419
    "registerJob#",	//2420
    "relPath",	//2421
    "relativeLocation",	//2422
    "relativeLocation$$",	//2423
    "relativePath",	//2424
    "relativePath$$",	//2425
    "relativePath$$$",	//2426
    "relativeUrl",	//2427
    "relativeUrl##",	//2428
    "releaseLock",	//2429
    "remove",	//2430
    "remove#",	//2431
    "remove$",	//2432
    "removeAcceleratorMarker",	//2433
    "removeAcceleratorMarker$",	//2434
    "removeCatalog",	//2435
    "removeCatalog$",	//2436
    "removeDir",	//2437
    "removeDir$",	//2438
    "removeFromAllowedEnvironments",	//2439
    "removeFromAllowedEnvironments$",	//2440
    "removeFromExcludedEnvironments",	//2441
    "removeFromExcludedEnvironments$",	//2442
    "removeSubjob",	//2443
    "removeSubjob#",	//2444
    "rename",	//2445
    "rename$$",	//2446
    "reparent",	//2447
    "reparent#",	//2448
    "reparent#$",	//2449
    "reparseConfiguration",	//2450
    "replace",	//2451
    "replace$$$",	//2452
    "requestHoldSlave",	//2453
    "requestHoldSlave$$",	//2454
    "requestSlave",	//2455
    "requestSlave$$$$",	//2456
    "reset",	//2457
    "resetDecoder",	//2458
    "resolveEntities",	//2459
    "resolveEntities$",	//2460
    "resolveFunction",	//2461
    "resolveFunction$",	//2462
    "resolveSymbol",	//2463
    "resolveSymbol$",	//2464
    "resource",	//2465
    "resourceDirs",	//2466
    "resourceDirs$",	//2467
    "restore",	//2468
    "restore#",	//2469
    "resume",	//2470
    "resumed",	//2471
    "resumed#",	//2472
    "revertToDefault",	//2473
    "revertToDefault$",	//2474
    "root",	//2475
    "rsqueeze",	//2476
    "rsqueeze$",	//2477
    "rsqueeze$$",	//2478
    "save",	//2479
    "save#",	//2480
    "saveAppArgs",	//2481
    "saveAppArgs#",	//2482
    "saveLocation",	//2483
    "saveLocation$",	//2484
    "saveLocation$$",	//2485
    "saveLocation$$$",	//2486
    "scriptForName",	//2487
    "scriptForName$",	//2488
    "secrecy",	//2489
    "secsTo",	//2490
    "secsTo#",	//2491
    "secsTo_long",	//2492
    "secsTo_long#",	//2493
    "seek",	//2494
    "seek$",	//2495
    "self",	//2496
    "serialized",	//2497
    "serverError",	//2498
    "service",	//2499
    "serviceByDesktopName",	//2500
    "serviceByDesktopName$",	//2501
    "serviceByDesktopPath",	//2502
    "serviceByDesktopPath$",	//2503
    "serviceByMenuId",	//2504
    "serviceByMenuId$",	//2505
    "serviceByName",	//2506
    "serviceByName$",	//2507
    "serviceByStorageId",	//2508
    "serviceByStorageId$",	//2509
    "serviceEntries",	//2510
    "serviceEntries$",	//2511
    "serviceOffersOffset",	//2512
    "serviceType",	//2513
    "serviceType$",	//2514
    "serviceTypes",	//2515
    "sessionCipher",	//2516
    "setAboutData",	//2517
    "setAboutData#",	//2518
    "setActiveCatalog",	//2519
    "setActiveCatalog$",	//2520
    "setActiveComponent",	//2521
    "setActiveComponent#",	//2522
    "setAdvertisedSslVersion",	//2523
    "setAdvertisedSslVersion$",	//2524
    "setAllowInline",	//2525
    "setAllowInline$",	//2526
    "setAllowQuit",	//2527
    "setAllowQuit$",	//2528
    "setAllowedEnvironments",	//2529
    "setAllowedEnvironments?",	//2530
    "setAppName",	//2531
    "setAppName#",	//2532
    "setArguments",	//2533
    "setArguments?",	//2534
    "setAttribute",	//2535
    "setAttribute$",	//2536
    "setAttribute$$",	//2537
    "setAutoDelete",	//2538
    "setAutoDelete$",	//2539
    "setAutoDetectLanguage",	//2540
    "setAutoDetectLanguage$",	//2541
    "setAutoErrorHandlingEnabled",	//2542
    "setAutoErrorHandlingEnabled$",	//2543
    "setAutoRemove",	//2544
    "setAutoRemove$",	//2545
    "setAutoWarningHandlingEnabled",	//2546
    "setAutoWarningHandlingEnabled$",	//2547
    "setAutostarts",	//2548
    "setAutostarts$",	//2549
    "setBinaryUnitDialect",	//2550
    "setBinaryUnitDialect$",	//2551
    "setBugAddress",	//2552
    "setBugAddress#",	//2553
    "setCaCertificates",	//2554
    "setCaCertificates?",	//2555
    "setCalendar",	//2556
    "setCalendar$",	//2557
    "setCapabilities",	//2558
    "setCapabilities$",	//2559
    "setCatalogName",	//2560
    "setCatalogName#",	//2561
    "setCiphers",	//2562
    "setCiphers?",	//2563
    "setCommand",	//2564
    "setCommand$",	//2565
    "setCommandToCheck",	//2566
    "setCommandToCheck$",	//2567
    "setComponentData",	//2568
    "setComponentData#",	//2569
    "setConfig",	//2570
    "setConfig#",	//2571
    "setConfigName",	//2572
    "setConfigName$",	//2573
    "setCopyrightStatement",	//2574
    "setCopyrightStatement#",	//2575
    "setCountry",	//2576
    "setCountry$#",	//2577
    "setCurrencyCode",	//2578
    "setCurrencyCode$",	//2579
    "setCurrencySymbol",	//2580
    "setCurrencySymbol$",	//2581
    "setCurrentGroup",	//2582
    "setCurrentGroup$",	//2583
    "setCustomAuthorText",	//2584
    "setCustomAuthorText##",	//2585
    "setCwd",	//2586
    "setCwd#",	//2587
    "setData",	//2588
    "setData#",	//2589
    "setData##",	//2590
    "setData?",	//2591
    "setDataVersion",	//2592
    "setDataVersion$",	//2593
    "setDate",	//2594
    "setDate#",	//2595
    "setDate#$$",	//2596
    "setDate#$$$",	//2597
    "setDate#$$$$",	//2598
    "setDateFormat",	//2599
    "setDateFormat$",	//2600
    "setDateFormatShort",	//2601
    "setDateFormatShort$",	//2602
    "setDateIsoWeek",	//2603
    "setDateIsoWeek#$$$",	//2604
    "setDateMonthNamePossessive",	//2605
    "setDateMonthNamePossessive$",	//2606
    "setDateOnly",	//2607
    "setDateOnly$",	//2608
    "setDateTime",	//2609
    "setDateTime#",	//2610
    "setDateTimeDigitSet",	//2611
    "setDateTimeDigitSet$",	//2612
    "setDecimalPlaces",	//2613
    "setDecimalPlaces$",	//2614
    "setDecimalSymbol",	//2615
    "setDecimalSymbol$",	//2616
    "setDefault",	//2617
    "setDefaultClient",	//2618
    "setDefaultClient$",	//2619
    "setDefaultLanguage",	//2620
    "setDefaultLanguage$",	//2621
    "setDefaults",	//2622
    "setDeleted",	//2623
    "setDeleted$",	//2624
    "setDetails",	//2625
    "setDetails$",	//2626
    "setDevice",	//2627
    "setDevice#",	//2628
    "setDevice#$",	//2629
    "setDigitSet",	//2630
    "setDigitSet$",	//2631
    "setDirectory",	//2632
    "setDirectory$",	//2633
    "setEncodedPathAndQuery",	//2634
    "setEncodedPathAndQuery$",	//2635
    "setEncoding",	//2636
    "setEncoding$",	//2637
    "setEncoding$$",	//2638
    "setEnv",	//2639
    "setEnv$$",	//2640
    "setEnv$$$",	//2641
    "setError",	//2642
    "setError$",	//2643
    "setErrorCode",	//2644
    "setErrorCode$",	//2645
    "setErrorDescription",	//2646
    "setErrorDescription$",	//2647
    "setErrorText",	//2648
    "setErrorText$",	//2649
    "setEscapeChar",	//2650
    "setEscapeChar#",	//2651
    "setExcludedEnvironments",	//2652
    "setExcludedEnvironments?",	//2653
    "setExecutesAsync",	//2654
    "setExecutesAsync$",	//2655
    "setFileEncoding",	//2656
    "setFileEncoding$",	//2657
    "setFileName",	//2658
    "setFileName$",	//2659
    "setFileName$#",	//2660
    "setFilterFlags",	//2661
    "setFilterFlags$",	//2662
    "setForceGlobal",	//2663
    "setForceGlobal$",	//2664
    "setFracDigits",	//2665
    "setFracDigits$",	//2666
    "setFromStringDefault",	//2667
    "setFromStringDefault#",	//2668
    "setGroup",	//2669
    "setGroup$",	//2670
    "setHTMLRef",	//2671
    "setHTMLRef$",	//2672
    "setHasYear0",	//2673
    "setHasYear0$",	//2674
    "setHelperID",	//2675
    "setHelperID$",	//2676
    "setHomepage",	//2677
    "setHomepage#",	//2678
    "setInBuffer",	//2679
    "setInBuffer$$",	//2680
    "setInlineAlias",	//2681
    "setInlineAlias$",	//2682
    "setInlineValue",	//2683
    "setInlineValue$",	//2684
    "setKDEVersion",	//2685
    "setKDEVersion$",	//2686
    "setKDEVersionString",	//2687
    "setKDEVersionString$",	//2688
    "setKey",	//2689
    "setKey$",	//2690
    "setLabel",	//2691
    "setLabel$",	//2692
    "setLanguage",	//2693
    "setLanguage$",	//2694
    "setLanguage$#",	//2695
    "setLanguage?",	//2696
    "setLaunchEnv",	//2697
    "setLaunchEnv$$",	//2698
    "setLayoutInfo",	//2699
    "setLayoutInfo?",	//2700
    "setLeapSecondChanges",	//2701
    "setLeapSecondChanges?",	//2702
    "setLicense",	//2703
    "setLicense$",	//2704
    "setLicenseText",	//2705
    "setLicenseText#",	//2706
    "setLicenseTextFile",	//2707
    "setLicenseTextFile$",	//2708
    "setLocalCertificate",	//2709
    "setLocalCertificate#",	//2710
    "setLocalCertificate$",	//2711
    "setLocalCertificate$$",	//2712
    "setLocalZone",	//2713
    "setLocalZone#",	//2714
    "setLocale",	//2715
    "setLocale#",	//2716
    "setLocale#$",	//2717
    "setLocale$",	//2718
    "setMGroup",	//2719
    "setMGroup$",	//2720
    "setMKey",	//2721
    "setMKey$",	//2722
    "setMName",	//2723
    "setMName$",	//2724
    "setM_bAutoDel",	//2725
    "setM_bAutoDel$",	//2726
    "setM_canCopyFromFile",	//2727
    "setM_canCopyFromFile$",	//2728
    "setM_canCopyToFile",	//2729
    "setM_canCopyToFile$",	//2730
    "setM_config",	//2731
    "setM_config$",	//2732
    "setM_defaultMimetype",	//2733
    "setM_defaultMimetype$",	//2734
    "setM_determineMimetypeFromExtension",	//2735
    "setM_determineMimetypeFromExtension$",	//2736
    "setM_dev",	//2737
    "setM_dev#",	//2738
    "setM_exec",	//2739
    "setM_exec$",	//2740
    "setM_icon",	//2741
    "setM_icon$",	//2742
    "setM_inputType",	//2743
    "setM_inputType$",	//2744
    "setM_isHelperProtocol",	//2745
    "setM_isHelperProtocol$",	//2746
    "setM_isSourceProtocol",	//2747
    "setM_isSourceProtocol$",	//2748
    "setM_listing",	//2749
    "setM_listing?",	//2750
    "setM_maxSlaves",	//2751
    "setM_maxSlaves$",	//2752
    "setM_name",	//2753
    "setM_name$",	//2754
    "setM_outputType",	//2755
    "setM_outputType$",	//2756
    "setM_str_deprecated",	//2757
    "setM_str_deprecated#",	//2758
    "setM_supportsDeleting",	//2759
    "setM_supportsDeleting$",	//2760
    "setM_supportsLinking",	//2761
    "setM_supportsLinking$",	//2762
    "setM_supportsListing",	//2763
    "setM_supportsListing$",	//2764
    "setM_supportsMakeDir",	//2765
    "setM_supportsMakeDir$",	//2766
    "setM_supportsMoving",	//2767
    "setM_supportsMoving$",	//2768
    "setM_supportsOpening",	//2769
    "setM_supportsOpening$",	//2770
    "setM_supportsReading",	//2771
    "setM_supportsReading$",	//2772
    "setM_supportsWriting",	//2773
    "setM_supportsWriting$",	//2774
    "setMainCatalog",	//2775
    "setMainCatalog$",	//2776
    "setManagedFile",	//2777
    "setManagedFile#",	//2778
    "setMaxDaysInWeek",	//2779
    "setMaxDaysInWeek$",	//2780
    "setMaxMonthsInYear",	//2781
    "setMaxMonthsInYear$",	//2782
    "setMaxPendingConnections",	//2783
    "setMaxPendingConnections$",	//2784
    "setMaxValue",	//2785
    "setMaxValue$",	//2786
    "setMeasureSystem",	//2787
    "setMeasureSystem$",	//2788
    "setMenuId",	//2789
    "setMenuId$",	//2790
    "setMessageHandler",	//2791
    "setMessageHandler#",	//2792
    "setMinValue",	//2793
    "setMinValue$",	//2794
    "setModuleName",	//2795
    "setModuleName$",	//2796
    "setMonetaryDecimalPlaces",	//2797
    "setMonetaryDecimalPlaces$",	//2798
    "setMonetaryDecimalSymbol",	//2799
    "setMonetaryDecimalSymbol$",	//2800
    "setMonetaryDigitSet",	//2801
    "setMonetaryDigitSet$",	//2802
    "setMonetaryThousandsSeparator",	//2803
    "setMonetaryThousandsSeparator$",	//2804
    "setName",	//2805
    "setName$",	//2806
    "setNegativeMonetarySignPosition",	//2807
    "setNegativeMonetarySignPosition$",	//2808
    "setNegativePrefixCurrencySymbol",	//2809
    "setNegativePrefixCurrencySymbol$",	//2810
    "setNegativeSign",	//2811
    "setNegativeSign$",	//2812
    "setNextOpenMode",	//2813
    "setNextOpenMode$",	//2814
    "setOrganizationDomain",	//2815
    "setOrganizationDomain#",	//2816
    "setOrigFileName",	//2817
    "setOrigFileName#",	//2818
    "setOtherText",	//2819
    "setOtherText#",	//2820
    "setOutBuffer",	//2821
    "setOutBuffer$$",	//2822
    "setOutputChannelMode",	//2823
    "setOutputChannelMode$",	//2824
    "setPageSize",	//2825
    "setPageSize$",	//2826
    "setPass",	//2827
    "setPass$",	//2828
    "setPath",	//2829
    "setPath$",	//2830
    "setPercent",	//2831
    "setPercent$",	//2832
    "setPhases",	//2833
    "setPhases?$",	//2834
    "setPluginEnabled",	//2835
    "setPluginEnabled$",	//2836
    "setPositiveMonetarySignPosition",	//2837
    "setPositiveMonetarySignPosition$",	//2838
    "setPositivePrefixCurrencySymbol",	//2839
    "setPositivePrefixCurrencySymbol$",	//2840
    "setPositiveSign",	//2841
    "setPositiveSign$",	//2842
    "setPrefix",	//2843
    "setPrefix$",	//2844
    "setPrivateKey",	//2845
    "setPrivateKey#",	//2846
    "setPrivateKey$",	//2847
    "setPrivateKey$$",	//2848
    "setPrivateKey$$$",	//2849
    "setPrivateKey$$$#",	//2850
    "setProberType",	//2851
    "setProberType$",	//2852
    "setProcessedAmount",	//2853
    "setProcessedAmount$$",	//2854
    "setProductName",	//2855
    "setProductName#",	//2856
    "setProgram",	//2857
    "setProgram$",	//2858
    "setProgram$?",	//2859
    "setProgram?",	//2860
    "setProgramIconName",	//2861
    "setProgramIconName$",	//2862
    "setProgramLogo",	//2863
    "setProgramLogo#",	//2864
    "setProgramName",	//2865
    "setProgramName#",	//2866
    "setProperty",	//2867
    "setProperty#",	//2868
    "setProtocol",	//2869
    "setProtocol$",	//2870
    "setProxy",	//2871
    "setProxy#",	//2872
    "setQuery",	//2873
    "setQuery$",	//2874
    "setReadBufferSize",	//2875
    "setReadBufferSize$",	//2876
    "setReadDefaults",	//2877
    "setReadDefaults$",	//2878
    "setRef",	//2879
    "setRef$",	//2880
    "setSecondOccurrence",	//2881
    "setSecondOccurrence$",	//2882
    "setSeed",	//2883
    "setSeed$",	//2884
    "setServiceOffersOffset",	//2885
    "setServiceOffersOffset$",	//2886
    "setSharedConfig",	//2887
    "setSharedConfig?",	//2888
    "setShellCommand",	//2889
    "setShellCommand$",	//2890
    "setShortDescription",	//2891
    "setShortDescription#",	//2892
    "setShowEmptyMenu",	//2893
    "setShowEmptyMenu$",	//2894
    "setShowInlineHeader",	//2895
    "setShowInlineHeader$",	//2896
    "setSimulatedSystemTime",	//2897
    "setSimulatedSystemTime#",	//2898
    "setSkipHeaders",	//2899
    "setSocketOption",	//2900
    "setSocketOption$#",	//2901
    "setSpeller",	//2902
    "setSpeller#",	//2903
    "setStaleTime",	//2904
    "setStaleTime$",	//2905
    "setStartPhase",	//2906
    "setStartPhase$",	//2907
    "setSuffix",	//2908
    "setSuffix$",	//2909
    "setTerminal",	//2910
    "setTerminal$",	//2911
    "setTerminalOptions",	//2912
    "setTerminalOptions$",	//2913
    "setText",	//2914
    "setText$",	//2915
    "setThousandsSeparator",	//2916
    "setThousandsSeparator$",	//2917
    "setTime",	//2918
    "setTime#",	//2919
    "setTimeFormat",	//2920
    "setTimeFormat$",	//2921
    "setTimeSpec",	//2922
    "setTimeSpec#",	//2923
    "setTime_t",	//2924
    "setTime_t$",	//2925
    "setToolTip",	//2926
    "setToolTip$",	//2927
    "setTotalAmount",	//2928
    "setTotalAmount$$",	//2929
    "setTransitions",	//2930
    "setTransitions?",	//2931
    "setTranslator",	//2932
    "setTranslator##",	//2933
    "setType",	//2934
    "setType#",	//2935
    "setType$",	//2936
    "setType$$",	//2937
    "setUiDelegate",	//2938
    "setUiDelegate#",	//2939
    "setUser",	//2940
    "setUser$",	//2941
    "setVersion",	//2942
    "setVersion#",	//2943
    "setVisibleName",	//2944
    "setVisibleName$",	//2945
    "setWeekDayOfPray",	//2946
    "setWeekDayOfPray$",	//2947
    "setWeekStartDay",	//2948
    "setWeekStartDay$",	//2949
    "setWhatsThis",	//2950
    "setWhatsThis$",	//2951
    "setWorkingWeekEndDay",	//2952
    "setWorkingWeekEndDay$",	//2953
    "setWorkingWeekStartDay",	//2954
    "setWorkingWeekStartDay$",	//2955
    "setYMD",	//2956
    "setYMD#$$$",	//2957
    "setupChildProcess",	//2958
    "setupTranslations",	//2959
    "sharedMimeInfoVersion",	//2960
    "shell",	//2961
    "shortDescription",	//2962
    "showEmptyMenu",	//2963
    "showErrorMessage",	//2964
    "showFilePreview",	//2965
    "showFilePreview$",	//2966
    "showInKDE",	//2967
    "showInlineHeader",	//2968
    "simpleBackupFile",	//2969
    "simpleBackupFile$",	//2970
    "simpleBackupFile$$",	//2971
    "simpleBackupFile$$$",	//2972
    "size",	//2973
    "slotEngineDone",	//2974
    "slotInfoMessage",	//2975
    "slotInfoMessage#$$",	//2976
    "slotResult",	//2977
    "slotResult#",	//2978
    "slotWarning",	//2979
    "slotWarning#$$",	//2980
    "socketOption",	//2981
    "socketOption$",	//2982
    "sortOrder",	//2983
    "source",	//2984
    "speed",	//2985
    "speed#$",	//2986
    "speller",	//2987
    "split",	//2988
    "split#",	//2989
    "split$",	//2990
    "splitArgs",	//2991
    "splitArgs$",	//2992
    "splitArgs$$",	//2993
    "splitArgs$$$",	//2994
    "splitLocale",	//2995
    "splitLocale$$$$$",	//2996
    "sslErrors",	//2997
    "sslErrors?",	//2998
    "staleFiles",	//2999
    "staleFiles#",	//3000
    "staleFiles#$",	//3001
    "staleTime",	//3002
    "start",	//3003
    "startAfter",	//3004
    "startClientEncryption",	//3005
    "startDetached",	//3006
    "startDetached$",	//3007
    "startDetached$?",	//3008
    "startDetached?",	//3009
    "startParseBlock",	//3010
    "startPhase",	//3011
    "startServiceByDesktopName",	//3012
    "startServiceByDesktopName$",	//3013
    "startServiceByDesktopName$$",	//3014
    "startServiceByDesktopName$$$",	//3015
    "startServiceByDesktopName$$$$",	//3016
    "startServiceByDesktopName$$$$$",	//3017
    "startServiceByDesktopName$$$$$#",	//3018
    "startServiceByDesktopName$$$$$#$",	//3019
    "startServiceByDesktopName$?",	//3020
    "startServiceByDesktopName$?$",	//3021
    "startServiceByDesktopName$?$$",	//3022
    "startServiceByDesktopName$?$$$",	//3023
    "startServiceByDesktopName$?$$$#",	//3024
    "startServiceByDesktopName$?$$$#$",	//3025
    "startServiceByDesktopPath",	//3026
    "startServiceByDesktopPath$",	//3027
    "startServiceByDesktopPath$$",	//3028
    "startServiceByDesktopPath$$$",	//3029
    "startServiceByDesktopPath$$$$",	//3030
    "startServiceByDesktopPath$$$$$",	//3031
    "startServiceByDesktopPath$$$$$#",	//3032
    "startServiceByDesktopPath$$$$$#$",	//3033
    "startServiceByDesktopPath$?",	//3034
    "startServiceByDesktopPath$?$",	//3035
    "startServiceByDesktopPath$?$$",	//3036
    "startServiceByDesktopPath$?$$$",	//3037
    "startServiceByDesktopPath$?$$$#",	//3038
    "startServiceByDesktopPath$?$$$#$",	//3039
    "startServiceByName",	//3040
    "startServiceByName$",	//3041
    "startServiceByName$$",	//3042
    "startServiceByName$$$",	//3043
    "startServiceByName$$$$",	//3044
    "startServiceByName$$$$$",	//3045
    "startServiceByName$$$$$#",	//3046
    "startServiceByName$$$$$#$",	//3047
    "startServiceByName$?",	//3048
    "startServiceByName$?$",	//3049
    "startServiceByName$?$$",	//3050
    "startServiceByName$?$$$",	//3051
    "startServiceByName$?$$$#",	//3052
    "startServiceByName$?$$$#$",	//3053
    "start_service_by_desktop_name",	//3054
    "start_service_by_desktop_name$??$$$$$",	//3055
    "start_service_by_desktop_path",	//3056
    "start_service_by_desktop_path$??$$$$$",	//3057
    "start_service_by_name",	//3058
    "start_service_by_name$??$$$$$",	//3059
    "state",	//3060
    "stateChanged",	//3061
    "stateChanged$",	//3062
    "staticInterfaceName",	//3063
    "staticMetaObject",	//3064
    "staticQString",	//3065
    "staticQString$",	//3066
    "status",	//3067
    "statusChanged",	//3068
    "statusChanged$",	//3069
    "stop",	//3070
    "stop$",	//3071
    "storageId",	//3072
    "storeReplacement",	//3073
    "storeReplacement$$",	//3074
    "stream",	//3075
    "stringListToVariantList",	//3076
    "stringListToVariantList?",	//3077
    "subjobs",	//3078
    "subs",	//3079
    "subs#",	//3080
    "subs#$",	//3081
    "subs#$#",	//3082
    "subs$",	//3083
    "subs$$",	//3084
    "subs$$#",	//3085
    "subs$$$",	//3086
    "subs$$$#",	//3087
    "subs$$$$",	//3088
    "subs$$$$#",	//3089
    "substituteUid",	//3090
    "subunitSymbol",	//3091
    "subunitsPerUnit",	//3092
    "succeeded",	//3093
    "suggest",	//3094
    "suggest$",	//3095
    "supportedBits",	//3096
    "supportedCiphers",	//3097
    "suppressGenericNames",	//3098
    "suspend",	//3099
    "suspended",	//3100
    "suspended#",	//3101
    "swapDefault",	//3102
    "sycocaType",	//3103
    "symbolList",	//3104
    "sync",	//3105
    "synchronousConnectToHost",	//3106
    "synchronousConnectToHost#",	//3107
    "synchronousConnectToHost##",	//3108
    "synchronousConnectToHost##$",	//3109
    "synchronousConnectToHost#$",	//3110
    "synchronousConnectToHost#$#",	//3111
    "synchronousConnectToHost#$$$",	//3112
    "synchronousConnectToHost#$$$$",	//3113
    "synchronousConnectToHost$$$",	//3114
    "synchronousConnectToHost$$$$",	//3115
    "synchronousConnectToHost$$$$#",	//3116
    "systemPaths",	//3117
    "systemPaths$",	//3118
    "tagUrls",	//3119
    "tagUrls$",	//3120
    "task",	//3121
    "terminal",	//3122
    "terminalOptions",	//3123
    "terminate",	//3124
    "testAttribute",	//3125
    "testAttribute$",	//3126
    "text",	//3127
    "thousandsSeparator",	//3128
    "tildeExpand",	//3129
    "tildeExpand$",	//3130
    "time",	//3131
    "timeFormat",	//3132
    "timeSpec",	//3133
    "timeStamp",	//3134
    "timeType",	//3135
    "timeZone",	//3136
    "timeZones",	//3137
    "timerEvent",	//3138
    "toClockTime",	//3139
    "toDer",	//3140
    "toEntity",	//3141
    "toEntity#",	//3142
    "toLocalFile",	//3143
    "toLocalFile$",	//3144
    "toLocalZone",	//3145
    "toMimeDataString",	//3146
    "toOffsetFromUtc",	//3147
    "toOffsetFromUtc$",	//3148
    "toString",	//3149
    "toString#",	//3150
    "toString#$",	//3151
    "toString$",	//3152
    "toTimeSpec",	//3153
    "toTimeSpec#",	//3154
    "toTime_t",	//3155
    "toTime_t#",	//3156
    "toUtc",	//3157
    "toUtc#",	//3158
    "toZone",	//3159
    "toZone#",	//3160
    "toZoneTime",	//3161
    "toZoneTime#",	//3162
    "toZoneTime#$",	//3163
    "toolTip",	//3164
    "totalAmount",	//3165
    "totalAmount#$$",	//3166
    "totalAmount$",	//3167
    "tr",	//3168
    "tr$",	//3169
    "tr$$",	//3170
    "tr$$$",	//3171
    "tr2i18n",	//3172
    "tr2i18n$",	//3173
    "tr2i18n$$",	//3174
    "trUtf8",	//3175
    "trUtf8$",	//3176
    "trUtf8$$",	//3177
    "trUtf8$$$",	//3178
    "transform",	//3179
    "transform$",	//3180
    "transition",	//3181
    "transition#",	//3182
    "transition#?",	//3183
    "transition#?$",	//3184
    "transitionIndex",	//3185
    "transitionIndex#",	//3186
    "transitionIndex#$",	//3187
    "transitionIndex#$$",	//3188
    "transitionTimes",	//3189
    "transitionTimes#",	//3190
    "transitionTimes##",	//3191
    "transitionTimes###",	//3192
    "transitions",	//3193
    "transitions#",	//3194
    "transitions##",	//3195
    "translateInternalProgramName",	//3196
    "translateQt",	//3197
    "translateQt$$$",	//3198
    "translateRaw",	//3199
    "translateRaw$$$",	//3200
    "translateRaw$$$$",	//3201
    "translateRaw$$$$$",	//3202
    "translateRaw$$$$$$",	//3203
    "translateRawFrom",	//3204
    "translateRawFrom$$$$",	//3205
    "translateRawFrom$$$$$",	//3206
    "translateRawFrom$$$$$$",	//3207
    "translateRawFrom$$$$$$$",	//3208
    "translators",	//3209
    "tryExec",	//3210
    "type",	//3211
    "uiDelegate",	//3212
    "uid",	//3213
    "umask",	//3214
    "unambiguousSymbol",	//3215
    "uncompress",	//3216
    "unlink",	//3217
    "unload",	//3218
    "unloadLibrary",	//3219
    "unloadLibrary$",	//3220
    "unlock",	//3221
    "unregisterJob",	//3222
    "unregisterJob#",	//3223
    "unsetCustomAuthorText",	//3224
    "unsetEnv",	//3225
    "unsetEnv$",	//3226
    "untranslatedGenericName",	//3227
    "upUrl",	//3228
    "update",	//3229
    "update#",	//3230
    "update$",	//3231
    "update$$",	//3232
    "updateBase",	//3233
    "updateBase#",	//3234
    "updateSignature",	//3235
    "url",	//3236
    "url$",	//3237
    "usage",	//3238
    "usage#",	//3239
    "usageError",	//3240
    "usageError$",	//3241
    "use12Clock",	//3242
    "useDefaults",	//3243
    "useDefaults$",	//3244
    "useTranscript",	//3245
    "useZoneParse",	//3246
    "usedBits",	//3247
    "user",	//3248
    "userNames",	//3249
    "userSpecifiedIconName",	//3250
    "username",	//3251
    "users",	//3252
    "usrReadConfig",	//3253
    "usrSetDefaults",	//3254
    "usrUseDefaults",	//3255
    "usrUseDefaults$",	//3256
    "usrWriteConfig",	//3257
    "utc",	//3258
    "utcOffset",	//3259
    "utcOffsets",	//3260
    "uudecode",	//3261
    "uudecode#",	//3262
    "uudecode##",	//3263
    "uuencode",	//3264
    "uuencode#",	//3265
    "uuencode##",	//3266
    "variantListToStringList",	//3267
    "variantListToStringList?",	//3268
    "verify",	//3269
    "verify#",	//3270
    "verify$",	//3271
    "version",	//3272
    "versionMajor",	//3273
    "versionMinor",	//3274
    "versionRelease",	//3275
    "versionString",	//3276
    "visibleName",	//3277
    "visuallyOrdered",	//3278
    "waitForBytesWritten",	//3279
    "waitForBytesWritten$",	//3280
    "waitForConnected",	//3281
    "waitForConnected$",	//3282
    "waitForDisconnected",	//3283
    "waitForDisconnected$",	//3284
    "waitForEncrypted",	//3285
    "waitForEncrypted$",	//3286
    "waitForNewConnection",	//3287
    "waitForNewConnection$",	//3288
    "waitForNewConnection$$",	//3289
    "waitForReadyRead",	//3290
    "waitForReadyRead$",	//3291
    "waitForSlave",	//3292
    "waitForSlave$",	//3293
    "warning",	//3294
    "warning#$",	//3295
    "warning#$$",	//3296
    "watcher",	//3297
    "watcher$",	//3298
    "webAddress",	//3299
    "website",	//3300
    "weekDayName",	//3301
    "weekDayName#",	//3302
    "weekDayName#$",	//3303
    "weekDayName$",	//3304
    "weekDayName$$",	//3305
    "weekDayOfPray",	//3306
    "weekNumber",	//3307
    "weekNumber#",	//3308
    "weekNumber#$",	//3309
    "weekNumberString",	//3310
    "weekNumberString#",	//3311
    "weekNumberString#$",	//3312
    "weekStartDay",	//3313
    "weeksInYear",	//3314
    "weeksInYear#",	//3315
    "weeksInYear$",	//3316
    "weeksInYearString",	//3317
    "weeksInYearString#",	//3318
    "weeksInYearString#$",	//3319
    "whatsThis",	//3320
    "windowRegistered",	//3321
    "windowRegistered$",	//3322
    "windowUnregistered",	//3323
    "windowUnregistered$",	//3324
    "workingWeekEndDay",	//3325
    "workingWeekStartDay",	//3326
    "writeConfig",	//3327
    "writeConfig#",	//3328
    "writeData",	//3329
    "writeData$$",	//3330
    "writeEntry",	//3331
    "writeEntry$#",	//3332
    "writeEntry$#$",	//3333
    "writeEntry$$",	//3334
    "writeEntry$$$",	//3335
    "writeEntry$?",	//3336
    "writeEntry$?$",	//3337
    "writeHeader",	//3338
    "writeHeader#",	//3339
    "writePathEntry",	//3340
    "writePathEntry$$",	//3341
    "writePathEntry$$$",	//3342
    "writePathEntry$?",	//3343
    "writePathEntry$?$",	//3344
    "writeXdgListEntry",	//3345
    "writeXdgListEntry$?",	//3346
    "writeXdgListEntry$?$",	//3347
    "year",	//3348
    "year#",	//3349
    "yearInEra",	//3350
    "yearInEra#",	//3351
    "yearInEraString",	//3352
    "yearInEraString#",	//3353
    "yearInEraString#$",	//3354
    "yearString",	//3355
    "yearString#",	//3356
    "yearString#$",	//3357
    "yearStringToInteger",	//3358
    "yearStringToInteger$$",	//3359
    "yearsDifference",	//3360
    "yearsDifference##",	//3361
    "zone",	//3362
    "zone$",	//3363
    "zoneinfoDir",	//3364
    "zones",	//3365
    "~Action",	//3366
    "~ActionReply",	//3367
    "~ActionWatcher",	//3368
    "~BackgroundChecker",	//3369
    "~Choice",	//3370
    "~Choice2",	//3371
    "~ExtraField",	//3372
    "~ItemBool",	//3373
    "~ItemDateTime",	//3374
    "~ItemDouble",	//3375
    "~ItemEnum",	//3376
    "~ItemInt",	//3377
    "~ItemIntList",	//3378
    "~ItemLongLong",	//3379
    "~ItemPassword",	//3380
    "~ItemPath",	//3381
    "~ItemPathList",	//3382
    "~ItemPoint",	//3383
    "~ItemProperty",	//3384
    "~ItemRect",	//3385
    "~ItemSize",	//3386
    "~ItemString",	//3387
    "~ItemStringList",	//3388
    "~ItemUInt",	//3389
    "~ItemULongLong",	//3390
    "~ItemUrl",	//3391
    "~ItemUrlList",	//3392
    "~KAboutData",	//3393
    "~KAboutLicense",	//3394
    "~KAboutPerson",	//3395
    "~KAutoSaveFile",	//3396
    "~KAutostart",	//3397
    "~KCalendarSystem",	//3398
    "~KCharMacroExpander",	//3399
    "~KCharsets",	//3400
    "~KCmdLineArgs",	//3401
    "~KCmdLineOptions",	//3402
    "~KComponentData",	//3403
    "~KCompositeJob",	//3404
    "~KConfig",	//3405
    "~KConfigBase",	//3406
    "~KConfigGroup",	//3407
    "~KConfigSkeletonItem",	//3408
    "~KCoreConfigSkeleton",	//3409
    "~KCurrencyCode",	//3410
    "~KDEDModule",	//3411
    "~KDEPluginVerificationData",	//3412
    "~KDateTime",	//3413
    "~KDebug",	//3414
    "~KDebugTag",	//3415
    "~KDesktopFile",	//3416
    "~KEncodingDetector",	//3417
    "~KEncodingProber",	//3418
    "~KFilterBase",	//3419
    "~KFilterDev",	//3420
    "~KJob",	//3421
    "~KJobTrackerInterface",	//3422
    "~KJobUiDelegate",	//3423
    "~KLibrary",	//3424
    "~KLocalSocket",	//3425
    "~KLocalSocketServer",	//3426
    "~KLocale",	//3427
    "~KLocalizedString",	//3428
    "~KLockFile",	//3429
    "~KMD5",	//3430
    "~KMacroExpanderBase",	//3431
    "~KMessageHandler",	//3432
    "~KMimeType",	//3433
    "~KMimeTypeTrader",	//3434
    "~KPluginFactory",	//3435
    "~KPluginInfo",	//3436
    "~KPluginLoader",	//3437
    "~KProcess",	//3438
    "~KProtocolInfo",	//3439
    "~KRandomSequence",	//3440
    "~KSaveFile",	//3441
    "~KService",	//3442
    "~KServiceAction",	//3443
    "~KServiceGroup",	//3444
    "~KServiceType",	//3445
    "~KServiceTypeTrader",	//3446
    "~KSharedConfig",	//3447
    "~KSslCipher",	//3448
    "~KSslError",	//3449
    "~KSslErrorUiData",	//3450
    "~KSslKey",	//3451
    "~KStandardDirs",	//3452
    "~KSycoca",	//3453
    "~KSycocaEntry",	//3454
    "~KSystemTimeZone",	//3455
    "~KSystemTimeZoneBackend",	//3456
    "~KSystemTimeZoneSource",	//3457
    "~KSystemTimeZones",	//3458
    "~KTcpSocket",	//3459
    "~KTempDir",	//3460
    "~KTemporaryFile",	//3461
    "~KTimeZone",	//3462
    "~KTimeZoneBackend",	//3463
    "~KTimeZoneData",	//3464
    "~KTimeZoneSource",	//3465
    "~KTimeZones",	//3466
    "~KToolInvocation",	//3467
    "~KTzfileTimeZone",	//3468
    "~KTzfileTimeZoneBackend",	//3469
    "~KTzfileTimeZoneSource",	//3470
    "~KUrl",	//3471
    "~KUser",	//3472
    "~KUserGroup",	//3473
    "~KWordMacroExpander",	//3474
    "~LeapSeconds",	//3475
    "~OrgKdeKLauncherInterface",	//3476
    "~Phase",	//3477
    "~Spec",	//3478
    "~Speller",	//3479
    "~Transition",	//3480
    "~kndbgstream",	//3481
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 258, 1, 10, Smoke::mf_ctor, 4, 1},	//1 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&)
    {1, 258, 12, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 4, 2},	//2 KAboutData::KAboutData(const KAboutData&)
    {1, 2185, 12, 1, 0, 3, 3},	//3 KAboutData::operator=(const KAboutData&)
    {1, 842, 14, 4, 0, 3, 4},	//4 KAboutData::addAuthor(const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&)
    {1, 858, 14, 4, 0, 3, 5},	//5 KAboutData::addCredit(const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&)
    {1, 2932, 19, 2, 0, 3, 6},	//6 KAboutData::setTranslator(const KLocalizedString&, const KLocalizedString&)
    {1, 2705, 22, 1, 0, 3, 7},	//7 KAboutData::setLicenseText(const KLocalizedString&)
    {1, 951, 22, 1, 0, 3, 8},	//8 KAboutData::addLicenseText(const KLocalizedString&)
    {1, 2707, 24, 1, 0, 3, 9},	//9 KAboutData::setLicenseTextFile(const QString&)
    {1, 953, 24, 1, 0, 3, 10},	//10 KAboutData::addLicenseTextFile(const QString&)
    {1, 2531, 26, 1, 0, 3, 11},	//11 KAboutData::setAppName(const QByteArray&)
    {1, 2865, 22, 1, 0, 3, 12},	//12 KAboutData::setProgramName(const KLocalizedString&)
    {1, 2861, 24, 1, 0, 3, 13},	//13 KAboutData::setProgramIconName(const QString&)
    {1, 2863, 28, 1, 0, 3, 14},	//14 KAboutData::setProgramLogo(const QVariant&)
    {1, 2942, 26, 1, 0, 3, 15},	//15 KAboutData::setVersion(const QByteArray&)
    {1, 2891, 22, 1, 0, 3, 16},	//16 KAboutData::setShortDescription(const KLocalizedString&)
    {1, 2560, 26, 1, 0, 3, 17},	//17 KAboutData::setCatalogName(const QByteArray&)
    {1, 2703, 30, 1, 0, 3, 18},	//18 KAboutData::setLicense(KAboutData::LicenseKey)
    {1, 949, 30, 1, 0, 3, 19},	//19 KAboutData::addLicense(KAboutData::LicenseKey)
    {1, 2574, 22, 1, 0, 3, 20},	//20 KAboutData::setCopyrightStatement(const KLocalizedString&)
    {1, 2819, 22, 1, 0, 3, 21},	//21 KAboutData::setOtherText(const KLocalizedString&)
    {1, 2677, 26, 1, 0, 3, 22},	//22 KAboutData::setHomepage(const QByteArray&)
    {1, 2552, 26, 1, 0, 3, 23},	//23 KAboutData::setBugAddress(const QByteArray&)
    {1, 2815, 26, 1, 0, 3, 24},	//24 KAboutData::setOrganizationDomain(const QByteArray&)
    {1, 2855, 26, 1, 0, 3, 25},	//25 KAboutData::setProductName(const QByteArray&)
    {1, 1026, 0, 0, Smoke::mf_const, 405, 26},	//26 KAboutData::appName() const
    {1, 2284, 0, 0, Smoke::mf_const, 405, 27},	//27 KAboutData::productName() const
    {1, 2288, 0, 0, Smoke::mf_const, 405, 28},	//28 KAboutData::programName() const
    {1, 2216, 0, 0, Smoke::mf_const, 405, 29},	//29 KAboutData::organizationDomain() const
    {1, 1742, 0, 0, Smoke::mf_const, 699, 30},	//30 KAboutData::internalProgramName() const
    {1, 3196, 0, 0, Smoke::mf_const, 0, 31},	//31 KAboutData::translateInternalProgramName() const
    {1, 2286, 0, 0, Smoke::mf_const, 405, 32},	//32 KAboutData::programIconName() const
    {1, 2287, 0, 0, Smoke::mf_const, 429, 33},	//33 KAboutData::programLogo() const
    {1, 3272, 0, 0, Smoke::mf_const, 405, 34},	//34 KAboutData::version() const
    {1, 1743, 0, 0, Smoke::mf_const, 699, 35},	//35 KAboutData::internalVersion() const
    {1, 2962, 0, 0, Smoke::mf_const, 405, 36},	//36 KAboutData::shortDescription() const
    {1, 1102, 0, 0, Smoke::mf_const, 405, 37},	//37 KAboutData::catalogName() const
    {1, 1700, 0, 0, Smoke::mf_const, 405, 38},	//38 KAboutData::homepage() const
    {1, 1078, 0, 0, Smoke::mf_const, 405, 39},	//39 KAboutData::bugAddress() const
    {1, 1741, 0, 0, Smoke::mf_const, 699, 40},	//40 KAboutData::internalBugAddress() const
    {1, 1046, 0, 0, Smoke::mf_const, 352, 41},	//41 KAboutData::authors() const
    {1, 1215, 0, 0, Smoke::mf_const, 352, 42},	//42 KAboutData::credits() const
    {1, 3209, 0, 0, Smoke::mf_const, 352, 43},	//43 KAboutData::translators() const
    {1, 822, 0, 0, Smoke::mf_static, 405, 44},	//44 KAboutData::aboutTranslationTeam()
    {1, 2217, 0, 0, Smoke::mf_const, 405, 45},	//45 KAboutData::otherText() const
    {1, 1958, 0, 0, Smoke::mf_const, 405, 46},	//46 KAboutData::license() const
    {1, 1959, 32, 1, Smoke::mf_const, 405, 47},	//47 KAboutData::licenseName(KAboutData::NameFormat) const
    {1, 1961, 0, 0, Smoke::mf_const, 351, 48},	//48 KAboutData::licenses() const
    {1, 1194, 0, 0, Smoke::mf_const, 405, 49},	//49 KAboutData::copyrightStatement() const
    {1, 1236, 0, 0, Smoke::mf_const, 405, 50},	//50 KAboutData::customAuthorPlainText() const
    {1, 1237, 0, 0, Smoke::mf_const, 405, 51},	//51 KAboutData::customAuthorRichText() const
    {1, 1238, 0, 0, Smoke::mf_const, 519, 52},	//52 KAboutData::customAuthorTextEnabled() const
    {1, 2584, 19, 2, 0, 3, 53},	//53 KAboutData::setCustomAuthorText(const KLocalizedString&, const KLocalizedString&)
    {1, 3224, 0, 0, 0, 3, 54},	//54 KAboutData::unsetCustomAuthorText()
    {1, 258, 34, 4, Smoke::mf_ctor, 4, 55},	//55 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&)
    {1, 258, 39, 5, Smoke::mf_ctor, 4, 56},	//56 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&)
    {1, 258, 45, 6, Smoke::mf_ctor, 4, 57},	//57 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey)
    {1, 258, 52, 7, Smoke::mf_ctor, 4, 58},	//58 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&)
    {1, 258, 60, 8, Smoke::mf_ctor, 4, 59},	//59 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&)
    {1, 258, 69, 9, Smoke::mf_ctor, 4, 60},	//60 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&, const QByteArray&)
    {1, 842, 22, 1, 0, 3, 61},	//61 KAboutData::addAuthor(const KLocalizedString&)
    {1, 842, 19, 2, 0, 3, 62},	//62 KAboutData::addAuthor(const KLocalizedString&, const KLocalizedString&)
    {1, 842, 79, 3, 0, 3, 63},	//63 KAboutData::addAuthor(const KLocalizedString&, const KLocalizedString&, const QByteArray&)
    {1, 858, 22, 1, 0, 3, 64},	//64 KAboutData::addCredit(const KLocalizedString&)
    {1, 858, 19, 2, 0, 3, 65},	//65 KAboutData::addCredit(const KLocalizedString&, const KLocalizedString&)
    {1, 858, 79, 3, 0, 3, 66},	//66 KAboutData::addCredit(const KLocalizedString&, const KLocalizedString&, const QByteArray&)
    {1, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 67},	//67 KAboutData::License_Custom (enum)
    {1, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 68},	//68 KAboutData::License_File (enum)
    {1, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 69},	//69 KAboutData::License_Unknown (enum)
    {1, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 70},	//70 KAboutData::License_GPL (enum)
    {1, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 71},	//71 KAboutData::License_GPL_V2 (enum)
    {1, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 72},	//72 KAboutData::License_LGPL (enum)
    {1, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 73},	//73 KAboutData::License_LGPL_V2 (enum)
    {1, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 74},	//74 KAboutData::License_BSD (enum)
    {1, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 75},	//75 KAboutData::License_Artistic (enum)
    {1, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 76},	//76 KAboutData::License_QPL (enum)
    {1, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 77},	//77 KAboutData::License_QPL_V1_0 (enum)
    {1, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 78},	//78 KAboutData::License_GPL_V3 (enum)
    {1, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 79},	//79 KAboutData::License_LGPL_V3 (enum)
    {1, 699, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 80},	//80 KAboutData::ShortName (enum)
    {1, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 81},	//81 KAboutData::FullName (enum)
    {1, 3393, 0, 0, Smoke::mf_dtor, 0, 82 },	//82 KAboutData::~KAboutData()
    {2, 267, 83, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 9, 1},	//83 KAboutLicense::KAboutLicense(const KAboutLicense&)
    {2, 2185, 83, 1, 0, 8, 2},	//84 KAboutLicense::operator=(const KAboutLicense&)
    {2, 3127, 0, 0, Smoke::mf_const, 405, 3},	//85 KAboutLicense::text() const
    {2, 2089, 32, 1, Smoke::mf_const, 405, 4},	//86 KAboutLicense::name(KAboutData::NameFormat) const
    {2, 1917, 0, 0, Smoke::mf_const, 5, 5},	//87 KAboutLicense::key() const
    {2, 1079, 24, 1, Smoke::mf_static, 7, 6},	//88 KAboutLicense::byKeyword(const QString&)
    {2, 3394, 0, 0, Smoke::mf_dtor, 0, 7 },	//89 KAboutLicense::~KAboutLicense()
    {3, 269, 14, 4, Smoke::mf_ctor, 11, 1},	//90 KAboutPerson::KAboutPerson(const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&)
    {3, 269, 85, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 11, 2},	//91 KAboutPerson::KAboutPerson(const KAboutPerson&)
    {3, 2185, 85, 1, 0, 10, 3},	//92 KAboutPerson::operator=(const KAboutPerson&)
    {3, 2089, 0, 0, Smoke::mf_const, 405, 4},	//93 KAboutPerson::name() const
    {3, 3121, 0, 0, Smoke::mf_const, 405, 5},	//94 KAboutPerson::task() const
    {3, 1386, 0, 0, Smoke::mf_const, 405, 6},	//95 KAboutPerson::emailAddress() const
    {3, 3299, 0, 0, Smoke::mf_const, 405, 7},	//96 KAboutPerson::webAddress() const
    {3, 269, 22, 1, Smoke::mf_ctor, 11, 8},	//97 KAboutPerson::KAboutPerson(const KLocalizedString&)
    {3, 269, 19, 2, Smoke::mf_ctor, 11, 9},	//98 KAboutPerson::KAboutPerson(const KLocalizedString&, const KLocalizedString&)
    {3, 269, 79, 3, Smoke::mf_ctor, 11, 10},	//99 KAboutPerson::KAboutPerson(const KLocalizedString&, const KLocalizedString&, const QByteArray&)
    {3, 3395, 0, 0, Smoke::mf_dtor, 0, 11 },	//100 KAboutPerson::~KAboutPerson()
    {4, 4, 0, 0, Smoke::mf_ctor, 13, 1},	//101 KAuth::Action::Action()
    {4, 4, 87, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 13, 2},	//102 KAuth::Action::Action(const KAuth::Action&)
    {4, 4, 24, 1, Smoke::mf_ctor, 13, 3},	//103 KAuth::Action::Action(const QString&)
    {4, 4, 89, 2, Smoke::mf_ctor, 13, 4},	//104 KAuth::Action::Action(const QString&, const QString&)
    {4, 2185, 87, 1, 0, 12, 5},	//105 KAuth::Action::operator=(const KAuth::Action&)
    {4, 2188, 87, 1, Smoke::mf_const, 519, 6},	//106 KAuth::Action::operator==(const KAuth::Action&) const
    {4, 2145, 87, 1, Smoke::mf_const, 519, 7},	//107 KAuth::Action::operator!=(const KAuth::Action&) const
    {4, 2089, 0, 0, Smoke::mf_const, 405, 8},	//108 KAuth::Action::name() const
    {4, 2805, 24, 1, 0, 0, 9},	//109 KAuth::Action::setName(const QString&)
    {4, 2625, 24, 1, 0, 0, 10},	//110 KAuth::Action::setDetails(const QString&)
    {4, 1350, 0, 0, Smoke::mf_const, 405, 11},	//111 KAuth::Action::details() const
    {4, 1864, 0, 0, Smoke::mf_const, 519, 12},	//112 KAuth::Action::isValid() const
    {4, 1696, 0, 0, Smoke::mf_const, 405, 13},	//113 KAuth::Action::helperID() const
    {4, 2675, 24, 1, 0, 0, 14},	//114 KAuth::Action::setHelperID(const QString&)
    {4, 1668, 0, 0, Smoke::mf_const, 519, 15},	//115 KAuth::Action::hasHelper() const
    {4, 3297, 0, 0, 0, 20, 16},	//116 KAuth::Action::watcher()
    {4, 2533, 92, 1, 0, 0, 17},	//117 KAuth::Action::setArguments(const QMap<QString,QVariant>&)
    {4, 1032, 0, 0, Smoke::mf_const, 386, 18},	//118 KAuth::Action::arguments() const
    {4, 840, 94, 2, 0, 0, 19},	//119 KAuth::Action::addArgument(const QString&, const QVariant&)
    {4, 1036, 0, 0, Smoke::mf_const, 14, 20},	//120 KAuth::Action::authorize() const
    {4, 1384, 0, 0, Smoke::mf_const, 14, 21},	//121 KAuth::Action::earlyAuthorize() const
    {4, 3067, 0, 0, Smoke::mf_const, 14, 22},	//122 KAuth::Action::status() const
    {4, 1452, 0, 0, Smoke::mf_const, 15, 23},	//123 KAuth::Action::execute() const
    {4, 1452, 24, 1, Smoke::mf_const, 15, 24},	//124 KAuth::Action::execute(const QString&) const
    {4, 2654, 97, 1, 0, 0, 25},	//125 KAuth::Action::setExecutesAsync(bool)
    {4, 1460, 0, 0, Smoke::mf_const, 519, 26},	//126 KAuth::Action::executesAsync() const
    {4, 1458, 99, 3, Smoke::mf_static, 519, 27},	//127 KAuth::Action::executeActions(const QList<KAuth::Action>&, QList<KAuth::Action>*, const QString&)
    {4, 3070, 0, 0, 0, 0, 28},	//128 KAuth::Action::stop()
    {4, 3070, 24, 1, 0, 0, 29},	//129 KAuth::Action::stop(const QString&)
    {4, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 30},	//130 KAuth::Action::Denied (enum)
    {4, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 31},	//131 KAuth::Action::Error (enum)
    {4, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 32},	//132 KAuth::Action::Invalid (enum)
    {4, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 33},	//133 KAuth::Action::Authorized (enum)
    {4, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 34},	//134 KAuth::Action::AuthRequired (enum)
    {4, 791, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 35},	//135 KAuth::Action::UserCancelled (enum)
    {4, 3366, 0, 0, Smoke::mf_dtor, 0, 36 },	//136 KAuth::Action::~Action()
    {5, 8, 0, 0, Smoke::mf_ctor, 17, 1},	//137 KAuth::ActionReply::ActionReply()
    {5, 8, 103, 1, Smoke::mf_ctor, 17, 2},	//138 KAuth::ActionReply::ActionReply(KAuth::ActionReply::Type)
    {5, 8, 105, 1, Smoke::mf_ctor, 17, 3},	//139 KAuth::ActionReply::ActionReply(int)
    {5, 8, 107, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 17, 4},	//140 KAuth::ActionReply::ActionReply(const KAuth::ActionReply&)
    {5, 2588, 92, 1, 0, 0, 5},	//141 KAuth::ActionReply::setData(const QMap<QString,QVariant>&)
    {5, 1241, 0, 0, Smoke::mf_const, 386, 6},	//142 KAuth::ActionReply::data() const
    {5, 865, 94, 2, 0, 0, 7},	//143 KAuth::ActionReply::addData(const QString&, const QVariant&)
    {5, 3211, 0, 0, Smoke::mf_const, 19, 8},	//144 KAuth::ActionReply::type() const
    {5, 3093, 0, 0, Smoke::mf_const, 519, 9},	//145 KAuth::ActionReply::succeeded() const
    {5, 1488, 0, 0, Smoke::mf_const, 519, 10},	//146 KAuth::ActionReply::failed() const
    {5, 1436, 0, 0, Smoke::mf_const, 714, 11},	//147 KAuth::ActionReply::errorCode() const
    {5, 2644, 105, 1, 0, 0, 12},	//148 KAuth::ActionReply::setErrorCode(int)
    {5, 1437, 0, 0, Smoke::mf_const, 405, 13},	//149 KAuth::ActionReply::errorDescription() const
    {5, 2646, 24, 1, 0, 0, 14},	//150 KAuth::ActionReply::setErrorDescription(const QString&)
    {5, 2497, 0, 0, Smoke::mf_const, 264, 15},	//151 KAuth::ActionReply::serialized() const
    {5, 1344, 26, 1, Smoke::mf_static, 15, 16},	//152 KAuth::ActionReply::deserialize(const QByteArray&)
    {5, 2185, 107, 1, 0, 16, 17},	//153 KAuth::ActionReply::operator=(const KAuth::ActionReply&)
    {5, 2188, 107, 1, Smoke::mf_const, 519, 18},	//154 KAuth::ActionReply::operator==(const KAuth::ActionReply&) const
    {5, 2145, 107, 1, Smoke::mf_const, 519, 19},	//155 KAuth::ActionReply::operator!=(const KAuth::ActionReply&) const
    {5, 732, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 530, 20},	//156 KAuth::ActionReply::SuccessReply() const
    {5, 143, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 530, 21},	//157 KAuth::ActionReply::HelperErrorReply() const
    {5, 607, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 530, 22},	//158 KAuth::ActionReply::NoResponderReply() const
    {5, 610, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 530, 23},	//159 KAuth::ActionReply::NoSuchActionReply() const
    {5, 163, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 530, 24},	//160 KAuth::ActionReply::InvalidActionReply() const
    {5, 30, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 530, 25},	//161 KAuth::ActionReply::AuthorizationDeniedReply() const
    {5, 792, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 530, 26},	//162 KAuth::ActionReply::UserCancelledReply() const
    {5, 141, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 530, 27},	//163 KAuth::ActionReply::HelperBusyReply() const
    {5, 78, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 530, 28},	//164 KAuth::ActionReply::DBusErrorReply() const
    {5, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 29},	//165 KAuth::ActionReply::KAuthError (enum)
    {5, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 30},	//166 KAuth::ActionReply::HelperError (enum)
    {5, 731, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 31},	//167 KAuth::ActionReply::Success (enum)
    {5, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 32},	//168 KAuth::ActionReply::NoError (enum)
    {5, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 33},	//169 KAuth::ActionReply::NoResponder (enum)
    {5, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 34},	//170 KAuth::ActionReply::NoSuchAction (enum)
    {5, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 35},	//171 KAuth::ActionReply::InvalidAction (enum)
    {5, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 36},	//172 KAuth::ActionReply::AuthorizationDenied (enum)
    {5, 791, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 37},	//173 KAuth::ActionReply::UserCancelled (enum)
    {5, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 38},	//174 KAuth::ActionReply::HelperBusy (enum)
    {5, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 39},	//175 KAuth::ActionReply::DBusError (enum)
    {5, 3367, 0, 0, Smoke::mf_dtor, 0, 40 },	//176 KAuth::ActionReply::~ActionReply()
    {6, 2048, 0, 0, Smoke::mf_const, 667, 1},	//177 KAuth::ActionWatcher::metaObject() const
    {6, 2319, 109, 1, 0, 737, 2},	//178 KAuth::ActionWatcher::qt_metacast(const char*)
    {6, 3168, 111, 2, Smoke::mf_static, 405, 3},	//179 KAuth::ActionWatcher::tr(const char*, const char*)
    {6, 3175, 111, 2, Smoke::mf_static, 405, 4},	//180 KAuth::ActionWatcher::trUtf8(const char*, const char*)
    {6, 3168, 114, 3, Smoke::mf_static, 405, 5},	//181 KAuth::ActionWatcher::tr(const char*, const char*, int)
    {6, 3175, 114, 3, Smoke::mf_static, 405, 6},	//182 KAuth::ActionWatcher::trUtf8(const char*, const char*, int)
    {6, 2317, 118, 3, 0, 714, 7},	//183 KAuth::ActionWatcher::qt_metacall(QMetaObject::Call, int, void**)
    {6, 3297, 24, 1, Smoke::mf_static, 20, 8},	//184 KAuth::ActionWatcher::watcher(const QString&)
    {6, 828, 0, 0, Smoke::mf_const, 405, 9},	//185 KAuth::ActionWatcher::action() const
    {6, 833, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//186 KAuth::ActionWatcher::actionStarted()
    {6, 831, 107, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//187 KAuth::ActionWatcher::actionPerformed(const KAuth::ActionReply&)
    {6, 2289, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//188 KAuth::ActionWatcher::progressStep(int)
    {6, 2289, 122, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//189 KAuth::ActionWatcher::progressStep(const QVariantMap&)
    {6, 3068, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//190 KAuth::ActionWatcher::statusChanged(int)
    {6, 3168, 109, 1, Smoke::mf_static, 405, 15},	//191 KAuth::ActionWatcher::tr(const char*)
    {6, 3175, 109, 1, Smoke::mf_static, 405, 16},	//192 KAuth::ActionWatcher::trUtf8(const char*)
    {6, 3064, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 666, 17},	//193 KAuth::ActionWatcher::staticMetaObject() const
    {6, 3368, 0, 0, Smoke::mf_dtor, 0, 18 },	//194 KAuth::ActionWatcher::~ActionWatcher()
    {7, 1044, 124, 3, Smoke::mf_static, 519, 1},	//195 KAuthorized::authorizeUrlAction(const QString&, const KUrl&, const KUrl&)
    {7, 1036, 24, 1, Smoke::mf_static, 519, 2},	//196 KAuthorized::authorize(const QString&)
    {7, 1040, 128, 1, Smoke::mf_static, 410, 3},	//197 KAuthorized::authorizeControlModules(const QStringList&)
    {7, 1042, 24, 1, Smoke::mf_static, 519, 4},	//198 KAuthorized::authorizeKAction(const QString&)
    {7, 1021, 124, 3, Smoke::mf_static, 0, 5},	//199 KAuthorized::allowUrlAction(const QString&, const KUrl&, const KUrl&)
    {7, 1038, 24, 1, Smoke::mf_static, 519, 6},	//200 KAuthorized::authorizeControlModule(const QString&)
    {8, 2048, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 667, 1},	//201 KAutoSaveFile::metaObject() const
    {8, 2319, 109, 1, Smoke::mf_virtual, 737, 2},	//202 KAutoSaveFile::qt_metacast(const char*)
    {8, 3168, 111, 2, Smoke::mf_static, 405, 3},	//203 KAutoSaveFile::tr(const char*, const char*)
    {8, 3175, 111, 2, Smoke::mf_static, 405, 4},	//204 KAutoSaveFile::trUtf8(const char*, const char*)
    {8, 3168, 114, 3, Smoke::mf_static, 405, 5},	//205 KAutoSaveFile::tr(const char*, const char*, int)
    {8, 3175, 114, 3, Smoke::mf_static, 405, 6},	//206 KAutoSaveFile::trUtf8(const char*, const char*, int)
    {8, 2317, 118, 3, Smoke::mf_virtual, 714, 7},	//207 KAutoSaveFile::qt_metacall(QMetaObject::Call, int, void**)
    {8, 275, 130, 2, Smoke::mf_ctor, 21, 8},	//208 KAutoSaveFile::KAutoSaveFile(const KUrl&, QObject*)
    {8, 275, 133, 1, Smoke::mf_ctor, 21, 9},	//209 KAutoSaveFile::KAutoSaveFile(QObject*)
    {8, 2035, 0, 0, Smoke::mf_const, 236, 10},	//210 KAutoSaveFile::managedFile() const
    {8, 2777, 135, 1, 0, 0, 11},	//211 KAutoSaveFile::setManagedFile(const KUrl&)
    {8, 2429, 0, 0, Smoke::mf_virtual, 0, 12},	//212 KAutoSaveFile::releaseLock()
    {8, 2132, 137, 1, Smoke::mf_virtual, 519, 13},	//213 KAutoSaveFile::open(QFlags<QIODevice::OpenModeFlag>)
    {8, 2999, 139, 2, Smoke::mf_static, 354, 14},	//214 KAutoSaveFile::staleFiles(const KUrl&, const QString&)
    {8, 1013, 24, 1, Smoke::mf_static, 354, 15},	//215 KAutoSaveFile::allStaleFiles(const QString&)
    {8, 3168, 109, 1, Smoke::mf_static, 405, 16},	//216 KAutoSaveFile::tr(const char*)
    {8, 3175, 109, 1, Smoke::mf_static, 405, 17},	//217 KAutoSaveFile::trUtf8(const char*)
    {8, 275, 135, 1, Smoke::mf_ctor, 21, 18},	//218 KAutoSaveFile::KAutoSaveFile(const KUrl&)
    {8, 275, 0, 0, Smoke::mf_ctor, 21, 19},	//219 KAutoSaveFile::KAutoSaveFile()
    {8, 2999, 135, 1, Smoke::mf_static, 354, 20},	//220 KAutoSaveFile::staleFiles(const KUrl&)
    {8, 1013, 0, 0, Smoke::mf_static, 354, 21},	//221 KAutoSaveFile::allStaleFiles()
    {8, 3064, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 666, 22},	//222 KAutoSaveFile::staticMetaObject() const
    {8, 3396, 0, 0, Smoke::mf_dtor, 0, 23 },	//223 KAutoSaveFile::~KAutoSaveFile()
    {9, 2048, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 667, 1},	//224 KAutostart::metaObject() const
    {9, 2319, 109, 1, Smoke::mf_virtual, 737, 2},	//225 KAutostart::qt_metacast(const char*)
    {9, 3168, 111, 2, Smoke::mf_static, 405, 3},	//226 KAutostart::tr(const char*, const char*)
    {9, 3175, 111, 2, Smoke::mf_static, 405, 4},	//227 KAutostart::trUtf8(const char*, const char*)
    {9, 3168, 114, 3, Smoke::mf_static, 405, 5},	//228 KAutostart::tr(const char*, const char*, int)
    {9, 3175, 114, 3, Smoke::mf_static, 405, 6},	//229 KAutostart::trUtf8(const char*, const char*, int)
    {9, 2317, 118, 3, Smoke::mf_virtual, 714, 7},	//230 KAutostart::qt_metacall(QMetaObject::Call, int, void**)
    {9, 278, 142, 2, Smoke::mf_ctor, 22, 8},	//231 KAutostart::KAutostart(const QString&, QObject*)
    {9, 2548, 97, 1, 0, 0, 9},	//232 KAutostart::setAutostarts(bool)
    {9, 1054, 145, 2, Smoke::mf_const, 519, 10},	//233 KAutostart::autostarts(const QString&, QFlags<KAutostart::Condition>) const
    {9, 1147, 0, 0, Smoke::mf_const, 405, 11},	//234 KAutostart::command() const
    {9, 2564, 24, 1, 0, 0, 12},	//235 KAutostart::setCommand(const QString&)
    {9, 3277, 0, 0, Smoke::mf_const, 405, 13},	//236 KAutostart::visibleName() const
    {9, 2944, 24, 1, 0, 0, 14},	//237 KAutostart::setVisibleName(const QString&)
    {9, 1850, 24, 1, Smoke::mf_static, 519, 15},	//238 KAutostart::isServiceRegistered(const QString&)
    {9, 1148, 0, 0, Smoke::mf_const, 405, 16},	//239 KAutostart::commandToCheck() const
    {9, 2566, 24, 1, 0, 0, 17},	//240 KAutostart::setCommandToCheck(const QString&)
    {9, 3011, 0, 0, Smoke::mf_const, 24, 18},	//241 KAutostart::startPhase() const
    {9, 2906, 148, 1, 0, 0, 19},	//242 KAutostart::setStartPhase(KAutostart::StartPhase)
    {9, 1023, 0, 0, Smoke::mf_const, 410, 20},	//243 KAutostart::allowedEnvironments() const
    {9, 2529, 128, 1, 0, 0, 21},	//244 KAutostart::setAllowedEnvironments(const QStringList&)
    {9, 980, 24, 1, 0, 0, 22},	//245 KAutostart::addToAllowedEnvironments(const QString&)
    {9, 2439, 24, 1, 0, 0, 23},	//246 KAutostart::removeFromAllowedEnvironments(const QString&)
    {9, 1446, 0, 0, Smoke::mf_const, 410, 24},	//247 KAutostart::excludedEnvironments() const
    {9, 2652, 128, 1, 0, 0, 25},	//248 KAutostart::setExcludedEnvironments(const QStringList&)
    {9, 982, 24, 1, 0, 0, 26},	//249 KAutostart::addToExcludedEnvironments(const QString&)
    {9, 2441, 24, 1, 0, 0, 27},	//250 KAutostart::removeFromExcludedEnvironments(const QString&)
    {9, 3004, 0, 0, Smoke::mf_const, 405, 28},	//251 KAutostart::startAfter() const
    {9, 1115, 24, 1, Smoke::mf_const, 519, 29},	//252 KAutostart::checkAllowedEnvironment(const QString&) const
    {9, 3168, 109, 1, Smoke::mf_static, 405, 30},	//253 KAutostart::tr(const char*)
    {9, 3175, 109, 1, Smoke::mf_static, 405, 31},	//254 KAutostart::trUtf8(const char*)
    {9, 278, 0, 0, Smoke::mf_ctor, 22, 32},	//255 KAutostart::KAutostart()
    {9, 278, 24, 1, Smoke::mf_ctor, 22, 33},	//256 KAutostart::KAutostart(const QString&)
    {9, 1054, 0, 0, Smoke::mf_const, 519, 34},	//257 KAutostart::autostarts() const
    {9, 1054, 24, 1, Smoke::mf_const, 519, 35},	//258 KAutostart::autostarts(const QString&) const
    {9, 3064, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 666, 36},	//259 KAutostart::staticMetaObject() const
    {9, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 37},	//260 KAutostart::NoConditions (enum)
    {9, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 38},	//261 KAutostart::CheckCommand (enum)
    {9, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 39},	//262 KAutostart::CheckCondition (enum)
    {9, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 40},	//263 KAutostart::CheckAll (enum)
    {9, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 41},	//264 KAutostart::BaseDesktop (enum)
    {9, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 42},	//265 KAutostart::DesktopServices (enum)
    {9, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 43},	//266 KAutostart::Applications (enum)
    {9, 3397, 0, 0, Smoke::mf_dtor, 0, 44 },	//267 KAutostart::~KAutostart()
    {10, 1201, 150, 2, Smoke::mf_static, 25, 1},	//268 KCalendarSystem::create(const QString&, const KLocale*)
    {10, 1201, 153, 3, Smoke::mf_static, 25, 2},	//269 KCalendarSystem::create(const QString&, KSharedPtr<KSharedConfig>, const KLocale*)
    {10, 1090, 0, 0, Smoke::mf_static, 410, 3},	//270 KCalendarSystem::calendarSystems()
    {10, 1088, 24, 1, Smoke::mf_static, 405, 4},	//271 KCalendarSystem::calendarLabel(const QString&)
    {10, 281, 157, 1, Smoke::mf_ctor, 25, 5},	//272 KCalendarSystem::KCalendarSystem(const KLocale*)
    {10, 281, 159, 2, Smoke::mf_ctor, 25, 6},	//273 KCalendarSystem::KCalendarSystem(const KSharedPtr<KSharedConfig>, const KLocale*)
    {10, 1091, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 405, 7},	//274 KCalendarSystem::calendarType() const [pure virtual]
    {10, 1422, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 8},	//275 KCalendarSystem::epoch() const
    {10, 1383, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 9},	//276 KCalendarSystem::earliestValidDate() const
    {10, 1948, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 10},	//277 KCalendarSystem::latestValidDate() const
    {10, 1864, 162, 3, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 519, 11},	//278 KCalendarSystem::isValid(int, int, int) const [pure virtual]
    {10, 1864, 166, 2, Smoke::mf_const, 519, 12},	//279 KCalendarSystem::isValid(int, int) const
    {10, 1864, 169, 4, Smoke::mf_const, 519, 13},	//280 KCalendarSystem::isValid(const QString&, int, int, int) const
    {10, 1870, 162, 3, Smoke::mf_const, 519, 14},	//281 KCalendarSystem::isValidIsoWeekDate(int, int, int) const
    {10, 1864, 174, 1, Smoke::mf_const|Smoke::mf_virtual, 519, 15},	//282 KCalendarSystem::isValid(const QDate&) const
    {10, 2594, 176, 4, Smoke::mf_const|Smoke::mf_virtual, 519, 16},	//283 KCalendarSystem::setDate(QDate&, int, int, int) const
    {10, 2594, 181, 3, Smoke::mf_const, 519, 17},	//284 KCalendarSystem::setDate(QDate&, int, int) const
    {10, 2594, 185, 5, Smoke::mf_const, 519, 18},	//285 KCalendarSystem::setDate(QDate&, QString, int, int, int) const
    {10, 2603, 176, 4, Smoke::mf_const, 519, 19},	//286 KCalendarSystem::setDateIsoWeek(QDate&, int, int, int) const
    {10, 2956, 176, 4, Smoke::mf_const|Smoke::mf_virtual, 519, 20},	//287 KCalendarSystem::setYMD(QDate&, int, int, int) const
    {10, 1632, 191, 4, Smoke::mf_const, 0, 21},	//288 KCalendarSystem::getDate(const QDate, int*, int*, int*) const
    {10, 3348, 174, 1, Smoke::mf_const|Smoke::mf_virtual, 714, 22},	//289 KCalendarSystem::year(const QDate&) const
    {10, 2069, 174, 1, Smoke::mf_const|Smoke::mf_virtual, 714, 23},	//290 KCalendarSystem::month(const QDate&) const
    {10, 1262, 174, 1, Smoke::mf_const|Smoke::mf_virtual, 714, 24},	//291 KCalendarSystem::day(const QDate&) const
    {10, 1428, 196, 2, Smoke::mf_const, 405, 25},	//292 KCalendarSystem::eraName(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1431, 196, 2, Smoke::mf_const, 405, 26},	//293 KCalendarSystem::eraYear(const QDate&, KCalendarSystem::StringFormat) const
    {10, 3350, 174, 1, Smoke::mf_const, 714, 27},	//294 KCalendarSystem::yearInEra(const QDate&) const
    {10, 994, 199, 2, Smoke::mf_const|Smoke::mf_virtual, 278, 28},	//295 KCalendarSystem::addYears(const QDate&, int) const
    {10, 957, 199, 2, Smoke::mf_const|Smoke::mf_virtual, 278, 29},	//296 KCalendarSystem::addMonths(const QDate&, int) const
    {10, 867, 199, 2, Smoke::mf_const|Smoke::mf_virtual, 278, 30},	//297 KCalendarSystem::addDays(const QDate&, int) const
    {10, 1250, 202, 6, Smoke::mf_const, 0, 31},	//298 KCalendarSystem::dateDifference(const QDate&, const QDate&, int*, int*, int*, int*) const
    {10, 3360, 209, 2, Smoke::mf_const, 714, 32},	//299 KCalendarSystem::yearsDifference(const QDate&, const QDate&) const
    {10, 2081, 209, 2, Smoke::mf_const, 714, 33},	//300 KCalendarSystem::monthsDifference(const QDate&, const QDate&) const
    {10, 1278, 209, 2, Smoke::mf_const, 714, 34},	//301 KCalendarSystem::daysDifference(const QDate&, const QDate&) const
    {10, 2083, 174, 1, Smoke::mf_const|Smoke::mf_virtual, 714, 35},	//302 KCalendarSystem::monthsInYear(const QDate&) const
    {10, 2083, 105, 1, Smoke::mf_const, 714, 36},	//303 KCalendarSystem::monthsInYear(int) const
    {10, 3314, 174, 1, Smoke::mf_const|Smoke::mf_virtual, 714, 37},	//304 KCalendarSystem::weeksInYear(const QDate&) const
    {10, 3314, 105, 1, Smoke::mf_const|Smoke::mf_virtual, 714, 38},	//305 KCalendarSystem::weeksInYear(int) const
    {10, 1290, 174, 1, Smoke::mf_const|Smoke::mf_virtual, 714, 39},	//306 KCalendarSystem::daysInYear(const QDate&) const
    {10, 1290, 105, 1, Smoke::mf_const, 714, 40},	//307 KCalendarSystem::daysInYear(int) const
    {10, 1280, 174, 1, Smoke::mf_const|Smoke::mf_virtual, 714, 41},	//308 KCalendarSystem::daysInMonth(const QDate&) const
    {10, 1280, 166, 2, Smoke::mf_const, 714, 42},	//309 KCalendarSystem::daysInMonth(int, int) const
    {10, 1286, 174, 1, Smoke::mf_const|Smoke::mf_virtual, 714, 43},	//310 KCalendarSystem::daysInWeek(const QDate&) const
    {10, 1268, 174, 1, Smoke::mf_const|Smoke::mf_virtual, 714, 44},	//311 KCalendarSystem::dayOfYear(const QDate&) const
    {10, 1264, 174, 1, Smoke::mf_const|Smoke::mf_virtual, 714, 45},	//312 KCalendarSystem::dayOfWeek(const QDate&) const
    {10, 3307, 212, 2, Smoke::mf_const|Smoke::mf_virtual, 714, 46},	//313 KCalendarSystem::weekNumber(const QDate&, int*) const
    {10, 1823, 105, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 519, 47},	//314 KCalendarSystem::isLeapYear(int) const [pure virtual]
    {10, 1823, 174, 1, Smoke::mf_const|Smoke::mf_virtual, 519, 48},	//315 KCalendarSystem::isLeapYear(const QDate&) const
    {10, 2071, 215, 3, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 405, 49},	//316 KCalendarSystem::monthName(int, int, KCalendarSystem::MonthNameFormat) const [pure virtual]
    {10, 2071, 219, 2, Smoke::mf_const|Smoke::mf_virtual, 405, 50},	//317 KCalendarSystem::monthName(const QDate&, KCalendarSystem::MonthNameFormat) const
    {10, 3301, 222, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 405, 51},	//318 KCalendarSystem::weekDayName(int, KCalendarSystem::WeekDayNameFormat) const [pure virtual]
    {10, 3301, 225, 2, Smoke::mf_const|Smoke::mf_virtual, 405, 52},	//319 KCalendarSystem::weekDayName(const QDate&, KCalendarSystem::WeekDayNameFormat) const
    {10, 3355, 196, 2, Smoke::mf_const|Smoke::mf_virtual, 405, 53},	//320 KCalendarSystem::yearString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 2076, 196, 2, Smoke::mf_const|Smoke::mf_virtual, 405, 54},	//321 KCalendarSystem::monthString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1273, 196, 2, Smoke::mf_const|Smoke::mf_virtual, 405, 55},	//322 KCalendarSystem::dayString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 3352, 196, 2, Smoke::mf_const, 405, 56},	//323 KCalendarSystem::yearInEraString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1270, 196, 2, Smoke::mf_const, 405, 57},	//324 KCalendarSystem::dayOfYearString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1266, 174, 1, Smoke::mf_const, 405, 58},	//325 KCalendarSystem::dayOfWeekString(const QDate&) const
    {10, 3310, 196, 2, Smoke::mf_const, 405, 59},	//326 KCalendarSystem::weekNumberString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 2086, 196, 2, Smoke::mf_const, 405, 60},	//327 KCalendarSystem::monthsInYearString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 3317, 196, 2, Smoke::mf_const, 405, 61},	//328 KCalendarSystem::weeksInYearString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1293, 196, 2, Smoke::mf_const, 405, 62},	//329 KCalendarSystem::daysInYearString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1283, 196, 2, Smoke::mf_const, 405, 63},	//330 KCalendarSystem::daysInMonthString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1288, 174, 1, Smoke::mf_const, 405, 64},	//331 KCalendarSystem::daysInWeekString(const QDate&) const
    {10, 3358, 228, 2, Smoke::mf_const|Smoke::mf_virtual, 714, 65},	//332 KCalendarSystem::yearStringToInteger(const QString&, int&) const
    {10, 2079, 228, 2, Smoke::mf_const|Smoke::mf_virtual, 714, 66},	//333 KCalendarSystem::monthStringToInteger(const QString&, int&) const
    {10, 1276, 228, 2, Smoke::mf_const|Smoke::mf_virtual, 714, 67},	//334 KCalendarSystem::dayStringToInteger(const QString&, int&) const
    {10, 1571, 231, 2, Smoke::mf_const|Smoke::mf_virtual, 405, 68},	//335 KCalendarSystem::formatDate(const QDate&, KLocale::DateFormat) const
    {10, 1571, 234, 3, Smoke::mf_const, 405, 69},	//336 KCalendarSystem::formatDate(const QDate&, const QString&, KLocale::DateTimeFormatStandard) const
    {10, 1571, 238, 4, Smoke::mf_const, 405, 70},	//337 KCalendarSystem::formatDate(const QDate&, const QString&, KLocale::DigitSet, KLocale::DateTimeFormatStandard) const
    {10, 2357, 243, 2, Smoke::mf_const|Smoke::mf_virtual, 278, 71},	//338 KCalendarSystem::readDate(const QString&, bool*) const
    {10, 2357, 246, 3, Smoke::mf_const|Smoke::mf_virtual, 278, 72},	//339 KCalendarSystem::readDate(const QString&, KLocale::ReadDateFlags, bool*) const
    {10, 2357, 250, 3, Smoke::mf_const|Smoke::mf_virtual, 278, 73},	//340 KCalendarSystem::readDate(const QString&, const QString&, bool*) const
    {10, 2357, 254, 4, Smoke::mf_const, 278, 74},	//341 KCalendarSystem::readDate(const QString&, const QString&, bool*, KLocale::DateTimeFormatStandard) const
    {10, 3313, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 714, 75},	//342 KCalendarSystem::weekStartDay() const
    {10, 3306, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 714, 76},	//343 KCalendarSystem::weekDayOfPray() const [pure virtual]
    {10, 1831, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 519, 77},	//344 KCalendarSystem::isLunar() const [pure virtual]
    {10, 1832, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 519, 78},	//345 KCalendarSystem::isLunisolar() const [pure virtual]
    {10, 1855, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 519, 79},	//346 KCalendarSystem::isSolar() const [pure virtual]
    {10, 1841, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 519, 80},	//347 KCalendarSystem::isProleptic() const [pure virtual]
    {10, 1881, 259, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 519, 81},	//348 KCalendarSystem::julianDayToDate(int, int&, int&, int&) const [pure virtual]
    {10, 1259, 264, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 519, 82},	//349 KCalendarSystem::dateToJulianDay(int, int, int, int&) const [pure virtual]
    {10, 1977, 0, 0, Smoke::mf_const|Smoke::mf_protected, 575, 83},	//350 KCalendarSystem::locale() const
    {10, 2781, 105, 1, Smoke::mf_protected, 0, 84},	//351 KCalendarSystem::setMaxMonthsInYear(int)
    {10, 2779, 105, 1, Smoke::mf_protected, 0, 85},	//352 KCalendarSystem::setMaxDaysInWeek(int)
    {10, 2673, 97, 1, Smoke::mf_protected, 0, 86},	//353 KCalendarSystem::setHasYear0(bool)
    {10, 281, 269, 3, Smoke::mf_ctor|Smoke::mf_protected, 25, 87},	//354 KCalendarSystem::KCalendarSystem(KCalendarSystemPrivate&, const KSharedPtr<KSharedConfig>, const KLocale*)
    {10, 1201, 0, 0, Smoke::mf_static, 25, 88},	//355 KCalendarSystem::create()
    {10, 1201, 24, 1, Smoke::mf_static, 25, 89},	//356 KCalendarSystem::create(const QString&)
    {10, 1201, 273, 2, Smoke::mf_static, 25, 90},	//357 KCalendarSystem::create(const QString&, KSharedPtr<KSharedConfig>)
    {10, 281, 0, 0, Smoke::mf_ctor, 25, 91},	//358 KCalendarSystem::KCalendarSystem()
    {10, 281, 276, 1, Smoke::mf_ctor, 25, 92},	//359 KCalendarSystem::KCalendarSystem(const KSharedPtr<KSharedConfig>)
    {10, 1428, 174, 1, Smoke::mf_const, 405, 93},	//360 KCalendarSystem::eraName(const QDate&) const
    {10, 1431, 174, 1, Smoke::mf_const, 405, 94},	//361 KCalendarSystem::eraYear(const QDate&) const
    {10, 3307, 174, 1, Smoke::mf_const, 714, 95},	//362 KCalendarSystem::weekNumber(const QDate&) const
    {10, 2071, 166, 2, Smoke::mf_const, 405, 96},	//363 KCalendarSystem::monthName(int, int) const
    {10, 2071, 174, 1, Smoke::mf_const, 405, 97},	//364 KCalendarSystem::monthName(const QDate&) const
    {10, 3301, 105, 1, Smoke::mf_const, 405, 98},	//365 KCalendarSystem::weekDayName(int) const
    {10, 3301, 174, 1, Smoke::mf_const, 405, 99},	//366 KCalendarSystem::weekDayName(const QDate&) const
    {10, 3355, 174, 1, Smoke::mf_const, 405, 100},	//367 KCalendarSystem::yearString(const QDate&) const
    {10, 2076, 174, 1, Smoke::mf_const, 405, 101},	//368 KCalendarSystem::monthString(const QDate&) const
    {10, 1273, 174, 1, Smoke::mf_const, 405, 102},	//369 KCalendarSystem::dayString(const QDate&) const
    {10, 3352, 174, 1, Smoke::mf_const, 405, 103},	//370 KCalendarSystem::yearInEraString(const QDate&) const
    {10, 1270, 174, 1, Smoke::mf_const, 405, 104},	//371 KCalendarSystem::dayOfYearString(const QDate&) const
    {10, 3310, 174, 1, Smoke::mf_const, 405, 105},	//372 KCalendarSystem::weekNumberString(const QDate&) const
    {10, 2086, 174, 1, Smoke::mf_const, 405, 106},	//373 KCalendarSystem::monthsInYearString(const QDate&) const
    {10, 3317, 174, 1, Smoke::mf_const, 405, 107},	//374 KCalendarSystem::weeksInYearString(const QDate&) const
    {10, 1293, 174, 1, Smoke::mf_const, 405, 108},	//375 KCalendarSystem::daysInYearString(const QDate&) const
    {10, 1283, 174, 1, Smoke::mf_const, 405, 109},	//376 KCalendarSystem::daysInMonthString(const QDate&) const
    {10, 1571, 174, 1, Smoke::mf_const, 405, 110},	//377 KCalendarSystem::formatDate(const QDate&) const
    {10, 1571, 278, 2, Smoke::mf_const, 405, 111},	//378 KCalendarSystem::formatDate(const QDate&, const QString&) const
    {10, 1571, 281, 3, Smoke::mf_const, 405, 112},	//379 KCalendarSystem::formatDate(const QDate&, const QString&, KLocale::DigitSet) const
    {10, 2357, 24, 1, Smoke::mf_const, 278, 113},	//380 KCalendarSystem::readDate(const QString&) const
    {10, 2357, 285, 2, Smoke::mf_const, 278, 114},	//381 KCalendarSystem::readDate(const QString&, KLocale::ReadDateFlags) const
    {10, 2357, 89, 2, Smoke::mf_const, 278, 115},	//382 KCalendarSystem::readDate(const QString&, const QString&) const
    {10, 281, 288, 1, Smoke::mf_ctor|Smoke::mf_protected, 25, 116},	//383 KCalendarSystem::KCalendarSystem(KCalendarSystemPrivate&)
    {10, 281, 290, 2, Smoke::mf_ctor|Smoke::mf_protected, 25, 117},	//384 KCalendarSystem::KCalendarSystem(KCalendarSystemPrivate&, const KSharedPtr<KSharedConfig>)
    {10, 698, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 118},	//385 KCalendarSystem::ShortFormat (enum)
    {10, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 119},	//386 KCalendarSystem::LongFormat (enum)
    {10, 699, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 120},	//387 KCalendarSystem::ShortName (enum)
    {10, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 121},	//388 KCalendarSystem::LongName (enum)
    {10, 700, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 122},	//389 KCalendarSystem::ShortNamePossessive (enum)
    {10, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 123},	//390 KCalendarSystem::LongNamePossessive (enum)
    {10, 697, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 124},	//391 KCalendarSystem::ShortDayName (enum)
    {10, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 125},	//392 KCalendarSystem::LongDayName (enum)
    {10, 3398, 0, 0, Smoke::mf_dtor, 0, 126 },	//393 KCalendarSystem::~KCalendarSystem()
    {12, 287, 293, 1, Smoke::mf_ctor|Smoke::mf_explicit, 30, 1},	//394 KCharMacroExpander::KCharMacroExpander(QChar)
    {12, 1477, 295, 3, Smoke::mf_protected|Smoke::mf_virtual, 714, 2},	//395 KCharMacroExpander::expandPlainMacro(const QString&, int, QStringList&)
    {12, 1463, 295, 3, Smoke::mf_protected|Smoke::mf_virtual, 714, 3},	//396 KCharMacroExpander::expandEscapedMacro(const QString&, int, QStringList&)
    {12, 1465, 299, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 519, 4},	//397 KCharMacroExpander::expandMacro(QChar, QStringList&) [pure virtual]
    {12, 287, 302, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 30, 5},	//398 KCharMacroExpander::KCharMacroExpander(const KCharMacroExpander&)
    {12, 287, 0, 0, Smoke::mf_ctor|Smoke::mf_explicit, 30, 6},	//399 KCharMacroExpander::KCharMacroExpander()
    {12, 3399, 0, 0, Smoke::mf_dtor, 0, 7 },	//400 KCharMacroExpander::~KCharMacroExpander()
    {13, 289, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 31, 1},	//401 KCharsets::KCharsets()
    {13, 1144, 24, 1, Smoke::mf_const, 415, 2},	//402 KCharsets::codecForName(const QString&) const
    {13, 1144, 304, 2, Smoke::mf_const, 415, 3},	//403 KCharsets::codecForName(const QString&, bool&) const
    {13, 1602, 24, 1, Smoke::mf_static, 266, 4},	//404 KCharsets::fromEntity(const QString&)
    {13, 1602, 228, 2, Smoke::mf_static, 266, 5},	//405 KCharsets::fromEntity(const QString&, int&)
    {13, 3141, 307, 1, Smoke::mf_static, 405, 6},	//406 KCharsets::toEntity(const QChar&)
    {13, 2459, 24, 1, Smoke::mf_static, 405, 7},	//407 KCharsets::resolveEntities(const QString&)
    {13, 1059, 0, 0, Smoke::mf_const, 410, 8},	//408 KCharsets::availableEncodingNames() const
    {13, 1343, 0, 0, Smoke::mf_const, 410, 9},	//409 KCharsets::descriptiveEncodingNames() const
    {13, 1407, 0, 0, Smoke::mf_const, 378, 10},	//410 KCharsets::encodingsByScript() const
    {13, 1944, 24, 1, Smoke::mf_const, 405, 11},	//411 KCharsets::languageForEncoding(const QString&) const
    {13, 1341, 24, 1, Smoke::mf_const, 405, 12},	//412 KCharsets::descriptionForEncoding(const QString&) const
    {13, 1403, 24, 1, Smoke::mf_const, 405, 13},	//413 KCharsets::encodingForName(const QString&) const
    {13, 289, 309, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 14},	//414 KCharsets::KCharsets(const KCharsets&)
    {13, 3400, 0, 0, Smoke::mf_dtor, 0, 15 },	//415 KCharsets::~KCharsets()
    {14, 1726, 311, 8, Smoke::mf_static, 0, 1},	//416 KCmdLineArgs::init(int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, QFlags<KCmdLineArgs::StdCmdLineArg>)
    {14, 1726, 320, 4, Smoke::mf_static, 0, 2},	//417 KCmdLineArgs::init(int, char**, const KAboutData*, QFlags<KCmdLineArgs::StdCmdLineArg>)
    {14, 1726, 325, 1, Smoke::mf_static, 0, 3},	//418 KCmdLineArgs::init(const KAboutData*)
    {14, 975, 327, 1, Smoke::mf_static, 0, 4},	//419 KCmdLineArgs::addStdCmdLineOptions(QFlags<KCmdLineArgs::StdCmdLineArg>)
    {14, 851, 329, 4, Smoke::mf_static, 0, 5},	//420 KCmdLineArgs::addCmdLineOptions(const KCmdLineOptions&, const KLocalizedString&, const QByteArray&, const QByteArray&)
    {14, 2231, 26, 1, Smoke::mf_static, 32, 6},	//421 KCmdLineArgs::parsedArgs(const QByteArray&)
    {14, 1240, 0, 0, Smoke::mf_static, 405, 7},	//422 KCmdLineArgs::cwd()
    {14, 1026, 0, 0, Smoke::mf_static, 405, 8},	//423 KCmdLineArgs::appName()
    {14, 3238, 26, 1, Smoke::mf_static, 0, 9},	//424 KCmdLineArgs::usage(const QByteArray&)
    {14, 3240, 24, 1, Smoke::mf_static, 0, 10},	//425 KCmdLineArgs::usageError(const QString&)
    {14, 1392, 0, 0, Smoke::mf_static, 0, 11},	//426 KCmdLineArgs::enable_i18n()
    {14, 1639, 26, 1, Smoke::mf_const, 405, 12},	//427 KCmdLineArgs::getOption(const QByteArray&) const
    {14, 1641, 26, 1, Smoke::mf_const, 410, 13},	//428 KCmdLineArgs::getOptionList(const QByteArray&) const
    {14, 1852, 26, 1, Smoke::mf_const, 519, 14},	//429 KCmdLineArgs::isSet(const QByteArray&) const
    {14, 1195, 0, 0, Smoke::mf_const, 714, 15},	//430 KCmdLineArgs::count() const
    {14, 1030, 105, 1, Smoke::mf_const, 405, 16},	//431 KCmdLineArgs::arg(int) const
    {14, 3236, 105, 1, Smoke::mf_const, 236, 17},	//432 KCmdLineArgs::url(int) const
    {14, 2033, 26, 1, Smoke::mf_static, 236, 18},	//433 KCmdLineArgs::makeURL(const QByteArray&)
    {14, 2586, 26, 1, Smoke::mf_static, 0, 19},	//434 KCmdLineArgs::setCwd(const QByteArray&)
    {14, 1134, 0, 0, 0, 0, 20},	//435 KCmdLineArgs::clear()
    {14, 2457, 0, 0, Smoke::mf_static, 0, 21},	//436 KCmdLineArgs::reset()
    {14, 1970, 334, 1, Smoke::mf_static, 0, 22},	//437 KCmdLineArgs::loadAppArgs(QDataStream&)
    {14, 2481, 334, 1, Smoke::mf_static, 0, 23},	//438 KCmdLineArgs::saveAppArgs(QDataStream&)
    {14, 979, 0, 0, Smoke::mf_static, 0, 24},	//439 KCmdLineArgs::addTempFileOption()
    {14, 1858, 0, 0, Smoke::mf_static, 519, 25},	//440 KCmdLineArgs::isTempFileSet()
    {14, 2315, 0, 0, Smoke::mf_static, 715, 26},	//441 KCmdLineArgs::qtArgc()
    {14, 2316, 0, 0, Smoke::mf_static, 524, 27},	//442 KCmdLineArgs::qtArgv()
    {14, 821, 0, 0, Smoke::mf_static, 526, 28},	//443 KCmdLineArgs::aboutData()
    {14, 291, 336, 3, Smoke::mf_ctor|Smoke::mf_protected, 32, 29},	//444 KCmdLineArgs::KCmdLineArgs(const KCmdLineOptions&, const KLocalizedString&, const QByteArray&)
    {14, 291, 340, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 32, 30},	//445 KCmdLineArgs::KCmdLineArgs(const KCmdLineArgs&)
    {14, 1726, 342, 6, Smoke::mf_static, 0, 31},	//446 KCmdLineArgs::init(int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&)
    {14, 1726, 349, 7, Smoke::mf_static, 0, 32},	//447 KCmdLineArgs::init(int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&)
    {14, 1726, 357, 3, Smoke::mf_static, 0, 33},	//448 KCmdLineArgs::init(int, char**, const KAboutData*)
    {14, 975, 0, 0, Smoke::mf_static, 0, 34},	//449 KCmdLineArgs::addStdCmdLineOptions()
    {14, 851, 361, 1, Smoke::mf_static, 0, 35},	//450 KCmdLineArgs::addCmdLineOptions(const KCmdLineOptions&)
    {14, 851, 363, 2, Smoke::mf_static, 0, 36},	//451 KCmdLineArgs::addCmdLineOptions(const KCmdLineOptions&, const KLocalizedString&)
    {14, 851, 336, 3, Smoke::mf_static, 0, 37},	//452 KCmdLineArgs::addCmdLineOptions(const KCmdLineOptions&, const KLocalizedString&, const QByteArray&)
    {14, 2231, 0, 0, Smoke::mf_static, 32, 38},	//453 KCmdLineArgs::parsedArgs()
    {14, 3238, 0, 0, Smoke::mf_static, 0, 39},	//454 KCmdLineArgs::usage()
    {14, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 40},	//455 KCmdLineArgs::CmdLineArgQt (enum)
    {14, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 41},	//456 KCmdLineArgs::CmdLineArgKDE (enum)
    {14, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 42},	//457 KCmdLineArgs::CmdLineArgsMask (enum)
    {14, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 43},	//458 KCmdLineArgs::CmdLineArgNone (enum)
    {14, 684, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 44},	//459 KCmdLineArgs::Reserved (enum)
    {14, 3401, 0, 0, Smoke::mf_dtor, 0, 45 },	//460 KCmdLineArgs::~KCmdLineArgs()
    {15, 294, 0, 0, Smoke::mf_ctor, 35, 1},	//461 KCmdLineOptions::KCmdLineOptions()
    {15, 294, 361, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 35, 2},	//462 KCmdLineOptions::KCmdLineOptions(const KCmdLineOptions&)
    {15, 2185, 361, 1, 0, 34, 3},	//463 KCmdLineOptions::operator=(const KCmdLineOptions&)
    {15, 836, 366, 3, 0, 34, 4},	//464 KCmdLineOptions::add(const QByteArray&, const KLocalizedString&, const QByteArray&)
    {15, 836, 361, 1, 0, 34, 5},	//465 KCmdLineOptions::add(const KCmdLineOptions&)
    {15, 836, 26, 1, 0, 34, 6},	//466 KCmdLineOptions::add(const QByteArray&)
    {15, 836, 370, 2, 0, 34, 7},	//467 KCmdLineOptions::add(const QByteArray&, const KLocalizedString&)
    {15, 3402, 0, 0, Smoke::mf_dtor, 0, 8 },	//468 KCmdLineOptions::~KCmdLineOptions()
    {16, 3264, 26, 1, Smoke::mf_static, 264, 1},	//469 KCodecs::uuencode(const QByteArray&)
    {16, 3261, 26, 1, Smoke::mf_static, 264, 2},	//470 KCodecs::uudecode(const QByteArray&)
    {16, 3261, 373, 2, Smoke::mf_static, 0, 3},	//471 KCodecs::uudecode(const QByteArray&, QByteArray&)
    {16, 2331, 373, 2, Smoke::mf_static, 0, 4},	//472 KCodecs::quotedPrintableDecode(const QByteArray&, QByteArray&)
    {16, 1304, 24, 1, Smoke::mf_static, 405, 5},	//473 KCodecs::decodeRFC2047String(const QString&)
    {16, 2331, 26, 1, Smoke::mf_static, 264, 6},	//474 KCodecs::quotedPrintableDecode(const QByteArray&)
    {16, 1065, 26, 1, Smoke::mf_static, 264, 7},	//475 KCodecs::base64Decode(const QByteArray&)
    {16, 2334, 376, 3, Smoke::mf_static, 0, 8},	//476 KCodecs::quotedPrintableEncode(const QByteArray&, QByteArray&, bool)
    {16, 1065, 373, 2, Smoke::mf_static, 0, 9},	//477 KCodecs::base64Decode(const QByteArray&, QByteArray&)
    {16, 3264, 373, 2, Smoke::mf_static, 0, 10},	//478 KCodecs::uuencode(const QByteArray&, QByteArray&)
    {16, 1069, 376, 3, Smoke::mf_static, 0, 11},	//479 KCodecs::base64Encode(const QByteArray&, QByteArray&, bool)
    {16, 1069, 373, 2, Smoke::mf_static, 0, 12},	//480 KCodecs::base64Encode(const QByteArray&, QByteArray&)
    {16, 2334, 380, 2, Smoke::mf_static, 264, 13},	//481 KCodecs::quotedPrintableEncode(const QByteArray&, bool)
    {16, 2334, 26, 1, Smoke::mf_static, 264, 14},	//482 KCodecs::quotedPrintableEncode(const QByteArray&)
    {16, 1069, 380, 2, Smoke::mf_static, 264, 15},	//483 KCodecs::base64Encode(const QByteArray&, bool)
    {16, 1069, 26, 1, Smoke::mf_static, 264, 16},	//484 KCodecs::base64Encode(const QByteArray&)
    {17, 296, 0, 0, Smoke::mf_ctor, 38, 1},	//485 KComponentData::KComponentData()
    {17, 296, 383, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 38, 2},	//486 KComponentData::KComponentData(const KComponentData&)
    {17, 2185, 383, 1, 0, 37, 3},	//487 KComponentData::operator=(const KComponentData&)
    {17, 2188, 383, 1, Smoke::mf_const, 519, 4},	//488 KComponentData::operator==(const KComponentData&) const
    {17, 2145, 383, 1, Smoke::mf_const, 519, 5},	//489 KComponentData::operator!=(const KComponentData&) const
    {17, 296, 385, 3, Smoke::mf_ctor, 38, 6},	//490 KComponentData::KComponentData(const QByteArray&, const QByteArray&, KComponentData::MainComponentRegistration)
    {17, 296, 389, 2, Smoke::mf_ctor, 38, 7},	//491 KComponentData::KComponentData(const KAboutData&, KComponentData::MainComponentRegistration)
    {17, 296, 392, 2, Smoke::mf_ctor, 38, 8},	//492 KComponentData::KComponentData(const KAboutData*, KComponentData::MainComponentRegistration)
    {17, 1864, 0, 0, Smoke::mf_const, 519, 9},	//493 KComponentData::isValid() const
    {17, 1370, 0, 0, Smoke::mf_const, 193, 10},	//494 KComponentData::dirs() const
    {17, 1158, 0, 0, Smoke::mf_const, 589, 11},	//495 KComponentData::config() const
    {17, 821, 0, 0, Smoke::mf_const, 526, 12},	//496 KComponentData::aboutData() const
    {17, 2517, 12, 1, 0, 0, 13},	//497 KComponentData::setAboutData(const KAboutData&)
    {17, 1154, 0, 0, Smoke::mf_const, 405, 14},	//498 KComponentData::componentName() const
    {17, 1102, 0, 0, Smoke::mf_const, 405, 15},	//499 KComponentData::catalogName() const
    {17, 2572, 24, 1, Smoke::mf_protected, 0, 16},	//500 KComponentData::setConfigName(const QString&)
    {17, 296, 26, 1, Smoke::mf_ctor, 38, 17},	//501 KComponentData::KComponentData(const QByteArray&)
    {17, 296, 395, 2, Smoke::mf_ctor, 38, 18},	//502 KComponentData::KComponentData(const QByteArray&, const QByteArray&)
    {17, 296, 12, 1, Smoke::mf_ctor, 38, 19},	//503 KComponentData::KComponentData(const KAboutData&)
    {17, 296, 325, 1, Smoke::mf_ctor, 38, 20},	//504 KComponentData::KComponentData(const KAboutData*)
    {17, 678, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 21},	//505 KComponentData::RegisterAsMainComponent (enum)
    {17, 703, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 22},	//506 KComponentData::SkipMainComponentRegistration (enum)
    {17, 3403, 0, 0, Smoke::mf_dtor, 0, 23 },	//507 KComponentData::~KComponentData()
    {18, 2048, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 667, 1},	//508 KCompositeJob::metaObject() const
    {18, 2319, 109, 1, Smoke::mf_virtual, 737, 2},	//509 KCompositeJob::qt_metacast(const char*)
    {18, 3168, 111, 2, Smoke::mf_static, 405, 3},	//510 KCompositeJob::tr(const char*, const char*)
    {18, 3175, 111, 2, Smoke::mf_static, 405, 4},	//511 KCompositeJob::trUtf8(const char*, const char*)
    {18, 3168, 114, 3, Smoke::mf_static, 405, 5},	//512 KCompositeJob::tr(const char*, const char*, int)
    {18, 3175, 114, 3, Smoke::mf_static, 405, 6},	//513 KCompositeJob::trUtf8(const char*, const char*, int)
    {18, 2317, 118, 3, Smoke::mf_virtual, 714, 7},	//514 KCompositeJob::qt_metacall(QMetaObject::Call, int, void**)
    {18, 301, 133, 1, Smoke::mf_ctor, 40, 8},	//515 KCompositeJob::KCompositeJob(QObject*)
    {18, 977, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 519, 9},	//516 KCompositeJob::addSubjob(KJob*)
    {18, 2443, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 519, 10},	//517 KCompositeJob::removeSubjob(KJob*)
    {18, 1690, 0, 0, Smoke::mf_protected, 519, 11},	//518 KCompositeJob::hasSubjobs()
    {18, 3078, 0, 0, Smoke::mf_const|Smoke::mf_protected, 650, 12},	//519 KCompositeJob::subjobs() const
    {18, 1137, 0, 0, Smoke::mf_protected, 0, 13},	//520 KCompositeJob::clearSubjobs()
    {18, 2977, 398, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 14},	//521 KCompositeJob::slotResult(KJob*)
    {18, 2975, 400, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//522 KCompositeJob::slotInfoMessage(KJob*, const QString&, const QString&)
    {18, 301, 404, 2, Smoke::mf_ctor|Smoke::mf_protected, 40, 16},	//523 KCompositeJob::KCompositeJob(KCompositeJobPrivate&, QObject*)
    {18, 3168, 109, 1, Smoke::mf_static, 405, 17},	//524 KCompositeJob::tr(const char*)
    {18, 3175, 109, 1, Smoke::mf_static, 405, 18},	//525 KCompositeJob::trUtf8(const char*)
    {18, 301, 0, 0, Smoke::mf_ctor, 40, 19},	//526 KCompositeJob::KCompositeJob()
    {18, 3064, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 666, 20},	//527 KCompositeJob::staticMetaObject() const
    {18, 3404, 0, 0, Smoke::mf_dtor, 0, 21 },	//528 KCompositeJob::~KCompositeJob()
    {20, 304, 407, 3, Smoke::mf_ctor, 42, 1},	//529 KConfig::KConfig(const QString&, QFlags<KConfig::OpenFlag>, const char*)
    {20, 304, 411, 4, Smoke::mf_ctor, 42, 2},	//530 KConfig::KConfig(const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>, const char*)
    {20, 304, 416, 3, Smoke::mf_ctor, 42, 3},	//531 KConfig::KConfig(const QString&, const QString&, const char*)
    {20, 1153, 0, 0, Smoke::mf_const, 536, 4},	//532 KConfig::componentData() const
    {20, 2089, 0, 0, Smoke::mf_const, 405, 5},	//533 KConfig::name() const
    {20, 3105, 0, 0, Smoke::mf_virtual, 0, 6},	//534 KConfig::sync()
    {20, 2036, 0, 0, Smoke::mf_virtual, 0, 7},	//535 KConfig::markAsClean()
    {20, 827, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 45, 8},	//536 KConfig::accessMode() const
    {20, 1784, 97, 1, 0, 519, 9},	//537 KConfig::isConfigWritable(bool)
    {20, 1189, 420, 2, Smoke::mf_const, 42, 10},	//538 KConfig::copyTo(const QString&, KConfig*) const
    {20, 1119, 89, 2, 0, 0, 11},	//539 KConfig::checkUpdate(const QString&, const QString&)
    {20, 2450, 0, 0, 0, 0, 12},	//540 KConfig::reparseConfiguration()
    {20, 856, 128, 1, 0, 0, 13},	//541 KConfig::addConfigSources(const QStringList&)
    {20, 1977, 0, 0, Smoke::mf_const, 405, 14},	//542 KConfig::locale() const
    {20, 2715, 24, 1, 0, 519, 15},	//543 KConfig::setLocale(const QString&)
    {20, 2877, 97, 1, 0, 0, 16},	//544 KConfig::setReadDefaults(bool)
    {20, 2364, 0, 0, Smoke::mf_const, 519, 17},	//545 KConfig::readDefaults() const
    {20, 1818, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 18},	//546 KConfig::isImmutable() const
    {20, 2663, 97, 1, 0, 0, 19},	//547 KConfig::setForceGlobal(bool)
    {20, 1565, 0, 0, Smoke::mf_const, 519, 20},	//548 KConfig::forceGlobal() const
    {20, 1651, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 410, 21},	//549 KConfig::groupList() const
    {20, 1419, 24, 1, Smoke::mf_const, 384, 22},	//550 KConfig::entryMap(const QString&) const
    {20, 1665, 26, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 519, 23},	//551 KConfig::hasGroupImpl(const QByteArray&) const
    {20, 1649, 26, 1, Smoke::mf_protected|Smoke::mf_virtual, 47, 24},	//552 KConfig::groupImpl(const QByteArray&)
    {20, 1649, 26, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 540, 25},	//553 KConfig::groupImpl(const QByteArray&) const
    {20, 1332, 423, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//554 KConfig::deleteGroupImpl(const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {20, 1812, 26, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 519, 27},	//555 KConfig::isGroupImmutableImpl(const QByteArray&) const
    {20, 304, 426, 1, Smoke::mf_ctor|Smoke::mf_protected, 42, 28},	//556 KConfig::KConfig(KConfigPrivate&)
    {20, 304, 0, 0, Smoke::mf_ctor, 42, 29},	//557 KConfig::KConfig()
    {20, 304, 24, 1, Smoke::mf_ctor, 42, 30},	//558 KConfig::KConfig(const QString&)
    {20, 304, 428, 2, Smoke::mf_ctor, 42, 31},	//559 KConfig::KConfig(const QString&, QFlags<KConfig::OpenFlag>)
    {20, 304, 383, 1, Smoke::mf_ctor, 42, 32},	//560 KConfig::KConfig(const KComponentData&)
    {20, 304, 431, 2, Smoke::mf_ctor, 42, 33},	//561 KConfig::KConfig(const KComponentData&, const QString&)
    {20, 304, 434, 3, Smoke::mf_ctor, 42, 34},	//562 KConfig::KConfig(const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>)
    {20, 304, 89, 2, Smoke::mf_ctor, 42, 35},	//563 KConfig::KConfig(const QString&, const QString&)
    {20, 1189, 24, 1, Smoke::mf_const, 42, 36},	//564 KConfig::copyTo(const QString&) const
    {20, 1419, 0, 0, Smoke::mf_const, 384, 37},	//565 KConfig::entryMap() const
    {20, 1332, 26, 1, Smoke::mf_protected, 0, 38},	//566 KConfig::deleteGroupImpl(const QByteArray&)
    {20, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 39},	//567 KConfig::IncludeGlobals (enum)
    {20, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 40},	//568 KConfig::CascadeConfig (enum)
    {20, 701, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 41},	//569 KConfig::SimpleConfig (enum)
    {20, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 42},	//570 KConfig::NoCascade (enum)
    {20, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 43},	//571 KConfig::NoGlobals (enum)
    {20, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 44},	//572 KConfig::FullConfig (enum)
    {20, 3405, 0, 0, Smoke::mf_dtor, 0, 45 },	//573 KConfig::~KConfig()
    {21, 1651, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 410, 1},	//574 KConfigBase::groupList() const [pure virtual]
    {21, 1662, 24, 1, Smoke::mf_const, 519, 2},	//575 KConfigBase::hasGroup(const QString&) const
    {21, 1662, 109, 1, Smoke::mf_const, 519, 3},	//576 KConfigBase::hasGroup(const char*) const
    {21, 1662, 26, 1, Smoke::mf_const, 519, 4},	//577 KConfigBase::hasGroup(const QByteArray&) const
    {21, 1644, 26, 1, 0, 47, 5},	//578 KConfigBase::group(const QByteArray&)
    {21, 1644, 24, 1, 0, 47, 6},	//579 KConfigBase::group(const QString&)
    {21, 1644, 109, 1, 0, 47, 7},	//580 KConfigBase::group(const char*)
    {21, 1644, 26, 1, Smoke::mf_const, 540, 8},	//581 KConfigBase::group(const QByteArray&) const
    {21, 1644, 24, 1, Smoke::mf_const, 540, 9},	//582 KConfigBase::group(const QString&) const
    {21, 1644, 109, 1, Smoke::mf_const, 540, 10},	//583 KConfigBase::group(const char*) const
    {21, 1327, 423, 2, 0, 0, 11},	//584 KConfigBase::deleteGroup(const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {21, 1327, 438, 2, 0, 0, 12},	//585 KConfigBase::deleteGroup(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {21, 1327, 441, 2, 0, 0, 13},	//586 KConfigBase::deleteGroup(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    {21, 3105, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 14},	//587 KConfigBase::sync() [pure virtual]
    {21, 2036, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//588 KConfigBase::markAsClean() [pure virtual]
    {21, 827, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 45, 16},	//589 KConfigBase::accessMode() const [pure virtual]
    {21, 1818, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 519, 17},	//590 KConfigBase::isImmutable() const [pure virtual]
    {21, 1809, 26, 1, Smoke::mf_const, 519, 18},	//591 KConfigBase::isGroupImmutable(const QByteArray&) const
    {21, 1809, 24, 1, Smoke::mf_const, 519, 19},	//592 KConfigBase::isGroupImmutable(const QString&) const
    {21, 1809, 109, 1, Smoke::mf_const, 519, 20},	//593 KConfigBase::isGroupImmutable(const char*) const
    {21, 312, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 44, 21},	//594 KConfigBase::KConfigBase()
    {21, 1665, 26, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 519, 22},	//595 KConfigBase::hasGroupImpl(const QByteArray&) const [pure virtual]
    {21, 1649, 26, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 47, 23},	//596 KConfigBase::groupImpl(const QByteArray&) [pure virtual]
    {21, 1649, 26, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 540, 24},	//597 KConfigBase::groupImpl(const QByteArray&) const [pure virtual]
    {21, 1332, 423, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 25},	//598 KConfigBase::deleteGroupImpl(const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>) [pure virtual]
    {21, 1812, 26, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 519, 26},	//599 KConfigBase::isGroupImmutableImpl(const QByteArray&) const [pure virtual]
    {21, 312, 444, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 44, 27},	//600 KConfigBase::KConfigBase(const KConfigBase&)
    {21, 1327, 26, 1, 0, 0, 28},	//601 KConfigBase::deleteGroup(const QByteArray&)
    {21, 1327, 24, 1, 0, 0, 29},	//602 KConfigBase::deleteGroup(const QString&)
    {21, 1327, 109, 1, 0, 0, 30},	//603 KConfigBase::deleteGroup(const char*)
    {21, 1332, 26, 1, Smoke::mf_protected, 0, 31},	//604 KConfigBase::deleteGroupImpl(const QByteArray&)
    {21, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 32},	//605 KConfigBase::Persistent (enum)
    {21, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 33},	//606 KConfigBase::Global (enum)
    {21, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 34},	//607 KConfigBase::Localized (enum)
    {21, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 35},	//608 KConfigBase::Normal (enum)
    {21, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 36},	//609 KConfigBase::NoAccess (enum)
    {21, 672, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 37},	//610 KConfigBase::ReadOnly (enum)
    {21, 676, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 38},	//611 KConfigBase::ReadWrite (enum)
    {21, 3406, 0, 0, Smoke::mf_dtor, 0, 39 },	//612 KConfigBase::~KConfigBase()
    {22, 314, 0, 0, Smoke::mf_ctor, 49, 1},	//613 KConfigGroup::KConfigGroup()
    {22, 314, 446, 2, Smoke::mf_ctor, 49, 2},	//614 KConfigGroup::KConfigGroup(KConfigBase*, const QString&)
    {22, 314, 449, 2, Smoke::mf_ctor, 49, 3},	//615 KConfigGroup::KConfigGroup(KConfigBase*, const char*)
    {22, 314, 452, 2, Smoke::mf_ctor, 49, 4},	//616 KConfigGroup::KConfigGroup(const KConfigBase*, const QString&)
    {22, 314, 455, 2, Smoke::mf_ctor, 49, 5},	//617 KConfigGroup::KConfigGroup(const KConfigBase*, const char*)
    {22, 314, 458, 2, Smoke::mf_ctor, 49, 6},	//618 KConfigGroup::KConfigGroup(const KSharedPtr<KSharedConfig>&, const QString&)
    {22, 314, 461, 2, Smoke::mf_ctor, 49, 7},	//619 KConfigGroup::KConfigGroup(const KSharedPtr<KSharedConfig>&, const char*)
    {22, 314, 464, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 49, 8},	//620 KConfigGroup::KConfigGroup(const KConfigGroup&)
    {22, 2185, 464, 1, 0, 48, 9},	//621 KConfigGroup::operator=(const KConfigGroup&)
    {22, 1864, 0, 0, Smoke::mf_const, 519, 10},	//622 KConfigGroup::isValid() const
    {22, 2089, 0, 0, Smoke::mf_const, 405, 11},	//623 KConfigGroup::name() const
    {22, 1461, 0, 0, Smoke::mf_const, 519, 12},	//624 KConfigGroup::exists() const
    {22, 3105, 0, 0, Smoke::mf_virtual, 0, 13},	//625 KConfigGroup::sync()
    {22, 2036, 0, 0, Smoke::mf_virtual, 0, 14},	//626 KConfigGroup::markAsClean()
    {22, 827, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 45, 15},	//627 KConfigGroup::accessMode() const
    {22, 1158, 0, 0, 0, 42, 16},	//628 KConfigGroup::config()
    {22, 1158, 0, 0, Smoke::mf_const, 537, 17},	//629 KConfigGroup::config() const
    {22, 1108, 24, 1, 0, 0, 18},	//630 KConfigGroup::changeGroup(const QString&)
    {22, 1108, 109, 1, 0, 0, 19},	//631 KConfigGroup::changeGroup(const char*)
    {22, 1189, 466, 2, Smoke::mf_const, 0, 20},	//632 KConfigGroup::copyTo(KConfigBase*, QFlags<KConfigBase::WriteConfigFlag>) const
    {22, 2447, 466, 2, 0, 0, 21},	//633 KConfigGroup::reparent(KConfigBase*, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 2223, 0, 0, Smoke::mf_const, 47, 22},	//634 KConfigGroup::parent() const
    {22, 1651, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 410, 23},	//635 KConfigGroup::groupList() const
    {22, 1919, 0, 0, Smoke::mf_const, 410, 24},	//636 KConfigGroup::keyList() const
    {22, 1327, 469, 1, 0, 0, 25},	//637 KConfigGroup::deleteGroup(QFlags<KConfigBase::WriteConfigFlag>)
    {22, 1327, 423, 2, 0, 0, 26},	//638 KConfigGroup::deleteGroup(const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 1327, 438, 2, 0, 0, 27},	//639 KConfigGroup::deleteGroup(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 1327, 441, 2, 0, 0, 28},	//640 KConfigGroup::deleteGroup(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 2367, 94, 2, Smoke::mf_const, 429, 29},	//641 KConfigGroup::readEntry(const QString&, const QVariant&) const
    {22, 2367, 471, 2, Smoke::mf_const, 429, 30},	//642 KConfigGroup::readEntry(const char*, const QVariant&) const
    {22, 2367, 89, 2, Smoke::mf_const, 405, 31},	//643 KConfigGroup::readEntry(const QString&, const QString&) const
    {22, 2367, 474, 2, Smoke::mf_const, 405, 32},	//644 KConfigGroup::readEntry(const char*, const QString&) const
    {22, 2367, 477, 2, Smoke::mf_const, 405, 33},	//645 KConfigGroup::readEntry(const QString&, const char*) const
    {22, 2367, 111, 2, Smoke::mf_const, 405, 34},	//646 KConfigGroup::readEntry(const char*, const char*) const
    {22, 2367, 480, 2, Smoke::mf_const, 379, 35},	//647 KConfigGroup::readEntry(const QString&, const QList<QVariant>&) const
    {22, 2367, 483, 2, Smoke::mf_const, 379, 36},	//648 KConfigGroup::readEntry(const char*, const QList<QVariant>&) const
    {22, 2367, 486, 2, Smoke::mf_const, 410, 37},	//649 KConfigGroup::readEntry(const QString&, const QStringList&) const
    {22, 2367, 489, 2, Smoke::mf_const, 410, 38},	//650 KConfigGroup::readEntry(const char*, const QStringList&) const
    {22, 2404, 486, 2, Smoke::mf_const, 410, 39},	//651 KConfigGroup::readXdgListEntry(const QString&, const QStringList&) const
    {22, 2404, 489, 2, Smoke::mf_const, 410, 40},	//652 KConfigGroup::readXdgListEntry(const char*, const QStringList&) const
    {22, 2395, 89, 2, Smoke::mf_const, 405, 41},	//653 KConfigGroup::readPathEntry(const QString&, const QString&) const
    {22, 2395, 474, 2, Smoke::mf_const, 405, 42},	//654 KConfigGroup::readPathEntry(const char*, const QString&) const
    {22, 2395, 486, 2, Smoke::mf_const, 410, 43},	//655 KConfigGroup::readPathEntry(const QString&, const QStringList&) const
    {22, 2395, 489, 2, Smoke::mf_const, 410, 44},	//656 KConfigGroup::readPathEntry(const char*, const QStringList&) const
    {22, 2372, 89, 2, Smoke::mf_const, 405, 45},	//657 KConfigGroup::readEntryUntranslated(const QString&, const QString&) const
    {22, 2372, 474, 2, Smoke::mf_const, 405, 46},	//658 KConfigGroup::readEntryUntranslated(const char*, const QString&) const
    {22, 3331, 492, 3, 0, 0, 47},	//659 KConfigGroup::writeEntry(const QString&, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3331, 496, 3, 0, 0, 48},	//660 KConfigGroup::writeEntry(const char*, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3331, 500, 3, 0, 0, 49},	//661 KConfigGroup::writeEntry(const QString&, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3331, 504, 3, 0, 0, 50},	//662 KConfigGroup::writeEntry(const char*, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3331, 508, 3, 0, 0, 51},	//663 KConfigGroup::writeEntry(const QString&, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3331, 512, 3, 0, 0, 52},	//664 KConfigGroup::writeEntry(const char*, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3331, 516, 3, 0, 0, 53},	//665 KConfigGroup::writeEntry(const QString&, const char*, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3331, 520, 3, 0, 0, 54},	//666 KConfigGroup::writeEntry(const char*, const char*, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3331, 524, 3, 0, 0, 55},	//667 KConfigGroup::writeEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3331, 528, 3, 0, 0, 56},	//668 KConfigGroup::writeEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3331, 532, 3, 0, 0, 57},	//669 KConfigGroup::writeEntry(const QString&, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3331, 536, 3, 0, 0, 58},	//670 KConfigGroup::writeEntry(const char*, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3345, 524, 3, 0, 0, 59},	//671 KConfigGroup::writeXdgListEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3345, 528, 3, 0, 0, 60},	//672 KConfigGroup::writeXdgListEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3340, 500, 3, 0, 0, 61},	//673 KConfigGroup::writePathEntry(const QString&, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3340, 504, 3, 0, 0, 62},	//674 KConfigGroup::writePathEntry(const char*, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3340, 524, 3, 0, 0, 63},	//675 KConfigGroup::writePathEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3340, 528, 3, 0, 0, 64},	//676 KConfigGroup::writePathEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 1324, 438, 2, 0, 0, 65},	//677 KConfigGroup::deleteEntry(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 1324, 441, 2, 0, 0, 66},	//678 KConfigGroup::deleteEntry(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 1670, 24, 1, Smoke::mf_const, 519, 67},	//679 KConfigGroup::hasKey(const QString&) const
    {22, 1670, 109, 1, Smoke::mf_const, 519, 68},	//680 KConfigGroup::hasKey(const char*) const
    {22, 1818, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 69},	//681 KConfigGroup::isImmutable() const
    {22, 1801, 24, 1, Smoke::mf_const, 519, 70},	//682 KConfigGroup::isEntryImmutable(const QString&) const
    {22, 1801, 109, 1, Smoke::mf_const, 519, 71},	//683 KConfigGroup::isEntryImmutable(const char*) const
    {22, 2473, 24, 1, 0, 0, 72},	//684 KConfigGroup::revertToDefault(const QString&)
    {22, 2473, 109, 1, 0, 0, 73},	//685 KConfigGroup::revertToDefault(const char*)
    {22, 1659, 24, 1, Smoke::mf_const, 519, 74},	//686 KConfigGroup::hasDefault(const QString&) const
    {22, 1659, 109, 1, Smoke::mf_const, 519, 75},	//687 KConfigGroup::hasDefault(const char*) const
    {22, 1419, 0, 0, Smoke::mf_const, 384, 76},	//688 KConfigGroup::entryMap() const
    {22, 1665, 26, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 519, 77},	//689 KConfigGroup::hasGroupImpl(const QByteArray&) const
    {22, 1649, 26, 1, Smoke::mf_protected|Smoke::mf_virtual, 47, 78},	//690 KConfigGroup::groupImpl(const QByteArray&)
    {22, 1649, 26, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 540, 79},	//691 KConfigGroup::groupImpl(const QByteArray&) const
    {22, 1332, 423, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 80},	//692 KConfigGroup::deleteGroupImpl(const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 1812, 26, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 519, 81},	//693 KConfigGroup::isGroupImmutableImpl(const QByteArray&) const
    {22, 1189, 540, 1, Smoke::mf_const, 0, 82},	//694 KConfigGroup::copyTo(KConfigBase*) const
    {22, 2447, 540, 1, 0, 0, 83},	//695 KConfigGroup::reparent(KConfigBase*)
    {22, 1327, 0, 0, 0, 0, 84},	//696 KConfigGroup::deleteGroup()
    {22, 1327, 26, 1, 0, 0, 85},	//697 KConfigGroup::deleteGroup(const QByteArray&)
    {22, 1327, 24, 1, 0, 0, 86},	//698 KConfigGroup::deleteGroup(const QString&)
    {22, 1327, 109, 1, 0, 0, 87},	//699 KConfigGroup::deleteGroup(const char*)
    {22, 2367, 24, 1, Smoke::mf_const, 405, 88},	//700 KConfigGroup::readEntry(const QString&) const
    {22, 2367, 109, 1, Smoke::mf_const, 405, 89},	//701 KConfigGroup::readEntry(const char*) const
    {22, 2404, 24, 1, Smoke::mf_const, 410, 90},	//702 KConfigGroup::readXdgListEntry(const QString&) const
    {22, 2404, 109, 1, Smoke::mf_const, 410, 91},	//703 KConfigGroup::readXdgListEntry(const char*) const
    {22, 2372, 24, 1, Smoke::mf_const, 405, 92},	//704 KConfigGroup::readEntryUntranslated(const QString&) const
    {22, 2372, 109, 1, Smoke::mf_const, 405, 93},	//705 KConfigGroup::readEntryUntranslated(const char*) const
    {22, 3331, 94, 2, 0, 0, 94},	//706 KConfigGroup::writeEntry(const QString&, const QVariant&)
    {22, 3331, 471, 2, 0, 0, 95},	//707 KConfigGroup::writeEntry(const char*, const QVariant&)
    {22, 3331, 89, 2, 0, 0, 96},	//708 KConfigGroup::writeEntry(const QString&, const QString&)
    {22, 3331, 474, 2, 0, 0, 97},	//709 KConfigGroup::writeEntry(const char*, const QString&)
    {22, 3331, 542, 2, 0, 0, 98},	//710 KConfigGroup::writeEntry(const QString&, const QByteArray&)
    {22, 3331, 545, 2, 0, 0, 99},	//711 KConfigGroup::writeEntry(const char*, const QByteArray&)
    {22, 3331, 477, 2, 0, 0, 100},	//712 KConfigGroup::writeEntry(const QString&, const char*)
    {22, 3331, 111, 2, 0, 0, 101},	//713 KConfigGroup::writeEntry(const char*, const char*)
    {22, 3331, 486, 2, 0, 0, 102},	//714 KConfigGroup::writeEntry(const QString&, const QStringList&)
    {22, 3331, 489, 2, 0, 0, 103},	//715 KConfigGroup::writeEntry(const char*, const QStringList&)
    {22, 3331, 480, 2, 0, 0, 104},	//716 KConfigGroup::writeEntry(const QString&, const QList<QVariant>&)
    {22, 3331, 483, 2, 0, 0, 105},	//717 KConfigGroup::writeEntry(const char*, const QList<QVariant>&)
    {22, 3345, 486, 2, 0, 0, 106},	//718 KConfigGroup::writeXdgListEntry(const QString&, const QStringList&)
    {22, 3345, 489, 2, 0, 0, 107},	//719 KConfigGroup::writeXdgListEntry(const char*, const QStringList&)
    {22, 3340, 89, 2, 0, 0, 108},	//720 KConfigGroup::writePathEntry(const QString&, const QString&)
    {22, 3340, 474, 2, 0, 0, 109},	//721 KConfigGroup::writePathEntry(const char*, const QString&)
    {22, 3340, 486, 2, 0, 0, 110},	//722 KConfigGroup::writePathEntry(const QString&, const QStringList&)
    {22, 3340, 489, 2, 0, 0, 111},	//723 KConfigGroup::writePathEntry(const char*, const QStringList&)
    {22, 1324, 24, 1, 0, 0, 112},	//724 KConfigGroup::deleteEntry(const QString&)
    {22, 1324, 109, 1, 0, 0, 113},	//725 KConfigGroup::deleteEntry(const char*)
    {22, 3407, 0, 0, Smoke::mf_dtor, 0, 114 },	//726 KConfigGroup::~KConfigGroup()
    {24, 318, 89, 2, Smoke::mf_ctor, 51, 1},	//727 KConfigSkeletonItem::KConfigSkeletonItem(const QString&, const QString&)
    {24, 2669, 24, 1, 0, 0, 2},	//728 KConfigSkeletonItem::setGroup(const QString&)
    {24, 1644, 0, 0, Smoke::mf_const, 405, 3},	//729 KConfigSkeletonItem::group() const
    {24, 2689, 24, 1, 0, 0, 4},	//730 KConfigSkeletonItem::setKey(const QString&)
    {24, 1917, 0, 0, Smoke::mf_const, 405, 5},	//731 KConfigSkeletonItem::key() const
    {24, 2805, 24, 1, 0, 0, 6},	//732 KConfigSkeletonItem::setName(const QString&)
    {24, 2089, 0, 0, Smoke::mf_const, 405, 7},	//733 KConfigSkeletonItem::name() const
    {24, 2691, 24, 1, 0, 0, 8},	//734 KConfigSkeletonItem::setLabel(const QString&)
    {24, 1937, 0, 0, Smoke::mf_const, 405, 9},	//735 KConfigSkeletonItem::label() const
    {24, 2926, 24, 1, 0, 0, 10},	//736 KConfigSkeletonItem::setToolTip(const QString&)
    {24, 3164, 0, 0, Smoke::mf_const, 405, 11},	//737 KConfigSkeletonItem::toolTip() const
    {24, 2950, 24, 1, 0, 0, 12},	//738 KConfigSkeletonItem::setWhatsThis(const QString&)
    {24, 3320, 0, 0, Smoke::mf_const, 405, 13},	//739 KConfigSkeletonItem::whatsThis() const
    {24, 2353, 548, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 14},	//740 KConfigSkeletonItem::readConfig(KConfig*) [pure virtual]
    {24, 3327, 548, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//741 KConfigSkeletonItem::writeConfig(KConfig*) [pure virtual]
    {24, 2362, 548, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 16},	//742 KConfigSkeletonItem::readDefault(KConfig*) [pure virtual]
    {24, 2867, 28, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//743 KConfigSkeletonItem::setProperty(const QVariant&) [pure virtual]
    {24, 1803, 28, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 519, 18},	//744 KConfigSkeletonItem::isEqual(const QVariant&) const [pure virtual]
    {24, 2292, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 429, 19},	//745 KConfigSkeletonItem::property() const [pure virtual]
    {24, 2052, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 429, 20},	//746 KConfigSkeletonItem::minValue() const
    {24, 2042, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 429, 21},	//747 KConfigSkeletonItem::maxValue() const
    {24, 2617, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 22},	//748 KConfigSkeletonItem::setDefault() [pure virtual]
    {24, 3102, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 23},	//749 KConfigSkeletonItem::swapDefault() [pure virtual]
    {24, 1818, 0, 0, Smoke::mf_const, 519, 24},	//750 KConfigSkeletonItem::isImmutable() const
    {24, 2379, 464, 1, Smoke::mf_protected, 0, 25},	//751 KConfigSkeletonItem::readImmutability(const KConfigGroup&)
    {24, 318, 550, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 51, 26},	//752 KConfigSkeletonItem::KConfigSkeletonItem(const KConfigSkeletonItem&)
    {24, 2000, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 406, 27},	//753 KConfigSkeletonItem::mGroup() const
    {24, 2719, 24, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 28},	//754 KConfigSkeletonItem::setMGroup(const QString&)
    {24, 2001, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 406, 29},	//755 KConfigSkeletonItem::mKey() const
    {24, 2721, 24, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 30},	//756 KConfigSkeletonItem::setMKey(const QString&)
    {24, 2002, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 406, 31},	//757 KConfigSkeletonItem::mName() const
    {24, 2723, 24, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 32},	//758 KConfigSkeletonItem::setMName(const QString&)
    {24, 3408, 0, 0, Smoke::mf_dtor, 0, 33 },	//759 KConfigSkeletonItem::~KConfigSkeletonItem()
    {25, 2048, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 667, 1},	//760 KCoreConfigSkeleton::metaObject() const
    {25, 2319, 109, 1, Smoke::mf_virtual, 737, 2},	//761 KCoreConfigSkeleton::qt_metacast(const char*)
    {25, 3168, 111, 2, Smoke::mf_static, 405, 3},	//762 KCoreConfigSkeleton::tr(const char*, const char*)
    {25, 3175, 111, 2, Smoke::mf_static, 405, 4},	//763 KCoreConfigSkeleton::trUtf8(const char*, const char*)
    {25, 3168, 114, 3, Smoke::mf_static, 405, 5},	//764 KCoreConfigSkeleton::tr(const char*, const char*, int)
    {25, 3175, 114, 3, Smoke::mf_static, 405, 6},	//765 KCoreConfigSkeleton::trUtf8(const char*, const char*, int)
    {25, 2317, 118, 3, Smoke::mf_virtual, 714, 7},	//766 KCoreConfigSkeleton::qt_metacall(QMetaObject::Call, int, void**)
    {25, 321, 142, 2, Smoke::mf_ctor, 52, 8},	//767 KCoreConfigSkeleton::KCoreConfigSkeleton(const QString&, QObject*)
    {25, 321, 552, 2, Smoke::mf_ctor, 52, 9},	//768 KCoreConfigSkeleton::KCoreConfigSkeleton(KSharedPtr<KSharedConfig>, QObject*)
    {25, 2622, 0, 0, Smoke::mf_virtual, 0, 10},	//769 KCoreConfigSkeleton::setDefaults()
    {25, 2353, 0, 0, Smoke::mf_virtual, 0, 11},	//770 KCoreConfigSkeleton::readConfig()
    {25, 3327, 0, 0, Smoke::mf_virtual, 0, 12},	//771 KCoreConfigSkeleton::writeConfig()
    {25, 2582, 24, 1, 0, 0, 13},	//772 KCoreConfigSkeleton::setCurrentGroup(const QString&)
    {25, 1229, 0, 0, Smoke::mf_const, 405, 14},	//773 KCoreConfigSkeleton::currentGroup() const
    {25, 874, 555, 2, 0, 0, 15},	//774 KCoreConfigSkeleton::addItem(KConfigSkeletonItem*, const QString&)
    {25, 929, 558, 4, 0, 69, 16},	//775 KCoreConfigSkeleton::addItemString(const QString&, QString&, const QString&, const QString&)
    {25, 905, 558, 4, 0, 62, 17},	//776 KCoreConfigSkeleton::addItemPassword(const QString&, QString&, const QString&, const QString&)
    {25, 909, 558, 4, 0, 63, 18},	//777 KCoreConfigSkeleton::addItemPath(const QString&, QString&, const QString&, const QString&)
    {25, 917, 563, 4, 0, 66, 19},	//778 KCoreConfigSkeleton::addItemProperty(const QString&, QVariant&, const QVariant&, const QString&)
    {25, 877, 568, 4, 0, 53, 20},	//779 KCoreConfigSkeleton::addItemBool(const QString&, bool&, bool, const QString&)
    {25, 889, 573, 4, 0, 59, 21},	//780 KCoreConfigSkeleton::addItemInt(const QString&, int&, int, const QString&)
    {25, 937, 578, 4, 0, 72, 22},	//781 KCoreConfigSkeleton::addItemUInt(const QString&, unsigned int&, unsigned int, const QString&)
    {25, 901, 583, 4, 0, 61, 23},	//782 KCoreConfigSkeleton::addItemLongLong(const QString&, long long&, long long, const QString&)
    {25, 893, 583, 4, 0, 61, 24},	//783 KCoreConfigSkeleton::addItemInt64(const QString&, long long&, long long, const QString&)
    {25, 945, 588, 4, 0, 73, 25},	//784 KCoreConfigSkeleton::addItemULongLong(const QString&, unsigned long long&, unsigned long long, const QString&)
    {25, 941, 588, 4, 0, 73, 26},	//785 KCoreConfigSkeleton::addItemUInt64(const QString&, unsigned long long&, unsigned long long, const QString&)
    {25, 885, 593, 4, 0, 55, 27},	//786 KCoreConfigSkeleton::addItemDouble(const QString&, double&, double, const QString&)
    {25, 921, 598, 4, 0, 67, 28},	//787 KCoreConfigSkeleton::addItemRect(const QString&, QRect&, const QRect&, const QString&)
    {25, 913, 603, 4, 0, 65, 29},	//788 KCoreConfigSkeleton::addItemPoint(const QString&, QPoint&, const QPoint&, const QString&)
    {25, 925, 608, 4, 0, 68, 30},	//789 KCoreConfigSkeleton::addItemSize(const QString&, QSize&, const QSize&, const QString&)
    {25, 881, 613, 4, 0, 54, 31},	//790 KCoreConfigSkeleton::addItemDateTime(const QString&, QDateTime&, const QDateTime&, const QString&)
    {25, 933, 618, 4, 0, 71, 32},	//791 KCoreConfigSkeleton::addItemStringList(const QString&, QStringList&, const QStringList&, const QString&)
    {25, 897, 623, 4, 0, 60, 33},	//792 KCoreConfigSkeleton::addItemIntList(const QString&, QList<int>&, const QList<int>&, const QString&)
    {25, 1158, 0, 0, 0, 42, 34},	//793 KCoreConfigSkeleton::config()
    {25, 1158, 0, 0, Smoke::mf_const, 537, 35},	//794 KCoreConfigSkeleton::config() const
    {25, 2887, 628, 1, 0, 0, 36},	//795 KCoreConfigSkeleton::setSharedConfig(KSharedPtr<KSharedConfig>)
    {25, 1875, 0, 0, Smoke::mf_const, 355, 37},	//796 KCoreConfigSkeleton::items() const
    {25, 1818, 24, 1, 0, 519, 38},	//797 KCoreConfigSkeleton::isImmutable(const QString&)
    {25, 1818, 24, 1, Smoke::mf_const, 519, 39},	//798 KCoreConfigSkeleton::isImmutable(const QString&) const
    {25, 1549, 24, 1, 0, 51, 40},	//799 KCoreConfigSkeleton::findItem(const QString&)
    {25, 1549, 24, 1, Smoke::mf_const, 51, 41},	//800 KCoreConfigSkeleton::findItem(const QString&) const
    {25, 3243, 97, 1, Smoke::mf_virtual, 519, 42},	//801 KCoreConfigSkeleton::useDefaults(bool)
    {25, 1160, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//802 KCoreConfigSkeleton::configChanged()
    {25, 3255, 97, 1, Smoke::mf_protected|Smoke::mf_virtual, 519, 44},	//803 KCoreConfigSkeleton::usrUseDefaults(bool)
    {25, 3254, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//804 KCoreConfigSkeleton::usrSetDefaults()
    {25, 3253, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//805 KCoreConfigSkeleton::usrReadConfig()
    {25, 3257, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//806 KCoreConfigSkeleton::usrWriteConfig()
    {25, 3168, 109, 1, Smoke::mf_static, 405, 48},	//807 KCoreConfigSkeleton::tr(const char*)
    {25, 3175, 109, 1, Smoke::mf_static, 405, 49},	//808 KCoreConfigSkeleton::trUtf8(const char*)
    {25, 321, 0, 0, Smoke::mf_ctor, 52, 50},	//809 KCoreConfigSkeleton::KCoreConfigSkeleton()
    {25, 321, 24, 1, Smoke::mf_ctor, 52, 51},	//810 KCoreConfigSkeleton::KCoreConfigSkeleton(const QString&)
    {25, 321, 628, 1, Smoke::mf_ctor, 52, 52},	//811 KCoreConfigSkeleton::KCoreConfigSkeleton(KSharedPtr<KSharedConfig>)
    {25, 874, 630, 1, 0, 0, 53},	//812 KCoreConfigSkeleton::addItem(KConfigSkeletonItem*)
    {25, 929, 632, 2, 0, 69, 54},	//813 KCoreConfigSkeleton::addItemString(const QString&, QString&)
    {25, 929, 635, 3, 0, 69, 55},	//814 KCoreConfigSkeleton::addItemString(const QString&, QString&, const QString&)
    {25, 905, 632, 2, 0, 62, 56},	//815 KCoreConfigSkeleton::addItemPassword(const QString&, QString&)
    {25, 905, 635, 3, 0, 62, 57},	//816 KCoreConfigSkeleton::addItemPassword(const QString&, QString&, const QString&)
    {25, 909, 632, 2, 0, 63, 58},	//817 KCoreConfigSkeleton::addItemPath(const QString&, QString&)
    {25, 909, 635, 3, 0, 63, 59},	//818 KCoreConfigSkeleton::addItemPath(const QString&, QString&, const QString&)
    {25, 917, 639, 2, 0, 66, 60},	//819 KCoreConfigSkeleton::addItemProperty(const QString&, QVariant&)
    {25, 917, 642, 3, 0, 66, 61},	//820 KCoreConfigSkeleton::addItemProperty(const QString&, QVariant&, const QVariant&)
    {25, 877, 304, 2, 0, 53, 62},	//821 KCoreConfigSkeleton::addItemBool(const QString&, bool&)
    {25, 877, 646, 3, 0, 53, 63},	//822 KCoreConfigSkeleton::addItemBool(const QString&, bool&, bool)
    {25, 889, 228, 2, 0, 59, 64},	//823 KCoreConfigSkeleton::addItemInt(const QString&, int&)
    {25, 889, 650, 3, 0, 59, 65},	//824 KCoreConfigSkeleton::addItemInt(const QString&, int&, int)
    {25, 937, 654, 2, 0, 72, 66},	//825 KCoreConfigSkeleton::addItemUInt(const QString&, unsigned int&)
    {25, 937, 657, 3, 0, 72, 67},	//826 KCoreConfigSkeleton::addItemUInt(const QString&, unsigned int&, unsigned int)
    {25, 901, 661, 2, 0, 61, 68},	//827 KCoreConfigSkeleton::addItemLongLong(const QString&, long long&)
    {25, 901, 664, 3, 0, 61, 69},	//828 KCoreConfigSkeleton::addItemLongLong(const QString&, long long&, long long)
    {25, 893, 661, 2, 0, 61, 70},	//829 KCoreConfigSkeleton::addItemInt64(const QString&, long long&)
    {25, 893, 664, 3, 0, 61, 71},	//830 KCoreConfigSkeleton::addItemInt64(const QString&, long long&, long long)
    {25, 945, 668, 2, 0, 73, 72},	//831 KCoreConfigSkeleton::addItemULongLong(const QString&, unsigned long long&)
    {25, 945, 671, 3, 0, 73, 73},	//832 KCoreConfigSkeleton::addItemULongLong(const QString&, unsigned long long&, unsigned long long)
    {25, 941, 668, 2, 0, 73, 74},	//833 KCoreConfigSkeleton::addItemUInt64(const QString&, unsigned long long&)
    {25, 941, 671, 3, 0, 73, 75},	//834 KCoreConfigSkeleton::addItemUInt64(const QString&, unsigned long long&, unsigned long long)
    {25, 885, 675, 2, 0, 55, 76},	//835 KCoreConfigSkeleton::addItemDouble(const QString&, double&)
    {25, 885, 678, 3, 0, 55, 77},	//836 KCoreConfigSkeleton::addItemDouble(const QString&, double&, double)
    {25, 921, 682, 2, 0, 67, 78},	//837 KCoreConfigSkeleton::addItemRect(const QString&, QRect&)
    {25, 921, 685, 3, 0, 67, 79},	//838 KCoreConfigSkeleton::addItemRect(const QString&, QRect&, const QRect&)
    {25, 913, 689, 2, 0, 65, 80},	//839 KCoreConfigSkeleton::addItemPoint(const QString&, QPoint&)
    {25, 913, 692, 3, 0, 65, 81},	//840 KCoreConfigSkeleton::addItemPoint(const QString&, QPoint&, const QPoint&)
    {25, 925, 696, 2, 0, 68, 82},	//841 KCoreConfigSkeleton::addItemSize(const QString&, QSize&)
    {25, 925, 699, 3, 0, 68, 83},	//842 KCoreConfigSkeleton::addItemSize(const QString&, QSize&, const QSize&)
    {25, 881, 703, 2, 0, 54, 84},	//843 KCoreConfigSkeleton::addItemDateTime(const QString&, QDateTime&)
    {25, 881, 706, 3, 0, 54, 85},	//844 KCoreConfigSkeleton::addItemDateTime(const QString&, QDateTime&, const QDateTime&)
    {25, 933, 710, 2, 0, 71, 86},	//845 KCoreConfigSkeleton::addItemStringList(const QString&, QStringList&)
    {25, 933, 713, 3, 0, 71, 87},	//846 KCoreConfigSkeleton::addItemStringList(const QString&, QStringList&, const QStringList&)
    {25, 897, 717, 2, 0, 60, 88},	//847 KCoreConfigSkeleton::addItemIntList(const QString&, QList<int>&)
    {25, 897, 720, 3, 0, 60, 89},	//848 KCoreConfigSkeleton::addItemIntList(const QString&, QList<int>&, const QList<int>&)
    {25, 3064, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 666, 90},	//849 KCoreConfigSkeleton::staticMetaObject() const
    {25, 3409, 0, 0, Smoke::mf_dtor, 0, 91 },	//850 KCoreConfigSkeleton::~KCoreConfigSkeleton()
    {26, 175, 724, 4, Smoke::mf_ctor, 53, 1},	//851 KCoreConfigSkeleton::ItemBool::ItemBool(const QString&, const QString&, bool&, bool)
    {26, 2353, 548, 1, 0, 0, 2},	//852 KCoreConfigSkeleton::ItemBool::readConfig(KConfig*)
    {26, 2867, 28, 1, 0, 0, 3},	//853 KCoreConfigSkeleton::ItemBool::setProperty(const QVariant&)
    {26, 1803, 28, 1, Smoke::mf_const, 519, 4},	//854 KCoreConfigSkeleton::ItemBool::isEqual(const QVariant&) const
    {26, 2292, 0, 0, Smoke::mf_const, 429, 5},	//855 KCoreConfigSkeleton::ItemBool::property() const
    {26, 175, 729, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 53, 6},	//856 KCoreConfigSkeleton::ItemBool::ItemBool(const KCoreConfigSkeleton::ItemBool&)
    {26, 175, 731, 3, Smoke::mf_ctor, 53, 7},	//857 KCoreConfigSkeleton::ItemBool::ItemBool(const QString&, const QString&, bool&)
    {26, 3373, 0, 0, Smoke::mf_dtor, 0, 8 },	//858 KCoreConfigSkeleton::ItemBool::~ItemBool()
    {27, 179, 735, 4, Smoke::mf_ctor, 54, 1},	//859 KCoreConfigSkeleton::ItemDateTime::ItemDateTime(const QString&, const QString&, QDateTime&, const QDateTime&)
    {27, 2353, 548, 1, 0, 0, 2},	//860 KCoreConfigSkeleton::ItemDateTime::readConfig(KConfig*)
    {27, 2867, 28, 1, 0, 0, 3},	//861 KCoreConfigSkeleton::ItemDateTime::setProperty(const QVariant&)
    {27, 1803, 28, 1, Smoke::mf_const, 519, 4},	//862 KCoreConfigSkeleton::ItemDateTime::isEqual(const QVariant&) const
    {27, 2292, 0, 0, Smoke::mf_const, 429, 5},	//863 KCoreConfigSkeleton::ItemDateTime::property() const
    {27, 179, 740, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 54, 6},	//864 KCoreConfigSkeleton::ItemDateTime::ItemDateTime(const KCoreConfigSkeleton::ItemDateTime&)
    {27, 179, 742, 3, Smoke::mf_ctor, 54, 7},	//865 KCoreConfigSkeleton::ItemDateTime::ItemDateTime(const QString&, const QString&, QDateTime&)
    {27, 3374, 0, 0, Smoke::mf_dtor, 0, 8 },	//866 KCoreConfigSkeleton::ItemDateTime::~ItemDateTime()
    {28, 183, 746, 4, Smoke::mf_ctor, 55, 1},	//867 KCoreConfigSkeleton::ItemDouble::ItemDouble(const QString&, const QString&, double&, double)
    {28, 2353, 548, 1, 0, 0, 2},	//868 KCoreConfigSkeleton::ItemDouble::readConfig(KConfig*)
    {28, 2867, 28, 1, 0, 0, 3},	//869 KCoreConfigSkeleton::ItemDouble::setProperty(const QVariant&)
    {28, 1803, 28, 1, Smoke::mf_const, 519, 4},	//870 KCoreConfigSkeleton::ItemDouble::isEqual(const QVariant&) const
    {28, 2292, 0, 0, Smoke::mf_const, 429, 5},	//871 KCoreConfigSkeleton::ItemDouble::property() const
    {28, 2052, 0, 0, Smoke::mf_const, 429, 6},	//872 KCoreConfigSkeleton::ItemDouble::minValue() const
    {28, 2042, 0, 0, Smoke::mf_const, 429, 7},	//873 KCoreConfigSkeleton::ItemDouble::maxValue() const
    {28, 2793, 751, 1, 0, 0, 8},	//874 KCoreConfigSkeleton::ItemDouble::setMinValue(double)
    {28, 2785, 751, 1, 0, 0, 9},	//875 KCoreConfigSkeleton::ItemDouble::setMaxValue(double)
    {28, 183, 753, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 55, 10},	//876 KCoreConfigSkeleton::ItemDouble::ItemDouble(const KCoreConfigSkeleton::ItemDouble&)
    {28, 183, 755, 3, Smoke::mf_ctor, 55, 11},	//877 KCoreConfigSkeleton::ItemDouble::ItemDouble(const QString&, const QString&, double&)
    {28, 3375, 0, 0, Smoke::mf_dtor, 0, 12 },	//878 KCoreConfigSkeleton::ItemDouble::~ItemDouble()
    {29, 187, 759, 5, Smoke::mf_ctor, 56, 1},	//879 KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&, int)
    {29, 187, 765, 5, Smoke::mf_ctor, 56, 2},	//880 KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&, int)
    {29, 1129, 0, 0, Smoke::mf_const, 357, 3},	//881 KCoreConfigSkeleton::ItemEnum::choices() const
    {29, 1130, 0, 0, Smoke::mf_const, 356, 4},	//882 KCoreConfigSkeleton::ItemEnum::choices2() const
    {29, 2353, 548, 1, 0, 0, 5},	//883 KCoreConfigSkeleton::ItemEnum::readConfig(KConfig*)
    {29, 3327, 548, 1, 0, 0, 6},	//884 KCoreConfigSkeleton::ItemEnum::writeConfig(KConfig*)
    {29, 187, 771, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 56, 7},	//885 KCoreConfigSkeleton::ItemEnum::ItemEnum(const KCoreConfigSkeleton::ItemEnum&)
    {29, 187, 773, 4, Smoke::mf_ctor, 56, 8},	//886 KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&)
    {29, 187, 778, 4, Smoke::mf_ctor, 56, 9},	//887 KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&)
    {29, 3376, 0, 0, Smoke::mf_dtor, 0, 10 },	//888 KCoreConfigSkeleton::ItemEnum::~ItemEnum()
    {30, 58, 0, 0, Smoke::mf_ctor, 57, 1},	//889 KCoreConfigSkeleton::ItemEnum::Choice::Choice()
    {30, 58, 783, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 57, 2},	//890 KCoreConfigSkeleton::ItemEnum::Choice::Choice(const KCoreConfigSkeleton::ItemEnum::Choice&)
    {30, 2089, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 406, 3},	//891 KCoreConfigSkeleton::ItemEnum::Choice::name() const
    {30, 2805, 24, 1, Smoke::mf_attribute, 0, 4},	//892 KCoreConfigSkeleton::ItemEnum::Choice::setName(const QString&)
    {30, 1937, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 406, 5},	//893 KCoreConfigSkeleton::ItemEnum::Choice::label() const
    {30, 2691, 24, 1, Smoke::mf_attribute, 0, 6},	//894 KCoreConfigSkeleton::ItemEnum::Choice::setLabel(const QString&)
    {30, 3320, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 406, 7},	//895 KCoreConfigSkeleton::ItemEnum::Choice::whatsThis() const
    {30, 2950, 24, 1, Smoke::mf_attribute, 0, 8},	//896 KCoreConfigSkeleton::ItemEnum::Choice::setWhatsThis(const QString&)
    {30, 3370, 0, 0, Smoke::mf_dtor, 0, 9 },	//897 KCoreConfigSkeleton::ItemEnum::Choice::~Choice()
    {31, 60, 0, 0, Smoke::mf_ctor, 58, 1},	//898 KCoreConfigSkeleton::ItemEnum::Choice2::Choice2()
    {31, 60, 785, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 58, 2},	//899 KCoreConfigSkeleton::ItemEnum::Choice2::Choice2(const KCoreConfigSkeleton::ItemEnum::Choice2&)
    {31, 2089, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 406, 3},	//900 KCoreConfigSkeleton::ItemEnum::Choice2::name() const
    {31, 2805, 24, 1, Smoke::mf_attribute, 0, 4},	//901 KCoreConfigSkeleton::ItemEnum::Choice2::setName(const QString&)
    {31, 1937, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 406, 5},	//902 KCoreConfigSkeleton::ItemEnum::Choice2::label() const
    {31, 2691, 24, 1, Smoke::mf_attribute, 0, 6},	//903 KCoreConfigSkeleton::ItemEnum::Choice2::setLabel(const QString&)
    {31, 3164, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 406, 7},	//904 KCoreConfigSkeleton::ItemEnum::Choice2::toolTip() const
    {31, 2926, 24, 1, Smoke::mf_attribute, 0, 8},	//905 KCoreConfigSkeleton::ItemEnum::Choice2::setToolTip(const QString&)
    {31, 3320, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 406, 9},	//906 KCoreConfigSkeleton::ItemEnum::Choice2::whatsThis() const
    {31, 2950, 24, 1, Smoke::mf_attribute, 0, 10},	//907 KCoreConfigSkeleton::ItemEnum::Choice2::setWhatsThis(const QString&)
    {31, 3371, 0, 0, Smoke::mf_dtor, 0, 11 },	//908 KCoreConfigSkeleton::ItemEnum::Choice2::~Choice2()
    {32, 191, 787, 4, Smoke::mf_ctor, 59, 1},	//909 KCoreConfigSkeleton::ItemInt::ItemInt(const QString&, const QString&, int&, int)
    {32, 2353, 548, 1, 0, 0, 2},	//910 KCoreConfigSkeleton::ItemInt::readConfig(KConfig*)
    {32, 2867, 28, 1, 0, 0, 3},	//911 KCoreConfigSkeleton::ItemInt::setProperty(const QVariant&)
    {32, 1803, 28, 1, Smoke::mf_const, 519, 4},	//912 KCoreConfigSkeleton::ItemInt::isEqual(const QVariant&) const
    {32, 2292, 0, 0, Smoke::mf_const, 429, 5},	//913 KCoreConfigSkeleton::ItemInt::property() const
    {32, 2052, 0, 0, Smoke::mf_const, 429, 6},	//914 KCoreConfigSkeleton::ItemInt::minValue() const
    {32, 2042, 0, 0, Smoke::mf_const, 429, 7},	//915 KCoreConfigSkeleton::ItemInt::maxValue() const
    {32, 2793, 105, 1, 0, 0, 8},	//916 KCoreConfigSkeleton::ItemInt::setMinValue(int)
    {32, 2785, 105, 1, 0, 0, 9},	//917 KCoreConfigSkeleton::ItemInt::setMaxValue(int)
    {32, 191, 792, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 59, 10},	//918 KCoreConfigSkeleton::ItemInt::ItemInt(const KCoreConfigSkeleton::ItemInt&)
    {32, 191, 794, 3, Smoke::mf_ctor, 59, 11},	//919 KCoreConfigSkeleton::ItemInt::ItemInt(const QString&, const QString&, int&)
    {32, 3377, 0, 0, Smoke::mf_dtor, 0, 12 },	//920 KCoreConfigSkeleton::ItemInt::~ItemInt()
    {33, 195, 798, 4, Smoke::mf_ctor, 60, 1},	//921 KCoreConfigSkeleton::ItemIntList::ItemIntList(const QString&, const QString&, QList<int>&, const QList<int>&)
    {33, 2353, 548, 1, 0, 0, 2},	//922 KCoreConfigSkeleton::ItemIntList::readConfig(KConfig*)
    {33, 2867, 28, 1, 0, 0, 3},	//923 KCoreConfigSkeleton::ItemIntList::setProperty(const QVariant&)
    {33, 1803, 28, 1, Smoke::mf_const, 519, 4},	//924 KCoreConfigSkeleton::ItemIntList::isEqual(const QVariant&) const
    {33, 2292, 0, 0, Smoke::mf_const, 429, 5},	//925 KCoreConfigSkeleton::ItemIntList::property() const
    {33, 195, 803, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 60, 6},	//926 KCoreConfigSkeleton::ItemIntList::ItemIntList(const KCoreConfigSkeleton::ItemIntList&)
    {33, 195, 805, 3, Smoke::mf_ctor, 60, 7},	//927 KCoreConfigSkeleton::ItemIntList::ItemIntList(const QString&, const QString&, QList<int>&)
    {33, 3378, 0, 0, Smoke::mf_dtor, 0, 8 },	//928 KCoreConfigSkeleton::ItemIntList::~ItemIntList()
    {34, 199, 809, 4, Smoke::mf_ctor, 61, 1},	//929 KCoreConfigSkeleton::ItemLongLong::ItemLongLong(const QString&, const QString&, long long&, long long)
    {34, 2353, 548, 1, 0, 0, 2},	//930 KCoreConfigSkeleton::ItemLongLong::readConfig(KConfig*)
    {34, 2867, 28, 1, 0, 0, 3},	//931 KCoreConfigSkeleton::ItemLongLong::setProperty(const QVariant&)
    {34, 1803, 28, 1, Smoke::mf_const, 519, 4},	//932 KCoreConfigSkeleton::ItemLongLong::isEqual(const QVariant&) const
    {34, 2292, 0, 0, Smoke::mf_const, 429, 5},	//933 KCoreConfigSkeleton::ItemLongLong::property() const
    {34, 2052, 0, 0, Smoke::mf_const, 429, 6},	//934 KCoreConfigSkeleton::ItemLongLong::minValue() const
    {34, 2042, 0, 0, Smoke::mf_const, 429, 7},	//935 KCoreConfigSkeleton::ItemLongLong::maxValue() const
    {34, 2793, 814, 1, 0, 0, 8},	//936 KCoreConfigSkeleton::ItemLongLong::setMinValue(long long)
    {34, 2785, 814, 1, 0, 0, 9},	//937 KCoreConfigSkeleton::ItemLongLong::setMaxValue(long long)
    {34, 199, 816, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 61, 10},	//938 KCoreConfigSkeleton::ItemLongLong::ItemLongLong(const KCoreConfigSkeleton::ItemLongLong&)
    {34, 199, 818, 3, Smoke::mf_ctor, 61, 11},	//939 KCoreConfigSkeleton::ItemLongLong::ItemLongLong(const QString&, const QString&, long long&)
    {34, 3379, 0, 0, Smoke::mf_dtor, 0, 12 },	//940 KCoreConfigSkeleton::ItemLongLong::~ItemLongLong()
    {35, 203, 822, 4, Smoke::mf_ctor, 62, 1},	//941 KCoreConfigSkeleton::ItemPassword::ItemPassword(const QString&, const QString&, QString&, const QString&)
    {35, 203, 827, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 62, 2},	//942 KCoreConfigSkeleton::ItemPassword::ItemPassword(const KCoreConfigSkeleton::ItemPassword&)
    {35, 203, 829, 3, Smoke::mf_ctor, 62, 3},	//943 KCoreConfigSkeleton::ItemPassword::ItemPassword(const QString&, const QString&, QString&)
    {35, 3380, 0, 0, Smoke::mf_dtor, 0, 4 },	//944 KCoreConfigSkeleton::ItemPassword::~ItemPassword()
    {36, 207, 822, 4, Smoke::mf_ctor, 63, 1},	//945 KCoreConfigSkeleton::ItemPath::ItemPath(const QString&, const QString&, QString&, const QString&)
    {36, 207, 833, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 63, 2},	//946 KCoreConfigSkeleton::ItemPath::ItemPath(const KCoreConfigSkeleton::ItemPath&)
    {36, 207, 829, 3, Smoke::mf_ctor, 63, 3},	//947 KCoreConfigSkeleton::ItemPath::ItemPath(const QString&, const QString&, QString&)
    {36, 3381, 0, 0, Smoke::mf_dtor, 0, 4 },	//948 KCoreConfigSkeleton::ItemPath::~ItemPath()
    {37, 211, 835, 4, Smoke::mf_ctor, 64, 1},	//949 KCoreConfigSkeleton::ItemPathList::ItemPathList(const QString&, const QString&, QStringList&, const QStringList&)
    {37, 2353, 548, 1, 0, 0, 2},	//950 KCoreConfigSkeleton::ItemPathList::readConfig(KConfig*)
    {37, 3327, 548, 1, 0, 0, 3},	//951 KCoreConfigSkeleton::ItemPathList::writeConfig(KConfig*)
    {37, 211, 840, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 64, 4},	//952 KCoreConfigSkeleton::ItemPathList::ItemPathList(const KCoreConfigSkeleton::ItemPathList&)
    {37, 211, 842, 3, Smoke::mf_ctor, 64, 5},	//953 KCoreConfigSkeleton::ItemPathList::ItemPathList(const QString&, const QString&, QStringList&)
    {37, 3382, 0, 0, Smoke::mf_dtor, 0, 6 },	//954 KCoreConfigSkeleton::ItemPathList::~ItemPathList()
    {38, 215, 846, 4, Smoke::mf_ctor, 65, 1},	//955 KCoreConfigSkeleton::ItemPoint::ItemPoint(const QString&, const QString&, QPoint&, const QPoint&)
    {38, 2353, 548, 1, 0, 0, 2},	//956 KCoreConfigSkeleton::ItemPoint::readConfig(KConfig*)
    {38, 2867, 28, 1, 0, 0, 3},	//957 KCoreConfigSkeleton::ItemPoint::setProperty(const QVariant&)
    {38, 1803, 28, 1, Smoke::mf_const, 519, 4},	//958 KCoreConfigSkeleton::ItemPoint::isEqual(const QVariant&) const
    {38, 2292, 0, 0, Smoke::mf_const, 429, 5},	//959 KCoreConfigSkeleton::ItemPoint::property() const
    {38, 215, 851, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 65, 6},	//960 KCoreConfigSkeleton::ItemPoint::ItemPoint(const KCoreConfigSkeleton::ItemPoint&)
    {38, 215, 853, 3, Smoke::mf_ctor, 65, 7},	//961 KCoreConfigSkeleton::ItemPoint::ItemPoint(const QString&, const QString&, QPoint&)
    {38, 3383, 0, 0, Smoke::mf_dtor, 0, 8 },	//962 KCoreConfigSkeleton::ItemPoint::~ItemPoint()
    {39, 219, 857, 4, Smoke::mf_ctor, 66, 1},	//963 KCoreConfigSkeleton::ItemProperty::ItemProperty(const QString&, const QString&, QVariant&, const QVariant&)
    {39, 2353, 548, 1, 0, 0, 2},	//964 KCoreConfigSkeleton::ItemProperty::readConfig(KConfig*)
    {39, 2867, 28, 1, 0, 0, 3},	//965 KCoreConfigSkeleton::ItemProperty::setProperty(const QVariant&)
    {39, 1803, 28, 1, Smoke::mf_const, 519, 4},	//966 KCoreConfigSkeleton::ItemProperty::isEqual(const QVariant&) const
    {39, 2292, 0, 0, Smoke::mf_const, 429, 5},	//967 KCoreConfigSkeleton::ItemProperty::property() const
    {39, 219, 862, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 66, 6},	//968 KCoreConfigSkeleton::ItemProperty::ItemProperty(const KCoreConfigSkeleton::ItemProperty&)
    {39, 219, 864, 3, Smoke::mf_ctor, 66, 7},	//969 KCoreConfigSkeleton::ItemProperty::ItemProperty(const QString&, const QString&, QVariant&)
    {39, 3384, 0, 0, Smoke::mf_dtor, 0, 8 },	//970 KCoreConfigSkeleton::ItemProperty::~ItemProperty()
    {40, 223, 868, 4, Smoke::mf_ctor, 67, 1},	//971 KCoreConfigSkeleton::ItemRect::ItemRect(const QString&, const QString&, QRect&, const QRect&)
    {40, 2353, 548, 1, 0, 0, 2},	//972 KCoreConfigSkeleton::ItemRect::readConfig(KConfig*)
    {40, 2867, 28, 1, 0, 0, 3},	//973 KCoreConfigSkeleton::ItemRect::setProperty(const QVariant&)
    {40, 1803, 28, 1, Smoke::mf_const, 519, 4},	//974 KCoreConfigSkeleton::ItemRect::isEqual(const QVariant&) const
    {40, 2292, 0, 0, Smoke::mf_const, 429, 5},	//975 KCoreConfigSkeleton::ItemRect::property() const
    {40, 223, 873, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 67, 6},	//976 KCoreConfigSkeleton::ItemRect::ItemRect(const KCoreConfigSkeleton::ItemRect&)
    {40, 223, 875, 3, Smoke::mf_ctor, 67, 7},	//977 KCoreConfigSkeleton::ItemRect::ItemRect(const QString&, const QString&, QRect&)
    {40, 3385, 0, 0, Smoke::mf_dtor, 0, 8 },	//978 KCoreConfigSkeleton::ItemRect::~ItemRect()
    {41, 227, 879, 4, Smoke::mf_ctor, 68, 1},	//979 KCoreConfigSkeleton::ItemSize::ItemSize(const QString&, const QString&, QSize&, const QSize&)
    {41, 2353, 548, 1, 0, 0, 2},	//980 KCoreConfigSkeleton::ItemSize::readConfig(KConfig*)
    {41, 2867, 28, 1, 0, 0, 3},	//981 KCoreConfigSkeleton::ItemSize::setProperty(const QVariant&)
    {41, 1803, 28, 1, Smoke::mf_const, 519, 4},	//982 KCoreConfigSkeleton::ItemSize::isEqual(const QVariant&) const
    {41, 2292, 0, 0, Smoke::mf_const, 429, 5},	//983 KCoreConfigSkeleton::ItemSize::property() const
    {41, 227, 884, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 68, 6},	//984 KCoreConfigSkeleton::ItemSize::ItemSize(const KCoreConfigSkeleton::ItemSize&)
    {41, 227, 886, 3, Smoke::mf_ctor, 68, 7},	//985 KCoreConfigSkeleton::ItemSize::ItemSize(const QString&, const QString&, QSize&)
    {41, 3386, 0, 0, Smoke::mf_dtor, 0, 8 },	//986 KCoreConfigSkeleton::ItemSize::~ItemSize()
    {42, 231, 890, 5, Smoke::mf_ctor, 69, 1},	//987 KCoreConfigSkeleton::ItemString::ItemString(const QString&, const QString&, QString&, const QString&, KCoreConfigSkeleton::ItemString::Type)
    {42, 3327, 548, 1, 0, 0, 2},	//988 KCoreConfigSkeleton::ItemString::writeConfig(KConfig*)
    {42, 2353, 548, 1, 0, 0, 3},	//989 KCoreConfigSkeleton::ItemString::readConfig(KConfig*)
    {42, 2867, 28, 1, 0, 0, 4},	//990 KCoreConfigSkeleton::ItemString::setProperty(const QVariant&)
    {42, 1803, 28, 1, Smoke::mf_const, 519, 5},	//991 KCoreConfigSkeleton::ItemString::isEqual(const QVariant&) const
    {42, 2292, 0, 0, Smoke::mf_const, 429, 6},	//992 KCoreConfigSkeleton::ItemString::property() const
    {42, 231, 896, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 69, 7},	//993 KCoreConfigSkeleton::ItemString::ItemString(const KCoreConfigSkeleton::ItemString&)
    {42, 231, 829, 3, Smoke::mf_ctor, 69, 8},	//994 KCoreConfigSkeleton::ItemString::ItemString(const QString&, const QString&, QString&)
    {42, 231, 822, 4, Smoke::mf_ctor, 69, 9},	//995 KCoreConfigSkeleton::ItemString::ItemString(const QString&, const QString&, QString&, const QString&)
    {42, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 10},	//996 KCoreConfigSkeleton::ItemString::Normal (enum)
    {42, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 11},	//997 KCoreConfigSkeleton::ItemString::Password (enum)
    {42, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 12},	//998 KCoreConfigSkeleton::ItemString::Path (enum)
    {42, 3387, 0, 0, Smoke::mf_dtor, 0, 13 },	//999 KCoreConfigSkeleton::ItemString::~ItemString()
    {43, 236, 835, 4, Smoke::mf_ctor, 71, 1},	//1000 KCoreConfigSkeleton::ItemStringList::ItemStringList(const QString&, const QString&, QStringList&, const QStringList&)
    {43, 2353, 548, 1, 0, 0, 2},	//1001 KCoreConfigSkeleton::ItemStringList::readConfig(KConfig*)
    {43, 2867, 28, 1, 0, 0, 3},	//1002 KCoreConfigSkeleton::ItemStringList::setProperty(const QVariant&)
    {43, 1803, 28, 1, Smoke::mf_const, 519, 4},	//1003 KCoreConfigSkeleton::ItemStringList::isEqual(const QVariant&) const
    {43, 2292, 0, 0, Smoke::mf_const, 429, 5},	//1004 KCoreConfigSkeleton::ItemStringList::property() const
    {43, 236, 898, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 71, 6},	//1005 KCoreConfigSkeleton::ItemStringList::ItemStringList(const KCoreConfigSkeleton::ItemStringList&)
    {43, 236, 842, 3, Smoke::mf_ctor, 71, 7},	//1006 KCoreConfigSkeleton::ItemStringList::ItemStringList(const QString&, const QString&, QStringList&)
    {43, 3388, 0, 0, Smoke::mf_dtor, 0, 8 },	//1007 KCoreConfigSkeleton::ItemStringList::~ItemStringList()
    {44, 240, 900, 4, Smoke::mf_ctor, 72, 1},	//1008 KCoreConfigSkeleton::ItemUInt::ItemUInt(const QString&, const QString&, unsigned int&, unsigned int)
    {44, 2353, 548, 1, 0, 0, 2},	//1009 KCoreConfigSkeleton::ItemUInt::readConfig(KConfig*)
    {44, 2867, 28, 1, 0, 0, 3},	//1010 KCoreConfigSkeleton::ItemUInt::setProperty(const QVariant&)
    {44, 1803, 28, 1, Smoke::mf_const, 519, 4},	//1011 KCoreConfigSkeleton::ItemUInt::isEqual(const QVariant&) const
    {44, 2292, 0, 0, Smoke::mf_const, 429, 5},	//1012 KCoreConfigSkeleton::ItemUInt::property() const
    {44, 2052, 0, 0, Smoke::mf_const, 429, 6},	//1013 KCoreConfigSkeleton::ItemUInt::minValue() const
    {44, 2042, 0, 0, Smoke::mf_const, 429, 7},	//1014 KCoreConfigSkeleton::ItemUInt::maxValue() const
    {44, 2793, 905, 1, 0, 0, 8},	//1015 KCoreConfigSkeleton::ItemUInt::setMinValue(unsigned int)
    {44, 2785, 905, 1, 0, 0, 9},	//1016 KCoreConfigSkeleton::ItemUInt::setMaxValue(unsigned int)
    {44, 240, 907, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 72, 10},	//1017 KCoreConfigSkeleton::ItemUInt::ItemUInt(const KCoreConfigSkeleton::ItemUInt&)
    {44, 240, 909, 3, Smoke::mf_ctor, 72, 11},	//1018 KCoreConfigSkeleton::ItemUInt::ItemUInt(const QString&, const QString&, unsigned int&)
    {44, 3389, 0, 0, Smoke::mf_dtor, 0, 12 },	//1019 KCoreConfigSkeleton::ItemUInt::~ItemUInt()
    {45, 244, 913, 4, Smoke::mf_ctor, 73, 1},	//1020 KCoreConfigSkeleton::ItemULongLong::ItemULongLong(const QString&, const QString&, unsigned long long&, unsigned long long)
    {45, 2353, 548, 1, 0, 0, 2},	//1021 KCoreConfigSkeleton::ItemULongLong::readConfig(KConfig*)
    {45, 2867, 28, 1, 0, 0, 3},	//1022 KCoreConfigSkeleton::ItemULongLong::setProperty(const QVariant&)
    {45, 1803, 28, 1, Smoke::mf_const, 519, 4},	//1023 KCoreConfigSkeleton::ItemULongLong::isEqual(const QVariant&) const
    {45, 2292, 0, 0, Smoke::mf_const, 429, 5},	//1024 KCoreConfigSkeleton::ItemULongLong::property() const
    {45, 2052, 0, 0, Smoke::mf_const, 429, 6},	//1025 KCoreConfigSkeleton::ItemULongLong::minValue() const
    {45, 2042, 0, 0, Smoke::mf_const, 429, 7},	//1026 KCoreConfigSkeleton::ItemULongLong::maxValue() const
    {45, 2793, 918, 1, 0, 0, 8},	//1027 KCoreConfigSkeleton::ItemULongLong::setMinValue(unsigned long long)
    {45, 2785, 918, 1, 0, 0, 9},	//1028 KCoreConfigSkeleton::ItemULongLong::setMaxValue(unsigned long long)
    {45, 244, 920, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 73, 10},	//1029 KCoreConfigSkeleton::ItemULongLong::ItemULongLong(const KCoreConfigSkeleton::ItemULongLong&)
    {45, 244, 922, 3, Smoke::mf_ctor, 73, 11},	//1030 KCoreConfigSkeleton::ItemULongLong::ItemULongLong(const QString&, const QString&, unsigned long long&)
    {45, 3390, 0, 0, Smoke::mf_dtor, 0, 12 },	//1031 KCoreConfigSkeleton::ItemULongLong::~ItemULongLong()
    {46, 248, 926, 4, Smoke::mf_ctor, 74, 1},	//1032 KCoreConfigSkeleton::ItemUrl::ItemUrl(const QString&, const QString&, KUrl&, const KUrl&)
    {46, 3327, 548, 1, 0, 0, 2},	//1033 KCoreConfigSkeleton::ItemUrl::writeConfig(KConfig*)
    {46, 2353, 548, 1, 0, 0, 3},	//1034 KCoreConfigSkeleton::ItemUrl::readConfig(KConfig*)
    {46, 2867, 28, 1, 0, 0, 4},	//1035 KCoreConfigSkeleton::ItemUrl::setProperty(const QVariant&)
    {46, 1803, 28, 1, Smoke::mf_const, 519, 5},	//1036 KCoreConfigSkeleton::ItemUrl::isEqual(const QVariant&) const
    {46, 2292, 0, 0, Smoke::mf_const, 429, 6},	//1037 KCoreConfigSkeleton::ItemUrl::property() const
    {46, 248, 931, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 74, 7},	//1038 KCoreConfigSkeleton::ItemUrl::ItemUrl(const KCoreConfigSkeleton::ItemUrl&)
    {46, 248, 933, 3, Smoke::mf_ctor, 74, 8},	//1039 KCoreConfigSkeleton::ItemUrl::ItemUrl(const QString&, const QString&, KUrl&)
    {46, 3391, 0, 0, Smoke::mf_dtor, 0, 9 },	//1040 KCoreConfigSkeleton::ItemUrl::~ItemUrl()
    {47, 252, 937, 4, Smoke::mf_ctor, 75, 1},	//1041 KCoreConfigSkeleton::ItemUrlList::ItemUrlList(const QString&, const QString&, KUrl::List&, const KUrl::List&)
    {47, 2353, 548, 1, 0, 0, 2},	//1042 KCoreConfigSkeleton::ItemUrlList::readConfig(KConfig*)
    {47, 3327, 548, 1, 0, 0, 3},	//1043 KCoreConfigSkeleton::ItemUrlList::writeConfig(KConfig*)
    {47, 2867, 28, 1, 0, 0, 4},	//1044 KCoreConfigSkeleton::ItemUrlList::setProperty(const QVariant&)
    {47, 1803, 28, 1, Smoke::mf_const, 519, 5},	//1045 KCoreConfigSkeleton::ItemUrlList::isEqual(const QVariant&) const
    {47, 2292, 0, 0, Smoke::mf_const, 429, 6},	//1046 KCoreConfigSkeleton::ItemUrlList::property() const
    {47, 252, 942, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 75, 7},	//1047 KCoreConfigSkeleton::ItemUrlList::ItemUrlList(const KCoreConfigSkeleton::ItemUrlList&)
    {47, 252, 944, 3, Smoke::mf_ctor, 75, 8},	//1048 KCoreConfigSkeleton::ItemUrlList::ItemUrlList(const QString&, const QString&, KUrl::List&)
    {47, 3392, 0, 0, Smoke::mf_dtor, 0, 9 },	//1049 KCoreConfigSkeleton::ItemUrlList::~ItemUrlList()
    {48, 326, 89, 2, Smoke::mf_ctor, 77, 1},	//1050 KCurrencyCode::KCurrencyCode(const QString&, const QString&)
    {48, 326, 948, 2, Smoke::mf_ctor, 77, 2},	//1051 KCurrencyCode::KCurrencyCode(const QFileInfo&, const QString&)
    {48, 326, 951, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 77, 3},	//1052 KCurrencyCode::KCurrencyCode(const KCurrencyCode&)
    {48, 2185, 951, 1, 0, 76, 4},	//1053 KCurrencyCode::operator=(const KCurrencyCode&)
    {48, 1872, 0, 0, Smoke::mf_const, 405, 5},	//1054 KCurrencyCode::isoCurrencyCode() const
    {48, 1873, 0, 0, Smoke::mf_const, 405, 6},	//1055 KCurrencyCode::isoCurrencyCodeNumeric() const
    {48, 2089, 0, 0, Smoke::mf_const, 405, 7},	//1056 KCurrencyCode::name() const
    {48, 1874, 0, 0, Smoke::mf_const, 405, 8},	//1057 KCurrencyCode::isoName() const
    {48, 3067, 0, 0, Smoke::mf_const, 78, 9},	//1058 KCurrencyCode::status() const
    {48, 1254, 0, 0, Smoke::mf_const, 278, 10},	//1059 KCurrencyCode::dateIntroduced() const
    {48, 1256, 0, 0, Smoke::mf_const, 278, 11},	//1060 KCurrencyCode::dateSuspended() const
    {48, 1261, 0, 0, Smoke::mf_const, 278, 12},	//1061 KCurrencyCode::dateWithdrawn() const
    {48, 3104, 0, 0, Smoke::mf_const, 410, 13},	//1062 KCurrencyCode::symbolList() const
    {48, 1322, 0, 0, Smoke::mf_const, 405, 14},	//1063 KCurrencyCode::defaultSymbol() const
    {48, 3215, 0, 0, Smoke::mf_const, 405, 15},	//1064 KCurrencyCode::unambiguousSymbol() const
    {48, 1691, 0, 0, Smoke::mf_const, 519, 16},	//1065 KCurrencyCode::hasSubunits() const
    {48, 1692, 0, 0, Smoke::mf_const, 519, 17},	//1066 KCurrencyCode::hasSubunitsInCirculation() const
    {48, 3091, 0, 0, Smoke::mf_const, 405, 18},	//1067 KCurrencyCode::subunitSymbol() const
    {48, 3092, 0, 0, Smoke::mf_const, 714, 19},	//1068 KCurrencyCode::subunitsPerUnit() const
    {48, 1299, 0, 0, Smoke::mf_const, 714, 20},	//1069 KCurrencyCode::decimalPlaces() const
    {48, 1196, 0, 0, Smoke::mf_const, 410, 21},	//1070 KCurrencyCode::countriesUsingCurrency() const
    {48, 1864, 0, 0, Smoke::mf_const, 519, 22},	//1071 KCurrencyCode::isValid() const
    {48, 1864, 953, 2, Smoke::mf_static, 519, 23},	//1072 KCurrencyCode::isValid(const QString&, QFlags<KCurrencyCode::CurrencyStatus>)
    {48, 1002, 956, 1, Smoke::mf_static, 410, 24},	//1073 KCurrencyCode::allCurrencyCodesList(QFlags<KCurrencyCode::CurrencyStatus>)
    {48, 1222, 89, 2, Smoke::mf_static, 405, 25},	//1074 KCurrencyCode::currencyCodeToName(const QString&, const QString&)
    {48, 326, 24, 1, Smoke::mf_ctor, 77, 26},	//1075 KCurrencyCode::KCurrencyCode(const QString&)
    {48, 326, 958, 1, Smoke::mf_ctor, 77, 27},	//1076 KCurrencyCode::KCurrencyCode(const QFileInfo&)
    {48, 1864, 24, 1, Smoke::mf_static, 519, 28},	//1077 KCurrencyCode::isValid(const QString&)
    {48, 1002, 0, 0, Smoke::mf_static, 410, 29},	//1078 KCurrencyCode::allCurrencyCodesList()
    {48, 1222, 24, 1, Smoke::mf_static, 405, 30},	//1079 KCurrencyCode::currencyCodeToName(const QString&)
    {48, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 31},	//1080 KCurrencyCode::ActiveCurrency (enum)
    {48, 734, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 32},	//1081 KCurrencyCode::SuspendedCurrency (enum)
    {48, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 33},	//1082 KCurrencyCode::ObsoleteCurrency (enum)
    {48, 3410, 0, 0, Smoke::mf_dtor, 0, 34 },	//1083 KCurrencyCode::~KCurrencyCode()
    {49, 3275, 0, 0, Smoke::mf_static, 730, 1},	//1084 KDE::versionRelease()
    {49, 2055, 960, 2, Smoke::mf_static, 714, 2},	//1085 KDE::mkdir(const QString&, unsigned int)
    {49, 2132, 963, 3, Smoke::mf_static, 714, 3},	//1086 KDE::open(const QString&, int, unsigned int)
    {49, 2132, 967, 2, Smoke::mf_static, 714, 4},	//1087 KDE::open(const QString&, int)
    {49, 825, 967, 2, Smoke::mf_static, 714, 5},	//1088 KDE::access(const QString&, int)
    {49, 3272, 0, 0, Smoke::mf_static, 730, 6},	//1089 KDE::version()
    {49, 3273, 0, 0, Smoke::mf_static, 730, 7},	//1090 KDE::versionMajor()
    {49, 3274, 0, 0, Smoke::mf_static, 730, 8},	//1091 KDE::versionMinor()
    {49, 3276, 0, 0, Smoke::mf_static, 699, 9},	//1092 KDE::versionString()
    {49, 1127, 960, 2, Smoke::mf_static, 714, 10},	//1093 KDE::chmod(const QString&, unsigned int)
    {49, 1563, 477, 2, Smoke::mf_static, 515, 11},	//1094 KDE::fopen(const QString&, const char*)
    {49, 2445, 89, 2, Smoke::mf_static, 714, 12},	//1095 KDE::rename(const QString&, const QString&)
    {50, 2048, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 667, 1},	//1096 KDEDModule::metaObject() const
    {50, 2319, 109, 1, Smoke::mf_virtual, 737, 2},	//1097 KDEDModule::qt_metacast(const char*)
    {50, 3168, 111, 2, Smoke::mf_static, 405, 3},	//1098 KDEDModule::tr(const char*, const char*)
    {50, 3175, 111, 2, Smoke::mf_static, 405, 4},	//1099 KDEDModule::trUtf8(const char*, const char*)
    {50, 3168, 114, 3, Smoke::mf_static, 405, 5},	//1100 KDEDModule::tr(const char*, const char*, int)
    {50, 3175, 114, 3, Smoke::mf_static, 405, 6},	//1101 KDEDModule::trUtf8(const char*, const char*, int)
    {50, 2317, 118, 3, Smoke::mf_virtual, 714, 7},	//1102 KDEDModule::qt_metacall(QMetaObject::Call, int, void**)
    {50, 331, 133, 1, Smoke::mf_ctor, 79, 8},	//1103 KDEDModule::KDEDModule(QObject*)
    {50, 2795, 24, 1, 0, 0, 9},	//1104 KDEDModule::setModuleName(const QString&)
    {50, 2062, 0, 0, Smoke::mf_const, 405, 10},	//1105 KDEDModule::moduleName() const
    {50, 2060, 970, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//1106 KDEDModule::moduleDeleted(KDEDModule*)
    {50, 3321, 972, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//1107 KDEDModule::windowRegistered(qlonglong)
    {50, 3323, 972, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//1108 KDEDModule::windowUnregistered(qlonglong)
    {50, 2063, 974, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1109 KDEDModule::moduleRegistered(const QDBusObjectPath&)
    {50, 3168, 109, 1, Smoke::mf_static, 405, 15},	//1110 KDEDModule::tr(const char*)
    {50, 3175, 109, 1, Smoke::mf_static, 405, 16},	//1111 KDEDModule::trUtf8(const char*)
    {50, 331, 0, 0, Smoke::mf_ctor, 79, 17},	//1112 KDEDModule::KDEDModule()
    {50, 3064, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 666, 18},	//1113 KDEDModule::staticMetaObject() const
    {50, 3411, 0, 0, Smoke::mf_dtor, 0, 19 },	//1114 KDEDModule::~KDEDModule()
    {51, 333, 0, 0, Smoke::mf_ctor, 80, 1},	//1115 KDEPluginVerificationData::KDEPluginVerificationData()
    {51, 333, 976, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 80, 2},	//1116 KDEPluginVerificationData::KDEPluginVerificationData(const KDEPluginVerificationData&)
    {51, 1243, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 728, 3},	//1117 KDEPluginVerificationData::dataVersion() const
    {51, 2592, 978, 1, Smoke::mf_attribute, 0, 4},	//1118 KDEPluginVerificationData::setDataVersion(unsigned char)
    {51, 335, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 730, 5},	//1119 KDEPluginVerificationData::KDEVersion() const
    {51, 2685, 905, 1, Smoke::mf_attribute, 0, 6},	//1120 KDEPluginVerificationData::setKDEVersion(unsigned int)
    {51, 336, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 699, 7},	//1121 KDEPluginVerificationData::KDEVersionString() const
    {51, 2687, 109, 1, Smoke::mf_attribute, 0, 8},	//1122 KDEPluginVerificationData::setKDEVersionString(const char*)
    {51, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 718, 9},	//1123 KDEPluginVerificationData::PluginVerificationDataVersion (enum)
    {51, 3412, 0, 0, Smoke::mf_dtor, 0, 10 },	//1124 KDEPluginVerificationData::~KDEPluginVerificationData()
    {52, 337, 0, 0, Smoke::mf_ctor, 83, 1},	//1125 KDateTime::KDateTime()
    {52, 337, 980, 2, Smoke::mf_ctor, 83, 2},	//1126 KDateTime::KDateTime(const QDate&, const KDateTime::Spec&)
    {52, 337, 983, 3, Smoke::mf_ctor, 83, 3},	//1127 KDateTime::KDateTime(const QDate&, const QTime&, const KDateTime::Spec&)
    {52, 337, 987, 2, Smoke::mf_ctor, 83, 4},	//1128 KDateTime::KDateTime(const QDateTime&, const KDateTime::Spec&)
    {52, 337, 990, 1, Smoke::mf_ctor, 83, 5},	//1129 KDateTime::KDateTime(const QDateTime&)
    {52, 337, 992, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 83, 6},	//1130 KDateTime::KDateTime(const KDateTime&)
    {52, 2185, 992, 1, 0, 82, 7},	//1131 KDateTime::operator=(const KDateTime&)
    {52, 1835, 0, 0, Smoke::mf_const, 519, 8},	//1132 KDateTime::isNull() const
    {52, 1864, 0, 0, Smoke::mf_const, 519, 9},	//1133 KDateTime::isValid() const
    {52, 1788, 0, 0, Smoke::mf_const, 519, 10},	//1134 KDateTime::isDateOnly() const
    {52, 1249, 0, 0, Smoke::mf_const, 278, 11},	//1135 KDateTime::date() const
    {52, 3131, 0, 0, Smoke::mf_const, 422, 12},	//1136 KDateTime::time() const
    {52, 1257, 0, 0, Smoke::mf_const, 280, 13},	//1137 KDateTime::dateTime() const
    {52, 3136, 0, 0, Smoke::mf_const, 215, 14},	//1138 KDateTime::timeZone() const
    {52, 3133, 0, 0, Smoke::mf_const, 85, 15},	//1139 KDateTime::timeSpec() const
    {52, 3135, 0, 0, Smoke::mf_const, 88, 16},	//1140 KDateTime::timeType() const
    {52, 1829, 0, 0, Smoke::mf_const, 519, 17},	//1141 KDateTime::isLocalZone() const
    {52, 1783, 0, 0, Smoke::mf_const, 519, 18},	//1142 KDateTime::isClockTime() const
    {52, 1861, 0, 0, Smoke::mf_const, 519, 19},	//1143 KDateTime::isUtc() const
    {52, 1836, 0, 0, Smoke::mf_const, 519, 20},	//1144 KDateTime::isOffsetFromUtc() const
    {52, 3259, 0, 0, Smoke::mf_const, 714, 21},	//1145 KDateTime::utcOffset() const
    {52, 1847, 0, 0, Smoke::mf_const, 519, 22},	//1146 KDateTime::isSecondOccurrence() const
    {52, 3157, 0, 0, Smoke::mf_const, 81, 23},	//1147 KDateTime::toUtc() const
    {52, 3147, 0, 0, Smoke::mf_const, 81, 24},	//1148 KDateTime::toOffsetFromUtc() const
    {52, 3147, 105, 1, Smoke::mf_const, 81, 25},	//1149 KDateTime::toOffsetFromUtc(int) const
    {52, 3145, 0, 0, Smoke::mf_const, 81, 26},	//1150 KDateTime::toLocalZone() const
    {52, 3139, 0, 0, Smoke::mf_const, 81, 27},	//1151 KDateTime::toClockTime() const
    {52, 3159, 994, 1, Smoke::mf_const, 81, 28},	//1152 KDateTime::toZone(const KTimeZone&) const
    {52, 3153, 996, 1, Smoke::mf_const, 81, 29},	//1153 KDateTime::toTimeSpec(const KDateTime::Spec&) const
    {52, 3153, 992, 1, Smoke::mf_const, 81, 30},	//1154 KDateTime::toTimeSpec(const KDateTime&) const
    {52, 3155, 0, 0, Smoke::mf_const, 730, 31},	//1155 KDateTime::toTime_t() const
    {52, 2924, 814, 1, 0, 0, 32},	//1156 KDateTime::setTime_t(long long)
    {52, 2607, 97, 1, 0, 0, 33},	//1157 KDateTime::setDateOnly(bool)
    {52, 2594, 174, 1, 0, 0, 34},	//1158 KDateTime::setDate(const QDate&)
    {52, 2918, 998, 1, 0, 0, 35},	//1159 KDateTime::setTime(const QTime&)
    {52, 2609, 990, 1, 0, 0, 36},	//1160 KDateTime::setDateTime(const QDateTime&)
    {52, 2922, 996, 1, 0, 0, 37},	//1161 KDateTime::setTimeSpec(const KDateTime::Spec&)
    {52, 2881, 97, 1, 0, 0, 38},	//1162 KDateTime::setSecondOccurrence(bool)
    {52, 955, 814, 1, Smoke::mf_const, 81, 39},	//1163 KDateTime::addMSecs(long long) const
    {52, 973, 814, 1, Smoke::mf_const, 81, 40},	//1164 KDateTime::addSecs(long long) const
    {52, 867, 105, 1, Smoke::mf_const, 81, 41},	//1165 KDateTime::addDays(int) const
    {52, 957, 105, 1, Smoke::mf_const, 81, 42},	//1166 KDateTime::addMonths(int) const
    {52, 994, 105, 1, Smoke::mf_const, 81, 43},	//1167 KDateTime::addYears(int) const
    {52, 2490, 992, 1, Smoke::mf_const, 714, 44},	//1168 KDateTime::secsTo(const KDateTime&) const
    {52, 2492, 992, 1, Smoke::mf_const, 720, 45},	//1169 KDateTime::secsTo_long(const KDateTime&) const
    {52, 1296, 992, 1, Smoke::mf_const, 714, 46},	//1170 KDateTime::daysTo(const KDateTime&) const
    {52, 1231, 0, 0, Smoke::mf_static, 81, 47},	//1171 KDateTime::currentLocalDateTime()
    {52, 1235, 0, 0, Smoke::mf_static, 81, 48},	//1172 KDateTime::currentUtcDateTime()
    {52, 1227, 996, 1, Smoke::mf_static, 81, 49},	//1173 KDateTime::currentDateTime(const KDateTime::Spec&)
    {52, 1230, 0, 0, Smoke::mf_static, 278, 50},	//1174 KDateTime::currentLocalDate()
    {52, 1232, 0, 0, Smoke::mf_static, 422, 51},	//1175 KDateTime::currentLocalTime()
    {52, 3149, 24, 1, Smoke::mf_const, 405, 52},	//1176 KDateTime::toString(const QString&) const
    {52, 3149, 1000, 1, Smoke::mf_const, 405, 53},	//1177 KDateTime::toString(KDateTime::TimeFormat) const
    {52, 1620, 1002, 3, Smoke::mf_static, 81, 54},	//1178 KDateTime::fromString(const QString&, KDateTime::TimeFormat, bool*)
    {52, 1620, 1006, 4, Smoke::mf_static, 81, 55},	//1179 KDateTime::fromString(const QString&, const QString&, const KTimeZones*, bool)
    {52, 2667, 996, 1, Smoke::mf_static, 0, 56},	//1180 KDateTime::setFromStringDefault(const KDateTime::Spec&)
    {52, 2220, 0, 0, Smoke::mf_const, 519, 57},	//1181 KDateTime::outOfRange() const
    {52, 1151, 992, 1, Smoke::mf_const, 84, 58},	//1182 KDateTime::compare(const KDateTime&) const
    {52, 2188, 992, 1, Smoke::mf_const, 519, 59},	//1183 KDateTime::operator==(const KDateTime&) const
    {52, 2145, 992, 1, Smoke::mf_const, 519, 60},	//1184 KDateTime::operator!=(const KDateTime&) const
    {52, 2167, 992, 1, Smoke::mf_const, 519, 61},	//1185 KDateTime::operator<(const KDateTime&) const
    {52, 2179, 992, 1, Smoke::mf_const, 519, 62},	//1186 KDateTime::operator<=(const KDateTime&) const
    {52, 2195, 992, 1, Smoke::mf_const, 519, 63},	//1187 KDateTime::operator>(const KDateTime&) const
    {52, 2201, 992, 1, Smoke::mf_const, 519, 64},	//1188 KDateTime::operator>=(const KDateTime&) const
    {52, 1349, 0, 0, 0, 0, 65},	//1189 KDateTime::detach()
    {52, 2897, 992, 1, Smoke::mf_static, 0, 66},	//1190 KDateTime::setSimulatedSystemTime(const KDateTime&)
    {52, 2409, 0, 0, Smoke::mf_static, 81, 67},	//1191 KDateTime::realCurrentLocalDateTime()
    {52, 337, 174, 1, Smoke::mf_ctor, 83, 68},	//1192 KDateTime::KDateTime(const QDate&)
    {52, 337, 1011, 2, Smoke::mf_ctor, 83, 69},	//1193 KDateTime::KDateTime(const QDate&, const QTime&)
    {52, 3149, 0, 0, Smoke::mf_const, 405, 70},	//1194 KDateTime::toString() const
    {52, 1620, 24, 1, Smoke::mf_static, 81, 71},	//1195 KDateTime::fromString(const QString&)
    {52, 1620, 1014, 2, Smoke::mf_static, 81, 72},	//1196 KDateTime::fromString(const QString&, KDateTime::TimeFormat)
    {52, 1620, 89, 2, Smoke::mf_static, 81, 73},	//1197 KDateTime::fromString(const QString&, const QString&)
    {52, 1620, 1017, 3, Smoke::mf_static, 81, 74},	//1198 KDateTime::fromString(const QString&, const QString&, const KTimeZones*)
    {52, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 75},	//1199 KDateTime::Invalid (enum)
    {52, 760, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 76},	//1200 KDateTime::UTC (enum)
    {52, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 77},	//1201 KDateTime::OffsetFromUTC (enum)
    {52, 751, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 78},	//1202 KDateTime::TimeZone (enum)
    {52, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 79},	//1203 KDateTime::LocalZone (enum)
    {52, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 80},	//1204 KDateTime::ClockTime (enum)
    {52, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 81},	//1205 KDateTime::ISODate (enum)
    {52, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 82},	//1206 KDateTime::RFCDate (enum)
    {52, 669, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 83},	//1207 KDateTime::RFCDateDay (enum)
    {52, 665, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 84},	//1208 KDateTime::QtTextDate (enum)
    {52, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 85},	//1209 KDateTime::LocalDate (enum)
    {52, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 86},	//1210 KDateTime::Before (enum)
    {52, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 87},	//1211 KDateTime::AtStart (enum)
    {52, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 88},	//1212 KDateTime::Inside (enum)
    {52, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 89},	//1213 KDateTime::AtEnd (enum)
    {52, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 90},	//1214 KDateTime::After (enum)
    {52, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 91},	//1215 KDateTime::Equal (enum)
    {52, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 92},	//1216 KDateTime::Outside (enum)
    {52, 729, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 93},	//1217 KDateTime::StartsAt (enum)
    {52, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 94},	//1218 KDateTime::EndsAt (enum)
    {52, 3413, 0, 0, Smoke::mf_dtor, 0, 95 },	//1219 KDateTime::~KDateTime()
    {53, 713, 0, 0, Smoke::mf_ctor, 87, 1},	//1220 KDateTime::Spec::Spec()
    {53, 713, 994, 1, Smoke::mf_ctor, 87, 2},	//1221 KDateTime::Spec::Spec(const KTimeZone&)
    {53, 713, 1021, 2, Smoke::mf_ctor, 87, 3},	//1222 KDateTime::Spec::Spec(KDateTime::SpecType, int)
    {53, 713, 996, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 87, 4},	//1223 KDateTime::Spec::Spec(const KDateTime::Spec&)
    {53, 2185, 996, 1, 0, 86, 5},	//1224 KDateTime::Spec::operator=(const KDateTime::Spec&)
    {53, 1864, 0, 0, Smoke::mf_const, 519, 6},	//1225 KDateTime::Spec::isValid() const
    {53, 3136, 0, 0, Smoke::mf_const, 215, 7},	//1226 KDateTime::Spec::timeZone() const
    {53, 3211, 0, 0, Smoke::mf_const, 88, 8},	//1227 KDateTime::Spec::type() const
    {53, 1829, 0, 0, Smoke::mf_const, 519, 9},	//1228 KDateTime::Spec::isLocalZone() const
    {53, 1783, 0, 0, Smoke::mf_const, 519, 10},	//1229 KDateTime::Spec::isClockTime() const
    {53, 1861, 0, 0, Smoke::mf_const, 519, 11},	//1230 KDateTime::Spec::isUtc() const
    {53, 1836, 0, 0, Smoke::mf_const, 519, 12},	//1231 KDateTime::Spec::isOffsetFromUtc() const
    {53, 3259, 0, 0, Smoke::mf_const, 714, 13},	//1232 KDateTime::Spec::utcOffset() const
    {53, 2934, 1021, 2, 0, 0, 14},	//1233 KDateTime::Spec::setType(KDateTime::SpecType, int)
    {53, 2934, 994, 1, 0, 0, 15},	//1234 KDateTime::Spec::setType(const KTimeZone&)
    {53, 2188, 996, 1, Smoke::mf_const, 519, 16},	//1235 KDateTime::Spec::operator==(const KDateTime::Spec&) const
    {53, 2145, 996, 1, Smoke::mf_const, 519, 17},	//1236 KDateTime::Spec::operator!=(const KDateTime::Spec&) const
    {53, 1426, 996, 1, Smoke::mf_const, 519, 18},	//1237 KDateTime::Spec::equivalentTo(const KDateTime::Spec&) const
    {53, 760, 0, 0, Smoke::mf_static, 85, 19},	//1238 KDateTime::Spec::UTC()
    {53, 62, 0, 0, Smoke::mf_static, 85, 20},	//1239 KDateTime::Spec::ClockTime()
    {53, 622, 105, 1, Smoke::mf_static, 85, 21},	//1240 KDateTime::Spec::OffsetFromUTC(int)
    {53, 576, 0, 0, Smoke::mf_static, 85, 22},	//1241 KDateTime::Spec::LocalZone()
    {53, 713, 1024, 1, Smoke::mf_ctor, 87, 23},	//1242 KDateTime::Spec::Spec(KDateTime::SpecType)
    {53, 2934, 1024, 1, 0, 0, 24},	//1243 KDateTime::Spec::setType(KDateTime::SpecType)
    {53, 3478, 0, 0, Smoke::mf_dtor, 0, 25 },	//1244 KDateTime::Spec::~Spec()
    {54, 341, 1026, 4, Smoke::mf_ctor|Smoke::mf_explicit, 90, 1},	//1245 KDebug::KDebug(QtMsgType, const char*, int, const char*)
    {54, 1678, 1031, 4, Smoke::mf_static, 519, 2},	//1246 KDebug::hasNullOutput(QtMsgType, bool, int, bool)
    {54, 1680, 105, 1, Smoke::mf_static, 519, 3},	//1247 KDebug::hasNullOutputQtDebugMsg(int)
    {54, 1680, 1036, 2, Smoke::mf_static, 519, 4},	//1248 KDebug::hasNullOutputQtDebugMsg(bool, int)
    {54, 2416, 380, 2, Smoke::mf_static, 714, 5},	//1249 KDebug::registerArea(const QByteArray&, bool)
    {54, 341, 1039, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 90, 6},	//1250 KDebug::KDebug(const KDebug&)
    {54, 341, 1041, 1, Smoke::mf_ctor|Smoke::mf_explicit, 90, 7},	//1251 KDebug::KDebug(QtMsgType)
    {54, 341, 1043, 2, Smoke::mf_ctor|Smoke::mf_explicit, 90, 8},	//1252 KDebug::KDebug(QtMsgType, const char*)
    {54, 341, 1046, 3, Smoke::mf_ctor|Smoke::mf_explicit, 90, 9},	//1253 KDebug::KDebug(QtMsgType, const char*, int)
    {54, 1680, 0, 0, Smoke::mf_static, 519, 10},	//1254 KDebug::hasNullOutputQtDebugMsg()
    {54, 1680, 97, 1, Smoke::mf_static, 519, 11},	//1255 KDebug::hasNullOutputQtDebugMsg(bool)
    {54, 2416, 26, 1, Smoke::mf_static, 714, 12},	//1256 KDebug::registerArea(const QByteArray&)
    {54, 3414, 0, 0, Smoke::mf_dtor, 0, 13 },	//1257 KDebug::~KDebug()
    {55, 347, 0, 0, Smoke::mf_ctor, 91, 1},	//1258 KDebugTag::KDebugTag()
    {55, 347, 1050, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 91, 2},	//1259 KDebugTag::KDebugTag(const KDebugTag&)
    {55, 3415, 0, 0, Smoke::mf_dtor, 0, 3 },	//1260 KDebugTag::~KDebugTag()
    {56, 349, 474, 2, Smoke::mf_ctor, 92, 1},	//1261 KDesktopFile::KDesktopFile(const char*, const QString&)
    {56, 349, 24, 1, Smoke::mf_ctor, 92, 2},	//1262 KDesktopFile::KDesktopFile(const QString&)
    {56, 1792, 24, 1, Smoke::mf_static, 519, 3},	//1263 KDesktopFile::isDesktopFile(const QString&)
    {56, 1770, 24, 1, Smoke::mf_static, 519, 4},	//1264 KDesktopFile::isAuthorizedDesktopFile(const QString&)
    {56, 1986, 24, 1, Smoke::mf_static, 405, 5},	//1265 KDesktopFile::locateLocal(const QString&)
    {56, 1348, 0, 0, Smoke::mf_const, 47, 6},	//1266 KDesktopFile::desktopGroup() const
    {56, 2402, 0, 0, Smoke::mf_const, 405, 7},	//1267 KDesktopFile::readType() const
    {56, 2378, 0, 0, Smoke::mf_const, 405, 8},	//1268 KDesktopFile::readIcon() const
    {56, 2390, 0, 0, Smoke::mf_const, 405, 9},	//1269 KDesktopFile::readName() const
    {56, 2352, 0, 0, Smoke::mf_const, 405, 10},	//1270 KDesktopFile::readComment() const
    {56, 2376, 0, 0, Smoke::mf_const, 405, 11},	//1271 KDesktopFile::readGenericName() const
    {56, 2394, 0, 0, Smoke::mf_const, 405, 12},	//1272 KDesktopFile::readPath() const
    {56, 2365, 0, 0, Smoke::mf_const, 405, 13},	//1273 KDesktopFile::readDevice() const
    {56, 2403, 0, 0, Smoke::mf_const, 405, 14},	//1274 KDesktopFile::readUrl() const
    {56, 2350, 0, 0, Smoke::mf_const, 410, 15},	//1275 KDesktopFile::readActions() const
    {56, 829, 24, 1, 0, 47, 16},	//1276 KDesktopFile::actionGroup(const QString&)
    {56, 829, 24, 1, Smoke::mf_const, 540, 17},	//1277 KDesktopFile::actionGroup(const QString&) const
    {56, 1654, 24, 1, Smoke::mf_const, 519, 18},	//1278 KDesktopFile::hasActionGroup(const QString&) const
    {56, 1672, 0, 0, Smoke::mf_const, 519, 19},	//1279 KDesktopFile::hasLinkType() const
    {56, 1656, 0, 0, Smoke::mf_const, 519, 20},	//1280 KDesktopFile::hasApplicationType() const
    {56, 1677, 0, 0, Smoke::mf_const, 519, 21},	//1281 KDesktopFile::hasMimeTypeType() const
    {56, 1661, 0, 0, Smoke::mf_const, 519, 22},	//1282 KDesktopFile::hasDeviceType() const
    {56, 3210, 0, 0, Smoke::mf_const, 519, 23},	//1283 KDesktopFile::tryExec() const
    {56, 2366, 0, 0, Smoke::mf_const, 405, 24},	//1284 KDesktopFile::readDocPath() const
    {56, 2983, 0, 0, Smoke::mf_const, 410, 25},	//1285 KDesktopFile::sortOrder() const
    {56, 2109, 0, 0, Smoke::mf_const, 519, 26},	//1286 KDesktopFile::noDisplay() const
    {56, 1189, 24, 1, Smoke::mf_const, 92, 27},	//1287 KDesktopFile::copyTo(const QString&) const
    {56, 1498, 0, 0, Smoke::mf_const, 405, 28},	//1288 KDesktopFile::fileName() const
    {56, 2465, 0, 0, Smoke::mf_const, 699, 29},	//1289 KDesktopFile::resource() const
    {56, 3416, 0, 0, Smoke::mf_dtor, 0, 30 },	//1290 KDesktopFile::~KDesktopFile()
    {57, 352, 0, 0, Smoke::mf_ctor, 93, 1},	//1291 KEncodingDetector::KEncodingDetector()
    {57, 352, 1052, 3, Smoke::mf_ctor, 93, 2},	//1292 KEncodingDetector::KEncodingDetector(QTextCodec*, KEncodingDetector::EncodingChoiceSource, KEncodingDetector::AutoDetectScript)
    {57, 2636, 1056, 2, 0, 519, 3},	//1293 KEncodingDetector::setEncoding(const char*, KEncodingDetector::EncodingChoiceSource)
    {57, 1401, 0, 0, Smoke::mf_const, 699, 4},	//1294 KEncodingDetector::encoding() const
    {57, 3278, 0, 0, Smoke::mf_const, 519, 5},	//1295 KEncodingDetector::visuallyOrdered() const
    {57, 2540, 1059, 1, 0, 0, 6},	//1296 KEncodingDetector::setAutoDetectLanguage(KEncodingDetector::AutoDetectScript)
    {57, 1047, 0, 0, Smoke::mf_const, 94, 7},	//1297 KEncodingDetector::autoDetectLanguage() const
    {57, 1402, 0, 0, Smoke::mf_const, 95, 8},	//1298 KEncodingDetector::encodingChoiceSource() const
    {57, 1301, 1061, 2, 0, 405, 9},	//1299 KEncodingDetector::decode(const char*, int)
    {57, 1301, 26, 1, 0, 405, 10},	//1300 KEncodingDetector::decode(const QByteArray&)
    {57, 1306, 1061, 2, 0, 405, 11},	//1301 KEncodingDetector::decodeWithBuffering(const char*, int)
    {57, 1310, 0, 0, Smoke::mf_const, 519, 12},	//1302 KEncodingDetector::decodedInvalidCharacters() const
    {57, 2458, 0, 0, 0, 0, 13},	//1303 KEncodingDetector::resetDecoder()
    {57, 1562, 0, 0, 0, 405, 14},	//1304 KEncodingDetector::flush()
    {57, 2487, 24, 1, Smoke::mf_static, 94, 15},	//1305 KEncodingDetector::scriptForName(const QString&)
    {57, 2093, 1059, 1, Smoke::mf_static, 405, 16},	//1306 KEncodingDetector::nameForScript(KEncodingDetector::AutoDetectScript)
    {57, 1657, 1059, 1, Smoke::mf_static, 519, 17},	//1307 KEncodingDetector::hasAutoDetectionForScript(KEncodingDetector::AutoDetectScript)
    {57, 2279, 1064, 2, Smoke::mf_protected, 519, 18},	//1308 KEncodingDetector::processNull(char*, int)
    {57, 1441, 1061, 2, Smoke::mf_protected, 519, 19},	//1309 KEncodingDetector::errorsIfUtf8(const char*, int)
    {57, 1024, 1061, 2, Smoke::mf_protected, 519, 20},	//1310 KEncodingDetector::analyze(const char*, int)
    {57, 1311, 0, 0, Smoke::mf_protected, 417, 21},	//1311 KEncodingDetector::decoder()
    {57, 352, 1067, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 93, 22},	//1312 KEncodingDetector::KEncodingDetector(const KEncodingDetector&)
    {57, 352, 1069, 2, Smoke::mf_ctor, 93, 23},	//1313 KEncodingDetector::KEncodingDetector(QTextCodec*, KEncodingDetector::EncodingChoiceSource)
    {57, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 24},	//1314 KEncodingDetector::DefaultEncoding (enum)
    {57, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 25},	//1315 KEncodingDetector::AutoDetectedEncoding (enum)
    {57, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 26},	//1316 KEncodingDetector::BOM (enum)
    {57, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 27},	//1317 KEncodingDetector::EncodingFromXMLHeader (enum)
    {57, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 28},	//1318 KEncodingDetector::EncodingFromMetaTag (enum)
    {57, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 29},	//1319 KEncodingDetector::EncodingFromHTTPHeader (enum)
    {57, 793, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 30},	//1320 KEncodingDetector::UserChosenEncoding (enum)
    {57, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 31},	//1321 KEncodingDetector::None (enum)
    {57, 694, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 32},	//1322 KEncodingDetector::SemiautomaticDetection (enum)
    {57, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 33},	//1323 KEncodingDetector::Arabic (enum)
    {57, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 34},	//1324 KEncodingDetector::Baltic (enum)
    {57, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 35},	//1325 KEncodingDetector::CentralEuropean (enum)
    {57, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 36},	//1326 KEncodingDetector::ChineseSimplified (enum)
    {57, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 37},	//1327 KEncodingDetector::ChineseTraditional (enum)
    {57, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 38},	//1328 KEncodingDetector::Cyrillic (enum)
    {57, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 39},	//1329 KEncodingDetector::Greek (enum)
    {57, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 40},	//1330 KEncodingDetector::Hebrew (enum)
    {57, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 41},	//1331 KEncodingDetector::Japanese (enum)
    {57, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 42},	//1332 KEncodingDetector::Korean (enum)
    {57, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 43},	//1333 KEncodingDetector::NorthernSaami (enum)
    {57, 712, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 44},	//1334 KEncodingDetector::SouthEasternEurope (enum)
    {57, 743, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 45},	//1335 KEncodingDetector::Thai (enum)
    {57, 758, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 46},	//1336 KEncodingDetector::Turkish (enum)
    {57, 766, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 47},	//1337 KEncodingDetector::Unicode (enum)
    {57, 796, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 48},	//1338 KEncodingDetector::WesternEuropean (enum)
    {57, 3417, 0, 0, Smoke::mf_dtor, 0, 49 },	//1339 KEncodingDetector::~KEncodingDetector()
    {58, 356, 1072, 1, Smoke::mf_ctor, 96, 1},	//1340 KEncodingProber::KEncodingProber(KEncodingProber::ProberType)
    {58, 2457, 0, 0, 0, 0, 2},	//1341 KEncodingProber::reset()
    {58, 1491, 26, 1, 0, 97, 3},	//1342 KEncodingProber::feed(const QByteArray&)
    {58, 1491, 1061, 2, 0, 97, 4},	//1343 KEncodingProber::feed(const char*, int)
    {58, 3060, 0, 0, Smoke::mf_const, 97, 5},	//1344 KEncodingProber::state() const
    {58, 1406, 0, 0, Smoke::mf_const, 699, 6},	//1345 KEncodingProber::encodingName() const
    {58, 1401, 0, 0, Smoke::mf_const, 264, 7},	//1346 KEncodingProber::encoding() const
    {58, 1157, 0, 0, Smoke::mf_const, 713, 8},	//1347 KEncodingProber::confidence() const
    {58, 2276, 0, 0, Smoke::mf_const, 98, 9},	//1348 KEncodingProber::proberType() const
    {58, 2851, 1072, 1, 0, 0, 10},	//1349 KEncodingProber::setProberType(KEncodingProber::ProberType)
    {58, 2277, 24, 1, Smoke::mf_static, 98, 11},	//1350 KEncodingProber::proberTypeForName(const QString&)
    {58, 2091, 1072, 1, Smoke::mf_static, 405, 12},	//1351 KEncodingProber::nameForProberType(KEncodingProber::ProberType)
    {58, 356, 1074, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 96, 13},	//1352 KEncodingProber::KEncodingProber(const KEncodingProber&)
    {58, 356, 0, 0, Smoke::mf_ctor, 96, 14},	//1353 KEncodingProber::KEncodingProber()
    {58, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 15},	//1354 KEncodingProber::FoundIt (enum)
    {58, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 16},	//1355 KEncodingProber::NotMe (enum)
    {58, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 17},	//1356 KEncodingProber::Probing (enum)
    {58, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 18},	//1357 KEncodingProber::None (enum)
    {58, 778, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 19},	//1358 KEncodingProber::Universal (enum)
    {58, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 20},	//1359 KEncodingProber::Arabic (enum)
    {58, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 21},	//1360 KEncodingProber::Baltic (enum)
    {58, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 22},	//1361 KEncodingProber::CentralEuropean (enum)
    {58, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 23},	//1362 KEncodingProber::ChineseSimplified (enum)
    {58, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 24},	//1363 KEncodingProber::ChineseTraditional (enum)
    {58, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 25},	//1364 KEncodingProber::Cyrillic (enum)
    {58, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 26},	//1365 KEncodingProber::Greek (enum)
    {58, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 27},	//1366 KEncodingProber::Hebrew (enum)
    {58, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 28},	//1367 KEncodingProber::Japanese (enum)
    {58, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 29},	//1368 KEncodingProber::Korean (enum)
    {58, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 30},	//1369 KEncodingProber::NorthernSaami (enum)
    {58, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 31},	//1370 KEncodingProber::Other (enum)
    {58, 712, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 32},	//1371 KEncodingProber::SouthEasternEurope (enum)
    {58, 743, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 33},	//1372 KEncodingProber::Thai (enum)
    {58, 758, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 34},	//1373 KEncodingProber::Turkish (enum)
    {58, 766, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 35},	//1374 KEncodingProber::Unicode (enum)
    {58, 796, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 36},	//1375 KEncodingProber::WesternEuropean (enum)
    {58, 3418, 0, 0, Smoke::mf_dtor, 0, 37 },	//1376 KEncodingProber::~KEncodingProber()
    {59, 359, 0, 0, Smoke::mf_ctor, 99, 1},	//1377 KFilterBase::KFilterBase()
    {59, 2627, 1076, 2, 0, 0, 2},	//1378 KFilterBase::setDevice(QIODevice*, bool)
    {59, 1355, 0, 0, 0, 344, 3},	//1379 KFilterBase::device()
    {59, 1726, 105, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//1380 KFilterBase::init(int) [pure virtual]
    {59, 2057, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 714, 5},	//1381 KFilterBase::mode() const [pure virtual]
    {59, 3124, 0, 0, Smoke::mf_virtual, 0, 6},	//1382 KFilterBase::terminate()
    {59, 2457, 0, 0, Smoke::mf_virtual, 0, 7},	//1383 KFilterBase::reset()
    {59, 2377, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 519, 8},	//1384 KFilterBase::readHeader() [pure virtual]
    {59, 3338, 26, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 519, 9},	//1385 KFilterBase::writeHeader(const QByteArray&) [pure virtual]
    {59, 2821, 1079, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//1386 KFilterBase::setOutBuffer(char*, unsigned int) [pure virtual]
    {59, 2679, 1082, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//1387 KFilterBase::setInBuffer(const char*, unsigned int) [pure virtual]
    {59, 1716, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 12},	//1388 KFilterBase::inBufferEmpty() const
    {59, 1715, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 714, 13},	//1389 KFilterBase::inBufferAvailable() const [pure virtual]
    {59, 2219, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 14},	//1390 KFilterBase::outBufferFull() const
    {59, 2218, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 714, 15},	//1391 KFilterBase::outBufferAvailable() const [pure virtual]
    {59, 3216, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 101, 16},	//1392 KFilterBase::uncompress() [pure virtual]
    {59, 1155, 97, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 101, 17},	//1393 KFilterBase::compress(bool) [pure virtual]
    {59, 2661, 1085, 1, 0, 0, 18},	//1394 KFilterBase::setFilterFlags(KFilterBase::FilterFlags)
    {59, 1501, 0, 0, Smoke::mf_const, 100, 19},	//1395 KFilterBase::filterFlags() const
    {59, 1545, 24, 1, Smoke::mf_static, 99, 20},	//1396 KFilterBase::findFilterByFileName(const QString&)
    {59, 1547, 24, 1, Smoke::mf_static, 99, 21},	//1397 KFilterBase::findFilterByMimeType(const QString&)
    {59, 2627, 1087, 1, 0, 0, 22},	//1398 KFilterBase::setDevice(QIODevice*)
    {59, 2009, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 344, 23},	//1399 KFilterBase::m_dev() const
    {59, 2737, 1087, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 24},	//1400 KFilterBase::setM_dev(QIODevice*)
    {59, 2003, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 519, 25},	//1401 KFilterBase::m_bAutoDel() const
    {59, 2725, 97, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 26},	//1402 KFilterBase::setM_bAutoDel(bool)
    {59, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 27},	//1403 KFilterBase::Ok (enum)
    {59, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 28},	//1404 KFilterBase::End (enum)
    {59, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 29},	//1405 KFilterBase::Error (enum)
    {59, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 30},	//1406 KFilterBase::NoHeaders (enum)
    {59, 797, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 31},	//1407 KFilterBase::WithHeaders (enum)
    {59, 3419, 0, 0, Smoke::mf_dtor, 0, 32 },	//1408 KFilterBase::~KFilterBase()
    {60, 2132, 137, 1, 0, 519, 1},	//1409 KFilterDev::open(QFlags<QIODevice::OpenModeFlag>)
    {60, 1139, 0, 0, 0, 0, 2},	//1410 KFilterDev::close()
    {60, 2817, 26, 1, 0, 0, 3},	//1411 KFilterDev::setOrigFileName(const QByteArray&)
    {60, 2899, 0, 0, 0, 0, 4},	//1412 KFilterDev::setSkipHeaders()
    {60, 2494, 814, 1, 0, 519, 5},	//1413 KFilterDev::seek(long long)
    {60, 1033, 0, 0, Smoke::mf_const, 519, 6},	//1414 KFilterDev::atEnd() const
    {60, 1358, 1089, 3, Smoke::mf_static, 344, 7},	//1415 KFilterDev::deviceForFile(const QString&, const QString&, bool)
    {60, 1355, 1093, 3, Smoke::mf_static, 344, 8},	//1416 KFilterDev::device(QIODevice*, const QString&, bool)
    {60, 2355, 1097, 2, Smoke::mf_protected, 720, 9},	//1417 KFilterDev::readData(char*, long long)
    {60, 3329, 1100, 2, Smoke::mf_protected, 720, 10},	//1418 KFilterDev::writeData(const char*, long long)
    {60, 1358, 24, 1, Smoke::mf_static, 344, 11},	//1419 KFilterDev::deviceForFile(const QString&)
    {60, 1358, 89, 2, Smoke::mf_static, 344, 12},	//1420 KFilterDev::deviceForFile(const QString&, const QString&)
    {60, 1355, 1103, 2, Smoke::mf_static, 344, 13},	//1421 KFilterDev::device(QIODevice*, const QString&)
    {60, 3420, 0, 0, Smoke::mf_dtor, 0, 14 },	//1422 KFilterDev::~KFilterDev()
    {61, 2028, 0, 0, Smoke::mf_static, 536, 1},	//1423 KGlobal::mainComponent()
    {61, 1370, 0, 0, Smoke::mf_static, 193, 2},	//1424 KGlobal::dirs()
    {61, 1112, 0, 0, Smoke::mf_static, 31, 3},	//1425 KGlobal::charsets()
    {61, 2521, 383, 1, Smoke::mf_static, 0, 4},	//1426 KGlobal::setActiveComponent(const KComponentData&)
    {61, 1674, 0, 0, Smoke::mf_static, 519, 5},	//1427 KGlobal::hasMainComponent()
    {61, 1533, 1106, 2, Smoke::mf_static, 391, 6},	//1428 KGlobal::findDirectChild_helper(const QObject*, const QMetaObject&)
    {61, 3065, 24, 1, Smoke::mf_static, 687, 7},	//1429 KGlobal::staticQString(const QString&)
    {61, 2415, 0, 0, Smoke::mf_static, 0, 8},	//1430 KGlobal::ref()
    {61, 2527, 97, 1, Smoke::mf_static, 0, 9},	//1431 KGlobal::setAllowQuit(bool)
    {61, 1336, 0, 0, Smoke::mf_static, 0, 10},	//1432 KGlobal::deref()
    {61, 1158, 0, 0, Smoke::mf_static, 176, 11},	//1433 KGlobal::config()
    {61, 1673, 0, 0, Smoke::mf_static, 519, 12},	//1434 KGlobal::hasLocale()
    {61, 3214, 0, 0, Smoke::mf_static, 730, 13},	//1435 KGlobal::umask()
    {61, 835, 0, 0, Smoke::mf_static, 36, 14},	//1436 KGlobal::activeComponent()
    {61, 2715, 1109, 2, Smoke::mf_static, 0, 15},	//1437 KGlobal::setLocale(KLocale*, KGlobal::CopyCatalogs)
    {61, 2715, 1112, 1, Smoke::mf_static, 0, 16},	//1438 KGlobal::setLocale(KLocale*)
    {61, 3065, 109, 1, Smoke::mf_static, 687, 17},	//1439 KGlobal::staticQString(const char*)
    {61, 1977, 0, 0, Smoke::mf_static, 117, 18},	//1440 KGlobal::locale()
    {61, 1098, 0, 0, Smoke::mf_static, 405, 19},	//1441 KGlobal::caption()
    {61, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 20},	//1442 KGlobal::DoCopyCatalogs (enum)
    {61, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 21},	//1443 KGlobal::DontCopyCatalogs (enum)
    {62, 2048, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 667, 1},	//1444 KJob::metaObject() const
    {62, 2319, 109, 1, Smoke::mf_virtual, 737, 2},	//1445 KJob::qt_metacast(const char*)
    {62, 3168, 111, 2, Smoke::mf_static, 405, 3},	//1446 KJob::tr(const char*, const char*)
    {62, 3175, 111, 2, Smoke::mf_static, 405, 4},	//1447 KJob::trUtf8(const char*, const char*)
    {62, 3168, 114, 3, Smoke::mf_static, 405, 5},	//1448 KJob::tr(const char*, const char*, int)
    {62, 3175, 114, 3, Smoke::mf_static, 405, 6},	//1449 KJob::trUtf8(const char*, const char*, int)
    {62, 2317, 118, 3, Smoke::mf_virtual, 714, 7},	//1450 KJob::qt_metacall(QMetaObject::Call, int, void**)
    {62, 360, 133, 1, Smoke::mf_ctor, 103, 8},	//1451 KJob::KJob(QObject*)
    {62, 2938, 1114, 1, 0, 0, 9},	//1452 KJob::setUiDelegate(KJobUiDelegate*)
    {62, 3212, 0, 0, Smoke::mf_const, 109, 10},	//1453 KJob::uiDelegate() const
    {62, 1096, 0, 0, Smoke::mf_const, 294, 11},	//1454 KJob::capabilities() const
    {62, 1857, 0, 0, Smoke::mf_const, 519, 12},	//1455 KJob::isSuspended() const
    {62, 3003, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//1456 KJob::start() [pure virtual]
    {62, 1932, 1116, 1, Smoke::mf_slot, 519, 14},	//1457 KJob::kill(KJob::KillVerbosity)
    {62, 3099, 0, 0, Smoke::mf_slot, 519, 15},	//1458 KJob::suspend()
    {62, 2470, 0, 0, Smoke::mf_slot, 519, 16},	//1459 KJob::resume()
    {62, 1377, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 519, 17},	//1460 KJob::doKill()
    {62, 1379, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 519, 18},	//1461 KJob::doSuspend()
    {62, 1378, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 519, 19},	//1462 KJob::doResume()
    {62, 2558, 1118, 1, Smoke::mf_protected, 0, 20},	//1463 KJob::setCapabilities(QFlags<KJob::Capability>)
    {62, 1447, 0, 0, 0, 519, 21},	//1464 KJob::exec()
    {62, 1434, 0, 0, Smoke::mf_const, 714, 22},	//1465 KJob::error() const
    {62, 1440, 0, 0, Smoke::mf_const, 405, 23},	//1466 KJob::errorText() const
    {62, 1438, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 405, 24},	//1467 KJob::errorString() const
    {62, 2281, 1120, 1, Smoke::mf_const, 733, 25},	//1468 KJob::processedAmount(KJob::Unit) const
    {62, 3165, 1120, 1, Smoke::mf_const, 733, 26},	//1469 KJob::totalAmount(KJob::Unit) const
    {62, 2244, 0, 0, Smoke::mf_const, 732, 27},	//1470 KJob::percent() const
    {62, 2538, 97, 1, 0, 0, 28},	//1471 KJob::setAutoDelete(bool)
    {62, 1772, 0, 0, Smoke::mf_const, 519, 29},	//1472 KJob::isAutoDelete() const
    {62, 1337, 1122, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1473 KJob::description(KJob*, const QString&, const QPair<QString,QString>&, const QPair<QString,QString>&)
    {62, 1721, 400, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1474 KJob::infoMessage(KJob*, const QString&, const QString&)
    {62, 3294, 400, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1475 KJob::warning(KJob*, const QString&, const QString&)
    {62, 2642, 105, 1, Smoke::mf_protected, 0, 33},	//1476 KJob::setError(int)
    {62, 2648, 24, 1, Smoke::mf_protected, 0, 34},	//1477 KJob::setErrorText(const QString&)
    {62, 2853, 1127, 2, Smoke::mf_protected, 0, 35},	//1478 KJob::setProcessedAmount(KJob::Unit, unsigned long long)
    {62, 2928, 1127, 2, Smoke::mf_protected, 0, 36},	//1479 KJob::setTotalAmount(KJob::Unit, unsigned long long)
    {62, 2831, 1130, 1, Smoke::mf_protected, 0, 37},	//1480 KJob::setPercent(unsigned long)
    {62, 1389, 0, 0, Smoke::mf_protected, 0, 38},	//1481 KJob::emitResult()
    {62, 1387, 1132, 2, Smoke::mf_protected, 0, 39},	//1482 KJob::emitPercent(unsigned long long, unsigned long long)
    {62, 1390, 1130, 1, Smoke::mf_protected, 0, 40},	//1483 KJob::emitSpeed(unsigned long)
    {62, 360, 1135, 2, Smoke::mf_ctor|Smoke::mf_protected, 103, 41},	//1484 KJob::KJob(KJobPrivate&, QObject*)
    {62, 3168, 109, 1, Smoke::mf_static, 405, 42},	//1485 KJob::tr(const char*)
    {62, 3175, 109, 1, Smoke::mf_static, 405, 43},	//1486 KJob::trUtf8(const char*)
    {62, 360, 0, 0, Smoke::mf_ctor, 103, 44},	//1487 KJob::KJob()
    {62, 1932, 0, 0, Smoke::mf_slot, 519, 45},	//1488 KJob::kill()
    {62, 1337, 1138, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//1489 KJob::description(KJob*, const QString&)
    {62, 1337, 1141, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//1490 KJob::description(KJob*, const QString&, const QPair<QString,QString>&)
    {62, 1721, 1138, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//1491 KJob::infoMessage(KJob*, const QString&)
    {62, 3294, 1138, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//1492 KJob::warning(KJob*, const QString&)
    {62, 3064, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 666, 50},	//1493 KJob::staticMetaObject() const
    {62, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 51},	//1494 KJob::Bytes (enum)
    {62, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 52},	//1495 KJob::Files (enum)
    {62, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 53},	//1496 KJob::Directories (enum)
    {62, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 54},	//1497 KJob::NoCapabilities (enum)
    {62, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 55},	//1498 KJob::Killable (enum)
    {62, 733, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 56},	//1499 KJob::Suspendable (enum)
    {62, 667, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 57},	//1500 KJob::Quietly (enum)
    {62, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 58},	//1501 KJob::EmitResult (enum)
    {62, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 718, 59},	//1502 KJob::NoError (enum)
    {62, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 718, 60},	//1503 KJob::KilledJobError (enum)
    {62, 794, 0, 0, Smoke::mf_static|Smoke::mf_enum, 718, 61},	//1504 KJob::UserDefinedError (enum)
    {62, 3421, 0, 0, Smoke::mf_dtor, 0, 62 },	//1505 KJob::~KJob()
    {64, 2048, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 667, 1},	//1506 KJobTrackerInterface::metaObject() const
    {64, 2319, 109, 1, Smoke::mf_virtual, 737, 2},	//1507 KJobTrackerInterface::qt_metacast(const char*)
    {64, 3168, 111, 2, Smoke::mf_static, 405, 3},	//1508 KJobTrackerInterface::tr(const char*, const char*)
    {64, 3175, 111, 2, Smoke::mf_static, 405, 4},	//1509 KJobTrackerInterface::trUtf8(const char*, const char*)
    {64, 3168, 114, 3, Smoke::mf_static, 405, 5},	//1510 KJobTrackerInterface::tr(const char*, const char*, int)
    {64, 3175, 114, 3, Smoke::mf_static, 405, 6},	//1511 KJobTrackerInterface::trUtf8(const char*, const char*, int)
    {64, 2317, 118, 3, Smoke::mf_virtual, 714, 7},	//1512 KJobTrackerInterface::qt_metacall(QMetaObject::Call, int, void**)
    {64, 363, 133, 1, Smoke::mf_ctor, 108, 8},	//1513 KJobTrackerInterface::KJobTrackerInterface(QObject*)
    {64, 2419, 398, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 9},	//1514 KJobTrackerInterface::registerJob(KJob*)
    {64, 3222, 398, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 10},	//1515 KJobTrackerInterface::unregisterJob(KJob*)
    {64, 1558, 398, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 11},	//1516 KJobTrackerInterface::finished(KJob*)
    {64, 3100, 398, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 12},	//1517 KJobTrackerInterface::suspended(KJob*)
    {64, 2471, 398, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 13},	//1518 KJobTrackerInterface::resumed(KJob*)
    {64, 1337, 1122, 4, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 14},	//1519 KJobTrackerInterface::description(KJob*, const QString&, const QPair<QString,QString>&, const QPair<QString,QString>&)
    {64, 1721, 400, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//1520 KJobTrackerInterface::infoMessage(KJob*, const QString&, const QString&)
    {64, 3294, 400, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 16},	//1521 KJobTrackerInterface::warning(KJob*, const QString&, const QString&)
    {64, 3165, 1145, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 17},	//1522 KJobTrackerInterface::totalAmount(KJob*, KJob::Unit, qulonglong)
    {64, 2281, 1145, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 18},	//1523 KJobTrackerInterface::processedAmount(KJob*, KJob::Unit, qulonglong)
    {64, 2244, 1149, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1524 KJobTrackerInterface::percent(KJob*, unsigned long)
    {64, 2985, 1149, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//1525 KJobTrackerInterface::speed(KJob*, unsigned long)
    {64, 3168, 109, 1, Smoke::mf_static, 405, 21},	//1526 KJobTrackerInterface::tr(const char*)
    {64, 3175, 109, 1, Smoke::mf_static, 405, 22},	//1527 KJobTrackerInterface::trUtf8(const char*)
    {64, 363, 0, 0, Smoke::mf_ctor, 108, 23},	//1528 KJobTrackerInterface::KJobTrackerInterface()
    {64, 3064, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 666, 24},	//1529 KJobTrackerInterface::staticMetaObject() const
    {64, 3422, 0, 0, Smoke::mf_dtor, 0, 25 },	//1530 KJobTrackerInterface::~KJobTrackerInterface()
    {65, 2048, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 667, 1},	//1531 KJobUiDelegate::metaObject() const
    {65, 2319, 109, 1, Smoke::mf_virtual, 737, 2},	//1532 KJobUiDelegate::qt_metacast(const char*)
    {65, 3168, 111, 2, Smoke::mf_static, 405, 3},	//1533 KJobUiDelegate::tr(const char*, const char*)
    {65, 3175, 111, 2, Smoke::mf_static, 405, 4},	//1534 KJobUiDelegate::trUtf8(const char*, const char*)
    {65, 3168, 114, 3, Smoke::mf_static, 405, 5},	//1535 KJobUiDelegate::tr(const char*, const char*, int)
    {65, 3175, 114, 3, Smoke::mf_static, 405, 6},	//1536 KJobUiDelegate::trUtf8(const char*, const char*, int)
    {65, 2317, 118, 3, Smoke::mf_virtual, 714, 7},	//1537 KJobUiDelegate::qt_metacall(QMetaObject::Call, int, void**)
    {65, 365, 0, 0, Smoke::mf_ctor, 109, 8},	//1538 KJobUiDelegate::KJobUiDelegate()
    {65, 1876, 0, 0, Smoke::mf_protected, 103, 9},	//1539 KJobUiDelegate::job()
    {65, 2964, 0, 0, Smoke::mf_virtual, 0, 10},	//1540 KJobUiDelegate::showErrorMessage()
    {65, 2542, 97, 1, 0, 0, 11},	//1541 KJobUiDelegate::setAutoErrorHandlingEnabled(bool)
    {65, 1773, 0, 0, Smoke::mf_const, 519, 12},	//1542 KJobUiDelegate::isAutoErrorHandlingEnabled() const
    {65, 2546, 97, 1, 0, 0, 13},	//1543 KJobUiDelegate::setAutoWarningHandlingEnabled(bool)
    {65, 1774, 0, 0, Smoke::mf_const, 519, 14},	//1544 KJobUiDelegate::isAutoWarningHandlingEnabled() const
    {65, 2979, 400, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//1545 KJobUiDelegate::slotWarning(KJob*, const QString&, const QString&)
    {65, 3168, 109, 1, Smoke::mf_static, 405, 16},	//1546 KJobUiDelegate::tr(const char*)
    {65, 3175, 109, 1, Smoke::mf_static, 405, 17},	//1547 KJobUiDelegate::trUtf8(const char*)
    {65, 3064, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 666, 18},	//1548 KJobUiDelegate::staticMetaObject() const
    {65, 3423, 0, 0, Smoke::mf_dtor, 0, 19 },	//1549 KJobUiDelegate::~KJobUiDelegate()
    {66, 2048, 0, 0, Smoke::mf_const, 667, 1},	//1550 KLibLoader::metaObject() const
    {66, 2319, 109, 1, 0, 737, 2},	//1551 KLibLoader::qt_metacast(const char*)
    {66, 3168, 111, 2, Smoke::mf_static, 405, 3},	//1552 KLibLoader::tr(const char*, const char*)
    {66, 3175, 111, 2, Smoke::mf_static, 405, 4},	//1553 KLibLoader::trUtf8(const char*, const char*)
    {66, 3168, 114, 3, Smoke::mf_static, 405, 5},	//1554 KLibLoader::tr(const char*, const char*, int)
    {66, 3175, 114, 3, Smoke::mf_static, 405, 6},	//1555 KLibLoader::trUtf8(const char*, const char*, int)
    {66, 2317, 118, 3, 0, 714, 7},	//1556 KLibLoader::qt_metacall(QMetaObject::Call, int, void**)
    {66, 1485, 1152, 2, 0, 145, 8},	//1557 KLibLoader::factory(const QString&, QFlags<QLibrary::LoadHint>)
    {66, 1955, 1152, 2, 0, 112, 9},	//1558 KLibLoader::library(const QString&, QFlags<QLibrary::LoadHint>)
    {66, 1947, 0, 0, Smoke::mf_const, 405, 10},	//1559 KLibLoader::lastErrorMessage() const
    {66, 3219, 24, 1, 0, 0, 11},	//1560 KLibLoader::unloadLibrary(const QString&)
    {66, 2496, 0, 0, Smoke::mf_static, 110, 12},	//1561 KLibLoader::self()
    {66, 1551, 1155, 2, Smoke::mf_static, 405, 13},	//1562 KLibLoader::findLibrary(const QString&, const KComponentData&)
    {66, 1438, 105, 1, Smoke::mf_static, 405, 14},	//1563 KLibLoader::errorString(int)
    {66, 3168, 109, 1, Smoke::mf_static, 405, 15},	//1564 KLibLoader::tr(const char*)
    {66, 3175, 109, 1, Smoke::mf_static, 405, 16},	//1565 KLibLoader::trUtf8(const char*)
    {66, 1485, 24, 1, 0, 145, 17},	//1566 KLibLoader::factory(const QString&)
    {66, 1955, 24, 1, 0, 112, 18},	//1567 KLibLoader::library(const QString&)
    {66, 1551, 24, 1, Smoke::mf_static, 405, 19},	//1568 KLibLoader::findLibrary(const QString&)
    {66, 3064, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 666, 20},	//1569 KLibLoader::staticMetaObject() const
    {66, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 21},	//1570 KLibLoader::ErrNoLibrary (enum)
    {66, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 22},	//1571 KLibLoader::ErrNoFactory (enum)
    {66, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 23},	//1572 KLibLoader::ErrNoComponent (enum)
    {66, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 24},	//1573 KLibLoader::ErrServiceProvidesNoLibrary (enum)
    {66, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 25},	//1574 KLibLoader::ErrNoServiceFound (enum)
    {67, 2048, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 667, 1},	//1575 KLibrary::metaObject() const
    {67, 2319, 109, 1, Smoke::mf_virtual, 737, 2},	//1576 KLibrary::qt_metacast(const char*)
    {67, 3168, 111, 2, Smoke::mf_static, 405, 3},	//1577 KLibrary::tr(const char*, const char*)
    {67, 3175, 111, 2, Smoke::mf_static, 405, 4},	//1578 KLibrary::trUtf8(const char*, const char*)
    {67, 3168, 114, 3, Smoke::mf_static, 405, 5},	//1579 KLibrary::tr(const char*, const char*, int)
    {67, 3175, 114, 3, Smoke::mf_static, 405, 6},	//1580 KLibrary::trUtf8(const char*, const char*, int)
    {67, 2317, 118, 3, Smoke::mf_virtual, 714, 7},	//1581 KLibrary::qt_metacall(QMetaObject::Call, int, void**)
    {67, 366, 133, 1, Smoke::mf_ctor, 112, 8},	//1582 KLibrary::KLibrary(QObject*)
    {67, 366, 1158, 3, Smoke::mf_ctor, 112, 9},	//1583 KLibrary::KLibrary(const QString&, const KComponentData&, QObject*)
    {67, 366, 1162, 4, Smoke::mf_ctor, 112, 10},	//1584 KLibrary::KLibrary(const QString&, int, const KComponentData&, QObject*)
    {67, 1485, 109, 1, 0, 145, 11},	//1585 KLibrary::factory(const char*)
    {67, 2463, 109, 1, 0, 737, 12},	//1586 KLibrary::resolveSymbol(const char*)
    {67, 2461, 109, 1, 0, 736, 13},	//1587 KLibrary::resolveFunction(const char*)
    {67, 2658, 1155, 2, 0, 0, 14},	//1588 KLibrary::setFileName(const QString&, const KComponentData&)
    {67, 3218, 0, 0, 0, 519, 15},	//1589 KLibrary::unload()
    {67, 3168, 109, 1, Smoke::mf_static, 405, 16},	//1590 KLibrary::tr(const char*)
    {67, 3175, 109, 1, Smoke::mf_static, 405, 17},	//1591 KLibrary::trUtf8(const char*)
    {67, 366, 0, 0, Smoke::mf_ctor, 112, 18},	//1592 KLibrary::KLibrary()
    {67, 366, 24, 1, Smoke::mf_ctor, 112, 19},	//1593 KLibrary::KLibrary(const QString&)
    {67, 366, 1155, 2, Smoke::mf_ctor, 112, 20},	//1594 KLibrary::KLibrary(const QString&, const KComponentData&)
    {67, 366, 967, 2, Smoke::mf_ctor, 112, 21},	//1595 KLibrary::KLibrary(const QString&, int)
    {67, 366, 1167, 3, Smoke::mf_ctor, 112, 22},	//1596 KLibrary::KLibrary(const QString&, int, const KComponentData&)
    {67, 1485, 0, 0, 0, 145, 23},	//1597 KLibrary::factory()
    {67, 2658, 24, 1, 0, 0, 24},	//1598 KLibrary::setFileName(const QString&)
    {67, 3064, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 666, 25},	//1599 KLibrary::staticMetaObject() const
    {67, 3424, 0, 0, Smoke::mf_dtor, 0, 26 },	//1600 KLibrary::~KLibrary()
    {68, 2048, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 667, 1},	//1601 KLocalSocket::metaObject() const
    {68, 2319, 109, 1, Smoke::mf_virtual, 737, 2},	//1602 KLocalSocket::qt_metacast(const char*)
    {68, 3168, 111, 2, Smoke::mf_static, 405, 3},	//1603 KLocalSocket::tr(const char*, const char*)
    {68, 3175, 111, 2, Smoke::mf_static, 405, 4},	//1604 KLocalSocket::trUtf8(const char*, const char*)
    {68, 3168, 114, 3, Smoke::mf_static, 405, 5},	//1605 KLocalSocket::tr(const char*, const char*, int)
    {68, 3175, 114, 3, Smoke::mf_static, 405, 6},	//1606 KLocalSocket::trUtf8(const char*, const char*, int)
    {68, 2317, 118, 3, Smoke::mf_virtual, 714, 7},	//1607 KLocalSocket::qt_metacall(QMetaObject::Call, int, void**)
    {68, 374, 133, 1, Smoke::mf_ctor, 113, 8},	//1608 KLocalSocket::KLocalSocket(QObject*)
    {68, 1176, 1171, 2, 0, 0, 9},	//1609 KLocalSocket::connectToPath(const QString&, QFlags<QIODevice::OpenModeFlag>)
    {68, 1176, 1174, 3, 0, 0, 10},	//1610 KLocalSocket::connectToPath(const QString&, KLocalSocket::LocalSocketType, QFlags<QIODevice::OpenModeFlag>)
    {68, 1374, 0, 0, 0, 0, 11},	//1611 KLocalSocket::disconnectFromPath()
    {68, 1976, 0, 0, Smoke::mf_const, 114, 12},	//1612 KLocalSocket::localSocketType() const
    {68, 1975, 0, 0, Smoke::mf_const, 405, 13},	//1613 KLocalSocket::localPath() const
    {68, 2242, 0, 0, Smoke::mf_const, 405, 14},	//1614 KLocalSocket::peerPath() const
    {68, 1174, 1178, 3, Smoke::mf_protected|Smoke::mf_slot, 0, 15},	//1615 KLocalSocket::connectToHostImplementation(const QString&, quint16, QIODevice::OpenMode)
    {68, 1373, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 16},	//1616 KLocalSocket::disconnectFromHostImplementation()
    {68, 3168, 109, 1, Smoke::mf_static, 405, 17},	//1617 KLocalSocket::tr(const char*)
    {68, 3175, 109, 1, Smoke::mf_static, 405, 18},	//1618 KLocalSocket::trUtf8(const char*)
    {68, 374, 0, 0, Smoke::mf_ctor, 113, 19},	//1619 KLocalSocket::KLocalSocket()
    {68, 1176, 24, 1, 0, 0, 20},	//1620 KLocalSocket::connectToPath(const QString&)
    {68, 1176, 1182, 2, 0, 0, 21},	//1621 KLocalSocket::connectToPath(const QString&, KLocalSocket::LocalSocketType)
    {68, 3064, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 666, 22},	//1622 KLocalSocket::staticMetaObject() const
    {68, 779, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 23},	//1623 KLocalSocket::UnixSocket (enum)
    {68, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 24},	//1624 KLocalSocket::AbstractUnixSocket (enum)
    {68, 781, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 25},	//1625 KLocalSocket::UnknownLocalSocketType (enum)
    {68, 3425, 0, 0, Smoke::mf_dtor, 0, 26 },	//1626 KLocalSocket::~KLocalSocket()
    {69, 2048, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 667, 1},	//1627 KLocalSocketServer::metaObject() const
    {69, 2319, 109, 1, Smoke::mf_virtual, 737, 2},	//1628 KLocalSocketServer::qt_metacast(const char*)
    {69, 3168, 111, 2, Smoke::mf_static, 405, 3},	//1629 KLocalSocketServer::tr(const char*, const char*)
    {69, 3175, 111, 2, Smoke::mf_static, 405, 4},	//1630 KLocalSocketServer::trUtf8(const char*, const char*)
    {69, 3168, 114, 3, Smoke::mf_static, 405, 5},	//1631 KLocalSocketServer::tr(const char*, const char*, int)
    {69, 3175, 114, 3, Smoke::mf_static, 405, 6},	//1632 KLocalSocketServer::trUtf8(const char*, const char*, int)
    {69, 2317, 118, 3, Smoke::mf_virtual, 714, 7},	//1633 KLocalSocketServer::qt_metacall(QMetaObject::Call, int, void**)
    {69, 376, 133, 1, Smoke::mf_ctor, 115, 8},	//1634 KLocalSocketServer::KLocalSocketServer(QObject*)
    {69, 1962, 1182, 2, 0, 519, 9},	//1635 KLocalSocketServer::listen(const QString&, KLocalSocket::LocalSocketType)
    {69, 1139, 0, 0, 0, 0, 10},	//1636 KLocalSocketServer::close()
    {69, 1826, 0, 0, Smoke::mf_const, 519, 11},	//1637 KLocalSocketServer::isListening() const
    {69, 2783, 105, 1, 0, 0, 12},	//1638 KLocalSocketServer::setMaxPendingConnections(int)
    {69, 2037, 0, 0, Smoke::mf_const, 714, 13},	//1639 KLocalSocketServer::maxPendingConnections() const
    {69, 1976, 0, 0, Smoke::mf_const, 114, 14},	//1640 KLocalSocketServer::localSocketType() const
    {69, 1975, 0, 0, Smoke::mf_const, 405, 15},	//1641 KLocalSocketServer::localPath() const
    {69, 3287, 1185, 2, 0, 519, 16},	//1642 KLocalSocketServer::waitForNewConnection(int, bool*)
    {69, 1685, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 17},	//1643 KLocalSocketServer::hasPendingConnections() const
    {69, 2108, 0, 0, Smoke::mf_virtual, 113, 18},	//1644 KLocalSocketServer::nextPendingConnection()
    {69, 2498, 0, 0, Smoke::mf_const, 258, 19},	//1645 KLocalSocketServer::serverError() const
    {69, 1438, 0, 0, Smoke::mf_const, 405, 20},	//1646 KLocalSocketServer::errorString() const
    {69, 1719, 105, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1647 KLocalSocketServer::incomingConnection(int)
    {69, 2103, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//1648 KLocalSocketServer::newConnection()
    {69, 3168, 109, 1, Smoke::mf_static, 405, 23},	//1649 KLocalSocketServer::tr(const char*)
    {69, 3175, 109, 1, Smoke::mf_static, 405, 24},	//1650 KLocalSocketServer::trUtf8(const char*)
    {69, 376, 0, 0, Smoke::mf_ctor, 115, 25},	//1651 KLocalSocketServer::KLocalSocketServer()
    {69, 1962, 24, 1, 0, 519, 26},	//1652 KLocalSocketServer::listen(const QString&)
    {69, 3287, 0, 0, 0, 519, 27},	//1653 KLocalSocketServer::waitForNewConnection()
    {69, 3287, 105, 1, 0, 519, 28},	//1654 KLocalSocketServer::waitForNewConnection(int)
    {69, 3064, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 666, 29},	//1655 KLocalSocketServer::staticMetaObject() const
    {69, 3426, 0, 0, Smoke::mf_dtor, 0, 30 },	//1656 KLocalSocketServer::~KLocalSocketServer()
    {70, 378, 273, 2, Smoke::mf_ctor, 117, 1},	//1657 KLocale::KLocale(const QString&, KSharedPtr<KSharedConfig>)
    {70, 378, 1188, 4, Smoke::mf_ctor, 117, 2},	//1658 KLocale::KLocale(const QString&, const QString&, const QString&, KConfig*)
    {70, 378, 1193, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 117, 3},	//1659 KLocale::KLocale(const KLocale&)
    {70, 2185, 1193, 1, 0, 116, 4},	//1660 KLocale::operator=(const KLocale&)
    {70, 3204, 1195, 4, Smoke::mf_const, 0, 5},	//1661 KLocale::translateRawFrom(const char*, const char*, QString*, QString*) const
    {70, 3199, 1200, 3, Smoke::mf_const, 0, 6},	//1662 KLocale::translateRaw(const char*, QString*, QString*) const
    {70, 3204, 1204, 5, Smoke::mf_const, 0, 7},	//1663 KLocale::translateRawFrom(const char*, const char*, const char*, QString*, QString*) const
    {70, 3199, 1195, 4, Smoke::mf_const, 0, 8},	//1664 KLocale::translateRaw(const char*, const char*, QString*, QString*) const
    {70, 3204, 1210, 6, Smoke::mf_const, 0, 9},	//1665 KLocale::translateRawFrom(const char*, const char*, const char*, unsigned long, QString*, QString*) const
    {70, 3199, 1217, 5, Smoke::mf_const, 0, 10},	//1666 KLocale::translateRaw(const char*, const char*, unsigned long, QString*, QString*) const
    {70, 3204, 1223, 7, Smoke::mf_const, 0, 11},	//1667 KLocale::translateRawFrom(const char*, const char*, const char*, const char*, unsigned long, QString*, QString*) const
    {70, 3199, 1210, 6, Smoke::mf_const, 0, 12},	//1668 KLocale::translateRaw(const char*, const char*, const char*, unsigned long, QString*, QString*) const
    {70, 2636, 105, 1, 0, 519, 13},	//1669 KLocale::setEncoding(int)
    {70, 1364, 1231, 2, Smoke::mf_const, 405, 14},	//1670 KLocale::digitSetToName(KLocale::DigitSet, bool) const
    {70, 1004, 0, 0, Smoke::mf_const, 358, 15},	//1671 KLocale::allDigitSetsList() const
    {70, 1300, 0, 0, Smoke::mf_const, 405, 16},	//1672 KLocale::decimalSymbol() const
    {70, 3128, 0, 0, Smoke::mf_const, 405, 17},	//1673 KLocale::thousandsSeparator() const
    {70, 1363, 0, 0, Smoke::mf_const, 123, 18},	//1674 KLocale::digitSet() const
    {70, 1220, 0, 0, Smoke::mf_const, 405, 19},	//1675 KLocale::currencyCode() const
    {70, 1219, 0, 0, Smoke::mf_const, 77, 20},	//1676 KLocale::currency() const
    {70, 1225, 0, 0, Smoke::mf_const, 405, 21},	//1677 KLocale::currencySymbol() const
    {70, 2066, 0, 0, Smoke::mf_const, 405, 22},	//1678 KLocale::monetaryDecimalSymbol() const
    {70, 2068, 0, 0, Smoke::mf_const, 405, 23},	//1679 KLocale::monetaryThousandsSeparator() const
    {70, 2264, 0, 0, Smoke::mf_const, 405, 24},	//1680 KLocale::positiveSign() const
    {70, 2100, 0, 0, Smoke::mf_const, 405, 25},	//1681 KLocale::negativeSign() const
    {70, 1599, 0, 0, Smoke::mf_const, 714, 26},	//1682 KLocale::fracDigits() const
    {70, 1299, 0, 0, Smoke::mf_const, 714, 27},	//1683 KLocale::decimalPlaces() const
    {70, 2065, 0, 0, Smoke::mf_const, 714, 28},	//1684 KLocale::monetaryDecimalPlaces() const
    {70, 2263, 0, 0, Smoke::mf_const, 519, 29},	//1685 KLocale::positivePrefixCurrencySymbol() const
    {70, 2099, 0, 0, Smoke::mf_const, 519, 30},	//1686 KLocale::negativePrefixCurrencySymbol() const
    {70, 2262, 0, 0, Smoke::mf_const, 127, 31},	//1687 KLocale::positiveMonetarySignPosition() const
    {70, 2098, 0, 0, Smoke::mf_const, 127, 32},	//1688 KLocale::negativeMonetarySignPosition() const
    {70, 2067, 0, 0, Smoke::mf_const, 123, 33},	//1689 KLocale::monetaryDigitSet() const
    {70, 1587, 1234, 3, Smoke::mf_const, 405, 34},	//1690 KLocale::formatMoney(double, const QString&, int) const
    {70, 1591, 1238, 2, Smoke::mf_const, 405, 35},	//1691 KLocale::formatNumber(double, int) const
    {70, 1591, 1241, 3, Smoke::mf_const, 405, 36},	//1692 KLocale::formatNumber(const QString&, bool, int) const
    {70, 1585, 1245, 1, Smoke::mf_const, 405, 37},	//1693 KLocale::formatLong(long) const
    {70, 1566, 751, 1, Smoke::mf_const, 405, 38},	//1694 KLocale::formatByteSize(double) const
    {70, 1566, 1247, 4, Smoke::mf_const, 405, 39},	//1695 KLocale::formatByteSize(double, int, KLocale::BinaryUnitDialect, KLocale::BinarySizeUnits) const
    {70, 1077, 0, 0, Smoke::mf_const, 119, 40},	//1696 KLocale::binaryUnitDialect() const
    {70, 2550, 1252, 1, 0, 0, 41},	//1697 KLocale::setBinaryUnitDialect(KLocale::BinaryUnitDialect)
    {70, 1580, 1130, 1, Smoke::mf_const, 405, 42},	//1698 KLocale::formatDuration(unsigned long) const
    {70, 2270, 1130, 1, Smoke::mf_const, 405, 43},	//1699 KLocale::prettyFormatDuration(unsigned long) const
    {70, 2112, 0, 0, Smoke::mf_const, 519, 44},	//1700 KLocale::nounDeclension() const
    {70, 1571, 231, 2, Smoke::mf_const, 405, 45},	//1701 KLocale::formatDate(const QDate&, KLocale::DateFormat) const
    {70, 1576, 1254, 3, Smoke::mf_const, 405, 46},	//1702 KLocale::formatDateTime(const QDateTime&, KLocale::DateFormat, bool) const
    {70, 1576, 1258, 3, Smoke::mf_const, 405, 47},	//1703 KLocale::formatDateTime(const KDateTime&, KLocale::DateFormat, QFlags<KLocale::DateTimeFormatOption>) const
    {70, 1255, 0, 0, Smoke::mf_const, 519, 48},	//1704 KLocale::dateMonthNamePossessive() const
    {70, 1595, 1262, 3, Smoke::mf_const, 405, 49},	//1705 KLocale::formatTime(const QTime&, bool, bool) const
    {70, 1582, 1266, 2, Smoke::mf_const, 405, 50},	//1706 KLocale::formatLocaleTime(const QTime&, QFlags<KLocale::TimeFormatOption>) const
    {70, 1258, 0, 0, Smoke::mf_const, 123, 51},	//1707 KLocale::dateTimeDigitSet() const
    {70, 3242, 0, 0, Smoke::mf_const, 519, 52},	//1708 KLocale::use12Clock() const
    {70, 3313, 0, 0, Smoke::mf_const, 714, 53},	//1709 KLocale::weekStartDay() const
    {70, 3326, 0, 0, Smoke::mf_const, 714, 54},	//1710 KLocale::workingWeekStartDay() const
    {70, 3325, 0, 0, Smoke::mf_const, 714, 55},	//1711 KLocale::workingWeekEndDay() const
    {70, 3306, 0, 0, Smoke::mf_const, 714, 56},	//1712 KLocale::weekDayOfPray() const
    {70, 1087, 0, 0, Smoke::mf_const, 531, 57},	//1713 KLocale::calendar() const
    {70, 1091, 0, 0, Smoke::mf_const, 405, 58},	//1714 KLocale::calendarType() const
    {70, 2556, 24, 1, 0, 0, 59},	//1715 KLocale::setCalendar(const QString&)
    {70, 2387, 243, 2, Smoke::mf_const, 711, 60},	//1716 KLocale::readMoney(const QString&, bool*) const
    {70, 2391, 243, 2, Smoke::mf_const, 711, 61},	//1717 KLocale::readNumber(const QString&, bool*) const
    {70, 2357, 243, 2, Smoke::mf_const, 278, 62},	//1718 KLocale::readDate(const QString&, bool*) const
    {70, 2357, 250, 3, Smoke::mf_const, 278, 63},	//1719 KLocale::readDate(const QString&, const QString&, bool*) const
    {70, 2357, 246, 3, Smoke::mf_const, 278, 64},	//1720 KLocale::readDate(const QString&, KLocale::ReadDateFlags, bool*) const
    {70, 2398, 243, 2, Smoke::mf_const, 422, 65},	//1721 KLocale::readTime(const QString&, bool*) const
    {70, 2398, 1269, 3, Smoke::mf_const, 422, 66},	//1722 KLocale::readTime(const QString&, KLocale::ReadTimeFlags, bool*) const
    {70, 2382, 1273, 4, Smoke::mf_const, 422, 67},	//1723 KLocale::readLocaleTime(const QString&, bool*, QFlags<KLocale::TimeFormatOption>, QFlags<KLocale::TimeProcessingOption>) const
    {70, 1941, 0, 0, Smoke::mf_const, 405, 68},	//1724 KLocale::language() const
    {70, 1197, 0, 0, Smoke::mf_const, 405, 69},	//1725 KLocale::country() const
    {70, 1946, 0, 0, Smoke::mf_const, 410, 70},	//1726 KLocale::languageList() const
    {70, 1221, 0, 0, Smoke::mf_const, 410, 71},	//1727 KLocale::currencyCodeList() const
    {70, 1401, 0, 0, Smoke::mf_const, 621, 72},	//1728 KLocale::encoding() const
    {70, 1405, 0, 0, Smoke::mf_const, 714, 73},	//1729 KLocale::encodingMib() const
    {70, 1143, 0, 0, Smoke::mf_const, 415, 74},	//1730 KLocale::codecForEncoding() const
    {70, 1496, 0, 0, Smoke::mf_const, 714, 75},	//1731 KLocale::fileEncodingMib() const
    {70, 2599, 24, 1, 0, 0, 76},	//1732 KLocale::setDateFormat(const QString&)
    {70, 2601, 24, 1, 0, 0, 77},	//1733 KLocale::setDateFormatShort(const QString&)
    {70, 2605, 97, 1, 0, 0, 78},	//1734 KLocale::setDateMonthNamePossessive(bool)
    {70, 2920, 24, 1, 0, 0, 79},	//1735 KLocale::setTimeFormat(const QString&)
    {70, 2611, 1278, 1, 0, 0, 80},	//1736 KLocale::setDateTimeDigitSet(KLocale::DigitSet)
    {70, 2948, 105, 1, 0, 0, 81},	//1737 KLocale::setWeekStartDay(int)
    {70, 2954, 105, 1, 0, 0, 82},	//1738 KLocale::setWorkingWeekStartDay(int)
    {70, 2952, 105, 1, 0, 0, 83},	//1739 KLocale::setWorkingWeekEndDay(int)
    {70, 2946, 105, 1, 0, 0, 84},	//1740 KLocale::setWeekDayOfPray(int)
    {70, 1252, 0, 0, Smoke::mf_const, 405, 85},	//1741 KLocale::dateFormat() const
    {70, 1253, 0, 0, Smoke::mf_const, 405, 86},	//1742 KLocale::dateFormatShort() const
    {70, 3132, 0, 0, Smoke::mf_const, 405, 87},	//1743 KLocale::timeFormat() const
    {70, 2615, 24, 1, 0, 0, 88},	//1744 KLocale::setDecimalSymbol(const QString&)
    {70, 2916, 24, 1, 0, 0, 89},	//1745 KLocale::setThousandsSeparator(const QString&)
    {70, 2841, 24, 1, 0, 0, 90},	//1746 KLocale::setPositiveSign(const QString&)
    {70, 2811, 24, 1, 0, 0, 91},	//1747 KLocale::setNegativeSign(const QString&)
    {70, 2630, 1278, 1, 0, 0, 92},	//1748 KLocale::setDigitSet(KLocale::DigitSet)
    {70, 2837, 1280, 1, 0, 0, 93},	//1749 KLocale::setPositiveMonetarySignPosition(KLocale::SignPosition)
    {70, 2807, 1280, 1, 0, 0, 94},	//1750 KLocale::setNegativeMonetarySignPosition(KLocale::SignPosition)
    {70, 2839, 97, 1, 0, 0, 95},	//1751 KLocale::setPositivePrefixCurrencySymbol(bool)
    {70, 2809, 97, 1, 0, 0, 96},	//1752 KLocale::setNegativePrefixCurrencySymbol(bool)
    {70, 2665, 105, 1, 0, 0, 97},	//1753 KLocale::setFracDigits(int)
    {70, 2613, 105, 1, 0, 0, 98},	//1754 KLocale::setDecimalPlaces(int)
    {70, 2797, 105, 1, 0, 0, 99},	//1755 KLocale::setMonetaryDecimalPlaces(int)
    {70, 2803, 24, 1, 0, 0, 100},	//1756 KLocale::setMonetaryThousandsSeparator(const QString&)
    {70, 2799, 24, 1, 0, 0, 101},	//1757 KLocale::setMonetaryDecimalSymbol(const QString&)
    {70, 2578, 24, 1, 0, 0, 102},	//1758 KLocale::setCurrencyCode(const QString&)
    {70, 2580, 24, 1, 0, 0, 103},	//1759 KLocale::setCurrencySymbol(const QString&)
    {70, 2801, 1278, 1, 0, 0, 104},	//1760 KLocale::setMonetaryDigitSet(KLocale::DigitSet)
    {70, 2222, 0, 0, Smoke::mf_const, 714, 105},	//1761 KLocale::pageSize() const
    {70, 2825, 105, 1, 0, 0, 106},	//1762 KLocale::setPageSize(int)
    {70, 2043, 0, 0, Smoke::mf_const, 124, 107},	//1763 KLocale::measureSystem() const
    {70, 2787, 1282, 1, 0, 0, 108},	//1764 KLocale::setMeasureSystem(KLocale::MeasureSystem)
    {70, 1737, 24, 1, 0, 0, 109},	//1765 KLocale::insertCatalog(const QString&)
    {70, 2435, 24, 1, 0, 0, 110},	//1766 KLocale::removeCatalog(const QString&)
    {70, 2519, 24, 1, 0, 0, 111},	//1767 KLocale::setActiveCatalog(const QString&)
    {70, 3197, 1284, 3, Smoke::mf_const, 405, 112},	//1768 KLocale::translateQt(const char*, const char*, const char*) const
    {70, 1007, 0, 0, Smoke::mf_const, 410, 113},	//1769 KLocale::allLanguagesList() const
    {70, 1942, 24, 1, Smoke::mf_const, 405, 114},	//1770 KLocale::languageCodeToName(const QString&) const
    {70, 1001, 0, 0, Smoke::mf_const, 410, 115},	//1771 KLocale::allCountriesList() const
    {70, 1199, 24, 1, Smoke::mf_const, 405, 116},	//1772 KLocale::countryCodeToName(const QString&) const
    {70, 2995, 1288, 5, Smoke::mf_static, 0, 117},	//1773 KLocale::splitLocale(const QString&, QString&, QString&, QString&, QString&)
    {70, 2775, 109, 1, Smoke::mf_static, 0, 118},	//1774 KLocale::setMainCatalog(const char*)
    {70, 1938, 477, 2, Smoke::mf_static, 405, 119},	//1775 KLocale::langLookup(const QString&, const char*)
    {70, 1315, 0, 0, Smoke::mf_static, 405, 120},	//1776 KLocale::defaultLanguage()
    {70, 1313, 0, 0, Smoke::mf_static, 405, 121},	//1777 KLocale::defaultCountry()
    {70, 1314, 0, 0, Smoke::mf_static, 405, 122},	//1778 KLocale::defaultCurrencyCode()
    {70, 3245, 0, 0, Smoke::mf_const, 519, 123},	//1779 KLocale::useTranscript() const
    {70, 1768, 24, 1, 0, 519, 124},	//1780 KLocale::isApplicationTranslatedInto(const QString&)
    {70, 1187, 1112, 1, 0, 0, 125},	//1781 KLocale::copyCatalogsTo(KLocale*)
    {70, 2576, 420, 2, 0, 519, 126},	//1782 KLocale::setCountry(const QString&, KConfig*)
    {70, 2693, 420, 2, 0, 519, 127},	//1783 KLocale::setLanguage(const QString&, KConfig*)
    {70, 2693, 128, 1, 0, 519, 128},	//1784 KLocale::setLanguage(const QStringList&)
    {70, 1978, 24, 1, Smoke::mf_const, 405, 129},	//1785 KLocale::localizedFilePath(const QString&) const
    {70, 2433, 24, 1, Smoke::mf_const, 405, 130},	//1786 KLocale::removeAcceleratorMarker(const QString&) const
    {70, 1184, 1294, 3, Smoke::mf_const, 405, 131},	//1787 KLocale::convertDigits(const QString&, KLocale::DigitSet, bool) const
    {70, 378, 24, 1, Smoke::mf_ctor, 117, 132},	//1788 KLocale::KLocale(const QString&)
    {70, 378, 89, 2, Smoke::mf_ctor, 117, 133},	//1789 KLocale::KLocale(const QString&, const QString&)
    {70, 378, 1298, 3, Smoke::mf_ctor, 117, 134},	//1790 KLocale::KLocale(const QString&, const QString&, const QString&)
    {70, 1364, 1278, 1, Smoke::mf_const, 405, 135},	//1791 KLocale::digitSetToName(KLocale::DigitSet) const
    {70, 1587, 751, 1, Smoke::mf_const, 405, 136},	//1792 KLocale::formatMoney(double) const
    {70, 1587, 1302, 2, Smoke::mf_const, 405, 137},	//1793 KLocale::formatMoney(double, const QString&) const
    {70, 1591, 751, 1, Smoke::mf_const, 405, 138},	//1794 KLocale::formatNumber(double) const
    {70, 1591, 24, 1, Smoke::mf_const, 405, 139},	//1795 KLocale::formatNumber(const QString&) const
    {70, 1591, 1305, 2, Smoke::mf_const, 405, 140},	//1796 KLocale::formatNumber(const QString&, bool) const
    {70, 1566, 1238, 2, Smoke::mf_const, 405, 141},	//1797 KLocale::formatByteSize(double, int) const
    {70, 1566, 1308, 3, Smoke::mf_const, 405, 142},	//1798 KLocale::formatByteSize(double, int, KLocale::BinaryUnitDialect) const
    {70, 1571, 174, 1, Smoke::mf_const, 405, 143},	//1799 KLocale::formatDate(const QDate&) const
    {70, 1576, 990, 1, Smoke::mf_const, 405, 144},	//1800 KLocale::formatDateTime(const QDateTime&) const
    {70, 1576, 1312, 2, Smoke::mf_const, 405, 145},	//1801 KLocale::formatDateTime(const QDateTime&, KLocale::DateFormat) const
    {70, 1576, 992, 1, Smoke::mf_const, 405, 146},	//1802 KLocale::formatDateTime(const KDateTime&) const
    {70, 1576, 1315, 2, Smoke::mf_const, 405, 147},	//1803 KLocale::formatDateTime(const KDateTime&, KLocale::DateFormat) const
    {70, 1595, 998, 1, Smoke::mf_const, 405, 148},	//1804 KLocale::formatTime(const QTime&) const
    {70, 1595, 1318, 2, Smoke::mf_const, 405, 149},	//1805 KLocale::formatTime(const QTime&, bool) const
    {70, 1582, 998, 1, Smoke::mf_const, 405, 150},	//1806 KLocale::formatLocaleTime(const QTime&) const
    {70, 2387, 24, 1, Smoke::mf_const, 711, 151},	//1807 KLocale::readMoney(const QString&) const
    {70, 2391, 24, 1, Smoke::mf_const, 711, 152},	//1808 KLocale::readNumber(const QString&) const
    {70, 2357, 24, 1, Smoke::mf_const, 278, 153},	//1809 KLocale::readDate(const QString&) const
    {70, 2357, 89, 2, Smoke::mf_const, 278, 154},	//1810 KLocale::readDate(const QString&, const QString&) const
    {70, 2357, 285, 2, Smoke::mf_const, 278, 155},	//1811 KLocale::readDate(const QString&, KLocale::ReadDateFlags) const
    {70, 2398, 24, 1, Smoke::mf_const, 422, 156},	//1812 KLocale::readTime(const QString&) const
    {70, 2398, 1321, 2, Smoke::mf_const, 422, 157},	//1813 KLocale::readTime(const QString&, KLocale::ReadTimeFlags) const
    {70, 2382, 24, 1, Smoke::mf_const, 422, 158},	//1814 KLocale::readLocaleTime(const QString&) const
    {70, 2382, 243, 2, Smoke::mf_const, 422, 159},	//1815 KLocale::readLocaleTime(const QString&, bool*) const
    {70, 2382, 1324, 3, Smoke::mf_const, 422, 160},	//1816 KLocale::readLocaleTime(const QString&, bool*, QFlags<KLocale::TimeFormatOption>) const
    {70, 1938, 24, 1, Smoke::mf_static, 405, 161},	//1817 KLocale::langLookup(const QString&)
    {70, 1184, 1328, 2, Smoke::mf_const, 405, 162},	//1818 KLocale::convertDigits(const QString&, KLocale::DigitSet) const
    {70, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 163},	//1819 KLocale::ParensAround (enum)
    {70, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 164},	//1820 KLocale::BeforeQuantityMoney (enum)
    {70, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 165},	//1821 KLocale::AfterQuantityMoney (enum)
    {70, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 166},	//1822 KLocale::BeforeMoney (enum)
    {70, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 167},	//1823 KLocale::AfterMoney (enum)
    {70, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 168},	//1824 KLocale::ArabicDigits (enum)
    {70, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 169},	//1825 KLocale::ArabicIndicDigits (enum)
    {70, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 170},	//1826 KLocale::EasternArabicIndicDigits (enum)
    {70, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 171},	//1827 KLocale::DevenagariDigits (enum)
    {70, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 172},	//1828 KLocale::BengaliDigits (enum)
    {70, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 173},	//1829 KLocale::GujaratiDigits (enum)
    {70, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 174},	//1830 KLocale::GurmukhiDigits (enum)
    {70, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 175},	//1831 KLocale::KannadaDigits (enum)
    {70, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 176},	//1832 KLocale::KhmerDigits (enum)
    {70, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 177},	//1833 KLocale::MalayalamDigits (enum)
    {70, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 178},	//1834 KLocale::OriyaDigits (enum)
    {70, 739, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 179},	//1835 KLocale::TamilDigits (enum)
    {70, 741, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 180},	//1836 KLocale::TeluguDigits (enum)
    {70, 744, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 181},	//1837 KLocale::ThaiDigits (enum)
    {70, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 182},	//1838 KLocale::DefaultBinaryUnits (enum)
    {70, 768, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 183},	//1839 KLocale::UnitByte (enum)
    {70, 771, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 184},	//1840 KLocale::UnitKiloByte (enum)
    {70, 773, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 185},	//1841 KLocale::UnitMegaByte (enum)
    {70, 770, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 186},	//1842 KLocale::UnitGigaByte (enum)
    {70, 775, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 187},	//1843 KLocale::UnitTeraByte (enum)
    {70, 774, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 188},	//1844 KLocale::UnitPetaByte (enum)
    {70, 769, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 189},	//1845 KLocale::UnitExaByte (enum)
    {70, 777, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 190},	//1846 KLocale::UnitZettaByte (enum)
    {70, 776, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 191},	//1847 KLocale::UnitYottaByte (enum)
    {70, 772, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 192},	//1848 KLocale::UnitLastUnit (enum)
    {70, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 193},	//1849 KLocale::DefaultBinaryDialect (enum)
    {70, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 194},	//1850 KLocale::IECBinaryDialect (enum)
    {70, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 195},	//1851 KLocale::JEDECBinaryDialect (enum)
    {70, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 196},	//1852 KLocale::MetricBinaryDialect (enum)
    {70, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 197},	//1853 KLocale::LastBinaryDialect (enum)
    {70, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 198},	//1854 KLocale::KdeFormat (enum)
    {70, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 199},	//1855 KLocale::PosixFormat (enum)
    {70, 767, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 200},	//1856 KLocale::UnicodeFormat (enum)
    {70, 696, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 201},	//1857 KLocale::ShortDate (enum)
    {70, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 202},	//1858 KLocale::LongDate (enum)
    {70, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 203},	//1859 KLocale::FancyShortDate (enum)
    {70, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 204},	//1860 KLocale::FancyLongDate (enum)
    {70, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 205},	//1861 KLocale::IsoDate (enum)
    {70, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 206},	//1862 KLocale::IsoWeekDate (enum)
    {70, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 207},	//1863 KLocale::IsoOrdinalDate (enum)
    {70, 751, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 208},	//1864 KLocale::TimeZone (enum)
    {70, 692, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 209},	//1865 KLocale::Seconds (enum)
    {70, 746, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 210},	//1866 KLocale::TimeDefault (enum)
    {70, 750, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 211},	//1867 KLocale::TimeWithoutSeconds (enum)
    {70, 749, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 212},	//1868 KLocale::TimeWithoutAmPm (enum)
    {70, 747, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 213},	//1869 KLocale::TimeDuration (enum)
    {70, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 214},	//1870 KLocale::NormalFormat (enum)
    {70, 698, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 215},	//1871 KLocale::ShortFormat (enum)
    {70, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 216},	//1872 KLocale::IsoFormat (enum)
    {70, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 217},	//1873 KLocale::IsoWeekFormat (enum)
    {70, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 218},	//1874 KLocale::IsoOrdinalFormat (enum)
    {70, 798, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 219},	//1875 KLocale::WithSeconds (enum)
    {70, 799, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 220},	//1876 KLocale::WithoutSeconds (enum)
    {70, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 221},	//1877 KLocale::ProcessStrict (enum)
    {70, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 222},	//1878 KLocale::ProcessNonStrict (enum)
    {70, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 223},	//1879 KLocale::Metric (enum)
    {70, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 224},	//1880 KLocale::Imperial (enum)
    {70, 3427, 0, 0, Smoke::mf_dtor, 0, 225 },	//1881 KLocale::~KLocale()
    {71, 385, 0, 0, Smoke::mf_ctor, 132, 1},	//1882 KLocalizedString::KLocalizedString()
    {71, 385, 22, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 132, 2},	//1883 KLocalizedString::KLocalizedString(const KLocalizedString&)
    {71, 2185, 22, 1, 0, 131, 3},	//1884 KLocalizedString::operator=(const KLocalizedString&)
    {71, 3149, 0, 0, Smoke::mf_const, 405, 4},	//1885 KLocalizedString::toString() const
    {71, 3149, 24, 1, Smoke::mf_const, 405, 5},	//1886 KLocalizedString::toString(const QString&) const
    {71, 3149, 157, 1, Smoke::mf_const, 405, 6},	//1887 KLocalizedString::toString(const KLocale*) const
    {71, 3149, 1331, 2, Smoke::mf_const, 405, 7},	//1888 KLocalizedString::toString(const KLocale*, const QString&) const
    {71, 1800, 0, 0, Smoke::mf_const, 519, 8},	//1889 KLocalizedString::isEmpty() const
    {71, 3079, 1334, 4, Smoke::mf_const, 130, 9},	//1890 KLocalizedString::subs(int, int, int, const QChar&) const
    {71, 3079, 1339, 4, Smoke::mf_const, 130, 10},	//1891 KLocalizedString::subs(unsigned int, int, int, const QChar&) const
    {71, 3079, 1344, 4, Smoke::mf_const, 130, 11},	//1892 KLocalizedString::subs(long, int, int, const QChar&) const
    {71, 3079, 1349, 4, Smoke::mf_const, 130, 12},	//1893 KLocalizedString::subs(unsigned long, int, int, const QChar&) const
    {71, 3079, 1354, 4, Smoke::mf_const, 130, 13},	//1894 KLocalizedString::subs(long long, int, int, const QChar&) const
    {71, 3079, 1359, 4, Smoke::mf_const, 130, 14},	//1895 KLocalizedString::subs(unsigned long long, int, int, const QChar&) const
    {71, 3079, 1364, 5, Smoke::mf_const, 130, 15},	//1896 KLocalizedString::subs(double, int, char, int, const QChar&) const
    {71, 3079, 1370, 3, Smoke::mf_const, 130, 16},	//1897 KLocalizedString::subs(QChar, int, const QChar&) const
    {71, 3079, 1374, 3, Smoke::mf_const, 130, 17},	//1898 KLocalizedString::subs(const QString&, int, const QChar&) const
    {71, 1717, 89, 2, Smoke::mf_const, 130, 18},	//1899 KLocalizedString::inContext(const QString&, const QString&) const
    {71, 2110, 1378, 2, Smoke::mf_static, 0, 19},	//1900 KLocalizedString::notifyCatalogsUpdated(const QStringList&, const QList<KCatalogName>&)
    {71, 3079, 105, 1, Smoke::mf_const, 130, 20},	//1901 KLocalizedString::subs(int) const
    {71, 3079, 166, 2, Smoke::mf_const, 130, 21},	//1902 KLocalizedString::subs(int, int) const
    {71, 3079, 162, 3, Smoke::mf_const, 130, 22},	//1903 KLocalizedString::subs(int, int, int) const
    {71, 3079, 905, 1, Smoke::mf_const, 130, 23},	//1904 KLocalizedString::subs(unsigned int) const
    {71, 3079, 1381, 2, Smoke::mf_const, 130, 24},	//1905 KLocalizedString::subs(unsigned int, int) const
    {71, 3079, 1384, 3, Smoke::mf_const, 130, 25},	//1906 KLocalizedString::subs(unsigned int, int, int) const
    {71, 3079, 1245, 1, Smoke::mf_const, 130, 26},	//1907 KLocalizedString::subs(long) const
    {71, 3079, 1388, 2, Smoke::mf_const, 130, 27},	//1908 KLocalizedString::subs(long, int) const
    {71, 3079, 1391, 3, Smoke::mf_const, 130, 28},	//1909 KLocalizedString::subs(long, int, int) const
    {71, 3079, 1130, 1, Smoke::mf_const, 130, 29},	//1910 KLocalizedString::subs(unsigned long) const
    {71, 3079, 1395, 2, Smoke::mf_const, 130, 30},	//1911 KLocalizedString::subs(unsigned long, int) const
    {71, 3079, 1398, 3, Smoke::mf_const, 130, 31},	//1912 KLocalizedString::subs(unsigned long, int, int) const
    {71, 3079, 814, 1, Smoke::mf_const, 130, 32},	//1913 KLocalizedString::subs(long long) const
    {71, 3079, 1402, 2, Smoke::mf_const, 130, 33},	//1914 KLocalizedString::subs(long long, int) const
    {71, 3079, 1405, 3, Smoke::mf_const, 130, 34},	//1915 KLocalizedString::subs(long long, int, int) const
    {71, 3079, 918, 1, Smoke::mf_const, 130, 35},	//1916 KLocalizedString::subs(unsigned long long) const
    {71, 3079, 1409, 2, Smoke::mf_const, 130, 36},	//1917 KLocalizedString::subs(unsigned long long, int) const
    {71, 3079, 1412, 3, Smoke::mf_const, 130, 37},	//1918 KLocalizedString::subs(unsigned long long, int, int) const
    {71, 3079, 751, 1, Smoke::mf_const, 130, 38},	//1919 KLocalizedString::subs(double) const
    {71, 3079, 1238, 2, Smoke::mf_const, 130, 39},	//1920 KLocalizedString::subs(double, int) const
    {71, 3079, 1416, 3, Smoke::mf_const, 130, 40},	//1921 KLocalizedString::subs(double, int, char) const
    {71, 3079, 1420, 4, Smoke::mf_const, 130, 41},	//1922 KLocalizedString::subs(double, int, char, int) const
    {71, 3079, 293, 1, Smoke::mf_const, 130, 42},	//1923 KLocalizedString::subs(QChar) const
    {71, 3079, 1425, 2, Smoke::mf_const, 130, 43},	//1924 KLocalizedString::subs(QChar, int) const
    {71, 3079, 24, 1, Smoke::mf_const, 130, 44},	//1925 KLocalizedString::subs(const QString&) const
    {71, 3079, 967, 2, Smoke::mf_const, 130, 45},	//1926 KLocalizedString::subs(const QString&, int) const
    {71, 3428, 0, 0, Smoke::mf_dtor, 0, 46 },	//1927 KLocalizedString::~KLocalizedString()
    {72, 387, 1155, 2, Smoke::mf_ctor, 133, 1},	//1928 KLockFile::KLockFile(const QString&, const KComponentData&)
    {72, 1993, 1428, 1, 0, 135, 2},	//1929 KLockFile::lock(QFlags<KLockFile::LockFlag>)
    {72, 1830, 0, 0, Smoke::mf_const, 519, 3},	//1930 KLockFile::isLocked() const
    {72, 3221, 0, 0, 0, 0, 4},	//1931 KLockFile::unlock()
    {72, 3002, 0, 0, Smoke::mf_const, 714, 5},	//1932 KLockFile::staleTime() const
    {72, 2904, 105, 1, 0, 0, 6},	//1933 KLockFile::setStaleTime(int)
    {72, 1635, 1430, 3, 0, 519, 7},	//1934 KLockFile::getLockInfo(int&, QString&, QString&)
    {72, 387, 1434, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 133, 8},	//1935 KLockFile::KLockFile(const KLockFile&)
    {72, 387, 24, 1, Smoke::mf_ctor, 133, 9},	//1936 KLockFile::KLockFile(const QString&)
    {72, 1993, 0, 0, 0, 135, 10},	//1937 KLockFile::lock()
    {72, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 11},	//1938 KLockFile::LockOK (enum)
    {72, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 12},	//1939 KLockFile::LockFail (enum)
    {72, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 13},	//1940 KLockFile::LockError (enum)
    {72, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 14},	//1941 KLockFile::LockStale (enum)
    {72, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 15},	//1942 KLockFile::NoBlockFlag (enum)
    {72, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 16},	//1943 KLockFile::ForceFlag (enum)
    {72, 3429, 0, 0, Smoke::mf_dtor, 0, 17 },	//1944 KLockFile::~KLockFile()
    {73, 391, 0, 0, Smoke::mf_ctor, 136, 1},	//1945 KMD5::KMD5()
    {73, 391, 1061, 2, Smoke::mf_ctor, 136, 2},	//1946 KMD5::KMD5(const char*, int)
    {73, 391, 26, 1, Smoke::mf_ctor, 136, 3},	//1947 KMD5::KMD5(const QByteArray&)
    {73, 3229, 1061, 2, 0, 0, 4},	//1948 KMD5::update(const char*, int)
    {73, 3229, 1436, 2, 0, 0, 5},	//1949 KMD5::update(const unsigned char*, int)
    {73, 3229, 26, 1, 0, 0, 6},	//1950 KMD5::update(const QByteArray&)
    {73, 3229, 1439, 1, 0, 519, 7},	//1951 KMD5::update(QIODevice&)
    {73, 2457, 0, 0, 0, 0, 8},	//1952 KMD5::reset()
    {73, 2341, 0, 0, 0, 706, 9},	//1953 KMD5::rawDigest()
    {73, 2341, 1441, 1, 0, 0, 10},	//1954 KMD5::rawDigest(unsigned char(&)[16])
    {73, 1697, 0, 0, 0, 264, 11},	//1955 KMD5::hexDigest()
    {73, 1697, 1443, 1, 0, 0, 12},	//1956 KMD5::hexDigest(QByteArray&)
    {73, 1068, 0, 0, 0, 264, 13},	//1957 KMD5::base64Digest()
    {73, 3269, 1445, 1, 0, 519, 14},	//1958 KMD5::verify(const unsigned char(&)[16])
    {73, 3269, 26, 1, 0, 519, 15},	//1959 KMD5::verify(const QByteArray&)
    {73, 3179, 1447, 1, Smoke::mf_protected, 0, 16},	//1960 KMD5::transform(const unsigned char[64])
    {73, 1502, 0, 0, Smoke::mf_protected, 0, 17},	//1961 KMD5::finalize()
    {73, 391, 109, 1, Smoke::mf_ctor, 136, 18},	//1962 KMD5::KMD5(const char*)
    {73, 3229, 109, 1, 0, 0, 19},	//1963 KMD5::update(const char*)
    {73, 3229, 1449, 1, 0, 0, 20},	//1964 KMD5::update(const unsigned char*)
    {73, 3430, 0, 0, Smoke::mf_dtor, 0, 21 },	//1965 KMD5::~KMD5()
    {74, 1468, 1451, 3, Smoke::mf_static, 405, 1},	//1966 KMacroExpander::expandMacros(const QString&, const QHash<QString,QString>&, QChar)
    {74, 1468, 1455, 2, Smoke::mf_static, 405, 2},	//1967 KMacroExpander::expandMacros(const QString&, const QHash<QString,QString>&)
    {74, 1472, 1458, 3, Smoke::mf_static, 405, 3},	//1968 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QStringList>&, QChar)
    {74, 1472, 1462, 2, Smoke::mf_static, 405, 4},	//1969 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QStringList>&)
    {74, 1468, 1458, 3, Smoke::mf_static, 405, 5},	//1970 KMacroExpander::expandMacros(const QString&, const QHash<QChar,QStringList>&, QChar)
    {74, 1468, 1462, 2, Smoke::mf_static, 405, 6},	//1971 KMacroExpander::expandMacros(const QString&, const QHash<QChar,QStringList>&)
    {74, 1472, 1451, 3, Smoke::mf_static, 405, 7},	//1972 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QString>&, QChar)
    {74, 1472, 1455, 2, Smoke::mf_static, 405, 8},	//1973 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QString>&)
    {74, 1468, 1465, 3, Smoke::mf_static, 405, 9},	//1974 KMacroExpander::expandMacros(const QString&, const QHash<QChar,QString>&, QChar)
    {74, 1468, 1469, 2, Smoke::mf_static, 405, 10},	//1975 KMacroExpander::expandMacros(const QString&, const QHash<QChar,QString>&)
    {74, 1468, 1472, 3, Smoke::mf_static, 405, 11},	//1976 KMacroExpander::expandMacros(const QString&, const QHash<QString,QStringList>&, QChar)
    {74, 1468, 1476, 2, Smoke::mf_static, 405, 12},	//1977 KMacroExpander::expandMacros(const QString&, const QHash<QString,QStringList>&)
    {74, 1472, 1465, 3, Smoke::mf_static, 405, 13},	//1978 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QString>&, QChar)
    {74, 1472, 1469, 2, Smoke::mf_static, 405, 14},	//1979 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QString>&)
    {74, 1472, 1472, 3, Smoke::mf_static, 405, 15},	//1980 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QStringList>&, QChar)
    {74, 1472, 1476, 2, Smoke::mf_static, 405, 16},	//1981 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QStringList>&)
    {75, 395, 293, 1, Smoke::mf_ctor, 137, 1},	//1982 KMacroExpanderBase::KMacroExpanderBase(QChar)
    {75, 1468, 1479, 1, 0, 0, 2},	//1983 KMacroExpanderBase::expandMacros(QString&)
    {75, 1472, 1481, 2, 0, 519, 3},	//1984 KMacroExpanderBase::expandMacrosShellQuote(QString&, int&)
    {75, 1472, 1479, 1, 0, 519, 4},	//1985 KMacroExpanderBase::expandMacrosShellQuote(QString&)
    {75, 2650, 293, 1, 0, 0, 5},	//1986 KMacroExpanderBase::setEscapeChar(QChar)
    {75, 1443, 0, 0, Smoke::mf_const, 266, 6},	//1987 KMacroExpanderBase::escapeChar() const
    {75, 1477, 295, 3, Smoke::mf_protected|Smoke::mf_virtual, 714, 7},	//1988 KMacroExpanderBase::expandPlainMacro(const QString&, int, QStringList&)
    {75, 1463, 295, 3, Smoke::mf_protected|Smoke::mf_virtual, 714, 8},	//1989 KMacroExpanderBase::expandEscapedMacro(const QString&, int, QStringList&)
    {75, 395, 1484, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 137, 9},	//1990 KMacroExpanderBase::KMacroExpanderBase(const KMacroExpanderBase&)
    {75, 395, 0, 0, Smoke::mf_ctor, 137, 10},	//1991 KMacroExpanderBase::KMacroExpanderBase()
    {75, 3431, 0, 0, Smoke::mf_dtor, 0, 11 },	//1992 KMacroExpanderBase::~KMacroExpanderBase()
    {76, 2045, 1486, 3, Smoke::mf_static, 0, 1},	//1993 KMessage::message(KMessage::MessageType, const QString&, const QString&)
    {76, 2045, 1490, 2, Smoke::mf_static, 0, 2},	//1994 KMessage::message(KMessage::MessageType, const QString&)
    {76, 2791, 1493, 1, Smoke::mf_static, 0, 3},	//1995 KMessage::setMessageHandler(KMessageHandler*)
    {76, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 4},	//1996 KMessage::Error (enum)
    {76, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 5},	//1997 KMessage::Information (enum)
    {76, 795, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 6},	//1998 KMessage::Warning (enum)
    {76, 709, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 7},	//1999 KMessage::Sorry (enum)
    {76, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 8},	//2000 KMessage::Fatal (enum)
    {77, 2045, 1486, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//2001 KMessageHandler::message(KMessage::MessageType, const QString&, const QString&) [pure virtual]
    {77, 397, 0, 0, Smoke::mf_ctor, 139, 2},	//2002 KMessageHandler::KMessageHandler()
    {77, 397, 1495, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 139, 3},	//2003 KMessageHandler::KMessageHandler(const KMessageHandler&)
    {77, 3432, 0, 0, Smoke::mf_dtor, 0, 4 },	//2004 KMessageHandler::~KMessageHandler()
    {78, 1709, 135, 1, Smoke::mf_const, 405, 1},	//2005 KMimeType::iconName(const KUrl&) const
    {78, 1711, 1497, 2, Smoke::mf_static, 405, 2},	//2006 KMimeType::iconNameForUrl(const KUrl&, unsigned int)
    {78, 1489, 135, 1, Smoke::mf_static, 405, 3},	//2007 KMimeType::favIconForUrl(const KUrl&)
    {78, 1149, 135, 1, Smoke::mf_const, 405, 4},	//2008 KMimeType::comment(const KUrl&) const
    {78, 2238, 0, 0, Smoke::mf_const, 410, 5},	//2009 KMimeType::patterns() const
    {78, 2049, 1500, 2, Smoke::mf_static, 172, 6},	//2010 KMimeType::mimeType(const QString&, KMimeType::FindByNameOption)
    {78, 1527, 1503, 5, Smoke::mf_static, 172, 7},	//2011 KMimeType::findByUrl(const KUrl&, unsigned int, bool, bool, int*)
    {78, 1522, 1509, 4, Smoke::mf_static, 172, 8},	//2012 KMimeType::findByPath(const QString&, unsigned int, bool, int*)
    {78, 1512, 1514, 2, Smoke::mf_static, 172, 9},	//2013 KMimeType::findByContent(const QByteArray&, int*)
    {78, 1518, 1517, 4, Smoke::mf_static, 172, 10},	//2014 KMimeType::findByNameAndContent(const QString&, const QByteArray&, unsigned int, int*)
    {78, 1512, 1522, 2, Smoke::mf_static, 172, 11},	//2015 KMimeType::findByContent(QIODevice*, int*)
    {78, 1518, 1525, 4, Smoke::mf_static, 172, 12},	//2016 KMimeType::findByNameAndContent(const QString&, QIODevice*, unsigned int, int*)
    {78, 1515, 1530, 2, Smoke::mf_static, 172, 13},	//2017 KMimeType::findByFileContent(const QString&, int*)
    {78, 1776, 24, 1, Smoke::mf_static, 519, 14},	//2018 KMimeType::isBinaryData(const QString&)
    {78, 1778, 26, 1, Smoke::mf_static, 519, 15},	//2019 KMimeType::isBufferBinaryData(const QByteArray&)
    {78, 1008, 0, 0, Smoke::mf_static, 362, 16},	//2020 KMimeType::allMimeTypes()
    {78, 1317, 0, 0, Smoke::mf_static, 405, 17},	//2021 KMimeType::defaultMimeType()
    {78, 1318, 0, 0, Smoke::mf_static, 172, 18},	//2022 KMimeType::defaultMimeTypePtr()
    {78, 1789, 0, 0, Smoke::mf_const, 519, 19},	//2023 KMimeType::isDefault() const
    {78, 2225, 0, 0, Smoke::mf_const, 405, 20},	//2024 KMimeType::parentMimeType() const
    {78, 2226, 0, 0, Smoke::mf_const, 410, 21},	//2025 KMimeType::parentMimeTypes() const
    {78, 1009, 0, 0, Smoke::mf_const, 410, 22},	//2026 KMimeType::allParentMimeTypes() const
    {78, 1765, 24, 1, Smoke::mf_const, 519, 23},	//2027 KMimeType::is(const QString&) const
    {78, 3250, 0, 0, Smoke::mf_const, 405, 24},	//2028 KMimeType::userSpecifiedIconName() const
    {78, 2029, 0, 0, Smoke::mf_const, 405, 25},	//2029 KMimeType::mainExtension() const
    {78, 1481, 24, 1, Smoke::mf_static, 405, 26},	//2030 KMimeType::extractKnownExtension(const QString&)
    {78, 2960, 0, 0, Smoke::mf_static, 714, 27},	//2031 KMimeType::sharedMimeInfoVersion()
    {78, 399, 1533, 2, Smoke::mf_ctor|Smoke::mf_protected, 140, 28},	//2032 KMimeType::KMimeType(QDataStream&, int)
    {78, 399, 1298, 3, Smoke::mf_ctor|Smoke::mf_protected, 140, 29},	//2033 KMimeType::KMimeType(const QString&, const QString&, const QString&)
    {78, 399, 1536, 1, Smoke::mf_ctor|Smoke::mf_protected, 140, 30},	//2034 KMimeType::KMimeType(KMimeTypePrivate&)
    {78, 399, 1538, 3, Smoke::mf_ctor|Smoke::mf_protected, 140, 31},	//2035 KMimeType::KMimeType(KMimeTypePrivate&, const QString&, const QString&)
    {78, 1709, 0, 0, Smoke::mf_const, 405, 32},	//2036 KMimeType::iconName() const
    {78, 1711, 135, 1, Smoke::mf_static, 405, 33},	//2037 KMimeType::iconNameForUrl(const KUrl&)
    {78, 1149, 0, 0, Smoke::mf_const, 405, 34},	//2038 KMimeType::comment() const
    {78, 2049, 24, 1, Smoke::mf_static, 172, 35},	//2039 KMimeType::mimeType(const QString&)
    {78, 1527, 135, 1, Smoke::mf_static, 172, 36},	//2040 KMimeType::findByUrl(const KUrl&)
    {78, 1527, 1497, 2, Smoke::mf_static, 172, 37},	//2041 KMimeType::findByUrl(const KUrl&, unsigned int)
    {78, 1527, 1542, 3, Smoke::mf_static, 172, 38},	//2042 KMimeType::findByUrl(const KUrl&, unsigned int, bool)
    {78, 1527, 1546, 4, Smoke::mf_static, 172, 39},	//2043 KMimeType::findByUrl(const KUrl&, unsigned int, bool, bool)
    {78, 1522, 24, 1, Smoke::mf_static, 172, 40},	//2044 KMimeType::findByPath(const QString&)
    {78, 1522, 960, 2, Smoke::mf_static, 172, 41},	//2045 KMimeType::findByPath(const QString&, unsigned int)
    {78, 1522, 1551, 3, Smoke::mf_static, 172, 42},	//2046 KMimeType::findByPath(const QString&, unsigned int, bool)
    {78, 1512, 26, 1, Smoke::mf_static, 172, 43},	//2047 KMimeType::findByContent(const QByteArray&)
    {78, 1518, 542, 2, Smoke::mf_static, 172, 44},	//2048 KMimeType::findByNameAndContent(const QString&, const QByteArray&)
    {78, 1518, 1555, 3, Smoke::mf_static, 172, 45},	//2049 KMimeType::findByNameAndContent(const QString&, const QByteArray&, unsigned int)
    {78, 1512, 1087, 1, Smoke::mf_static, 172, 46},	//2050 KMimeType::findByContent(QIODevice*)
    {78, 1518, 1559, 2, Smoke::mf_static, 172, 47},	//2051 KMimeType::findByNameAndContent(const QString&, QIODevice*)
    {78, 1518, 1562, 3, Smoke::mf_static, 172, 48},	//2052 KMimeType::findByNameAndContent(const QString&, QIODevice*, unsigned int)
    {78, 1515, 24, 1, Smoke::mf_static, 172, 49},	//2053 KMimeType::findByFileContent(const QString&)
    {78, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 50},	//2054 KMimeType::DontResolveAlias (enum)
    {78, 686, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 51},	//2055 KMimeType::ResolveAliases (enum)
    {78, 3433, 0, 0, Smoke::mf_dtor, 0, 52 },	//2056 KMimeType::~KMimeType()
    {80, 2321, 1298, 3, Smoke::mf_const, 363, 1},	//2057 KMimeTypeTrader::query(const QString&, const QString&, const QString&) const
    {80, 2267, 89, 2, 0, 173, 2},	//2058 KMimeTypeTrader::preferredService(const QString&, const QString&)
    {80, 2496, 0, 0, Smoke::mf_static, 143, 3},	//2059 KMimeTypeTrader::self()
    {80, 404, 1566, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 143, 4},	//2060 KMimeTypeTrader::KMimeTypeTrader(const KMimeTypeTrader&)
    {80, 2321, 24, 1, Smoke::mf_const, 363, 5},	//2061 KMimeTypeTrader::query(const QString&) const
    {80, 2321, 89, 2, Smoke::mf_const, 363, 6},	//2062 KMimeTypeTrader::query(const QString&, const QString&) const
    {80, 2267, 24, 1, 0, 173, 7},	//2063 KMimeTypeTrader::preferredService(const QString&)
    {80, 3434, 0, 0, Smoke::mf_dtor, 0, 8 },	//2064 KMimeTypeTrader::~KMimeTypeTrader()
    {82, 2048, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 667, 1},	//2065 KPluginFactory::metaObject() const
    {82, 2319, 109, 1, Smoke::mf_virtual, 737, 2},	//2066 KPluginFactory::qt_metacast(const char*)
    {82, 3168, 111, 2, Smoke::mf_static, 405, 3},	//2067 KPluginFactory::tr(const char*, const char*)
    {82, 3175, 111, 2, Smoke::mf_static, 405, 4},	//2068 KPluginFactory::trUtf8(const char*, const char*)
    {82, 3168, 114, 3, Smoke::mf_static, 405, 5},	//2069 KPluginFactory::tr(const char*, const char*, int)
    {82, 3175, 114, 3, Smoke::mf_static, 405, 6},	//2070 KPluginFactory::trUtf8(const char*, const char*, int)
    {82, 2317, 118, 3, Smoke::mf_virtual, 714, 7},	//2071 KPluginFactory::qt_metacall(QMetaObject::Call, int, void**)
    {82, 406, 1568, 3, Smoke::mf_ctor, 145, 8},	//2072 KPluginFactory::KPluginFactory(const char*, const char*, QObject*)
    {82, 406, 1572, 2, Smoke::mf_ctor, 145, 9},	//2073 KPluginFactory::KPluginFactory(const KAboutData&, QObject*)
    {82, 406, 1575, 2, Smoke::mf_ctor, 145, 10},	//2074 KPluginFactory::KPluginFactory(const KAboutData*, QObject*)
    {82, 406, 133, 1, Smoke::mf_ctor, 145, 11},	//2075 KPluginFactory::KPluginFactory(QObject*)
    {82, 1153, 0, 0, Smoke::mf_const, 36, 12},	//2076 KPluginFactory::componentData() const
    {82, 1201, 1578, 3, 0, 391, 13},	//2077 KPluginFactory::create(QObject*, const char*, const QStringList&)
    {82, 2118, 133, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//2078 KPluginFactory::objectCreated(QObject*)
    {82, 406, 1582, 2, Smoke::mf_ctor|Smoke::mf_protected, 145, 15},	//2079 KPluginFactory::KPluginFactory(KPluginFactoryPrivate&, QObject*)
    {82, 3076, 128, 1, Smoke::mf_protected, 379, 16},	//2080 KPluginFactory::stringListToVariantList(const QStringList&)
    {82, 3267, 1585, 1, Smoke::mf_protected, 410, 17},	//2081 KPluginFactory::variantListToStringList(const QList<QVariant>&)
    {82, 2959, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//2082 KPluginFactory::setupTranslations()
    {82, 1211, 1578, 3, Smoke::mf_protected|Smoke::mf_virtual, 391, 19},	//2083 KPluginFactory::createObject(QObject*, const char*, const QStringList&)
    {82, 1213, 1587, 4, Smoke::mf_protected|Smoke::mf_virtual, 144, 20},	//2084 KPluginFactory::createPartObject(QWidget*, QObject*, const char*, const QStringList&)
    {82, 2568, 383, 1, Smoke::mf_protected, 0, 21},	//2085 KPluginFactory::setComponentData(const KComponentData&)
    {82, 1201, 1592, 5, Smoke::mf_protected|Smoke::mf_virtual, 391, 22},	//2086 KPluginFactory::create(const char*, QWidget*, QObject*, const QList<QVariant>&, const QString&)
    {82, 3168, 109, 1, Smoke::mf_static, 405, 23},	//2087 KPluginFactory::tr(const char*)
    {82, 3175, 109, 1, Smoke::mf_static, 405, 24},	//2088 KPluginFactory::trUtf8(const char*)
    {82, 406, 0, 0, Smoke::mf_ctor, 145, 25},	//2089 KPluginFactory::KPluginFactory()
    {82, 406, 109, 1, Smoke::mf_ctor, 145, 26},	//2090 KPluginFactory::KPluginFactory(const char*)
    {82, 406, 111, 2, Smoke::mf_ctor, 145, 27},	//2091 KPluginFactory::KPluginFactory(const char*, const char*)
    {82, 406, 12, 1, Smoke::mf_ctor, 145, 28},	//2092 KPluginFactory::KPluginFactory(const KAboutData&)
    {82, 406, 325, 1, Smoke::mf_ctor, 145, 29},	//2093 KPluginFactory::KPluginFactory(const KAboutData*)
    {82, 1201, 0, 0, 0, 391, 30},	//2094 KPluginFactory::create()
    {82, 1201, 133, 1, 0, 391, 31},	//2095 KPluginFactory::create(QObject*)
    {82, 1201, 1598, 2, 0, 391, 32},	//2096 KPluginFactory::create(QObject*, const char*)
    {82, 406, 1601, 1, Smoke::mf_ctor|Smoke::mf_protected, 145, 33},	//2097 KPluginFactory::KPluginFactory(KPluginFactoryPrivate&)
    {82, 3064, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 666, 34},	//2098 KPluginFactory::staticMetaObject() const
    {82, 3435, 0, 0, Smoke::mf_dtor, 0, 35 },	//2099 KPluginFactory::~KPluginFactory()
    {84, 412, 477, 2, Smoke::mf_ctor, 148, 1},	//2100 KPluginInfo::KPluginInfo(const QString&, const char*)
    {84, 412, 1603, 1, Smoke::mf_ctor, 148, 2},	//2101 KPluginInfo::KPluginInfo(const KSharedPtr<KService>)
    {84, 412, 0, 0, Smoke::mf_ctor, 148, 3},	//2102 KPluginInfo::KPluginInfo()
    {84, 1617, 1605, 2, Smoke::mf_static, 359, 4},	//2103 KPluginInfo::fromServices(const QList<KSharedPtr<KService> >&, const KConfigGroup&)
    {84, 1605, 1608, 2, Smoke::mf_static, 359, 5},	//2104 KPluginInfo::fromFiles(const QStringList&, const KConfigGroup&)
    {84, 1608, 1611, 2, Smoke::mf_static, 359, 6},	//2105 KPluginInfo::fromKPartsInstanceName(const QString&, const KConfigGroup&)
    {84, 1817, 0, 0, Smoke::mf_const, 519, 7},	//2106 KPluginInfo::isHidden() const
    {84, 2835, 97, 1, 0, 0, 8},	//2107 KPluginInfo::setPluginEnabled(bool)
    {84, 1839, 0, 0, Smoke::mf_const, 519, 9},	//2108 KPluginInfo::isPluginEnabled() const
    {84, 1840, 0, 0, Smoke::mf_const, 519, 10},	//2109 KPluginInfo::isPluginEnabledByDefault() const
    {84, 2292, 24, 1, Smoke::mf_const, 429, 11},	//2110 KPluginInfo::property(const QString&) const
    {84, 2089, 0, 0, Smoke::mf_const, 405, 12},	//2111 KPluginInfo::name() const
    {84, 1149, 0, 0, Smoke::mf_const, 405, 13},	//2112 KPluginInfo::comment() const
    {84, 1707, 0, 0, Smoke::mf_const, 405, 14},	//2113 KPluginInfo::icon() const
    {84, 1421, 0, 0, Smoke::mf_const, 405, 15},	//2114 KPluginInfo::entryPath() const
    {84, 1035, 0, 0, Smoke::mf_const, 405, 16},	//2115 KPluginInfo::author() const
    {84, 1385, 0, 0, Smoke::mf_const, 405, 17},	//2116 KPluginInfo::email() const
    {84, 1104, 0, 0, Smoke::mf_const, 405, 18},	//2117 KPluginInfo::category() const
    {84, 2255, 0, 0, Smoke::mf_const, 405, 19},	//2118 KPluginInfo::pluginName() const
    {84, 3272, 0, 0, Smoke::mf_const, 405, 20},	//2119 KPluginInfo::version() const
    {84, 3300, 0, 0, Smoke::mf_const, 405, 21},	//2120 KPluginInfo::website() const
    {84, 1958, 0, 0, Smoke::mf_const, 405, 22},	//2121 KPluginInfo::license() const
    {84, 1628, 0, 0, Smoke::mf_const, 7, 23},	//2122 KPluginInfo::fullLicense() const
    {84, 1335, 0, 0, Smoke::mf_const, 410, 24},	//2123 KPluginInfo::dependencies() const
    {84, 2499, 0, 0, Smoke::mf_const, 173, 25},	//2124 KPluginInfo::service() const
    {84, 1896, 0, 0, Smoke::mf_const, 363, 26},	//2125 KPluginInfo::kcmServices() const
    {84, 2570, 464, 1, 0, 0, 27},	//2126 KPluginInfo::setConfig(const KConfigGroup&)
    {84, 1158, 0, 0, Smoke::mf_const, 47, 28},	//2127 KPluginInfo::config() const
    {84, 2479, 1614, 1, 0, 0, 29},	//2128 KPluginInfo::save(KConfigGroup)
    {84, 1968, 464, 1, 0, 0, 30},	//2129 KPluginInfo::load(const KConfigGroup&)
    {84, 1323, 0, 0, 0, 0, 31},	//2130 KPluginInfo::defaults()
    {84, 1864, 0, 0, Smoke::mf_const, 519, 32},	//2131 KPluginInfo::isValid() const
    {84, 412, 1616, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 148, 33},	//2132 KPluginInfo::KPluginInfo(const KPluginInfo&)
    {84, 2185, 1616, 1, 0, 147, 34},	//2133 KPluginInfo::operator=(const KPluginInfo&)
    {84, 2188, 1616, 1, Smoke::mf_const, 519, 35},	//2134 KPluginInfo::operator==(const KPluginInfo&) const
    {84, 2145, 1616, 1, Smoke::mf_const, 519, 36},	//2135 KPluginInfo::operator!=(const KPluginInfo&) const
    {84, 2167, 1616, 1, Smoke::mf_const, 519, 37},	//2136 KPluginInfo::operator<(const KPluginInfo&) const
    {84, 2195, 1616, 1, Smoke::mf_const, 519, 38},	//2137 KPluginInfo::operator>(const KPluginInfo&) const
    {84, 412, 24, 1, Smoke::mf_ctor, 148, 39},	//2138 KPluginInfo::KPluginInfo(const QString&)
    {84, 1617, 1618, 1, Smoke::mf_static, 359, 40},	//2139 KPluginInfo::fromServices(const QList<KSharedPtr<KService> >&)
    {84, 1605, 128, 1, Smoke::mf_static, 359, 41},	//2140 KPluginInfo::fromFiles(const QStringList&)
    {84, 1608, 24, 1, Smoke::mf_static, 359, 42},	//2141 KPluginInfo::fromKPartsInstanceName(const QString&)
    {84, 2479, 0, 0, 0, 0, 43},	//2142 KPluginInfo::save()
    {84, 1968, 0, 0, 0, 0, 44},	//2143 KPluginInfo::load()
    {84, 3436, 0, 0, Smoke::mf_dtor, 0, 45 },	//2144 KPluginInfo::~KPluginInfo()
    {85, 2048, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 667, 1},	//2145 KPluginLoader::metaObject() const
    {85, 2319, 109, 1, Smoke::mf_virtual, 737, 2},	//2146 KPluginLoader::qt_metacast(const char*)
    {85, 3168, 111, 2, Smoke::mf_static, 405, 3},	//2147 KPluginLoader::tr(const char*, const char*)
    {85, 3175, 111, 2, Smoke::mf_static, 405, 4},	//2148 KPluginLoader::trUtf8(const char*, const char*)
    {85, 3168, 114, 3, Smoke::mf_static, 405, 5},	//2149 KPluginLoader::tr(const char*, const char*, int)
    {85, 3175, 114, 3, Smoke::mf_static, 405, 6},	//2150 KPluginLoader::trUtf8(const char*, const char*, int)
    {85, 2317, 118, 3, Smoke::mf_virtual, 714, 7},	//2151 KPluginLoader::qt_metacall(QMetaObject::Call, int, void**)
    {85, 417, 1158, 3, Smoke::mf_ctor, 149, 8},	//2152 KPluginLoader::KPluginLoader(const QString&, const KComponentData&, QObject*)
    {85, 417, 1620, 3, Smoke::mf_ctor, 149, 9},	//2153 KPluginLoader::KPluginLoader(const KService&, const KComponentData&, QObject*)
    {85, 1485, 0, 0, 0, 145, 10},	//2154 KPluginLoader::factory()
    {85, 2255, 0, 0, Smoke::mf_const, 405, 11},	//2155 KPluginLoader::pluginName() const
    {85, 2256, 0, 0, Smoke::mf_const, 730, 12},	//2156 KPluginLoader::pluginVersion() const
    {85, 1438, 0, 0, Smoke::mf_const, 405, 13},	//2157 KPluginLoader::errorString() const
    {85, 1827, 0, 0, Smoke::mf_const, 519, 14},	//2158 KPluginLoader::isLoaded() const
    {85, 1968, 0, 0, Smoke::mf_protected, 519, 15},	//2159 KPluginLoader::load()
    {85, 3168, 109, 1, Smoke::mf_static, 405, 16},	//2160 KPluginLoader::tr(const char*)
    {85, 3175, 109, 1, Smoke::mf_static, 405, 17},	//2161 KPluginLoader::trUtf8(const char*)
    {85, 417, 24, 1, Smoke::mf_ctor, 149, 18},	//2162 KPluginLoader::KPluginLoader(const QString&)
    {85, 417, 1155, 2, Smoke::mf_ctor, 149, 19},	//2163 KPluginLoader::KPluginLoader(const QString&, const KComponentData&)
    {85, 417, 1624, 1, Smoke::mf_ctor, 149, 20},	//2164 KPluginLoader::KPluginLoader(const KService&)
    {85, 417, 1626, 2, Smoke::mf_ctor, 149, 21},	//2165 KPluginLoader::KPluginLoader(const KService&, const KComponentData&)
    {85, 3064, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 666, 22},	//2166 KPluginLoader::staticMetaObject() const
    {85, 3437, 0, 0, Smoke::mf_dtor, 0, 23 },	//2167 KPluginLoader::~KPluginLoader()
    {86, 2048, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 667, 1},	//2168 KProcess::metaObject() const
    {86, 2319, 109, 1, Smoke::mf_virtual, 737, 2},	//2169 KProcess::qt_metacast(const char*)
    {86, 3168, 111, 2, Smoke::mf_static, 405, 3},	//2170 KProcess::tr(const char*, const char*)
    {86, 3175, 111, 2, Smoke::mf_static, 405, 4},	//2171 KProcess::trUtf8(const char*, const char*)
    {86, 3168, 114, 3, Smoke::mf_static, 405, 5},	//2172 KProcess::tr(const char*, const char*, int)
    {86, 3175, 114, 3, Smoke::mf_static, 405, 6},	//2173 KProcess::trUtf8(const char*, const char*, int)
    {86, 2317, 118, 3, Smoke::mf_virtual, 714, 7},	//2174 KProcess::qt_metacall(QMetaObject::Call, int, void**)
    {86, 424, 133, 1, Smoke::mf_ctor, 151, 8},	//2175 KProcess::KProcess(QObject*)
    {86, 2823, 1629, 1, 0, 0, 9},	//2176 KProcess::setOutputChannelMode(KProcess::OutputChannelMode)
    {86, 2221, 0, 0, Smoke::mf_const, 152, 10},	//2177 KProcess::outputChannelMode() const
    {86, 2813, 137, 1, 0, 0, 11},	//2178 KProcess::setNextOpenMode(QFlags<QIODevice::OpenModeFlag>)
    {86, 2639, 1089, 3, 0, 0, 12},	//2179 KProcess::setEnv(const QString&, const QString&, bool)
    {86, 3225, 24, 1, 0, 0, 13},	//2180 KProcess::unsetEnv(const QString&)
    {86, 1135, 0, 0, 0, 0, 14},	//2181 KProcess::clearEnvironment()
    {86, 2857, 486, 2, 0, 0, 15},	//2182 KProcess::setProgram(const QString&, const QStringList&)
    {86, 2857, 128, 1, 0, 0, 16},	//2183 KProcess::setProgram(const QStringList&)
    {86, 2173, 24, 1, 0, 150, 17},	//2184 KProcess::operator<<(const QString&)
    {86, 2173, 128, 1, 0, 150, 18},	//2185 KProcess::operator<<(const QStringList&)
    {86, 1136, 0, 0, 0, 0, 19},	//2186 KProcess::clearProgram()
    {86, 2889, 24, 1, 0, 0, 20},	//2187 KProcess::setShellCommand(const QString&)
    {86, 2285, 0, 0, Smoke::mf_const, 410, 21},	//2188 KProcess::program() const
    {86, 3003, 0, 0, 0, 0, 22},	//2189 KProcess::start()
    {86, 1452, 105, 1, 0, 714, 23},	//2190 KProcess::execute(int)
    {86, 1452, 1631, 3, Smoke::mf_static, 714, 24},	//2191 KProcess::execute(const QString&, const QStringList&, int)
    {86, 1452, 1635, 2, Smoke::mf_static, 714, 25},	//2192 KProcess::execute(const QStringList&, int)
    {86, 3006, 0, 0, 0, 714, 26},	//2193 KProcess::startDetached()
    {86, 3006, 486, 2, Smoke::mf_static, 714, 27},	//2194 KProcess::startDetached(const QString&, const QStringList&)
    {86, 3006, 128, 1, Smoke::mf_static, 714, 28},	//2195 KProcess::startDetached(const QStringList&)
    {86, 2253, 0, 0, Smoke::mf_const, 714, 29},	//2196 KProcess::pid() const
    {86, 424, 1638, 2, Smoke::mf_ctor|Smoke::mf_protected, 151, 30},	//2197 KProcess::KProcess(KProcessPrivate*, QObject*)
    {86, 3168, 109, 1, Smoke::mf_static, 405, 31},	//2198 KProcess::tr(const char*)
    {86, 3175, 109, 1, Smoke::mf_static, 405, 32},	//2199 KProcess::trUtf8(const char*)
    {86, 424, 0, 0, Smoke::mf_ctor, 151, 33},	//2200 KProcess::KProcess()
    {86, 2639, 89, 2, 0, 0, 34},	//2201 KProcess::setEnv(const QString&, const QString&)
    {86, 2857, 24, 1, 0, 0, 35},	//2202 KProcess::setProgram(const QString&)
    {86, 1452, 0, 0, 0, 714, 36},	//2203 KProcess::execute()
    {86, 1452, 24, 1, Smoke::mf_static, 714, 37},	//2204 KProcess::execute(const QString&)
    {86, 1452, 486, 2, Smoke::mf_static, 714, 38},	//2205 KProcess::execute(const QString&, const QStringList&)
    {86, 1452, 128, 1, Smoke::mf_static, 714, 39},	//2206 KProcess::execute(const QStringList&)
    {86, 3006, 24, 1, Smoke::mf_static, 714, 40},	//2207 KProcess::startDetached(const QString&)
    {86, 3064, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 666, 41},	//2208 KProcess::staticMetaObject() const
    {86, 695, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 42},	//2209 KProcess::SeparateChannels (enum)
    {86, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 43},	//2210 KProcess::MergedChannels (enum)
    {86, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 44},	//2211 KProcess::ForwardedChannels (enum)
    {86, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 45},	//2212 KProcess::OnlyStdoutChannel (enum)
    {86, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 46},	//2213 KProcess::OnlyStderrChannel (enum)
    {86, 3438, 0, 0, Smoke::mf_dtor, 0, 47 },	//2214 KProcess::~KProcess()
    {88, 2303, 0, 0, Smoke::mf_static, 410, 1},	//2215 KProtocolInfo::protocols()
    {88, 1820, 135, 1, Smoke::mf_static, 519, 2},	//2216 KProtocolInfo::isKnownProtocol(const KUrl&)
    {88, 1820, 24, 1, Smoke::mf_static, 519, 3},	//2217 KProtocolInfo::isKnownProtocol(const QString&)
    {88, 1447, 24, 1, Smoke::mf_static, 405, 4},	//2218 KProtocolInfo::exec(const QString&)
    {88, 1479, 135, 1, Smoke::mf_static, 360, 5},	//2219 KProtocolInfo::extraFields(const KUrl&)
    {88, 1814, 135, 1, Smoke::mf_static, 519, 6},	//2220 KProtocolInfo::isHelperProtocol(const KUrl&)
    {88, 1814, 24, 1, Smoke::mf_static, 519, 7},	//2221 KProtocolInfo::isHelperProtocol(const QString&)
    {88, 1806, 135, 1, Smoke::mf_static, 519, 8},	//2222 KProtocolInfo::isFilterProtocol(const KUrl&)
    {88, 1806, 24, 1, Smoke::mf_static, 519, 9},	//2223 KProtocolInfo::isFilterProtocol(const QString&)
    {88, 1707, 24, 1, Smoke::mf_static, 405, 10},	//2224 KProtocolInfo::icon(const QString&)
    {88, 1158, 24, 1, Smoke::mf_static, 405, 11},	//2225 KProtocolInfo::config(const QString&)
    {88, 2038, 24, 1, Smoke::mf_static, 714, 12},	//2226 KProtocolInfo::maxSlaves(const QString&)
    {88, 2040, 24, 1, Smoke::mf_static, 714, 13},	//2227 KProtocolInfo::maxSlavesPerHost(const QString&)
    {88, 1353, 24, 1, Smoke::mf_static, 519, 14},	//2228 KProtocolInfo::determineMimetypeFromExtension(const QString&)
    {88, 1380, 24, 1, Smoke::mf_static, 405, 15},	//2229 KProtocolInfo::docPath(const QString&)
    {88, 2301, 24, 1, Smoke::mf_static, 405, 16},	//2230 KProtocolInfo::protocolClass(const QString&)
    {88, 2965, 24, 1, Smoke::mf_static, 519, 17},	//2231 KProtocolInfo::showFilePreview(const QString&)
    {88, 1096, 24, 1, Smoke::mf_static, 410, 18},	//2232 KProtocolInfo::capabilities(const QString&)
    {88, 2304, 24, 1, Smoke::mf_static, 405, 19},	//2233 KProtocolInfo::proxiedBy(const QString&)
    {88, 427, 1533, 2, Smoke::mf_ctor, 154, 20},	//2234 KProtocolInfo::KProtocolInfo(QDataStream&, int)
    {88, 1317, 0, 0, Smoke::mf_const, 405, 21},	//2235 KProtocolInfo::defaultMimeType() const
    {88, 1029, 0, 0, Smoke::mf_const, 410, 22},	//2236 KProtocolInfo::archiveMimeTypes() const
    {88, 1094, 0, 0, Smoke::mf_const|Smoke::mf_protected, 519, 23},	//2237 KProtocolInfo::canRenameFromFile() const
    {88, 1095, 0, 0, Smoke::mf_const|Smoke::mf_protected, 519, 24},	//2238 KProtocolInfo::canRenameToFile() const
    {88, 1092, 0, 0, Smoke::mf_const|Smoke::mf_protected, 519, 25},	//2239 KProtocolInfo::canDeleteRecursive() const
    {88, 1500, 0, 0, Smoke::mf_const|Smoke::mf_protected, 2, 26},	//2240 KProtocolInfo::fileNameUsedForCopying() const
    {88, 2017, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 406, 27},	//2241 KProtocolInfo::m_name() const
    {88, 2753, 24, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 28},	//2242 KProtocolInfo::setM_name(const QString&)
    {88, 2010, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 406, 29},	//2243 KProtocolInfo::m_exec() const
    {88, 2739, 24, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 30},	//2244 KProtocolInfo::setM_exec(const QString&)
    {88, 2012, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 159, 31},	//2245 KProtocolInfo::m_inputType() const
    {88, 2743, 1641, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 32},	//2246 KProtocolInfo::setM_inputType(KProtocolInfo::Type)
    {88, 2018, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 159, 33},	//2247 KProtocolInfo::m_outputType() const
    {88, 2755, 1641, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 34},	//2248 KProtocolInfo::setM_outputType(KProtocolInfo::Type)
    {88, 2015, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 411, 35},	//2249 KProtocolInfo::m_listing() const
    {88, 2749, 128, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 36},	//2250 KProtocolInfo::setM_listing(const QStringList&)
    {88, 2014, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 519, 37},	//2251 KProtocolInfo::m_isSourceProtocol() const
    {88, 2747, 97, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 38},	//2252 KProtocolInfo::setM_isSourceProtocol(bool)
    {88, 2013, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 519, 39},	//2253 KProtocolInfo::m_isHelperProtocol() const
    {88, 2745, 97, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 40},	//2254 KProtocolInfo::setM_isHelperProtocol(bool)
    {88, 2022, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 519, 41},	//2255 KProtocolInfo::m_supportsListing() const
    {88, 2763, 97, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 42},	//2256 KProtocolInfo::setM_supportsListing(bool)
    {88, 2026, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 519, 43},	//2257 KProtocolInfo::m_supportsReading() const
    {88, 2771, 97, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 44},	//2258 KProtocolInfo::setM_supportsReading(bool)
    {88, 2027, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 519, 45},	//2259 KProtocolInfo::m_supportsWriting() const
    {88, 2773, 97, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 46},	//2260 KProtocolInfo::setM_supportsWriting(bool)
    {88, 2023, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 519, 47},	//2261 KProtocolInfo::m_supportsMakeDir() const
    {88, 2765, 97, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 48},	//2262 KProtocolInfo::setM_supportsMakeDir(bool)
    {88, 2020, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 519, 49},	//2263 KProtocolInfo::m_supportsDeleting() const
    {88, 2759, 97, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 50},	//2264 KProtocolInfo::setM_supportsDeleting(bool)
    {88, 2021, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 519, 51},	//2265 KProtocolInfo::m_supportsLinking() const
    {88, 2761, 97, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 52},	//2266 KProtocolInfo::setM_supportsLinking(bool)
    {88, 2024, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 519, 53},	//2267 KProtocolInfo::m_supportsMoving() const
    {88, 2767, 97, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 54},	//2268 KProtocolInfo::setM_supportsMoving(bool)
    {88, 2025, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 519, 55},	//2269 KProtocolInfo::m_supportsOpening() const
    {88, 2769, 97, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 56},	//2270 KProtocolInfo::setM_supportsOpening(bool)
    {88, 2007, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 406, 57},	//2271 KProtocolInfo::m_defaultMimetype() const
    {88, 2733, 24, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 58},	//2272 KProtocolInfo::setM_defaultMimetype(const QString&)
    {88, 2008, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 519, 59},	//2273 KProtocolInfo::m_determineMimetypeFromExtension() const
    {88, 2735, 97, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 60},	//2274 KProtocolInfo::setM_determineMimetypeFromExtension(bool)
    {88, 2011, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 406, 61},	//2275 KProtocolInfo::m_icon() const
    {88, 2741, 24, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 62},	//2276 KProtocolInfo::setM_icon(const QString&)
    {88, 2004, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 519, 63},	//2277 KProtocolInfo::m_canCopyFromFile() const
    {88, 2727, 97, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 64},	//2278 KProtocolInfo::setM_canCopyFromFile(bool)
    {88, 2005, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 519, 65},	//2279 KProtocolInfo::m_canCopyToFile() const
    {88, 2729, 97, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 66},	//2280 KProtocolInfo::setM_canCopyToFile(bool)
    {88, 2006, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 406, 67},	//2281 KProtocolInfo::m_config() const
    {88, 2731, 24, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 68},	//2282 KProtocolInfo::setM_config(const QString&)
    {88, 2016, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 714, 69},	//2283 KProtocolInfo::m_maxSlaves() const
    {88, 2751, 105, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 70},	//2284 KProtocolInfo::setM_maxSlaves(int)
    {88, 738, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 71},	//2285 KProtocolInfo::T_STREAM (enum)
    {88, 736, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 72},	//2286 KProtocolInfo::T_FILESYSTEM (enum)
    {88, 737, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 73},	//2287 KProtocolInfo::T_NONE (enum)
    {88, 735, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 74},	//2288 KProtocolInfo::T_ERROR (enum)
    {88, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 75},	//2289 KProtocolInfo::Name (enum)
    {88, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 76},	//2290 KProtocolInfo::FromUrl (enum)
    {88, 3439, 0, 0, Smoke::mf_dtor, 0, 77 },	//2291 KProtocolInfo::~KProtocolInfo()
    {89, 118, 0, 0, Smoke::mf_ctor, 156, 1},	//2292 KProtocolInfo::ExtraField::ExtraField()
    {89, 118, 1643, 2, Smoke::mf_ctor, 156, 2},	//2293 KProtocolInfo::ExtraField::ExtraField(const QString&, KProtocolInfo::ExtraField::Type)
    {89, 118, 1646, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 156, 3},	//2294 KProtocolInfo::ExtraField::ExtraField(const KProtocolInfo::ExtraField&)
    {89, 2089, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 406, 4},	//2295 KProtocolInfo::ExtraField::name() const
    {89, 2805, 24, 1, Smoke::mf_attribute, 0, 5},	//2296 KProtocolInfo::ExtraField::setName(const QString&)
    {89, 3211, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 157, 6},	//2297 KProtocolInfo::ExtraField::type() const
    {89, 2934, 1648, 1, Smoke::mf_attribute, 0, 7},	//2298 KProtocolInfo::ExtraField::setType(KProtocolInfo::ExtraField::Type)
    {89, 730, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 8},	//2299 KProtocolInfo::ExtraField::String (enum)
    {89, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 9},	//2300 KProtocolInfo::ExtraField::DateTime (enum)
    {89, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 10},	//2301 KProtocolInfo::ExtraField::Invalid (enum)
    {89, 3372, 0, 0, Smoke::mf_dtor, 0, 11 },	//2302 KProtocolInfo::ExtraField::~ExtraField()
    {90, 2339, 105, 1, Smoke::mf_static, 405, 1},	//2303 KRandom::randomString(int)
    {90, 2338, 0, 0, Smoke::mf_static, 714, 2},	//2304 KRandom::random()
    {91, 429, 1245, 1, Smoke::mf_ctor, 161, 1},	//2305 KRandomSequence::KRandomSequence(long)
    {91, 429, 1650, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 161, 2},	//2306 KRandomSequence::KRandomSequence(const KRandomSequence&)
    {91, 2185, 1650, 1, 0, 160, 3},	//2307 KRandomSequence::operator=(const KRandomSequence&)
    {91, 2883, 1245, 1, 0, 0, 4},	//2308 KRandomSequence::setSeed(long)
    {91, 1634, 0, 0, 0, 711, 5},	//2309 KRandomSequence::getDouble()
    {91, 1637, 1130, 1, 0, 732, 6},	//2310 KRandomSequence::getLong(unsigned long)
    {91, 1631, 0, 0, 0, 519, 7},	//2311 KRandomSequence::getBool()
    {91, 2058, 105, 1, 0, 0, 8},	//2312 KRandomSequence::modulate(int)
    {91, 429, 0, 0, Smoke::mf_ctor, 161, 9},	//2313 KRandomSequence::KRandomSequence()
    {91, 2883, 0, 0, 0, 0, 10},	//2314 KRandomSequence::setSeed()
    {91, 3440, 0, 0, Smoke::mf_dtor, 0, 11 },	//2315 KRandomSequence::~KRandomSequence()
    {92, 450, 0, 0, Smoke::mf_ctor, 162, 1},	//2316 KSaveFile::KSaveFile()
    {92, 450, 1155, 2, Smoke::mf_ctor, 162, 2},	//2317 KSaveFile::KSaveFile(const QString&, const KComponentData&)
    {92, 2658, 24, 1, 0, 0, 3},	//2318 KSaveFile::setFileName(const QString&)
    {92, 1498, 0, 0, Smoke::mf_const, 405, 4},	//2319 KSaveFile::fileName() const
    {92, 1434, 0, 0, Smoke::mf_const, 287, 5},	//2320 KSaveFile::error() const
    {92, 1438, 0, 0, Smoke::mf_const, 405, 6},	//2321 KSaveFile::errorString() const
    {92, 2132, 137, 1, Smoke::mf_virtual, 519, 7},	//2322 KSaveFile::open(QFlags<QIODevice::OpenModeFlag>)
    {92, 820, 0, 0, 0, 0, 8},	//2323 KSaveFile::abort()
    {92, 1502, 0, 0, 0, 519, 9},	//2324 KSaveFile::finalize()
    {92, 1062, 89, 2, Smoke::mf_static, 519, 10},	//2325 KSaveFile::backupFile(const QString&, const QString&)
    {92, 2969, 1298, 3, Smoke::mf_static, 519, 11},	//2326 KSaveFile::simpleBackupFile(const QString&, const QString&, const QString&)
    {92, 2113, 1652, 4, Smoke::mf_static, 519, 12},	//2327 KSaveFile::numberedBackupFile(const QString&, const QString&, const QString&, const unsigned int)
    {92, 2343, 1298, 3, Smoke::mf_static, 519, 13},	//2328 KSaveFile::rcsBackupFile(const QString&, const QString&, const QString&)
    {92, 450, 24, 1, Smoke::mf_ctor, 162, 14},	//2329 KSaveFile::KSaveFile(const QString&)
    {92, 2132, 0, 0, 0, 519, 15},	//2330 KSaveFile::open()
    {92, 1062, 24, 1, Smoke::mf_static, 519, 16},	//2331 KSaveFile::backupFile(const QString&)
    {92, 2969, 24, 1, Smoke::mf_static, 519, 17},	//2332 KSaveFile::simpleBackupFile(const QString&)
    {92, 2969, 89, 2, Smoke::mf_static, 519, 18},	//2333 KSaveFile::simpleBackupFile(const QString&, const QString&)
    {92, 2113, 24, 1, Smoke::mf_static, 519, 19},	//2334 KSaveFile::numberedBackupFile(const QString&)
    {92, 2113, 89, 2, Smoke::mf_static, 519, 20},	//2335 KSaveFile::numberedBackupFile(const QString&, const QString&)
    {92, 2113, 1298, 3, Smoke::mf_static, 519, 21},	//2336 KSaveFile::numberedBackupFile(const QString&, const QString&, const QString&)
    {92, 2343, 24, 1, Smoke::mf_static, 519, 22},	//2337 KSaveFile::rcsBackupFile(const QString&)
    {92, 2343, 89, 2, Smoke::mf_static, 519, 23},	//2338 KSaveFile::rcsBackupFile(const QString&, const QString&)
    {92, 3441, 0, 0, Smoke::mf_dtor, 0, 24 },	//2339 KSaveFile::~KSaveFile()
    {93, 453, 1298, 3, Smoke::mf_ctor, 163, 1},	//2340 KService::KService(const QString&, const QString&, const QString&)
    {93, 453, 24, 1, Smoke::mf_ctor, 163, 2},	//2341 KService::KService(const QString&)
    {93, 453, 1657, 1, Smoke::mf_ctor, 163, 3},	//2342 KService::KService(const KDesktopFile*)
    {93, 453, 1533, 2, Smoke::mf_ctor, 163, 4},	//2343 KService::KService(QDataStream&, int)
    {93, 1767, 0, 0, Smoke::mf_const, 519, 5},	//2344 KService::isApplication() const
    {93, 3211, 0, 0, Smoke::mf_const, 405, 6},	//2345 KService::type() const
    {93, 1447, 0, 0, Smoke::mf_const, 405, 7},	//2346 KService::exec() const
    {93, 1955, 0, 0, Smoke::mf_const, 405, 8},	//2347 KService::library() const
    {93, 1707, 0, 0, Smoke::mf_const, 405, 9},	//2348 KService::icon() const
    {93, 3122, 0, 0, Smoke::mf_const, 519, 10},	//2349 KService::terminal() const
    {93, 3123, 0, 0, Smoke::mf_const, 405, 11},	//2350 KService::terminalOptions() const
    {93, 3090, 0, 0, Smoke::mf_const, 519, 12},	//2351 KService::substituteUid() const
    {93, 3251, 0, 0, Smoke::mf_const, 405, 13},	//2352 KService::username() const
    {93, 1347, 0, 0, Smoke::mf_const, 405, 14},	//2353 KService::desktopEntryPath() const
    {93, 1346, 0, 0, Smoke::mf_const, 405, 15},	//2354 KService::desktopEntryName() const
    {93, 2044, 0, 0, Smoke::mf_const, 405, 16},	//2355 KService::menuId() const
    {93, 3072, 0, 0, Smoke::mf_const, 405, 17},	//2356 KService::storageId() const
    {93, 1298, 0, 0, Smoke::mf_const, 164, 18},	//2357 KService::dbusStartupType() const
    {93, 2234, 0, 0, Smoke::mf_const, 405, 19},	//2358 KService::path() const
    {93, 1149, 0, 0, Smoke::mf_const, 405, 20},	//2359 KService::comment() const
    {93, 1630, 0, 0, Smoke::mf_const, 405, 21},	//2360 KService::genericName() const
    {93, 3227, 0, 0, Smoke::mf_const, 405, 22},	//2361 KService::untranslatedGenericName() const
    {93, 1920, 0, 0, Smoke::mf_const, 410, 23},	//2362 KService::keywords() const
    {93, 1103, 0, 0, Smoke::mf_const, 410, 24},	//2363 KService::categories() const
    {93, 2515, 0, 0, Smoke::mf_const, 410, 25},	//2364 KService::serviceTypes() const
    {93, 1687, 24, 1, Smoke::mf_const, 519, 26},	//2365 KService::hasServiceType(const QString&) const
    {93, 1675, 1659, 1, Smoke::mf_const, 519, 27},	//2366 KService::hasMimeType(const KServiceType*) const
    {93, 1018, 0, 0, Smoke::mf_const, 519, 28},	//2367 KService::allowAsDefault() const
    {93, 834, 0, 0, Smoke::mf_const, 361, 29},	//2368 KService::actions() const
    {93, 1020, 0, 0, Smoke::mf_const, 519, 30},	//2369 KService::allowMultipleFiles() const
    {93, 1734, 0, 0, Smoke::mf_const, 714, 31},	//2370 KService::initialPreference() const
    {93, 2109, 0, 0, Smoke::mf_const, 519, 32},	//2371 KService::noDisplay() const
    {93, 2967, 0, 0, Smoke::mf_const, 519, 33},	//2372 KService::showInKDE() const
    {93, 2224, 0, 0, Smoke::mf_const, 405, 34},	//2373 KService::parentApp() const
    {93, 2254, 0, 0, Smoke::mf_const, 405, 35},	//2374 KService::pluginKeyword() const
    {93, 1380, 0, 0, Smoke::mf_const, 405, 36},	//2375 KService::docPath() const
    {93, 2292, 1661, 2, Smoke::mf_const, 429, 37},	//2376 KService::property(const QString&, QVariant::Type) const
    {93, 2292, 24, 1, Smoke::mf_const, 429, 38},	//2377 KService::property(const QString&) const
    {93, 1986, 0, 0, Smoke::mf_const, 405, 39},	//2378 KService::locateLocal() const
    {93, 2789, 24, 1, 0, 0, 40},	//2379 KService::setMenuId(const QString&)
    {93, 2910, 97, 1, 0, 0, 41},	//2380 KService::setTerminal(bool)
    {93, 2912, 24, 1, 0, 0, 42},	//2381 KService::setTerminalOptions(const QString&)
    {93, 2506, 24, 1, Smoke::mf_static, 173, 43},	//2382 KService::serviceByName(const QString&)
    {93, 2502, 24, 1, Smoke::mf_static, 173, 44},	//2383 KService::serviceByDesktopPath(const QString&)
    {93, 2500, 24, 1, Smoke::mf_static, 173, 45},	//2384 KService::serviceByDesktopName(const QString&)
    {93, 2504, 24, 1, Smoke::mf_static, 173, 46},	//2385 KService::serviceByMenuId(const QString&)
    {93, 2508, 24, 1, Smoke::mf_static, 173, 47},	//2386 KService::serviceByStorageId(const QString&)
    {93, 1012, 0, 0, Smoke::mf_static, 363, 48},	//2387 KService::allServices()
    {93, 2104, 1664, 4, Smoke::mf_static, 405, 49},	//2388 KService::newServicePath(bool, const QString&, QString*, const QStringList*)
    {93, 816, 0, 0, Smoke::mf_protected, 433, 50},	//2389 KService::_k_accessServiceTypes()
    {93, 2104, 1669, 2, Smoke::mf_static, 405, 51},	//2390 KService::newServicePath(bool, const QString&)
    {93, 2104, 1672, 3, Smoke::mf_static, 405, 52},	//2391 KService::newServicePath(bool, const QString&, QString*)
    {93, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 53},	//2392 KService::DBusNone (enum)
    {93, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 54},	//2393 KService::DBusUnique (enum)
    {93, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 55},	//2394 KService::DBusMulti (enum)
    {93, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 56},	//2395 KService::DBusWait (enum)
    {93, 3442, 0, 0, Smoke::mf_dtor, 0, 57 },	//2396 KService::~KService()
    {94, 458, 1676, 5, Smoke::mf_ctor, 166, 1},	//2397 KServiceAction::KServiceAction(const QString&, const QString&, const QString&, const QString&, bool)
    {94, 458, 0, 0, Smoke::mf_ctor, 166, 2},	//2398 KServiceAction::KServiceAction()
    {94, 458, 1682, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 166, 3},	//2399 KServiceAction::KServiceAction(const KServiceAction&)
    {94, 2185, 1682, 1, 0, 165, 4},	//2400 KServiceAction::operator=(const KServiceAction&)
    {94, 2588, 28, 1, 0, 0, 5},	//2401 KServiceAction::setData(const QVariant&)
    {94, 1241, 0, 0, Smoke::mf_const, 429, 6},	//2402 KServiceAction::data() const
    {94, 2089, 0, 0, Smoke::mf_const, 405, 7},	//2403 KServiceAction::name() const
    {94, 3127, 0, 0, Smoke::mf_const, 405, 8},	//2404 KServiceAction::text() const
    {94, 1707, 0, 0, Smoke::mf_const, 405, 9},	//2405 KServiceAction::icon() const
    {94, 1447, 0, 0, Smoke::mf_const, 405, 10},	//2406 KServiceAction::exec() const
    {94, 2109, 0, 0, Smoke::mf_const, 519, 11},	//2407 KServiceAction::noDisplay() const
    {94, 1848, 0, 0, Smoke::mf_const, 519, 12},	//2408 KServiceAction::isSeparator() const
    {94, 458, 1684, 4, Smoke::mf_ctor, 166, 13},	//2409 KServiceAction::KServiceAction(const QString&, const QString&, const QString&, const QString&)
    {94, 3443, 0, 0, Smoke::mf_dtor, 0, 14 },	//2410 KServiceAction::~KServiceAction()
    {95, 462, 24, 1, Smoke::mf_ctor, 167, 1},	//2411 KServiceGroup::KServiceGroup(const QString&)
    {95, 462, 89, 2, Smoke::mf_ctor, 167, 2},	//2412 KServiceGroup::KServiceGroup(const QString&, const QString&)
    {95, 462, 1689, 3, Smoke::mf_ctor, 167, 3},	//2413 KServiceGroup::KServiceGroup(QDataStream&, int, bool)
    {95, 2421, 0, 0, Smoke::mf_const, 405, 4},	//2414 KServiceGroup::relPath() const
    {95, 1098, 0, 0, Smoke::mf_const, 405, 5},	//2415 KServiceGroup::caption() const
    {95, 1707, 0, 0, Smoke::mf_const, 405, 6},	//2416 KServiceGroup::icon() const
    {95, 1149, 0, 0, Smoke::mf_const, 405, 7},	//2417 KServiceGroup::comment() const
    {95, 1123, 0, 0, Smoke::mf_const, 714, 8},	//2418 KServiceGroup::childCount() const
    {95, 2109, 0, 0, Smoke::mf_const, 519, 9},	//2419 KServiceGroup::noDisplay() const
    {95, 2963, 0, 0, Smoke::mf_const, 519, 10},	//2420 KServiceGroup::showEmptyMenu() const
    {95, 2893, 97, 1, 0, 0, 11},	//2421 KServiceGroup::setShowEmptyMenu(bool)
    {95, 2968, 0, 0, Smoke::mf_const, 519, 12},	//2422 KServiceGroup::showInlineHeader() const
    {95, 2895, 97, 1, 0, 0, 13},	//2423 KServiceGroup::setShowInlineHeader(bool)
    {95, 1735, 0, 0, Smoke::mf_const, 519, 14},	//2424 KServiceGroup::inlineAlias() const
    {95, 2681, 97, 1, 0, 0, 15},	//2425 KServiceGroup::setInlineAlias(bool)
    {95, 1019, 0, 0, Smoke::mf_const, 519, 16},	//2426 KServiceGroup::allowInline() const
    {95, 2525, 97, 1, 0, 0, 17},	//2427 KServiceGroup::setAllowInline(bool)
    {95, 1736, 0, 0, Smoke::mf_const, 714, 18},	//2428 KServiceGroup::inlineValue() const
    {95, 2683, 105, 1, 0, 0, 19},	//2429 KServiceGroup::setInlineValue(int)
    {95, 3098, 0, 0, Smoke::mf_const, 410, 20},	//2430 KServiceGroup::suppressGenericNames() const
    {95, 2699, 128, 1, 0, 0, 21},	//2431 KServiceGroup::setLayoutInfo(const QStringList&)
    {95, 1950, 0, 0, Smoke::mf_const, 410, 22},	//2432 KServiceGroup::layoutInfo() const
    {95, 1414, 1693, 4, 0, 367, 23},	//2433 KServiceGroup::entries(bool, bool, bool, bool)
    {95, 1414, 1698, 2, 0, 367, 24},	//2434 KServiceGroup::entries(bool, bool)
    {95, 1414, 97, 1, 0, 367, 25},	//2435 KServiceGroup::entries(bool)
    {95, 1647, 1701, 1, 0, 365, 26},	//2436 KServiceGroup::groupEntries(QFlags<KServiceGroup::EntriesOption>)
    {95, 2510, 1701, 1, 0, 363, 27},	//2437 KServiceGroup::serviceEntries(QFlags<KServiceGroup::EntriesOption>)
    {95, 1076, 0, 0, Smoke::mf_const, 405, 28},	//2438 KServiceGroup::baseGroupName() const
    {95, 1369, 0, 0, Smoke::mf_const, 405, 29},	//2439 KServiceGroup::directoryEntryPath() const
    {95, 1074, 24, 1, Smoke::mf_static, 174, 30},	//2440 KServiceGroup::baseGroup(const QString&)
    {95, 2475, 0, 0, Smoke::mf_static, 174, 31},	//2441 KServiceGroup::root()
    {95, 1644, 24, 1, Smoke::mf_static, 174, 32},	//2442 KServiceGroup::group(const QString&)
    {95, 1125, 24, 1, Smoke::mf_static, 174, 33},	//2443 KServiceGroup::childGroup(const QString&)
    {95, 870, 1703, 1, Smoke::mf_protected, 0, 34},	//2444 KServiceGroup::addEntry(const KSharedPtr<KSycocaEntry>&)
    {95, 1414, 1705, 3, 0, 367, 35},	//2445 KServiceGroup::entries(bool, bool, bool)
    {95, 1414, 0, 0, 0, 367, 36},	//2446 KServiceGroup::entries()
    {95, 1647, 0, 0, 0, 365, 37},	//2447 KServiceGroup::groupEntries()
    {95, 2510, 0, 0, 0, 363, 38},	//2448 KServiceGroup::serviceEntries()
    {95, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 39},	//2449 KServiceGroup::NoOptions (enum)
    {95, 711, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 40},	//2450 KServiceGroup::SortEntries (enum)
    {95, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 41},	//2451 KServiceGroup::ExcludeNoDisplay (enum)
    {95, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 42},	//2452 KServiceGroup::AllowSeparators (enum)
    {95, 710, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 43},	//2453 KServiceGroup::SortByGenericName (enum)
    {95, 3444, 0, 0, Smoke::mf_dtor, 0, 44 },	//2454 KServiceGroup::~KServiceGroup()
    {96, 466, 1709, 1, Smoke::mf_ctor, 169, 1},	//2455 KServiceType::KServiceType(KDesktopFile*)
    {96, 466, 1533, 2, Smoke::mf_ctor, 169, 2},	//2456 KServiceType::KServiceType(QDataStream&, int)
    {96, 1149, 0, 0, Smoke::mf_const, 405, 3},	//2457 KServiceType::comment() const
    {96, 1347, 0, 0, Smoke::mf_const, 405, 4},	//2458 KServiceType::desktopEntryPath() const
    {96, 1791, 0, 0, Smoke::mf_const, 519, 5},	//2459 KServiceType::isDerived() const
    {96, 2227, 0, 0, Smoke::mf_const, 405, 6},	//2460 KServiceType::parentServiceType() const
    {96, 1724, 24, 1, Smoke::mf_const, 519, 7},	//2461 KServiceType::inherits(const QString&) const
    {96, 2295, 24, 1, Smoke::mf_const, 431, 8},	//2462 KServiceType::propertyDef(const QString&) const
    {96, 2297, 0, 0, Smoke::mf_const, 410, 9},	//2463 KServiceType::propertyDefNames() const
    {96, 2298, 0, 0, Smoke::mf_const, 385, 10},	//2464 KServiceType::propertyDefs() const
    {96, 2228, 0, 0, 0, 175, 11},	//2465 KServiceType::parentType()
    {96, 2885, 105, 1, 0, 0, 12},	//2466 KServiceType::setServiceOffersOffset(int)
    {96, 2512, 0, 0, Smoke::mf_const, 714, 13},	//2467 KServiceType::serviceOffersOffset() const
    {96, 2513, 24, 1, Smoke::mf_static, 175, 14},	//2468 KServiceType::serviceType(const QString&)
    {96, 1011, 0, 0, Smoke::mf_static, 366, 15},	//2469 KServiceType::allServiceTypes()
    {96, 466, 1711, 1, Smoke::mf_ctor|Smoke::mf_protected, 169, 16},	//2470 KServiceType::KServiceType(KServiceTypePrivate&)
    {96, 466, 1713, 3, Smoke::mf_ctor|Smoke::mf_protected, 169, 17},	//2471 KServiceType::KServiceType(KServiceTypePrivate&, const QString&, const QString&)
    {96, 3445, 0, 0, Smoke::mf_dtor, 0, 18 },	//2472 KServiceType::~KServiceType()
    {98, 2321, 89, 2, Smoke::mf_const, 363, 1},	//2473 KServiceTypeTrader::query(const QString&, const QString&) const
    {98, 1319, 89, 2, Smoke::mf_const, 363, 2},	//2474 KServiceTypeTrader::defaultOffers(const QString&, const QString&) const
    {98, 2267, 24, 1, Smoke::mf_const, 173, 3},	//2475 KServiceTypeTrader::preferredService(const QString&) const
    {98, 2496, 0, 0, Smoke::mf_static, 171, 4},	//2476 KServiceTypeTrader::self()
    {98, 1027, 1717, 2, Smoke::mf_static, 0, 5},	//2477 KServiceTypeTrader::applyConstraints(QList<KSharedPtr<KService> >&, const QString&)
    {98, 2321, 24, 1, Smoke::mf_const, 363, 6},	//2478 KServiceTypeTrader::query(const QString&) const
    {98, 1319, 24, 1, Smoke::mf_const, 363, 7},	//2479 KServiceTypeTrader::defaultOffers(const QString&) const
    {98, 3446, 0, 0, Smoke::mf_dtor, 0, 8 },	//2480 KServiceTypeTrader::~KServiceTypeTrader()
    {99, 2136, 407, 3, Smoke::mf_static, 176, 1},	//2481 KSharedConfig::openConfig(const QString&, QFlags<KConfig::OpenFlag>, const char*)
    {99, 2136, 411, 4, Smoke::mf_static, 176, 2},	//2482 KSharedConfig::openConfig(const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>, const char*)
    {99, 2136, 0, 0, Smoke::mf_static, 176, 3},	//2483 KSharedConfig::openConfig()
    {99, 2136, 24, 1, Smoke::mf_static, 176, 4},	//2484 KSharedConfig::openConfig(const QString&)
    {99, 2136, 428, 2, Smoke::mf_static, 176, 5},	//2485 KSharedConfig::openConfig(const QString&, QFlags<KConfig::OpenFlag>)
    {99, 2136, 383, 1, Smoke::mf_static, 176, 6},	//2486 KSharedConfig::openConfig(const KComponentData&)
    {99, 2136, 431, 2, Smoke::mf_static, 176, 7},	//2487 KSharedConfig::openConfig(const KComponentData&, const QString&)
    {99, 2136, 434, 3, Smoke::mf_static, 176, 8},	//2488 KSharedConfig::openConfig(const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>)
    {99, 3447, 0, 0, Smoke::mf_dtor, 0, 9 },	//2489 KSharedConfig::~KSharedConfig()
    {100, 3129, 24, 1, Smoke::mf_static, 405, 1},	//2490 KShell::tildeExpand(const QString&)
    {100, 2991, 1720, 3, Smoke::mf_static, 410, 2},	//2491 KShell::splitArgs(const QString&, QFlags<KShell::Option>, KShell::Errors*)
    {100, 2991, 24, 1, Smoke::mf_static, 410, 3},	//2492 KShell::splitArgs(const QString&)
    {100, 2991, 1724, 2, Smoke::mf_static, 410, 4},	//2493 KShell::splitArgs(const QString&, QFlags<KShell::Option>)
    {100, 2329, 24, 1, Smoke::mf_static, 405, 5},	//2494 KShell::quoteArg(const QString&)
    {100, 1879, 128, 1, Smoke::mf_static, 405, 6},	//2495 KShell::joinArgs(const QStringList&)
    {100, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 7},	//2496 KShell::NoOptions (enum)
    {100, 745, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 8},	//2497 KShell::TildeExpand (enum)
    {100, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 9},	//2498 KShell::AbortOnMeta (enum)
    {100, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 10},	//2499 KShell::NoError (enum)
    {100, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 11},	//2500 KShell::BadQuoting (enum)
    {100, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 12},	//2501 KShell::FoundMeta (enum)
    {101, 1162, 1727, 4, Smoke::mf_static, 414, 1},	//2502 KSocketFactory::connectToHost(const QString&, const QString&, unsigned short, QObject*)
    {101, 1162, 1732, 3, Smoke::mf_static, 414, 2},	//2503 KSocketFactory::connectToHost(const QString&, const QString&, unsigned short)
    {101, 3106, 1736, 5, Smoke::mf_static, 414, 3},	//2504 KSocketFactory::synchronousConnectToHost(const QString&, const QString&, unsigned short, int, QObject*)
    {101, 3106, 1732, 3, Smoke::mf_static, 414, 4},	//2505 KSocketFactory::synchronousConnectToHost(const QString&, const QString&, unsigned short)
    {101, 3106, 1742, 4, Smoke::mf_static, 414, 5},	//2506 KSocketFactory::synchronousConnectToHost(const QString&, const QString&, unsigned short, int)
    {101, 1962, 1747, 4, Smoke::mf_static, 413, 6},	//2507 KSocketFactory::listen(const QString&, const QHostAddress&, unsigned short, QObject*)
    {101, 1962, 24, 1, Smoke::mf_static, 413, 7},	//2508 KSocketFactory::listen(const QString&)
    {101, 1962, 1752, 2, Smoke::mf_static, 413, 8},	//2509 KSocketFactory::listen(const QString&, const QHostAddress&)
    {101, 1962, 1755, 3, Smoke::mf_static, 413, 9},	//2510 KSocketFactory::listen(const QString&, const QHostAddress&, unsigned short)
    {101, 1246, 1759, 3, Smoke::mf_static, 425, 10},	//2511 KSocketFactory::datagramSocket(const QString&, const QString&, QObject*)
    {101, 1246, 89, 2, Smoke::mf_static, 425, 11},	//2512 KSocketFactory::datagramSocket(const QString&, const QString&)
    {101, 3106, 1763, 3, Smoke::mf_static, 414, 12},	//2513 KSocketFactory::synchronousConnectToHost(const QUrl&, int, QObject*)
    {101, 3106, 1767, 1, Smoke::mf_static, 414, 13},	//2514 KSocketFactory::synchronousConnectToHost(const QUrl&)
    {101, 3106, 1769, 2, Smoke::mf_static, 414, 14},	//2515 KSocketFactory::synchronousConnectToHost(const QUrl&, int)
    {101, 1162, 1772, 4, Smoke::mf_static, 0, 15},	//2516 KSocketFactory::connectToHost(QTcpSocket*, const QString&, const QString&, unsigned short)
    {101, 2309, 89, 2, Smoke::mf_static, 389, 16},	//2517 KSocketFactory::proxyForConnection(const QString&, const QString&)
    {101, 2311, 89, 2, Smoke::mf_static, 389, 17},	//2518 KSocketFactory::proxyForDatagram(const QString&, const QString&)
    {101, 1162, 1777, 2, Smoke::mf_static, 414, 18},	//2519 KSocketFactory::connectToHost(const QUrl&, QObject*)
    {101, 1162, 1767, 1, Smoke::mf_static, 414, 19},	//2520 KSocketFactory::connectToHost(const QUrl&)
    {101, 1162, 1780, 2, Smoke::mf_static, 0, 20},	//2521 KSocketFactory::connectToHost(QTcpSocket*, const QUrl&)
    {101, 3106, 1783, 3, Smoke::mf_static, 0, 21},	//2522 KSocketFactory::synchronousConnectToHost(QTcpSocket*, const QUrl&, int)
    {101, 3106, 1780, 2, Smoke::mf_static, 0, 22},	//2523 KSocketFactory::synchronousConnectToHost(QTcpSocket*, const QUrl&)
    {101, 2313, 24, 1, Smoke::mf_static, 389, 23},	//2524 KSocketFactory::proxyForListening(const QString&)
    {101, 3106, 1787, 5, Smoke::mf_static, 0, 24},	//2525 KSocketFactory::synchronousConnectToHost(QTcpSocket*, const QString&, const QString&, unsigned short, int)
    {101, 3106, 1772, 4, Smoke::mf_static, 0, 25},	//2526 KSocketFactory::synchronousConnectToHost(QTcpSocket*, const QString&, const QString&, unsigned short)
    {102, 470, 0, 0, Smoke::mf_ctor, 182, 1},	//2527 KSslCipher::KSslCipher()
    {102, 470, 1793, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 182, 2},	//2528 KSslCipher::KSslCipher(const KSslCipher&)
    {102, 470, 1795, 1, Smoke::mf_ctor, 182, 3},	//2529 KSslCipher::KSslCipher(const QSslCipher&)
    {102, 2185, 1793, 1, 0, 181, 4},	//2530 KSslCipher::operator=(const KSslCipher&)
    {102, 1835, 0, 0, Smoke::mf_const, 519, 5},	//2531 KSslCipher::isNull() const
    {102, 1034, 0, 0, Smoke::mf_const, 405, 6},	//2532 KSslCipher::authenticationMethod() const
    {102, 1409, 0, 0, Smoke::mf_const, 405, 7},	//2533 KSslCipher::encryptionMethod() const
    {102, 1918, 0, 0, Smoke::mf_const, 405, 8},	//2534 KSslCipher::keyExchangeMethod() const
    {102, 1362, 0, 0, Smoke::mf_const, 405, 9},	//2535 KSslCipher::digestMethod() const
    {102, 2089, 0, 0, Smoke::mf_const, 405, 10},	//2536 KSslCipher::name() const
    {102, 3096, 0, 0, Smoke::mf_const, 714, 11},	//2537 KSslCipher::supportedBits() const
    {102, 3247, 0, 0, Smoke::mf_const, 714, 12},	//2538 KSslCipher::usedBits() const
    {102, 3097, 0, 0, Smoke::mf_static, 368, 13},	//2539 KSslCipher::supportedCiphers()
    {102, 3448, 0, 0, Smoke::mf_dtor, 0, 14 },	//2540 KSslCipher::~KSslCipher()
    {103, 472, 1797, 2, Smoke::mf_ctor, 184, 1},	//2541 KSslError::KSslError(KSslError::Error, const QSslCertificate&)
    {103, 472, 1800, 1, Smoke::mf_ctor, 184, 2},	//2542 KSslError::KSslError(const QSslError&)
    {103, 472, 1802, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 184, 3},	//2543 KSslError::KSslError(const KSslError&)
    {103, 2185, 1802, 1, 0, 183, 4},	//2544 KSslError::operator=(const KSslError&)
    {103, 1434, 0, 0, Smoke::mf_const, 185, 5},	//2545 KSslError::error() const
    {103, 1438, 0, 0, Smoke::mf_const, 405, 6},	//2546 KSslError::errorString() const
    {103, 1107, 0, 0, Smoke::mf_const, 404, 7},	//2547 KSslError::certificate() const
    {103, 472, 0, 0, Smoke::mf_ctor, 184, 8},	//2548 KSslError::KSslError()
    {103, 472, 1804, 1, Smoke::mf_ctor, 184, 9},	//2549 KSslError::KSslError(KSslError::Error)
    {103, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 10},	//2550 KSslError::NoError (enum)
    {103, 780, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 11},	//2551 KSslError::UnknownError (enum)
    {103, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 12},	//2552 KSslError::InvalidCertificateAuthorityCertificate (enum)
    {103, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 13},	//2553 KSslError::InvalidCertificate (enum)
    {103, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 14},	//2554 KSslError::CertificateSignatureFailed (enum)
    {103, 693, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 15},	//2555 KSslError::SelfSignedCertificate (enum)
    {103, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 16},	//2556 KSslError::ExpiredCertificate (enum)
    {103, 688, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 17},	//2557 KSslError::RevokedCertificate (enum)
    {103, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 18},	//2558 KSslError::InvalidCertificatePurpose (enum)
    {103, 679, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 19},	//2559 KSslError::RejectedCertificate (enum)
    {103, 788, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 20},	//2560 KSslError::UntrustedCertificate (enum)
    {103, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 21},	//2561 KSslError::NoPeerCertificate (enum)
    {103, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 22},	//2562 KSslError::HostNameMismatch (enum)
    {103, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 23},	//2563 KSslError::PathLengthExceeded (enum)
    {103, 3449, 0, 0, Smoke::mf_dtor, 0, 24 },	//2564 KSslError::~KSslError()
    {104, 476, 0, 0, Smoke::mf_ctor, 187, 1},	//2565 KSslErrorUiData::KSslErrorUiData()
    {104, 476, 1806, 1, Smoke::mf_ctor, 187, 2},	//2566 KSslErrorUiData::KSslErrorUiData(const KTcpSocket*)
    {104, 476, 1808, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 187, 3},	//2567 KSslErrorUiData::KSslErrorUiData(const KSslErrorUiData&)
    {104, 2185, 1808, 1, 0, 186, 4},	//2568 KSslErrorUiData::operator=(const KSslErrorUiData&)
    {104, 3450, 0, 0, Smoke::mf_dtor, 0, 5 },	//2569 KSslErrorUiData::~KSslErrorUiData()
    {105, 478, 0, 0, Smoke::mf_ctor, 190, 1},	//2570 KSslKey::KSslKey()
    {105, 478, 1810, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 190, 2},	//2571 KSslKey::KSslKey(const KSslKey&)
    {105, 478, 1812, 1, Smoke::mf_ctor, 190, 3},	//2572 KSslKey::KSslKey(const QSslKey&)
    {105, 2185, 1810, 1, 0, 189, 4},	//2573 KSslKey::operator=(const KSslKey&)
    {105, 1000, 0, 0, Smoke::mf_const, 191, 5},	//2574 KSslKey::algorithm() const
    {105, 1805, 0, 0, Smoke::mf_const, 519, 6},	//2575 KSslKey::isExportable() const
    {105, 2489, 0, 0, Smoke::mf_const, 192, 7},	//2576 KSslKey::secrecy() const
    {105, 3140, 0, 0, Smoke::mf_const, 264, 8},	//2577 KSslKey::toDer() const
    {105, 690, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 9},	//2578 KSslKey::Rsa (enum)
    {105, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 10},	//2579 KSslKey::Dsa (enum)
    {105, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 11},	//2580 KSslKey::Dh (enum)
    {105, 660, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 12},	//2581 KSslKey::PublicKey (enum)
    {105, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 13},	//2582 KSslKey::PrivateKey (enum)
    {105, 3451, 0, 0, Smoke::mf_dtor, 0, 14 },	//2583 KSslKey::~KSslKey()
    {106, 480, 0, 0, Smoke::mf_ctor, 193, 1},	//2584 KStandardDirs::KStandardDirs()
    {106, 962, 24, 1, 0, 0, 2},	//2585 KStandardDirs::addPrefix(const QString&)
    {106, 990, 24, 1, 0, 0, 3},	//2586 KStandardDirs::addXdgConfigPrefix(const QString&)
    {106, 992, 24, 1, 0, 0, 4},	//2587 KStandardDirs::addXdgDataPrefix(const QString&)
    {106, 969, 1814, 3, 0, 519, 5},	//2588 KStandardDirs::addResourceType(const char*, const QString&, bool)
    {106, 969, 1818, 4, 0, 519, 6},	//2589 KStandardDirs::addResourceType(const char*, const char*, const QString&, bool)
    {106, 969, 1823, 4, 0, 519, 7},	//2590 KStandardDirs::addResourceType(const char*, const char*, const char*, bool)
    {106, 966, 1814, 3, 0, 519, 8},	//2591 KStandardDirs::addResourceDir(const char*, const QString&, bool)
    {106, 1554, 474, 2, Smoke::mf_const, 405, 9},	//2592 KStandardDirs::findResource(const char*, const QString&) const
    {106, 1844, 474, 2, Smoke::mf_const, 519, 10},	//2593 KStandardDirs::isRestrictedResource(const char*, const QString&) const
    {106, 1084, 1828, 3, Smoke::mf_const, 730, 11},	//2594 KStandardDirs::calcResourceHash(const char*, const QString&, QFlags<KStandardDirs::SearchOption>) const
    {106, 1535, 474, 2, Smoke::mf_const, 410, 12},	//2595 KStandardDirs::findDirs(const char*, const QString&) const
    {106, 1556, 474, 2, Smoke::mf_const, 405, 13},	//2596 KStandardDirs::findResourceDir(const char*, const QString&) const
    {106, 1507, 1828, 3, Smoke::mf_const, 410, 14},	//2597 KStandardDirs::findAllResources(const char*, const QString&, QFlags<KStandardDirs::SearchOption>) const
    {106, 1507, 1832, 4, Smoke::mf_const, 410, 15},	//2598 KStandardDirs::findAllResources(const char*, const QString&, QFlags<KStandardDirs::SearchOption>, QStringList&) const
    {106, 3117, 24, 1, Smoke::mf_static, 410, 16},	//2599 KStandardDirs::systemPaths(const QString&)
    {106, 1539, 1837, 3, Smoke::mf_static, 405, 17},	//2600 KStandardDirs::findExe(const QString&, const QString&, QFlags<KStandardDirs::SearchOption>)
    {106, 1503, 1841, 4, Smoke::mf_static, 714, 18},	//2601 KStandardDirs::findAllExe(QStringList&, const QString&, const QString&, QFlags<KStandardDirs::SearchOption>)
    {106, 863, 548, 1, 0, 519, 19},	//2602 KStandardDirs::addCustomized(KConfig*)
    {106, 2466, 109, 1, Smoke::mf_const, 410, 20},	//2603 KStandardDirs::resourceDirs(const char*) const
    {106, 1015, 0, 0, Smoke::mf_const, 410, 21},	//2604 KStandardDirs::allTypes() const
    {106, 2483, 1814, 3, Smoke::mf_const, 405, 22},	//2605 KStandardDirs::saveLocation(const char*, const QString&, bool) const
    {106, 2422, 474, 2, 0, 405, 23},	//2606 KStandardDirs::relativeLocation(const char*, const QString&)
    {106, 2030, 967, 2, Smoke::mf_static, 519, 24},	//2607 KStandardDirs::makeDir(const QString&, int)
    {106, 1899, 109, 1, Smoke::mf_static, 405, 25},	//2608 KStandardDirs::kde_default(const char*)
    {106, 1921, 0, 0, 0, 405, 26},	//2609 KStandardDirs::kfsstnd_prefixes()
    {106, 1922, 0, 0, 0, 405, 27},	//2610 KStandardDirs::kfsstnd_xdg_conf_prefixes()
    {106, 1923, 0, 0, 0, 405, 28},	//2611 KStandardDirs::kfsstnd_xdg_data_prefixes()
    {106, 1980, 0, 0, Smoke::mf_const, 405, 29},	//2612 KStandardDirs::localkdedir() const
    {106, 1982, 0, 0, Smoke::mf_const, 405, 30},	//2613 KStandardDirs::localxdgdatadir() const
    {106, 1981, 0, 0, Smoke::mf_const, 405, 31},	//2614 KStandardDirs::localxdgconfdir() const
    {106, 1739, 109, 1, Smoke::mf_static, 405, 32},	//2615 KStandardDirs::installPath(const char*)
    {106, 1461, 24, 1, Smoke::mf_static, 519, 33},	//2616 KStandardDirs::exists(const QString&)
    {106, 2413, 24, 1, Smoke::mf_static, 405, 34},	//2617 KStandardDirs::realPath(const QString&)
    {106, 2410, 24, 1, Smoke::mf_static, 405, 35},	//2618 KStandardDirs::realFilePath(const QString&)
    {106, 1983, 1846, 3, Smoke::mf_static, 405, 36},	//2619 KStandardDirs::locate(const char*, const QString&, const KComponentData&)
    {106, 1986, 1846, 3, Smoke::mf_static, 405, 37},	//2620 KStandardDirs::locateLocal(const char*, const QString&, const KComponentData&)
    {106, 1986, 1850, 4, Smoke::mf_static, 405, 38},	//2621 KStandardDirs::locateLocal(const char*, const QString&, bool, const KComponentData&)
    {106, 1113, 967, 2, Smoke::mf_static, 519, 39},	//2622 KStandardDirs::checkAccess(const QString&, int)
    {106, 969, 474, 2, 0, 519, 40},	//2623 KStandardDirs::addResourceType(const char*, const QString&)
    {106, 969, 1855, 3, 0, 519, 41},	//2624 KStandardDirs::addResourceType(const char*, const char*, const QString&)
    {106, 969, 1284, 3, 0, 519, 42},	//2625 KStandardDirs::addResourceType(const char*, const char*, const char*)
    {106, 966, 474, 2, 0, 519, 43},	//2626 KStandardDirs::addResourceDir(const char*, const QString&)
    {106, 1844, 109, 1, Smoke::mf_const, 519, 44},	//2627 KStandardDirs::isRestrictedResource(const char*) const
    {106, 1084, 474, 2, Smoke::mf_const, 730, 45},	//2628 KStandardDirs::calcResourceHash(const char*, const QString&) const
    {106, 1507, 109, 1, Smoke::mf_const, 410, 46},	//2629 KStandardDirs::findAllResources(const char*) const
    {106, 1507, 474, 2, Smoke::mf_const, 410, 47},	//2630 KStandardDirs::findAllResources(const char*, const QString&) const
    {106, 3117, 0, 0, Smoke::mf_static, 410, 48},	//2631 KStandardDirs::systemPaths()
    {106, 1539, 24, 1, Smoke::mf_static, 405, 49},	//2632 KStandardDirs::findExe(const QString&)
    {106, 1539, 89, 2, Smoke::mf_static, 405, 50},	//2633 KStandardDirs::findExe(const QString&, const QString&)
    {106, 1503, 1859, 2, Smoke::mf_static, 714, 51},	//2634 KStandardDirs::findAllExe(QStringList&, const QString&)
    {106, 1503, 1862, 3, Smoke::mf_static, 714, 52},	//2635 KStandardDirs::findAllExe(QStringList&, const QString&, const QString&)
    {106, 2483, 109, 1, Smoke::mf_const, 405, 53},	//2636 KStandardDirs::saveLocation(const char*) const
    {106, 2483, 474, 2, Smoke::mf_const, 405, 54},	//2637 KStandardDirs::saveLocation(const char*, const QString&) const
    {106, 2030, 24, 1, Smoke::mf_static, 519, 55},	//2638 KStandardDirs::makeDir(const QString&)
    {106, 1983, 474, 2, Smoke::mf_static, 405, 56},	//2639 KStandardDirs::locate(const char*, const QString&)
    {106, 1986, 474, 2, Smoke::mf_static, 405, 57},	//2640 KStandardDirs::locateLocal(const char*, const QString&)
    {106, 1986, 1814, 3, Smoke::mf_static, 405, 58},	//2641 KStandardDirs::locateLocal(const char*, const QString&, bool)
    {106, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 59},	//2642 KStandardDirs::NoSearchOptions (enum)
    {106, 677, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 60},	//2643 KStandardDirs::Recursive (enum)
    {106, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 61},	//2644 KStandardDirs::NoDuplicates (enum)
    {106, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 62},	//2645 KStandardDirs::IgnoreExecBit (enum)
    {106, 3452, 0, 0, Smoke::mf_dtor, 0, 63 },	//2646 KStandardDirs::~KStandardDirs()
    {107, 2246, 1866, 3, Smoke::mf_static, 410, 1},	//2647 KStringHandler::perlSplit(const QChar&, const QString&, int)
    {107, 2246, 1870, 2, Smoke::mf_static, 410, 2},	//2648 KStringHandler::perlSplit(const QChar&, const QString&)
    {107, 2246, 1873, 3, Smoke::mf_static, 410, 3},	//2649 KStringHandler::perlSplit(const QRegExp&, const QString&, int)
    {107, 2246, 1877, 2, Smoke::mf_static, 410, 4},	//2650 KStringHandler::perlSplit(const QRegExp&, const QString&)
    {107, 2120, 24, 1, Smoke::mf_static, 405, 5},	//2651 KStringHandler::obscure(const QString&)
    {107, 1099, 128, 1, Smoke::mf_static, 410, 6},	//2652 KStringHandler::capwords(const QStringList&)
    {107, 2095, 1880, 3, Smoke::mf_static, 714, 7},	//2653 KStringHandler::naturalCompare(const QString&, const QString&, Qt::CaseSensitivity)
    {107, 2095, 89, 2, Smoke::mf_static, 714, 8},	//2654 KStringHandler::naturalCompare(const QString&, const QString&)
    {107, 1997, 967, 2, Smoke::mf_static, 405, 9},	//2655 KStringHandler::lsqueeze(const QString&, int)
    {107, 1997, 24, 1, Smoke::mf_static, 405, 10},	//2656 KStringHandler::lsqueeze(const QString&)
    {107, 2265, 24, 1, Smoke::mf_static, 405, 11},	//2657 KStringHandler::preProcessWrap(const QString&)
    {107, 2246, 1884, 3, Smoke::mf_static, 410, 12},	//2658 KStringHandler::perlSplit(const QString&, const QString&, int)
    {107, 2246, 89, 2, Smoke::mf_static, 410, 13},	//2659 KStringHandler::perlSplit(const QString&, const QString&)
    {107, 3119, 24, 1, Smoke::mf_static, 405, 14},	//2660 KStringHandler::tagUrls(const QString&)
    {107, 1216, 967, 2, Smoke::mf_static, 405, 15},	//2661 KStringHandler::csqueeze(const QString&, int)
    {107, 1216, 24, 1, Smoke::mf_static, 405, 16},	//2662 KStringHandler::csqueeze(const QString&)
    {107, 1099, 24, 1, Smoke::mf_static, 405, 17},	//2663 KStringHandler::capwords(const QString&)
    {107, 1600, 109, 1, Smoke::mf_static, 405, 18},	//2664 KStringHandler::from8Bit(const char*)
    {107, 1862, 109, 1, Smoke::mf_static, 519, 19},	//2665 KStringHandler::isUtf8(const char*)
    {107, 2476, 967, 2, Smoke::mf_static, 405, 20},	//2666 KStringHandler::rsqueeze(const QString&, int)
    {107, 2476, 24, 1, Smoke::mf_static, 405, 21},	//2667 KStringHandler::rsqueeze(const QString&)
    {108, 2048, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 667, 1},	//2668 KSycoca::metaObject() const
    {108, 2319, 109, 1, Smoke::mf_virtual, 737, 2},	//2669 KSycoca::qt_metacast(const char*)
    {108, 3168, 111, 2, Smoke::mf_static, 405, 3},	//2670 KSycoca::tr(const char*, const char*)
    {108, 3175, 111, 2, Smoke::mf_static, 405, 4},	//2671 KSycoca::trUtf8(const char*, const char*)
    {108, 3168, 114, 3, Smoke::mf_static, 405, 5},	//2672 KSycoca::tr(const char*, const char*, int)
    {108, 3175, 114, 3, Smoke::mf_static, 405, 6},	//2673 KSycoca::trUtf8(const char*, const char*, int)
    {108, 2317, 118, 3, Smoke::mf_virtual, 714, 7},	//2674 KSycoca::qt_metacall(QMetaObject::Call, int, void**)
    {108, 481, 97, 1, Smoke::mf_ctor|Smoke::mf_protected, 195, 8},	//2675 KSycoca::KSycoca(bool)
    {108, 3272, 0, 0, Smoke::mf_static, 714, 9},	//2676 KSycoca::version()
    {108, 1775, 0, 0, Smoke::mf_static, 519, 10},	//2677 KSycoca::isAvailable()
    {108, 1537, 1888, 2, 0, 276, 11},	//2678 KSycoca::findEntry(int, KSycocaType&)
    {108, 1543, 1891, 1, 0, 276, 12},	//2679 KSycoca::findFactory(KSycocaFactoryId)
    {108, 1921, 0, 0, 0, 405, 13},	//2680 KSycoca::kfsstnd_prefixes()
    {108, 823, 1893, 1, Smoke::mf_static, 405, 14},	//2681 KSycoca::absoluteFilePath(DatabaseType)
    {108, 1941, 0, 0, 0, 405, 15},	//2682 KSycoca::language()
    {108, 3134, 0, 0, 0, 730, 16},	//2683 KSycoca::timeStamp()
    {108, 3235, 0, 0, 0, 730, 17},	//2684 KSycoca::updateSignature()
    {108, 1010, 0, 0, 0, 410, 18},	//2685 KSycoca::allResourceDirs()
    {108, 872, 1895, 1, 0, 0, 19},	//2686 KSycoca::addFactory(KSycocaFactory*)
    {108, 1780, 0, 0, Smoke::mf_virtual, 519, 20},	//2687 KSycoca::isBuilding()
    {108, 1371, 0, 0, Smoke::mf_static, 0, 21},	//2688 KSycoca::disableAutoRebuild()
    {108, 1781, 109, 1, Smoke::mf_static, 519, 22},	//2689 KSycoca::isChanged(const char*)
    {108, 1561, 0, 0, Smoke::mf_static, 0, 23},	//2690 KSycoca::flagError()
    {108, 2375, 0, 0, Smoke::mf_static, 519, 24},	//2691 KSycoca::readError()
    {108, 1244, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2692 KSycoca::databaseChanged()
    {108, 1244, 128, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2693 KSycoca::databaseChanged(const QStringList&)
    {108, 1484, 0, 0, Smoke::mf_protected, 201, 27},	//2694 KSycoca::factories()
    {108, 3075, 0, 0, Smoke::mf_protected, 277, 28},	//2695 KSycoca::stream()
    {108, 3168, 109, 1, Smoke::mf_static, 405, 29},	//2696 KSycoca::tr(const char*)
    {108, 3175, 109, 1, Smoke::mf_static, 405, 30},	//2697 KSycoca::trUtf8(const char*)
    {108, 823, 0, 0, Smoke::mf_static, 405, 31},	//2698 KSycoca::absoluteFilePath()
    {108, 3064, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 666, 32},	//2699 KSycoca::staticMetaObject() const
    {108, 2019, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 276, 33},	//2700 KSycoca::m_str_deprecated() const
    {108, 2757, 1897, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 34},	//2701 KSycoca::setM_str_deprecated(QDataStream*)
    {108, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 196, 35},	//2702 KSycoca::LocalDatabase (enum)
    {108, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 196, 36},	//2703 KSycoca::GlobalDatabase (enum)
    {108, 3453, 0, 0, Smoke::mf_dtor, 0, 37 },	//2704 KSycoca::~KSycoca()
    {109, 483, 0, 0, Smoke::mf_ctor, 197, 1},	//2705 KSycocaEntry::KSycocaEntry()
    {109, 1859, 1899, 1, Smoke::mf_const, 519, 2},	//2706 KSycocaEntry::isType(KSycocaType) const
    {109, 3103, 0, 0, Smoke::mf_const, 202, 3},	//2707 KSycocaEntry::sycocaType() const
    {109, 2347, 1901, 2, Smoke::mf_static, 0, 4},	//2708 KSycocaEntry::read(QDataStream&, QString&)
    {109, 2347, 1904, 2, Smoke::mf_static, 0, 5},	//2709 KSycocaEntry::read(QDataStream&, QStringList&)
    {109, 2089, 0, 0, Smoke::mf_const, 405, 6},	//2710 KSycocaEntry::name() const
    {109, 1421, 0, 0, Smoke::mf_const, 405, 7},	//2711 KSycocaEntry::entryPath() const
    {109, 3072, 0, 0, Smoke::mf_const, 405, 8},	//2712 KSycocaEntry::storageId() const
    {109, 1864, 0, 0, Smoke::mf_const, 519, 9},	//2713 KSycocaEntry::isValid() const
    {109, 1790, 0, 0, Smoke::mf_const, 519, 10},	//2714 KSycocaEntry::isDeleted() const
    {109, 2292, 24, 1, Smoke::mf_const, 429, 11},	//2715 KSycocaEntry::property(const QString&) const
    {109, 2299, 0, 0, Smoke::mf_const, 410, 12},	//2716 KSycocaEntry::propertyNames() const
    {109, 2623, 97, 1, 0, 0, 13},	//2717 KSycocaEntry::setDeleted(bool)
    {109, 1848, 0, 0, Smoke::mf_const, 519, 14},	//2718 KSycocaEntry::isSeparator() const
    {109, 2122, 0, 0, Smoke::mf_const, 714, 15},	//2719 KSycocaEntry::offset() const
    {109, 2479, 334, 1, 0, 0, 16},	//2720 KSycocaEntry::save(QDataStream&)
    {109, 483, 1907, 1, Smoke::mf_ctor|Smoke::mf_protected, 197, 17},	//2721 KSycocaEntry::KSycocaEntry(KSycocaEntryPrivate&)
    {109, 3454, 0, 0, Smoke::mf_dtor, 0, 18 },	//2722 KSycocaEntry::~KSycocaEntry()
    {113, 485, 1909, 6, Smoke::mf_ctor, 204, 1},	//2723 KSystemTimeZone::KSystemTimeZone(KSystemTimeZoneSource*, const QString&, const QString&, float, float, const QString&)
    {113, 485, 1916, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 204, 2},	//2724 KSystemTimeZone::KSystemTimeZone(const KSystemTimeZone&)
    {113, 485, 1918, 2, Smoke::mf_ctor, 204, 3},	//2725 KSystemTimeZone::KSystemTimeZone(KSystemTimeZoneSource*, const QString&)
    {113, 485, 1921, 3, Smoke::mf_ctor, 204, 4},	//2726 KSystemTimeZone::KSystemTimeZone(KSystemTimeZoneSource*, const QString&, const QString&)
    {113, 485, 1925, 4, Smoke::mf_ctor, 204, 5},	//2727 KSystemTimeZone::KSystemTimeZone(KSystemTimeZoneSource*, const QString&, const QString&, float)
    {113, 485, 1930, 5, Smoke::mf_ctor, 204, 6},	//2728 KSystemTimeZone::KSystemTimeZone(KSystemTimeZoneSource*, const QString&, const QString&, float, float)
    {113, 3455, 0, 0, Smoke::mf_dtor, 0, 7 },	//2729 KSystemTimeZone::~KSystemTimeZone()
    {114, 492, 1909, 6, Smoke::mf_ctor, 205, 1},	//2730 KSystemTimeZoneBackend::KSystemTimeZoneBackend(KSystemTimeZoneSource*, const QString&, const QString&, float, float, const QString&)
    {114, 1138, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 227, 2},	//2731 KSystemTimeZoneBackend::clone() const
    {114, 3211, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 264, 3},	//2732 KSystemTimeZoneBackend::type() const
    {114, 2128, 1936, 3, Smoke::mf_const|Smoke::mf_virtual, 714, 4},	//2733 KSystemTimeZoneBackend::offsetAtZoneTime(const KTimeZone*, const QDateTime&, int*) const
    {114, 2125, 1940, 2, Smoke::mf_const|Smoke::mf_virtual, 714, 5},	//2734 KSystemTimeZoneBackend::offsetAtUtc(const KTimeZone*, const QDateTime&) const
    {114, 2122, 1943, 2, Smoke::mf_const|Smoke::mf_virtual, 714, 6},	//2735 KSystemTimeZoneBackend::offset(const KTimeZone*, long int) const
    {114, 1797, 1940, 2, Smoke::mf_const|Smoke::mf_virtual, 519, 7},	//2736 KSystemTimeZoneBackend::isDstAtUtc(const KTimeZone*, const QDateTime&) const
    {114, 1794, 1943, 2, Smoke::mf_const|Smoke::mf_virtual, 519, 8},	//2737 KSystemTimeZoneBackend::isDst(const KTimeZone*, long int) const
    {114, 492, 1946, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 205, 9},	//2738 KSystemTimeZoneBackend::KSystemTimeZoneBackend(const KSystemTimeZoneBackend&)
    {114, 3456, 0, 0, Smoke::mf_dtor, 0, 10 },	//2739 KSystemTimeZoneBackend::~KSystemTimeZoneBackend()
    {115, 495, 0, 0, Smoke::mf_ctor, 206, 1},	//2740 KSystemTimeZoneSource::KSystemTimeZoneSource()
    {115, 2229, 994, 1, Smoke::mf_const|Smoke::mf_virtual, 229, 2},	//2741 KSystemTimeZoneSource::parse(const KTimeZone&) const
    {115, 3010, 0, 0, Smoke::mf_static, 0, 3},	//2742 KSystemTimeZoneSource::startParseBlock()
    {115, 1413, 0, 0, Smoke::mf_static, 0, 4},	//2743 KSystemTimeZoneSource::endParseBlock()
    {115, 495, 1948, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 206, 5},	//2744 KSystemTimeZoneSource::KSystemTimeZoneSource(const KSystemTimeZoneSource&)
    {115, 3457, 0, 0, Smoke::mf_dtor, 0, 6 },	//2745 KSystemTimeZoneSource::~KSystemTimeZoneSource()
    {116, 2048, 0, 0, Smoke::mf_const, 667, 1},	//2746 KSystemTimeZones::metaObject() const
    {116, 2319, 109, 1, 0, 737, 2},	//2747 KSystemTimeZones::qt_metacast(const char*)
    {116, 3168, 111, 2, Smoke::mf_static, 405, 3},	//2748 KSystemTimeZones::tr(const char*, const char*)
    {116, 3175, 111, 2, Smoke::mf_static, 405, 4},	//2749 KSystemTimeZones::trUtf8(const char*, const char*)
    {116, 3168, 114, 3, Smoke::mf_static, 405, 5},	//2750 KSystemTimeZones::tr(const char*, const char*, int)
    {116, 3175, 114, 3, Smoke::mf_static, 405, 6},	//2751 KSystemTimeZones::trUtf8(const char*, const char*, int)
    {116, 2317, 118, 3, 0, 714, 7},	//2752 KSystemTimeZones::qt_metacall(QMetaObject::Call, int, void**)
    {116, 3137, 0, 0, Smoke::mf_static, 231, 8},	//2753 KSystemTimeZones::timeZones()
    {116, 3365, 0, 0, Smoke::mf_static, 662, 9},	//2754 KSystemTimeZones::zones()
    {116, 3362, 24, 1, Smoke::mf_static, 215, 10},	//2755 KSystemTimeZones::zone(const QString&)
    {116, 2407, 24, 1, Smoke::mf_static, 215, 11},	//2756 KSystemTimeZones::readZone(const QString&)
    {116, 1972, 0, 0, Smoke::mf_static, 215, 12},	//2757 KSystemTimeZones::local()
    {116, 2412, 0, 0, Smoke::mf_static, 215, 13},	//2758 KSystemTimeZones::realLocalZone()
    {116, 2713, 994, 1, Smoke::mf_static, 0, 14},	//2759 KSystemTimeZones::setLocalZone(const KTimeZone&)
    {116, 1854, 0, 0, Smoke::mf_static, 519, 15},	//2760 KSystemTimeZones::isSimulated()
    {116, 3364, 0, 0, Smoke::mf_static, 405, 16},	//2761 KSystemTimeZones::zoneinfoDir()
    {116, 3168, 109, 1, Smoke::mf_static, 405, 17},	//2762 KSystemTimeZones::tr(const char*)
    {116, 3175, 109, 1, Smoke::mf_static, 405, 18},	//2763 KSystemTimeZones::trUtf8(const char*)
    {116, 3064, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 666, 19},	//2764 KSystemTimeZones::staticMetaObject() const
    {116, 3458, 0, 0, Smoke::mf_dtor, 0, 20 },	//2765 KSystemTimeZones::~KSystemTimeZones()
    {117, 2048, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 667, 1},	//2766 KTcpSocket::metaObject() const
    {117, 2319, 109, 1, Smoke::mf_virtual, 737, 2},	//2767 KTcpSocket::qt_metacast(const char*)
    {117, 3168, 111, 2, Smoke::mf_static, 405, 3},	//2768 KTcpSocket::tr(const char*, const char*)
    {117, 3175, 111, 2, Smoke::mf_static, 405, 4},	//2769 KTcpSocket::trUtf8(const char*, const char*)
    {117, 3168, 114, 3, Smoke::mf_static, 405, 5},	//2770 KTcpSocket::tr(const char*, const char*, int)
    {117, 3175, 114, 3, Smoke::mf_static, 405, 6},	//2771 KTcpSocket::trUtf8(const char*, const char*, int)
    {117, 2317, 118, 3, Smoke::mf_virtual, 714, 7},	//2772 KTcpSocket::qt_metacall(QMetaObject::Call, int, void**)
    {117, 497, 133, 1, Smoke::mf_ctor, 207, 8},	//2773 KTcpSocket::KTcpSocket(QObject*)
    {117, 1033, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 9},	//2774 KTcpSocket::atEnd() const
    {117, 1081, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 720, 10},	//2775 KTcpSocket::bytesAvailable() const
    {117, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 720, 11},	//2776 KTcpSocket::bytesToWrite() const
    {117, 1093, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 12},	//2777 KTcpSocket::canReadLine() const
    {117, 1139, 0, 0, Smoke::mf_virtual, 0, 13},	//2778 KTcpSocket::close()
    {117, 1849, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 14},	//2779 KTcpSocket::isSequential() const
    {117, 2132, 137, 1, Smoke::mf_virtual, 519, 15},	//2780 KTcpSocket::open(QFlags<QIODevice::OpenModeFlag>)
    {117, 3279, 105, 1, Smoke::mf_virtual, 519, 16},	//2781 KTcpSocket::waitForBytesWritten(int)
    {117, 3290, 105, 1, Smoke::mf_virtual, 519, 17},	//2782 KTcpSocket::waitForReadyRead(int)
    {117, 2355, 1097, 2, Smoke::mf_protected|Smoke::mf_virtual, 720, 18},	//2783 KTcpSocket::readData(char*, long long)
    {117, 3329, 1100, 2, Smoke::mf_protected|Smoke::mf_virtual, 720, 19},	//2784 KTcpSocket::writeData(const char*, long long)
    {117, 820, 0, 0, 0, 0, 20},	//2785 KTcpSocket::abort()
    {117, 1162, 1950, 3, 0, 0, 21},	//2786 KTcpSocket::connectToHost(const QString&, unsigned short, KTcpSocket::ProxyPolicy)
    {117, 1162, 1954, 3, 0, 0, 22},	//2787 KTcpSocket::connectToHost(const QHostAddress&, unsigned short, KTcpSocket::ProxyPolicy)
    {117, 1162, 1958, 2, 0, 0, 23},	//2788 KTcpSocket::connectToHost(const KUrl&, KTcpSocket::ProxyPolicy)
    {117, 1372, 0, 0, 0, 0, 24},	//2789 KTcpSocket::disconnectFromHost()
    {117, 1434, 0, 0, Smoke::mf_const, 209, 25},	//2790 KTcpSocket::error() const
    {117, 2997, 0, 0, Smoke::mf_const, 369, 26},	//2791 KTcpSocket::sslErrors() const
    {117, 1562, 0, 0, 0, 519, 27},	//2792 KTcpSocket::flush()
    {117, 1864, 0, 0, Smoke::mf_const, 519, 28},	//2793 KTcpSocket::isValid() const
    {117, 1973, 0, 0, Smoke::mf_const, 340, 29},	//2794 KTcpSocket::localAddress() const
    {117, 2239, 0, 0, Smoke::mf_const, 340, 30},	//2795 KTcpSocket::peerAddress() const
    {117, 2241, 0, 0, Smoke::mf_const, 405, 31},	//2796 KTcpSocket::peerName() const
    {117, 2243, 0, 0, Smoke::mf_const, 735, 32},	//2797 KTcpSocket::peerPort() const
    {117, 2306, 0, 0, Smoke::mf_const, 389, 33},	//2798 KTcpSocket::proxy() const
    {117, 2351, 0, 0, Smoke::mf_const, 720, 34},	//2799 KTcpSocket::readBufferSize() const
    {117, 2871, 1961, 1, 0, 0, 35},	//2800 KTcpSocket::setProxy(const QNetworkProxy&)
    {117, 2875, 814, 1, 0, 0, 36},	//2801 KTcpSocket::setReadBufferSize(long long)
    {117, 3060, 0, 0, Smoke::mf_const, 212, 37},	//2802 KTcpSocket::state() const
    {117, 3281, 105, 1, 0, 519, 38},	//2803 KTcpSocket::waitForConnected(int)
    {117, 3283, 105, 1, 0, 519, 39},	//2804 KTcpSocket::waitForDisconnected(int)
    {117, 847, 1963, 1, 0, 0, 40},	//2805 KTcpSocket::addCaCertificate(const QSslCertificate&)
    {117, 849, 1965, 1, 0, 0, 41},	//2806 KTcpSocket::addCaCertificates(const QList<QSslCertificate>&)
    {117, 1083, 0, 0, Smoke::mf_const, 377, 42},	//2807 KTcpSocket::caCertificates() const
    {117, 1131, 0, 0, Smoke::mf_const, 368, 43},	//2808 KTcpSocket::ciphers() const
    {117, 1171, 1967, 3, 0, 0, 44},	//2809 KTcpSocket::connectToHostEncrypted(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {117, 1974, 0, 0, Smoke::mf_const, 404, 45},	//2810 KTcpSocket::localCertificate() const
    {117, 2240, 0, 0, Smoke::mf_const, 377, 46},	//2811 KTcpSocket::peerCertificateChain() const
    {117, 2275, 0, 0, Smoke::mf_const, 188, 47},	//2812 KTcpSocket::privateKey() const
    {117, 2516, 0, 0, Smoke::mf_const, 180, 48},	//2813 KTcpSocket::sessionCipher() const
    {117, 2554, 1965, 1, 0, 0, 49},	//2814 KTcpSocket::setCaCertificates(const QList<QSslCertificate>&)
    {117, 2562, 1971, 1, 0, 0, 50},	//2815 KTcpSocket::setCiphers(const QList<KSslCipher>&)
    {117, 2709, 1963, 1, 0, 0, 51},	//2816 KTcpSocket::setLocalCertificate(const QSslCertificate&)
    {117, 2709, 1973, 2, 0, 0, 52},	//2817 KTcpSocket::setLocalCertificate(const QString&, QSsl::EncodingFormat)
    {117, 2845, 1810, 1, 0, 0, 53},	//2818 KTcpSocket::setPrivateKey(const KSslKey&)
    {117, 2845, 1976, 4, 0, 0, 54},	//2819 KTcpSocket::setPrivateKey(const QString&, KSslKey::Algorithm, QSsl::EncodingFormat, const QByteArray&)
    {117, 2523, 1981, 1, 0, 0, 55},	//2820 KTcpSocket::setAdvertisedSslVersion(KTcpSocket::SslVersion)
    {117, 999, 0, 0, Smoke::mf_const, 211, 56},	//2821 KTcpSocket::advertisedSslVersion() const
    {117, 2101, 0, 0, Smoke::mf_const, 211, 57},	//2822 KTcpSocket::negotiatedSslVersion() const
    {117, 2102, 0, 0, Smoke::mf_const, 405, 58},	//2823 KTcpSocket::negotiatedSslVersionName() const
    {117, 3285, 105, 1, 0, 519, 59},	//2824 KTcpSocket::waitForEncrypted(int)
    {117, 1410, 0, 0, Smoke::mf_const, 208, 60},	//2825 KTcpSocket::encryptionMode() const
    {117, 2981, 1983, 1, Smoke::mf_const, 429, 61},	//2826 KTcpSocket::socketOption(QAbstractSocket::SocketOption) const
    {117, 2900, 1985, 2, 0, 0, 62},	//2827 KTcpSocket::setSocketOption(QAbstractSocket::SocketOption, const QVariant&)
    {117, 1180, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 63},	//2828 KTcpSocket::connected()
    {117, 1376, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 64},	//2829 KTcpSocket::disconnected()
    {117, 1434, 1988, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//2830 KTcpSocket::error(KTcpSocket::Error)
    {117, 1701, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//2831 KTcpSocket::hostFound()
    {117, 2307, 1990, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 67},	//2832 KTcpSocket::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {117, 3061, 1993, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 68},	//2833 KTcpSocket::stateChanged(KTcpSocket::State)
    {117, 1408, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 69},	//2834 KTcpSocket::encrypted()
    {117, 1411, 1995, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 70},	//2835 KTcpSocket::encryptionModeChanged(KTcpSocket::EncryptionMode)
    {117, 2997, 1997, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 71},	//2836 KTcpSocket::sslErrors(const QList<KSslError>&)
    {117, 1714, 0, 0, Smoke::mf_slot, 0, 72},	//2837 KTcpSocket::ignoreSslErrors()
    {117, 3005, 0, 0, Smoke::mf_slot, 0, 73},	//2838 KTcpSocket::startClientEncryption()
    {117, 3168, 109, 1, Smoke::mf_static, 405, 74},	//2839 KTcpSocket::tr(const char*)
    {117, 3175, 109, 1, Smoke::mf_static, 405, 75},	//2840 KTcpSocket::trUtf8(const char*)
    {117, 497, 0, 0, Smoke::mf_ctor, 207, 76},	//2841 KTcpSocket::KTcpSocket()
    {117, 3290, 0, 0, 0, 519, 77},	//2842 KTcpSocket::waitForReadyRead()
    {117, 1162, 1999, 2, 0, 0, 78},	//2843 KTcpSocket::connectToHost(const QString&, unsigned short)
    {117, 1162, 2002, 2, 0, 0, 79},	//2844 KTcpSocket::connectToHost(const QHostAddress&, unsigned short)
    {117, 1162, 135, 1, 0, 0, 80},	//2845 KTcpSocket::connectToHost(const KUrl&)
    {117, 3281, 0, 0, 0, 519, 81},	//2846 KTcpSocket::waitForConnected()
    {117, 3283, 0, 0, 0, 519, 82},	//2847 KTcpSocket::waitForDisconnected()
    {117, 1171, 1999, 2, 0, 0, 83},	//2848 KTcpSocket::connectToHostEncrypted(const QString&, unsigned short)
    {117, 2709, 24, 1, 0, 0, 84},	//2849 KTcpSocket::setLocalCertificate(const QString&)
    {117, 2845, 24, 1, 0, 0, 85},	//2850 KTcpSocket::setPrivateKey(const QString&)
    {117, 2845, 2005, 2, 0, 0, 86},	//2851 KTcpSocket::setPrivateKey(const QString&, KSslKey::Algorithm)
    {117, 2845, 2008, 3, 0, 0, 87},	//2852 KTcpSocket::setPrivateKey(const QString&, KSslKey::Algorithm, QSsl::EncodingFormat)
    {117, 3285, 0, 0, 0, 519, 88},	//2853 KTcpSocket::waitForEncrypted()
    {117, 3064, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 666, 89},	//2854 KTcpSocket::staticMetaObject() const
    {117, 763, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 90},	//2855 KTcpSocket::UnconnectedState (enum)
    {117, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 91},	//2856 KTcpSocket::HostLookupState (enum)
    {117, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 92},	//2857 KTcpSocket::ConnectingState (enum)
    {117, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 93},	//2858 KTcpSocket::ConnectedState (enum)
    {117, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 94},	//2859 KTcpSocket::BoundState (enum)
    {117, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 95},	//2860 KTcpSocket::ListeningState (enum)
    {117, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 96},	//2861 KTcpSocket::ClosingState (enum)
    {117, 785, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 97},	//2862 KTcpSocket::UnknownSslVersion (enum)
    {117, 723, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 98},	//2863 KTcpSocket::SslV2 (enum)
    {117, 724, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 99},	//2864 KTcpSocket::SslV3 (enum)
    {117, 753, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 100},	//2865 KTcpSocket::TlsV1 (enum)
    {117, 725, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 101},	//2866 KTcpSocket::SslV3_1 (enum)
    {117, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 102},	//2867 KTcpSocket::AnySslVersion (enum)
    {117, 780, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 103},	//2868 KTcpSocket::UnknownError (enum)
    {117, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 104},	//2869 KTcpSocket::ConnectionRefusedError (enum)
    {117, 680, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 105},	//2870 KTcpSocket::RemoteHostClosedError (enum)
    {117, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 106},	//2871 KTcpSocket::HostNotFoundError (enum)
    {117, 705, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 107},	//2872 KTcpSocket::SocketAccessError (enum)
    {117, 707, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 108},	//2873 KTcpSocket::SocketResourceError (enum)
    {117, 708, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 109},	//2874 KTcpSocket::SocketTimeoutError (enum)
    {117, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 110},	//2875 KTcpSocket::NetworkError (enum)
    {117, 787, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 111},	//2876 KTcpSocket::UnsupportedSocketOperationError (enum)
    {117, 764, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 112},	//2877 KTcpSocket::UnencryptedMode (enum)
    {117, 720, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 113},	//2878 KTcpSocket::SslClientMode (enum)
    {117, 722, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 114},	//2879 KTcpSocket::SslServerMode (enum)
    {117, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 115},	//2880 KTcpSocket::AutoProxy (enum)
    {117, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 116},	//2881 KTcpSocket::ManualProxy (enum)
    {117, 3459, 0, 0, Smoke::mf_dtor, 0, 117 },	//2882 KTcpSocket::~KTcpSocket()
    {118, 499, 967, 2, Smoke::mf_ctor, 213, 1},	//2883 KTempDir::KTempDir(const QString&, int)
    {118, 2544, 97, 1, 0, 0, 2},	//2884 KTempDir::setAutoRemove(bool)
    {118, 1048, 0, 0, Smoke::mf_const, 519, 3},	//2885 KTempDir::autoRemove() const
    {118, 3067, 0, 0, Smoke::mf_const, 714, 4},	//2886 KTempDir::status() const
    {118, 2089, 0, 0, Smoke::mf_const, 405, 5},	//2887 KTempDir::name() const
    {118, 3217, 0, 0, 0, 0, 6},	//2888 KTempDir::unlink()
    {118, 1461, 0, 0, Smoke::mf_const, 519, 7},	//2889 KTempDir::exists() const
    {118, 2437, 24, 1, Smoke::mf_static, 519, 8},	//2890 KTempDir::removeDir(const QString&)
    {118, 1201, 967, 2, Smoke::mf_protected, 519, 9},	//2891 KTempDir::create(const QString&, int)
    {118, 499, 0, 0, Smoke::mf_ctor, 213, 10},	//2892 KTempDir::KTempDir()
    {118, 499, 24, 1, Smoke::mf_ctor, 213, 11},	//2893 KTempDir::KTempDir(const QString&)
    {118, 3460, 0, 0, Smoke::mf_dtor, 0, 12 },	//2894 KTempDir::~KTempDir()
    {119, 502, 383, 1, Smoke::mf_ctor, 214, 1},	//2895 KTemporaryFile::KTemporaryFile(const KComponentData&)
    {119, 2843, 24, 1, 0, 0, 2},	//2896 KTemporaryFile::setPrefix(const QString&)
    {119, 2908, 24, 1, 0, 0, 3},	//2897 KTemporaryFile::setSuffix(const QString&)
    {119, 502, 0, 0, Smoke::mf_ctor, 214, 4},	//2898 KTemporaryFile::KTemporaryFile()
    {119, 3461, 0, 0, Smoke::mf_dtor, 0, 5 },	//2899 KTemporaryFile::~KTemporaryFile()
    {120, 504, 0, 0, Smoke::mf_ctor, 217, 1},	//2900 KTimeZone::KTimeZone()
    {120, 504, 24, 1, Smoke::mf_ctor, 217, 2},	//2901 KTimeZone::KTimeZone(const QString&)
    {120, 504, 994, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 217, 3},	//2902 KTimeZone::KTimeZone(const KTimeZone&)
    {120, 2185, 994, 1, 0, 216, 4},	//2903 KTimeZone::operator=(const KTimeZone&)
    {120, 2188, 994, 1, Smoke::mf_const, 519, 5},	//2904 KTimeZone::operator==(const KTimeZone&) const
    {120, 2145, 994, 1, Smoke::mf_const, 519, 6},	//2905 KTimeZone::operator!=(const KTimeZone&) const
    {120, 3211, 0, 0, Smoke::mf_const, 264, 7},	//2906 KTimeZone::type() const
    {120, 1864, 0, 0, Smoke::mf_const, 519, 8},	//2907 KTimeZone::isValid() const
    {120, 2089, 0, 0, Smoke::mf_const, 405, 9},	//2908 KTimeZone::name() const
    {120, 1198, 0, 0, Smoke::mf_const, 405, 10},	//2909 KTimeZone::countryCode() const
    {120, 1949, 0, 0, Smoke::mf_const, 713, 11},	//2910 KTimeZone::latitude() const
    {120, 1996, 0, 0, Smoke::mf_const, 713, 12},	//2911 KTimeZone::longitude() const
    {120, 1149, 0, 0, Smoke::mf_const, 405, 13},	//2912 KTimeZone::comment() const
    {120, 819, 0, 0, Smoke::mf_const, 375, 14},	//2913 KTimeZone::abbreviations() const
    {120, 817, 990, 1, Smoke::mf_const, 264, 15},	//2914 KTimeZone::abbreviation(const QDateTime&) const
    {120, 3260, 0, 0, Smoke::mf_const, 380, 16},	//2915 KTimeZone::utcOffsets() const
    {120, 1182, 2012, 2, Smoke::mf_const, 280, 17},	//2916 KTimeZone::convert(const KTimeZone&, const QDateTime&) const
    {120, 3157, 990, 1, Smoke::mf_const, 280, 18},	//2917 KTimeZone::toUtc(const QDateTime&) const
    {120, 3161, 2015, 2, Smoke::mf_const, 280, 19},	//2918 KTimeZone::toZoneTime(const QDateTime&, bool*) const
    {120, 1233, 2018, 1, Smoke::mf_const, 714, 20},	//2919 KTimeZone::currentOffset(Qt::TimeSpec) const
    {120, 2128, 2020, 2, Smoke::mf_const|Smoke::mf_virtual, 714, 21},	//2920 KTimeZone::offsetAtZoneTime(const QDateTime&, int*) const
    {120, 2125, 990, 1, Smoke::mf_const|Smoke::mf_virtual, 714, 22},	//2921 KTimeZone::offsetAtUtc(const QDateTime&) const
    {120, 2122, 2023, 1, Smoke::mf_const|Smoke::mf_virtual, 714, 23},	//2922 KTimeZone::offset(long int) const
    {120, 1797, 990, 1, Smoke::mf_const|Smoke::mf_virtual, 519, 24},	//2923 KTimeZone::isDstAtUtc(const QDateTime&) const
    {120, 1794, 2023, 1, Smoke::mf_const|Smoke::mf_virtual, 519, 25},	//2924 KTimeZone::isDst(long int) const
    {120, 2252, 0, 0, Smoke::mf_const, 371, 26},	//2925 KTimeZone::phases() const
    {120, 1693, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 27},	//2926 KTimeZone::hasTransitions() const
    {120, 3193, 2025, 2, Smoke::mf_const, 372, 28},	//2927 KTimeZone::transitions(const QDateTime&, const QDateTime&) const
    {120, 3181, 2028, 3, Smoke::mf_const, 604, 29},	//2928 KTimeZone::transition(const QDateTime&, const KTimeZone::Transition**, bool*) const
    {120, 3185, 2032, 3, Smoke::mf_const, 714, 30},	//2929 KTimeZone::transitionIndex(const QDateTime&, int*, bool*) const
    {120, 3189, 2036, 3, Smoke::mf_const, 376, 31},	//2930 KTimeZone::transitionTimes(const KTimeZone::Phase&, const QDateTime&, const QDateTime&) const
    {120, 1953, 0, 0, Smoke::mf_const, 370, 32},	//2931 KTimeZone::leapSecondChanges() const
    {120, 2984, 0, 0, Smoke::mf_const, 230, 33},	//2932 KTimeZone::source() const
    {120, 2229, 0, 0, Smoke::mf_const, 519, 34},	//2933 KTimeZone::parse() const
    {120, 1241, 97, 1, Smoke::mf_const, 608, 35},	//2934 KTimeZone::data(bool) const
    {120, 3233, 994, 1, 0, 519, 36},	//2935 KTimeZone::updateBase(const KTimeZone&)
    {120, 1626, 2023, 1, Smoke::mf_static, 280, 37},	//2936 KTimeZone::fromTime_t(long int)
    {120, 3155, 990, 1, Smoke::mf_static, 719, 38},	//2937 KTimeZone::toTime_t(const QDateTime&)
    {120, 3258, 0, 0, Smoke::mf_static, 215, 39},	//2938 KTimeZone::utc()
    {120, 504, 2040, 1, Smoke::mf_ctor|Smoke::mf_protected, 217, 40},	//2939 KTimeZone::KTimeZone(KTimeZoneBackend*)
    {120, 2588, 2042, 2, Smoke::mf_protected, 0, 41},	//2940 KTimeZone::setData(KTimeZoneData*, KTimeZoneSource*)
    {120, 3161, 990, 1, Smoke::mf_const, 280, 42},	//2941 KTimeZone::toZoneTime(const QDateTime&) const
    {120, 1233, 0, 0, Smoke::mf_const, 714, 43},	//2942 KTimeZone::currentOffset() const
    {120, 2128, 990, 1, Smoke::mf_const, 714, 44},	//2943 KTimeZone::offsetAtZoneTime(const QDateTime&) const
    {120, 3193, 0, 0, Smoke::mf_const, 372, 45},	//2944 KTimeZone::transitions() const
    {120, 3193, 990, 1, Smoke::mf_const, 372, 46},	//2945 KTimeZone::transitions(const QDateTime&) const
    {120, 3181, 990, 1, Smoke::mf_const, 604, 47},	//2946 KTimeZone::transition(const QDateTime&) const
    {120, 3181, 2045, 2, Smoke::mf_const, 604, 48},	//2947 KTimeZone::transition(const QDateTime&, const KTimeZone::Transition**) const
    {120, 3185, 990, 1, Smoke::mf_const, 714, 49},	//2948 KTimeZone::transitionIndex(const QDateTime&) const
    {120, 3185, 2020, 2, Smoke::mf_const, 714, 50},	//2949 KTimeZone::transitionIndex(const QDateTime&, int*) const
    {120, 3189, 2048, 1, Smoke::mf_const, 376, 51},	//2950 KTimeZone::transitionTimes(const KTimeZone::Phase&) const
    {120, 3189, 2050, 2, Smoke::mf_const, 376, 52},	//2951 KTimeZone::transitionTimes(const KTimeZone::Phase&, const QDateTime&) const
    {120, 1241, 0, 0, Smoke::mf_const, 608, 53},	//2952 KTimeZone::data() const
    {120, 2588, 2053, 1, Smoke::mf_protected, 0, 54},	//2953 KTimeZone::setData(KTimeZoneData*)
    {120, 167, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 702, 55},	//2954 KTimeZone::InvalidOffset() const
    {120, 168, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 704, 56},	//2955 KTimeZone::InvalidTime_t() const
    {120, 759, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 700, 57},	//2956 KTimeZone::UNKNOWN() const
    {120, 3462, 0, 0, Smoke::mf_dtor, 0, 58 },	//2957 KTimeZone::~KTimeZone()
    {121, 555, 0, 0, Smoke::mf_ctor, 220, 1},	//2958 KTimeZone::LeapSeconds::LeapSeconds()
    {121, 555, 2055, 3, Smoke::mf_ctor, 220, 2},	//2959 KTimeZone::LeapSeconds::LeapSeconds(const QDateTime&, int, const QString&)
    {121, 555, 2059, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 220, 3},	//2960 KTimeZone::LeapSeconds::LeapSeconds(const KTimeZone::LeapSeconds&)
    {121, 2185, 2059, 1, 0, 219, 4},	//2961 KTimeZone::LeapSeconds::operator=(const KTimeZone::LeapSeconds&)
    {121, 2167, 2059, 1, Smoke::mf_const, 519, 5},	//2962 KTimeZone::LeapSeconds::operator<(const KTimeZone::LeapSeconds&) const
    {121, 1864, 0, 0, Smoke::mf_const, 519, 6},	//2963 KTimeZone::LeapSeconds::isValid() const
    {121, 1257, 0, 0, Smoke::mf_const, 280, 7},	//2964 KTimeZone::LeapSeconds::dateTime() const
    {121, 1954, 0, 0, Smoke::mf_const, 714, 8},	//2965 KTimeZone::LeapSeconds::leapSeconds() const
    {121, 1149, 0, 0, Smoke::mf_const, 405, 9},	//2966 KTimeZone::LeapSeconds::comment() const
    {121, 555, 2061, 2, Smoke::mf_ctor, 220, 10},	//2967 KTimeZone::LeapSeconds::LeapSeconds(const QDateTime&, int)
    {121, 3475, 0, 0, Smoke::mf_dtor, 0, 11 },	//2968 KTimeZone::LeapSeconds::~LeapSeconds()
    {122, 641, 0, 0, Smoke::mf_ctor, 223, 1},	//2969 KTimeZone::Phase::Phase()
    {122, 641, 2064, 4, Smoke::mf_ctor, 223, 2},	//2970 KTimeZone::Phase::Phase(int, const QByteArray&, bool, const QString&)
    {122, 641, 2069, 4, Smoke::mf_ctor, 223, 3},	//2971 KTimeZone::Phase::Phase(int, const QList<QByteArray>&, bool, const QString&)
    {122, 641, 2048, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 223, 4},	//2972 KTimeZone::Phase::Phase(const KTimeZone::Phase&)
    {122, 2185, 2048, 1, 0, 222, 5},	//2973 KTimeZone::Phase::operator=(const KTimeZone::Phase&)
    {122, 2188, 2048, 1, Smoke::mf_const, 519, 6},	//2974 KTimeZone::Phase::operator==(const KTimeZone::Phase&) const
    {122, 2145, 2048, 1, Smoke::mf_const, 519, 7},	//2975 KTimeZone::Phase::operator!=(const KTimeZone::Phase&) const
    {122, 3259, 0, 0, Smoke::mf_const, 714, 8},	//2976 KTimeZone::Phase::utcOffset() const
    {122, 819, 0, 0, Smoke::mf_const, 375, 9},	//2977 KTimeZone::Phase::abbreviations() const
    {122, 1794, 0, 0, Smoke::mf_const, 519, 10},	//2978 KTimeZone::Phase::isDst() const
    {122, 1149, 0, 0, Smoke::mf_const, 405, 11},	//2979 KTimeZone::Phase::comment() const
    {122, 641, 2074, 3, Smoke::mf_ctor, 223, 12},	//2980 KTimeZone::Phase::Phase(int, const QByteArray&, bool)
    {122, 641, 2078, 3, Smoke::mf_ctor, 223, 13},	//2981 KTimeZone::Phase::Phase(int, const QList<QByteArray>&, bool)
    {122, 3477, 0, 0, Smoke::mf_dtor, 0, 14 },	//2982 KTimeZone::Phase::~Phase()
    {123, 754, 0, 0, Smoke::mf_ctor, 225, 1},	//2983 KTimeZone::Transition::Transition()
    {123, 754, 2082, 2, Smoke::mf_ctor, 225, 2},	//2984 KTimeZone::Transition::Transition(const QDateTime&, const KTimeZone::Phase&)
    {123, 754, 2085, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 225, 3},	//2985 KTimeZone::Transition::Transition(const KTimeZone::Transition&)
    {123, 2185, 2085, 1, 0, 224, 4},	//2986 KTimeZone::Transition::operator=(const KTimeZone::Transition&)
    {123, 3131, 0, 0, Smoke::mf_const, 280, 5},	//2987 KTimeZone::Transition::time() const
    {123, 2251, 0, 0, Smoke::mf_const, 221, 6},	//2988 KTimeZone::Transition::phase() const
    {123, 2167, 2085, 1, Smoke::mf_const, 519, 7},	//2989 KTimeZone::Transition::operator<(const KTimeZone::Transition&) const
    {123, 3480, 0, 0, Smoke::mf_dtor, 0, 8 },	//2990 KTimeZone::Transition::~Transition()
    {124, 507, 0, 0, Smoke::mf_ctor, 227, 1},	//2991 KTimeZoneBackend::KTimeZoneBackend()
    {124, 507, 24, 1, Smoke::mf_ctor, 227, 2},	//2992 KTimeZoneBackend::KTimeZoneBackend(const QString&)
    {124, 507, 2087, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 227, 3},	//2993 KTimeZoneBackend::KTimeZoneBackend(const KTimeZoneBackend&)
    {124, 2185, 2087, 1, 0, 226, 4},	//2994 KTimeZoneBackend::operator=(const KTimeZoneBackend&)
    {124, 1138, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 227, 5},	//2995 KTimeZoneBackend::clone() const
    {124, 3211, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 264, 6},	//2996 KTimeZoneBackend::type() const
    {124, 2128, 1936, 3, Smoke::mf_const|Smoke::mf_virtual, 714, 7},	//2997 KTimeZoneBackend::offsetAtZoneTime(const KTimeZone*, const QDateTime&, int*) const
    {124, 2125, 1940, 2, Smoke::mf_const|Smoke::mf_virtual, 714, 8},	//2998 KTimeZoneBackend::offsetAtUtc(const KTimeZone*, const QDateTime&) const
    {124, 2122, 1943, 2, Smoke::mf_const|Smoke::mf_virtual, 714, 9},	//2999 KTimeZoneBackend::offset(const KTimeZone*, long int) const
    {124, 1797, 1940, 2, Smoke::mf_const|Smoke::mf_virtual, 519, 10},	//3000 KTimeZoneBackend::isDstAtUtc(const KTimeZone*, const QDateTime&) const
    {124, 1794, 1943, 2, Smoke::mf_const|Smoke::mf_virtual, 519, 11},	//3001 KTimeZoneBackend::isDst(const KTimeZone*, long int) const
    {124, 1693, 2089, 1, Smoke::mf_const|Smoke::mf_virtual, 519, 12},	//3002 KTimeZoneBackend::hasTransitions(const KTimeZone*) const
    {124, 507, 2091, 6, Smoke::mf_ctor|Smoke::mf_protected, 227, 13},	//3003 KTimeZoneBackend::KTimeZoneBackend(KTimeZoneSource*, const QString&, const QString&, float, float, const QString&)
    {124, 507, 2098, 2, Smoke::mf_ctor|Smoke::mf_protected, 227, 14},	//3004 KTimeZoneBackend::KTimeZoneBackend(KTimeZoneSource*, const QString&)
    {124, 507, 2101, 3, Smoke::mf_ctor|Smoke::mf_protected, 227, 15},	//3005 KTimeZoneBackend::KTimeZoneBackend(KTimeZoneSource*, const QString&, const QString&)
    {124, 507, 2105, 4, Smoke::mf_ctor|Smoke::mf_protected, 227, 16},	//3006 KTimeZoneBackend::KTimeZoneBackend(KTimeZoneSource*, const QString&, const QString&, float)
    {124, 507, 2110, 5, Smoke::mf_ctor|Smoke::mf_protected, 227, 17},	//3007 KTimeZoneBackend::KTimeZoneBackend(KTimeZoneSource*, const QString&, const QString&, float, float)
    {124, 3463, 0, 0, Smoke::mf_dtor, 0, 18 },	//3008 KTimeZoneBackend::~KTimeZoneBackend()
    {125, 515, 0, 0, Smoke::mf_ctor, 229, 1},	//3009 KTimeZoneData::KTimeZoneData()
    {125, 515, 2116, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 229, 2},	//3010 KTimeZoneData::KTimeZoneData(const KTimeZoneData&)
    {125, 2185, 2116, 1, 0, 228, 3},	//3011 KTimeZoneData::operator=(const KTimeZoneData&)
    {125, 1138, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 229, 4},	//3012 KTimeZoneData::clone() const
    {125, 819, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 375, 5},	//3013 KTimeZoneData::abbreviations() const
    {125, 817, 990, 1, Smoke::mf_const|Smoke::mf_virtual, 264, 6},	//3014 KTimeZoneData::abbreviation(const QDateTime&) const
    {125, 3260, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 380, 7},	//3015 KTimeZoneData::utcOffsets() const
    {125, 2274, 0, 0, Smoke::mf_const, 714, 8},	//3016 KTimeZoneData::previousUtcOffset() const
    {125, 2252, 0, 0, Smoke::mf_const, 371, 9},	//3017 KTimeZoneData::phases() const
    {125, 1693, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 10},	//3018 KTimeZoneData::hasTransitions() const
    {125, 3193, 2025, 2, Smoke::mf_const, 372, 11},	//3019 KTimeZoneData::transitions(const QDateTime&, const QDateTime&) const
    {125, 3181, 2028, 3, Smoke::mf_const, 604, 12},	//3020 KTimeZoneData::transition(const QDateTime&, const KTimeZone::Transition**, bool*) const
    {125, 3185, 2032, 3, Smoke::mf_const, 714, 13},	//3021 KTimeZoneData::transitionIndex(const QDateTime&, int*, bool*) const
    {125, 3189, 2036, 3, Smoke::mf_const, 376, 14},	//3022 KTimeZoneData::transitionTimes(const KTimeZone::Phase&, const QDateTime&, const QDateTime&) const
    {125, 1953, 0, 0, Smoke::mf_const, 370, 15},	//3023 KTimeZoneData::leapSecondChanges() const
    {125, 1951, 990, 1, Smoke::mf_const, 218, 16},	//3024 KTimeZoneData::leapSecondChange(const QDateTime&) const
    {125, 2833, 2118, 2, Smoke::mf_protected, 0, 17},	//3025 KTimeZoneData::setPhases(const QList<KTimeZone::Phase>&, int)
    {125, 2930, 2121, 1, Smoke::mf_protected, 0, 18},	//3026 KTimeZoneData::setTransitions(const QList<KTimeZone::Transition>&)
    {125, 2701, 2123, 1, Smoke::mf_protected, 0, 19},	//3027 KTimeZoneData::setLeapSecondChanges(const QList<KTimeZone::LeapSeconds>&)
    {125, 3193, 0, 0, Smoke::mf_const, 372, 20},	//3028 KTimeZoneData::transitions() const
    {125, 3193, 990, 1, Smoke::mf_const, 372, 21},	//3029 KTimeZoneData::transitions(const QDateTime&) const
    {125, 3181, 990, 1, Smoke::mf_const, 604, 22},	//3030 KTimeZoneData::transition(const QDateTime&) const
    {125, 3181, 2045, 2, Smoke::mf_const, 604, 23},	//3031 KTimeZoneData::transition(const QDateTime&, const KTimeZone::Transition**) const
    {125, 3185, 990, 1, Smoke::mf_const, 714, 24},	//3032 KTimeZoneData::transitionIndex(const QDateTime&) const
    {125, 3185, 2020, 2, Smoke::mf_const, 714, 25},	//3033 KTimeZoneData::transitionIndex(const QDateTime&, int*) const
    {125, 3189, 2048, 1, Smoke::mf_const, 376, 26},	//3034 KTimeZoneData::transitionTimes(const KTimeZone::Phase&) const
    {125, 3189, 2050, 2, Smoke::mf_const, 376, 27},	//3035 KTimeZoneData::transitionTimes(const KTimeZone::Phase&, const QDateTime&) const
    {125, 3464, 0, 0, Smoke::mf_dtor, 0, 28 },	//3036 KTimeZoneData::~KTimeZoneData()
    {126, 517, 0, 0, Smoke::mf_ctor, 230, 1},	//3037 KTimeZoneSource::KTimeZoneSource()
    {126, 2229, 994, 1, Smoke::mf_const|Smoke::mf_virtual, 229, 2},	//3038 KTimeZoneSource::parse(const KTimeZone&) const
    {126, 3246, 0, 0, Smoke::mf_const, 519, 3},	//3039 KTimeZoneSource::useZoneParse() const
    {126, 517, 97, 1, Smoke::mf_ctor|Smoke::mf_protected, 230, 4},	//3040 KTimeZoneSource::KTimeZoneSource(bool)
    {126, 517, 2125, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 230, 5},	//3041 KTimeZoneSource::KTimeZoneSource(const KTimeZoneSource&)
    {126, 3465, 0, 0, Smoke::mf_dtor, 0, 6 },	//3042 KTimeZoneSource::~KTimeZoneSource()
    {127, 520, 0, 0, Smoke::mf_ctor, 231, 1},	//3043 KTimeZones::KTimeZones()
    {127, 3362, 24, 1, Smoke::mf_const, 215, 2},	//3044 KTimeZones::zone(const QString&) const
    {127, 3365, 0, 0, Smoke::mf_const, 662, 3},	//3045 KTimeZones::zones() const
    {127, 836, 994, 1, 0, 519, 4},	//3046 KTimeZones::add(const KTimeZone&)
    {127, 2430, 994, 1, 0, 215, 5},	//3047 KTimeZones::remove(const KTimeZone&)
    {127, 2430, 24, 1, 0, 215, 6},	//3048 KTimeZones::remove(const QString&)
    {127, 1134, 0, 0, 0, 0, 7},	//3049 KTimeZones::clear()
    {127, 3466, 0, 0, Smoke::mf_dtor, 0, 8 },	//3050 KTimeZones::~KTimeZones()
    {128, 2048, 0, 0, Smoke::mf_const, 667, 1},	//3051 KToolInvocation::metaObject() const
    {128, 2319, 109, 1, 0, 737, 2},	//3052 KToolInvocation::qt_metacast(const char*)
    {128, 3168, 111, 2, Smoke::mf_static, 405, 3},	//3053 KToolInvocation::tr(const char*, const char*)
    {128, 3175, 111, 2, Smoke::mf_static, 405, 4},	//3054 KToolInvocation::trUtf8(const char*, const char*)
    {128, 3168, 114, 3, Smoke::mf_static, 405, 5},	//3055 KToolInvocation::tr(const char*, const char*, int)
    {128, 3175, 114, 3, Smoke::mf_static, 405, 6},	//3056 KToolInvocation::trUtf8(const char*, const char*, int)
    {128, 2317, 118, 3, 0, 714, 7},	//3057 KToolInvocation::qt_metacall(QMetaObject::Call, int, void**)
    {128, 2496, 0, 0, Smoke::mf_static, 232, 8},	//3058 KToolInvocation::self()
    {128, 1747, 2127, 3, Smoke::mf_static|Smoke::mf_slot, 0, 9},	//3059 KToolInvocation::invokeHelp(const QString&, const QString&, const QByteArray&)
    {128, 1751, 2127, 3, Smoke::mf_static|Smoke::mf_slot, 0, 10},	//3060 KToolInvocation::invokeMailer(const QString&, const QString&, const QByteArray&)
    {128, 1751, 2131, 3, Smoke::mf_static|Smoke::mf_slot, 0, 11},	//3061 KToolInvocation::invokeMailer(const KUrl&, const QByteArray&, bool)
    {128, 1751, 2135, 8, Smoke::mf_static|Smoke::mf_slot, 0, 12},	//3062 KToolInvocation::invokeMailer(const QString&, const QString&, const QString&, const QString&, const QString&, const QString&, const QStringList&, const QByteArray&)
    {128, 1744, 542, 2, Smoke::mf_static|Smoke::mf_slot, 0, 13},	//3063 KToolInvocation::invokeBrowser(const QString&, const QByteArray&)
    {128, 1761, 2127, 3, Smoke::mf_static|Smoke::mf_slot, 0, 14},	//3064 KToolInvocation::invokeTerminal(const QString&, const QString&, const QByteArray&)
    {128, 1934, 0, 0, Smoke::mf_static, 255, 15},	//3065 KToolInvocation::klauncher()
    {128, 3040, 2144, 7, Smoke::mf_static, 714, 16},	//3066 KToolInvocation::startServiceByName(const QString&, const QString&, QString*, QString*, int*, const QByteArray&, bool)
    {128, 3040, 2152, 7, Smoke::mf_static, 714, 17},	//3067 KToolInvocation::startServiceByName(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&, bool)
    {128, 3026, 2144, 7, Smoke::mf_static, 714, 18},	//3068 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&, QString*, QString*, int*, const QByteArray&, bool)
    {128, 3026, 2152, 7, Smoke::mf_static, 714, 19},	//3069 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&, bool)
    {128, 3012, 2144, 7, Smoke::mf_static, 714, 20},	//3070 KToolInvocation::startServiceByDesktopName(const QString&, const QString&, QString*, QString*, int*, const QByteArray&, bool)
    {128, 3012, 2152, 7, Smoke::mf_static, 714, 21},	//3071 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&, bool)
    {128, 1901, 2160, 5, Smoke::mf_static, 714, 22},	//3072 KToolInvocation::kdeinitExec(const QString&, const QStringList&, QString*, int*, const QByteArray&)
    {128, 1907, 2160, 5, Smoke::mf_static, 714, 23},	//3073 KToolInvocation::kdeinitExecWait(const QString&, const QStringList&, QString*, int*, const QByteArray&)
    {128, 1892, 2166, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//3074 KToolInvocation::kapplication_hook(QStringList&, QByteArray&)
    {128, 3168, 109, 1, Smoke::mf_static, 405, 25},	//3075 KToolInvocation::tr(const char*)
    {128, 3175, 109, 1, Smoke::mf_static, 405, 26},	//3076 KToolInvocation::trUtf8(const char*)
    {128, 1747, 0, 0, Smoke::mf_static|Smoke::mf_slot, 0, 27},	//3077 KToolInvocation::invokeHelp()
    {128, 1747, 24, 1, Smoke::mf_static|Smoke::mf_slot, 0, 28},	//3078 KToolInvocation::invokeHelp(const QString&)
    {128, 1747, 89, 2, Smoke::mf_static|Smoke::mf_slot, 0, 29},	//3079 KToolInvocation::invokeHelp(const QString&, const QString&)
    {128, 1751, 89, 2, Smoke::mf_static|Smoke::mf_slot, 0, 30},	//3080 KToolInvocation::invokeMailer(const QString&, const QString&)
    {128, 1751, 135, 1, Smoke::mf_static|Smoke::mf_slot, 0, 31},	//3081 KToolInvocation::invokeMailer(const KUrl&)
    {128, 1751, 2169, 2, Smoke::mf_static|Smoke::mf_slot, 0, 32},	//3082 KToolInvocation::invokeMailer(const KUrl&, const QByteArray&)
    {128, 1751, 2172, 5, Smoke::mf_static|Smoke::mf_slot, 0, 33},	//3083 KToolInvocation::invokeMailer(const QString&, const QString&, const QString&, const QString&, const QString&)
    {128, 1751, 2178, 6, Smoke::mf_static|Smoke::mf_slot, 0, 34},	//3084 KToolInvocation::invokeMailer(const QString&, const QString&, const QString&, const QString&, const QString&, const QString&)
    {128, 1751, 2185, 7, Smoke::mf_static|Smoke::mf_slot, 0, 35},	//3085 KToolInvocation::invokeMailer(const QString&, const QString&, const QString&, const QString&, const QString&, const QString&, const QStringList&)
    {128, 1744, 24, 1, Smoke::mf_static|Smoke::mf_slot, 0, 36},	//3086 KToolInvocation::invokeBrowser(const QString&)
    {128, 1761, 24, 1, Smoke::mf_static|Smoke::mf_slot, 0, 37},	//3087 KToolInvocation::invokeTerminal(const QString&)
    {128, 1761, 89, 2, Smoke::mf_static|Smoke::mf_slot, 0, 38},	//3088 KToolInvocation::invokeTerminal(const QString&, const QString&)
    {128, 3040, 89, 2, Smoke::mf_static, 714, 39},	//3089 KToolInvocation::startServiceByName(const QString&, const QString&)
    {128, 3040, 2193, 3, Smoke::mf_static, 714, 40},	//3090 KToolInvocation::startServiceByName(const QString&, const QString&, QString*)
    {128, 3040, 2197, 4, Smoke::mf_static, 714, 41},	//3091 KToolInvocation::startServiceByName(const QString&, const QString&, QString*, QString*)
    {128, 3040, 2202, 5, Smoke::mf_static, 714, 42},	//3092 KToolInvocation::startServiceByName(const QString&, const QString&, QString*, QString*, int*)
    {128, 3040, 2208, 6, Smoke::mf_static, 714, 43},	//3093 KToolInvocation::startServiceByName(const QString&, const QString&, QString*, QString*, int*, const QByteArray&)
    {128, 3040, 24, 1, Smoke::mf_static, 714, 44},	//3094 KToolInvocation::startServiceByName(const QString&)
    {128, 3040, 486, 2, Smoke::mf_static, 714, 45},	//3095 KToolInvocation::startServiceByName(const QString&, const QStringList&)
    {128, 3040, 2215, 3, Smoke::mf_static, 714, 46},	//3096 KToolInvocation::startServiceByName(const QString&, const QStringList&, QString*)
    {128, 3040, 2219, 4, Smoke::mf_static, 714, 47},	//3097 KToolInvocation::startServiceByName(const QString&, const QStringList&, QString*, QString*)
    {128, 3040, 2224, 5, Smoke::mf_static, 714, 48},	//3098 KToolInvocation::startServiceByName(const QString&, const QStringList&, QString*, QString*, int*)
    {128, 3040, 2230, 6, Smoke::mf_static, 714, 49},	//3099 KToolInvocation::startServiceByName(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&)
    {128, 3026, 89, 2, Smoke::mf_static, 714, 50},	//3100 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&)
    {128, 3026, 2193, 3, Smoke::mf_static, 714, 51},	//3101 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&, QString*)
    {128, 3026, 2197, 4, Smoke::mf_static, 714, 52},	//3102 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&, QString*, QString*)
    {128, 3026, 2202, 5, Smoke::mf_static, 714, 53},	//3103 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&, QString*, QString*, int*)
    {128, 3026, 2208, 6, Smoke::mf_static, 714, 54},	//3104 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&, QString*, QString*, int*, const QByteArray&)
    {128, 3026, 24, 1, Smoke::mf_static, 714, 55},	//3105 KToolInvocation::startServiceByDesktopPath(const QString&)
    {128, 3026, 486, 2, Smoke::mf_static, 714, 56},	//3106 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&)
    {128, 3026, 2215, 3, Smoke::mf_static, 714, 57},	//3107 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&, QString*)
    {128, 3026, 2219, 4, Smoke::mf_static, 714, 58},	//3108 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&, QString*, QString*)
    {128, 3026, 2224, 5, Smoke::mf_static, 714, 59},	//3109 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&, QString*, QString*, int*)
    {128, 3026, 2230, 6, Smoke::mf_static, 714, 60},	//3110 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&)
    {128, 3012, 89, 2, Smoke::mf_static, 714, 61},	//3111 KToolInvocation::startServiceByDesktopName(const QString&, const QString&)
    {128, 3012, 2193, 3, Smoke::mf_static, 714, 62},	//3112 KToolInvocation::startServiceByDesktopName(const QString&, const QString&, QString*)
    {128, 3012, 2197, 4, Smoke::mf_static, 714, 63},	//3113 KToolInvocation::startServiceByDesktopName(const QString&, const QString&, QString*, QString*)
    {128, 3012, 2202, 5, Smoke::mf_static, 714, 64},	//3114 KToolInvocation::startServiceByDesktopName(const QString&, const QString&, QString*, QString*, int*)
    {128, 3012, 2208, 6, Smoke::mf_static, 714, 65},	//3115 KToolInvocation::startServiceByDesktopName(const QString&, const QString&, QString*, QString*, int*, const QByteArray&)
    {128, 3012, 24, 1, Smoke::mf_static, 714, 66},	//3116 KToolInvocation::startServiceByDesktopName(const QString&)
    {128, 3012, 486, 2, Smoke::mf_static, 714, 67},	//3117 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&)
    {128, 3012, 2215, 3, Smoke::mf_static, 714, 68},	//3118 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&, QString*)
    {128, 3012, 2219, 4, Smoke::mf_static, 714, 69},	//3119 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&, QString*, QString*)
    {128, 3012, 2224, 5, Smoke::mf_static, 714, 70},	//3120 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&, QString*, QString*, int*)
    {128, 3012, 2230, 6, Smoke::mf_static, 714, 71},	//3121 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&)
    {128, 1901, 24, 1, Smoke::mf_static, 714, 72},	//3122 KToolInvocation::kdeinitExec(const QString&)
    {128, 1901, 486, 2, Smoke::mf_static, 714, 73},	//3123 KToolInvocation::kdeinitExec(const QString&, const QStringList&)
    {128, 1901, 2215, 3, Smoke::mf_static, 714, 74},	//3124 KToolInvocation::kdeinitExec(const QString&, const QStringList&, QString*)
    {128, 1901, 2237, 4, Smoke::mf_static, 714, 75},	//3125 KToolInvocation::kdeinitExec(const QString&, const QStringList&, QString*, int*)
    {128, 1907, 24, 1, Smoke::mf_static, 714, 76},	//3126 KToolInvocation::kdeinitExecWait(const QString&)
    {128, 1907, 486, 2, Smoke::mf_static, 714, 77},	//3127 KToolInvocation::kdeinitExecWait(const QString&, const QStringList&)
    {128, 1907, 2215, 3, Smoke::mf_static, 714, 78},	//3128 KToolInvocation::kdeinitExecWait(const QString&, const QStringList&, QString*)
    {128, 1907, 2237, 4, Smoke::mf_static, 714, 79},	//3129 KToolInvocation::kdeinitExecWait(const QString&, const QStringList&, QString*, int*)
    {128, 3064, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 666, 80},	//3130 KToolInvocation::staticMetaObject() const
    {128, 3467, 0, 0, Smoke::mf_dtor, 0, 81 },	//3131 KToolInvocation::~KToolInvocation()
    {129, 521, 2242, 6, Smoke::mf_ctor, 233, 1},	//3132 KTzfileTimeZone::KTzfileTimeZone(KTzfileTimeZoneSource*, const QString&, const QString&, float, float, const QString&)
    {129, 521, 2249, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 233, 2},	//3133 KTzfileTimeZone::KTzfileTimeZone(const KTzfileTimeZone&)
    {129, 521, 2251, 2, Smoke::mf_ctor, 233, 3},	//3134 KTzfileTimeZone::KTzfileTimeZone(KTzfileTimeZoneSource*, const QString&)
    {129, 521, 2254, 3, Smoke::mf_ctor, 233, 4},	//3135 KTzfileTimeZone::KTzfileTimeZone(KTzfileTimeZoneSource*, const QString&, const QString&)
    {129, 521, 2258, 4, Smoke::mf_ctor, 233, 5},	//3136 KTzfileTimeZone::KTzfileTimeZone(KTzfileTimeZoneSource*, const QString&, const QString&, float)
    {129, 521, 2263, 5, Smoke::mf_ctor, 233, 6},	//3137 KTzfileTimeZone::KTzfileTimeZone(KTzfileTimeZoneSource*, const QString&, const QString&, float, float)
    {129, 3468, 0, 0, Smoke::mf_dtor, 0, 7 },	//3138 KTzfileTimeZone::~KTzfileTimeZone()
    {130, 528, 2242, 6, Smoke::mf_ctor, 234, 1},	//3139 KTzfileTimeZoneBackend::KTzfileTimeZoneBackend(KTzfileTimeZoneSource*, const QString&, const QString&, float, float, const QString&)
    {130, 1138, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 227, 2},	//3140 KTzfileTimeZoneBackend::clone() const
    {130, 3211, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 264, 3},	//3141 KTzfileTimeZoneBackend::type() const
    {130, 1693, 2089, 1, Smoke::mf_const|Smoke::mf_virtual, 519, 4},	//3142 KTzfileTimeZoneBackend::hasTransitions(const KTimeZone*) const
    {130, 528, 2269, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 234, 5},	//3143 KTzfileTimeZoneBackend::KTzfileTimeZoneBackend(const KTzfileTimeZoneBackend&)
    {130, 3469, 0, 0, Smoke::mf_dtor, 0, 6 },	//3144 KTzfileTimeZoneBackend::~KTzfileTimeZoneBackend()
    {131, 531, 24, 1, Smoke::mf_ctor, 235, 1},	//3145 KTzfileTimeZoneSource::KTzfileTimeZoneSource(const QString&)
    {131, 1992, 0, 0, Smoke::mf_const, 405, 2},	//3146 KTzfileTimeZoneSource::location() const
    {131, 2229, 994, 1, Smoke::mf_const|Smoke::mf_virtual, 229, 3},	//3147 KTzfileTimeZoneSource::parse(const KTimeZone&) const
    {131, 531, 2271, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 235, 4},	//3148 KTzfileTimeZoneSource::KTzfileTimeZoneSource(const KTzfileTimeZoneSource&)
    {131, 3470, 0, 0, Smoke::mf_dtor, 0, 5 },	//3149 KTzfileTimeZoneSource::~KTzfileTimeZoneSource()
    {132, 534, 0, 0, Smoke::mf_ctor, 238, 1},	//3150 KUrl::KUrl()
    {132, 534, 24, 1, Smoke::mf_ctor, 238, 2},	//3151 KUrl::KUrl(const QString&)
    {132, 534, 109, 1, Smoke::mf_ctor, 238, 3},	//3152 KUrl::KUrl(const char*)
    {132, 534, 26, 1, Smoke::mf_ctor, 238, 4},	//3153 KUrl::KUrl(const QByteArray&)
    {132, 534, 135, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 238, 5},	//3154 KUrl::KUrl(const KUrl&)
    {132, 534, 1767, 1, Smoke::mf_ctor, 238, 6},	//3155 KUrl::KUrl(const QUrl&)
    {132, 534, 139, 2, Smoke::mf_ctor, 238, 7},	//3156 KUrl::KUrl(const KUrl&, const QString&)
    {132, 2300, 0, 0, Smoke::mf_const, 405, 8},	//3157 KUrl::protocol() const
    {132, 2869, 24, 1, 0, 0, 9},	//3158 KUrl::setProtocol(const QString&)
    {132, 3248, 0, 0, Smoke::mf_const, 405, 10},	//3159 KUrl::user() const
    {132, 2940, 24, 1, 0, 0, 11},	//3160 KUrl::setUser(const QString&)
    {132, 1695, 0, 0, Smoke::mf_const, 519, 12},	//3161 KUrl::hasUser() const
    {132, 2233, 0, 0, Smoke::mf_const, 405, 13},	//3162 KUrl::pass() const
    {132, 2827, 24, 1, 0, 0, 14},	//3163 KUrl::setPass(const QString&)
    {132, 1683, 0, 0, Smoke::mf_const, 519, 15},	//3164 KUrl::hasPass() const
    {132, 1669, 0, 0, Smoke::mf_const, 519, 16},	//3165 KUrl::hasHost() const
    {132, 2234, 2273, 1, Smoke::mf_const, 405, 17},	//3166 KUrl::path(KUrl::AdjustPathOption) const
    {132, 3143, 2273, 1, Smoke::mf_const, 405, 18},	//3167 KUrl::toLocalFile(KUrl::AdjustPathOption) const
    {132, 2829, 24, 1, 0, 0, 19},	//3168 KUrl::setPath(const QString&)
    {132, 1684, 0, 0, Smoke::mf_const, 519, 20},	//3169 KUrl::hasPath() const
    {132, 1132, 2275, 1, 0, 0, 21},	//3170 KUrl::cleanPath(const KUrl::CleanPathOption&)
    {132, 997, 2273, 1, 0, 0, 22},	//3171 KUrl::adjustPath(KUrl::AdjustPathOption)
    {132, 2634, 24, 1, 0, 0, 23},	//3172 KUrl::setEncodedPathAndQuery(const QString&)
    {132, 1398, 2277, 2, Smoke::mf_const, 405, 24},	//3173 KUrl::encodedPathAndQuery(KUrl::AdjustPathOption, const QFlags<KUrl::EncodedPathAndQueryOption>&) const
    {132, 2873, 24, 1, 0, 0, 25},	//3174 KUrl::setQuery(const QString&)
    {132, 2321, 0, 0, Smoke::mf_const, 405, 26},	//3175 KUrl::query() const
    {132, 2415, 0, 0, Smoke::mf_const, 405, 27},	//3176 KUrl::ref() const
    {132, 2879, 24, 1, 0, 0, 28},	//3177 KUrl::setRef(const QString&)
    {132, 1686, 0, 0, Smoke::mf_const, 519, 29},	//3178 KUrl::hasRef() const
    {132, 1702, 0, 0, Smoke::mf_const, 405, 30},	//3179 KUrl::htmlRef() const
    {132, 1397, 0, 0, Smoke::mf_const, 405, 31},	//3180 KUrl::encodedHtmlRef() const
    {132, 2671, 24, 1, 0, 0, 32},	//3181 KUrl::setHTMLRef(const QString&)
    {132, 1667, 0, 0, Smoke::mf_const, 519, 33},	//3182 KUrl::hasHTMLRef() const
    {132, 1828, 0, 0, Smoke::mf_const, 519, 34},	//3183 KUrl::isLocalFile() const
    {132, 2656, 24, 1, 0, 0, 35},	//3184 KUrl::setFileEncoding(const QString&)
    {132, 1495, 0, 0, Smoke::mf_const, 405, 36},	//3185 KUrl::fileEncoding() const
    {132, 1689, 0, 0, Smoke::mf_const, 519, 37},	//3186 KUrl::hasSubUrl() const
    {132, 960, 24, 1, 0, 0, 38},	//3187 KUrl::addPath(const QString&)
    {132, 2327, 2280, 1, Smoke::mf_const, 384, 39},	//3188 KUrl::queryItems(const QFlags<KUrl::QueryItemsOption>&) const
    {132, 2325, 24, 1, Smoke::mf_const, 405, 40},	//3189 KUrl::queryItem(const QString&) const
    {132, 964, 89, 2, 0, 0, 41},	//3190 KUrl::addQueryItem(const QString&, const QString&)
    {132, 2658, 24, 1, 0, 0, 42},	//3191 KUrl::setFileName(const QString&)
    {132, 1498, 2282, 1, Smoke::mf_const, 405, 43},	//3192 KUrl::fileName(const QFlags<KUrl::DirectoryOption>&) const
    {132, 1367, 2282, 1, Smoke::mf_const, 405, 44},	//3193 KUrl::directory(const QFlags<KUrl::DirectoryOption>&) const
    {132, 2632, 24, 1, 0, 0, 45},	//3194 KUrl::setDirectory(const QString&)
    {132, 1105, 24, 1, 0, 519, 46},	//3195 KUrl::cd(const QString&)
    {132, 3236, 2273, 1, Smoke::mf_const, 405, 47},	//3196 KUrl::url(KUrl::AdjustPathOption) const
    {132, 2272, 2273, 1, Smoke::mf_const, 405, 48},	//3197 KUrl::prettyUrl(KUrl::AdjustPathOption) const
    {132, 2236, 0, 0, Smoke::mf_const, 405, 49},	//3198 KUrl::pathOrUrl() const
    {132, 2236, 2273, 1, Smoke::mf_const, 405, 50},	//3199 KUrl::pathOrUrl(KUrl::AdjustPathOption) const
    {132, 3146, 0, 0, Smoke::mf_const, 405, 51},	//3200 KUrl::toMimeDataString() const
    {132, 3228, 0, 0, Smoke::mf_const, 236, 52},	//3201 KUrl::upUrl() const
    {132, 2185, 135, 1, 0, 237, 53},	//3202 KUrl::operator=(const KUrl&)
    {132, 2185, 109, 1, 0, 237, 54},	//3203 KUrl::operator=(const char*)
    {132, 2185, 26, 1, 0, 237, 55},	//3204 KUrl::operator=(const QByteArray&)
    {132, 2185, 24, 1, 0, 237, 56},	//3205 KUrl::operator=(const QString&)
    {132, 2188, 135, 1, Smoke::mf_const, 519, 57},	//3206 KUrl::operator==(const KUrl&) const
    {132, 2188, 24, 1, Smoke::mf_const, 519, 58},	//3207 KUrl::operator==(const QString&) const
    {132, 2145, 135, 1, Smoke::mf_const, 519, 59},	//3208 KUrl::operator!=(const KUrl&) const
    {132, 2145, 24, 1, Smoke::mf_const, 519, 60},	//3209 KUrl::operator!=(const QString&) const
    {132, 2144, 0, 0, Smoke::mf_const, 429, 61},	//3210 KUrl::operator QVariant() const
    {132, 1140, 2284, 2, Smoke::mf_const, 519, 62},	//3211 KUrl::cmp(const KUrl&, bool) const
    {132, 1423, 2287, 2, Smoke::mf_const, 519, 63},	//3212 KUrl::equals(const KUrl&, const QFlags<KUrl::EqualsOption>&) const
    {132, 1837, 135, 1, Smoke::mf_const, 519, 64},	//3213 KUrl::isParentOf(const KUrl&) const
    {132, 2988, 24, 1, Smoke::mf_static, 244, 65},	//3214 KUrl::split(const QString&)
    {132, 2988, 135, 1, Smoke::mf_static, 244, 66},	//3215 KUrl::split(const KUrl&)
    {132, 1877, 2290, 1, Smoke::mf_static, 236, 67},	//3216 KUrl::join(const KUrl::List&)
    {132, 1613, 24, 1, Smoke::mf_static, 236, 68},	//3217 KUrl::fromPath(const QString&)
    {132, 1615, 24, 1, Smoke::mf_static, 236, 69},	//3218 KUrl::fromPathOrUrl(const QString&)
    {132, 1611, 26, 1, Smoke::mf_static, 236, 70},	//3219 KUrl::fromMimeDataByteArray(const QByteArray&)
    {132, 2257, 2292, 3, Smoke::mf_const, 0, 71},	//3220 KUrl::populateMimeData(QMimeData*, const QMap<QString,QString>&, KUrl::MimeDataFlags) const
    {132, 1393, 24, 1, Smoke::mf_static, 405, 72},	//3221 KUrl::encode_string(const QString&)
    {132, 1395, 24, 1, Smoke::mf_static, 405, 73},	//3222 KUrl::encode_string_no_slash(const QString&)
    {132, 1308, 24, 1, Smoke::mf_static, 405, 74},	//3223 KUrl::decode_string(const QString&)
    {132, 1842, 24, 1, Smoke::mf_static, 519, 75},	//3224 KUrl::isRelativeUrl(const QString&)
    {132, 2427, 2296, 2, Smoke::mf_static, 405, 76},	//3225 KUrl::relativeUrl(const KUrl&, const KUrl&)
    {132, 2424, 250, 3, Smoke::mf_static, 405, 77},	//3226 KUrl::relativePath(const QString&, const QString&, bool*)
    {132, 2234, 0, 0, Smoke::mf_const, 405, 78},	//3227 KUrl::path() const
    {132, 3143, 0, 0, Smoke::mf_const, 405, 79},	//3228 KUrl::toLocalFile() const
    {132, 1132, 0, 0, 0, 0, 80},	//3229 KUrl::cleanPath()
    {132, 1398, 0, 0, Smoke::mf_const, 405, 81},	//3230 KUrl::encodedPathAndQuery() const
    {132, 1398, 2273, 1, Smoke::mf_const, 405, 82},	//3231 KUrl::encodedPathAndQuery(KUrl::AdjustPathOption) const
    {132, 2327, 0, 0, Smoke::mf_const, 384, 83},	//3232 KUrl::queryItems() const
    {132, 1498, 0, 0, Smoke::mf_const, 405, 84},	//3233 KUrl::fileName() const
    {132, 1367, 0, 0, Smoke::mf_const, 405, 85},	//3234 KUrl::directory() const
    {132, 3236, 0, 0, Smoke::mf_const, 405, 86},	//3235 KUrl::url() const
    {132, 2272, 0, 0, Smoke::mf_const, 405, 87},	//3236 KUrl::prettyUrl() const
    {132, 1140, 135, 1, Smoke::mf_const, 519, 88},	//3237 KUrl::cmp(const KUrl&) const
    {132, 1423, 135, 1, Smoke::mf_const, 519, 89},	//3238 KUrl::equals(const KUrl&) const
    {132, 2257, 2299, 1, Smoke::mf_const, 0, 90},	//3239 KUrl::populateMimeData(QMimeData*) const
    {132, 2257, 2301, 2, Smoke::mf_const, 0, 91},	//3240 KUrl::populateMimeData(QMimeData*, const QMap<QString,QString>&) const
    {132, 2424, 89, 2, Smoke::mf_static, 405, 92},	//3241 KUrl::relativePath(const QString&, const QString&)
    {132, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 93},	//3242 KUrl::DefaultMimeDataFlags (enum)
    {132, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 94},	//3243 KUrl::NoTextExport (enum)
    {132, 682, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 95},	//3244 KUrl::RemoveTrailingSlash (enum)
    {132, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 96},	//3245 KUrl::LeaveTrailingSlash (enum)
    {132, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 97},	//3246 KUrl::AddTrailingSlash (enum)
    {132, 702, 0, 0, Smoke::mf_static|Smoke::mf_enum, 240, 98},	//3247 KUrl::SimplifyDirSeparators (enum)
    {132, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 240, 99},	//3248 KUrl::KeepDirSeparators (enum)
    {132, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 100},	//3249 KUrl::PermitEmptyPath (enum)
    {132, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 101},	//3250 KUrl::AvoidEmptyPath (enum)
    {132, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 247, 102},	//3251 KUrl::CaseInsensitiveKeys (enum)
    {132, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 103},	//3252 KUrl::ObeyTrailingSlash (enum)
    {132, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 104},	//3253 KUrl::AppendTrailingSlash (enum)
    {132, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 105},	//3254 KUrl::IgnoreTrailingSlash (enum)
    {132, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 106},	//3255 KUrl::CompareWithoutTrailingSlash (enum)
    {132, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 107},	//3256 KUrl::CompareWithoutFragment (enum)
    {132, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 108},	//3257 KUrl::AllowEmptyPath (enum)
    {132, 3471, 0, 0, Smoke::mf_dtor, 0, 109 },	//3258 KUrl::~KUrl()
    {133, 538, 2304, 1, Smoke::mf_ctor, 249, 1},	//3259 KUser::KUser(KUser::UIDMode)
    {133, 538, 905, 1, Smoke::mf_ctor, 249, 2},	//3260 KUser::KUser(unsigned int)
    {133, 538, 24, 1, Smoke::mf_ctor, 249, 3},	//3261 KUser::KUser(const QString&)
    {133, 538, 109, 1, Smoke::mf_ctor, 249, 4},	//3262 KUser::KUser(const char*)
    {133, 538, 2306, 1, Smoke::mf_ctor, 249, 5},	//3263 KUser::KUser(const passwd*)
    {133, 538, 2308, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 249, 6},	//3264 KUser::KUser(const KUser&)
    {133, 2185, 2308, 1, 0, 248, 7},	//3265 KUser::operator=(const KUser&)
    {133, 2188, 2308, 1, Smoke::mf_const, 519, 8},	//3266 KUser::operator==(const KUser&) const
    {133, 2145, 2308, 1, Smoke::mf_const, 519, 9},	//3267 KUser::operator!=(const KUser&) const
    {133, 1864, 0, 0, Smoke::mf_const, 519, 10},	//3268 KUser::isValid() const
    {133, 3213, 0, 0, Smoke::mf_const, 730, 11},	//3269 KUser::uid() const
    {133, 1643, 0, 0, Smoke::mf_const, 730, 12},	//3270 KUser::gid() const
    {133, 1856, 0, 0, Smoke::mf_const, 519, 13},	//3271 KUser::isSuperUser() const
    {133, 1995, 0, 0, Smoke::mf_const, 405, 14},	//3272 KUser::loginName() const
    {133, 1629, 0, 0, Smoke::mf_const, 405, 15},	//3273 KUser::fullName() const
    {133, 1699, 0, 0, Smoke::mf_const, 405, 16},	//3274 KUser::homeDir() const
    {133, 1483, 0, 0, Smoke::mf_const, 405, 17},	//3275 KUser::faceIconPath() const
    {133, 2961, 0, 0, Smoke::mf_const, 405, 18},	//3276 KUser::shell() const
    {133, 1653, 0, 0, Smoke::mf_const, 374, 19},	//3277 KUser::groups() const
    {133, 1652, 0, 0, Smoke::mf_const, 410, 20},	//3278 KUser::groupNames() const
    {133, 2292, 2310, 1, Smoke::mf_const, 429, 21},	//3279 KUser::property(KUser::UserProperty) const
    {133, 1017, 0, 0, Smoke::mf_static, 373, 22},	//3280 KUser::allUsers()
    {133, 1016, 0, 0, Smoke::mf_static, 410, 23},	//3281 KUser::allUserNames()
    {133, 538, 0, 0, Smoke::mf_ctor, 249, 24},	//3282 KUser::KUser()
    {133, 789, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 25},	//3283 KUser::UseEffectiveUID (enum)
    {133, 790, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 26},	//3284 KUser::UseRealUserID (enum)
    {133, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 251, 27},	//3285 KUser::FullName (enum)
    {133, 689, 0, 0, Smoke::mf_static|Smoke::mf_enum, 251, 28},	//3286 KUser::RoomNumber (enum)
    {133, 800, 0, 0, Smoke::mf_static|Smoke::mf_enum, 251, 29},	//3287 KUser::WorkPhone (enum)
    {133, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 251, 30},	//3288 KUser::HomePhone (enum)
    {133, 3472, 0, 0, Smoke::mf_dtor, 0, 31 },	//3289 KUser::~KUser()
    {134, 541, 24, 1, Smoke::mf_ctor, 253, 1},	//3290 KUserGroup::KUserGroup(const QString&)
    {134, 541, 109, 1, Smoke::mf_ctor, 253, 2},	//3291 KUserGroup::KUserGroup(const char*)
    {134, 541, 2304, 1, Smoke::mf_ctor, 253, 3},	//3292 KUserGroup::KUserGroup(KUser::UIDMode)
    {134, 541, 905, 1, Smoke::mf_ctor, 253, 4},	//3293 KUserGroup::KUserGroup(unsigned int)
    {134, 541, 2312, 1, Smoke::mf_ctor, 253, 5},	//3294 KUserGroup::KUserGroup(const group*)
    {134, 541, 2314, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 253, 6},	//3295 KUserGroup::KUserGroup(const KUserGroup&)
    {134, 2185, 2314, 1, 0, 252, 7},	//3296 KUserGroup::operator=(const KUserGroup&)
    {134, 2188, 2314, 1, Smoke::mf_const, 519, 8},	//3297 KUserGroup::operator==(const KUserGroup&) const
    {134, 2145, 2314, 1, Smoke::mf_const, 519, 9},	//3298 KUserGroup::operator!=(const KUserGroup&) const
    {134, 1864, 0, 0, Smoke::mf_const, 519, 10},	//3299 KUserGroup::isValid() const
    {134, 1643, 0, 0, Smoke::mf_const, 730, 11},	//3300 KUserGroup::gid() const
    {134, 2089, 0, 0, Smoke::mf_const, 405, 12},	//3301 KUserGroup::name() const
    {134, 3252, 0, 0, Smoke::mf_const, 373, 13},	//3302 KUserGroup::users() const
    {134, 3249, 0, 0, Smoke::mf_const, 410, 14},	//3303 KUserGroup::userNames() const
    {134, 1006, 0, 0, Smoke::mf_static, 374, 15},	//3304 KUserGroup::allGroups()
    {134, 1005, 0, 0, Smoke::mf_static, 410, 16},	//3305 KUserGroup::allGroupNames()
    {134, 541, 0, 0, Smoke::mf_ctor, 253, 17},	//3306 KUserGroup::KUserGroup()
    {134, 3473, 0, 0, Smoke::mf_dtor, 0, 18 },	//3307 KUserGroup::~KUserGroup()
    {135, 544, 293, 1, Smoke::mf_ctor|Smoke::mf_explicit, 254, 1},	//3308 KWordMacroExpander::KWordMacroExpander(QChar)
    {135, 1477, 295, 3, Smoke::mf_protected|Smoke::mf_virtual, 714, 2},	//3309 KWordMacroExpander::expandPlainMacro(const QString&, int, QStringList&)
    {135, 1463, 295, 3, Smoke::mf_protected|Smoke::mf_virtual, 714, 3},	//3310 KWordMacroExpander::expandEscapedMacro(const QString&, int, QStringList&)
    {135, 1465, 710, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 519, 4},	//3311 KWordMacroExpander::expandMacro(const QString&, QStringList&) [pure virtual]
    {135, 544, 2316, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 254, 5},	//3312 KWordMacroExpander::KWordMacroExpander(const KWordMacroExpander&)
    {135, 544, 0, 0, Smoke::mf_ctor|Smoke::mf_explicit, 254, 6},	//3313 KWordMacroExpander::KWordMacroExpander()
    {135, 3474, 0, 0, Smoke::mf_dtor, 0, 7 },	//3314 KWordMacroExpander::~KWordMacroExpander()
    {136, 2048, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 667, 1},	//3315 OrgKdeKLauncherInterface::metaObject() const
    {136, 2319, 109, 1, Smoke::mf_virtual, 737, 2},	//3316 OrgKdeKLauncherInterface::qt_metacast(const char*)
    {136, 3168, 111, 2, Smoke::mf_static, 405, 3},	//3317 OrgKdeKLauncherInterface::tr(const char*, const char*)
    {136, 3175, 111, 2, Smoke::mf_static, 405, 4},	//3318 OrgKdeKLauncherInterface::trUtf8(const char*, const char*)
    {136, 3168, 114, 3, Smoke::mf_static, 405, 5},	//3319 OrgKdeKLauncherInterface::tr(const char*, const char*, int)
    {136, 3175, 114, 3, Smoke::mf_static, 405, 6},	//3320 OrgKdeKLauncherInterface::trUtf8(const char*, const char*, int)
    {136, 2317, 118, 3, Smoke::mf_virtual, 714, 7},	//3321 OrgKdeKLauncherInterface::qt_metacall(QMetaObject::Call, int, void**)
    {136, 3063, 0, 0, Smoke::mf_static, 699, 8},	//3322 OrgKdeKLauncherInterface::staticInterfaceName()
    {136, 628, 2318, 4, Smoke::mf_ctor, 255, 9},	//3323 OrgKdeKLauncherInterface::OrgKdeKLauncherInterface(const QString&, const QString&, const QDBusConnection&, QObject*)
    {136, 1049, 0, 0, Smoke::mf_slot, 273, 10},	//3324 OrgKdeKLauncherInterface::autoStart()
    {136, 1049, 105, 1, Smoke::mf_slot, 273, 11},	//3325 OrgKdeKLauncherInterface::autoStart(int)
    {136, 1449, 2323, 4, Smoke::mf_slot, 273, 12},	//3326 OrgKdeKLauncherInterface::exec_blind(const QString&, const QStringList&, const QStringList&, const QString&)
    {136, 1449, 486, 2, Smoke::mf_slot, 273, 13},	//3327 OrgKdeKLauncherInterface::exec_blind(const QString&, const QStringList&)
    {136, 1913, 2328, 7, Smoke::mf_slot, 272, 14},	//3328 OrgKdeKLauncherInterface::kdeinit_exec(const QString&, const QStringList&, const QStringList&, const QString&, QString&, QString&, int&)
    {136, 1915, 2328, 7, Smoke::mf_slot, 272, 15},	//3329 OrgKdeKLauncherInterface::kdeinit_exec_wait(const QString&, const QStringList&, const QStringList&, const QString&, QString&, QString&, int&)
    {136, 2450, 0, 0, Smoke::mf_slot, 273, 16},	//3330 OrgKdeKLauncherInterface::reparseConfiguration()
    {136, 2453, 89, 2, Smoke::mf_slot, 272, 17},	//3331 OrgKdeKLauncherInterface::requestHoldSlave(const QString&, const QString&)
    {136, 2455, 2336, 4, Smoke::mf_slot, 272, 18},	//3332 OrgKdeKLauncherInterface::requestSlave(const QString&, const QString&, const QString&, QString&)
    {136, 2697, 89, 2, Smoke::mf_slot, 273, 19},	//3333 OrgKdeKLauncherInterface::setLaunchEnv(const QString&, const QString&)
    {136, 3054, 2341, 8, Smoke::mf_slot, 272, 20},	//3334 OrgKdeKLauncherInterface::start_service_by_desktop_name(const QString&, const QStringList&, const QStringList&, const QString&, bool, QString&, QString&, int&)
    {136, 3056, 2341, 8, Smoke::mf_slot, 272, 21},	//3335 OrgKdeKLauncherInterface::start_service_by_desktop_path(const QString&, const QStringList&, const QStringList&, const QString&, bool, QString&, QString&, int&)
    {136, 3058, 2341, 8, Smoke::mf_slot, 272, 22},	//3336 OrgKdeKLauncherInterface::start_service_by_name(const QString&, const QStringList&, const QStringList&, const QString&, bool, QString&, QString&, int&)
    {136, 3292, 105, 1, Smoke::mf_slot, 273, 23},	//3337 OrgKdeKLauncherInterface::waitForSlave(int)
    {136, 1051, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//3338 OrgKdeKLauncherInterface::autoStart0Done()
    {136, 1052, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//3339 OrgKdeKLauncherInterface::autoStart1Done()
    {136, 1053, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//3340 OrgKdeKLauncherInterface::autoStart2Done()
    {136, 3168, 109, 1, Smoke::mf_static, 405, 27},	//3341 OrgKdeKLauncherInterface::tr(const char*)
    {136, 3175, 109, 1, Smoke::mf_static, 405, 28},	//3342 OrgKdeKLauncherInterface::trUtf8(const char*)
    {136, 628, 2350, 3, Smoke::mf_ctor, 255, 29},	//3343 OrgKdeKLauncherInterface::OrgKdeKLauncherInterface(const QString&, const QString&, const QDBusConnection&)
    {136, 3064, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 666, 30},	//3344 OrgKdeKLauncherInterface::staticMetaObject() const
    {136, 3476, 0, 0, Smoke::mf_dtor, 0, 31 },	//3345 OrgKdeKLauncherInterface::~OrgKdeKLauncherInterface()
    {138, 1081, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 720, 0},	//3346 QAbstractSocket::bytesAvailable() const
    {138, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 720, 0},	//3347 QAbstractSocket::bytesToWrite() const
    {138, 1093, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 0},	//3348 QAbstractSocket::canReadLine() const
    {138, 1139, 0, 0, Smoke::mf_virtual, 0, 0},	//3349 QAbstractSocket::close()
    {138, 1849, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 0},	//3350 QAbstractSocket::isSequential() const
    {138, 1033, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 0},	//3351 QAbstractSocket::atEnd() const
    {138, 3290, 105, 1, Smoke::mf_virtual, 519, 0},	//3352 QAbstractSocket::waitForReadyRead(int)
    {138, 3279, 105, 1, Smoke::mf_virtual, 519, 0},	//3353 QAbstractSocket::waitForBytesWritten(int)
    {138, 2355, 1097, 2, Smoke::mf_protected|Smoke::mf_virtual, 720, 0},	//3354 QAbstractSocket::readData(char*, long long)
    {138, 2381, 1097, 2, Smoke::mf_protected|Smoke::mf_virtual, 720, 0},	//3355 QAbstractSocket::readLineData(char*, long long)
    {138, 3329, 1100, 2, Smoke::mf_protected|Smoke::mf_virtual, 720, 0},	//3356 QAbstractSocket::writeData(const char*, long long)
    {138, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 12},	//3357 QAbstractSocket::ConnectionRefusedError (enum)
    {138, 680, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 13},	//3358 QAbstractSocket::RemoteHostClosedError (enum)
    {138, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 14},	//3359 QAbstractSocket::HostNotFoundError (enum)
    {138, 705, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 15},	//3360 QAbstractSocket::SocketAccessError (enum)
    {138, 707, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 16},	//3361 QAbstractSocket::SocketResourceError (enum)
    {138, 708, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 17},	//3362 QAbstractSocket::SocketTimeoutError (enum)
    {138, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 18},	//3363 QAbstractSocket::DatagramTooLargeError (enum)
    {138, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 19},	//3364 QAbstractSocket::NetworkError (enum)
    {138, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 20},	//3365 QAbstractSocket::AddressInUseError (enum)
    {138, 706, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 21},	//3366 QAbstractSocket::SocketAddressNotAvailableError (enum)
    {138, 787, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 22},	//3367 QAbstractSocket::UnsupportedSocketOperationError (enum)
    {138, 765, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 23},	//3368 QAbstractSocket::UnfinishedSocketOperationError (enum)
    {138, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 24},	//3369 QAbstractSocket::ProxyAuthenticationRequiredError (enum)
    {138, 721, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 25},	//3370 QAbstractSocket::SslHandshakeFailedError (enum)
    {138, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 26},	//3371 QAbstractSocket::ProxyConnectionRefusedError (enum)
    {138, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 27},	//3372 QAbstractSocket::ProxyConnectionClosedError (enum)
    {138, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 28},	//3373 QAbstractSocket::ProxyConnectionTimeoutError (enum)
    {138, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 29},	//3374 QAbstractSocket::ProxyNotFoundError (enum)
    {138, 659, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 30},	//3375 QAbstractSocket::ProxyProtocolError (enum)
    {138, 783, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 31},	//3376 QAbstractSocket::UnknownSocketError (enum)
    {138, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 259, 32},	//3377 QAbstractSocket::LowDelayOption (enum)
    {138, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 259, 33},	//3378 QAbstractSocket::KeepAliveOption (enum)
    {145, 1161, 109, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3379 QDBusAbstractInterface::connectNotify(const char*)
    {145, 1375, 109, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3380 QDBusAbstractInterface::disconnectNotify(const char*)
    {155, 2048, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 667, 0},	//3381 QFile::metaObject() const
    {155, 2319, 109, 1, Smoke::mf_virtual, 737, 0},	//3382 QFile::qt_metacast(const char*)
    {155, 2317, 118, 3, Smoke::mf_virtual, 714, 0},	//3383 QFile::qt_metacall(QMetaObject::Call, int, void**)
    {155, 1849, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 0},	//3384 QFile::isSequential() const
    {155, 1139, 0, 0, Smoke::mf_virtual, 0, 0},	//3385 QFile::close()
    {155, 2973, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 720, 0},	//3386 QFile::size() const
    {155, 2261, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 720, 0},	//3387 QFile::pos() const
    {155, 2494, 814, 1, Smoke::mf_virtual, 519, 0},	//3388 QFile::seek(long long)
    {155, 1033, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 0},	//3389 QFile::atEnd() const
    {155, 1497, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 256, 0},	//3390 QFile::fileEngine() const
    {155, 2355, 1097, 2, Smoke::mf_protected|Smoke::mf_virtual, 720, 0},	//3391 QFile::readData(char*, long long)
    {155, 3329, 1100, 2, Smoke::mf_protected|Smoke::mf_virtual, 720, 0},	//3392 QFile::writeData(const char*, long long)
    {155, 2381, 1097, 2, Smoke::mf_protected|Smoke::mf_virtual, 720, 0},	//3393 QFile::readLineData(char*, long long)
    {155, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 287, 14},	//3394 QFile::NoError (enum)
    {155, 670, 0, 0, Smoke::mf_static|Smoke::mf_enum, 287, 15},	//3395 QFile::ReadError (enum)
    {155, 801, 0, 0, Smoke::mf_static|Smoke::mf_enum, 287, 16},	//3396 QFile::WriteError (enum)
    {155, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 287, 17},	//3397 QFile::FatalError (enum)
    {155, 687, 0, 0, Smoke::mf_static|Smoke::mf_enum, 287, 18},	//3398 QFile::ResourceError (enum)
    {155, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 287, 19},	//3399 QFile::OpenError (enum)
    {155, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 287, 20},	//3400 QFile::AbortError (enum)
    {155, 748, 0, 0, Smoke::mf_static|Smoke::mf_enum, 287, 21},	//3401 QFile::TimeOutError (enum)
    {155, 786, 0, 0, Smoke::mf_static|Smoke::mf_enum, 287, 22},	//3402 QFile::UnspecifiedError (enum)
    {155, 681, 0, 0, Smoke::mf_static|Smoke::mf_enum, 287, 23},	//3403 QFile::RemoveError (enum)
    {155, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 287, 24},	//3404 QFile::RenameError (enum)
    {155, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 287, 25},	//3405 QFile::PositionError (enum)
    {155, 685, 0, 0, Smoke::mf_static|Smoke::mf_enum, 287, 26},	//3406 QFile::ResizeError (enum)
    {155, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 287, 27},	//3407 QFile::PermissionsError (enum)
    {155, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 287, 28},	//3408 QFile::CopyError (enum)
    {155, 674, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 29},	//3409 QFile::ReadOwner (enum)
    {155, 805, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 30},	//3410 QFile::WriteOwner (enum)
    {155, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 31},	//3411 QFile::ExeOwner (enum)
    {155, 675, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 32},	//3412 QFile::ReadUser (enum)
    {155, 806, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 33},	//3413 QFile::WriteUser (enum)
    {155, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 34},	//3414 QFile::ExeUser (enum)
    {155, 671, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 35},	//3415 QFile::ReadGroup (enum)
    {155, 802, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 36},	//3416 QFile::WriteGroup (enum)
    {155, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 37},	//3417 QFile::ExeGroup (enum)
    {155, 673, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 38},	//3418 QFile::ReadOther (enum)
    {155, 804, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 39},	//3419 QFile::WriteOther (enum)
    {155, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 40},	//3420 QFile::ExeOther (enum)
    {157, 2173, 2354, 2, Smoke::mf_static, 275, 1},	//3421 QGlobalSpace::operator<<(QDataStream&, const KServiceAction&)
    {157, 2201, 2357, 2, Smoke::mf_static, 519, 2},	//3422 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {157, 2213, 2360, 2, Smoke::mf_static, 347, 3},	//3423 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {157, 2213, 2363, 2, Smoke::mf_static, 347, 4},	//3424 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {157, 1926, 111, 2, Smoke::mf_static, 130, 5},	//3425 QGlobalSpace::ki18nc(const char*, const char*)
    {157, 2188, 2366, 2, Smoke::mf_static, 519, 6},	//3426 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {157, 2207, 2369, 2, Smoke::mf_static, 275, 7},	//3427 QGlobalSpace::operator>>(QDataStream&, KProtocolInfo::ExtraField&)
    {157, 2188, 2372, 2, Smoke::mf_static, 519, 8},	//3428 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {157, 2188, 2375, 2, Smoke::mf_static, 519, 9},	//3429 QGlobalSpace::operator==(const QSize&, const QSize&)
    {157, 2157, 545, 2, Smoke::mf_static, 621, 10},	//3430 QGlobalSpace::operator+(const char*, const QByteArray&)
    {157, 2213, 2378, 2, Smoke::mf_static, 314, 11},	//3431 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {157, 2188, 2381, 2, Smoke::mf_static, 519, 12},	//3432 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {157, 2207, 2384, 2, Smoke::mf_static, 275, 13},	//3433 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {157, 2201, 2387, 2, Smoke::mf_static, 519, 14},	//3434 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {157, 1928, 1284, 3, Smoke::mf_static, 130, 15},	//3435 QGlobalSpace::ki18ncp(const char*, const char*, const char*)
    {157, 2213, 2390, 2, Smoke::mf_static, 347, 16},	//3436 QGlobalSpace::operator|(QNetworkProxy::Capability, int)
    {157, 2188, 2393, 2, Smoke::mf_static, 519, 17},	//3437 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {157, 2195, 545, 2, Smoke::mf_static, 519, 18},	//3438 QGlobalSpace::operator>(const char*, const QByteArray&)
    {157, 1894, 111, 2, Smoke::mf_static, 714, 19},	//3439 QGlobalSpace::kasciistricmp(const char*, const char*)
    {157, 2213, 2396, 2, Smoke::mf_static, 347, 20},	//3440 QGlobalSpace::operator|(KUrl::EqualsOption, int)
    {157, 2188, 2399, 2, Smoke::mf_static, 519, 21},	//3441 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {157, 2188, 2402, 2, Smoke::mf_static, 519, 22},	//3442 QGlobalSpace::operator==(QChar, QChar)
    {157, 2188, 2405, 2, Smoke::mf_static, 519, 23},	//3443 QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    {157, 2213, 2408, 2, Smoke::mf_static, 336, 24},	//3444 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {157, 2173, 2411, 2, Smoke::mf_static, 270, 25},	//3445 QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    {157, 2173, 2414, 2, Smoke::mf_static, 270, 26},	//3446 QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    {157, 2167, 2402, 2, Smoke::mf_static, 519, 27},	//3447 QGlobalSpace::operator<(QChar, QChar)
    {157, 2201, 2402, 2, Smoke::mf_static, 519, 28},	//3448 QGlobalSpace::operator>=(QChar, QChar)
    {157, 2145, 2417, 2, Smoke::mf_static, 519, 29},	//3449 QGlobalSpace::operator!=(QString::Null, const QString&)
    {157, 2173, 2420, 2, Smoke::mf_static, 270, 30},	//3450 QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    {157, 2173, 2423, 2, Smoke::mf_static, 275, 31},	//3451 QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    {157, 2167, 545, 2, Smoke::mf_static, 519, 32},	//3452 QGlobalSpace::operator<(const char*, const QByteArray&)
    {157, 2213, 2426, 2, Smoke::mf_static, 335, 33},	//3453 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {157, 2213, 2429, 2, Smoke::mf_static, 317, 34},	//3454 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {157, 2195, 2402, 2, Smoke::mf_static, 519, 35},	//3455 QGlobalSpace::operator>(QChar, QChar)
    {157, 2213, 2432, 2, Smoke::mf_static, 305, 36},	//3456 QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    {157, 2173, 2435, 2, Smoke::mf_static, 270, 37},	//3457 QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    {157, 2213, 2438, 2, Smoke::mf_static, 338, 38},	//3458 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {157, 2154, 2441, 2, Smoke::mf_static, 680, 39},	//3459 QGlobalSpace::operator*(double, const QSizeF&)
    {157, 2213, 2444, 2, Smoke::mf_static, 303, 40},	//3460 QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    {157, 2213, 2447, 2, Smoke::mf_static, 347, 41},	//3461 QGlobalSpace::operator|(QDir::Filter, int)
    {157, 2145, 2357, 2, Smoke::mf_static, 519, 42},	//3462 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {157, 2162, 2450, 2, Smoke::mf_static, 671, 43},	//3463 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {157, 2207, 2453, 2, Smoke::mf_static, 624, 44},	//3464 QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    {157, 2173, 2456, 2, Smoke::mf_static, 275, 45},	//3465 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {157, 2213, 2459, 2, Smoke::mf_static, 347, 46},	//3466 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {157, 2213, 2462, 2, Smoke::mf_static, 334, 47},	//3467 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {157, 2213, 2465, 2, Smoke::mf_static, 291, 48},	//3468 QGlobalSpace::operator|(KConfig::OpenFlag, QFlags<KConfig::OpenFlag>)
    {157, 2173, 2468, 2, Smoke::mf_static, 270, 49},	//3469 QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    {157, 2145, 2372, 2, Smoke::mf_static, 519, 50},	//3470 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {157, 1705, 111, 2, Smoke::mf_static, 405, 51},	//3471 QGlobalSpace::i18nc(const char*, const char*)
    {157, 2213, 2471, 2, Smoke::mf_static, 321, 52},	//3472 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {157, 2213, 2474, 2, Smoke::mf_static, 347, 53},	//3473 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {157, 2213, 2477, 2, Smoke::mf_static, 347, 54},	//3474 QGlobalSpace::operator|(QFile::Permission, int)
    {157, 2165, 2480, 2, Smoke::mf_static, 671, 55},	//3475 QGlobalSpace::operator/(const QPoint&, double)
    {157, 2157, 2450, 2, Smoke::mf_static, 671, 56},	//3476 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {157, 2213, 2483, 2, Smoke::mf_static, 312, 57},	//3477 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {157, 2157, 542, 2, Smoke::mf_static, 686, 58},	//3478 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {157, 2162, 2486, 2, Smoke::mf_static, 680, 59},	//3479 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {157, 2145, 2387, 2, Smoke::mf_static, 519, 60},	//3480 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {157, 2213, 2489, 2, Smoke::mf_static, 347, 61},	//3481 QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, int)
    {157, 2213, 2492, 2, Smoke::mf_static, 347, 62},	//3482 QGlobalSpace::operator|(KLockFile::LockFlag, int)
    {157, 2213, 2495, 2, Smoke::mf_static, 330, 63},	//3483 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {157, 2213, 2498, 2, Smoke::mf_static, 318, 64},	//3484 QGlobalSpace::operator|(QNetworkProxy::Capability, QNetworkProxy::Capability)
    {157, 2167, 474, 2, Smoke::mf_static, 519, 65},	//3485 QGlobalSpace::operator<(const char*, const QString&)
    {157, 2213, 2501, 2, Smoke::mf_static, 322, 66},	//3486 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {157, 2157, 2375, 2, Smoke::mf_static, 678, 67},	//3487 QGlobalSpace::operator+(const QSize&, const QSize&)
    {157, 2213, 2504, 2, Smoke::mf_static, 336, 68},	//3488 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {157, 2213, 2507, 2, Smoke::mf_static, 347, 69},	//3489 QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    {157, 2213, 2510, 2, Smoke::mf_static, 327, 70},	//3490 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {157, 2157, 2486, 2, Smoke::mf_static, 680, 71},	//3491 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {157, 2213, 2513, 2, Smoke::mf_static, 347, 72},	//3492 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {157, 2167, 2516, 2, Smoke::mf_static, 519, 73},	//3493 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {157, 2213, 2519, 2, Smoke::mf_static, 318, 74},	//3494 QGlobalSpace::operator|(QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>)
    {157, 2195, 2366, 2, Smoke::mf_static, 519, 75},	//3495 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {157, 2213, 2522, 2, Smoke::mf_static, 347, 76},	//3496 QGlobalSpace::operator|(KLocale::TimeProcessingOption, int)
    {157, 2145, 2525, 2, Smoke::mf_static, 519, 77},	//3497 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {157, 2213, 2528, 2, Smoke::mf_static, 303, 78},	//3498 QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    {157, 2145, 2531, 2, Smoke::mf_static, 519, 79},	//3499 QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    {157, 2213, 2534, 2, Smoke::mf_static, 325, 80},	//3500 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {157, 2167, 2531, 2, Smoke::mf_static, 519, 81},	//3501 QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    {157, 2207, 2537, 2, Smoke::mf_static, 275, 82},	//3502 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {157, 2157, 2540, 2, Smoke::mf_static, 686, 83},	//3503 QGlobalSpace::operator+(const QString&, QChar)
    {157, 2145, 2543, 2, Smoke::mf_static, 519, 84},	//3504 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {157, 2157, 2387, 2, Smoke::mf_static, 621, 85},	//3505 QGlobalSpace::operator+(const QByteArray&, const char*)
    {157, 2213, 2546, 2, Smoke::mf_static, 300, 86},	//3506 QGlobalSpace::operator|(KShell::Option, QFlags<KShell::Option>)
    {157, 2213, 2549, 2, Smoke::mf_static, 320, 87},	//3507 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {157, 2157, 477, 2, Smoke::mf_static, 686, 88},	//3508 QGlobalSpace::operator+(const QString&, const char*)
    {157, 2195, 2516, 2, Smoke::mf_static, 519, 89},	//3509 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {157, 2213, 2552, 2, Smoke::mf_static, 333, 90},	//3510 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {157, 2157, 2555, 2, Smoke::mf_static, 686, 91},	//3511 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {157, 2213, 2558, 2, Smoke::mf_static, 335, 92},	//3512 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {157, 2179, 2387, 2, Smoke::mf_static, 519, 93},	//3513 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {157, 2188, 2561, 2, Smoke::mf_static, 519, 94},	//3514 QGlobalSpace::operator==(const QRect&, const QRect&)
    {157, 2213, 2564, 2, Smoke::mf_static, 313, 95},	//3515 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {157, 2211, 2567, 2, Smoke::mf_static, 261, 96},	//3516 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {157, 2195, 395, 2, Smoke::mf_static, 519, 97},	//3517 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {157, 2213, 2570, 2, Smoke::mf_static, 291, 98},	//3518 QGlobalSpace::operator|(KConfig::OpenFlag, KConfig::OpenFlag)
    {157, 2213, 2573, 2, Smoke::mf_static, 347, 99},	//3519 QGlobalSpace::operator|(KAutostart::Condition, int)
    {157, 2179, 2516, 2, Smoke::mf_static, 519, 100},	//3520 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {157, 2173, 2576, 2, Smoke::mf_static, 275, 101},	//3521 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {157, 2173, 2579, 2, Smoke::mf_static, 275, 102},	//3522 QGlobalSpace::operator<<(QDataStream&, const KProtocolInfo::ExtraField&)
    {157, 2207, 2582, 2, Smoke::mf_static, 275, 103},	//3523 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {157, 2188, 2585, 2, Smoke::mf_static, 519, 104},	//3524 QGlobalSpace::operator==(QBool, QBool)
    {157, 2188, 2588, 2, Smoke::mf_static, 519, 105},	//3525 QGlobalSpace::operator==(const char*, const QStringRef&)
    {157, 2213, 2591, 2, Smoke::mf_static, 347, 106},	//3526 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {157, 2145, 474, 2, Smoke::mf_static, 519, 107},	//3527 QGlobalSpace::operator!=(const char*, const QString&)
    {157, 2179, 395, 2, Smoke::mf_static, 519, 108},	//3528 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {157, 2213, 2594, 2, Smoke::mf_static, 347, 109},	//3529 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {157, 2213, 2597, 2, Smoke::mf_static, 347, 110},	//3530 QGlobalSpace::operator|(KLocale::DateTimeFormatOption, int)
    {157, 2157, 2600, 2, Smoke::mf_static, 686, 111},	//3531 QGlobalSpace::operator+(QChar, const QString&)
    {157, 2213, 2603, 2, Smoke::mf_static, 347, 112},	//3532 QGlobalSpace::operator|(QString::SectionFlag, int)
    {157, 2213, 2606, 2, Smoke::mf_static, 347, 113},	//3533 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {157, 2207, 2609, 2, Smoke::mf_static, 275, 114},	//3534 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {157, 2213, 2612, 2, Smoke::mf_static, 300, 115},	//3535 QGlobalSpace::operator|(KShell::Option, KShell::Option)
    {157, 2145, 2615, 2, Smoke::mf_static, 519, 116},	//3536 QGlobalSpace::operator!=(const QString&, QString::Null)
    {157, 2213, 2618, 2, Smoke::mf_static, 347, 117},	//3537 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {157, 2213, 2621, 2, Smoke::mf_static, 320, 118},	//3538 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {157, 2157, 2624, 2, Smoke::mf_static, 686, 119},	//3539 QGlobalSpace::operator+(const QString&, char)
    {157, 2207, 2627, 2, Smoke::mf_static, 624, 120},	//3540 QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    {157, 2145, 2399, 2, Smoke::mf_static, 519, 121},	//3541 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {157, 2162, 2381, 2, Smoke::mf_static, 673, 122},	//3542 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {157, 2188, 2543, 2, Smoke::mf_static, 519, 123},	//3543 QGlobalSpace::operator==(QString::Null, QString::Null)
    {157, 2213, 2630, 2, Smoke::mf_static, 328, 124},	//3544 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {157, 2167, 395, 2, Smoke::mf_static, 519, 125},	//3545 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {157, 2213, 2633, 2, Smoke::mf_static, 338, 126},	//3546 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {157, 2173, 2636, 2, Smoke::mf_static, 270, 127},	//3547 QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    {157, 2173, 2639, 2, Smoke::mf_static, 270, 128},	//3548 QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    {157, 2213, 2642, 2, Smoke::mf_static, 332, 129},	//3549 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {157, 2213, 2645, 2, Smoke::mf_static, 304, 130},	//3550 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    {157, 2157, 2381, 2, Smoke::mf_static, 673, 131},	//3551 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {157, 2213, 2648, 2, Smoke::mf_static, 323, 132},	//3552 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {157, 2188, 2486, 2, Smoke::mf_static, 519, 133},	//3553 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {157, 2162, 2651, 1, Smoke::mf_static, 671, 134},	//3554 QGlobalSpace::operator-(const QPoint&)
    {157, 2213, 2653, 2, Smoke::mf_static, 347, 135},	//3555 QGlobalSpace::operator|(Qt::DropAction, int)
    {157, 2173, 2656, 2, Smoke::mf_static, 275, 136},	//3556 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {157, 2213, 2659, 2, Smoke::mf_static, 347, 137},	//3557 QGlobalSpace::operator|(QDir::SortFlag, int)
    {157, 2188, 2662, 2, Smoke::mf_static, 519, 138},	//3558 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {157, 2213, 2665, 2, Smoke::mf_static, 309, 139},	//3559 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {157, 2145, 2486, 2, Smoke::mf_static, 519, 140},	//3560 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {157, 2213, 2668, 2, Smoke::mf_static, 347, 141},	//3561 QGlobalSpace::operator|(KJob::Capability, int)
    {157, 2213, 2671, 2, Smoke::mf_static, 331, 142},	//3562 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {157, 2213, 2674, 2, Smoke::mf_static, 304, 143},	//3563 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    {157, 2213, 2677, 2, Smoke::mf_static, 324, 144},	//3564 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {157, 2207, 1904, 2, Smoke::mf_static, 275, 145},	//3565 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {157, 2213, 2680, 2, Smoke::mf_static, 301, 146},	//3566 QGlobalSpace::operator|(KStandardDirs::SearchOption, QFlags<KStandardDirs::SearchOption>)
    {157, 2213, 2683, 2, Smoke::mf_static, 347, 147},	//3567 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {157, 2213, 2686, 2, Smoke::mf_static, 292, 148},	//3568 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    {157, 2173, 2689, 2, Smoke::mf_static, 270, 149},	//3569 QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    {157, 2188, 2531, 2, Smoke::mf_static, 519, 150},	//3570 QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    {157, 2195, 2357, 2, Smoke::mf_static, 519, 151},	//3571 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {157, 2207, 2692, 2, Smoke::mf_static, 275, 152},	//3572 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {157, 2145, 2381, 2, Smoke::mf_static, 519, 153},	//3573 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {157, 2213, 2695, 2, Smoke::mf_static, 314, 154},	//3574 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {157, 2213, 2698, 2, Smoke::mf_static, 295, 155},	//3575 QGlobalSpace::operator|(KLocale::DateTimeFormatOption, QFlags<KLocale::DateTimeFormatOption>)
    {157, 2157, 2701, 2, Smoke::mf_static, 686, 156},	//3576 QGlobalSpace::operator+(char, const QString&)
    {157, 2145, 2704, 2, Smoke::mf_static, 519, 157},	//3577 QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    {157, 2207, 2707, 2, Smoke::mf_static, 275, 158},	//3578 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {157, 2188, 2417, 2, Smoke::mf_static, 519, 159},	//3579 QGlobalSpace::operator==(QString::Null, const QString&)
    {157, 2188, 2525, 2, Smoke::mf_static, 519, 160},	//3580 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {157, 2157, 395, 2, Smoke::mf_static, 621, 161},	//3581 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {157, 2195, 474, 2, Smoke::mf_static, 519, 162},	//3582 QGlobalSpace::operator>(const char*, const QString&)
    {157, 2173, 2710, 2, Smoke::mf_static, 275, 163},	//3583 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {157, 2173, 2713, 2, Smoke::mf_static, 275, 164},	//3584 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {157, 2213, 2716, 2, Smoke::mf_static, 319, 165},	//3585 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {157, 2213, 2719, 2, Smoke::mf_static, 309, 166},	//3586 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag)
    {157, 2165, 2722, 2, Smoke::mf_static, 673, 167},	//3587 QGlobalSpace::operator/(const QPointF&, double)
    {157, 2145, 2725, 2, Smoke::mf_static, 519, 168},	//3588 QGlobalSpace::operator!=(bool, QBool)
    {157, 2188, 2516, 2, Smoke::mf_static, 519, 169},	//3589 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {157, 1703, 109, 1, Smoke::mf_static, 405, 170},	//3590 QGlobalSpace::i18n(const char*)
    {157, 2207, 2728, 2, Smoke::mf_static, 624, 171},	//3591 QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    {157, 2207, 2731, 2, Smoke::mf_static, 275, 172},	//3592 QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    {157, 2207, 2734, 2, Smoke::mf_static, 275, 173},	//3593 QGlobalSpace::operator>>(QDataStream&, KServiceAction&)
    {157, 2173, 2737, 2, Smoke::mf_static, 275, 174},	//3594 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {157, 2213, 2740, 2, Smoke::mf_static, 347, 175},	//3595 QGlobalSpace::operator|(KLocale::TimeFormatOption, int)
    {157, 2207, 2743, 2, Smoke::mf_static, 275, 176},	//3596 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {157, 2213, 2746, 2, Smoke::mf_static, 296, 177},	//3597 QGlobalSpace::operator|(KLocale::TimeFormatOption, QFlags<KLocale::TimeFormatOption>)
    {157, 2213, 2749, 2, Smoke::mf_static, 347, 178},	//3598 QGlobalSpace::operator|(Qt::MouseButton, int)
    {157, 2213, 2752, 2, Smoke::mf_static, 292, 179},	//3599 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    {157, 2162, 2755, 1, Smoke::mf_static, 673, 180},	//3600 QGlobalSpace::operator-(const QPointF&)
    {157, 2213, 2757, 2, Smoke::mf_static, 296, 181},	//3601 QGlobalSpace::operator|(KLocale::TimeFormatOption, KLocale::TimeFormatOption)
    {157, 2213, 2760, 2, Smoke::mf_static, 347, 182},	//3602 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    {157, 2188, 2725, 2, Smoke::mf_static, 519, 183},	//3603 QGlobalSpace::operator==(bool, QBool)
    {157, 2213, 2763, 2, Smoke::mf_static, 308, 184},	//3604 QGlobalSpace::operator|(QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>)
    {157, 2152, 2567, 2, Smoke::mf_static, 261, 185},	//3605 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {157, 2201, 545, 2, Smoke::mf_static, 519, 186},	//3606 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {157, 2213, 2766, 2, Smoke::mf_static, 333, 187},	//3607 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {157, 2213, 2769, 2, Smoke::mf_static, 347, 188},	//3608 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {157, 2145, 2772, 2, Smoke::mf_static, 519, 189},	//3609 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {157, 2173, 2775, 2, Smoke::mf_static, 270, 190},	//3610 QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    {157, 2213, 2778, 2, Smoke::mf_static, 327, 191},	//3611 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {157, 2145, 545, 2, Smoke::mf_static, 519, 192},	//3612 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {157, 2145, 2450, 2, Smoke::mf_static, 519, 193},	//3613 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {157, 2167, 2366, 2, Smoke::mf_static, 519, 194},	//3614 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {157, 2188, 2772, 2, Smoke::mf_static, 519, 195},	//3615 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {157, 2173, 2781, 2, Smoke::mf_static, 275, 196},	//3616 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {157, 2157, 2784, 2, Smoke::mf_static, 621, 197},	//3617 QGlobalSpace::operator+(const QByteArray&, char)
    {157, 2213, 2787, 2, Smoke::mf_static, 297, 198},	//3618 QGlobalSpace::operator|(KLocale::TimeProcessingOption, QFlags<KLocale::TimeProcessingOption>)
    {157, 2213, 2790, 2, Smoke::mf_static, 312, 199},	//3619 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {157, 1889, 0, 0, Smoke::mf_static, 0, 200},	//3620 QGlobalSpace::kClearDebugConfig()
    {157, 2213, 2793, 2, Smoke::mf_static, 310, 201},	//3621 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {157, 2207, 2796, 2, Smoke::mf_static, 275, 202},	//3622 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {157, 2165, 2799, 2, Smoke::mf_static, 680, 203},	//3623 QGlobalSpace::operator/(const QSizeF&, double)
    {157, 2201, 2516, 2, Smoke::mf_static, 519, 204},	//3624 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {157, 2173, 2802, 2, Smoke::mf_static, 275, 205},	//3625 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {157, 2188, 2450, 2, Smoke::mf_static, 519, 206},	//3626 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {157, 2179, 545, 2, Smoke::mf_static, 519, 207},	//3627 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {157, 2179, 2357, 2, Smoke::mf_static, 519, 208},	//3628 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {157, 2173, 2805, 2, Smoke::mf_static, 275, 209},	//3629 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {157, 1883, 2808, 1, Smoke::mf_static, 523, 210},	//3630 QGlobalSpace::kAsciiToLower(char*)
    {157, 2207, 1901, 2, Smoke::mf_static, 275, 211},	//3631 QGlobalSpace::operator>>(QDataStream&, QString&)
    {157, 2207, 2810, 2, Smoke::mf_static, 624, 212},	//3632 QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    {157, 2207, 2813, 2, Smoke::mf_static, 624, 213},	//3633 QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    {157, 2213, 2816, 2, Smoke::mf_static, 305, 214},	//3634 QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    {157, 2213, 2819, 2, Smoke::mf_static, 347, 215},	//3635 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {157, 2213, 2822, 2, Smoke::mf_static, 293, 216},	//3636 QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, KCurrencyCode::CurrencyStatus)
    {157, 2188, 2615, 2, Smoke::mf_static, 519, 217},	//3637 QGlobalSpace::operator==(const QString&, QString::Null)
    {157, 2173, 2825, 2, Smoke::mf_static, 418, 218},	//3638 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {157, 2167, 2387, 2, Smoke::mf_static, 519, 219},	//3639 QGlobalSpace::operator<(const QByteArray&, const char*)
    {157, 2207, 2828, 2, Smoke::mf_static, 624, 220},	//3640 QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    {157, 2213, 2831, 2, Smoke::mf_static, 294, 221},	//3641 QGlobalSpace::operator|(KJob::Capability, KJob::Capability)
    {157, 2213, 2834, 2, Smoke::mf_static, 298, 222},	//3642 QGlobalSpace::operator|(KLockFile::LockFlag, QFlags<KLockFile::LockFlag>)
    {157, 2213, 2837, 2, Smoke::mf_static, 313, 223},	//3643 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {157, 2213, 2840, 2, Smoke::mf_static, 289, 224},	//3644 QGlobalSpace::operator|(KAutostart::Condition, QFlags<KAutostart::Condition>)
    {157, 2173, 2843, 2, Smoke::mf_static, 418, 225},	//3645 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {157, 2145, 2402, 2, Smoke::mf_static, 519, 226},	//3646 QGlobalSpace::operator!=(QChar, QChar)
    {157, 2213, 2846, 2, Smoke::mf_static, 326, 227},	//3647 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {157, 2213, 2849, 2, Smoke::mf_static, 308, 228},	//3648 QGlobalSpace::operator|(QDBusConnection::RegisterOption, QDBusConnection::RegisterOption)
    {157, 2188, 2852, 2, Smoke::mf_static, 519, 229},	//3649 QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    {157, 2207, 2855, 2, Smoke::mf_static, 275, 230},	//3650 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {157, 2179, 474, 2, Smoke::mf_static, 519, 231},	//3651 QGlobalSpace::operator<=(const char*, const QString&)
    {157, 2145, 2588, 2, Smoke::mf_static, 519, 232},	//3652 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {157, 2213, 2858, 2, Smoke::mf_static, 302, 233},	//3653 QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    {157, 2173, 2861, 2, Smoke::mf_static, 270, 234},	//3654 QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    {157, 2145, 2864, 2, Smoke::mf_static, 519, 235},	//3655 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {157, 2207, 2867, 2, Smoke::mf_static, 624, 236},	//3656 QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    {157, 2179, 2366, 2, Smoke::mf_static, 519, 237},	//3657 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {157, 2213, 2870, 2, Smoke::mf_static, 290, 238},	//3658 QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, QFlags<KCmdLineArgs::StdCmdLineArg>)
    {157, 2213, 2873, 2, Smoke::mf_static, 347, 239},	//3659 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {157, 2207, 2825, 2, Smoke::mf_static, 418, 240},	//3660 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {157, 2157, 2876, 2, Smoke::mf_static, 621, 241},	//3661 QGlobalSpace::operator+(char, const QByteArray&)
    {157, 2188, 545, 2, Smoke::mf_static, 519, 242},	//3662 QGlobalSpace::operator==(const char*, const QByteArray&)
    {157, 2173, 2879, 2, Smoke::mf_static, 275, 243},	//3663 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {157, 2207, 2882, 2, Smoke::mf_static, 624, 244},	//3664 QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    {157, 2162, 2375, 2, Smoke::mf_static, 678, 245},	//3665 QGlobalSpace::operator-(const QSize&, const QSize&)
    {157, 2207, 2885, 2, Smoke::mf_static, 624, 246},	//3666 QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    {157, 2157, 474, 2, Smoke::mf_static, 686, 247},	//3667 QGlobalSpace::operator+(const char*, const QString&)
    {157, 2213, 2888, 2, Smoke::mf_static, 347, 248},	//3668 QGlobalSpace::operator|(Qt::WindowState, int)
    {157, 2207, 2891, 2, Smoke::mf_static, 275, 249},	//3669 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {157, 2213, 2894, 2, Smoke::mf_static, 289, 250},	//3670 QGlobalSpace::operator|(KAutostart::Condition, KAutostart::Condition)
    {157, 2213, 2897, 2, Smoke::mf_static, 294, 251},	//3671 QGlobalSpace::operator|(KJob::Capability, QFlags<KJob::Capability>)
    {157, 2213, 2900, 2, Smoke::mf_static, 306, 252},	//3672 QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    {157, 2145, 2662, 2, Smoke::mf_static, 519, 253},	//3673 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {157, 2213, 2903, 2, Smoke::mf_static, 330, 254},	//3674 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {157, 2154, 2906, 2, Smoke::mf_static, 673, 255},	//3675 QGlobalSpace::operator*(double, const QPointF&)
    {157, 2213, 2909, 2, Smoke::mf_static, 325, 256},	//3676 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {157, 2188, 2357, 2, Smoke::mf_static, 519, 257},	//3677 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {157, 2154, 2912, 2, Smoke::mf_static, 678, 258},	//3678 QGlobalSpace::operator*(const QSize&, double)
    {157, 2213, 2915, 2, Smoke::mf_static, 310, 259},	//3679 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {157, 2154, 2918, 2, Smoke::mf_static, 671, 260},	//3680 QGlobalSpace::operator*(double, const QPoint&)
    {157, 2173, 2921, 2, Smoke::mf_static, 275, 261},	//3681 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {157, 2213, 2924, 2, Smoke::mf_static, 347, 262},	//3682 QGlobalSpace::operator|(KStandardDirs::SearchOption, int)
    {157, 2213, 2927, 2, Smoke::mf_static, 347, 263},	//3683 QGlobalSpace::operator|(KConfig::OpenFlag, int)
    {157, 2213, 2930, 2, Smoke::mf_static, 315, 264},	//3684 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {157, 2213, 2933, 2, Smoke::mf_static, 324, 265},	//3685 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {157, 2213, 2936, 2, Smoke::mf_static, 311, 266},	//3686 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {157, 2188, 2939, 2, Smoke::mf_static, 519, 267},	//3687 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {157, 2213, 2942, 2, Smoke::mf_static, 316, 268},	//3688 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {157, 2213, 2945, 2, Smoke::mf_static, 347, 269},	//3689 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {157, 2213, 2948, 2, Smoke::mf_static, 293, 270},	//3690 QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, QFlags<KCurrencyCode::CurrencyStatus>)
    {157, 2213, 2951, 2, Smoke::mf_static, 328, 271},	//3691 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {157, 2207, 2954, 2, Smoke::mf_static, 624, 272},	//3692 QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    {157, 2201, 395, 2, Smoke::mf_static, 519, 273},	//3693 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {157, 1885, 2808, 1, Smoke::mf_static, 523, 274},	//3694 QGlobalSpace::kAsciiToUpper(char*)
    {157, 2213, 2957, 2, Smoke::mf_static, 334, 275},	//3695 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {157, 1887, 105, 1, Smoke::mf_static, 405, 276},	//3696 QGlobalSpace::kBacktrace(int)
    {157, 1887, 0, 0, Smoke::mf_static, 405, 277},	//3697 QGlobalSpace::kBacktrace()
    {157, 2213, 2960, 2, Smoke::mf_static, 347, 278},	//3698 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {157, 2213, 2963, 2, Smoke::mf_static, 322, 279},	//3699 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {157, 2213, 2966, 2, Smoke::mf_static, 347, 280},	//3700 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {157, 2213, 2969, 2, Smoke::mf_static, 337, 281},	//3701 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {157, 2213, 2972, 2, Smoke::mf_static, 307, 282},	//3702 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {157, 2173, 2975, 2, Smoke::mf_static, 275, 283},	//3703 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {157, 2173, 2978, 2, Smoke::mf_static, 275, 284},	//3704 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {157, 1897, 105, 1, Smoke::mf_static, 405, 285},	//3705 QGlobalSpace::kdBacktrace(int)
    {157, 1897, 0, 0, Smoke::mf_static, 405, 286},	//3706 QGlobalSpace::kdBacktrace()
    {157, 2207, 2981, 2, Smoke::mf_static, 624, 287},	//3707 QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    {157, 2213, 2984, 2, Smoke::mf_static, 311, 288},	//3708 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {157, 2145, 2561, 2, Smoke::mf_static, 519, 289},	//3709 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {157, 2213, 2987, 2, Smoke::mf_static, 347, 290},	//3710 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {157, 2188, 395, 2, Smoke::mf_static, 519, 291},	//3711 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {157, 2207, 2990, 2, Smoke::mf_static, 275, 292},	//3712 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {157, 2213, 2567, 2, Smoke::mf_static, 261, 293},	//3713 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {157, 2173, 2993, 2, Smoke::mf_static, 275, 294},	//3714 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {157, 2213, 2996, 2, Smoke::mf_static, 290, 295},	//3715 QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, KCmdLineArgs::StdCmdLineArg)
    {157, 2173, 2999, 2, Smoke::mf_static, 275, 296},	//3716 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {157, 2213, 3002, 2, Smoke::mf_static, 347, 297},	//3717 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {157, 2173, 3005, 2, Smoke::mf_static, 275, 298},	//3718 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {157, 2179, 2402, 2, Smoke::mf_static, 519, 299},	//3719 QGlobalSpace::operator<=(QChar, QChar)
    {157, 2207, 3008, 2, Smoke::mf_static, 624, 300},	//3720 QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    {157, 2213, 3011, 2, Smoke::mf_static, 337, 301},	//3721 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {157, 2213, 3014, 2, Smoke::mf_static, 298, 302},	//3722 QGlobalSpace::operator|(KLockFile::LockFlag, KLockFile::LockFlag)
    {157, 2145, 2939, 2, Smoke::mf_static, 519, 303},	//3723 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {157, 2213, 3017, 2, Smoke::mf_static, 329, 304},	//3724 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {157, 2207, 3020, 2, Smoke::mf_static, 275, 305},	//3725 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {157, 2213, 3023, 2, Smoke::mf_static, 302, 306},	//3726 QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    {157, 2207, 3026, 2, Smoke::mf_static, 275, 307},	//3727 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {157, 2213, 3029, 2, Smoke::mf_static, 347, 308},	//3728 QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    {157, 2165, 2912, 2, Smoke::mf_static, 678, 309},	//3729 QGlobalSpace::operator/(const QSize&, double)
    {157, 2213, 3032, 2, Smoke::mf_static, 306, 310},	//3730 QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    {157, 2173, 3035, 2, Smoke::mf_static, 270, 311},	//3731 QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    {157, 2188, 3038, 2, Smoke::mf_static, 519, 312},	//3732 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {157, 3172, 111, 2, Smoke::mf_static, 405, 313},	//3733 QGlobalSpace::tr2i18n(const char*, const char*)
    {157, 3172, 109, 1, Smoke::mf_static, 405, 314},	//3734 QGlobalSpace::tr2i18n(const char*)
    {157, 2207, 3041, 2, Smoke::mf_static, 275, 315},	//3735 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {157, 2213, 3044, 2, Smoke::mf_static, 347, 316},	//3736 QGlobalSpace::operator|(Qt::Orientation, int)
    {157, 2145, 2366, 2, Smoke::mf_static, 519, 317},	//3737 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {157, 2154, 2480, 2, Smoke::mf_static, 671, 318},	//3738 QGlobalSpace::operator*(const QPoint&, double)
    {157, 2213, 3047, 2, Smoke::mf_static, 326, 319},	//3739 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {157, 2213, 3050, 2, Smoke::mf_static, 315, 320},	//3740 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {157, 2188, 2704, 2, Smoke::mf_static, 519, 321},	//3741 QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    {157, 2188, 2387, 2, Smoke::mf_static, 519, 322},	//3742 QGlobalSpace::operator==(const QByteArray&, const char*)
    {157, 2154, 2799, 2, Smoke::mf_static, 680, 323},	//3743 QGlobalSpace::operator*(const QSizeF&, double)
    {157, 2188, 2864, 2, Smoke::mf_static, 519, 324},	//3744 QGlobalSpace::operator==(const QStringRef&, const char*)
    {157, 2213, 3053, 2, Smoke::mf_static, 297, 325},	//3745 QGlobalSpace::operator|(KLocale::TimeProcessingOption, KLocale::TimeProcessingOption)
    {157, 2213, 3056, 2, Smoke::mf_static, 347, 326},	//3746 QGlobalSpace::operator|(QDBusConnection::RegisterOption, int)
    {157, 2154, 3059, 2, Smoke::mf_static, 678, 327},	//3747 QGlobalSpace::operator*(double, const QSize&)
    {157, 2173, 3062, 2, Smoke::mf_static, 270, 328},	//3748 QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    {157, 2167, 2357, 2, Smoke::mf_static, 519, 329},	//3749 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {157, 2213, 3065, 2, Smoke::mf_static, 347, 330},	//3750 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    {157, 2145, 3068, 2, Smoke::mf_static, 519, 331},	//3751 QGlobalSpace::operator!=(QBool, bool)
    {157, 2145, 2375, 2, Smoke::mf_static, 519, 332},	//3752 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {157, 2207, 3071, 2, Smoke::mf_static, 275, 333},	//3753 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {157, 2145, 2516, 2, Smoke::mf_static, 519, 334},	//3754 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {157, 2213, 3074, 2, Smoke::mf_static, 321, 335},	//3755 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {157, 2213, 3077, 2, Smoke::mf_static, 347, 336},	//3756 QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    {157, 2154, 2722, 2, Smoke::mf_static, 673, 337},	//3757 QGlobalSpace::operator*(const QPointF&, double)
    {157, 2213, 3080, 2, Smoke::mf_static, 332, 338},	//3758 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {157, 2213, 3083, 2, Smoke::mf_static, 301, 339},	//3759 QGlobalSpace::operator|(KStandardDirs::SearchOption, KStandardDirs::SearchOption)
    {157, 2167, 2704, 2, Smoke::mf_static, 519, 340},	//3760 QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    {157, 2145, 2393, 2, Smoke::mf_static, 519, 341},	//3761 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {157, 2173, 3086, 2, Smoke::mf_static, 275, 342},	//3762 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {157, 2213, 3089, 2, Smoke::mf_static, 329, 343},	//3763 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {157, 2173, 3092, 2, Smoke::mf_static, 275, 344},	//3764 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {157, 2213, 3095, 2, Smoke::mf_static, 316, 345},	//3765 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {157, 2213, 3098, 2, Smoke::mf_static, 347, 346},	//3766 QGlobalSpace::operator|(Qt::WindowType, int)
    {157, 2213, 3101, 2, Smoke::mf_static, 295, 347},	//3767 QGlobalSpace::operator|(KLocale::DateTimeFormatOption, KLocale::DateTimeFormatOption)
    {157, 1890, 105, 1, Smoke::mf_static, 405, 348},	//3768 QGlobalSpace::kRealBacktrace(int)
    {157, 2207, 3104, 2, Smoke::mf_static, 275, 349},	//3769 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {157, 2173, 3107, 2, Smoke::mf_static, 275, 350},	//3770 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {157, 2213, 3110, 2, Smoke::mf_static, 331, 351},	//3771 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {157, 2213, 3113, 2, Smoke::mf_static, 347, 352},	//3772 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, int)
    {157, 2213, 3116, 2, Smoke::mf_static, 323, 353},	//3773 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {157, 2188, 3068, 2, Smoke::mf_static, 519, 354},	//3774 QGlobalSpace::operator==(QBool, bool)
    {157, 2207, 3119, 2, Smoke::mf_static, 275, 355},	//3775 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {157, 2207, 3122, 2, Smoke::mf_static, 275, 356},	//3776 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {157, 2173, 3125, 2, Smoke::mf_static, 275, 357},	//3777 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {157, 2173, 3128, 2, Smoke::mf_static, 275, 358},	//3778 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {157, 2213, 3131, 2, Smoke::mf_static, 317, 359},	//3779 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {157, 2188, 474, 2, Smoke::mf_static, 519, 360},	//3780 QGlobalSpace::operator==(const char*, const QString&)
    {157, 2213, 3134, 2, Smoke::mf_static, 347, 361},	//3781 QGlobalSpace::operator|(KShell::Option, int)
    {157, 1930, 111, 2, Smoke::mf_static, 130, 362},	//3782 QGlobalSpace::ki18np(const char*, const char*)
    {157, 2213, 3137, 2, Smoke::mf_static, 319, 363},	//3783 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {157, 2157, 89, 2, Smoke::mf_static, 686, 364},	//3784 QGlobalSpace::operator+(const QString&, const QString&)
    {157, 2145, 2585, 2, Smoke::mf_static, 519, 365},	//3785 QGlobalSpace::operator!=(QBool, QBool)
    {157, 2213, 3140, 2, Smoke::mf_static, 307, 366},	//3786 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {157, 2201, 474, 2, Smoke::mf_static, 519, 367},	//3787 QGlobalSpace::operator>=(const char*, const QString&)
    {157, 2213, 3143, 2, Smoke::mf_static, 347, 368},	//3788 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {157, 2201, 2366, 2, Smoke::mf_static, 519, 369},	//3789 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {157, 2195, 2387, 2, Smoke::mf_static, 519, 370},	//3790 QGlobalSpace::operator>(const QByteArray&, const char*)
    {157, 2207, 3146, 2, Smoke::mf_static, 275, 371},	//3791 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {157, 1924, 109, 1, Smoke::mf_static, 130, 372},	//3792 QGlobalSpace::ki18n(const char*)
    {157, 2213, 3149, 2, Smoke::mf_static, 347, 373},	//3793 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {157, 2145, 395, 2, Smoke::mf_static, 519, 374},	//3794 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {157, 2173, 3152, 2, Smoke::mf_static, 270, 375},	//3795 QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    {157, 2213, 3155, 2, Smoke::mf_static, 347, 376},	//3796 QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, int)
    {157, 2207, 3158, 2, Smoke::mf_static, 275, 377},	//3797 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {157, 2173, 3161, 2, Smoke::mf_static, 275, 378},	//3798 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {157, 807, 0, 0, Smoke::mf_static|Smoke::mf_enum, 516, 379},	//3799 QGlobalSpace::_IEEE_ (enum)
    {157, 810, 0, 0, Smoke::mf_static|Smoke::mf_enum, 516, 380},	//3800 QGlobalSpace::_SVID_ (enum)
    {157, 811, 0, 0, Smoke::mf_static|Smoke::mf_enum, 516, 381},	//3801 QGlobalSpace::_XOPEN_ (enum)
    {157, 809, 0, 0, Smoke::mf_static|Smoke::mf_enum, 516, 382},	//3802 QGlobalSpace::_POSIX_ (enum)
    {157, 808, 0, 0, Smoke::mf_static|Smoke::mf_enum, 516, 383},	//3803 QGlobalSpace::_ISOC_ (enum)
    {157, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 518, 384},	//3804 QGlobalSpace::ITIMER_REAL (enum)
    {157, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 518, 385},	//3805 QGlobalSpace::ITIMER_VIRTUAL (enum)
    {157, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 518, 386},	//3806 QGlobalSpace::ITIMER_PROF (enum)
    {157, 662, 0, 0, Smoke::mf_static|Smoke::mf_enum, 509, 387},	//3807 QGlobalSpace::QtDebugMsg (enum)
    {157, 666, 0, 0, Smoke::mf_static|Smoke::mf_enum, 509, 388},	//3808 QGlobalSpace::QtWarningMsg (enum)
    {157, 661, 0, 0, Smoke::mf_static|Smoke::mf_enum, 509, 389},	//3809 QGlobalSpace::QtCriticalMsg (enum)
    {157, 663, 0, 0, Smoke::mf_static|Smoke::mf_enum, 509, 390},	//3810 QGlobalSpace::QtFatalMsg (enum)
    {157, 664, 0, 0, Smoke::mf_static|Smoke::mf_enum, 509, 391},	//3811 QGlobalSpace::QtSystemMsg (enum)
    {157, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 392},	//3812 QGlobalSpace::KST_KSycocaEntry (enum)
    {157, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 393},	//3813 QGlobalSpace::KST_KService (enum)
    {157, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 394},	//3814 QGlobalSpace::KST_KServiceType (enum)
    {157, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 395},	//3815 QGlobalSpace::KST_KMimeType (enum)
    {157, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 396},	//3816 QGlobalSpace::KST_KFolderMimeType (enum)
    {157, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 397},	//3817 QGlobalSpace::KST_KDEDesktopMimeType (enum)
    {157, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 398},	//3818 QGlobalSpace::KST_KServiceGroup (enum)
    {157, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 399},	//3819 QGlobalSpace::KST_KImageIOFormat (enum)
    {157, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 400},	//3820 QGlobalSpace::KST_KProtocolInfo (enum)
    {157, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 401},	//3821 QGlobalSpace::KST_KServiceSeparator (enum)
    {157, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 402},	//3822 QGlobalSpace::KST_KCustom (enum)
    {157, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 403},	//3823 QGlobalSpace::KST_KServiceFactory (enum)
    {157, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 404},	//3824 QGlobalSpace::KST_KServiceTypeFactory (enum)
    {157, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 405},	//3825 QGlobalSpace::KST_KServiceGroupFactory (enum)
    {157, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 406},	//3826 QGlobalSpace::KST_KImageIO (enum)
    {157, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 407},	//3827 QGlobalSpace::KST_KProtocolInfoFactory (enum)
    {157, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 408},	//3828 QGlobalSpace::KST_KMimeTypeFactory (enum)
    {157, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 409},	//3829 QGlobalSpace::KST_CTimeInfo (enum)
    {157, 814, 0, 0, Smoke::mf_static|Smoke::mf_enum, 517, 410},	//3830 QGlobalSpace::__codecvt_ok (enum)
    {157, 815, 0, 0, Smoke::mf_static|Smoke::mf_enum, 517, 411},	//3831 QGlobalSpace::__codecvt_partial (enum)
    {157, 812, 0, 0, Smoke::mf_static|Smoke::mf_enum, 517, 412},	//3832 QGlobalSpace::__codecvt_error (enum)
    {157, 813, 0, 0, Smoke::mf_static|Smoke::mf_enum, 517, 413},	//3833 QGlobalSpace::__codecvt_noconv (enum)
    {160, 2132, 137, 1, Smoke::mf_virtual, 519, 0},	//3834 QIODevice::open(QFlags<QIODevice::OpenModeFlag>)
    {160, 2261, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 720, 0},	//3835 QIODevice::pos() const
    {160, 2973, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 720, 0},	//3836 QIODevice::size() const
    {160, 2494, 814, 1, Smoke::mf_virtual, 519, 0},	//3837 QIODevice::seek(long long)
    {160, 2457, 0, 0, Smoke::mf_virtual, 519, 0},	//3838 QIODevice::reset()
    {160, 1081, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 720, 0},	//3839 QIODevice::bytesAvailable() const
    {160, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 720, 0},	//3840 QIODevice::bytesToWrite() const
    {160, 1093, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 0},	//3841 QIODevice::canReadLine() const
    {160, 3290, 105, 1, Smoke::mf_virtual, 519, 0},	//3842 QIODevice::waitForReadyRead(int)
    {160, 3279, 105, 1, Smoke::mf_virtual, 519, 0},	//3843 QIODevice::waitForBytesWritten(int)
    {160, 2381, 1097, 2, Smoke::mf_protected|Smoke::mf_virtual, 720, 0},	//3844 QIODevice::readLineData(char*, long long)
    {160, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 346, 12},	//3845 QIODevice::NotOpen (enum)
    {160, 672, 0, 0, Smoke::mf_static|Smoke::mf_enum, 346, 13},	//3846 QIODevice::ReadOnly (enum)
    {160, 803, 0, 0, Smoke::mf_static|Smoke::mf_enum, 346, 14},	//3847 QIODevice::WriteOnly (enum)
    {160, 676, 0, 0, Smoke::mf_static|Smoke::mf_enum, 346, 15},	//3848 QIODevice::ReadWrite (enum)
    {160, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 346, 16},	//3849 QIODevice::Append (enum)
    {160, 757, 0, 0, Smoke::mf_static|Smoke::mf_enum, 346, 17},	//3850 QIODevice::Truncate (enum)
    {160, 742, 0, 0, Smoke::mf_static|Smoke::mf_enum, 346, 18},	//3851 QIODevice::Text (enum)
    {160, 762, 0, 0, Smoke::mf_static|Smoke::mf_enum, 346, 19},	//3852 QIODevice::Unbuffered (enum)
    {171, 1444, 3164, 1, Smoke::mf_virtual, 519, 0},	//3853 QObject::event(QEvent*)
    {171, 1445, 3166, 2, Smoke::mf_virtual, 519, 0},	//3854 QObject::eventFilter(QObject*, QEvent*)
    {171, 3138, 3169, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3855 QObject::timerEvent(QTimerEvent*)
    {171, 1124, 3171, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3856 QObject::childEvent(QChildEvent*)
    {171, 1239, 3164, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3857 QObject::customEvent(QEvent*)
    {171, 1161, 109, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3858 QObject::connectNotify(const char*)
    {171, 1375, 109, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3859 QObject::disconnectNotify(const char*)
    {175, 3290, 105, 1, Smoke::mf_virtual, 519, 0},	//3860 QProcess::waitForReadyRead(int)
    {175, 3279, 105, 1, Smoke::mf_virtual, 519, 0},	//3861 QProcess::waitForBytesWritten(int)
    {175, 1081, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 720, 0},	//3862 QProcess::bytesAvailable() const
    {175, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 720, 0},	//3863 QProcess::bytesToWrite() const
    {175, 1849, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 0},	//3864 QProcess::isSequential() const
    {175, 1093, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 0},	//3865 QProcess::canReadLine() const
    {175, 1139, 0, 0, Smoke::mf_virtual, 0, 0},	//3866 QProcess::close()
    {175, 1033, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 0},	//3867 QProcess::atEnd() const
    {175, 2958, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3868 QProcess::setupChildProcess()
    {175, 2355, 1097, 2, Smoke::mf_protected|Smoke::mf_virtual, 720, 0},	//3869 QProcess::readData(char*, long long)
    {175, 3329, 1100, 2, Smoke::mf_protected|Smoke::mf_virtual, 720, 0},	//3870 QProcess::writeData(const char*, long long)
    {190, 2048, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 667, 0},	//3871 QTemporaryFile::metaObject() const
    {190, 2319, 109, 1, Smoke::mf_virtual, 737, 0},	//3872 QTemporaryFile::qt_metacast(const char*)
    {190, 2317, 118, 3, Smoke::mf_virtual, 714, 0},	//3873 QTemporaryFile::qt_metacall(QMetaObject::Call, int, void**)
    {190, 1497, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 256, 0},	//3874 QTemporaryFile::fileEngine() const
    {190, 2132, 137, 1, Smoke::mf_protected|Smoke::mf_virtual, 519, 0},	//3875 QTemporaryFile::open(QFlags<QIODevice::OpenModeFlag>)
    {203, 1316, 0, 0, Smoke::mf_static, 405, 1},	//3876 Sonnet::defaultLanguageName()
    {203, 1351, 24, 1, Smoke::mf_static, 405, 2},	//3877 Sonnet::detectLanguage(const QString&)
    {204, 2048, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 667, 1},	//3878 Sonnet::BackgroundChecker::metaObject() const
    {204, 2319, 109, 1, Smoke::mf_virtual, 737, 2},	//3879 Sonnet::BackgroundChecker::qt_metacast(const char*)
    {204, 3168, 111, 2, Smoke::mf_static, 405, 3},	//3880 Sonnet::BackgroundChecker::tr(const char*, const char*)
    {204, 3175, 111, 2, Smoke::mf_static, 405, 4},	//3881 Sonnet::BackgroundChecker::trUtf8(const char*, const char*)
    {204, 3168, 114, 3, Smoke::mf_static, 405, 5},	//3882 Sonnet::BackgroundChecker::tr(const char*, const char*, int)
    {204, 3175, 114, 3, Smoke::mf_static, 405, 6},	//3883 Sonnet::BackgroundChecker::trUtf8(const char*, const char*, int)
    {204, 2317, 118, 3, Smoke::mf_virtual, 714, 7},	//3884 Sonnet::BackgroundChecker::qt_metacall(QMetaObject::Call, int, void**)
    {204, 36, 133, 1, Smoke::mf_ctor, 510, 8},	//3885 Sonnet::BackgroundChecker::BackgroundChecker(QObject*)
    {204, 36, 3173, 2, Smoke::mf_ctor, 510, 9},	//3886 Sonnet::BackgroundChecker::BackgroundChecker(const Sonnet::Speller&, QObject*)
    {204, 2914, 24, 1, 0, 0, 10},	//3887 Sonnet::BackgroundChecker::setText(const QString&)
    {204, 3127, 0, 0, Smoke::mf_const, 405, 11},	//3888 Sonnet::BackgroundChecker::text() const
    {204, 1226, 0, 0, Smoke::mf_const, 405, 12},	//3889 Sonnet::BackgroundChecker::currentContext() const
    {204, 2987, 0, 0, Smoke::mf_const, 511, 13},	//3890 Sonnet::BackgroundChecker::speller() const
    {204, 2902, 3176, 1, 0, 0, 14},	//3891 Sonnet::BackgroundChecker::setSpeller(const Sonnet::Speller&)
    {204, 1121, 24, 1, 0, 519, 15},	//3892 Sonnet::BackgroundChecker::checkWord(const QString&)
    {204, 3094, 24, 1, Smoke::mf_const, 410, 16},	//3893 Sonnet::BackgroundChecker::suggest(const QString&) const
    {204, 988, 24, 1, 0, 519, 17},	//3894 Sonnet::BackgroundChecker::addWordToPersonal(const QString&)
    {204, 2468, 548, 1, 0, 0, 18},	//3895 Sonnet::BackgroundChecker::restore(KConfig*)
    {204, 3003, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//3896 Sonnet::BackgroundChecker::start()
    {204, 3070, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//3897 Sonnet::BackgroundChecker::stop()
    {204, 2451, 3178, 3, Smoke::mf_slot, 0, 21},	//3898 Sonnet::BackgroundChecker::replace(int, const QString&, const QString&)
    {204, 1110, 24, 1, Smoke::mf_slot, 0, 22},	//3899 Sonnet::BackgroundChecker::changeLanguage(const QString&)
    {204, 1181, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//3900 Sonnet::BackgroundChecker::continueChecking()
    {204, 2053, 967, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//3901 Sonnet::BackgroundChecker::misspelling(const QString&, int)
    {204, 1382, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//3902 Sonnet::BackgroundChecker::done()
    {204, 1494, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 405, 26},	//3903 Sonnet::BackgroundChecker::fetchMoreText()
    {204, 1560, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//3904 Sonnet::BackgroundChecker::finishedCurrentFeed()
    {204, 2974, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 28},	//3905 Sonnet::BackgroundChecker::slotEngineDone()
    {204, 3168, 109, 1, Smoke::mf_static, 405, 29},	//3906 Sonnet::BackgroundChecker::tr(const char*)
    {204, 3175, 109, 1, Smoke::mf_static, 405, 30},	//3907 Sonnet::BackgroundChecker::trUtf8(const char*)
    {204, 36, 0, 0, Smoke::mf_ctor, 510, 31},	//3908 Sonnet::BackgroundChecker::BackgroundChecker()
    {204, 36, 3176, 1, Smoke::mf_ctor, 510, 32},	//3909 Sonnet::BackgroundChecker::BackgroundChecker(const Sonnet::Speller&)
    {204, 3064, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 666, 33},	//3910 Sonnet::BackgroundChecker::staticMetaObject() const
    {204, 3369, 0, 0, Smoke::mf_dtor, 0, 34 },	//3911 Sonnet::BackgroundChecker::~BackgroundChecker()
    {205, 717, 24, 1, Smoke::mf_ctor, 513, 1},	//3912 Sonnet::Speller::Speller(const QString&)
    {205, 717, 3176, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 513, 2},	//3913 Sonnet::Speller::Speller(const Sonnet::Speller&)
    {205, 2185, 3176, 1, 0, 512, 3},	//3914 Sonnet::Speller::operator=(const Sonnet::Speller&)
    {205, 1864, 0, 0, Smoke::mf_const, 519, 4},	//3915 Sonnet::Speller::isValid() const
    {205, 2693, 24, 1, 0, 0, 5},	//3916 Sonnet::Speller::setLanguage(const QString&)
    {205, 1941, 0, 0, Smoke::mf_const, 405, 6},	//3917 Sonnet::Speller::language() const
    {205, 1786, 24, 1, Smoke::mf_const, 519, 7},	//3918 Sonnet::Speller::isCorrect(const QString&) const
    {205, 1833, 24, 1, Smoke::mf_const, 519, 8},	//3919 Sonnet::Speller::isMisspelled(const QString&) const
    {205, 3094, 24, 1, Smoke::mf_const, 410, 9},	//3920 Sonnet::Speller::suggest(const QString&) const
    {205, 1117, 710, 2, Smoke::mf_const, 519, 10},	//3921 Sonnet::Speller::checkAndSuggest(const QString&, QStringList&) const
    {205, 3073, 89, 2, 0, 519, 11},	//3922 Sonnet::Speller::storeReplacement(const QString&, const QString&)
    {205, 984, 24, 1, 0, 519, 12},	//3923 Sonnet::Speller::addToPersonal(const QString&)
    {205, 986, 24, 1, 0, 519, 13},	//3924 Sonnet::Speller::addToSession(const QString&)
    {205, 2479, 548, 1, 0, 0, 14},	//3925 Sonnet::Speller::save(KConfig*)
    {205, 2468, 548, 1, 0, 0, 15},	//3926 Sonnet::Speller::restore(KConfig*)
    {205, 1057, 0, 0, Smoke::mf_const, 410, 16},	//3927 Sonnet::Speller::availableBackends() const
    {205, 1061, 0, 0, Smoke::mf_const, 410, 17},	//3928 Sonnet::Speller::availableLanguages() const
    {205, 1060, 0, 0, Smoke::mf_const, 410, 18},	//3929 Sonnet::Speller::availableLanguageNames() const
    {205, 1058, 0, 0, Smoke::mf_const, 384, 19},	//3930 Sonnet::Speller::availableDictionaries() const
    {205, 2620, 24, 1, 0, 0, 20},	//3931 Sonnet::Speller::setDefaultLanguage(const QString&)
    {205, 1315, 0, 0, Smoke::mf_const, 405, 21},	//3932 Sonnet::Speller::defaultLanguage() const
    {205, 2618, 24, 1, 0, 0, 22},	//3933 Sonnet::Speller::setDefaultClient(const QString&)
    {205, 1312, 0, 0, Smoke::mf_const, 405, 23},	//3934 Sonnet::Speller::defaultClient() const
    {205, 2535, 3182, 2, 0, 0, 24},	//3935 Sonnet::Speller::setAttribute(Sonnet::Speller::Attribute, bool)
    {205, 3125, 3185, 1, Smoke::mf_const, 519, 25},	//3936 Sonnet::Speller::testAttribute(Sonnet::Speller::Attribute) const
    {205, 717, 0, 0, Smoke::mf_ctor, 513, 26},	//3937 Sonnet::Speller::Speller()
    {205, 2535, 3185, 1, 0, 0, 27},	//3938 Sonnet::Speller::setAttribute(Sonnet::Speller::Attribute)
    {205, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 514, 28},	//3939 Sonnet::Speller::CheckUppercase (enum)
    {205, 704, 0, 0, Smoke::mf_static|Smoke::mf_enum, 514, 29},	//3940 Sonnet::Speller::SkipRunTogether (enum)
    {205, 3479, 0, 0, Smoke::mf_dtor, 0, 30 },	//3941 Sonnet::Speller::~Speller()
    {208, 1935, 0, 0, Smoke::mf_ctor, 717, 1},	//3942 kndbgstream::kndbgstream()
    {208, 1935, 3187, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 717, 2},	//3943 kndbgstream::kndbgstream(const kndbgstream&)
    {208, 3481, 0, 0, Smoke::mf_dtor, 0, 3 },	//3944 kndbgstream::~kndbgstream()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    2075,  // KPluginFactory::KPluginFactory(QObject*)
    2092,  // KPluginFactory::KPluginFactory(const KAboutData&)
    2093,  // KPluginFactory::KPluginFactory(const KAboutData*)
    2097,  // KPluginFactory::KPluginFactory(KPluginFactoryPrivate&)
    0,
    2073,  // KPluginFactory::KPluginFactory(const KAboutData&, QObject*)
    2074,  // KPluginFactory::KPluginFactory(const KAboutData*, QObject*)
    2079,  // KPluginFactory::KPluginFactory(KPluginFactoryPrivate&, QObject*)
    0,
    1052,  // KCurrencyCode::KCurrencyCode(const KCurrencyCode&)
    1076,  // KCurrencyCode::KCurrencyCode(const QFileInfo&)
    0,
    2542,  // KSslError::KSslError(const QSslError&)
    2543,  // KSslError::KSslError(const KSslError&)
    0,
    2902,  // KTimeZone::KTimeZone(const KTimeZone&)
    2939,  // KTimeZone::KTimeZone(KTimeZoneBackend*)
    0,
    614,  // KConfigGroup::KConfigGroup(KConfigBase*, const QString&)
    615,  // KConfigGroup::KConfigGroup(KConfigBase*, const char*)
    616,  // KConfigGroup::KConfigGroup(const KConfigBase*, const QString&)
    617,  // KConfigGroup::KConfigGroup(const KConfigBase*, const char*)
    0,
    618,  // KConfigGroup::KConfigGroup(const KSharedPtr<KSharedConfig>&, const QString&)
    619,  // KConfigGroup::KConfigGroup(const KSharedPtr<KSharedConfig>&, const char*)
    0,
    630,  // KConfigGroup::changeGroup(const QString&)
    631,  // KConfigGroup::changeGroup(const char*)
    0,
    628,  // KConfigGroup::config()
    629,  // KConfigGroup::config() const
    0,
    724,  // KConfigGroup::deleteEntry(const QString&)
    725,  // KConfigGroup::deleteEntry(const char*)
    0,
    677,  // KConfigGroup::deleteEntry(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    678,  // KConfigGroup::deleteEntry(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    637,  // KConfigGroup::deleteGroup(QFlags<KConfigBase::WriteConfigFlag>)
    698,  // KConfigGroup::deleteGroup(const QString&)
    699,  // KConfigGroup::deleteGroup(const char*)
    0,
    639,  // KConfigGroup::deleteGroup(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    640,  // KConfigGroup::deleteGroup(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    690,  // KConfigGroup::groupImpl(const QByteArray&)
    691,  // KConfigGroup::groupImpl(const QByteArray&) const
    0,
    686,  // KConfigGroup::hasDefault(const QString&) const
    687,  // KConfigGroup::hasDefault(const char*) const
    0,
    679,  // KConfigGroup::hasKey(const QString&) const
    680,  // KConfigGroup::hasKey(const char*) const
    0,
    682,  // KConfigGroup::isEntryImmutable(const QString&) const
    683,  // KConfigGroup::isEntryImmutable(const char*) const
    0,
    700,  // KConfigGroup::readEntry(const QString&) const
    701,  // KConfigGroup::readEntry(const char*) const
    0,
    641,  // KConfigGroup::readEntry(const QString&, const QVariant&) const
    642,  // KConfigGroup::readEntry(const char*, const QVariant&) const
    0,
    643,  // KConfigGroup::readEntry(const QString&, const QString&) const
    644,  // KConfigGroup::readEntry(const char*, const QString&) const
    645,  // KConfigGroup::readEntry(const QString&, const char*) const
    646,  // KConfigGroup::readEntry(const char*, const char*) const
    0,
    647,  // KConfigGroup::readEntry(const QString&, const QList<QVariant>&) const
    648,  // KConfigGroup::readEntry(const char*, const QList<QVariant>&) const
    649,  // KConfigGroup::readEntry(const QString&, const QStringList&) const
    650,  // KConfigGroup::readEntry(const char*, const QStringList&) const
    0,
    704,  // KConfigGroup::readEntryUntranslated(const QString&) const
    705,  // KConfigGroup::readEntryUntranslated(const char*) const
    0,
    657,  // KConfigGroup::readEntryUntranslated(const QString&, const QString&) const
    658,  // KConfigGroup::readEntryUntranslated(const char*, const QString&) const
    0,
    653,  // KConfigGroup::readPathEntry(const QString&, const QString&) const
    654,  // KConfigGroup::readPathEntry(const char*, const QString&) const
    0,
    655,  // KConfigGroup::readPathEntry(const QString&, const QStringList&) const
    656,  // KConfigGroup::readPathEntry(const char*, const QStringList&) const
    0,
    702,  // KConfigGroup::readXdgListEntry(const QString&) const
    703,  // KConfigGroup::readXdgListEntry(const char*) const
    0,
    651,  // KConfigGroup::readXdgListEntry(const QString&, const QStringList&) const
    652,  // KConfigGroup::readXdgListEntry(const char*, const QStringList&) const
    0,
    684,  // KConfigGroup::revertToDefault(const QString&)
    685,  // KConfigGroup::revertToDefault(const char*)
    0,
    706,  // KConfigGroup::writeEntry(const QString&, const QVariant&)
    707,  // KConfigGroup::writeEntry(const char*, const QVariant&)
    710,  // KConfigGroup::writeEntry(const QString&, const QByteArray&)
    711,  // KConfigGroup::writeEntry(const char*, const QByteArray&)
    0,
    659,  // KConfigGroup::writeEntry(const QString&, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>)
    660,  // KConfigGroup::writeEntry(const char*, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>)
    663,  // KConfigGroup::writeEntry(const QString&, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    664,  // KConfigGroup::writeEntry(const char*, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    708,  // KConfigGroup::writeEntry(const QString&, const QString&)
    709,  // KConfigGroup::writeEntry(const char*, const QString&)
    712,  // KConfigGroup::writeEntry(const QString&, const char*)
    713,  // KConfigGroup::writeEntry(const char*, const char*)
    0,
    661,  // KConfigGroup::writeEntry(const QString&, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    662,  // KConfigGroup::writeEntry(const char*, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    665,  // KConfigGroup::writeEntry(const QString&, const char*, QFlags<KConfigBase::WriteConfigFlag>)
    666,  // KConfigGroup::writeEntry(const char*, const char*, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    714,  // KConfigGroup::writeEntry(const QString&, const QStringList&)
    715,  // KConfigGroup::writeEntry(const char*, const QStringList&)
    716,  // KConfigGroup::writeEntry(const QString&, const QList<QVariant>&)
    717,  // KConfigGroup::writeEntry(const char*, const QList<QVariant>&)
    0,
    667,  // KConfigGroup::writeEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    668,  // KConfigGroup::writeEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    669,  // KConfigGroup::writeEntry(const QString&, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>)
    670,  // KConfigGroup::writeEntry(const char*, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    720,  // KConfigGroup::writePathEntry(const QString&, const QString&)
    721,  // KConfigGroup::writePathEntry(const char*, const QString&)
    0,
    673,  // KConfigGroup::writePathEntry(const QString&, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    674,  // KConfigGroup::writePathEntry(const char*, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    722,  // KConfigGroup::writePathEntry(const QString&, const QStringList&)
    723,  // KConfigGroup::writePathEntry(const char*, const QStringList&)
    0,
    675,  // KConfigGroup::writePathEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    676,  // KConfigGroup::writePathEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    718,  // KConfigGroup::writeXdgListEntry(const QString&, const QStringList&)
    719,  // KConfigGroup::writeXdgListEntry(const char*, const QStringList&)
    0,
    671,  // KConfigGroup::writeXdgListEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    672,  // KConfigGroup::writeXdgListEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    1429,  // KGlobal::staticQString(const QString&)
    1439,  // KGlobal::staticQString(const char*)
    0,
    556,  // KConfig::KConfig(KConfigPrivate&)
    560,  // KConfig::KConfig(const KComponentData&)
    0,
    559,  // KConfig::KConfig(const QString&, QFlags<KConfig::OpenFlag>)
    563,  // KConfig::KConfig(const QString&, const QString&)
    0,
    529,  // KConfig::KConfig(const QString&, QFlags<KConfig::OpenFlag>, const char*)
    531,  // KConfig::KConfig(const QString&, const QString&, const char*)
    0,
    552,  // KConfig::groupImpl(const QByteArray&)
    553,  // KConfig::groupImpl(const QByteArray&) const
    0,
    886,  // KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&)
    887,  // KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&)
    0,
    879,  // KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&, int)
    880,  // KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&, int)
    0,
    2528,  // KSslCipher::KSslCipher(const KSslCipher&)
    2529,  // KSslCipher::KSslCipher(const QSslCipher&)
    0,
    1982,  // KMacroExpanderBase::KMacroExpanderBase(QChar)
    1990,  // KMacroExpanderBase::KMacroExpanderBase(const KMacroExpanderBase&)
    0,
    2571,  // KSslKey::KSslKey(const KSslKey&)
    2572,  // KSslKey::KSslKey(const QSslKey&)
    0,
    486,  // KComponentData::KComponentData(const KComponentData&)
    501,  // KComponentData::KComponentData(const QByteArray&)
    503,  // KComponentData::KComponentData(const KAboutData&)
    504,  // KComponentData::KComponentData(const KAboutData*)
    0,
    491,  // KComponentData::KComponentData(const KAboutData&, KComponentData::MainComponentRegistration)
    492,  // KComponentData::KComponentData(const KAboutData*, KComponentData::MainComponentRegistration)
    0,
    602,  // KConfigBase::deleteGroup(const QString&)
    603,  // KConfigBase::deleteGroup(const char*)
    0,
    585,  // KConfigBase::deleteGroup(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    586,  // KConfigBase::deleteGroup(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    578,  // KConfigBase::group(const QByteArray&)
    581,  // KConfigBase::group(const QByteArray&) const
    0,
    579,  // KConfigBase::group(const QString&)
    580,  // KConfigBase::group(const char*)
    582,  // KConfigBase::group(const QString&) const
    583,  // KConfigBase::group(const char*) const
    0,
    596,  // KConfigBase::groupImpl(const QByteArray&)
    597,  // KConfigBase::groupImpl(const QByteArray&) const
    0,
    575,  // KConfigBase::hasGroup(const QString&) const
    576,  // KConfigBase::hasGroup(const char*) const
    0,
    592,  // KConfigBase::isGroupImmutable(const QString&) const
    593,  // KConfigBase::isGroupImmutable(const char*) const
    0,
    1609,  // KLocalSocket::connectToPath(const QString&, QFlags<QIODevice::OpenModeFlag>)
    1621,  // KLocalSocket::connectToPath(const QString&, KLocalSocket::LocalSocketType)
    0,
    209,  // KAutoSaveFile::KAutoSaveFile(QObject*)
    218,  // KAutoSaveFile::KAutoSaveFile(const KUrl&)
    0,
    3308,  // KWordMacroExpander::KWordMacroExpander(QChar)
    3312,  // KWordMacroExpander::KWordMacroExpander(const KWordMacroExpander&)
    0,
    91,  // KAboutPerson::KAboutPerson(const KAboutPerson&)
    97,  // KAboutPerson::KAboutPerson(const KLocalizedString&)
    0,
    1800,  // KLocale::formatDateTime(const QDateTime&) const
    1802,  // KLocale::formatDateTime(const KDateTime&) const
    0,
    1801,  // KLocale::formatDateTime(const QDateTime&, KLocale::DateFormat) const
    1803,  // KLocale::formatDateTime(const KDateTime&, KLocale::DateFormat) const
    0,
    1702,  // KLocale::formatDateTime(const QDateTime&, KLocale::DateFormat, bool) const
    1703,  // KLocale::formatDateTime(const KDateTime&, KLocale::DateFormat, QFlags<KLocale::DateTimeFormatOption>) const
    0,
    1794,  // KLocale::formatNumber(double) const
    1795,  // KLocale::formatNumber(const QString&) const
    0,
    1691,  // KLocale::formatNumber(double, int) const
    1796,  // KLocale::formatNumber(const QString&, bool) const
    0,
    1718,  // KLocale::readDate(const QString&, bool*) const
    1810,  // KLocale::readDate(const QString&, const QString&) const
    1811,  // KLocale::readDate(const QString&, KLocale::ReadDateFlags) const
    0,
    1719,  // KLocale::readDate(const QString&, const QString&, bool*) const
    1720,  // KLocale::readDate(const QString&, KLocale::ReadDateFlags, bool*) const
    0,
    1721,  // KLocale::readTime(const QString&, bool*) const
    1813,  // KLocale::readTime(const QString&, KLocale::ReadTimeFlags) const
    0,
    1247,  // KDebug::hasNullOutputQtDebugMsg(int)
    1255,  // KDebug::hasNullOutputQtDebugMsg(bool)
    0,
    3153,  // KUrl::KUrl(const QByteArray&)
    3154,  // KUrl::KUrl(const KUrl&)
    3155,  // KUrl::KUrl(const QUrl&)
    0,
    3151,  // KUrl::KUrl(const QString&)
    3152,  // KUrl::KUrl(const char*)
    0,
    3202,  // KUrl::operator=(const KUrl&)
    3204,  // KUrl::operator=(const QByteArray&)
    0,
    3203,  // KUrl::operator=(const char*)
    3205,  // KUrl::operator=(const QString&)
    0,
    3294,  // KUserGroup::KUserGroup(const group*)
    3295,  // KUserGroup::KUserGroup(const KUserGroup&)
    0,
    3290,  // KUserGroup::KUserGroup(const QString&)
    3291,  // KUserGroup::KUserGroup(const char*)
    3292,  // KUserGroup::KUserGroup(KUser::UIDMode)
    3293,  // KUserGroup::KUserGroup(unsigned int)
    0,
    2566,  // KSslErrorUiData::KSslErrorUiData(const KTcpSocket*)
    2567,  // KSslErrorUiData::KSslErrorUiData(const KSslErrorUiData&)
    0,
    138,  // KAuth::ActionReply::ActionReply(KAuth::ActionReply::Type)
    139,  // KAuth::ActionReply::ActionReply(int)
    0,
    2788,  // KTcpSocket::connectToHost(const KUrl&, KTcpSocket::ProxyPolicy)
    2844,  // KTcpSocket::connectToHost(const QHostAddress&, unsigned short)
    0,
    465,  // KCmdLineOptions::add(const KCmdLineOptions&)
    466,  // KCmdLineOptions::add(const QByteArray&)
    0,
    793,  // KCoreConfigSkeleton::config()
    794,  // KCoreConfigSkeleton::config() const
    0,
    799,  // KCoreConfigSkeleton::findItem(const QString&)
    800,  // KCoreConfigSkeleton::findItem(const QString&) const
    0,
    797,  // KCoreConfigSkeleton::isImmutable(const QString&)
    798,  // KCoreConfigSkeleton::isImmutable(const QString&) const
    0,
    2519,  // KSocketFactory::connectToHost(const QUrl&, QObject*)
    2521,  // KSocketFactory::connectToHost(QTcpSocket*, const QUrl&)
    0,
    2588,  // KStandardDirs::addResourceType(const char*, const QString&, bool)
    2624,  // KStandardDirs::addResourceType(const char*, const char*, const QString&)
    2625,  // KStandardDirs::addResourceType(const char*, const char*, const char*)
    0,
    2589,  // KStandardDirs::addResourceType(const char*, const char*, const QString&, bool)
    2590,  // KStandardDirs::addResourceType(const char*, const char*, const char*, bool)
    0,
    3462,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    3497,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    3499,  // QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    3504,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    3541,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    3560,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    3573,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    3577,  // QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    3609,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    3613,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    3646,  // QGlobalSpace::operator!=(QChar, QChar)
    3673,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    3709,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    3723,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    3752,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    3754,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    3785,  // QGlobalSpace::operator!=(QBool, QBool)
    3794,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    3449,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    3470,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    3480,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    3655,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    3751,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    3536,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    3588,  // QGlobalSpace::operator!=(bool, QBool)
    3612,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    3652,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    3737,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    3761,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    3678,  // QGlobalSpace::operator*(const QSize&, double)
    3738,  // QGlobalSpace::operator*(const QPoint&, double)
    3743,  // QGlobalSpace::operator*(const QSizeF&, double)
    3757,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    3459,  // QGlobalSpace::operator*(double, const QSizeF&)
    3675,  // QGlobalSpace::operator*(double, const QPointF&)
    3680,  // QGlobalSpace::operator*(double, const QPoint&)
    3747,  // QGlobalSpace::operator*(double, const QSize&)
    0,
    3476,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    3487,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    3491,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    3551,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    3581,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    0,
    3505,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    3511,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    3531,  // QGlobalSpace::operator+(QChar, const QString&)
    3617,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    3430,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    3478,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    3503,  // QGlobalSpace::operator+(const QString&, QChar)
    3661,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    3508,  // QGlobalSpace::operator+(const QString&, const char*)
    3539,  // QGlobalSpace::operator+(const QString&, char)
    3576,  // QGlobalSpace::operator+(char, const QString&)
    3667,  // QGlobalSpace::operator+(const char*, const QString&)
    3784,  // QGlobalSpace::operator+(const QString&, const QString&)
    0,
    3554,  // QGlobalSpace::operator-(const QPoint&)
    3600,  // QGlobalSpace::operator-(const QPointF&)
    0,
    3463,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    3479,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    3542,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    3665,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    3475,  // QGlobalSpace::operator/(const QPoint&, double)
    3587,  // QGlobalSpace::operator/(const QPointF&, double)
    3623,  // QGlobalSpace::operator/(const QSizeF&, double)
    3729,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    3447,  // QGlobalSpace::operator<(QChar, QChar)
    3493,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    3501,  // QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    3545,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    3749,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    3760,  // QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    0,
    3452,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    3614,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    3421,  // QGlobalSpace::operator<<(QDataStream&, const KServiceAction&)
    3445,  // QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    3446,  // QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    3451,  // QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    3457,  // QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    3465,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    3469,  // QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    3521,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    3522,  // QGlobalSpace::operator<<(QDataStream&, const KProtocolInfo::ExtraField&)
    3547,  // QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    3548,  // QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    3556,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    3569,  // QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    3584,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    3594,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    3610,  // QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    3625,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    3629,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    3638,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    3645,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    3663,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    3681,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    3703,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    3704,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    3714,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    3716,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    3718,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    3731,  // QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    3748,  // QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    3764,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    3770,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    3777,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    3778,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    3795,  // QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    3798,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    3583,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    3762,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    3450,  // QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    3616,  // QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    3654,  // QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    0,
    3520,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    3528,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    3628,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    3719,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    3627,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    3657,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    0,
    3429,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    3432,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    3441,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    3442,  // QGlobalSpace::operator==(QChar, QChar)
    3443,  // QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    3514,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    3524,  // QGlobalSpace::operator==(QBool, QBool)
    3543,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    3553,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    3558,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    3570,  // QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    3580,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    3589,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    3615,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    3626,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    3677,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    3687,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    3711,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    3732,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    3741,  // QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    0,
    3428,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    3579,  // QGlobalSpace::operator==(QString::Null, const QString&)
    3742,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    3744,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    3774,  // QGlobalSpace::operator==(QBool, bool)
    0,
    3426,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    3437,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    3525,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    3603,  // QGlobalSpace::operator==(bool, QBool)
    3637,  // QGlobalSpace::operator==(const QString&, QString::Null)
    3649,  // QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    3662,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    0,
    3455,  // QGlobalSpace::operator>(QChar, QChar)
    3509,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    3517,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    3571,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    3438,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    3495,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    0,
    3422,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    3448,  // QGlobalSpace::operator>=(QChar, QChar)
    3624,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    3693,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    3606,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    3789,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    0,
    3427,  // QGlobalSpace::operator>>(QDataStream&, KProtocolInfo::ExtraField&)
    3433,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    3464,  // QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    3502,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    3523,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    3534,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    3540,  // QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    3572,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    3578,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    3591,  // QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    3592,  // QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    3593,  // QGlobalSpace::operator>>(QDataStream&, KServiceAction&)
    3596,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    3622,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    3632,  // QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    3633,  // QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    3640,  // QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    3650,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    3656,  // QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    3660,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    3664,  // QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    3666,  // QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    3669,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    3692,  // QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    3707,  // QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    3712,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    3720,  // QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    3725,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    3735,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    3753,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    3769,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    3775,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    3776,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    3791,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    3797,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    3631,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    3727,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    3423,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    3424,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    3431,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    3436,  // QGlobalSpace::operator|(QNetworkProxy::Capability, int)
    3440,  // QGlobalSpace::operator|(KUrl::EqualsOption, int)
    3444,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    3453,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    3454,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    3456,  // QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    3458,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    3460,  // QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    3461,  // QGlobalSpace::operator|(QDir::Filter, int)
    3466,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    3467,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    3468,  // QGlobalSpace::operator|(KConfig::OpenFlag, QFlags<KConfig::OpenFlag>)
    3472,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    3473,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    3474,  // QGlobalSpace::operator|(QFile::Permission, int)
    3477,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    3481,  // QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, int)
    3482,  // QGlobalSpace::operator|(KLockFile::LockFlag, int)
    3483,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    3484,  // QGlobalSpace::operator|(QNetworkProxy::Capability, QNetworkProxy::Capability)
    3486,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    3488,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    3489,  // QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    3490,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    3492,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    3494,  // QGlobalSpace::operator|(QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>)
    3496,  // QGlobalSpace::operator|(KLocale::TimeProcessingOption, int)
    3498,  // QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    3500,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    3506,  // QGlobalSpace::operator|(KShell::Option, QFlags<KShell::Option>)
    3507,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    3510,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    3512,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    3515,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    3518,  // QGlobalSpace::operator|(KConfig::OpenFlag, KConfig::OpenFlag)
    3519,  // QGlobalSpace::operator|(KAutostart::Condition, int)
    3526,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    3529,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    3530,  // QGlobalSpace::operator|(KLocale::DateTimeFormatOption, int)
    3532,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    3533,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    3535,  // QGlobalSpace::operator|(KShell::Option, KShell::Option)
    3537,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    3538,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    3544,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    3546,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    3549,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    3550,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    3552,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    3555,  // QGlobalSpace::operator|(Qt::DropAction, int)
    3557,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    3559,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    3561,  // QGlobalSpace::operator|(KJob::Capability, int)
    3562,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    3563,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    3564,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    3566,  // QGlobalSpace::operator|(KStandardDirs::SearchOption, QFlags<KStandardDirs::SearchOption>)
    3567,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    3568,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    3574,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    3575,  // QGlobalSpace::operator|(KLocale::DateTimeFormatOption, QFlags<KLocale::DateTimeFormatOption>)
    3585,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    3586,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag)
    3595,  // QGlobalSpace::operator|(KLocale::TimeFormatOption, int)
    3597,  // QGlobalSpace::operator|(KLocale::TimeFormatOption, QFlags<KLocale::TimeFormatOption>)
    3598,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    3599,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    3601,  // QGlobalSpace::operator|(KLocale::TimeFormatOption, KLocale::TimeFormatOption)
    3602,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    3604,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>)
    3607,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    3608,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    3611,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    3618,  // QGlobalSpace::operator|(KLocale::TimeProcessingOption, QFlags<KLocale::TimeProcessingOption>)
    3619,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    3621,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    3634,  // QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    3635,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    3636,  // QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, KCurrencyCode::CurrencyStatus)
    3641,  // QGlobalSpace::operator|(KJob::Capability, KJob::Capability)
    3642,  // QGlobalSpace::operator|(KLockFile::LockFlag, QFlags<KLockFile::LockFlag>)
    3643,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    3644,  // QGlobalSpace::operator|(KAutostart::Condition, QFlags<KAutostart::Condition>)
    3647,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    3648,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, QDBusConnection::RegisterOption)
    3653,  // QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    3658,  // QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, QFlags<KCmdLineArgs::StdCmdLineArg>)
    3659,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    3668,  // QGlobalSpace::operator|(Qt::WindowState, int)
    3670,  // QGlobalSpace::operator|(KAutostart::Condition, KAutostart::Condition)
    3671,  // QGlobalSpace::operator|(KJob::Capability, QFlags<KJob::Capability>)
    3672,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    3674,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    3676,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    3679,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    3682,  // QGlobalSpace::operator|(KStandardDirs::SearchOption, int)
    3683,  // QGlobalSpace::operator|(KConfig::OpenFlag, int)
    3684,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    3685,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    3686,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    3688,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    3689,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    3690,  // QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, QFlags<KCurrencyCode::CurrencyStatus>)
    3691,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    3695,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    3698,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    3699,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    3700,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    3701,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    3702,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    3708,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    3710,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    3715,  // QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, KCmdLineArgs::StdCmdLineArg)
    3717,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    3721,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    3722,  // QGlobalSpace::operator|(KLockFile::LockFlag, KLockFile::LockFlag)
    3724,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    3726,  // QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    3728,  // QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    3730,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    3736,  // QGlobalSpace::operator|(Qt::Orientation, int)
    3739,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    3740,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    3745,  // QGlobalSpace::operator|(KLocale::TimeProcessingOption, KLocale::TimeProcessingOption)
    3746,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, int)
    3750,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    3755,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    3756,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    3758,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    3759,  // QGlobalSpace::operator|(KStandardDirs::SearchOption, KStandardDirs::SearchOption)
    3763,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    3765,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    3766,  // QGlobalSpace::operator|(Qt::WindowType, int)
    3767,  // QGlobalSpace::operator|(KLocale::DateTimeFormatOption, KLocale::DateTimeFormatOption)
    3771,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    3772,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, int)
    3773,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    3779,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    3781,  // QGlobalSpace::operator|(KShell::Option, int)
    3783,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    3786,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    3788,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    3793,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    3796,  // QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, int)
    0,
    1950,  // KMD5::update(const QByteArray&)
    1951,  // KMD5::update(QIODevice&)
    0,
    1963,  // KMD5::update(const char*)
    1964,  // KMD5::update(const unsigned char*)
    0,
    1948,  // KMD5::update(const char*, int)
    1949,  // KMD5::update(const unsigned char*, int)
    0,
    3885,  // Sonnet::BackgroundChecker::BackgroundChecker(QObject*)
    3909,  // Sonnet::BackgroundChecker::BackgroundChecker(const Sonnet::Speller&)
    0,
    1901,  // KLocalizedString::subs(int) const
    1904,  // KLocalizedString::subs(unsigned int) const
    1907,  // KLocalizedString::subs(long) const
    1910,  // KLocalizedString::subs(unsigned long) const
    1913,  // KLocalizedString::subs(long long) const
    1916,  // KLocalizedString::subs(unsigned long long) const
    1919,  // KLocalizedString::subs(double) const
    1925,  // KLocalizedString::subs(const QString&) const
    0,
    1902,  // KLocalizedString::subs(int, int) const
    1905,  // KLocalizedString::subs(unsigned int, int) const
    1908,  // KLocalizedString::subs(long, int) const
    1911,  // KLocalizedString::subs(unsigned long, int) const
    1914,  // KLocalizedString::subs(long long, int) const
    1917,  // KLocalizedString::subs(unsigned long long, int) const
    1920,  // KLocalizedString::subs(double, int) const
    1926,  // KLocalizedString::subs(const QString&, int) const
    0,
    1903,  // KLocalizedString::subs(int, int, int) const
    1906,  // KLocalizedString::subs(unsigned int, int, int) const
    1909,  // KLocalizedString::subs(long, int, int) const
    1912,  // KLocalizedString::subs(unsigned long, int, int) const
    1915,  // KLocalizedString::subs(long long, int, int) const
    1918,  // KLocalizedString::subs(unsigned long long, int, int) const
    1921,  // KLocalizedString::subs(double, int, char) const
    0,
    1890,  // KLocalizedString::subs(int, int, int, const QChar&) const
    1891,  // KLocalizedString::subs(unsigned int, int, int, const QChar&) const
    1892,  // KLocalizedString::subs(long, int, int, const QChar&) const
    1893,  // KLocalizedString::subs(unsigned long, int, int, const QChar&) const
    1894,  // KLocalizedString::subs(long long, int, int, const QChar&) const
    1895,  // KLocalizedString::subs(unsigned long long, int, int, const QChar&) const
    0,
    2648,  // KStringHandler::perlSplit(const QChar&, const QString&)
    2650,  // KStringHandler::perlSplit(const QRegExp&, const QString&)
    0,
    2647,  // KStringHandler::perlSplit(const QChar&, const QString&, int)
    2649,  // KStringHandler::perlSplit(const QRegExp&, const QString&, int)
    0,
    272,  // KCalendarSystem::KCalendarSystem(const KLocale*)
    383,  // KCalendarSystem::KCalendarSystem(KCalendarSystemPrivate&)
    0,
    335,  // KCalendarSystem::formatDate(const QDate&, KLocale::DateFormat) const
    378,  // KCalendarSystem::formatDate(const QDate&, const QString&) const
    0,
    336,  // KCalendarSystem::formatDate(const QDate&, const QString&, KLocale::DateTimeFormatStandard) const
    379,  // KCalendarSystem::formatDate(const QDate&, const QString&, KLocale::DigitSet) const
    0,
    338,  // KCalendarSystem::readDate(const QString&, bool*) const
    381,  // KCalendarSystem::readDate(const QString&, KLocale::ReadDateFlags) const
    382,  // KCalendarSystem::readDate(const QString&, const QString&) const
    0,
    339,  // KCalendarSystem::readDate(const QString&, KLocale::ReadDateFlags, bool*) const
    340,  // KCalendarSystem::readDate(const QString&, const QString&, bool*) const
    0,
    394,  // KCharMacroExpander::KCharMacroExpander(QChar)
    398,  // KCharMacroExpander::KCharMacroExpander(const KCharMacroExpander&)
    0,
    1221,  // KDateTime::Spec::Spec(const KTimeZone&)
    1223,  // KDateTime::Spec::Spec(const KDateTime::Spec&)
    0,
    2455,  // KServiceType::KServiceType(KDesktopFile*)
    2470,  // KServiceType::KServiceType(KServiceTypePrivate&)
    0,
    1967,  // KMacroExpander::expandMacros(const QString&, const QHash<QString,QString>&)
    1971,  // KMacroExpander::expandMacros(const QString&, const QHash<QChar,QStringList>&)
    1975,  // KMacroExpander::expandMacros(const QString&, const QHash<QChar,QString>&)
    1977,  // KMacroExpander::expandMacros(const QString&, const QHash<QString,QStringList>&)
    0,
    1966,  // KMacroExpander::expandMacros(const QString&, const QHash<QString,QString>&, QChar)
    1970,  // KMacroExpander::expandMacros(const QString&, const QHash<QChar,QStringList>&, QChar)
    1974,  // KMacroExpander::expandMacros(const QString&, const QHash<QChar,QString>&, QChar)
    1976,  // KMacroExpander::expandMacros(const QString&, const QHash<QString,QStringList>&, QChar)
    0,
    1969,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QStringList>&)
    1973,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QString>&)
    1979,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QString>&)
    1981,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QStringList>&)
    0,
    1968,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QStringList>&, QChar)
    1972,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QString>&, QChar)
    1978,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QString>&, QChar)
    1980,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QStringList>&, QChar)
    0,
    2047,  // KMimeType::findByContent(const QByteArray&)
    2050,  // KMimeType::findByContent(QIODevice*)
    0,
    2013,  // KMimeType::findByContent(const QByteArray&, int*)
    2015,  // KMimeType::findByContent(QIODevice*, int*)
    0,
    2048,  // KMimeType::findByNameAndContent(const QString&, const QByteArray&)
    2051,  // KMimeType::findByNameAndContent(const QString&, QIODevice*)
    0,
    2049,  // KMimeType::findByNameAndContent(const QString&, const QByteArray&, unsigned int)
    2052,  // KMimeType::findByNameAndContent(const QString&, QIODevice*, unsigned int)
    0,
    2014,  // KMimeType::findByNameAndContent(const QString&, const QByteArray&, unsigned int, int*)
    2016,  // KMimeType::findByNameAndContent(const QString&, QIODevice*, unsigned int, int*)
    0,
    2190,  // KProcess::execute(int)
    2204,  // KProcess::execute(const QString&)
    0,
    3263,  // KUser::KUser(const passwd*)
    3264,  // KUser::KUser(const KUser&)
    0,
    3259,  // KUser::KUser(KUser::UIDMode)
    3260,  // KUser::KUser(unsigned int)
    3261,  // KUser::KUser(const QString&)
    3262,  // KUser::KUser(const char*)
    0,
    1276,  // KDesktopFile::actionGroup(const QString&)
    1277,  // KDesktopFile::actionGroup(const QString&) const
    0,
    1129,  // KDateTime::KDateTime(const QDateTime&)
    1130,  // KDateTime::KDateTime(const KDateTime&)
    1192,  // KDateTime::KDateTime(const QDate&)
    0,
    1126,  // KDateTime::KDateTime(const QDate&, const KDateTime::Spec&)
    1128,  // KDateTime::KDateTime(const QDateTime&, const KDateTime::Spec&)
    1193,  // KDateTime::KDateTime(const QDate&, const QTime&)
    0,
    1196,  // KDateTime::fromString(const QString&, KDateTime::TimeFormat)
    1197,  // KDateTime::fromString(const QString&, const QString&)
    0,
    1176,  // KDateTime::toString(const QString&) const
    1177,  // KDateTime::toString(KDateTime::TimeFormat) const
    0,
    1153,  // KDateTime::toTimeSpec(const KDateTime::Spec&) const
    1154,  // KDateTime::toTimeSpec(const KDateTime&) const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 133, 81},	// KAboutData::FullName
    {1, 259, 2},	// KAboutData::KAboutData#
    {1, 260, 55},	// KAboutData::KAboutData####
    {1, 261, 56},	// KAboutData::KAboutData#####
    {1, 262, 57},	// KAboutData::KAboutData#####$
    {1, 263, 58},	// KAboutData::KAboutData#####$#
    {1, 264, 59},	// KAboutData::KAboutData#####$##
    {1, 265, 60},	// KAboutData::KAboutData#####$###
    {1, 266, 1},	// KAboutData::KAboutData#####$####
    {1, 560, 75},	// KAboutData::License_Artistic
    {1, 561, 74},	// KAboutData::License_BSD
    {1, 562, 67},	// KAboutData::License_Custom
    {1, 563, 68},	// KAboutData::License_File
    {1, 564, 70},	// KAboutData::License_GPL
    {1, 565, 71},	// KAboutData::License_GPL_V2
    {1, 566, 78},	// KAboutData::License_GPL_V3
    {1, 567, 72},	// KAboutData::License_LGPL
    {1, 568, 73},	// KAboutData::License_LGPL_V2
    {1, 569, 79},	// KAboutData::License_LGPL_V3
    {1, 570, 76},	// KAboutData::License_QPL
    {1, 571, 77},	// KAboutData::License_QPL_V1_0
    {1, 572, 69},	// KAboutData::License_Unknown
    {1, 699, 80},	// KAboutData::ShortName
    {1, 822, 44},	// KAboutData::aboutTranslationTeam
    {1, 843, 61},	// KAboutData::addAuthor#
    {1, 844, 62},	// KAboutData::addAuthor##
    {1, 845, 63},	// KAboutData::addAuthor###
    {1, 846, 4},	// KAboutData::addAuthor####
    {1, 859, 64},	// KAboutData::addCredit#
    {1, 860, 65},	// KAboutData::addCredit##
    {1, 861, 66},	// KAboutData::addCredit###
    {1, 862, 5},	// KAboutData::addCredit####
    {1, 950, 19},	// KAboutData::addLicense$
    {1, 952, 8},	// KAboutData::addLicenseText#
    {1, 954, 10},	// KAboutData::addLicenseTextFile$
    {1, 1026, 26},	// KAboutData::appName
    {1, 1046, 41},	// KAboutData::authors
    {1, 1078, 39},	// KAboutData::bugAddress
    {1, 1102, 37},	// KAboutData::catalogName
    {1, 1194, 49},	// KAboutData::copyrightStatement
    {1, 1215, 42},	// KAboutData::credits
    {1, 1236, 50},	// KAboutData::customAuthorPlainText
    {1, 1237, 51},	// KAboutData::customAuthorRichText
    {1, 1238, 52},	// KAboutData::customAuthorTextEnabled
    {1, 1700, 38},	// KAboutData::homepage
    {1, 1741, 40},	// KAboutData::internalBugAddress
    {1, 1742, 30},	// KAboutData::internalProgramName
    {1, 1743, 35},	// KAboutData::internalVersion
    {1, 1958, 46},	// KAboutData::license
    {1, 1960, 47},	// KAboutData::licenseName$
    {1, 1961, 48},	// KAboutData::licenses
    {1, 2186, 3},	// KAboutData::operator=#
    {1, 2216, 29},	// KAboutData::organizationDomain
    {1, 2217, 45},	// KAboutData::otherText
    {1, 2284, 27},	// KAboutData::productName
    {1, 2286, 32},	// KAboutData::programIconName
    {1, 2287, 33},	// KAboutData::programLogo
    {1, 2288, 28},	// KAboutData::programName
    {1, 2532, 11},	// KAboutData::setAppName#
    {1, 2553, 23},	// KAboutData::setBugAddress#
    {1, 2561, 17},	// KAboutData::setCatalogName#
    {1, 2575, 20},	// KAboutData::setCopyrightStatement#
    {1, 2585, 53},	// KAboutData::setCustomAuthorText##
    {1, 2678, 22},	// KAboutData::setHomepage#
    {1, 2704, 18},	// KAboutData::setLicense$
    {1, 2706, 7},	// KAboutData::setLicenseText#
    {1, 2708, 9},	// KAboutData::setLicenseTextFile$
    {1, 2816, 24},	// KAboutData::setOrganizationDomain#
    {1, 2820, 21},	// KAboutData::setOtherText#
    {1, 2856, 25},	// KAboutData::setProductName#
    {1, 2862, 13},	// KAboutData::setProgramIconName$
    {1, 2864, 14},	// KAboutData::setProgramLogo#
    {1, 2866, 12},	// KAboutData::setProgramName#
    {1, 2892, 16},	// KAboutData::setShortDescription#
    {1, 2933, 6},	// KAboutData::setTranslator##
    {1, 2943, 15},	// KAboutData::setVersion#
    {1, 2962, 36},	// KAboutData::shortDescription
    {1, 3196, 31},	// KAboutData::translateInternalProgramName
    {1, 3209, 43},	// KAboutData::translators
    {1, 3224, 54},	// KAboutData::unsetCustomAuthorText
    {1, 3272, 34},	// KAboutData::version
    {1, 3393, 82},	// KAboutData::~KAboutData
    {2, 268, 83},	// KAboutLicense::KAboutLicense#
    {2, 1080, 88},	// KAboutLicense::byKeyword$
    {2, 1917, 87},	// KAboutLicense::key
    {2, 2090, 86},	// KAboutLicense::name$
    {2, 2186, 84},	// KAboutLicense::operator=#
    {2, 3127, 85},	// KAboutLicense::text
    {2, 3394, 89},	// KAboutLicense::~KAboutLicense
    {3, 270, -213},	// KAboutPerson::KAboutPerson#
    {3, 271, 98},	// KAboutPerson::KAboutPerson##
    {3, 272, 99},	// KAboutPerson::KAboutPerson###
    {3, 273, 90},	// KAboutPerson::KAboutPerson####
    {3, 1386, 95},	// KAboutPerson::emailAddress
    {3, 2089, 93},	// KAboutPerson::name
    {3, 2186, 92},	// KAboutPerson::operator=#
    {3, 3121, 94},	// KAboutPerson::task
    {3, 3299, 96},	// KAboutPerson::webAddress
    {3, 3395, 100},	// KAboutPerson::~KAboutPerson
    {4, 4, 101},	// KAuth::Action::Action
    {4, 5, 102},	// KAuth::Action::Action#
    {4, 6, 103},	// KAuth::Action::Action$
    {4, 7, 104},	// KAuth::Action::Action$$
    {4, 28, 134},	// KAuth::Action::AuthRequired
    {4, 31, 133},	// KAuth::Action::Authorized
    {4, 89, 130},	// KAuth::Action::Denied
    {4, 111, 131},	// KAuth::Action::Error
    {4, 161, 132},	// KAuth::Action::Invalid
    {4, 791, 135},	// KAuth::Action::UserCancelled
    {4, 841, 119},	// KAuth::Action::addArgument$#
    {4, 1032, 118},	// KAuth::Action::arguments
    {4, 1036, 120},	// KAuth::Action::authorize
    {4, 1350, 111},	// KAuth::Action::details
    {4, 1384, 121},	// KAuth::Action::earlyAuthorize
    {4, 1452, 123},	// KAuth::Action::execute
    {4, 1453, 124},	// KAuth::Action::execute$
    {4, 1459, 127},	// KAuth::Action::executeActions??$
    {4, 1460, 126},	// KAuth::Action::executesAsync
    {4, 1668, 115},	// KAuth::Action::hasHelper
    {4, 1696, 113},	// KAuth::Action::helperID
    {4, 1864, 112},	// KAuth::Action::isValid
    {4, 2089, 108},	// KAuth::Action::name
    {4, 2146, 107},	// KAuth::Action::operator!=#
    {4, 2186, 105},	// KAuth::Action::operator=#
    {4, 2189, 106},	// KAuth::Action::operator==#
    {4, 2534, 117},	// KAuth::Action::setArguments?
    {4, 2626, 110},	// KAuth::Action::setDetails$
    {4, 2655, 125},	// KAuth::Action::setExecutesAsync$
    {4, 2676, 114},	// KAuth::Action::setHelperID$
    {4, 2806, 109},	// KAuth::Action::setName$
    {4, 3067, 122},	// KAuth::Action::status
    {4, 3070, 128},	// KAuth::Action::stop
    {4, 3071, 129},	// KAuth::Action::stop$
    {4, 3297, 116},	// KAuth::Action::watcher
    {4, 3366, 136},	// KAuth::Action::~Action
    {5, 8, 137},	// KAuth::ActionReply::ActionReply
    {5, 9, 140},	// KAuth::ActionReply::ActionReply#
    {5, 10, -268},	// KAuth::ActionReply::ActionReply$
    {5, 29, 172},	// KAuth::ActionReply::AuthorizationDenied
    {5, 30, 161},	// KAuth::ActionReply::AuthorizationDeniedReply
    {5, 77, 175},	// KAuth::ActionReply::DBusError
    {5, 78, 164},	// KAuth::ActionReply::DBusErrorReply
    {5, 140, 174},	// KAuth::ActionReply::HelperBusy
    {5, 141, 163},	// KAuth::ActionReply::HelperBusyReply
    {5, 142, 166},	// KAuth::ActionReply::HelperError
    {5, 143, 157},	// KAuth::ActionReply::HelperErrorReply
    {5, 162, 171},	// KAuth::ActionReply::InvalidAction
    {5, 163, 160},	// KAuth::ActionReply::InvalidActionReply
    {5, 274, 165},	// KAuth::ActionReply::KAuthError
    {5, 601, 168},	// KAuth::ActionReply::NoError
    {5, 606, 169},	// KAuth::ActionReply::NoResponder
    {5, 607, 158},	// KAuth::ActionReply::NoResponderReply
    {5, 609, 170},	// KAuth::ActionReply::NoSuchAction
    {5, 610, 159},	// KAuth::ActionReply::NoSuchActionReply
    {5, 731, 167},	// KAuth::ActionReply::Success
    {5, 732, 156},	// KAuth::ActionReply::SuccessReply
    {5, 791, 173},	// KAuth::ActionReply::UserCancelled
    {5, 792, 162},	// KAuth::ActionReply::UserCancelledReply
    {5, 866, 143},	// KAuth::ActionReply::addData$#
    {5, 1241, 142},	// KAuth::ActionReply::data
    {5, 1345, 152},	// KAuth::ActionReply::deserialize#
    {5, 1436, 147},	// KAuth::ActionReply::errorCode
    {5, 1437, 149},	// KAuth::ActionReply::errorDescription
    {5, 1488, 146},	// KAuth::ActionReply::failed
    {5, 2146, 155},	// KAuth::ActionReply::operator!=#
    {5, 2186, 153},	// KAuth::ActionReply::operator=#
    {5, 2189, 154},	// KAuth::ActionReply::operator==#
    {5, 2497, 151},	// KAuth::ActionReply::serialized
    {5, 2591, 141},	// KAuth::ActionReply::setData?
    {5, 2645, 148},	// KAuth::ActionReply::setErrorCode$
    {5, 2647, 150},	// KAuth::ActionReply::setErrorDescription$
    {5, 3093, 145},	// KAuth::ActionReply::succeeded
    {5, 3211, 144},	// KAuth::ActionReply::type
    {5, 3367, 176},	// KAuth::ActionReply::~ActionReply
    {6, 828, 185},	// KAuth::ActionWatcher::action
    {6, 832, 187},	// KAuth::ActionWatcher::actionPerformed#
    {6, 833, 186},	// KAuth::ActionWatcher::actionStarted
    {6, 2048, 177},	// KAuth::ActionWatcher::metaObject
    {6, 2290, 188},	// KAuth::ActionWatcher::progressStep$
    {6, 2291, 189},	// KAuth::ActionWatcher::progressStep?
    {6, 2318, 183},	// KAuth::ActionWatcher::qt_metacall$$?
    {6, 2320, 178},	// KAuth::ActionWatcher::qt_metacast$
    {6, 3064, 193},	// KAuth::ActionWatcher::staticMetaObject
    {6, 3069, 190},	// KAuth::ActionWatcher::statusChanged$
    {6, 3169, 191},	// KAuth::ActionWatcher::tr$
    {6, 3170, 179},	// KAuth::ActionWatcher::tr$$
    {6, 3171, 181},	// KAuth::ActionWatcher::tr$$$
    {6, 3176, 192},	// KAuth::ActionWatcher::trUtf8$
    {6, 3177, 180},	// KAuth::ActionWatcher::trUtf8$$
    {6, 3178, 182},	// KAuth::ActionWatcher::trUtf8$$$
    {6, 3298, 184},	// KAuth::ActionWatcher::watcher$
    {6, 3368, 194},	// KAuth::ActionWatcher::~ActionWatcher
    {7, 1022, 199},	// KAuthorized::allowUrlAction$##
    {7, 1037, 196},	// KAuthorized::authorize$
    {7, 1039, 200},	// KAuthorized::authorizeControlModule$
    {7, 1041, 197},	// KAuthorized::authorizeControlModules?
    {7, 1043, 198},	// KAuthorized::authorizeKAction$
    {7, 1045, 195},	// KAuthorized::authorizeUrlAction$##
    {8, 275, 219},	// KAutoSaveFile::KAutoSaveFile
    {8, 276, -207},	// KAutoSaveFile::KAutoSaveFile#
    {8, 277, 208},	// KAutoSaveFile::KAutoSaveFile##
    {8, 1013, 221},	// KAutoSaveFile::allStaleFiles
    {8, 1014, 215},	// KAutoSaveFile::allStaleFiles$
    {8, 2035, 210},	// KAutoSaveFile::managedFile
    {8, 2048, 201},	// KAutoSaveFile::metaObject
    {8, 2133, 213},	// KAutoSaveFile::open$
    {8, 2318, 207},	// KAutoSaveFile::qt_metacall$$?
    {8, 2320, 202},	// KAutoSaveFile::qt_metacast$
    {8, 2429, 212},	// KAutoSaveFile::releaseLock
    {8, 2778, 211},	// KAutoSaveFile::setManagedFile#
    {8, 3000, 220},	// KAutoSaveFile::staleFiles#
    {8, 3001, 214},	// KAutoSaveFile::staleFiles#$
    {8, 3064, 222},	// KAutoSaveFile::staticMetaObject
    {8, 3169, 216},	// KAutoSaveFile::tr$
    {8, 3170, 203},	// KAutoSaveFile::tr$$
    {8, 3171, 205},	// KAutoSaveFile::tr$$$
    {8, 3176, 217},	// KAutoSaveFile::trUtf8$
    {8, 3177, 204},	// KAutoSaveFile::trUtf8$$
    {8, 3178, 206},	// KAutoSaveFile::trUtf8$$$
    {8, 3396, 223},	// KAutoSaveFile::~KAutoSaveFile
    {9, 22, 266},	// KAutostart::Applications
    {9, 41, 264},	// KAutostart::BaseDesktop
    {9, 52, 263},	// KAutostart::CheckAll
    {9, 53, 261},	// KAutostart::CheckCommand
    {9, 54, 262},	// KAutostart::CheckCondition
    {9, 90, 265},	// KAutostart::DesktopServices
    {9, 278, 255},	// KAutostart::KAutostart
    {9, 279, 256},	// KAutostart::KAutostart$
    {9, 280, 231},	// KAutostart::KAutostart$#
    {9, 599, 260},	// KAutostart::NoConditions
    {9, 981, 245},	// KAutostart::addToAllowedEnvironments$
    {9, 983, 249},	// KAutostart::addToExcludedEnvironments$
    {9, 1023, 243},	// KAutostart::allowedEnvironments
    {9, 1054, 257},	// KAutostart::autostarts
    {9, 1055, 258},	// KAutostart::autostarts$
    {9, 1056, 233},	// KAutostart::autostarts$$
    {9, 1116, 252},	// KAutostart::checkAllowedEnvironment$
    {9, 1147, 234},	// KAutostart::command
    {9, 1148, 239},	// KAutostart::commandToCheck
    {9, 1446, 247},	// KAutostart::excludedEnvironments
    {9, 1851, 238},	// KAutostart::isServiceRegistered$
    {9, 2048, 224},	// KAutostart::metaObject
    {9, 2318, 230},	// KAutostart::qt_metacall$$?
    {9, 2320, 225},	// KAutostart::qt_metacast$
    {9, 2440, 246},	// KAutostart::removeFromAllowedEnvironments$
    {9, 2442, 250},	// KAutostart::removeFromExcludedEnvironments$
    {9, 2530, 244},	// KAutostart::setAllowedEnvironments?
    {9, 2549, 232},	// KAutostart::setAutostarts$
    {9, 2565, 235},	// KAutostart::setCommand$
    {9, 2567, 240},	// KAutostart::setCommandToCheck$
    {9, 2653, 248},	// KAutostart::setExcludedEnvironments?
    {9, 2907, 242},	// KAutostart::setStartPhase$
    {9, 2945, 237},	// KAutostart::setVisibleName$
    {9, 3004, 251},	// KAutostart::startAfter
    {9, 3011, 241},	// KAutostart::startPhase
    {9, 3064, 259},	// KAutostart::staticMetaObject
    {9, 3169, 253},	// KAutostart::tr$
    {9, 3170, 226},	// KAutostart::tr$$
    {9, 3171, 228},	// KAutostart::tr$$$
    {9, 3176, 254},	// KAutostart::trUtf8$
    {9, 3177, 227},	// KAutostart::trUtf8$$
    {9, 3178, 229},	// KAutostart::trUtf8$$$
    {9, 3277, 236},	// KAutostart::visibleName
    {9, 3397, 267},	// KAutostart::~KAutostart
    {10, 281, 358},	// KCalendarSystem::KCalendarSystem
    {10, 282, -723},	// KCalendarSystem::KCalendarSystem#
    {10, 283, 384},	// KCalendarSystem::KCalendarSystem#?
    {10, 284, 354},	// KCalendarSystem::KCalendarSystem#?#
    {10, 285, 359},	// KCalendarSystem::KCalendarSystem?
    {10, 286, 273},	// KCalendarSystem::KCalendarSystem?#
    {10, 583, 392},	// KCalendarSystem::LongDayName
    {10, 584, 386},	// KCalendarSystem::LongFormat
    {10, 585, 388},	// KCalendarSystem::LongName
    {10, 586, 390},	// KCalendarSystem::LongNamePossessive
    {10, 697, 391},	// KCalendarSystem::ShortDayName
    {10, 698, 385},	// KCalendarSystem::ShortFormat
    {10, 699, 387},	// KCalendarSystem::ShortName
    {10, 700, 389},	// KCalendarSystem::ShortNamePossessive
    {10, 868, 297},	// KCalendarSystem::addDays#$
    {10, 958, 296},	// KCalendarSystem::addMonths#$
    {10, 995, 295},	// KCalendarSystem::addYears#$
    {10, 1089, 271},	// KCalendarSystem::calendarLabel$
    {10, 1090, 270},	// KCalendarSystem::calendarSystems
    {10, 1091, 274},	// KCalendarSystem::calendarType
    {10, 1201, 355},	// KCalendarSystem::create
    {10, 1205, 356},	// KCalendarSystem::create$
    {10, 1206, 268},	// KCalendarSystem::create$#
    {10, 1209, 357},	// KCalendarSystem::create$?
    {10, 1210, 269},	// KCalendarSystem::create$?#
    {10, 1251, 298},	// KCalendarSystem::dateDifference##$$$$
    {10, 1260, 349},	// KCalendarSystem::dateToJulianDay$$$$
    {10, 1263, 291},	// KCalendarSystem::day#
    {10, 1265, 312},	// KCalendarSystem::dayOfWeek#
    {10, 1267, 325},	// KCalendarSystem::dayOfWeekString#
    {10, 1269, 311},	// KCalendarSystem::dayOfYear#
    {10, 1271, 371},	// KCalendarSystem::dayOfYearString#
    {10, 1272, 324},	// KCalendarSystem::dayOfYearString#$
    {10, 1274, 369},	// KCalendarSystem::dayString#
    {10, 1275, 322},	// KCalendarSystem::dayString#$
    {10, 1277, 334},	// KCalendarSystem::dayStringToInteger$$
    {10, 1279, 301},	// KCalendarSystem::daysDifference##
    {10, 1281, 308},	// KCalendarSystem::daysInMonth#
    {10, 1282, 309},	// KCalendarSystem::daysInMonth$$
    {10, 1284, 376},	// KCalendarSystem::daysInMonthString#
    {10, 1285, 330},	// KCalendarSystem::daysInMonthString#$
    {10, 1287, 310},	// KCalendarSystem::daysInWeek#
    {10, 1289, 331},	// KCalendarSystem::daysInWeekString#
    {10, 1291, 306},	// KCalendarSystem::daysInYear#
    {10, 1292, 307},	// KCalendarSystem::daysInYear$
    {10, 1294, 375},	// KCalendarSystem::daysInYearString#
    {10, 1295, 329},	// KCalendarSystem::daysInYearString#$
    {10, 1383, 276},	// KCalendarSystem::earliestValidDate
    {10, 1422, 275},	// KCalendarSystem::epoch
    {10, 1429, 360},	// KCalendarSystem::eraName#
    {10, 1430, 292},	// KCalendarSystem::eraName#$
    {10, 1432, 361},	// KCalendarSystem::eraYear#
    {10, 1433, 293},	// KCalendarSystem::eraYear#$
    {10, 1572, 377},	// KCalendarSystem::formatDate#
    {10, 1573, -726},	// KCalendarSystem::formatDate#$
    {10, 1574, -729},	// KCalendarSystem::formatDate#$$
    {10, 1575, 337},	// KCalendarSystem::formatDate#$$$
    {10, 1633, 288},	// KCalendarSystem::getDate#$$$
    {10, 1824, 315},	// KCalendarSystem::isLeapYear#
    {10, 1825, 314},	// KCalendarSystem::isLeapYear$
    {10, 1831, 344},	// KCalendarSystem::isLunar
    {10, 1832, 345},	// KCalendarSystem::isLunisolar
    {10, 1841, 347},	// KCalendarSystem::isProleptic
    {10, 1855, 346},	// KCalendarSystem::isSolar
    {10, 1865, 282},	// KCalendarSystem::isValid#
    {10, 1867, 279},	// KCalendarSystem::isValid$$
    {10, 1868, 278},	// KCalendarSystem::isValid$$$
    {10, 1869, 280},	// KCalendarSystem::isValid$$$$
    {10, 1871, 281},	// KCalendarSystem::isValidIsoWeekDate$$$
    {10, 1882, 348},	// KCalendarSystem::julianDayToDate$$$$
    {10, 1948, 277},	// KCalendarSystem::latestValidDate
    {10, 1977, 350},	// KCalendarSystem::locale
    {10, 2070, 290},	// KCalendarSystem::month#
    {10, 2072, 364},	// KCalendarSystem::monthName#
    {10, 2073, 317},	// KCalendarSystem::monthName#$
    {10, 2074, 363},	// KCalendarSystem::monthName$$
    {10, 2075, 316},	// KCalendarSystem::monthName$$$
    {10, 2077, 368},	// KCalendarSystem::monthString#
    {10, 2078, 321},	// KCalendarSystem::monthString#$
    {10, 2080, 333},	// KCalendarSystem::monthStringToInteger$$
    {10, 2082, 300},	// KCalendarSystem::monthsDifference##
    {10, 2084, 302},	// KCalendarSystem::monthsInYear#
    {10, 2085, 303},	// KCalendarSystem::monthsInYear$
    {10, 2087, 373},	// KCalendarSystem::monthsInYearString#
    {10, 2088, 327},	// KCalendarSystem::monthsInYearString#$
    {10, 2358, 380},	// KCalendarSystem::readDate$
    {10, 2359, -732},	// KCalendarSystem::readDate$$
    {10, 2360, -736},	// KCalendarSystem::readDate$$$
    {10, 2361, 341},	// KCalendarSystem::readDate$$$$
    {10, 2596, 284},	// KCalendarSystem::setDate#$$
    {10, 2597, 283},	// KCalendarSystem::setDate#$$$
    {10, 2598, 285},	// KCalendarSystem::setDate#$$$$
    {10, 2604, 286},	// KCalendarSystem::setDateIsoWeek#$$$
    {10, 2674, 353},	// KCalendarSystem::setHasYear0$
    {10, 2780, 352},	// KCalendarSystem::setMaxDaysInWeek$
    {10, 2782, 351},	// KCalendarSystem::setMaxMonthsInYear$
    {10, 2957, 287},	// KCalendarSystem::setYMD#$$$
    {10, 3302, 366},	// KCalendarSystem::weekDayName#
    {10, 3303, 319},	// KCalendarSystem::weekDayName#$
    {10, 3304, 365},	// KCalendarSystem::weekDayName$
    {10, 3305, 318},	// KCalendarSystem::weekDayName$$
    {10, 3306, 343},	// KCalendarSystem::weekDayOfPray
    {10, 3308, 362},	// KCalendarSystem::weekNumber#
    {10, 3309, 313},	// KCalendarSystem::weekNumber#$
    {10, 3311, 372},	// KCalendarSystem::weekNumberString#
    {10, 3312, 326},	// KCalendarSystem::weekNumberString#$
    {10, 3313, 342},	// KCalendarSystem::weekStartDay
    {10, 3315, 304},	// KCalendarSystem::weeksInYear#
    {10, 3316, 305},	// KCalendarSystem::weeksInYear$
    {10, 3318, 374},	// KCalendarSystem::weeksInYearString#
    {10, 3319, 328},	// KCalendarSystem::weeksInYearString#$
    {10, 3349, 289},	// KCalendarSystem::year#
    {10, 3351, 294},	// KCalendarSystem::yearInEra#
    {10, 3353, 370},	// KCalendarSystem::yearInEraString#
    {10, 3354, 323},	// KCalendarSystem::yearInEraString#$
    {10, 3356, 367},	// KCalendarSystem::yearString#
    {10, 3357, 320},	// KCalendarSystem::yearString#$
    {10, 3359, 332},	// KCalendarSystem::yearStringToInteger$$
    {10, 3361, 299},	// KCalendarSystem::yearsDifference##
    {10, 3398, 393},	// KCalendarSystem::~KCalendarSystem
    {12, 287, 399},	// KCharMacroExpander::KCharMacroExpander
    {12, 288, -739},	// KCharMacroExpander::KCharMacroExpander#
    {12, 1464, 396},	// KCharMacroExpander::expandEscapedMacro$$?
    {12, 1466, 397},	// KCharMacroExpander::expandMacro#?
    {12, 1478, 395},	// KCharMacroExpander::expandPlainMacro$$?
    {12, 3399, 400},	// KCharMacroExpander::~KCharMacroExpander
    {13, 289, 401},	// KCharsets::KCharsets
    {13, 290, 414},	// KCharsets::KCharsets#
    {13, 1059, 408},	// KCharsets::availableEncodingNames
    {13, 1145, 402},	// KCharsets::codecForName$
    {13, 1146, 403},	// KCharsets::codecForName$$
    {13, 1342, 412},	// KCharsets::descriptionForEncoding$
    {13, 1343, 409},	// KCharsets::descriptiveEncodingNames
    {13, 1404, 413},	// KCharsets::encodingForName$
    {13, 1407, 410},	// KCharsets::encodingsByScript
    {13, 1603, 404},	// KCharsets::fromEntity$
    {13, 1604, 405},	// KCharsets::fromEntity$$
    {13, 1945, 411},	// KCharsets::languageForEncoding$
    {13, 2460, 407},	// KCharsets::resolveEntities$
    {13, 3142, 406},	// KCharsets::toEntity#
    {13, 3400, 415},	// KCharsets::~KCharsets
    {14, 64, 456},	// KCmdLineArgs::CmdLineArgKDE
    {14, 65, 458},	// KCmdLineArgs::CmdLineArgNone
    {14, 66, 455},	// KCmdLineArgs::CmdLineArgQt
    {14, 67, 457},	// KCmdLineArgs::CmdLineArgsMask
    {14, 292, 445},	// KCmdLineArgs::KCmdLineArgs#
    {14, 293, 444},	// KCmdLineArgs::KCmdLineArgs###
    {14, 684, 459},	// KCmdLineArgs::Reserved
    {14, 821, 443},	// KCmdLineArgs::aboutData
    {14, 852, 450},	// KCmdLineArgs::addCmdLineOptions#
    {14, 853, 451},	// KCmdLineArgs::addCmdLineOptions##
    {14, 854, 452},	// KCmdLineArgs::addCmdLineOptions###
    {14, 855, 420},	// KCmdLineArgs::addCmdLineOptions####
    {14, 975, 449},	// KCmdLineArgs::addStdCmdLineOptions
    {14, 976, 419},	// KCmdLineArgs::addStdCmdLineOptions$
    {14, 979, 439},	// KCmdLineArgs::addTempFileOption
    {14, 1026, 423},	// KCmdLineArgs::appName
    {14, 1031, 431},	// KCmdLineArgs::arg$
    {14, 1134, 435},	// KCmdLineArgs::clear
    {14, 1195, 430},	// KCmdLineArgs::count
    {14, 1240, 422},	// KCmdLineArgs::cwd
    {14, 1392, 426},	// KCmdLineArgs::enable_i18n
    {14, 1640, 427},	// KCmdLineArgs::getOption#
    {14, 1642, 428},	// KCmdLineArgs::getOptionList#
    {14, 1727, 418},	// KCmdLineArgs::init#
    {14, 1729, 448},	// KCmdLineArgs::init$?#
    {14, 1730, 446},	// KCmdLineArgs::init$?####
    {14, 1731, 447},	// KCmdLineArgs::init$?#####
    {14, 1732, 416},	// KCmdLineArgs::init$?#####$
    {14, 1733, 417},	// KCmdLineArgs::init$?#$
    {14, 1853, 429},	// KCmdLineArgs::isSet#
    {14, 1858, 440},	// KCmdLineArgs::isTempFileSet
    {14, 1971, 437},	// KCmdLineArgs::loadAppArgs#
    {14, 2034, 433},	// KCmdLineArgs::makeURL#
    {14, 2231, 453},	// KCmdLineArgs::parsedArgs
    {14, 2232, 421},	// KCmdLineArgs::parsedArgs#
    {14, 2315, 441},	// KCmdLineArgs::qtArgc
    {14, 2316, 442},	// KCmdLineArgs::qtArgv
    {14, 2457, 436},	// KCmdLineArgs::reset
    {14, 2482, 438},	// KCmdLineArgs::saveAppArgs#
    {14, 2587, 434},	// KCmdLineArgs::setCwd#
    {14, 3237, 432},	// KCmdLineArgs::url$
    {14, 3238, 454},	// KCmdLineArgs::usage
    {14, 3239, 424},	// KCmdLineArgs::usage#
    {14, 3241, 425},	// KCmdLineArgs::usageError$
    {14, 3401, 460},	// KCmdLineArgs::~KCmdLineArgs
    {15, 294, 461},	// KCmdLineOptions::KCmdLineOptions
    {15, 295, 462},	// KCmdLineOptions::KCmdLineOptions#
    {15, 837, -274},	// KCmdLineOptions::add#
    {15, 838, 467},	// KCmdLineOptions::add##
    {15, 839, 464},	// KCmdLineOptions::add###
    {15, 2186, 463},	// KCmdLineOptions::operator=#
    {15, 3402, 468},	// KCmdLineOptions::~KCmdLineOptions
    {16, 1066, 475},	// KCodecs::base64Decode#
    {16, 1067, 477},	// KCodecs::base64Decode##
    {16, 1070, 484},	// KCodecs::base64Encode#
    {16, 1071, 480},	// KCodecs::base64Encode##
    {16, 1072, 479},	// KCodecs::base64Encode##$
    {16, 1073, 483},	// KCodecs::base64Encode#$
    {16, 1305, 473},	// KCodecs::decodeRFC2047String$
    {16, 2332, 474},	// KCodecs::quotedPrintableDecode#
    {16, 2333, 472},	// KCodecs::quotedPrintableDecode##
    {16, 2335, 482},	// KCodecs::quotedPrintableEncode#
    {16, 2336, 476},	// KCodecs::quotedPrintableEncode##$
    {16, 2337, 481},	// KCodecs::quotedPrintableEncode#$
    {16, 3262, 470},	// KCodecs::uudecode#
    {16, 3263, 471},	// KCodecs::uudecode##
    {16, 3265, 469},	// KCodecs::uuencode#
    {16, 3266, 478},	// KCodecs::uuencode##
    {17, 296, 485},	// KComponentData::KComponentData
    {17, 297, -173},	// KComponentData::KComponentData#
    {17, 298, 502},	// KComponentData::KComponentData##
    {17, 299, 490},	// KComponentData::KComponentData##$
    {17, 300, -178},	// KComponentData::KComponentData#$
    {17, 678, 505},	// KComponentData::RegisterAsMainComponent
    {17, 703, 506},	// KComponentData::SkipMainComponentRegistration
    {17, 821, 496},	// KComponentData::aboutData
    {17, 1102, 499},	// KComponentData::catalogName
    {17, 1154, 498},	// KComponentData::componentName
    {17, 1158, 495},	// KComponentData::config
    {17, 1370, 494},	// KComponentData::dirs
    {17, 1864, 493},	// KComponentData::isValid
    {17, 2146, 489},	// KComponentData::operator!=#
    {17, 2186, 487},	// KComponentData::operator=#
    {17, 2189, 488},	// KComponentData::operator==#
    {17, 2518, 497},	// KComponentData::setAboutData#
    {17, 2573, 500},	// KComponentData::setConfigName$
    {17, 3403, 507},	// KComponentData::~KComponentData
    {18, 301, 526},	// KCompositeJob::KCompositeJob
    {18, 302, 515},	// KCompositeJob::KCompositeJob#
    {18, 303, 523},	// KCompositeJob::KCompositeJob##
    {18, 978, 516},	// KCompositeJob::addSubjob#
    {18, 1137, 520},	// KCompositeJob::clearSubjobs
    {18, 1690, 518},	// KCompositeJob::hasSubjobs
    {18, 2048, 508},	// KCompositeJob::metaObject
    {18, 2318, 514},	// KCompositeJob::qt_metacall$$?
    {18, 2320, 509},	// KCompositeJob::qt_metacast$
    {18, 2444, 517},	// KCompositeJob::removeSubjob#
    {18, 2976, 522},	// KCompositeJob::slotInfoMessage#$$
    {18, 2978, 521},	// KCompositeJob::slotResult#
    {18, 3064, 527},	// KCompositeJob::staticMetaObject
    {18, 3078, 519},	// KCompositeJob::subjobs
    {18, 3169, 524},	// KCompositeJob::tr$
    {18, 3170, 510},	// KCompositeJob::tr$$
    {18, 3171, 512},	// KCompositeJob::tr$$$
    {18, 3176, 525},	// KCompositeJob::trUtf8$
    {18, 3177, 511},	// KCompositeJob::trUtf8$$
    {18, 3178, 513},	// KCompositeJob::trUtf8$$$
    {18, 3404, 528},	// KCompositeJob::~KCompositeJob
    {20, 48, 568},	// KConfig::CascadeConfig
    {20, 132, 572},	// KConfig::FullConfig
    {20, 158, 567},	// KConfig::IncludeGlobals
    {20, 304, 557},	// KConfig::KConfig
    {20, 305, -146},	// KConfig::KConfig#
    {20, 306, 561},	// KConfig::KConfig#$
    {20, 307, 562},	// KConfig::KConfig#$$
    {20, 308, 530},	// KConfig::KConfig#$$$
    {20, 309, 558},	// KConfig::KConfig$
    {20, 310, -149},	// KConfig::KConfig$$
    {20, 311, -152},	// KConfig::KConfig$$$
    {20, 598, 570},	// KConfig::NoCascade
    {20, 602, 571},	// KConfig::NoGlobals
    {20, 701, 569},	// KConfig::SimpleConfig
    {20, 827, 536},	// KConfig::accessMode
    {20, 857, 541},	// KConfig::addConfigSources?
    {20, 1120, 539},	// KConfig::checkUpdate$$
    {20, 1153, 532},	// KConfig::componentData
    {20, 1192, 564},	// KConfig::copyTo$
    {20, 1193, 538},	// KConfig::copyTo$#
    {20, 1333, 566},	// KConfig::deleteGroupImpl#
    {20, 1334, 554},	// KConfig::deleteGroupImpl#$
    {20, 1419, 565},	// KConfig::entryMap
    {20, 1420, 550},	// KConfig::entryMap$
    {20, 1565, 548},	// KConfig::forceGlobal
    {20, 1650, -155},	// KConfig::groupImpl#
    {20, 1651, 549},	// KConfig::groupList
    {20, 1666, 551},	// KConfig::hasGroupImpl#
    {20, 1785, 537},	// KConfig::isConfigWritable$
    {20, 1813, 555},	// KConfig::isGroupImmutableImpl#
    {20, 1818, 546},	// KConfig::isImmutable
    {20, 1977, 542},	// KConfig::locale
    {20, 2036, 535},	// KConfig::markAsClean
    {20, 2089, 533},	// KConfig::name
    {20, 2364, 545},	// KConfig::readDefaults
    {20, 2450, 540},	// KConfig::reparseConfiguration
    {20, 2664, 547},	// KConfig::setForceGlobal$
    {20, 2718, 543},	// KConfig::setLocale$
    {20, 2878, 544},	// KConfig::setReadDefaults$
    {20, 3105, 534},	// KConfig::sync
    {20, 3405, 573},	// KConfig::~KConfig
    {21, 134, 606},	// KConfigBase::Global
    {21, 312, 594},	// KConfigBase::KConfigBase
    {21, 313, 600},	// KConfigBase::KConfigBase#
    {21, 577, 607},	// KConfigBase::Localized
    {21, 595, 609},	// KConfigBase::NoAccess
    {21, 613, 608},	// KConfigBase::Normal
    {21, 640, 605},	// KConfigBase::Persistent
    {21, 672, 610},	// KConfigBase::ReadOnly
    {21, 676, 611},	// KConfigBase::ReadWrite
    {21, 827, 589},	// KConfigBase::accessMode
    {21, 1328, 601},	// KConfigBase::deleteGroup#
    {21, 1329, 584},	// KConfigBase::deleteGroup#$
    {21, 1330, -181},	// KConfigBase::deleteGroup$
    {21, 1331, -184},	// KConfigBase::deleteGroup$$
    {21, 1333, 604},	// KConfigBase::deleteGroupImpl#
    {21, 1334, 598},	// KConfigBase::deleteGroupImpl#$
    {21, 1645, -187},	// KConfigBase::group#
    {21, 1646, -190},	// KConfigBase::group$
    {21, 1650, -195},	// KConfigBase::groupImpl#
    {21, 1651, 574},	// KConfigBase::groupList
    {21, 1663, 577},	// KConfigBase::hasGroup#
    {21, 1664, -198},	// KConfigBase::hasGroup$
    {21, 1666, 595},	// KConfigBase::hasGroupImpl#
    {21, 1810, 591},	// KConfigBase::isGroupImmutable#
    {21, 1811, -201},	// KConfigBase::isGroupImmutable$
    {21, 1813, 599},	// KConfigBase::isGroupImmutableImpl#
    {21, 1818, 590},	// KConfigBase::isImmutable
    {21, 2036, 588},	// KConfigBase::markAsClean
    {21, 3105, 587},	// KConfigBase::sync
    {21, 3406, 612},	// KConfigBase::~KConfigBase
    {22, 314, 613},	// KConfigGroup::KConfigGroup
    {22, 315, 620},	// KConfigGroup::KConfigGroup#
    {22, 316, -19},	// KConfigGroup::KConfigGroup#$
    {22, 317, -24},	// KConfigGroup::KConfigGroup?$
    {22, 827, 627},	// KConfigGroup::accessMode
    {22, 1109, -27},	// KConfigGroup::changeGroup$
    {22, 1158, -30},	// KConfigGroup::config
    {22, 1190, 694},	// KConfigGroup::copyTo#
    {22, 1191, 632},	// KConfigGroup::copyTo#$
    {22, 1325, -33},	// KConfigGroup::deleteEntry$
    {22, 1326, -36},	// KConfigGroup::deleteEntry$$
    {22, 1327, 696},	// KConfigGroup::deleteGroup
    {22, 1328, 697},	// KConfigGroup::deleteGroup#
    {22, 1329, 638},	// KConfigGroup::deleteGroup#$
    {22, 1330, -39},	// KConfigGroup::deleteGroup$
    {22, 1331, -43},	// KConfigGroup::deleteGroup$$
    {22, 1334, 692},	// KConfigGroup::deleteGroupImpl#$
    {22, 1419, 688},	// KConfigGroup::entryMap
    {22, 1461, 624},	// KConfigGroup::exists
    {22, 1650, -46},	// KConfigGroup::groupImpl#
    {22, 1651, 635},	// KConfigGroup::groupList
    {22, 1660, -49},	// KConfigGroup::hasDefault$
    {22, 1666, 689},	// KConfigGroup::hasGroupImpl#
    {22, 1671, -52},	// KConfigGroup::hasKey$
    {22, 1802, -55},	// KConfigGroup::isEntryImmutable$
    {22, 1813, 693},	// KConfigGroup::isGroupImmutableImpl#
    {22, 1818, 681},	// KConfigGroup::isImmutable
    {22, 1864, 622},	// KConfigGroup::isValid
    {22, 1919, 636},	// KConfigGroup::keyList
    {22, 2036, 626},	// KConfigGroup::markAsClean
    {22, 2089, 623},	// KConfigGroup::name
    {22, 2186, 621},	// KConfigGroup::operator=#
    {22, 2223, 634},	// KConfigGroup::parent
    {22, 2368, -58},	// KConfigGroup::readEntry$
    {22, 2369, -61},	// KConfigGroup::readEntry$#
    {22, 2370, -64},	// KConfigGroup::readEntry$$
    {22, 2371, -69},	// KConfigGroup::readEntry$?
    {22, 2373, -74},	// KConfigGroup::readEntryUntranslated$
    {22, 2374, -77},	// KConfigGroup::readEntryUntranslated$$
    {22, 2396, -80},	// KConfigGroup::readPathEntry$$
    {22, 2397, -83},	// KConfigGroup::readPathEntry$?
    {22, 2405, -86},	// KConfigGroup::readXdgListEntry$
    {22, 2406, -89},	// KConfigGroup::readXdgListEntry$?
    {22, 2448, 695},	// KConfigGroup::reparent#
    {22, 2449, 633},	// KConfigGroup::reparent#$
    {22, 2474, -92},	// KConfigGroup::revertToDefault$
    {22, 3105, 625},	// KConfigGroup::sync
    {22, 3332, -95},	// KConfigGroup::writeEntry$#
    {22, 3333, -100},	// KConfigGroup::writeEntry$#$
    {22, 3334, -105},	// KConfigGroup::writeEntry$$
    {22, 3335, -110},	// KConfigGroup::writeEntry$$$
    {22, 3336, -115},	// KConfigGroup::writeEntry$?
    {22, 3337, -120},	// KConfigGroup::writeEntry$?$
    {22, 3341, -125},	// KConfigGroup::writePathEntry$$
    {22, 3342, -128},	// KConfigGroup::writePathEntry$$$
    {22, 3343, -131},	// KConfigGroup::writePathEntry$?
    {22, 3344, -134},	// KConfigGroup::writePathEntry$?$
    {22, 3346, -137},	// KConfigGroup::writeXdgListEntry$?
    {22, 3347, -140},	// KConfigGroup::writeXdgListEntry$?$
    {22, 3407, 726},	// KConfigGroup::~KConfigGroup
    {24, 319, 752},	// KConfigSkeletonItem::KConfigSkeletonItem#
    {24, 320, 727},	// KConfigSkeletonItem::KConfigSkeletonItem$$
    {24, 1644, 729},	// KConfigSkeletonItem::group
    {24, 1804, 744},	// KConfigSkeletonItem::isEqual#
    {24, 1818, 750},	// KConfigSkeletonItem::isImmutable
    {24, 1917, 731},	// KConfigSkeletonItem::key
    {24, 1937, 735},	// KConfigSkeletonItem::label
    {24, 2000, 753},	// KConfigSkeletonItem::mGroup
    {24, 2001, 755},	// KConfigSkeletonItem::mKey
    {24, 2002, 757},	// KConfigSkeletonItem::mName
    {24, 2042, 747},	// KConfigSkeletonItem::maxValue
    {24, 2052, 746},	// KConfigSkeletonItem::minValue
    {24, 2089, 733},	// KConfigSkeletonItem::name
    {24, 2292, 745},	// KConfigSkeletonItem::property
    {24, 2354, 740},	// KConfigSkeletonItem::readConfig#
    {24, 2363, 742},	// KConfigSkeletonItem::readDefault#
    {24, 2380, 751},	// KConfigSkeletonItem::readImmutability#
    {24, 2617, 748},	// KConfigSkeletonItem::setDefault
    {24, 2670, 728},	// KConfigSkeletonItem::setGroup$
    {24, 2690, 730},	// KConfigSkeletonItem::setKey$
    {24, 2692, 734},	// KConfigSkeletonItem::setLabel$
    {24, 2720, 754},	// KConfigSkeletonItem::setMGroup$
    {24, 2722, 756},	// KConfigSkeletonItem::setMKey$
    {24, 2724, 758},	// KConfigSkeletonItem::setMName$
    {24, 2806, 732},	// KConfigSkeletonItem::setName$
    {24, 2868, 743},	// KConfigSkeletonItem::setProperty#
    {24, 2927, 736},	// KConfigSkeletonItem::setToolTip$
    {24, 2951, 738},	// KConfigSkeletonItem::setWhatsThis$
    {24, 3102, 749},	// KConfigSkeletonItem::swapDefault
    {24, 3164, 737},	// KConfigSkeletonItem::toolTip
    {24, 3320, 739},	// KConfigSkeletonItem::whatsThis
    {24, 3328, 741},	// KConfigSkeletonItem::writeConfig#
    {24, 3408, 759},	// KConfigSkeletonItem::~KConfigSkeletonItem
    {25, 321, 809},	// KCoreConfigSkeleton::KCoreConfigSkeleton
    {25, 322, 810},	// KCoreConfigSkeleton::KCoreConfigSkeleton$
    {25, 323, 767},	// KCoreConfigSkeleton::KCoreConfigSkeleton$#
    {25, 324, 811},	// KCoreConfigSkeleton::KCoreConfigSkeleton?
    {25, 325, 768},	// KCoreConfigSkeleton::KCoreConfigSkeleton?#
    {25, 875, 812},	// KCoreConfigSkeleton::addItem#
    {25, 876, 774},	// KCoreConfigSkeleton::addItem#$
    {25, 878, 821},	// KCoreConfigSkeleton::addItemBool$$
    {25, 879, 822},	// KCoreConfigSkeleton::addItemBool$$$
    {25, 880, 779},	// KCoreConfigSkeleton::addItemBool$$$$
    {25, 882, 843},	// KCoreConfigSkeleton::addItemDateTime$#
    {25, 883, 844},	// KCoreConfigSkeleton::addItemDateTime$##
    {25, 884, 790},	// KCoreConfigSkeleton::addItemDateTime$##$
    {25, 886, 835},	// KCoreConfigSkeleton::addItemDouble$$
    {25, 887, 836},	// KCoreConfigSkeleton::addItemDouble$$$
    {25, 888, 786},	// KCoreConfigSkeleton::addItemDouble$$$$
    {25, 890, 823},	// KCoreConfigSkeleton::addItemInt$$
    {25, 891, 824},	// KCoreConfigSkeleton::addItemInt$$$
    {25, 892, 780},	// KCoreConfigSkeleton::addItemInt$$$$
    {25, 894, 829},	// KCoreConfigSkeleton::addItemInt64$$
    {25, 895, 830},	// KCoreConfigSkeleton::addItemInt64$$$
    {25, 896, 783},	// KCoreConfigSkeleton::addItemInt64$$$$
    {25, 898, 847},	// KCoreConfigSkeleton::addItemIntList$?
    {25, 899, 848},	// KCoreConfigSkeleton::addItemIntList$??
    {25, 900, 792},	// KCoreConfigSkeleton::addItemIntList$??$
    {25, 902, 827},	// KCoreConfigSkeleton::addItemLongLong$$
    {25, 903, 828},	// KCoreConfigSkeleton::addItemLongLong$$$
    {25, 904, 782},	// KCoreConfigSkeleton::addItemLongLong$$$$
    {25, 906, 815},	// KCoreConfigSkeleton::addItemPassword$$
    {25, 907, 816},	// KCoreConfigSkeleton::addItemPassword$$$
    {25, 908, 776},	// KCoreConfigSkeleton::addItemPassword$$$$
    {25, 910, 817},	// KCoreConfigSkeleton::addItemPath$$
    {25, 911, 818},	// KCoreConfigSkeleton::addItemPath$$$
    {25, 912, 777},	// KCoreConfigSkeleton::addItemPath$$$$
    {25, 914, 839},	// KCoreConfigSkeleton::addItemPoint$#
    {25, 915, 840},	// KCoreConfigSkeleton::addItemPoint$##
    {25, 916, 788},	// KCoreConfigSkeleton::addItemPoint$##$
    {25, 918, 819},	// KCoreConfigSkeleton::addItemProperty$#
    {25, 919, 820},	// KCoreConfigSkeleton::addItemProperty$##
    {25, 920, 778},	// KCoreConfigSkeleton::addItemProperty$##$
    {25, 922, 837},	// KCoreConfigSkeleton::addItemRect$#
    {25, 923, 838},	// KCoreConfigSkeleton::addItemRect$##
    {25, 924, 787},	// KCoreConfigSkeleton::addItemRect$##$
    {25, 926, 841},	// KCoreConfigSkeleton::addItemSize$#
    {25, 927, 842},	// KCoreConfigSkeleton::addItemSize$##
    {25, 928, 789},	// KCoreConfigSkeleton::addItemSize$##$
    {25, 930, 813},	// KCoreConfigSkeleton::addItemString$$
    {25, 931, 814},	// KCoreConfigSkeleton::addItemString$$$
    {25, 932, 775},	// KCoreConfigSkeleton::addItemString$$$$
    {25, 934, 845},	// KCoreConfigSkeleton::addItemStringList$?
    {25, 935, 846},	// KCoreConfigSkeleton::addItemStringList$??
    {25, 936, 791},	// KCoreConfigSkeleton::addItemStringList$??$
    {25, 938, 825},	// KCoreConfigSkeleton::addItemUInt$$
    {25, 939, 826},	// KCoreConfigSkeleton::addItemUInt$$$
    {25, 940, 781},	// KCoreConfigSkeleton::addItemUInt$$$$
    {25, 942, 833},	// KCoreConfigSkeleton::addItemUInt64$$
    {25, 943, 834},	// KCoreConfigSkeleton::addItemUInt64$$$
    {25, 944, 785},	// KCoreConfigSkeleton::addItemUInt64$$$$
    {25, 946, 831},	// KCoreConfigSkeleton::addItemULongLong$$
    {25, 947, 832},	// KCoreConfigSkeleton::addItemULongLong$$$
    {25, 948, 784},	// KCoreConfigSkeleton::addItemULongLong$$$$
    {25, 1158, -277},	// KCoreConfigSkeleton::config
    {25, 1160, 802},	// KCoreConfigSkeleton::configChanged
    {25, 1229, 773},	// KCoreConfigSkeleton::currentGroup
    {25, 1550, -280},	// KCoreConfigSkeleton::findItem$
    {25, 1819, -283},	// KCoreConfigSkeleton::isImmutable$
    {25, 1875, 796},	// KCoreConfigSkeleton::items
    {25, 2048, 760},	// KCoreConfigSkeleton::metaObject
    {25, 2318, 766},	// KCoreConfigSkeleton::qt_metacall$$?
    {25, 2320, 761},	// KCoreConfigSkeleton::qt_metacast$
    {25, 2353, 770},	// KCoreConfigSkeleton::readConfig
    {25, 2583, 772},	// KCoreConfigSkeleton::setCurrentGroup$
    {25, 2622, 769},	// KCoreConfigSkeleton::setDefaults
    {25, 2888, 795},	// KCoreConfigSkeleton::setSharedConfig?
    {25, 3064, 849},	// KCoreConfigSkeleton::staticMetaObject
    {25, 3169, 807},	// KCoreConfigSkeleton::tr$
    {25, 3170, 762},	// KCoreConfigSkeleton::tr$$
    {25, 3171, 764},	// KCoreConfigSkeleton::tr$$$
    {25, 3176, 808},	// KCoreConfigSkeleton::trUtf8$
    {25, 3177, 763},	// KCoreConfigSkeleton::trUtf8$$
    {25, 3178, 765},	// KCoreConfigSkeleton::trUtf8$$$
    {25, 3244, 801},	// KCoreConfigSkeleton::useDefaults$
    {25, 3253, 805},	// KCoreConfigSkeleton::usrReadConfig
    {25, 3254, 804},	// KCoreConfigSkeleton::usrSetDefaults
    {25, 3256, 803},	// KCoreConfigSkeleton::usrUseDefaults$
    {25, 3257, 806},	// KCoreConfigSkeleton::usrWriteConfig
    {25, 3327, 771},	// KCoreConfigSkeleton::writeConfig
    {25, 3409, 850},	// KCoreConfigSkeleton::~KCoreConfigSkeleton
    {26, 176, 856},	// KCoreConfigSkeleton::ItemBool::ItemBool#
    {26, 177, 857},	// KCoreConfigSkeleton::ItemBool::ItemBool$$$
    {26, 178, 851},	// KCoreConfigSkeleton::ItemBool::ItemBool$$$$
    {26, 1804, 854},	// KCoreConfigSkeleton::ItemBool::isEqual#
    {26, 2292, 855},	// KCoreConfigSkeleton::ItemBool::property
    {26, 2354, 852},	// KCoreConfigSkeleton::ItemBool::readConfig#
    {26, 2868, 853},	// KCoreConfigSkeleton::ItemBool::setProperty#
    {26, 3373, 858},	// KCoreConfigSkeleton::ItemBool::~ItemBool
    {27, 180, 864},	// KCoreConfigSkeleton::ItemDateTime::ItemDateTime#
    {27, 181, 865},	// KCoreConfigSkeleton::ItemDateTime::ItemDateTime$$#
    {27, 182, 859},	// KCoreConfigSkeleton::ItemDateTime::ItemDateTime$$##
    {27, 1804, 862},	// KCoreConfigSkeleton::ItemDateTime::isEqual#
    {27, 2292, 863},	// KCoreConfigSkeleton::ItemDateTime::property
    {27, 2354, 860},	// KCoreConfigSkeleton::ItemDateTime::readConfig#
    {27, 2868, 861},	// KCoreConfigSkeleton::ItemDateTime::setProperty#
    {27, 3374, 866},	// KCoreConfigSkeleton::ItemDateTime::~ItemDateTime
    {28, 184, 876},	// KCoreConfigSkeleton::ItemDouble::ItemDouble#
    {28, 185, 877},	// KCoreConfigSkeleton::ItemDouble::ItemDouble$$$
    {28, 186, 867},	// KCoreConfigSkeleton::ItemDouble::ItemDouble$$$$
    {28, 1804, 870},	// KCoreConfigSkeleton::ItemDouble::isEqual#
    {28, 2042, 873},	// KCoreConfigSkeleton::ItemDouble::maxValue
    {28, 2052, 872},	// KCoreConfigSkeleton::ItemDouble::minValue
    {28, 2292, 871},	// KCoreConfigSkeleton::ItemDouble::property
    {28, 2354, 868},	// KCoreConfigSkeleton::ItemDouble::readConfig#
    {28, 2786, 875},	// KCoreConfigSkeleton::ItemDouble::setMaxValue$
    {28, 2794, 874},	// KCoreConfigSkeleton::ItemDouble::setMinValue$
    {28, 2868, 869},	// KCoreConfigSkeleton::ItemDouble::setProperty#
    {28, 3375, 878},	// KCoreConfigSkeleton::ItemDouble::~ItemDouble
    {29, 188, 885},	// KCoreConfigSkeleton::ItemEnum::ItemEnum#
    {29, 189, -158},	// KCoreConfigSkeleton::ItemEnum::ItemEnum$$$?
    {29, 190, -161},	// KCoreConfigSkeleton::ItemEnum::ItemEnum$$$?$
    {29, 1129, 881},	// KCoreConfigSkeleton::ItemEnum::choices
    {29, 1130, 882},	// KCoreConfigSkeleton::ItemEnum::choices2
    {29, 2354, 883},	// KCoreConfigSkeleton::ItemEnum::readConfig#
    {29, 3328, 884},	// KCoreConfigSkeleton::ItemEnum::writeConfig#
    {29, 3376, 888},	// KCoreConfigSkeleton::ItemEnum::~ItemEnum
    {30, 58, 889},	// KCoreConfigSkeleton::ItemEnum::Choice::Choice
    {30, 59, 890},	// KCoreConfigSkeleton::ItemEnum::Choice::Choice#
    {30, 1937, 893},	// KCoreConfigSkeleton::ItemEnum::Choice::label
    {30, 2089, 891},	// KCoreConfigSkeleton::ItemEnum::Choice::name
    {30, 2692, 894},	// KCoreConfigSkeleton::ItemEnum::Choice::setLabel$
    {30, 2806, 892},	// KCoreConfigSkeleton::ItemEnum::Choice::setName$
    {30, 2951, 896},	// KCoreConfigSkeleton::ItemEnum::Choice::setWhatsThis$
    {30, 3320, 895},	// KCoreConfigSkeleton::ItemEnum::Choice::whatsThis
    {30, 3370, 897},	// KCoreConfigSkeleton::ItemEnum::Choice::~Choice
    {31, 60, 898},	// KCoreConfigSkeleton::ItemEnum::Choice2::Choice2
    {31, 61, 899},	// KCoreConfigSkeleton::ItemEnum::Choice2::Choice2#
    {31, 1937, 902},	// KCoreConfigSkeleton::ItemEnum::Choice2::label
    {31, 2089, 900},	// KCoreConfigSkeleton::ItemEnum::Choice2::name
    {31, 2692, 903},	// KCoreConfigSkeleton::ItemEnum::Choice2::setLabel$
    {31, 2806, 901},	// KCoreConfigSkeleton::ItemEnum::Choice2::setName$
    {31, 2927, 905},	// KCoreConfigSkeleton::ItemEnum::Choice2::setToolTip$
    {31, 2951, 907},	// KCoreConfigSkeleton::ItemEnum::Choice2::setWhatsThis$
    {31, 3164, 904},	// KCoreConfigSkeleton::ItemEnum::Choice2::toolTip
    {31, 3320, 906},	// KCoreConfigSkeleton::ItemEnum::Choice2::whatsThis
    {31, 3371, 908},	// KCoreConfigSkeleton::ItemEnum::Choice2::~Choice2
    {32, 192, 918},	// KCoreConfigSkeleton::ItemInt::ItemInt#
    {32, 193, 919},	// KCoreConfigSkeleton::ItemInt::ItemInt$$$
    {32, 194, 909},	// KCoreConfigSkeleton::ItemInt::ItemInt$$$$
    {32, 1804, 912},	// KCoreConfigSkeleton::ItemInt::isEqual#
    {32, 2042, 915},	// KCoreConfigSkeleton::ItemInt::maxValue
    {32, 2052, 914},	// KCoreConfigSkeleton::ItemInt::minValue
    {32, 2292, 913},	// KCoreConfigSkeleton::ItemInt::property
    {32, 2354, 910},	// KCoreConfigSkeleton::ItemInt::readConfig#
    {32, 2786, 917},	// KCoreConfigSkeleton::ItemInt::setMaxValue$
    {32, 2794, 916},	// KCoreConfigSkeleton::ItemInt::setMinValue$
    {32, 2868, 911},	// KCoreConfigSkeleton::ItemInt::setProperty#
    {32, 3377, 920},	// KCoreConfigSkeleton::ItemInt::~ItemInt
    {33, 196, 926},	// KCoreConfigSkeleton::ItemIntList::ItemIntList#
    {33, 197, 927},	// KCoreConfigSkeleton::ItemIntList::ItemIntList$$?
    {33, 198, 921},	// KCoreConfigSkeleton::ItemIntList::ItemIntList$$??
    {33, 1804, 924},	// KCoreConfigSkeleton::ItemIntList::isEqual#
    {33, 2292, 925},	// KCoreConfigSkeleton::ItemIntList::property
    {33, 2354, 922},	// KCoreConfigSkeleton::ItemIntList::readConfig#
    {33, 2868, 923},	// KCoreConfigSkeleton::ItemIntList::setProperty#
    {33, 3378, 928},	// KCoreConfigSkeleton::ItemIntList::~ItemIntList
    {34, 200, 938},	// KCoreConfigSkeleton::ItemLongLong::ItemLongLong#
    {34, 201, 939},	// KCoreConfigSkeleton::ItemLongLong::ItemLongLong$$$
    {34, 202, 929},	// KCoreConfigSkeleton::ItemLongLong::ItemLongLong$$$$
    {34, 1804, 932},	// KCoreConfigSkeleton::ItemLongLong::isEqual#
    {34, 2042, 935},	// KCoreConfigSkeleton::ItemLongLong::maxValue
    {34, 2052, 934},	// KCoreConfigSkeleton::ItemLongLong::minValue
    {34, 2292, 933},	// KCoreConfigSkeleton::ItemLongLong::property
    {34, 2354, 930},	// KCoreConfigSkeleton::ItemLongLong::readConfig#
    {34, 2786, 937},	// KCoreConfigSkeleton::ItemLongLong::setMaxValue$
    {34, 2794, 936},	// KCoreConfigSkeleton::ItemLongLong::setMinValue$
    {34, 2868, 931},	// KCoreConfigSkeleton::ItemLongLong::setProperty#
    {34, 3379, 940},	// KCoreConfigSkeleton::ItemLongLong::~ItemLongLong
    {35, 204, 942},	// KCoreConfigSkeleton::ItemPassword::ItemPassword#
    {35, 205, 943},	// KCoreConfigSkeleton::ItemPassword::ItemPassword$$$
    {35, 206, 941},	// KCoreConfigSkeleton::ItemPassword::ItemPassword$$$$
    {35, 3380, 944},	// KCoreConfigSkeleton::ItemPassword::~ItemPassword
    {36, 208, 946},	// KCoreConfigSkeleton::ItemPath::ItemPath#
    {36, 209, 947},	// KCoreConfigSkeleton::ItemPath::ItemPath$$$
    {36, 210, 945},	// KCoreConfigSkeleton::ItemPath::ItemPath$$$$
    {36, 3381, 948},	// KCoreConfigSkeleton::ItemPath::~ItemPath
    {37, 212, 952},	// KCoreConfigSkeleton::ItemPathList::ItemPathList#
    {37, 213, 953},	// KCoreConfigSkeleton::ItemPathList::ItemPathList$$?
    {37, 214, 949},	// KCoreConfigSkeleton::ItemPathList::ItemPathList$$??
    {37, 2354, 950},	// KCoreConfigSkeleton::ItemPathList::readConfig#
    {37, 3328, 951},	// KCoreConfigSkeleton::ItemPathList::writeConfig#
    {37, 3382, 954},	// KCoreConfigSkeleton::ItemPathList::~ItemPathList
    {38, 216, 960},	// KCoreConfigSkeleton::ItemPoint::ItemPoint#
    {38, 217, 961},	// KCoreConfigSkeleton::ItemPoint::ItemPoint$$#
    {38, 218, 955},	// KCoreConfigSkeleton::ItemPoint::ItemPoint$$##
    {38, 1804, 958},	// KCoreConfigSkeleton::ItemPoint::isEqual#
    {38, 2292, 959},	// KCoreConfigSkeleton::ItemPoint::property
    {38, 2354, 956},	// KCoreConfigSkeleton::ItemPoint::readConfig#
    {38, 2868, 957},	// KCoreConfigSkeleton::ItemPoint::setProperty#
    {38, 3383, 962},	// KCoreConfigSkeleton::ItemPoint::~ItemPoint
    {39, 220, 968},	// KCoreConfigSkeleton::ItemProperty::ItemProperty#
    {39, 221, 969},	// KCoreConfigSkeleton::ItemProperty::ItemProperty$$#
    {39, 222, 963},	// KCoreConfigSkeleton::ItemProperty::ItemProperty$$##
    {39, 1804, 966},	// KCoreConfigSkeleton::ItemProperty::isEqual#
    {39, 2292, 967},	// KCoreConfigSkeleton::ItemProperty::property
    {39, 2354, 964},	// KCoreConfigSkeleton::ItemProperty::readConfig#
    {39, 2868, 965},	// KCoreConfigSkeleton::ItemProperty::setProperty#
    {39, 3384, 970},	// KCoreConfigSkeleton::ItemProperty::~ItemProperty
    {40, 224, 976},	// KCoreConfigSkeleton::ItemRect::ItemRect#
    {40, 225, 977},	// KCoreConfigSkeleton::ItemRect::ItemRect$$#
    {40, 226, 971},	// KCoreConfigSkeleton::ItemRect::ItemRect$$##
    {40, 1804, 974},	// KCoreConfigSkeleton::ItemRect::isEqual#
    {40, 2292, 975},	// KCoreConfigSkeleton::ItemRect::property
    {40, 2354, 972},	// KCoreConfigSkeleton::ItemRect::readConfig#
    {40, 2868, 973},	// KCoreConfigSkeleton::ItemRect::setProperty#
    {40, 3385, 978},	// KCoreConfigSkeleton::ItemRect::~ItemRect
    {41, 228, 984},	// KCoreConfigSkeleton::ItemSize::ItemSize#
    {41, 229, 985},	// KCoreConfigSkeleton::ItemSize::ItemSize$$#
    {41, 230, 979},	// KCoreConfigSkeleton::ItemSize::ItemSize$$##
    {41, 1804, 982},	// KCoreConfigSkeleton::ItemSize::isEqual#
    {41, 2292, 983},	// KCoreConfigSkeleton::ItemSize::property
    {41, 2354, 980},	// KCoreConfigSkeleton::ItemSize::readConfig#
    {41, 2868, 981},	// KCoreConfigSkeleton::ItemSize::setProperty#
    {41, 3386, 986},	// KCoreConfigSkeleton::ItemSize::~ItemSize
    {42, 232, 993},	// KCoreConfigSkeleton::ItemString::ItemString#
    {42, 233, 994},	// KCoreConfigSkeleton::ItemString::ItemString$$$
    {42, 234, 995},	// KCoreConfigSkeleton::ItemString::ItemString$$$$
    {42, 235, 987},	// KCoreConfigSkeleton::ItemString::ItemString$$$$$
    {42, 613, 996},	// KCoreConfigSkeleton::ItemString::Normal
    {42, 635, 997},	// KCoreConfigSkeleton::ItemString::Password
    {42, 636, 998},	// KCoreConfigSkeleton::ItemString::Path
    {42, 1804, 991},	// KCoreConfigSkeleton::ItemString::isEqual#
    {42, 2292, 992},	// KCoreConfigSkeleton::ItemString::property
    {42, 2354, 989},	// KCoreConfigSkeleton::ItemString::readConfig#
    {42, 2868, 990},	// KCoreConfigSkeleton::ItemString::setProperty#
    {42, 3328, 988},	// KCoreConfigSkeleton::ItemString::writeConfig#
    {42, 3387, 999},	// KCoreConfigSkeleton::ItemString::~ItemString
    {43, 237, 1005},	// KCoreConfigSkeleton::ItemStringList::ItemStringList#
    {43, 238, 1006},	// KCoreConfigSkeleton::ItemStringList::ItemStringList$$?
    {43, 239, 1000},	// KCoreConfigSkeleton::ItemStringList::ItemStringList$$??
    {43, 1804, 1003},	// KCoreConfigSkeleton::ItemStringList::isEqual#
    {43, 2292, 1004},	// KCoreConfigSkeleton::ItemStringList::property
    {43, 2354, 1001},	// KCoreConfigSkeleton::ItemStringList::readConfig#
    {43, 2868, 1002},	// KCoreConfigSkeleton::ItemStringList::setProperty#
    {43, 3388, 1007},	// KCoreConfigSkeleton::ItemStringList::~ItemStringList
    {44, 241, 1017},	// KCoreConfigSkeleton::ItemUInt::ItemUInt#
    {44, 242, 1018},	// KCoreConfigSkeleton::ItemUInt::ItemUInt$$$
    {44, 243, 1008},	// KCoreConfigSkeleton::ItemUInt::ItemUInt$$$$
    {44, 1804, 1011},	// KCoreConfigSkeleton::ItemUInt::isEqual#
    {44, 2042, 1014},	// KCoreConfigSkeleton::ItemUInt::maxValue
    {44, 2052, 1013},	// KCoreConfigSkeleton::ItemUInt::minValue
    {44, 2292, 1012},	// KCoreConfigSkeleton::ItemUInt::property
    {44, 2354, 1009},	// KCoreConfigSkeleton::ItemUInt::readConfig#
    {44, 2786, 1016},	// KCoreConfigSkeleton::ItemUInt::setMaxValue$
    {44, 2794, 1015},	// KCoreConfigSkeleton::ItemUInt::setMinValue$
    {44, 2868, 1010},	// KCoreConfigSkeleton::ItemUInt::setProperty#
    {44, 3389, 1019},	// KCoreConfigSkeleton::ItemUInt::~ItemUInt
    {45, 245, 1029},	// KCoreConfigSkeleton::ItemULongLong::ItemULongLong#
    {45, 246, 1030},	// KCoreConfigSkeleton::ItemULongLong::ItemULongLong$$$
    {45, 247, 1020},	// KCoreConfigSkeleton::ItemULongLong::ItemULongLong$$$$
    {45, 1804, 1023},	// KCoreConfigSkeleton::ItemULongLong::isEqual#
    {45, 2042, 1026},	// KCoreConfigSkeleton::ItemULongLong::maxValue
    {45, 2052, 1025},	// KCoreConfigSkeleton::ItemULongLong::minValue
    {45, 2292, 1024},	// KCoreConfigSkeleton::ItemULongLong::property
    {45, 2354, 1021},	// KCoreConfigSkeleton::ItemULongLong::readConfig#
    {45, 2786, 1028},	// KCoreConfigSkeleton::ItemULongLong::setMaxValue$
    {45, 2794, 1027},	// KCoreConfigSkeleton::ItemULongLong::setMinValue$
    {45, 2868, 1022},	// KCoreConfigSkeleton::ItemULongLong::setProperty#
    {45, 3390, 1031},	// KCoreConfigSkeleton::ItemULongLong::~ItemULongLong
    {46, 249, 1038},	// KCoreConfigSkeleton::ItemUrl::ItemUrl#
    {46, 250, 1039},	// KCoreConfigSkeleton::ItemUrl::ItemUrl$$#
    {46, 251, 1032},	// KCoreConfigSkeleton::ItemUrl::ItemUrl$$##
    {46, 1804, 1036},	// KCoreConfigSkeleton::ItemUrl::isEqual#
    {46, 2292, 1037},	// KCoreConfigSkeleton::ItemUrl::property
    {46, 2354, 1034},	// KCoreConfigSkeleton::ItemUrl::readConfig#
    {46, 2868, 1035},	// KCoreConfigSkeleton::ItemUrl::setProperty#
    {46, 3328, 1033},	// KCoreConfigSkeleton::ItemUrl::writeConfig#
    {46, 3391, 1040},	// KCoreConfigSkeleton::ItemUrl::~ItemUrl
    {47, 253, 1047},	// KCoreConfigSkeleton::ItemUrlList::ItemUrlList#
    {47, 254, 1048},	// KCoreConfigSkeleton::ItemUrlList::ItemUrlList$$?
    {47, 255, 1041},	// KCoreConfigSkeleton::ItemUrlList::ItemUrlList$$??
    {47, 1804, 1045},	// KCoreConfigSkeleton::ItemUrlList::isEqual#
    {47, 2292, 1046},	// KCoreConfigSkeleton::ItemUrlList::property
    {47, 2354, 1042},	// KCoreConfigSkeleton::ItemUrlList::readConfig#
    {47, 2868, 1044},	// KCoreConfigSkeleton::ItemUrlList::setProperty#
    {47, 3328, 1043},	// KCoreConfigSkeleton::ItemUrlList::writeConfig#
    {47, 3392, 1049},	// KCoreConfigSkeleton::ItemUrlList::~ItemUrlList
    {48, 11, 1080},	// KCurrencyCode::ActiveCurrency
    {48, 327, -10},	// KCurrencyCode::KCurrencyCode#
    {48, 328, 1051},	// KCurrencyCode::KCurrencyCode#$
    {48, 329, 1075},	// KCurrencyCode::KCurrencyCode$
    {48, 330, 1050},	// KCurrencyCode::KCurrencyCode$$
    {48, 621, 1082},	// KCurrencyCode::ObsoleteCurrency
    {48, 734, 1081},	// KCurrencyCode::SuspendedCurrency
    {48, 1002, 1078},	// KCurrencyCode::allCurrencyCodesList
    {48, 1003, 1073},	// KCurrencyCode::allCurrencyCodesList$
    {48, 1196, 1070},	// KCurrencyCode::countriesUsingCurrency
    {48, 1223, 1079},	// KCurrencyCode::currencyCodeToName$
    {48, 1224, 1074},	// KCurrencyCode::currencyCodeToName$$
    {48, 1254, 1059},	// KCurrencyCode::dateIntroduced
    {48, 1256, 1060},	// KCurrencyCode::dateSuspended
    {48, 1261, 1061},	// KCurrencyCode::dateWithdrawn
    {48, 1299, 1069},	// KCurrencyCode::decimalPlaces
    {48, 1322, 1063},	// KCurrencyCode::defaultSymbol
    {48, 1691, 1065},	// KCurrencyCode::hasSubunits
    {48, 1692, 1066},	// KCurrencyCode::hasSubunitsInCirculation
    {48, 1864, 1071},	// KCurrencyCode::isValid
    {48, 1866, 1077},	// KCurrencyCode::isValid$
    {48, 1867, 1072},	// KCurrencyCode::isValid$$
    {48, 1872, 1054},	// KCurrencyCode::isoCurrencyCode
    {48, 1873, 1055},	// KCurrencyCode::isoCurrencyCodeNumeric
    {48, 1874, 1057},	// KCurrencyCode::isoName
    {48, 2089, 1056},	// KCurrencyCode::name
    {48, 2186, 1053},	// KCurrencyCode::operator=#
    {48, 3067, 1058},	// KCurrencyCode::status
    {48, 3091, 1067},	// KCurrencyCode::subunitSymbol
    {48, 3092, 1068},	// KCurrencyCode::subunitsPerUnit
    {48, 3104, 1062},	// KCurrencyCode::symbolList
    {48, 3215, 1064},	// KCurrencyCode::unambiguousSymbol
    {48, 3410, 1083},	// KCurrencyCode::~KCurrencyCode
    {49, 826, 1088},	// KDE::access$$
    {49, 1128, 1093},	// KDE::chmod$$
    {49, 1564, 1094},	// KDE::fopen$$
    {49, 2056, 1085},	// KDE::mkdir$$
    {49, 2134, 1087},	// KDE::open$$
    {49, 2135, 1086},	// KDE::open$$$
    {49, 2446, 1095},	// KDE::rename$$
    {49, 3272, 1089},	// KDE::version
    {49, 3273, 1090},	// KDE::versionMajor
    {49, 3274, 1091},	// KDE::versionMinor
    {49, 3275, 1084},	// KDE::versionRelease
    {49, 3276, 1092},	// KDE::versionString
    {50, 331, 1112},	// KDEDModule::KDEDModule
    {50, 332, 1103},	// KDEDModule::KDEDModule#
    {50, 2048, 1096},	// KDEDModule::metaObject
    {50, 2061, 1106},	// KDEDModule::moduleDeleted#
    {50, 2062, 1105},	// KDEDModule::moduleName
    {50, 2064, 1109},	// KDEDModule::moduleRegistered#
    {50, 2318, 1102},	// KDEDModule::qt_metacall$$?
    {50, 2320, 1097},	// KDEDModule::qt_metacast$
    {50, 2796, 1104},	// KDEDModule::setModuleName$
    {50, 3064, 1113},	// KDEDModule::staticMetaObject
    {50, 3169, 1110},	// KDEDModule::tr$
    {50, 3170, 1098},	// KDEDModule::tr$$
    {50, 3171, 1100},	// KDEDModule::tr$$$
    {50, 3176, 1111},	// KDEDModule::trUtf8$
    {50, 3177, 1099},	// KDEDModule::trUtf8$$
    {50, 3178, 1101},	// KDEDModule::trUtf8$$$
    {50, 3322, 1107},	// KDEDModule::windowRegistered$
    {50, 3324, 1108},	// KDEDModule::windowUnregistered$
    {50, 3411, 1114},	// KDEDModule::~KDEDModule
    {51, 333, 1115},	// KDEPluginVerificationData::KDEPluginVerificationData
    {51, 334, 1116},	// KDEPluginVerificationData::KDEPluginVerificationData#
    {51, 335, 1119},	// KDEPluginVerificationData::KDEVersion
    {51, 336, 1121},	// KDEPluginVerificationData::KDEVersionString
    {51, 647, 1123},	// KDEPluginVerificationData::PluginVerificationDataVersion
    {51, 1243, 1117},	// KDEPluginVerificationData::dataVersion
    {51, 2593, 1118},	// KDEPluginVerificationData::setDataVersion$
    {51, 2686, 1120},	// KDEPluginVerificationData::setKDEVersion$
    {51, 2688, 1122},	// KDEPluginVerificationData::setKDEVersionString$
    {51, 3412, 1124},	// KDEPluginVerificationData::~KDEPluginVerificationData
    {52, 14, 1214},	// KDateTime::After
    {52, 26, 1213},	// KDateTime::AtEnd
    {52, 27, 1211},	// KDateTime::AtStart
    {52, 42, 1210},	// KDateTime::Before
    {52, 62, 1204},	// KDateTime::ClockTime
    {52, 104, 1218},	// KDateTime::EndsAt
    {52, 105, 1215},	// KDateTime::Equal
    {52, 151, 1205},	// KDateTime::ISODate
    {52, 160, 1212},	// KDateTime::Inside
    {52, 161, 1199},	// KDateTime::Invalid
    {52, 337, 1125},	// KDateTime::KDateTime
    {52, 338, -797},	// KDateTime::KDateTime#
    {52, 339, -801},	// KDateTime::KDateTime##
    {52, 340, 1127},	// KDateTime::KDateTime###
    {52, 575, 1209},	// KDateTime::LocalDate
    {52, 576, 1203},	// KDateTime::LocalZone
    {52, 622, 1201},	// KDateTime::OffsetFromUTC
    {52, 633, 1216},	// KDateTime::Outside
    {52, 665, 1208},	// KDateTime::QtTextDate
    {52, 668, 1206},	// KDateTime::RFCDate
    {52, 669, 1207},	// KDateTime::RFCDateDay
    {52, 729, 1217},	// KDateTime::StartsAt
    {52, 751, 1202},	// KDateTime::TimeZone
    {52, 760, 1200},	// KDateTime::UTC
    {52, 869, 1165},	// KDateTime::addDays$
    {52, 956, 1163},	// KDateTime::addMSecs$
    {52, 959, 1166},	// KDateTime::addMonths$
    {52, 974, 1164},	// KDateTime::addSecs$
    {52, 996, 1167},	// KDateTime::addYears$
    {52, 1152, 1182},	// KDateTime::compare#
    {52, 1228, 1173},	// KDateTime::currentDateTime#
    {52, 1230, 1174},	// KDateTime::currentLocalDate
    {52, 1231, 1171},	// KDateTime::currentLocalDateTime
    {52, 1232, 1175},	// KDateTime::currentLocalTime
    {52, 1235, 1172},	// KDateTime::currentUtcDateTime
    {52, 1249, 1135},	// KDateTime::date
    {52, 1257, 1137},	// KDateTime::dateTime
    {52, 1297, 1170},	// KDateTime::daysTo#
    {52, 1349, 1189},	// KDateTime::detach
    {52, 1621, 1195},	// KDateTime::fromString$
    {52, 1622, -805},	// KDateTime::fromString$$
    {52, 1623, 1198},	// KDateTime::fromString$$#
    {52, 1624, 1179},	// KDateTime::fromString$$#$
    {52, 1625, 1178},	// KDateTime::fromString$$$
    {52, 1783, 1142},	// KDateTime::isClockTime
    {52, 1788, 1134},	// KDateTime::isDateOnly
    {52, 1829, 1141},	// KDateTime::isLocalZone
    {52, 1835, 1132},	// KDateTime::isNull
    {52, 1836, 1144},	// KDateTime::isOffsetFromUtc
    {52, 1847, 1146},	// KDateTime::isSecondOccurrence
    {52, 1861, 1143},	// KDateTime::isUtc
    {52, 1864, 1133},	// KDateTime::isValid
    {52, 2146, 1184},	// KDateTime::operator!=#
    {52, 2168, 1185},	// KDateTime::operator<#
    {52, 2180, 1186},	// KDateTime::operator<=#
    {52, 2186, 1131},	// KDateTime::operator=#
    {52, 2189, 1183},	// KDateTime::operator==#
    {52, 2196, 1187},	// KDateTime::operator>#
    {52, 2202, 1188},	// KDateTime::operator>=#
    {52, 2220, 1181},	// KDateTime::outOfRange
    {52, 2409, 1191},	// KDateTime::realCurrentLocalDateTime
    {52, 2491, 1168},	// KDateTime::secsTo#
    {52, 2493, 1169},	// KDateTime::secsTo_long#
    {52, 2595, 1158},	// KDateTime::setDate#
    {52, 2608, 1157},	// KDateTime::setDateOnly$
    {52, 2610, 1160},	// KDateTime::setDateTime#
    {52, 2668, 1180},	// KDateTime::setFromStringDefault#
    {52, 2882, 1162},	// KDateTime::setSecondOccurrence$
    {52, 2898, 1190},	// KDateTime::setSimulatedSystemTime#
    {52, 2919, 1159},	// KDateTime::setTime#
    {52, 2923, 1161},	// KDateTime::setTimeSpec#
    {52, 2925, 1156},	// KDateTime::setTime_t$
    {52, 3131, 1136},	// KDateTime::time
    {52, 3133, 1139},	// KDateTime::timeSpec
    {52, 3135, 1140},	// KDateTime::timeType
    {52, 3136, 1138},	// KDateTime::timeZone
    {52, 3139, 1151},	// KDateTime::toClockTime
    {52, 3145, 1150},	// KDateTime::toLocalZone
    {52, 3147, 1148},	// KDateTime::toOffsetFromUtc
    {52, 3148, 1149},	// KDateTime::toOffsetFromUtc$
    {52, 3149, 1194},	// KDateTime::toString
    {52, 3152, -808},	// KDateTime::toString$
    {52, 3154, -811},	// KDateTime::toTimeSpec#
    {52, 3155, 1155},	// KDateTime::toTime_t
    {52, 3157, 1147},	// KDateTime::toUtc
    {52, 3160, 1152},	// KDateTime::toZone#
    {52, 3259, 1145},	// KDateTime::utcOffset
    {52, 3413, 1219},	// KDateTime::~KDateTime
    {53, 62, 1239},	// KDateTime::Spec::ClockTime
    {53, 576, 1241},	// KDateTime::Spec::LocalZone
    {53, 623, 1240},	// KDateTime::Spec::OffsetFromUTC$
    {53, 713, 1220},	// KDateTime::Spec::Spec
    {53, 714, -742},	// KDateTime::Spec::Spec#
    {53, 715, 1242},	// KDateTime::Spec::Spec$
    {53, 716, 1222},	// KDateTime::Spec::Spec$$
    {53, 760, 1238},	// KDateTime::Spec::UTC
    {53, 1427, 1237},	// KDateTime::Spec::equivalentTo#
    {53, 1783, 1229},	// KDateTime::Spec::isClockTime
    {53, 1829, 1228},	// KDateTime::Spec::isLocalZone
    {53, 1836, 1231},	// KDateTime::Spec::isOffsetFromUtc
    {53, 1861, 1230},	// KDateTime::Spec::isUtc
    {53, 1864, 1225},	// KDateTime::Spec::isValid
    {53, 2146, 1236},	// KDateTime::Spec::operator!=#
    {53, 2186, 1224},	// KDateTime::Spec::operator=#
    {53, 2189, 1235},	// KDateTime::Spec::operator==#
    {53, 2935, 1234},	// KDateTime::Spec::setType#
    {53, 2936, 1243},	// KDateTime::Spec::setType$
    {53, 2937, 1233},	// KDateTime::Spec::setType$$
    {53, 3136, 1226},	// KDateTime::Spec::timeZone
    {53, 3211, 1227},	// KDateTime::Spec::type
    {53, 3259, 1232},	// KDateTime::Spec::utcOffset
    {53, 3478, 1244},	// KDateTime::Spec::~Spec
    {54, 342, 1250},	// KDebug::KDebug#
    {54, 343, 1251},	// KDebug::KDebug$
    {54, 344, 1252},	// KDebug::KDebug$$
    {54, 345, 1253},	// KDebug::KDebug$$$
    {54, 346, 1245},	// KDebug::KDebug$$$$
    {54, 1679, 1246},	// KDebug::hasNullOutput$$$$
    {54, 1680, 1254},	// KDebug::hasNullOutputQtDebugMsg
    {54, 1681, -241},	// KDebug::hasNullOutputQtDebugMsg$
    {54, 1682, 1248},	// KDebug::hasNullOutputQtDebugMsg$$
    {54, 2417, 1256},	// KDebug::registerArea#
    {54, 2418, 1249},	// KDebug::registerArea#$
    {54, 3414, 1257},	// KDebug::~KDebug
    {55, 347, 1258},	// KDebugTag::KDebugTag
    {55, 348, 1259},	// KDebugTag::KDebugTag#
    {55, 3415, 1260},	// KDebugTag::~KDebugTag
    {56, 350, 1262},	// KDesktopFile::KDesktopFile$
    {56, 351, 1261},	// KDesktopFile::KDesktopFile$$
    {56, 830, -794},	// KDesktopFile::actionGroup$
    {56, 1192, 1287},	// KDesktopFile::copyTo$
    {56, 1348, 1266},	// KDesktopFile::desktopGroup
    {56, 1498, 1288},	// KDesktopFile::fileName
    {56, 1655, 1278},	// KDesktopFile::hasActionGroup$
    {56, 1656, 1280},	// KDesktopFile::hasApplicationType
    {56, 1661, 1282},	// KDesktopFile::hasDeviceType
    {56, 1672, 1279},	// KDesktopFile::hasLinkType
    {56, 1677, 1281},	// KDesktopFile::hasMimeTypeType
    {56, 1771, 1264},	// KDesktopFile::isAuthorizedDesktopFile$
    {56, 1793, 1263},	// KDesktopFile::isDesktopFile$
    {56, 1987, 1265},	// KDesktopFile::locateLocal$
    {56, 2109, 1286},	// KDesktopFile::noDisplay
    {56, 2350, 1275},	// KDesktopFile::readActions
    {56, 2352, 1270},	// KDesktopFile::readComment
    {56, 2365, 1273},	// KDesktopFile::readDevice
    {56, 2366, 1284},	// KDesktopFile::readDocPath
    {56, 2376, 1271},	// KDesktopFile::readGenericName
    {56, 2378, 1268},	// KDesktopFile::readIcon
    {56, 2390, 1269},	// KDesktopFile::readName
    {56, 2394, 1272},	// KDesktopFile::readPath
    {56, 2402, 1267},	// KDesktopFile::readType
    {56, 2403, 1274},	// KDesktopFile::readUrl
    {56, 2465, 1289},	// KDesktopFile::resource
    {56, 2983, 1285},	// KDesktopFile::sortOrder
    {56, 3210, 1283},	// KDesktopFile::tryExec
    {56, 3416, 1290},	// KDesktopFile::~KDesktopFile
    {57, 23, 1323},	// KEncodingDetector::Arabic
    {57, 32, 1315},	// KEncodingDetector::AutoDetectedEncoding
    {57, 35, 1316},	// KEncodingDetector::BOM
    {57, 40, 1324},	// KEncodingDetector::Baltic
    {57, 50, 1325},	// KEncodingDetector::CentralEuropean
    {57, 56, 1326},	// KEncodingDetector::ChineseSimplified
    {57, 57, 1327},	// KEncodingDetector::ChineseTraditional
    {57, 76, 1328},	// KEncodingDetector::Cyrillic
    {57, 87, 1314},	// KEncodingDetector::DefaultEncoding
    {57, 100, 1319},	// KEncodingDetector::EncodingFromHTTPHeader
    {57, 101, 1318},	// KEncodingDetector::EncodingFromMetaTag
    {57, 102, 1317},	// KEncodingDetector::EncodingFromXMLHeader
    {57, 136, 1329},	// KEncodingDetector::Greek
    {57, 139, 1330},	// KEncodingDetector::Hebrew
    {57, 257, 1331},	// KEncodingDetector::Japanese
    {57, 352, 1291},	// KEncodingDetector::KEncodingDetector
    {57, 353, 1312},	// KEncodingDetector::KEncodingDetector#
    {57, 354, 1313},	// KEncodingDetector::KEncodingDetector#$
    {57, 355, 1292},	// KEncodingDetector::KEncodingDetector#$$
    {57, 553, 1332},	// KEncodingDetector::Korean
    {57, 612, 1321},	// KEncodingDetector::None
    {57, 616, 1333},	// KEncodingDetector::NorthernSaami
    {57, 694, 1322},	// KEncodingDetector::SemiautomaticDetection
    {57, 712, 1334},	// KEncodingDetector::SouthEasternEurope
    {57, 743, 1335},	// KEncodingDetector::Thai
    {57, 758, 1336},	// KEncodingDetector::Turkish
    {57, 766, 1337},	// KEncodingDetector::Unicode
    {57, 793, 1320},	// KEncodingDetector::UserChosenEncoding
    {57, 796, 1338},	// KEncodingDetector::WesternEuropean
    {57, 1025, 1310},	// KEncodingDetector::analyze$$
    {57, 1047, 1297},	// KEncodingDetector::autoDetectLanguage
    {57, 1302, 1300},	// KEncodingDetector::decode#
    {57, 1303, 1299},	// KEncodingDetector::decode$$
    {57, 1307, 1301},	// KEncodingDetector::decodeWithBuffering$$
    {57, 1310, 1302},	// KEncodingDetector::decodedInvalidCharacters
    {57, 1311, 1311},	// KEncodingDetector::decoder
    {57, 1401, 1294},	// KEncodingDetector::encoding
    {57, 1402, 1298},	// KEncodingDetector::encodingChoiceSource
    {57, 1442, 1309},	// KEncodingDetector::errorsIfUtf8$$
    {57, 1562, 1304},	// KEncodingDetector::flush
    {57, 1658, 1307},	// KEncodingDetector::hasAutoDetectionForScript$
    {57, 2094, 1306},	// KEncodingDetector::nameForScript$
    {57, 2280, 1308},	// KEncodingDetector::processNull$$
    {57, 2458, 1303},	// KEncodingDetector::resetDecoder
    {57, 2488, 1305},	// KEncodingDetector::scriptForName$
    {57, 2541, 1296},	// KEncodingDetector::setAutoDetectLanguage$
    {57, 2638, 1293},	// KEncodingDetector::setEncoding$$
    {57, 3278, 1295},	// KEncodingDetector::visuallyOrdered
    {57, 3417, 1339},	// KEncodingDetector::~KEncodingDetector
    {58, 23, 1359},	// KEncodingProber::Arabic
    {58, 40, 1360},	// KEncodingProber::Baltic
    {58, 50, 1361},	// KEncodingProber::CentralEuropean
    {58, 56, 1362},	// KEncodingProber::ChineseSimplified
    {58, 57, 1363},	// KEncodingProber::ChineseTraditional
    {58, 76, 1364},	// KEncodingProber::Cyrillic
    {58, 129, 1354},	// KEncodingProber::FoundIt
    {58, 136, 1365},	// KEncodingProber::Greek
    {58, 139, 1366},	// KEncodingProber::Hebrew
    {58, 257, 1367},	// KEncodingProber::Japanese
    {58, 356, 1353},	// KEncodingProber::KEncodingProber
    {58, 357, 1352},	// KEncodingProber::KEncodingProber#
    {58, 358, 1340},	// KEncodingProber::KEncodingProber$
    {58, 553, 1368},	// KEncodingProber::Korean
    {58, 612, 1357},	// KEncodingProber::None
    {58, 616, 1369},	// KEncodingProber::NorthernSaami
    {58, 617, 1355},	// KEncodingProber::NotMe
    {58, 632, 1370},	// KEncodingProber::Other
    {58, 651, 1356},	// KEncodingProber::Probing
    {58, 712, 1371},	// KEncodingProber::SouthEasternEurope
    {58, 743, 1372},	// KEncodingProber::Thai
    {58, 758, 1373},	// KEncodingProber::Turkish
    {58, 766, 1374},	// KEncodingProber::Unicode
    {58, 778, 1358},	// KEncodingProber::Universal
    {58, 796, 1375},	// KEncodingProber::WesternEuropean
    {58, 1157, 1347},	// KEncodingProber::confidence
    {58, 1401, 1346},	// KEncodingProber::encoding
    {58, 1406, 1345},	// KEncodingProber::encodingName
    {58, 1492, 1342},	// KEncodingProber::feed#
    {58, 1493, 1343},	// KEncodingProber::feed$$
    {58, 2092, 1351},	// KEncodingProber::nameForProberType$
    {58, 2276, 1348},	// KEncodingProber::proberType
    {58, 2278, 1350},	// KEncodingProber::proberTypeForName$
    {58, 2457, 1341},	// KEncodingProber::reset
    {58, 2852, 1349},	// KEncodingProber::setProberType$
    {58, 3060, 1344},	// KEncodingProber::state
    {58, 3418, 1376},	// KEncodingProber::~KEncodingProber
    {59, 103, 1404},	// KFilterBase::End
    {59, 111, 1405},	// KFilterBase::Error
    {59, 359, 1377},	// KFilterBase::KFilterBase
    {59, 603, 1406},	// KFilterBase::NoHeaders
    {59, 624, 1403},	// KFilterBase::Ok
    {59, 797, 1407},	// KFilterBase::WithHeaders
    {59, 1156, 1393},	// KFilterBase::compress$
    {59, 1355, 1379},	// KFilterBase::device
    {59, 1501, 1395},	// KFilterBase::filterFlags
    {59, 1546, 1396},	// KFilterBase::findFilterByFileName$
    {59, 1548, 1397},	// KFilterBase::findFilterByMimeType$
    {59, 1715, 1389},	// KFilterBase::inBufferAvailable
    {59, 1716, 1388},	// KFilterBase::inBufferEmpty
    {59, 1728, 1380},	// KFilterBase::init$
    {59, 2003, 1401},	// KFilterBase::m_bAutoDel
    {59, 2009, 1399},	// KFilterBase::m_dev
    {59, 2057, 1381},	// KFilterBase::mode
    {59, 2218, 1391},	// KFilterBase::outBufferAvailable
    {59, 2219, 1390},	// KFilterBase::outBufferFull
    {59, 2377, 1384},	// KFilterBase::readHeader
    {59, 2457, 1383},	// KFilterBase::reset
    {59, 2628, 1398},	// KFilterBase::setDevice#
    {59, 2629, 1378},	// KFilterBase::setDevice#$
    {59, 2662, 1394},	// KFilterBase::setFilterFlags$
    {59, 2680, 1387},	// KFilterBase::setInBuffer$$
    {59, 2726, 1402},	// KFilterBase::setM_bAutoDel$
    {59, 2738, 1400},	// KFilterBase::setM_dev#
    {59, 2822, 1386},	// KFilterBase::setOutBuffer$$
    {59, 3124, 1382},	// KFilterBase::terminate
    {59, 3216, 1392},	// KFilterBase::uncompress
    {59, 3339, 1385},	// KFilterBase::writeHeader#
    {59, 3419, 1408},	// KFilterBase::~KFilterBase
    {60, 1033, 1414},	// KFilterDev::atEnd
    {60, 1139, 1410},	// KFilterDev::close
    {60, 1356, 1421},	// KFilterDev::device#$
    {60, 1357, 1416},	// KFilterDev::device#$$
    {60, 1359, 1419},	// KFilterDev::deviceForFile$
    {60, 1360, 1420},	// KFilterDev::deviceForFile$$
    {60, 1361, 1415},	// KFilterDev::deviceForFile$$$
    {60, 2133, 1409},	// KFilterDev::open$
    {60, 2356, 1417},	// KFilterDev::readData$$
    {60, 2495, 1413},	// KFilterDev::seek$
    {60, 2818, 1411},	// KFilterDev::setOrigFileName#
    {60, 2899, 1412},	// KFilterDev::setSkipHeaders
    {60, 3330, 1418},	// KFilterDev::writeData$$
    {60, 3420, 1422},	// KFilterDev::~KFilterDev
    {61, 94, 1442},	// KGlobal::DoCopyCatalogs
    {61, 95, 1443},	// KGlobal::DontCopyCatalogs
    {61, 835, 1436},	// KGlobal::activeComponent
    {61, 1098, 1441},	// KGlobal::caption
    {61, 1112, 1425},	// KGlobal::charsets
    {61, 1158, 1433},	// KGlobal::config
    {61, 1336, 1432},	// KGlobal::deref
    {61, 1370, 1424},	// KGlobal::dirs
    {61, 1534, 1428},	// KGlobal::findDirectChild_helper##
    {61, 1673, 1434},	// KGlobal::hasLocale
    {61, 1674, 1427},	// KGlobal::hasMainComponent
    {61, 1977, 1440},	// KGlobal::locale
    {61, 2028, 1423},	// KGlobal::mainComponent
    {61, 2415, 1430},	// KGlobal::ref
    {61, 2522, 1426},	// KGlobal::setActiveComponent#
    {61, 2528, 1431},	// KGlobal::setAllowQuit$
    {61, 2716, 1438},	// KGlobal::setLocale#
    {61, 2717, 1437},	// KGlobal::setLocale#$
    {61, 3066, -143},	// KGlobal::staticQString$
    {61, 3214, 1435},	// KGlobal::umask
    {62, 47, 1494},	// KJob::Bytes
    {62, 93, 1496},	// KJob::Directories
    {62, 99, 1501},	// KJob::EmitResult
    {62, 126, 1495},	// KJob::Files
    {62, 360, 1487},	// KJob::KJob
    {62, 361, 1451},	// KJob::KJob#
    {62, 362, 1484},	// KJob::KJob##
    {62, 551, 1498},	// KJob::Killable
    {62, 552, 1503},	// KJob::KilledJobError
    {62, 597, 1497},	// KJob::NoCapabilities
    {62, 601, 1502},	// KJob::NoError
    {62, 667, 1500},	// KJob::Quietly
    {62, 733, 1499},	// KJob::Suspendable
    {62, 794, 1504},	// KJob::UserDefinedError
    {62, 1096, 1454},	// KJob::capabilities
    {62, 1338, 1489},	// KJob::description#$
    {62, 1339, 1490},	// KJob::description#$?
    {62, 1340, 1473},	// KJob::description#$??
    {62, 1377, 1460},	// KJob::doKill
    {62, 1378, 1462},	// KJob::doResume
    {62, 1379, 1461},	// KJob::doSuspend
    {62, 1388, 1482},	// KJob::emitPercent$$
    {62, 1389, 1481},	// KJob::emitResult
    {62, 1391, 1483},	// KJob::emitSpeed$
    {62, 1434, 1465},	// KJob::error
    {62, 1438, 1467},	// KJob::errorString
    {62, 1440, 1466},	// KJob::errorText
    {62, 1447, 1464},	// KJob::exec
    {62, 1722, 1491},	// KJob::infoMessage#$
    {62, 1723, 1474},	// KJob::infoMessage#$$
    {62, 1772, 1472},	// KJob::isAutoDelete
    {62, 1857, 1455},	// KJob::isSuspended
    {62, 1932, 1488},	// KJob::kill
    {62, 1933, 1457},	// KJob::kill$
    {62, 2048, 1444},	// KJob::metaObject
    {62, 2244, 1470},	// KJob::percent
    {62, 2283, 1468},	// KJob::processedAmount$
    {62, 2318, 1450},	// KJob::qt_metacall$$?
    {62, 2320, 1445},	// KJob::qt_metacast$
    {62, 2470, 1459},	// KJob::resume
    {62, 2539, 1471},	// KJob::setAutoDelete$
    {62, 2559, 1463},	// KJob::setCapabilities$
    {62, 2643, 1476},	// KJob::setError$
    {62, 2649, 1477},	// KJob::setErrorText$
    {62, 2832, 1480},	// KJob::setPercent$
    {62, 2854, 1478},	// KJob::setProcessedAmount$$
    {62, 2929, 1479},	// KJob::setTotalAmount$$
    {62, 2939, 1452},	// KJob::setUiDelegate#
    {62, 3003, 1456},	// KJob::start
    {62, 3064, 1493},	// KJob::staticMetaObject
    {62, 3099, 1458},	// KJob::suspend
    {62, 3167, 1469},	// KJob::totalAmount$
    {62, 3169, 1485},	// KJob::tr$
    {62, 3170, 1446},	// KJob::tr$$
    {62, 3171, 1448},	// KJob::tr$$$
    {62, 3176, 1486},	// KJob::trUtf8$
    {62, 3177, 1447},	// KJob::trUtf8$$
    {62, 3178, 1449},	// KJob::trUtf8$$$
    {62, 3212, 1453},	// KJob::uiDelegate
    {62, 3295, 1492},	// KJob::warning#$
    {62, 3296, 1475},	// KJob::warning#$$
    {62, 3421, 1505},	// KJob::~KJob
    {64, 363, 1528},	// KJobTrackerInterface::KJobTrackerInterface
    {64, 364, 1513},	// KJobTrackerInterface::KJobTrackerInterface#
    {64, 1340, 1519},	// KJobTrackerInterface::description#$??
    {64, 1559, 1516},	// KJobTrackerInterface::finished#
    {64, 1723, 1520},	// KJobTrackerInterface::infoMessage#$$
    {64, 2048, 1506},	// KJobTrackerInterface::metaObject
    {64, 2245, 1524},	// KJobTrackerInterface::percent#$
    {64, 2282, 1523},	// KJobTrackerInterface::processedAmount#$$
    {64, 2318, 1512},	// KJobTrackerInterface::qt_metacall$$?
    {64, 2320, 1507},	// KJobTrackerInterface::qt_metacast$
    {64, 2420, 1514},	// KJobTrackerInterface::registerJob#
    {64, 2472, 1518},	// KJobTrackerInterface::resumed#
    {64, 2986, 1525},	// KJobTrackerInterface::speed#$
    {64, 3064, 1529},	// KJobTrackerInterface::staticMetaObject
    {64, 3101, 1517},	// KJobTrackerInterface::suspended#
    {64, 3166, 1522},	// KJobTrackerInterface::totalAmount#$$
    {64, 3169, 1526},	// KJobTrackerInterface::tr$
    {64, 3170, 1508},	// KJobTrackerInterface::tr$$
    {64, 3171, 1510},	// KJobTrackerInterface::tr$$$
    {64, 3176, 1527},	// KJobTrackerInterface::trUtf8$
    {64, 3177, 1509},	// KJobTrackerInterface::trUtf8$$
    {64, 3178, 1511},	// KJobTrackerInterface::trUtf8$$$
    {64, 3223, 1515},	// KJobTrackerInterface::unregisterJob#
    {64, 3296, 1521},	// KJobTrackerInterface::warning#$$
    {64, 3422, 1530},	// KJobTrackerInterface::~KJobTrackerInterface
    {65, 365, 1538},	// KJobUiDelegate::KJobUiDelegate
    {65, 1773, 1542},	// KJobUiDelegate::isAutoErrorHandlingEnabled
    {65, 1774, 1544},	// KJobUiDelegate::isAutoWarningHandlingEnabled
    {65, 1876, 1539},	// KJobUiDelegate::job
    {65, 2048, 1531},	// KJobUiDelegate::metaObject
    {65, 2318, 1537},	// KJobUiDelegate::qt_metacall$$?
    {65, 2320, 1532},	// KJobUiDelegate::qt_metacast$
    {65, 2543, 1541},	// KJobUiDelegate::setAutoErrorHandlingEnabled$
    {65, 2547, 1543},	// KJobUiDelegate::setAutoWarningHandlingEnabled$
    {65, 2964, 1540},	// KJobUiDelegate::showErrorMessage
    {65, 2980, 1545},	// KJobUiDelegate::slotWarning#$$
    {65, 3064, 1548},	// KJobUiDelegate::staticMetaObject
    {65, 3169, 1546},	// KJobUiDelegate::tr$
    {65, 3170, 1533},	// KJobUiDelegate::tr$$
    {65, 3171, 1535},	// KJobUiDelegate::tr$$$
    {65, 3176, 1547},	// KJobUiDelegate::trUtf8$
    {65, 3177, 1534},	// KJobUiDelegate::trUtf8$$
    {65, 3178, 1536},	// KJobUiDelegate::trUtf8$$$
    {65, 3423, 1549},	// KJobUiDelegate::~KJobUiDelegate
    {66, 106, 1572},	// KLibLoader::ErrNoComponent
    {66, 107, 1571},	// KLibLoader::ErrNoFactory
    {66, 108, 1570},	// KLibLoader::ErrNoLibrary
    {66, 109, 1574},	// KLibLoader::ErrNoServiceFound
    {66, 110, 1573},	// KLibLoader::ErrServiceProvidesNoLibrary
    {66, 1439, 1563},	// KLibLoader::errorString$
    {66, 1486, 1566},	// KLibLoader::factory$
    {66, 1487, 1557},	// KLibLoader::factory$$
    {66, 1552, 1568},	// KLibLoader::findLibrary$
    {66, 1553, 1562},	// KLibLoader::findLibrary$#
    {66, 1947, 1559},	// KLibLoader::lastErrorMessage
    {66, 1956, 1567},	// KLibLoader::library$
    {66, 1957, 1558},	// KLibLoader::library$$
    {66, 2048, 1550},	// KLibLoader::metaObject
    {66, 2318, 1556},	// KLibLoader::qt_metacall$$?
    {66, 2320, 1551},	// KLibLoader::qt_metacast$
    {66, 2496, 1561},	// KLibLoader::self
    {66, 3064, 1569},	// KLibLoader::staticMetaObject
    {66, 3169, 1564},	// KLibLoader::tr$
    {66, 3170, 1552},	// KLibLoader::tr$$
    {66, 3171, 1554},	// KLibLoader::tr$$$
    {66, 3176, 1565},	// KLibLoader::trUtf8$
    {66, 3177, 1553},	// KLibLoader::trUtf8$$
    {66, 3178, 1555},	// KLibLoader::trUtf8$$$
    {66, 3220, 1560},	// KLibLoader::unloadLibrary$
    {67, 366, 1592},	// KLibrary::KLibrary
    {67, 367, 1582},	// KLibrary::KLibrary#
    {67, 368, 1593},	// KLibrary::KLibrary$
    {67, 369, 1594},	// KLibrary::KLibrary$#
    {67, 370, 1583},	// KLibrary::KLibrary$##
    {67, 371, 1595},	// KLibrary::KLibrary$$
    {67, 372, 1596},	// KLibrary::KLibrary$$#
    {67, 373, 1584},	// KLibrary::KLibrary$$##
    {67, 1485, 1597},	// KLibrary::factory
    {67, 1486, 1585},	// KLibrary::factory$
    {67, 2048, 1575},	// KLibrary::metaObject
    {67, 2318, 1581},	// KLibrary::qt_metacall$$?
    {67, 2320, 1576},	// KLibrary::qt_metacast$
    {67, 2462, 1587},	// KLibrary::resolveFunction$
    {67, 2464, 1586},	// KLibrary::resolveSymbol$
    {67, 2659, 1598},	// KLibrary::setFileName$
    {67, 2660, 1588},	// KLibrary::setFileName$#
    {67, 3064, 1599},	// KLibrary::staticMetaObject
    {67, 3169, 1590},	// KLibrary::tr$
    {67, 3170, 1577},	// KLibrary::tr$$
    {67, 3171, 1579},	// KLibrary::tr$$$
    {67, 3176, 1591},	// KLibrary::trUtf8$
    {67, 3177, 1578},	// KLibrary::trUtf8$$
    {67, 3178, 1580},	// KLibrary::trUtf8$$$
    {67, 3218, 1589},	// KLibrary::unload
    {67, 3424, 1600},	// KLibrary::~KLibrary
    {68, 3, 1624},	// KLocalSocket::AbstractUnixSocket
    {68, 374, 1619},	// KLocalSocket::KLocalSocket
    {68, 375, 1608},	// KLocalSocket::KLocalSocket#
    {68, 779, 1623},	// KLocalSocket::UnixSocket
    {68, 781, 1625},	// KLocalSocket::UnknownLocalSocketType
    {68, 1175, 1615},	// KLocalSocket::connectToHostImplementation$$$
    {68, 1177, 1620},	// KLocalSocket::connectToPath$
    {68, 1178, -204},	// KLocalSocket::connectToPath$$
    {68, 1179, 1610},	// KLocalSocket::connectToPath$$$
    {68, 1373, 1616},	// KLocalSocket::disconnectFromHostImplementation
    {68, 1374, 1611},	// KLocalSocket::disconnectFromPath
    {68, 1975, 1613},	// KLocalSocket::localPath
    {68, 1976, 1612},	// KLocalSocket::localSocketType
    {68, 2048, 1601},	// KLocalSocket::metaObject
    {68, 2242, 1614},	// KLocalSocket::peerPath
    {68, 2318, 1607},	// KLocalSocket::qt_metacall$$?
    {68, 2320, 1602},	// KLocalSocket::qt_metacast$
    {68, 3064, 1622},	// KLocalSocket::staticMetaObject
    {68, 3169, 1617},	// KLocalSocket::tr$
    {68, 3170, 1603},	// KLocalSocket::tr$$
    {68, 3171, 1605},	// KLocalSocket::tr$$$
    {68, 3176, 1618},	// KLocalSocket::trUtf8$
    {68, 3177, 1604},	// KLocalSocket::trUtf8$$
    {68, 3178, 1606},	// KLocalSocket::trUtf8$$$
    {68, 3425, 1626},	// KLocalSocket::~KLocalSocket
    {69, 376, 1651},	// KLocalSocketServer::KLocalSocketServer
    {69, 377, 1634},	// KLocalSocketServer::KLocalSocketServer#
    {69, 1139, 1636},	// KLocalSocketServer::close
    {69, 1438, 1646},	// KLocalSocketServer::errorString
    {69, 1685, 1643},	// KLocalSocketServer::hasPendingConnections
    {69, 1720, 1647},	// KLocalSocketServer::incomingConnection$
    {69, 1826, 1637},	// KLocalSocketServer::isListening
    {69, 1963, 1652},	// KLocalSocketServer::listen$
    {69, 1967, 1635},	// KLocalSocketServer::listen$$
    {69, 1975, 1641},	// KLocalSocketServer::localPath
    {69, 1976, 1640},	// KLocalSocketServer::localSocketType
    {69, 2037, 1639},	// KLocalSocketServer::maxPendingConnections
    {69, 2048, 1627},	// KLocalSocketServer::metaObject
    {69, 2103, 1648},	// KLocalSocketServer::newConnection
    {69, 2108, 1644},	// KLocalSocketServer::nextPendingConnection
    {69, 2318, 1633},	// KLocalSocketServer::qt_metacall$$?
    {69, 2320, 1628},	// KLocalSocketServer::qt_metacast$
    {69, 2498, 1645},	// KLocalSocketServer::serverError
    {69, 2784, 1638},	// KLocalSocketServer::setMaxPendingConnections$
    {69, 3064, 1655},	// KLocalSocketServer::staticMetaObject
    {69, 3169, 1649},	// KLocalSocketServer::tr$
    {69, 3170, 1629},	// KLocalSocketServer::tr$$
    {69, 3171, 1631},	// KLocalSocketServer::tr$$$
    {69, 3176, 1650},	// KLocalSocketServer::trUtf8$
    {69, 3177, 1630},	// KLocalSocketServer::trUtf8$$
    {69, 3178, 1632},	// KLocalSocketServer::trUtf8$$$
    {69, 3287, 1653},	// KLocalSocketServer::waitForNewConnection
    {69, 3288, 1654},	// KLocalSocketServer::waitForNewConnection$
    {69, 3289, 1642},	// KLocalSocketServer::waitForNewConnection$$
    {69, 3426, 1656},	// KLocalSocketServer::~KLocalSocketServer
    {70, 15, 1823},	// KLocale::AfterMoney
    {70, 16, 1821},	// KLocale::AfterQuantityMoney
    {70, 24, 1824},	// KLocale::ArabicDigits
    {70, 25, 1825},	// KLocale::ArabicIndicDigits
    {70, 43, 1822},	// KLocale::BeforeMoney
    {70, 44, 1820},	// KLocale::BeforeQuantityMoney
    {70, 45, 1828},	// KLocale::BengaliDigits
    {70, 85, 1849},	// KLocale::DefaultBinaryDialect
    {70, 86, 1838},	// KLocale::DefaultBinaryUnits
    {70, 91, 1827},	// KLocale::DevenagariDigits
    {70, 98, 1826},	// KLocale::EasternArabicIndicDigits
    {70, 122, 1860},	// KLocale::FancyLongDate
    {70, 123, 1859},	// KLocale::FancyShortDate
    {70, 137, 1829},	// KLocale::GujaratiDigits
    {70, 138, 1830},	// KLocale::GurmukhiDigits
    {70, 148, 1850},	// KLocale::IECBinaryDialect
    {70, 157, 1880},	// KLocale::Imperial
    {70, 169, 1861},	// KLocale::IsoDate
    {70, 170, 1872},	// KLocale::IsoFormat
    {70, 171, 1863},	// KLocale::IsoOrdinalDate
    {70, 172, 1874},	// KLocale::IsoOrdinalFormat
    {70, 173, 1862},	// KLocale::IsoWeekDate
    {70, 174, 1873},	// KLocale::IsoWeekFormat
    {70, 256, 1851},	// KLocale::JEDECBinaryDialect
    {70, 379, 1659},	// KLocale::KLocale#
    {70, 380, 1788},	// KLocale::KLocale$
    {70, 381, 1789},	// KLocale::KLocale$$
    {70, 382, 1790},	// KLocale::KLocale$$$
    {70, 383, 1658},	// KLocale::KLocale$$$#
    {70, 384, 1657},	// KLocale::KLocale$?
    {70, 546, 1831},	// KLocale::KannadaDigits
    {70, 547, 1854},	// KLocale::KdeFormat
    {70, 550, 1832},	// KLocale::KhmerDigits
    {70, 554, 1853},	// KLocale::LastBinaryDialect
    {70, 582, 1858},	// KLocale::LongDate
    {70, 588, 1833},	// KLocale::MalayalamDigits
    {70, 591, 1879},	// KLocale::Metric
    {70, 592, 1852},	// KLocale::MetricBinaryDialect
    {70, 615, 1870},	// KLocale::NormalFormat
    {70, 631, 1834},	// KLocale::OriyaDigits
    {70, 634, 1819},	// KLocale::ParensAround
    {70, 649, 1855},	// KLocale::PosixFormat
    {70, 652, 1878},	// KLocale::ProcessNonStrict
    {70, 653, 1877},	// KLocale::ProcessStrict
    {70, 692, 1865},	// KLocale::Seconds
    {70, 696, 1857},	// KLocale::ShortDate
    {70, 698, 1871},	// KLocale::ShortFormat
    {70, 739, 1835},	// KLocale::TamilDigits
    {70, 741, 1836},	// KLocale::TeluguDigits
    {70, 744, 1837},	// KLocale::ThaiDigits
    {70, 746, 1866},	// KLocale::TimeDefault
    {70, 747, 1869},	// KLocale::TimeDuration
    {70, 749, 1868},	// KLocale::TimeWithoutAmPm
    {70, 750, 1867},	// KLocale::TimeWithoutSeconds
    {70, 751, 1864},	// KLocale::TimeZone
    {70, 767, 1856},	// KLocale::UnicodeFormat
    {70, 768, 1839},	// KLocale::UnitByte
    {70, 769, 1845},	// KLocale::UnitExaByte
    {70, 770, 1842},	// KLocale::UnitGigaByte
    {70, 771, 1840},	// KLocale::UnitKiloByte
    {70, 772, 1848},	// KLocale::UnitLastUnit
    {70, 773, 1841},	// KLocale::UnitMegaByte
    {70, 774, 1844},	// KLocale::UnitPetaByte
    {70, 775, 1843},	// KLocale::UnitTeraByte
    {70, 776, 1847},	// KLocale::UnitYottaByte
    {70, 777, 1846},	// KLocale::UnitZettaByte
    {70, 798, 1875},	// KLocale::WithSeconds
    {70, 799, 1876},	// KLocale::WithoutSeconds
    {70, 1001, 1771},	// KLocale::allCountriesList
    {70, 1004, 1671},	// KLocale::allDigitSetsList
    {70, 1007, 1769},	// KLocale::allLanguagesList
    {70, 1077, 1696},	// KLocale::binaryUnitDialect
    {70, 1087, 1713},	// KLocale::calendar
    {70, 1091, 1714},	// KLocale::calendarType
    {70, 1143, 1730},	// KLocale::codecForEncoding
    {70, 1185, 1818},	// KLocale::convertDigits$$
    {70, 1186, 1787},	// KLocale::convertDigits$$$
    {70, 1188, 1781},	// KLocale::copyCatalogsTo#
    {70, 1197, 1725},	// KLocale::country
    {70, 1200, 1772},	// KLocale::countryCodeToName$
    {70, 1219, 1676},	// KLocale::currency
    {70, 1220, 1675},	// KLocale::currencyCode
    {70, 1221, 1727},	// KLocale::currencyCodeList
    {70, 1225, 1677},	// KLocale::currencySymbol
    {70, 1252, 1741},	// KLocale::dateFormat
    {70, 1253, 1742},	// KLocale::dateFormatShort
    {70, 1255, 1704},	// KLocale::dateMonthNamePossessive
    {70, 1258, 1707},	// KLocale::dateTimeDigitSet
    {70, 1299, 1683},	// KLocale::decimalPlaces
    {70, 1300, 1672},	// KLocale::decimalSymbol
    {70, 1313, 1777},	// KLocale::defaultCountry
    {70, 1314, 1778},	// KLocale::defaultCurrencyCode
    {70, 1315, 1776},	// KLocale::defaultLanguage
    {70, 1363, 1674},	// KLocale::digitSet
    {70, 1365, 1791},	// KLocale::digitSetToName$
    {70, 1366, 1670},	// KLocale::digitSetToName$$
    {70, 1401, 1728},	// KLocale::encoding
    {70, 1405, 1729},	// KLocale::encodingMib
    {70, 1496, 1731},	// KLocale::fileEncodingMib
    {70, 1567, 1694},	// KLocale::formatByteSize$
    {70, 1568, 1797},	// KLocale::formatByteSize$$
    {70, 1569, 1798},	// KLocale::formatByteSize$$$
    {70, 1570, 1695},	// KLocale::formatByteSize$$$$
    {70, 1572, 1799},	// KLocale::formatDate#
    {70, 1573, 1701},	// KLocale::formatDate#$
    {70, 1577, -216},	// KLocale::formatDateTime#
    {70, 1578, -219},	// KLocale::formatDateTime#$
    {70, 1579, -222},	// KLocale::formatDateTime#$$
    {70, 1581, 1698},	// KLocale::formatDuration$
    {70, 1583, 1806},	// KLocale::formatLocaleTime#
    {70, 1584, 1706},	// KLocale::formatLocaleTime#$
    {70, 1586, 1693},	// KLocale::formatLong$
    {70, 1588, 1792},	// KLocale::formatMoney$
    {70, 1589, 1793},	// KLocale::formatMoney$$
    {70, 1590, 1690},	// KLocale::formatMoney$$$
    {70, 1592, -225},	// KLocale::formatNumber$
    {70, 1593, -228},	// KLocale::formatNumber$$
    {70, 1594, 1692},	// KLocale::formatNumber$$$
    {70, 1596, 1804},	// KLocale::formatTime#
    {70, 1597, 1805},	// KLocale::formatTime#$
    {70, 1598, 1705},	// KLocale::formatTime#$$
    {70, 1599, 1682},	// KLocale::fracDigits
    {70, 1738, 1765},	// KLocale::insertCatalog$
    {70, 1769, 1780},	// KLocale::isApplicationTranslatedInto$
    {70, 1939, 1817},	// KLocale::langLookup$
    {70, 1940, 1775},	// KLocale::langLookup$$
    {70, 1941, 1724},	// KLocale::language
    {70, 1943, 1770},	// KLocale::languageCodeToName$
    {70, 1946, 1726},	// KLocale::languageList
    {70, 1979, 1785},	// KLocale::localizedFilePath$
    {70, 2043, 1763},	// KLocale::measureSystem
    {70, 2065, 1684},	// KLocale::monetaryDecimalPlaces
    {70, 2066, 1678},	// KLocale::monetaryDecimalSymbol
    {70, 2067, 1689},	// KLocale::monetaryDigitSet
    {70, 2068, 1679},	// KLocale::monetaryThousandsSeparator
    {70, 2098, 1688},	// KLocale::negativeMonetarySignPosition
    {70, 2099, 1686},	// KLocale::negativePrefixCurrencySymbol
    {70, 2100, 1681},	// KLocale::negativeSign
    {70, 2112, 1700},	// KLocale::nounDeclension
    {70, 2186, 1660},	// KLocale::operator=#
    {70, 2222, 1761},	// KLocale::pageSize
    {70, 2262, 1687},	// KLocale::positiveMonetarySignPosition
    {70, 2263, 1685},	// KLocale::positivePrefixCurrencySymbol
    {70, 2264, 1680},	// KLocale::positiveSign
    {70, 2271, 1699},	// KLocale::prettyFormatDuration$
    {70, 2358, 1809},	// KLocale::readDate$
    {70, 2359, -231},	// KLocale::readDate$$
    {70, 2360, -235},	// KLocale::readDate$$$
    {70, 2383, 1814},	// KLocale::readLocaleTime$
    {70, 2384, 1815},	// KLocale::readLocaleTime$$
    {70, 2385, 1816},	// KLocale::readLocaleTime$$$
    {70, 2386, 1723},	// KLocale::readLocaleTime$$$$
    {70, 2388, 1807},	// KLocale::readMoney$
    {70, 2389, 1716},	// KLocale::readMoney$$
    {70, 2392, 1808},	// KLocale::readNumber$
    {70, 2393, 1717},	// KLocale::readNumber$$
    {70, 2399, 1812},	// KLocale::readTime$
    {70, 2400, -238},	// KLocale::readTime$$
    {70, 2401, 1722},	// KLocale::readTime$$$
    {70, 2434, 1786},	// KLocale::removeAcceleratorMarker$
    {70, 2436, 1766},	// KLocale::removeCatalog$
    {70, 2520, 1767},	// KLocale::setActiveCatalog$
    {70, 2551, 1697},	// KLocale::setBinaryUnitDialect$
    {70, 2557, 1715},	// KLocale::setCalendar$
    {70, 2577, 1782},	// KLocale::setCountry$#
    {70, 2579, 1758},	// KLocale::setCurrencyCode$
    {70, 2581, 1759},	// KLocale::setCurrencySymbol$
    {70, 2600, 1732},	// KLocale::setDateFormat$
    {70, 2602, 1733},	// KLocale::setDateFormatShort$
    {70, 2606, 1734},	// KLocale::setDateMonthNamePossessive$
    {70, 2612, 1736},	// KLocale::setDateTimeDigitSet$
    {70, 2614, 1754},	// KLocale::setDecimalPlaces$
    {70, 2616, 1744},	// KLocale::setDecimalSymbol$
    {70, 2631, 1748},	// KLocale::setDigitSet$
    {70, 2637, 1669},	// KLocale::setEncoding$
    {70, 2666, 1753},	// KLocale::setFracDigits$
    {70, 2695, 1783},	// KLocale::setLanguage$#
    {70, 2696, 1784},	// KLocale::setLanguage?
    {70, 2776, 1774},	// KLocale::setMainCatalog$
    {70, 2788, 1764},	// KLocale::setMeasureSystem$
    {70, 2798, 1755},	// KLocale::setMonetaryDecimalPlaces$
    {70, 2800, 1757},	// KLocale::setMonetaryDecimalSymbol$
    {70, 2802, 1760},	// KLocale::setMonetaryDigitSet$
    {70, 2804, 1756},	// KLocale::setMonetaryThousandsSeparator$
    {70, 2808, 1750},	// KLocale::setNegativeMonetarySignPosition$
    {70, 2810, 1752},	// KLocale::setNegativePrefixCurrencySymbol$
    {70, 2812, 1747},	// KLocale::setNegativeSign$
    {70, 2826, 1762},	// KLocale::setPageSize$
    {70, 2838, 1749},	// KLocale::setPositiveMonetarySignPosition$
    {70, 2840, 1751},	// KLocale::setPositivePrefixCurrencySymbol$
    {70, 2842, 1746},	// KLocale::setPositiveSign$
    {70, 2917, 1745},	// KLocale::setThousandsSeparator$
    {70, 2921, 1735},	// KLocale::setTimeFormat$
    {70, 2947, 1740},	// KLocale::setWeekDayOfPray$
    {70, 2949, 1737},	// KLocale::setWeekStartDay$
    {70, 2953, 1739},	// KLocale::setWorkingWeekEndDay$
    {70, 2955, 1738},	// KLocale::setWorkingWeekStartDay$
    {70, 2996, 1773},	// KLocale::splitLocale$$$$$
    {70, 3128, 1673},	// KLocale::thousandsSeparator
    {70, 3132, 1743},	// KLocale::timeFormat
    {70, 3198, 1768},	// KLocale::translateQt$$$
    {70, 3200, 1662},	// KLocale::translateRaw$$$
    {70, 3201, 1664},	// KLocale::translateRaw$$$$
    {70, 3202, 1666},	// KLocale::translateRaw$$$$$
    {70, 3203, 1668},	// KLocale::translateRaw$$$$$$
    {70, 3205, 1661},	// KLocale::translateRawFrom$$$$
    {70, 3206, 1663},	// KLocale::translateRawFrom$$$$$
    {70, 3207, 1665},	// KLocale::translateRawFrom$$$$$$
    {70, 3208, 1667},	// KLocale::translateRawFrom$$$$$$$
    {70, 3242, 1708},	// KLocale::use12Clock
    {70, 3245, 1779},	// KLocale::useTranscript
    {70, 3306, 1712},	// KLocale::weekDayOfPray
    {70, 3313, 1709},	// KLocale::weekStartDay
    {70, 3325, 1711},	// KLocale::workingWeekEndDay
    {70, 3326, 1710},	// KLocale::workingWeekStartDay
    {70, 3427, 1881},	// KLocale::~KLocale
    {71, 385, 1882},	// KLocalizedString::KLocalizedString
    {71, 386, 1883},	// KLocalizedString::KLocalizedString#
    {71, 1718, 1899},	// KLocalizedString::inContext$$
    {71, 1800, 1889},	// KLocalizedString::isEmpty
    {71, 2111, 1900},	// KLocalizedString::notifyCatalogsUpdated??
    {71, 2186, 1884},	// KLocalizedString::operator=#
    {71, 3080, 1923},	// KLocalizedString::subs#
    {71, 3081, 1924},	// KLocalizedString::subs#$
    {71, 3082, 1897},	// KLocalizedString::subs#$#
    {71, 3083, -684},	// KLocalizedString::subs$
    {71, 3084, -693},	// KLocalizedString::subs$$
    {71, 3085, 1898},	// KLocalizedString::subs$$#
    {71, 3086, -702},	// KLocalizedString::subs$$$
    {71, 3087, -710},	// KLocalizedString::subs$$$#
    {71, 3088, 1922},	// KLocalizedString::subs$$$$
    {71, 3089, 1896},	// KLocalizedString::subs$$$$#
    {71, 3149, 1885},	// KLocalizedString::toString
    {71, 3150, 1887},	// KLocalizedString::toString#
    {71, 3151, 1888},	// KLocalizedString::toString#$
    {71, 3152, 1886},	// KLocalizedString::toString$
    {71, 3428, 1927},	// KLocalizedString::~KLocalizedString
    {72, 127, 1943},	// KLockFile::ForceFlag
    {72, 388, 1935},	// KLockFile::KLockFile#
    {72, 389, 1936},	// KLockFile::KLockFile$
    {72, 390, 1928},	// KLockFile::KLockFile$#
    {72, 578, 1940},	// KLockFile::LockError
    {72, 579, 1939},	// KLockFile::LockFail
    {72, 580, 1938},	// KLockFile::LockOK
    {72, 581, 1941},	// KLockFile::LockStale
    {72, 596, 1942},	// KLockFile::NoBlockFlag
    {72, 1636, 1934},	// KLockFile::getLockInfo$$$
    {72, 1830, 1930},	// KLockFile::isLocked
    {72, 1993, 1937},	// KLockFile::lock
    {72, 1994, 1929},	// KLockFile::lock$
    {72, 2905, 1933},	// KLockFile::setStaleTime$
    {72, 3002, 1932},	// KLockFile::staleTime
    {72, 3221, 1931},	// KLockFile::unlock
    {72, 3429, 1944},	// KLockFile::~KLockFile
    {73, 391, 1945},	// KMD5::KMD5
    {73, 392, 1947},	// KMD5::KMD5#
    {73, 393, 1962},	// KMD5::KMD5$
    {73, 394, 1946},	// KMD5::KMD5$$
    {73, 1068, 1957},	// KMD5::base64Digest
    {73, 1502, 1961},	// KMD5::finalize
    {73, 1697, 1955},	// KMD5::hexDigest
    {73, 1698, 1956},	// KMD5::hexDigest#
    {73, 2341, 1953},	// KMD5::rawDigest
    {73, 2342, 1954},	// KMD5::rawDigest$
    {73, 2457, 1952},	// KMD5::reset
    {73, 3180, 1960},	// KMD5::transform$
    {73, 3230, -672},	// KMD5::update#
    {73, 3231, -675},	// KMD5::update$
    {73, 3232, -678},	// KMD5::update$$
    {73, 3270, 1959},	// KMD5::verify#
    {73, 3271, 1958},	// KMD5::verify$
    {73, 3430, 1965},	// KMD5::~KMD5
    {74, 1470, -748},	// KMacroExpander::expandMacros$?
    {74, 1471, -753},	// KMacroExpander::expandMacros$?#
    {74, 1475, -758},	// KMacroExpander::expandMacrosShellQuote$?
    {74, 1476, -763},	// KMacroExpander::expandMacrosShellQuote$?#
    {75, 395, 1991},	// KMacroExpanderBase::KMacroExpanderBase
    {75, 396, -167},	// KMacroExpanderBase::KMacroExpanderBase#
    {75, 1443, 1987},	// KMacroExpanderBase::escapeChar
    {75, 1464, 1989},	// KMacroExpanderBase::expandEscapedMacro$$?
    {75, 1469, 1983},	// KMacroExpanderBase::expandMacros$
    {75, 1473, 1985},	// KMacroExpanderBase::expandMacrosShellQuote$
    {75, 1474, 1984},	// KMacroExpanderBase::expandMacrosShellQuote$$
    {75, 1478, 1988},	// KMacroExpanderBase::expandPlainMacro$$?
    {75, 2651, 1986},	// KMacroExpanderBase::setEscapeChar#
    {75, 3431, 1992},	// KMacroExpanderBase::~KMacroExpanderBase
    {76, 111, 1996},	// KMessage::Error
    {76, 124, 2000},	// KMessage::Fatal
    {76, 159, 1997},	// KMessage::Information
    {76, 709, 1999},	// KMessage::Sorry
    {76, 795, 1998},	// KMessage::Warning
    {76, 2046, 1994},	// KMessage::message$$
    {76, 2047, 1993},	// KMessage::message$$$
    {76, 2792, 1995},	// KMessage::setMessageHandler#
    {77, 397, 2002},	// KMessageHandler::KMessageHandler
    {77, 398, 2003},	// KMessageHandler::KMessageHandler#
    {77, 2047, 2001},	// KMessageHandler::message$$$
    {77, 3432, 2004},	// KMessageHandler::~KMessageHandler
    {78, 96, 2054},	// KMimeType::DontResolveAlias
    {78, 400, 2034},	// KMimeType::KMimeType#
    {78, 401, 2032},	// KMimeType::KMimeType#$
    {78, 402, 2035},	// KMimeType::KMimeType#$$
    {78, 403, 2033},	// KMimeType::KMimeType$$$
    {78, 686, 2055},	// KMimeType::ResolveAliases
    {78, 1008, 2020},	// KMimeType::allMimeTypes
    {78, 1009, 2026},	// KMimeType::allParentMimeTypes
    {78, 1149, 2038},	// KMimeType::comment
    {78, 1150, 2008},	// KMimeType::comment#
    {78, 1317, 2021},	// KMimeType::defaultMimeType
    {78, 1318, 2022},	// KMimeType::defaultMimeTypePtr
    {78, 1482, 2030},	// KMimeType::extractKnownExtension$
    {78, 1490, 2007},	// KMimeType::favIconForUrl#
    {78, 1513, -768},	// KMimeType::findByContent#
    {78, 1514, -771},	// KMimeType::findByContent#$
    {78, 1516, 2053},	// KMimeType::findByFileContent$
    {78, 1517, 2017},	// KMimeType::findByFileContent$$
    {78, 1519, -774},	// KMimeType::findByNameAndContent$#
    {78, 1520, -777},	// KMimeType::findByNameAndContent$#$
    {78, 1521, -780},	// KMimeType::findByNameAndContent$#$$
    {78, 1523, 2044},	// KMimeType::findByPath$
    {78, 1524, 2045},	// KMimeType::findByPath$$
    {78, 1525, 2046},	// KMimeType::findByPath$$$
    {78, 1526, 2012},	// KMimeType::findByPath$$$$
    {78, 1528, 2040},	// KMimeType::findByUrl#
    {78, 1529, 2041},	// KMimeType::findByUrl#$
    {78, 1530, 2042},	// KMimeType::findByUrl#$$
    {78, 1531, 2043},	// KMimeType::findByUrl#$$$
    {78, 1532, 2011},	// KMimeType::findByUrl#$$$$
    {78, 1709, 2036},	// KMimeType::iconName
    {78, 1710, 2005},	// KMimeType::iconName#
    {78, 1712, 2037},	// KMimeType::iconNameForUrl#
    {78, 1713, 2006},	// KMimeType::iconNameForUrl#$
    {78, 1766, 2027},	// KMimeType::is$
    {78, 1777, 2018},	// KMimeType::isBinaryData$
    {78, 1779, 2019},	// KMimeType::isBufferBinaryData#
    {78, 1789, 2023},	// KMimeType::isDefault
    {78, 2029, 2029},	// KMimeType::mainExtension
    {78, 2050, 2039},	// KMimeType::mimeType$
    {78, 2051, 2010},	// KMimeType::mimeType$$
    {78, 2225, 2024},	// KMimeType::parentMimeType
    {78, 2226, 2025},	// KMimeType::parentMimeTypes
    {78, 2238, 2009},	// KMimeType::patterns
    {78, 2960, 2031},	// KMimeType::sharedMimeInfoVersion
    {78, 3250, 2028},	// KMimeType::userSpecifiedIconName
    {78, 3433, 2056},	// KMimeType::~KMimeType
    {80, 405, 2060},	// KMimeTypeTrader::KMimeTypeTrader#
    {80, 2268, 2063},	// KMimeTypeTrader::preferredService$
    {80, 2269, 2058},	// KMimeTypeTrader::preferredService$$
    {80, 2322, 2061},	// KMimeTypeTrader::query$
    {80, 2323, 2062},	// KMimeTypeTrader::query$$
    {80, 2324, 2057},	// KMimeTypeTrader::query$$$
    {80, 2496, 2059},	// KMimeTypeTrader::self
    {80, 3434, 2064},	// KMimeTypeTrader::~KMimeTypeTrader
    {82, 406, 2089},	// KPluginFactory::KPluginFactory
    {82, 407, -1},	// KPluginFactory::KPluginFactory#
    {82, 408, -6},	// KPluginFactory::KPluginFactory##
    {82, 409, 2090},	// KPluginFactory::KPluginFactory$
    {82, 410, 2091},	// KPluginFactory::KPluginFactory$$
    {82, 411, 2072},	// KPluginFactory::KPluginFactory$$#
    {82, 1153, 2076},	// KPluginFactory::componentData
    {82, 1201, 2094},	// KPluginFactory::create
    {82, 1202, 2095},	// KPluginFactory::create#
    {82, 1203, 2096},	// KPluginFactory::create#$
    {82, 1204, 2077},	// KPluginFactory::create#$?
    {82, 1207, 2086},	// KPluginFactory::create$##?$
    {82, 1212, 2083},	// KPluginFactory::createObject#$?
    {82, 1214, 2084},	// KPluginFactory::createPartObject##$?
    {82, 2048, 2065},	// KPluginFactory::metaObject
    {82, 2119, 2078},	// KPluginFactory::objectCreated#
    {82, 2318, 2071},	// KPluginFactory::qt_metacall$$?
    {82, 2320, 2066},	// KPluginFactory::qt_metacast$
    {82, 2569, 2085},	// KPluginFactory::setComponentData#
    {82, 2959, 2082},	// KPluginFactory::setupTranslations
    {82, 3064, 2098},	// KPluginFactory::staticMetaObject
    {82, 3077, 2080},	// KPluginFactory::stringListToVariantList?
    {82, 3169, 2087},	// KPluginFactory::tr$
    {82, 3170, 2067},	// KPluginFactory::tr$$
    {82, 3171, 2069},	// KPluginFactory::tr$$$
    {82, 3176, 2088},	// KPluginFactory::trUtf8$
    {82, 3177, 2068},	// KPluginFactory::trUtf8$$
    {82, 3178, 2070},	// KPluginFactory::trUtf8$$$
    {82, 3268, 2081},	// KPluginFactory::variantListToStringList?
    {82, 3435, 2099},	// KPluginFactory::~KPluginFactory
    {84, 412, 2102},	// KPluginInfo::KPluginInfo
    {84, 413, 2132},	// KPluginInfo::KPluginInfo#
    {84, 414, 2138},	// KPluginInfo::KPluginInfo$
    {84, 415, 2100},	// KPluginInfo::KPluginInfo$$
    {84, 416, 2101},	// KPluginInfo::KPluginInfo?
    {84, 1035, 2115},	// KPluginInfo::author
    {84, 1104, 2117},	// KPluginInfo::category
    {84, 1149, 2112},	// KPluginInfo::comment
    {84, 1158, 2127},	// KPluginInfo::config
    {84, 1323, 2130},	// KPluginInfo::defaults
    {84, 1335, 2123},	// KPluginInfo::dependencies
    {84, 1385, 2116},	// KPluginInfo::email
    {84, 1421, 2114},	// KPluginInfo::entryPath
    {84, 1606, 2140},	// KPluginInfo::fromFiles?
    {84, 1607, 2104},	// KPluginInfo::fromFiles?#
    {84, 1609, 2141},	// KPluginInfo::fromKPartsInstanceName$
    {84, 1610, 2105},	// KPluginInfo::fromKPartsInstanceName$#
    {84, 1618, 2139},	// KPluginInfo::fromServices?
    {84, 1619, 2103},	// KPluginInfo::fromServices?#
    {84, 1628, 2122},	// KPluginInfo::fullLicense
    {84, 1707, 2113},	// KPluginInfo::icon
    {84, 1817, 2106},	// KPluginInfo::isHidden
    {84, 1839, 2108},	// KPluginInfo::isPluginEnabled
    {84, 1840, 2109},	// KPluginInfo::isPluginEnabledByDefault
    {84, 1864, 2131},	// KPluginInfo::isValid
    {84, 1896, 2125},	// KPluginInfo::kcmServices
    {84, 1958, 2121},	// KPluginInfo::license
    {84, 1968, 2143},	// KPluginInfo::load
    {84, 1969, 2129},	// KPluginInfo::load#
    {84, 2089, 2111},	// KPluginInfo::name
    {84, 2146, 2135},	// KPluginInfo::operator!=#
    {84, 2168, 2136},	// KPluginInfo::operator<#
    {84, 2186, 2133},	// KPluginInfo::operator=#
    {84, 2189, 2134},	// KPluginInfo::operator==#
    {84, 2196, 2137},	// KPluginInfo::operator>#
    {84, 2255, 2118},	// KPluginInfo::pluginName
    {84, 2293, 2110},	// KPluginInfo::property$
    {84, 2479, 2142},	// KPluginInfo::save
    {84, 2480, 2128},	// KPluginInfo::save#
    {84, 2499, 2124},	// KPluginInfo::service
    {84, 2571, 2126},	// KPluginInfo::setConfig#
    {84, 2836, 2107},	// KPluginInfo::setPluginEnabled$
    {84, 3272, 2119},	// KPluginInfo::version
    {84, 3300, 2120},	// KPluginInfo::website
    {84, 3436, 2144},	// KPluginInfo::~KPluginInfo
    {85, 418, 2164},	// KPluginLoader::KPluginLoader#
    {85, 419, 2165},	// KPluginLoader::KPluginLoader##
    {85, 420, 2153},	// KPluginLoader::KPluginLoader###
    {85, 421, 2162},	// KPluginLoader::KPluginLoader$
    {85, 422, 2163},	// KPluginLoader::KPluginLoader$#
    {85, 423, 2152},	// KPluginLoader::KPluginLoader$##
    {85, 1438, 2157},	// KPluginLoader::errorString
    {85, 1485, 2154},	// KPluginLoader::factory
    {85, 1827, 2158},	// KPluginLoader::isLoaded
    {85, 1968, 2159},	// KPluginLoader::load
    {85, 2048, 2145},	// KPluginLoader::metaObject
    {85, 2255, 2155},	// KPluginLoader::pluginName
    {85, 2256, 2156},	// KPluginLoader::pluginVersion
    {85, 2318, 2151},	// KPluginLoader::qt_metacall$$?
    {85, 2320, 2146},	// KPluginLoader::qt_metacast$
    {85, 3064, 2166},	// KPluginLoader::staticMetaObject
    {85, 3169, 2160},	// KPluginLoader::tr$
    {85, 3170, 2147},	// KPluginLoader::tr$$
    {85, 3171, 2149},	// KPluginLoader::tr$$$
    {85, 3176, 2161},	// KPluginLoader::trUtf8$
    {85, 3177, 2148},	// KPluginLoader::trUtf8$$
    {85, 3178, 2150},	// KPluginLoader::trUtf8$$$
    {85, 3437, 2167},	// KPluginLoader::~KPluginLoader
    {86, 128, 2211},	// KProcess::ForwardedChannels
    {86, 424, 2200},	// KProcess::KProcess
    {86, 425, 2175},	// KProcess::KProcess#
    {86, 426, 2197},	// KProcess::KProcess##
    {86, 590, 2210},	// KProcess::MergedChannels
    {86, 625, 2213},	// KProcess::OnlyStderrChannel
    {86, 626, 2212},	// KProcess::OnlyStdoutChannel
    {86, 695, 2209},	// KProcess::SeparateChannels
    {86, 1135, 2181},	// KProcess::clearEnvironment
    {86, 1136, 2186},	// KProcess::clearProgram
    {86, 1452, 2203},	// KProcess::execute
    {86, 1453, -783},	// KProcess::execute$
    {86, 1454, 2205},	// KProcess::execute$?
    {86, 1455, 2191},	// KProcess::execute$?$
    {86, 1456, 2206},	// KProcess::execute?
    {86, 1457, 2192},	// KProcess::execute?$
    {86, 2048, 2168},	// KProcess::metaObject
    {86, 2177, 2184},	// KProcess::operator<<$
    {86, 2178, 2185},	// KProcess::operator<<?
    {86, 2221, 2177},	// KProcess::outputChannelMode
    {86, 2253, 2196},	// KProcess::pid
    {86, 2285, 2188},	// KProcess::program
    {86, 2318, 2174},	// KProcess::qt_metacall$$?
    {86, 2320, 2169},	// KProcess::qt_metacast$
    {86, 2640, 2201},	// KProcess::setEnv$$
    {86, 2641, 2179},	// KProcess::setEnv$$$
    {86, 2814, 2178},	// KProcess::setNextOpenMode$
    {86, 2824, 2176},	// KProcess::setOutputChannelMode$
    {86, 2858, 2202},	// KProcess::setProgram$
    {86, 2859, 2182},	// KProcess::setProgram$?
    {86, 2860, 2183},	// KProcess::setProgram?
    {86, 2890, 2187},	// KProcess::setShellCommand$
    {86, 3003, 2189},	// KProcess::start
    {86, 3006, 2193},	// KProcess::startDetached
    {86, 3007, 2207},	// KProcess::startDetached$
    {86, 3008, 2194},	// KProcess::startDetached$?
    {86, 3009, 2195},	// KProcess::startDetached?
    {86, 3064, 2208},	// KProcess::staticMetaObject
    {86, 3169, 2198},	// KProcess::tr$
    {86, 3170, 2170},	// KProcess::tr$$
    {86, 3171, 2172},	// KProcess::tr$$$
    {86, 3176, 2199},	// KProcess::trUtf8$
    {86, 3177, 2171},	// KProcess::trUtf8$$
    {86, 3178, 2173},	// KProcess::trUtf8$$$
    {86, 3226, 2180},	// KProcess::unsetEnv$
    {86, 3438, 2214},	// KProcess::~KProcess
    {88, 131, 2290},	// KProtocolInfo::FromUrl
    {88, 428, 2234},	// KProtocolInfo::KProtocolInfo#$
    {88, 593, 2289},	// KProtocolInfo::Name
    {88, 735, 2288},	// KProtocolInfo::T_ERROR
    {88, 736, 2286},	// KProtocolInfo::T_FILESYSTEM
    {88, 737, 2287},	// KProtocolInfo::T_NONE
    {88, 738, 2285},	// KProtocolInfo::T_STREAM
    {88, 1029, 2236},	// KProtocolInfo::archiveMimeTypes
    {88, 1092, 2239},	// KProtocolInfo::canDeleteRecursive
    {88, 1094, 2237},	// KProtocolInfo::canRenameFromFile
    {88, 1095, 2238},	// KProtocolInfo::canRenameToFile
    {88, 1097, 2232},	// KProtocolInfo::capabilities$
    {88, 1159, 2225},	// KProtocolInfo::config$
    {88, 1317, 2235},	// KProtocolInfo::defaultMimeType
    {88, 1354, 2228},	// KProtocolInfo::determineMimetypeFromExtension$
    {88, 1381, 2229},	// KProtocolInfo::docPath$
    {88, 1448, 2218},	// KProtocolInfo::exec$
    {88, 1480, 2219},	// KProtocolInfo::extraFields#
    {88, 1500, 2240},	// KProtocolInfo::fileNameUsedForCopying
    {88, 1708, 2224},	// KProtocolInfo::icon$
    {88, 1807, 2222},	// KProtocolInfo::isFilterProtocol#
    {88, 1808, 2223},	// KProtocolInfo::isFilterProtocol$
    {88, 1815, 2220},	// KProtocolInfo::isHelperProtocol#
    {88, 1816, 2221},	// KProtocolInfo::isHelperProtocol$
    {88, 1821, 2216},	// KProtocolInfo::isKnownProtocol#
    {88, 1822, 2217},	// KProtocolInfo::isKnownProtocol$
    {88, 2004, 2277},	// KProtocolInfo::m_canCopyFromFile
    {88, 2005, 2279},	// KProtocolInfo::m_canCopyToFile
    {88, 2006, 2281},	// KProtocolInfo::m_config
    {88, 2007, 2271},	// KProtocolInfo::m_defaultMimetype
    {88, 2008, 2273},	// KProtocolInfo::m_determineMimetypeFromExtension
    {88, 2010, 2243},	// KProtocolInfo::m_exec
    {88, 2011, 2275},	// KProtocolInfo::m_icon
    {88, 2012, 2245},	// KProtocolInfo::m_inputType
    {88, 2013, 2253},	// KProtocolInfo::m_isHelperProtocol
    {88, 2014, 2251},	// KProtocolInfo::m_isSourceProtocol
    {88, 2015, 2249},	// KProtocolInfo::m_listing
    {88, 2016, 2283},	// KProtocolInfo::m_maxSlaves
    {88, 2017, 2241},	// KProtocolInfo::m_name
    {88, 2018, 2247},	// KProtocolInfo::m_outputType
    {88, 2020, 2263},	// KProtocolInfo::m_supportsDeleting
    {88, 2021, 2265},	// KProtocolInfo::m_supportsLinking
    {88, 2022, 2255},	// KProtocolInfo::m_supportsListing
    {88, 2023, 2261},	// KProtocolInfo::m_supportsMakeDir
    {88, 2024, 2267},	// KProtocolInfo::m_supportsMoving
    {88, 2025, 2269},	// KProtocolInfo::m_supportsOpening
    {88, 2026, 2257},	// KProtocolInfo::m_supportsReading
    {88, 2027, 2259},	// KProtocolInfo::m_supportsWriting
    {88, 2039, 2226},	// KProtocolInfo::maxSlaves$
    {88, 2041, 2227},	// KProtocolInfo::maxSlavesPerHost$
    {88, 2302, 2230},	// KProtocolInfo::protocolClass$
    {88, 2303, 2215},	// KProtocolInfo::protocols
    {88, 2305, 2233},	// KProtocolInfo::proxiedBy$
    {88, 2728, 2278},	// KProtocolInfo::setM_canCopyFromFile$
    {88, 2730, 2280},	// KProtocolInfo::setM_canCopyToFile$
    {88, 2732, 2282},	// KProtocolInfo::setM_config$
    {88, 2734, 2272},	// KProtocolInfo::setM_defaultMimetype$
    {88, 2736, 2274},	// KProtocolInfo::setM_determineMimetypeFromExtension$
    {88, 2740, 2244},	// KProtocolInfo::setM_exec$
    {88, 2742, 2276},	// KProtocolInfo::setM_icon$
    {88, 2744, 2246},	// KProtocolInfo::setM_inputType$
    {88, 2746, 2254},	// KProtocolInfo::setM_isHelperProtocol$
    {88, 2748, 2252},	// KProtocolInfo::setM_isSourceProtocol$
    {88, 2750, 2250},	// KProtocolInfo::setM_listing?
    {88, 2752, 2284},	// KProtocolInfo::setM_maxSlaves$
    {88, 2754, 2242},	// KProtocolInfo::setM_name$
    {88, 2756, 2248},	// KProtocolInfo::setM_outputType$
    {88, 2760, 2264},	// KProtocolInfo::setM_supportsDeleting$
    {88, 2762, 2266},	// KProtocolInfo::setM_supportsLinking$
    {88, 2764, 2256},	// KProtocolInfo::setM_supportsListing$
    {88, 2766, 2262},	// KProtocolInfo::setM_supportsMakeDir$
    {88, 2768, 2268},	// KProtocolInfo::setM_supportsMoving$
    {88, 2770, 2270},	// KProtocolInfo::setM_supportsOpening$
    {88, 2772, 2258},	// KProtocolInfo::setM_supportsReading$
    {88, 2774, 2260},	// KProtocolInfo::setM_supportsWriting$
    {88, 2966, 2231},	// KProtocolInfo::showFilePreview$
    {88, 3439, 2291},	// KProtocolInfo::~KProtocolInfo
    {89, 84, 2300},	// KProtocolInfo::ExtraField::DateTime
    {89, 118, 2292},	// KProtocolInfo::ExtraField::ExtraField
    {89, 119, 2294},	// KProtocolInfo::ExtraField::ExtraField#
    {89, 120, 2293},	// KProtocolInfo::ExtraField::ExtraField$$
    {89, 161, 2301},	// KProtocolInfo::ExtraField::Invalid
    {89, 730, 2299},	// KProtocolInfo::ExtraField::String
    {89, 2089, 2295},	// KProtocolInfo::ExtraField::name
    {89, 2806, 2296},	// KProtocolInfo::ExtraField::setName$
    {89, 2936, 2298},	// KProtocolInfo::ExtraField::setType$
    {89, 3211, 2297},	// KProtocolInfo::ExtraField::type
    {89, 3372, 2302},	// KProtocolInfo::ExtraField::~ExtraField
    {90, 2338, 2304},	// KRandom::random
    {90, 2340, 2303},	// KRandom::randomString$
    {91, 429, 2313},	// KRandomSequence::KRandomSequence
    {91, 430, 2306},	// KRandomSequence::KRandomSequence#
    {91, 431, 2305},	// KRandomSequence::KRandomSequence$
    {91, 1631, 2311},	// KRandomSequence::getBool
    {91, 1634, 2309},	// KRandomSequence::getDouble
    {91, 1638, 2310},	// KRandomSequence::getLong$
    {91, 2059, 2312},	// KRandomSequence::modulate$
    {91, 2186, 2307},	// KRandomSequence::operator=#
    {91, 2883, 2314},	// KRandomSequence::setSeed
    {91, 2884, 2308},	// KRandomSequence::setSeed$
    {91, 3440, 2315},	// KRandomSequence::~KRandomSequence
    {92, 450, 2316},	// KSaveFile::KSaveFile
    {92, 451, 2329},	// KSaveFile::KSaveFile$
    {92, 452, 2317},	// KSaveFile::KSaveFile$#
    {92, 820, 2323},	// KSaveFile::abort
    {92, 1063, 2331},	// KSaveFile::backupFile$
    {92, 1064, 2325},	// KSaveFile::backupFile$$
    {92, 1434, 2320},	// KSaveFile::error
    {92, 1438, 2321},	// KSaveFile::errorString
    {92, 1498, 2319},	// KSaveFile::fileName
    {92, 1502, 2324},	// KSaveFile::finalize
    {92, 2114, 2334},	// KSaveFile::numberedBackupFile$
    {92, 2115, 2335},	// KSaveFile::numberedBackupFile$$
    {92, 2116, 2336},	// KSaveFile::numberedBackupFile$$$
    {92, 2117, 2327},	// KSaveFile::numberedBackupFile$$$$
    {92, 2132, 2330},	// KSaveFile::open
    {92, 2133, 2322},	// KSaveFile::open$
    {92, 2344, 2337},	// KSaveFile::rcsBackupFile$
    {92, 2345, 2338},	// KSaveFile::rcsBackupFile$$
    {92, 2346, 2328},	// KSaveFile::rcsBackupFile$$$
    {92, 2659, 2318},	// KSaveFile::setFileName$
    {92, 2970, 2332},	// KSaveFile::simpleBackupFile$
    {92, 2971, 2333},	// KSaveFile::simpleBackupFile$$
    {92, 2972, 2326},	// KSaveFile::simpleBackupFile$$$
    {92, 3441, 2339},	// KSaveFile::~KSaveFile
    {93, 79, 2394},	// KService::DBusMulti
    {93, 80, 2392},	// KService::DBusNone
    {93, 81, 2393},	// KService::DBusUnique
    {93, 82, 2395},	// KService::DBusWait
    {93, 454, 2342},	// KService::KService#
    {93, 455, 2343},	// KService::KService#$
    {93, 456, 2341},	// KService::KService$
    {93, 457, 2340},	// KService::KService$$$
    {93, 816, 2389},	// KService::_k_accessServiceTypes
    {93, 834, 2368},	// KService::actions
    {93, 1012, 2387},	// KService::allServices
    {93, 1018, 2367},	// KService::allowAsDefault
    {93, 1020, 2369},	// KService::allowMultipleFiles
    {93, 1103, 2363},	// KService::categories
    {93, 1149, 2359},	// KService::comment
    {93, 1298, 2357},	// KService::dbusStartupType
    {93, 1346, 2354},	// KService::desktopEntryName
    {93, 1347, 2353},	// KService::desktopEntryPath
    {93, 1380, 2375},	// KService::docPath
    {93, 1447, 2346},	// KService::exec
    {93, 1630, 2360},	// KService::genericName
    {93, 1676, 2366},	// KService::hasMimeType#
    {93, 1688, 2365},	// KService::hasServiceType$
    {93, 1707, 2348},	// KService::icon
    {93, 1734, 2370},	// KService::initialPreference
    {93, 1767, 2344},	// KService::isApplication
    {93, 1920, 2362},	// KService::keywords
    {93, 1955, 2347},	// KService::library
    {93, 1986, 2378},	// KService::locateLocal
    {93, 2044, 2355},	// KService::menuId
    {93, 2105, 2390},	// KService::newServicePath$$
    {93, 2106, 2391},	// KService::newServicePath$$$
    {93, 2107, 2388},	// KService::newServicePath$$$?
    {93, 2109, 2371},	// KService::noDisplay
    {93, 2224, 2373},	// KService::parentApp
    {93, 2234, 2358},	// KService::path
    {93, 2254, 2374},	// KService::pluginKeyword
    {93, 2293, 2377},	// KService::property$
    {93, 2294, 2376},	// KService::property$$
    {93, 2501, 2384},	// KService::serviceByDesktopName$
    {93, 2503, 2383},	// KService::serviceByDesktopPath$
    {93, 2505, 2385},	// KService::serviceByMenuId$
    {93, 2507, 2382},	// KService::serviceByName$
    {93, 2509, 2386},	// KService::serviceByStorageId$
    {93, 2515, 2364},	// KService::serviceTypes
    {93, 2790, 2379},	// KService::setMenuId$
    {93, 2911, 2380},	// KService::setTerminal$
    {93, 2913, 2381},	// KService::setTerminalOptions$
    {93, 2967, 2372},	// KService::showInKDE
    {93, 3072, 2356},	// KService::storageId
    {93, 3090, 2351},	// KService::substituteUid
    {93, 3122, 2349},	// KService::terminal
    {93, 3123, 2350},	// KService::terminalOptions
    {93, 3211, 2345},	// KService::type
    {93, 3227, 2361},	// KService::untranslatedGenericName
    {93, 3251, 2352},	// KService::username
    {93, 3442, 2396},	// KService::~KService
    {94, 458, 2398},	// KServiceAction::KServiceAction
    {94, 459, 2399},	// KServiceAction::KServiceAction#
    {94, 460, 2409},	// KServiceAction::KServiceAction$$$$
    {94, 461, 2397},	// KServiceAction::KServiceAction$$$$$
    {94, 1241, 2402},	// KServiceAction::data
    {94, 1447, 2406},	// KServiceAction::exec
    {94, 1707, 2405},	// KServiceAction::icon
    {94, 1848, 2408},	// KServiceAction::isSeparator
    {94, 2089, 2403},	// KServiceAction::name
    {94, 2109, 2407},	// KServiceAction::noDisplay
    {94, 2186, 2400},	// KServiceAction::operator=#
    {94, 2589, 2401},	// KServiceAction::setData#
    {94, 3127, 2404},	// KServiceAction::text
    {94, 3443, 2410},	// KServiceAction::~KServiceAction
    {95, 18, 2452},	// KServiceGroup::AllowSeparators
    {95, 112, 2451},	// KServiceGroup::ExcludeNoDisplay
    {95, 463, 2413},	// KServiceGroup::KServiceGroup#$$
    {95, 464, 2411},	// KServiceGroup::KServiceGroup$
    {95, 465, 2412},	// KServiceGroup::KServiceGroup$$
    {95, 604, 2449},	// KServiceGroup::NoOptions
    {95, 710, 2453},	// KServiceGroup::SortByGenericName
    {95, 711, 2450},	// KServiceGroup::SortEntries
    {95, 871, 2444},	// KServiceGroup::addEntry?
    {95, 1019, 2426},	// KServiceGroup::allowInline
    {95, 1075, 2440},	// KServiceGroup::baseGroup$
    {95, 1076, 2438},	// KServiceGroup::baseGroupName
    {95, 1098, 2415},	// KServiceGroup::caption
    {95, 1123, 2418},	// KServiceGroup::childCount
    {95, 1126, 2443},	// KServiceGroup::childGroup$
    {95, 1149, 2417},	// KServiceGroup::comment
    {95, 1369, 2439},	// KServiceGroup::directoryEntryPath
    {95, 1414, 2446},	// KServiceGroup::entries
    {95, 1415, 2435},	// KServiceGroup::entries$
    {95, 1416, 2434},	// KServiceGroup::entries$$
    {95, 1417, 2445},	// KServiceGroup::entries$$$
    {95, 1418, 2433},	// KServiceGroup::entries$$$$
    {95, 1646, 2442},	// KServiceGroup::group$
    {95, 1647, 2447},	// KServiceGroup::groupEntries
    {95, 1648, 2436},	// KServiceGroup::groupEntries$
    {95, 1707, 2416},	// KServiceGroup::icon
    {95, 1735, 2424},	// KServiceGroup::inlineAlias
    {95, 1736, 2428},	// KServiceGroup::inlineValue
    {95, 1950, 2432},	// KServiceGroup::layoutInfo
    {95, 2109, 2419},	// KServiceGroup::noDisplay
    {95, 2421, 2414},	// KServiceGroup::relPath
    {95, 2475, 2441},	// KServiceGroup::root
    {95, 2510, 2448},	// KServiceGroup::serviceEntries
    {95, 2511, 2437},	// KServiceGroup::serviceEntries$
    {95, 2526, 2427},	// KServiceGroup::setAllowInline$
    {95, 2682, 2425},	// KServiceGroup::setInlineAlias$
    {95, 2684, 2429},	// KServiceGroup::setInlineValue$
    {95, 2700, 2431},	// KServiceGroup::setLayoutInfo?
    {95, 2894, 2421},	// KServiceGroup::setShowEmptyMenu$
    {95, 2896, 2423},	// KServiceGroup::setShowInlineHeader$
    {95, 2963, 2420},	// KServiceGroup::showEmptyMenu
    {95, 2968, 2422},	// KServiceGroup::showInlineHeader
    {95, 3098, 2430},	// KServiceGroup::suppressGenericNames
    {95, 3444, 2454},	// KServiceGroup::~KServiceGroup
    {96, 467, -745},	// KServiceType::KServiceType#
    {96, 468, 2456},	// KServiceType::KServiceType#$
    {96, 469, 2471},	// KServiceType::KServiceType#$$
    {96, 1011, 2469},	// KServiceType::allServiceTypes
    {96, 1149, 2457},	// KServiceType::comment
    {96, 1347, 2458},	// KServiceType::desktopEntryPath
    {96, 1725, 2461},	// KServiceType::inherits$
    {96, 1791, 2459},	// KServiceType::isDerived
    {96, 2227, 2460},	// KServiceType::parentServiceType
    {96, 2228, 2465},	// KServiceType::parentType
    {96, 2296, 2462},	// KServiceType::propertyDef$
    {96, 2297, 2463},	// KServiceType::propertyDefNames
    {96, 2298, 2464},	// KServiceType::propertyDefs
    {96, 2512, 2467},	// KServiceType::serviceOffersOffset
    {96, 2514, 2468},	// KServiceType::serviceType$
    {96, 2886, 2466},	// KServiceType::setServiceOffersOffset$
    {96, 3445, 2472},	// KServiceType::~KServiceType
    {98, 1028, 2477},	// KServiceTypeTrader::applyConstraints?$
    {98, 1320, 2479},	// KServiceTypeTrader::defaultOffers$
    {98, 1321, 2474},	// KServiceTypeTrader::defaultOffers$$
    {98, 2268, 2475},	// KServiceTypeTrader::preferredService$
    {98, 2322, 2478},	// KServiceTypeTrader::query$
    {98, 2323, 2473},	// KServiceTypeTrader::query$$
    {98, 2496, 2476},	// KServiceTypeTrader::self
    {98, 3446, 2480},	// KServiceTypeTrader::~KServiceTypeTrader
    {99, 2136, 2483},	// KSharedConfig::openConfig
    {99, 2137, 2486},	// KSharedConfig::openConfig#
    {99, 2138, 2487},	// KSharedConfig::openConfig#$
    {99, 2139, 2488},	// KSharedConfig::openConfig#$$
    {99, 2140, 2482},	// KSharedConfig::openConfig#$$$
    {99, 2141, 2484},	// KSharedConfig::openConfig$
    {99, 2142, 2485},	// KSharedConfig::openConfig$$
    {99, 2143, 2481},	// KSharedConfig::openConfig$$$
    {99, 3447, 2489},	// KSharedConfig::~KSharedConfig
    {100, 2, 2498},	// KShell::AbortOnMeta
    {100, 39, 2500},	// KShell::BadQuoting
    {100, 130, 2501},	// KShell::FoundMeta
    {100, 601, 2499},	// KShell::NoError
    {100, 604, 2496},	// KShell::NoOptions
    {100, 745, 2497},	// KShell::TildeExpand
    {100, 1880, 2495},	// KShell::joinArgs?
    {100, 2330, 2494},	// KShell::quoteArg$
    {100, 2992, 2492},	// KShell::splitArgs$
    {100, 2993, 2493},	// KShell::splitArgs$$
    {100, 2994, 2491},	// KShell::splitArgs$$$
    {100, 3130, 2490},	// KShell::tildeExpand$
    {101, 1163, 2520},	// KSocketFactory::connectToHost#
    {101, 1164, -286},	// KSocketFactory::connectToHost##
    {101, 1167, 2516},	// KSocketFactory::connectToHost#$$$
    {101, 1169, 2503},	// KSocketFactory::connectToHost$$$
    {101, 1170, 2502},	// KSocketFactory::connectToHost$$$#
    {101, 1247, 2512},	// KSocketFactory::datagramSocket$$
    {101, 1248, 2511},	// KSocketFactory::datagramSocket$$#
    {101, 1963, 2508},	// KSocketFactory::listen$
    {101, 1964, 2509},	// KSocketFactory::listen$#
    {101, 1965, 2510},	// KSocketFactory::listen$#$
    {101, 1966, 2507},	// KSocketFactory::listen$#$#
    {101, 2310, 2517},	// KSocketFactory::proxyForConnection$$
    {101, 2312, 2518},	// KSocketFactory::proxyForDatagram$$
    {101, 2314, 2524},	// KSocketFactory::proxyForListening$
    {101, 3107, 2514},	// KSocketFactory::synchronousConnectToHost#
    {101, 3108, 2523},	// KSocketFactory::synchronousConnectToHost##
    {101, 3109, 2522},	// KSocketFactory::synchronousConnectToHost##$
    {101, 3110, 2515},	// KSocketFactory::synchronousConnectToHost#$
    {101, 3111, 2513},	// KSocketFactory::synchronousConnectToHost#$#
    {101, 3112, 2526},	// KSocketFactory::synchronousConnectToHost#$$$
    {101, 3113, 2525},	// KSocketFactory::synchronousConnectToHost#$$$$
    {101, 3114, 2505},	// KSocketFactory::synchronousConnectToHost$$$
    {101, 3115, 2506},	// KSocketFactory::synchronousConnectToHost$$$$
    {101, 3116, 2504},	// KSocketFactory::synchronousConnectToHost$$$$#
    {102, 470, 2527},	// KSslCipher::KSslCipher
    {102, 471, -164},	// KSslCipher::KSslCipher#
    {102, 1034, 2532},	// KSslCipher::authenticationMethod
    {102, 1362, 2535},	// KSslCipher::digestMethod
    {102, 1409, 2533},	// KSslCipher::encryptionMethod
    {102, 1835, 2531},	// KSslCipher::isNull
    {102, 1918, 2534},	// KSslCipher::keyExchangeMethod
    {102, 2089, 2536},	// KSslCipher::name
    {102, 2186, 2530},	// KSslCipher::operator=#
    {102, 3096, 2537},	// KSslCipher::supportedBits
    {102, 3097, 2539},	// KSslCipher::supportedCiphers
    {102, 3247, 2538},	// KSslCipher::usedBits
    {102, 3448, 2540},	// KSslCipher::~KSslCipher
    {103, 51, 2554},	// KSslError::CertificateSignatureFailed
    {103, 117, 2556},	// KSslError::ExpiredCertificate
    {103, 146, 2562},	// KSslError::HostNameMismatch
    {103, 164, 2553},	// KSslError::InvalidCertificate
    {103, 165, 2552},	// KSslError::InvalidCertificateAuthorityCertificate
    {103, 166, 2558},	// KSslError::InvalidCertificatePurpose
    {103, 472, 2548},	// KSslError::KSslError
    {103, 473, -13},	// KSslError::KSslError#
    {103, 474, 2549},	// KSslError::KSslError$
    {103, 475, 2541},	// KSslError::KSslError$#
    {103, 601, 2550},	// KSslError::NoError
    {103, 605, 2561},	// KSslError::NoPeerCertificate
    {103, 637, 2563},	// KSslError::PathLengthExceeded
    {103, 679, 2559},	// KSslError::RejectedCertificate
    {103, 688, 2557},	// KSslError::RevokedCertificate
    {103, 693, 2555},	// KSslError::SelfSignedCertificate
    {103, 780, 2551},	// KSslError::UnknownError
    {103, 788, 2560},	// KSslError::UntrustedCertificate
    {103, 1107, 2547},	// KSslError::certificate
    {103, 1434, 2545},	// KSslError::error
    {103, 1438, 2546},	// KSslError::errorString
    {103, 2186, 2544},	// KSslError::operator=#
    {103, 3449, 2564},	// KSslError::~KSslError
    {104, 476, 2565},	// KSslErrorUiData::KSslErrorUiData
    {104, 477, -265},	// KSslErrorUiData::KSslErrorUiData#
    {104, 2186, 2568},	// KSslErrorUiData::operator=#
    {104, 3450, 2569},	// KSslErrorUiData::~KSslErrorUiData
    {105, 92, 2580},	// KSslKey::Dh
    {105, 97, 2579},	// KSslKey::Dsa
    {105, 478, 2570},	// KSslKey::KSslKey
    {105, 479, -170},	// KSslKey::KSslKey#
    {105, 650, 2582},	// KSslKey::PrivateKey
    {105, 660, 2581},	// KSslKey::PublicKey
    {105, 690, 2578},	// KSslKey::Rsa
    {105, 1000, 2574},	// KSslKey::algorithm
    {105, 1805, 2575},	// KSslKey::isExportable
    {105, 2186, 2573},	// KSslKey::operator=#
    {105, 2489, 2576},	// KSslKey::secrecy
    {105, 3140, 2577},	// KSslKey::toDer
    {105, 3451, 2583},	// KSslKey::~KSslKey
    {106, 155, 2645},	// KStandardDirs::IgnoreExecBit
    {106, 480, 2584},	// KStandardDirs::KStandardDirs
    {106, 600, 2644},	// KStandardDirs::NoDuplicates
    {106, 608, 2642},	// KStandardDirs::NoSearchOptions
    {106, 677, 2643},	// KStandardDirs::Recursive
    {106, 864, 2602},	// KStandardDirs::addCustomized#
    {106, 963, 2585},	// KStandardDirs::addPrefix$
    {106, 967, 2626},	// KStandardDirs::addResourceDir$$
    {106, 968, 2591},	// KStandardDirs::addResourceDir$$$
    {106, 970, 2623},	// KStandardDirs::addResourceType$$
    {106, 971, -289},	// KStandardDirs::addResourceType$$$
    {106, 972, -293},	// KStandardDirs::addResourceType$$$$
    {106, 991, 2586},	// KStandardDirs::addXdgConfigPrefix$
    {106, 993, 2587},	// KStandardDirs::addXdgDataPrefix$
    {106, 1015, 2604},	// KStandardDirs::allTypes
    {106, 1085, 2628},	// KStandardDirs::calcResourceHash$$
    {106, 1086, 2594},	// KStandardDirs::calcResourceHash$$$
    {106, 1114, 2622},	// KStandardDirs::checkAccess$$
    {106, 1462, 2616},	// KStandardDirs::exists$
    {106, 1504, 2634},	// KStandardDirs::findAllExe?$
    {106, 1505, 2635},	// KStandardDirs::findAllExe?$$
    {106, 1506, 2601},	// KStandardDirs::findAllExe?$$$
    {106, 1508, 2629},	// KStandardDirs::findAllResources$
    {106, 1509, 2630},	// KStandardDirs::findAllResources$$
    {106, 1510, 2597},	// KStandardDirs::findAllResources$$$
    {106, 1511, 2598},	// KStandardDirs::findAllResources$$$?
    {106, 1536, 2595},	// KStandardDirs::findDirs$$
    {106, 1540, 2632},	// KStandardDirs::findExe$
    {106, 1541, 2633},	// KStandardDirs::findExe$$
    {106, 1542, 2600},	// KStandardDirs::findExe$$$
    {106, 1555, 2592},	// KStandardDirs::findResource$$
    {106, 1557, 2596},	// KStandardDirs::findResourceDir$$
    {106, 1740, 2615},	// KStandardDirs::installPath$
    {106, 1845, 2627},	// KStandardDirs::isRestrictedResource$
    {106, 1846, 2593},	// KStandardDirs::isRestrictedResource$$
    {106, 1900, 2608},	// KStandardDirs::kde_default$
    {106, 1921, 2609},	// KStandardDirs::kfsstnd_prefixes
    {106, 1922, 2610},	// KStandardDirs::kfsstnd_xdg_conf_prefixes
    {106, 1923, 2611},	// KStandardDirs::kfsstnd_xdg_data_prefixes
    {106, 1980, 2612},	// KStandardDirs::localkdedir
    {106, 1981, 2614},	// KStandardDirs::localxdgconfdir
    {106, 1982, 2613},	// KStandardDirs::localxdgdatadir
    {106, 1984, 2639},	// KStandardDirs::locate$$
    {106, 1985, 2619},	// KStandardDirs::locate$$#
    {106, 1988, 2640},	// KStandardDirs::locateLocal$$
    {106, 1989, 2620},	// KStandardDirs::locateLocal$$#
    {106, 1990, 2641},	// KStandardDirs::locateLocal$$$
    {106, 1991, 2621},	// KStandardDirs::locateLocal$$$#
    {106, 2031, 2638},	// KStandardDirs::makeDir$
    {106, 2032, 2607},	// KStandardDirs::makeDir$$
    {106, 2411, 2618},	// KStandardDirs::realFilePath$
    {106, 2414, 2617},	// KStandardDirs::realPath$
    {106, 2423, 2606},	// KStandardDirs::relativeLocation$$
    {106, 2467, 2603},	// KStandardDirs::resourceDirs$
    {106, 2484, 2636},	// KStandardDirs::saveLocation$
    {106, 2485, 2637},	// KStandardDirs::saveLocation$$
    {106, 2486, 2605},	// KStandardDirs::saveLocation$$$
    {106, 3117, 2631},	// KStandardDirs::systemPaths
    {106, 3118, 2599},	// KStandardDirs::systemPaths$
    {106, 3452, 2646},	// KStandardDirs::~KStandardDirs
    {107, 1100, 2663},	// KStringHandler::capwords$
    {107, 1101, 2652},	// KStringHandler::capwords?
    {107, 1217, 2662},	// KStringHandler::csqueeze$
    {107, 1218, 2661},	// KStringHandler::csqueeze$$
    {107, 1601, 2664},	// KStringHandler::from8Bit$
    {107, 1863, 2665},	// KStringHandler::isUtf8$
    {107, 1998, 2656},	// KStringHandler::lsqueeze$
    {107, 1999, 2655},	// KStringHandler::lsqueeze$$
    {107, 2096, 2654},	// KStringHandler::naturalCompare$$
    {107, 2097, 2653},	// KStringHandler::naturalCompare$$$
    {107, 2121, 2651},	// KStringHandler::obscure$
    {107, 2247, -717},	// KStringHandler::perlSplit#$
    {107, 2248, -720},	// KStringHandler::perlSplit#$$
    {107, 2249, 2659},	// KStringHandler::perlSplit$$
    {107, 2250, 2658},	// KStringHandler::perlSplit$$$
    {107, 2266, 2657},	// KStringHandler::preProcessWrap$
    {107, 2477, 2667},	// KStringHandler::rsqueeze$
    {107, 2478, 2666},	// KStringHandler::rsqueeze$$
    {107, 3120, 2660},	// KStringHandler::tagUrls$
    {108, 135, 2703},	// KSycoca::GlobalDatabase
    {108, 482, 2675},	// KSycoca::KSycoca$
    {108, 574, 2702},	// KSycoca::LocalDatabase
    {108, 823, 2698},	// KSycoca::absoluteFilePath
    {108, 824, 2681},	// KSycoca::absoluteFilePath?
    {108, 873, 2686},	// KSycoca::addFactory#
    {108, 1010, 2685},	// KSycoca::allResourceDirs
    {108, 1244, 2692},	// KSycoca::databaseChanged
    {108, 1245, 2693},	// KSycoca::databaseChanged?
    {108, 1371, 2688},	// KSycoca::disableAutoRebuild
    {108, 1484, 2694},	// KSycoca::factories
    {108, 1538, 2678},	// KSycoca::findEntry$$
    {108, 1544, 2679},	// KSycoca::findFactory$
    {108, 1561, 2690},	// KSycoca::flagError
    {108, 1775, 2677},	// KSycoca::isAvailable
    {108, 1780, 2687},	// KSycoca::isBuilding
    {108, 1782, 2689},	// KSycoca::isChanged$
    {108, 1921, 2680},	// KSycoca::kfsstnd_prefixes
    {108, 1941, 2682},	// KSycoca::language
    {108, 2019, 2700},	// KSycoca::m_str_deprecated
    {108, 2048, 2668},	// KSycoca::metaObject
    {108, 2318, 2674},	// KSycoca::qt_metacall$$?
    {108, 2320, 2669},	// KSycoca::qt_metacast$
    {108, 2375, 2691},	// KSycoca::readError
    {108, 2758, 2701},	// KSycoca::setM_str_deprecated#
    {108, 3064, 2699},	// KSycoca::staticMetaObject
    {108, 3075, 2695},	// KSycoca::stream
    {108, 3134, 2683},	// KSycoca::timeStamp
    {108, 3169, 2696},	// KSycoca::tr$
    {108, 3170, 2670},	// KSycoca::tr$$
    {108, 3171, 2672},	// KSycoca::tr$$$
    {108, 3176, 2697},	// KSycoca::trUtf8$
    {108, 3177, 2671},	// KSycoca::trUtf8$$
    {108, 3178, 2673},	// KSycoca::trUtf8$$$
    {108, 3235, 2684},	// KSycoca::updateSignature
    {108, 3272, 2676},	// KSycoca::version
    {108, 3453, 2704},	// KSycoca::~KSycoca
    {109, 483, 2705},	// KSycocaEntry::KSycocaEntry
    {109, 484, 2721},	// KSycocaEntry::KSycocaEntry#
    {109, 1421, 2711},	// KSycocaEntry::entryPath
    {109, 1790, 2714},	// KSycocaEntry::isDeleted
    {109, 1848, 2718},	// KSycocaEntry::isSeparator
    {109, 1860, 2706},	// KSycocaEntry::isType$
    {109, 1864, 2713},	// KSycocaEntry::isValid
    {109, 2089, 2710},	// KSycocaEntry::name
    {109, 2122, 2719},	// KSycocaEntry::offset
    {109, 2293, 2715},	// KSycocaEntry::property$
    {109, 2299, 2716},	// KSycocaEntry::propertyNames
    {109, 2348, 2708},	// KSycocaEntry::read#$
    {109, 2349, 2709},	// KSycocaEntry::read#?
    {109, 2480, 2720},	// KSycocaEntry::save#
    {109, 2624, 2717},	// KSycocaEntry::setDeleted$
    {109, 3072, 2712},	// KSycocaEntry::storageId
    {109, 3103, 2707},	// KSycocaEntry::sycocaType
    {109, 3454, 2722},	// KSycocaEntry::~KSycocaEntry
    {113, 486, 2724},	// KSystemTimeZone::KSystemTimeZone#
    {113, 487, 2725},	// KSystemTimeZone::KSystemTimeZone#$
    {113, 488, 2726},	// KSystemTimeZone::KSystemTimeZone#$$
    {113, 489, 2727},	// KSystemTimeZone::KSystemTimeZone#$$$
    {113, 490, 2728},	// KSystemTimeZone::KSystemTimeZone#$$$$
    {113, 491, 2723},	// KSystemTimeZone::KSystemTimeZone#$$$$$
    {113, 3455, 2729},	// KSystemTimeZone::~KSystemTimeZone
    {114, 493, 2738},	// KSystemTimeZoneBackend::KSystemTimeZoneBackend#
    {114, 494, 2730},	// KSystemTimeZoneBackend::KSystemTimeZoneBackend#$$$$$
    {114, 1138, 2731},	// KSystemTimeZoneBackend::clone
    {114, 1795, 2737},	// KSystemTimeZoneBackend::isDst#$
    {114, 1799, 2736},	// KSystemTimeZoneBackend::isDstAtUtc##
    {114, 2123, 2735},	// KSystemTimeZoneBackend::offset#$
    {114, 2127, 2734},	// KSystemTimeZoneBackend::offsetAtUtc##
    {114, 2130, 2733},	// KSystemTimeZoneBackend::offsetAtZoneTime##$
    {114, 3211, 2732},	// KSystemTimeZoneBackend::type
    {114, 3456, 2739},	// KSystemTimeZoneBackend::~KSystemTimeZoneBackend
    {115, 495, 2740},	// KSystemTimeZoneSource::KSystemTimeZoneSource
    {115, 496, 2744},	// KSystemTimeZoneSource::KSystemTimeZoneSource#
    {115, 1413, 2743},	// KSystemTimeZoneSource::endParseBlock
    {115, 2230, 2741},	// KSystemTimeZoneSource::parse#
    {115, 3010, 2742},	// KSystemTimeZoneSource::startParseBlock
    {115, 3457, 2745},	// KSystemTimeZoneSource::~KSystemTimeZoneSource
    {116, 1854, 2760},	// KSystemTimeZones::isSimulated
    {116, 1972, 2757},	// KSystemTimeZones::local
    {116, 2048, 2746},	// KSystemTimeZones::metaObject
    {116, 2318, 2752},	// KSystemTimeZones::qt_metacall$$?
    {116, 2320, 2747},	// KSystemTimeZones::qt_metacast$
    {116, 2408, 2756},	// KSystemTimeZones::readZone$
    {116, 2412, 2758},	// KSystemTimeZones::realLocalZone
    {116, 2714, 2759},	// KSystemTimeZones::setLocalZone#
    {116, 3064, 2764},	// KSystemTimeZones::staticMetaObject
    {116, 3137, 2753},	// KSystemTimeZones::timeZones
    {116, 3169, 2762},	// KSystemTimeZones::tr$
    {116, 3170, 2748},	// KSystemTimeZones::tr$$
    {116, 3171, 2750},	// KSystemTimeZones::tr$$$
    {116, 3176, 2763},	// KSystemTimeZones::trUtf8$
    {116, 3177, 2749},	// KSystemTimeZones::trUtf8$$
    {116, 3178, 2751},	// KSystemTimeZones::trUtf8$$$
    {116, 3363, 2755},	// KSystemTimeZones::zone$
    {116, 3364, 2761},	// KSystemTimeZones::zoneinfoDir
    {116, 3365, 2754},	// KSystemTimeZones::zones
    {116, 3458, 2765},	// KSystemTimeZones::~KSystemTimeZones
    {117, 19, 2867},	// KTcpSocket::AnySslVersion
    {117, 33, 2880},	// KTcpSocket::AutoProxy
    {117, 46, 2859},	// KTcpSocket::BoundState
    {117, 63, 2861},	// KTcpSocket::ClosingState
    {117, 70, 2858},	// KTcpSocket::ConnectedState
    {117, 71, 2857},	// KTcpSocket::ConnectingState
    {117, 72, 2869},	// KTcpSocket::ConnectionRefusedError
    {117, 145, 2856},	// KTcpSocket::HostLookupState
    {117, 147, 2871},	// KTcpSocket::HostNotFoundError
    {117, 497, 2841},	// KTcpSocket::KTcpSocket
    {117, 498, 2773},	// KTcpSocket::KTcpSocket#
    {117, 573, 2860},	// KTcpSocket::ListeningState
    {117, 589, 2881},	// KTcpSocket::ManualProxy
    {117, 594, 2875},	// KTcpSocket::NetworkError
    {117, 680, 2870},	// KTcpSocket::RemoteHostClosedError
    {117, 705, 2872},	// KTcpSocket::SocketAccessError
    {117, 707, 2873},	// KTcpSocket::SocketResourceError
    {117, 708, 2874},	// KTcpSocket::SocketTimeoutError
    {117, 720, 2878},	// KTcpSocket::SslClientMode
    {117, 722, 2879},	// KTcpSocket::SslServerMode
    {117, 723, 2863},	// KTcpSocket::SslV2
    {117, 724, 2864},	// KTcpSocket::SslV3
    {117, 725, 2866},	// KTcpSocket::SslV3_1
    {117, 753, 2865},	// KTcpSocket::TlsV1
    {117, 763, 2855},	// KTcpSocket::UnconnectedState
    {117, 764, 2877},	// KTcpSocket::UnencryptedMode
    {117, 780, 2868},	// KTcpSocket::UnknownError
    {117, 785, 2862},	// KTcpSocket::UnknownSslVersion
    {117, 787, 2876},	// KTcpSocket::UnsupportedSocketOperationError
    {117, 820, 2785},	// KTcpSocket::abort
    {117, 848, 2805},	// KTcpSocket::addCaCertificate#
    {117, 850, 2806},	// KTcpSocket::addCaCertificates?
    {117, 999, 2821},	// KTcpSocket::advertisedSslVersion
    {117, 1033, 2774},	// KTcpSocket::atEnd
    {117, 1081, 2775},	// KTcpSocket::bytesAvailable
    {117, 1082, 2776},	// KTcpSocket::bytesToWrite
    {117, 1083, 2807},	// KTcpSocket::caCertificates
    {117, 1093, 2777},	// KTcpSocket::canReadLine
    {117, 1131, 2808},	// KTcpSocket::ciphers
    {117, 1139, 2778},	// KTcpSocket::close
    {117, 1163, 2845},	// KTcpSocket::connectToHost#
    {117, 1165, -271},	// KTcpSocket::connectToHost#$
    {117, 1166, 2787},	// KTcpSocket::connectToHost#$$
    {117, 1168, 2843},	// KTcpSocket::connectToHost$$
    {117, 1169, 2786},	// KTcpSocket::connectToHost$$$
    {117, 1172, 2848},	// KTcpSocket::connectToHostEncrypted$$
    {117, 1173, 2809},	// KTcpSocket::connectToHostEncrypted$$$
    {117, 1180, 2828},	// KTcpSocket::connected
    {117, 1372, 2789},	// KTcpSocket::disconnectFromHost
    {117, 1376, 2829},	// KTcpSocket::disconnected
    {117, 1408, 2834},	// KTcpSocket::encrypted
    {117, 1410, 2825},	// KTcpSocket::encryptionMode
    {117, 1412, 2835},	// KTcpSocket::encryptionModeChanged$
    {117, 1434, 2790},	// KTcpSocket::error
    {117, 1435, 2830},	// KTcpSocket::error$
    {117, 1562, 2792},	// KTcpSocket::flush
    {117, 1701, 2831},	// KTcpSocket::hostFound
    {117, 1714, 2837},	// KTcpSocket::ignoreSslErrors
    {117, 1849, 2779},	// KTcpSocket::isSequential
    {117, 1864, 2793},	// KTcpSocket::isValid
    {117, 1973, 2794},	// KTcpSocket::localAddress
    {117, 1974, 2810},	// KTcpSocket::localCertificate
    {117, 2048, 2766},	// KTcpSocket::metaObject
    {117, 2101, 2822},	// KTcpSocket::negotiatedSslVersion
    {117, 2102, 2823},	// KTcpSocket::negotiatedSslVersionName
    {117, 2133, 2780},	// KTcpSocket::open$
    {117, 2239, 2795},	// KTcpSocket::peerAddress
    {117, 2240, 2811},	// KTcpSocket::peerCertificateChain
    {117, 2241, 2796},	// KTcpSocket::peerName
    {117, 2243, 2797},	// KTcpSocket::peerPort
    {117, 2275, 2812},	// KTcpSocket::privateKey
    {117, 2306, 2798},	// KTcpSocket::proxy
    {117, 2308, 2832},	// KTcpSocket::proxyAuthenticationRequired##
    {117, 2318, 2772},	// KTcpSocket::qt_metacall$$?
    {117, 2320, 2767},	// KTcpSocket::qt_metacast$
    {117, 2351, 2799},	// KTcpSocket::readBufferSize
    {117, 2356, 2783},	// KTcpSocket::readData$$
    {117, 2516, 2813},	// KTcpSocket::sessionCipher
    {117, 2524, 2820},	// KTcpSocket::setAdvertisedSslVersion$
    {117, 2555, 2814},	// KTcpSocket::setCaCertificates?
    {117, 2563, 2815},	// KTcpSocket::setCiphers?
    {117, 2710, 2816},	// KTcpSocket::setLocalCertificate#
    {117, 2711, 2849},	// KTcpSocket::setLocalCertificate$
    {117, 2712, 2817},	// KTcpSocket::setLocalCertificate$$
    {117, 2846, 2818},	// KTcpSocket::setPrivateKey#
    {117, 2847, 2850},	// KTcpSocket::setPrivateKey$
    {117, 2848, 2851},	// KTcpSocket::setPrivateKey$$
    {117, 2849, 2852},	// KTcpSocket::setPrivateKey$$$
    {117, 2850, 2819},	// KTcpSocket::setPrivateKey$$$#
    {117, 2872, 2800},	// KTcpSocket::setProxy#
    {117, 2876, 2801},	// KTcpSocket::setReadBufferSize$
    {117, 2901, 2827},	// KTcpSocket::setSocketOption$#
    {117, 2982, 2826},	// KTcpSocket::socketOption$
    {117, 2997, 2791},	// KTcpSocket::sslErrors
    {117, 2998, 2836},	// KTcpSocket::sslErrors?
    {117, 3005, 2838},	// KTcpSocket::startClientEncryption
    {117, 3060, 2802},	// KTcpSocket::state
    {117, 3062, 2833},	// KTcpSocket::stateChanged$
    {117, 3064, 2854},	// KTcpSocket::staticMetaObject
    {117, 3169, 2839},	// KTcpSocket::tr$
    {117, 3170, 2768},	// KTcpSocket::tr$$
    {117, 3171, 2770},	// KTcpSocket::tr$$$
    {117, 3176, 2840},	// KTcpSocket::trUtf8$
    {117, 3177, 2769},	// KTcpSocket::trUtf8$$
    {117, 3178, 2771},	// KTcpSocket::trUtf8$$$
    {117, 3280, 2781},	// KTcpSocket::waitForBytesWritten$
    {117, 3281, 2846},	// KTcpSocket::waitForConnected
    {117, 3282, 2803},	// KTcpSocket::waitForConnected$
    {117, 3283, 2847},	// KTcpSocket::waitForDisconnected
    {117, 3284, 2804},	// KTcpSocket::waitForDisconnected$
    {117, 3285, 2853},	// KTcpSocket::waitForEncrypted
    {117, 3286, 2824},	// KTcpSocket::waitForEncrypted$
    {117, 3290, 2842},	// KTcpSocket::waitForReadyRead
    {117, 3291, 2782},	// KTcpSocket::waitForReadyRead$
    {117, 3330, 2784},	// KTcpSocket::writeData$$
    {117, 3459, 2882},	// KTcpSocket::~KTcpSocket
    {118, 499, 2892},	// KTempDir::KTempDir
    {118, 500, 2893},	// KTempDir::KTempDir$
    {118, 501, 2883},	// KTempDir::KTempDir$$
    {118, 1048, 2885},	// KTempDir::autoRemove
    {118, 1208, 2891},	// KTempDir::create$$
    {118, 1461, 2889},	// KTempDir::exists
    {118, 2089, 2887},	// KTempDir::name
    {118, 2438, 2890},	// KTempDir::removeDir$
    {118, 2545, 2884},	// KTempDir::setAutoRemove$
    {118, 3067, 2886},	// KTempDir::status
    {118, 3217, 2888},	// KTempDir::unlink
    {118, 3460, 2894},	// KTempDir::~KTempDir
    {119, 502, 2898},	// KTemporaryFile::KTemporaryFile
    {119, 503, 2895},	// KTemporaryFile::KTemporaryFile#
    {119, 2844, 2896},	// KTemporaryFile::setPrefix$
    {119, 2909, 2897},	// KTemporaryFile::setSuffix$
    {119, 3461, 2899},	// KTemporaryFile::~KTemporaryFile
    {120, 167, 2954},	// KTimeZone::InvalidOffset
    {120, 168, 2955},	// KTimeZone::InvalidTime_t
    {120, 504, 2900},	// KTimeZone::KTimeZone
    {120, 505, -16},	// KTimeZone::KTimeZone#
    {120, 506, 2901},	// KTimeZone::KTimeZone$
    {120, 759, 2956},	// KTimeZone::UNKNOWN
    {120, 818, 2914},	// KTimeZone::abbreviation#
    {120, 819, 2913},	// KTimeZone::abbreviations
    {120, 1149, 2912},	// KTimeZone::comment
    {120, 1183, 2916},	// KTimeZone::convert##
    {120, 1198, 2909},	// KTimeZone::countryCode
    {120, 1233, 2942},	// KTimeZone::currentOffset
    {120, 1234, 2919},	// KTimeZone::currentOffset$
    {120, 1241, 2952},	// KTimeZone::data
    {120, 1242, 2934},	// KTimeZone::data$
    {120, 1627, 2936},	// KTimeZone::fromTime_t$
    {120, 1693, 2926},	// KTimeZone::hasTransitions
    {120, 1796, 2924},	// KTimeZone::isDst$
    {120, 1798, 2923},	// KTimeZone::isDstAtUtc#
    {120, 1864, 2907},	// KTimeZone::isValid
    {120, 1949, 2910},	// KTimeZone::latitude
    {120, 1953, 2931},	// KTimeZone::leapSecondChanges
    {120, 1996, 2911},	// KTimeZone::longitude
    {120, 2089, 2908},	// KTimeZone::name
    {120, 2124, 2922},	// KTimeZone::offset$
    {120, 2126, 2921},	// KTimeZone::offsetAtUtc#
    {120, 2129, 2943},	// KTimeZone::offsetAtZoneTime#
    {120, 2131, 2920},	// KTimeZone::offsetAtZoneTime#$
    {120, 2146, 2905},	// KTimeZone::operator!=#
    {120, 2186, 2903},	// KTimeZone::operator=#
    {120, 2189, 2904},	// KTimeZone::operator==#
    {120, 2229, 2933},	// KTimeZone::parse
    {120, 2252, 2925},	// KTimeZone::phases
    {120, 2589, 2953},	// KTimeZone::setData#
    {120, 2590, 2940},	// KTimeZone::setData##
    {120, 2984, 2932},	// KTimeZone::source
    {120, 3156, 2937},	// KTimeZone::toTime_t#
    {120, 3158, 2917},	// KTimeZone::toUtc#
    {120, 3162, 2941},	// KTimeZone::toZoneTime#
    {120, 3163, 2918},	// KTimeZone::toZoneTime#$
    {120, 3182, 2946},	// KTimeZone::transition#
    {120, 3183, 2947},	// KTimeZone::transition#?
    {120, 3184, 2928},	// KTimeZone::transition#?$
    {120, 3186, 2948},	// KTimeZone::transitionIndex#
    {120, 3187, 2949},	// KTimeZone::transitionIndex#$
    {120, 3188, 2929},	// KTimeZone::transitionIndex#$$
    {120, 3190, 2950},	// KTimeZone::transitionTimes#
    {120, 3191, 2951},	// KTimeZone::transitionTimes##
    {120, 3192, 2930},	// KTimeZone::transitionTimes###
    {120, 3193, 2944},	// KTimeZone::transitions
    {120, 3194, 2945},	// KTimeZone::transitions#
    {120, 3195, 2927},	// KTimeZone::transitions##
    {120, 3211, 2906},	// KTimeZone::type
    {120, 3234, 2935},	// KTimeZone::updateBase#
    {120, 3258, 2938},	// KTimeZone::utc
    {120, 3260, 2915},	// KTimeZone::utcOffsets
    {120, 3462, 2957},	// KTimeZone::~KTimeZone
    {121, 555, 2958},	// KTimeZone::LeapSeconds::LeapSeconds
    {121, 556, 2960},	// KTimeZone::LeapSeconds::LeapSeconds#
    {121, 557, 2967},	// KTimeZone::LeapSeconds::LeapSeconds#$
    {121, 558, 2959},	// KTimeZone::LeapSeconds::LeapSeconds#$$
    {121, 1149, 2966},	// KTimeZone::LeapSeconds::comment
    {121, 1257, 2964},	// KTimeZone::LeapSeconds::dateTime
    {121, 1864, 2963},	// KTimeZone::LeapSeconds::isValid
    {121, 1954, 2965},	// KTimeZone::LeapSeconds::leapSeconds
    {121, 2168, 2962},	// KTimeZone::LeapSeconds::operator<#
    {121, 2186, 2961},	// KTimeZone::LeapSeconds::operator=#
    {121, 3475, 2968},	// KTimeZone::LeapSeconds::~LeapSeconds
    {122, 641, 2969},	// KTimeZone::Phase::Phase
    {122, 642, 2972},	// KTimeZone::Phase::Phase#
    {122, 643, 2980},	// KTimeZone::Phase::Phase$#$
    {122, 644, 2970},	// KTimeZone::Phase::Phase$#$$
    {122, 645, 2981},	// KTimeZone::Phase::Phase$?$
    {122, 646, 2971},	// KTimeZone::Phase::Phase$?$$
    {122, 819, 2977},	// KTimeZone::Phase::abbreviations
    {122, 1149, 2979},	// KTimeZone::Phase::comment
    {122, 1794, 2978},	// KTimeZone::Phase::isDst
    {122, 2146, 2975},	// KTimeZone::Phase::operator!=#
    {122, 2186, 2973},	// KTimeZone::Phase::operator=#
    {122, 2189, 2974},	// KTimeZone::Phase::operator==#
    {122, 3259, 2976},	// KTimeZone::Phase::utcOffset
    {122, 3477, 2982},	// KTimeZone::Phase::~Phase
    {123, 754, 2983},	// KTimeZone::Transition::Transition
    {123, 755, 2985},	// KTimeZone::Transition::Transition#
    {123, 756, 2984},	// KTimeZone::Transition::Transition##
    {123, 2168, 2989},	// KTimeZone::Transition::operator<#
    {123, 2186, 2986},	// KTimeZone::Transition::operator=#
    {123, 2251, 2988},	// KTimeZone::Transition::phase
    {123, 3131, 2987},	// KTimeZone::Transition::time
    {123, 3480, 2990},	// KTimeZone::Transition::~Transition
    {124, 507, 2991},	// KTimeZoneBackend::KTimeZoneBackend
    {124, 508, 2993},	// KTimeZoneBackend::KTimeZoneBackend#
    {124, 509, 3004},	// KTimeZoneBackend::KTimeZoneBackend#$
    {124, 510, 3005},	// KTimeZoneBackend::KTimeZoneBackend#$$
    {124, 511, 3006},	// KTimeZoneBackend::KTimeZoneBackend#$$$
    {124, 512, 3007},	// KTimeZoneBackend::KTimeZoneBackend#$$$$
    {124, 513, 3003},	// KTimeZoneBackend::KTimeZoneBackend#$$$$$
    {124, 514, 2992},	// KTimeZoneBackend::KTimeZoneBackend$
    {124, 1138, 2995},	// KTimeZoneBackend::clone
    {124, 1694, 3002},	// KTimeZoneBackend::hasTransitions#
    {124, 1795, 3001},	// KTimeZoneBackend::isDst#$
    {124, 1799, 3000},	// KTimeZoneBackend::isDstAtUtc##
    {124, 2123, 2999},	// KTimeZoneBackend::offset#$
    {124, 2127, 2998},	// KTimeZoneBackend::offsetAtUtc##
    {124, 2130, 2997},	// KTimeZoneBackend::offsetAtZoneTime##$
    {124, 2186, 2994},	// KTimeZoneBackend::operator=#
    {124, 3211, 2996},	// KTimeZoneBackend::type
    {124, 3463, 3008},	// KTimeZoneBackend::~KTimeZoneBackend
    {125, 515, 3009},	// KTimeZoneData::KTimeZoneData
    {125, 516, 3010},	// KTimeZoneData::KTimeZoneData#
    {125, 818, 3014},	// KTimeZoneData::abbreviation#
    {125, 819, 3013},	// KTimeZoneData::abbreviations
    {125, 1138, 3012},	// KTimeZoneData::clone
    {125, 1693, 3018},	// KTimeZoneData::hasTransitions
    {125, 1952, 3024},	// KTimeZoneData::leapSecondChange#
    {125, 1953, 3023},	// KTimeZoneData::leapSecondChanges
    {125, 2186, 3011},	// KTimeZoneData::operator=#
    {125, 2252, 3017},	// KTimeZoneData::phases
    {125, 2274, 3016},	// KTimeZoneData::previousUtcOffset
    {125, 2702, 3027},	// KTimeZoneData::setLeapSecondChanges?
    {125, 2834, 3025},	// KTimeZoneData::setPhases?$
    {125, 2931, 3026},	// KTimeZoneData::setTransitions?
    {125, 3182, 3030},	// KTimeZoneData::transition#
    {125, 3183, 3031},	// KTimeZoneData::transition#?
    {125, 3184, 3020},	// KTimeZoneData::transition#?$
    {125, 3186, 3032},	// KTimeZoneData::transitionIndex#
    {125, 3187, 3033},	// KTimeZoneData::transitionIndex#$
    {125, 3188, 3021},	// KTimeZoneData::transitionIndex#$$
    {125, 3190, 3034},	// KTimeZoneData::transitionTimes#
    {125, 3191, 3035},	// KTimeZoneData::transitionTimes##
    {125, 3192, 3022},	// KTimeZoneData::transitionTimes###
    {125, 3193, 3028},	// KTimeZoneData::transitions
    {125, 3194, 3029},	// KTimeZoneData::transitions#
    {125, 3195, 3019},	// KTimeZoneData::transitions##
    {125, 3260, 3015},	// KTimeZoneData::utcOffsets
    {125, 3464, 3036},	// KTimeZoneData::~KTimeZoneData
    {126, 517, 3037},	// KTimeZoneSource::KTimeZoneSource
    {126, 518, 3041},	// KTimeZoneSource::KTimeZoneSource#
    {126, 519, 3040},	// KTimeZoneSource::KTimeZoneSource$
    {126, 2230, 3038},	// KTimeZoneSource::parse#
    {126, 3246, 3039},	// KTimeZoneSource::useZoneParse
    {126, 3465, 3042},	// KTimeZoneSource::~KTimeZoneSource
    {127, 520, 3043},	// KTimeZones::KTimeZones
    {127, 837, 3046},	// KTimeZones::add#
    {127, 1134, 3049},	// KTimeZones::clear
    {127, 2431, 3047},	// KTimeZones::remove#
    {127, 2432, 3048},	// KTimeZones::remove$
    {127, 3363, 3044},	// KTimeZones::zone$
    {127, 3365, 3045},	// KTimeZones::zones
    {127, 3466, 3050},	// KTimeZones::~KTimeZones
    {128, 1745, 3086},	// KToolInvocation::invokeBrowser$
    {128, 1746, 3063},	// KToolInvocation::invokeBrowser$#
    {128, 1747, 3077},	// KToolInvocation::invokeHelp
    {128, 1748, 3078},	// KToolInvocation::invokeHelp$
    {128, 1749, 3079},	// KToolInvocation::invokeHelp$$
    {128, 1750, 3059},	// KToolInvocation::invokeHelp$$#
    {128, 1752, 3081},	// KToolInvocation::invokeMailer#
    {128, 1753, 3082},	// KToolInvocation::invokeMailer##
    {128, 1754, 3061},	// KToolInvocation::invokeMailer##$
    {128, 1755, 3080},	// KToolInvocation::invokeMailer$$
    {128, 1756, 3060},	// KToolInvocation::invokeMailer$$#
    {128, 1757, 3083},	// KToolInvocation::invokeMailer$$$$$
    {128, 1758, 3084},	// KToolInvocation::invokeMailer$$$$$$
    {128, 1759, 3085},	// KToolInvocation::invokeMailer$$$$$$?
    {128, 1760, 3062},	// KToolInvocation::invokeMailer$$$$$$?#
    {128, 1762, 3087},	// KToolInvocation::invokeTerminal$
    {128, 1763, 3088},	// KToolInvocation::invokeTerminal$$
    {128, 1764, 3064},	// KToolInvocation::invokeTerminal$$#
    {128, 1893, 3074},	// KToolInvocation::kapplication_hook?#
    {128, 1902, 3122},	// KToolInvocation::kdeinitExec$
    {128, 1903, 3123},	// KToolInvocation::kdeinitExec$?
    {128, 1904, 3124},	// KToolInvocation::kdeinitExec$?$
    {128, 1905, 3125},	// KToolInvocation::kdeinitExec$?$$
    {128, 1906, 3072},	// KToolInvocation::kdeinitExec$?$$#
    {128, 1908, 3126},	// KToolInvocation::kdeinitExecWait$
    {128, 1909, 3127},	// KToolInvocation::kdeinitExecWait$?
    {128, 1910, 3128},	// KToolInvocation::kdeinitExecWait$?$
    {128, 1911, 3129},	// KToolInvocation::kdeinitExecWait$?$$
    {128, 1912, 3073},	// KToolInvocation::kdeinitExecWait$?$$#
    {128, 1934, 3065},	// KToolInvocation::klauncher
    {128, 2048, 3051},	// KToolInvocation::metaObject
    {128, 2318, 3057},	// KToolInvocation::qt_metacall$$?
    {128, 2320, 3052},	// KToolInvocation::qt_metacast$
    {128, 2496, 3058},	// KToolInvocation::self
    {128, 3013, 3116},	// KToolInvocation::startServiceByDesktopName$
    {128, 3014, 3111},	// KToolInvocation::startServiceByDesktopName$$
    {128, 3015, 3112},	// KToolInvocation::startServiceByDesktopName$$$
    {128, 3016, 3113},	// KToolInvocation::startServiceByDesktopName$$$$
    {128, 3017, 3114},	// KToolInvocation::startServiceByDesktopName$$$$$
    {128, 3018, 3115},	// KToolInvocation::startServiceByDesktopName$$$$$#
    {128, 3019, 3070},	// KToolInvocation::startServiceByDesktopName$$$$$#$
    {128, 3020, 3117},	// KToolInvocation::startServiceByDesktopName$?
    {128, 3021, 3118},	// KToolInvocation::startServiceByDesktopName$?$
    {128, 3022, 3119},	// KToolInvocation::startServiceByDesktopName$?$$
    {128, 3023, 3120},	// KToolInvocation::startServiceByDesktopName$?$$$
    {128, 3024, 3121},	// KToolInvocation::startServiceByDesktopName$?$$$#
    {128, 3025, 3071},	// KToolInvocation::startServiceByDesktopName$?$$$#$
    {128, 3027, 3105},	// KToolInvocation::startServiceByDesktopPath$
    {128, 3028, 3100},	// KToolInvocation::startServiceByDesktopPath$$
    {128, 3029, 3101},	// KToolInvocation::startServiceByDesktopPath$$$
    {128, 3030, 3102},	// KToolInvocation::startServiceByDesktopPath$$$$
    {128, 3031, 3103},	// KToolInvocation::startServiceByDesktopPath$$$$$
    {128, 3032, 3104},	// KToolInvocation::startServiceByDesktopPath$$$$$#
    {128, 3033, 3068},	// KToolInvocation::startServiceByDesktopPath$$$$$#$
    {128, 3034, 3106},	// KToolInvocation::startServiceByDesktopPath$?
    {128, 3035, 3107},	// KToolInvocation::startServiceByDesktopPath$?$
    {128, 3036, 3108},	// KToolInvocation::startServiceByDesktopPath$?$$
    {128, 3037, 3109},	// KToolInvocation::startServiceByDesktopPath$?$$$
    {128, 3038, 3110},	// KToolInvocation::startServiceByDesktopPath$?$$$#
    {128, 3039, 3069},	// KToolInvocation::startServiceByDesktopPath$?$$$#$
    {128, 3041, 3094},	// KToolInvocation::startServiceByName$
    {128, 3042, 3089},	// KToolInvocation::startServiceByName$$
    {128, 3043, 3090},	// KToolInvocation::startServiceByName$$$
    {128, 3044, 3091},	// KToolInvocation::startServiceByName$$$$
    {128, 3045, 3092},	// KToolInvocation::startServiceByName$$$$$
    {128, 3046, 3093},	// KToolInvocation::startServiceByName$$$$$#
    {128, 3047, 3066},	// KToolInvocation::startServiceByName$$$$$#$
    {128, 3048, 3095},	// KToolInvocation::startServiceByName$?
    {128, 3049, 3096},	// KToolInvocation::startServiceByName$?$
    {128, 3050, 3097},	// KToolInvocation::startServiceByName$?$$
    {128, 3051, 3098},	// KToolInvocation::startServiceByName$?$$$
    {128, 3052, 3099},	// KToolInvocation::startServiceByName$?$$$#
    {128, 3053, 3067},	// KToolInvocation::startServiceByName$?$$$#$
    {128, 3064, 3130},	// KToolInvocation::staticMetaObject
    {128, 3169, 3075},	// KToolInvocation::tr$
    {128, 3170, 3053},	// KToolInvocation::tr$$
    {128, 3171, 3055},	// KToolInvocation::tr$$$
    {128, 3176, 3076},	// KToolInvocation::trUtf8$
    {128, 3177, 3054},	// KToolInvocation::trUtf8$$
    {128, 3178, 3056},	// KToolInvocation::trUtf8$$$
    {128, 3467, 3131},	// KToolInvocation::~KToolInvocation
    {129, 522, 3133},	// KTzfileTimeZone::KTzfileTimeZone#
    {129, 523, 3134},	// KTzfileTimeZone::KTzfileTimeZone#$
    {129, 524, 3135},	// KTzfileTimeZone::KTzfileTimeZone#$$
    {129, 525, 3136},	// KTzfileTimeZone::KTzfileTimeZone#$$$
    {129, 526, 3137},	// KTzfileTimeZone::KTzfileTimeZone#$$$$
    {129, 527, 3132},	// KTzfileTimeZone::KTzfileTimeZone#$$$$$
    {129, 3468, 3138},	// KTzfileTimeZone::~KTzfileTimeZone
    {130, 529, 3143},	// KTzfileTimeZoneBackend::KTzfileTimeZoneBackend#
    {130, 530, 3139},	// KTzfileTimeZoneBackend::KTzfileTimeZoneBackend#$$$$$
    {130, 1138, 3140},	// KTzfileTimeZoneBackend::clone
    {130, 1694, 3142},	// KTzfileTimeZoneBackend::hasTransitions#
    {130, 3211, 3141},	// KTzfileTimeZoneBackend::type
    {130, 3469, 3144},	// KTzfileTimeZoneBackend::~KTzfileTimeZoneBackend
    {131, 532, 3148},	// KTzfileTimeZoneSource::KTzfileTimeZoneSource#
    {131, 533, 3145},	// KTzfileTimeZoneSource::KTzfileTimeZoneSource$
    {131, 1992, 3146},	// KTzfileTimeZoneSource::location
    {131, 2230, 3147},	// KTzfileTimeZoneSource::parse#
    {131, 3470, 3149},	// KTzfileTimeZoneSource::~KTzfileTimeZoneSource
    {132, 12, 3246},	// KUrl::AddTrailingSlash
    {132, 17, 3257},	// KUrl::AllowEmptyPath
    {132, 21, 3253},	// KUrl::AppendTrailingSlash
    {132, 34, 3250},	// KUrl::AvoidEmptyPath
    {132, 49, 3251},	// KUrl::CaseInsensitiveKeys
    {132, 68, 3256},	// KUrl::CompareWithoutFragment
    {132, 69, 3255},	// KUrl::CompareWithoutTrailingSlash
    {132, 88, 3242},	// KUrl::DefaultMimeDataFlags
    {132, 156, 3254},	// KUrl::IgnoreTrailingSlash
    {132, 534, 3150},	// KUrl::KUrl
    {132, 535, -244},	// KUrl::KUrl#
    {132, 536, 3156},	// KUrl::KUrl#$
    {132, 537, -248},	// KUrl::KUrl$
    {132, 549, 3248},	// KUrl::KeepDirSeparators
    {132, 559, 3245},	// KUrl::LeaveTrailingSlash
    {132, 611, 3243},	// KUrl::NoTextExport
    {132, 620, 3252},	// KUrl::ObeyTrailingSlash
    {132, 639, 3249},	// KUrl::PermitEmptyPath
    {132, 682, 3244},	// KUrl::RemoveTrailingSlash
    {132, 702, 3247},	// KUrl::SimplifyDirSeparators
    {132, 961, 3187},	// KUrl::addPath$
    {132, 965, 3190},	// KUrl::addQueryItem$$
    {132, 998, 3171},	// KUrl::adjustPath$
    {132, 1106, 3195},	// KUrl::cd$
    {132, 1132, 3229},	// KUrl::cleanPath
    {132, 1133, 3170},	// KUrl::cleanPath$
    {132, 1141, 3237},	// KUrl::cmp#
    {132, 1142, 3211},	// KUrl::cmp#$
    {132, 1309, 3223},	// KUrl::decode_string$
    {132, 1367, 3234},	// KUrl::directory
    {132, 1368, 3193},	// KUrl::directory#
    {132, 1394, 3221},	// KUrl::encode_string$
    {132, 1396, 3222},	// KUrl::encode_string_no_slash$
    {132, 1397, 3180},	// KUrl::encodedHtmlRef
    {132, 1398, 3230},	// KUrl::encodedPathAndQuery
    {132, 1399, 3231},	// KUrl::encodedPathAndQuery$
    {132, 1400, 3173},	// KUrl::encodedPathAndQuery$#
    {132, 1424, 3238},	// KUrl::equals#
    {132, 1425, 3212},	// KUrl::equals##
    {132, 1495, 3185},	// KUrl::fileEncoding
    {132, 1498, 3233},	// KUrl::fileName
    {132, 1499, 3192},	// KUrl::fileName#
    {132, 1612, 3219},	// KUrl::fromMimeDataByteArray#
    {132, 1614, 3217},	// KUrl::fromPath$
    {132, 1616, 3218},	// KUrl::fromPathOrUrl$
    {132, 1667, 3182},	// KUrl::hasHTMLRef
    {132, 1669, 3165},	// KUrl::hasHost
    {132, 1683, 3164},	// KUrl::hasPass
    {132, 1684, 3169},	// KUrl::hasPath
    {132, 1686, 3178},	// KUrl::hasRef
    {132, 1689, 3186},	// KUrl::hasSubUrl
    {132, 1695, 3161},	// KUrl::hasUser
    {132, 1702, 3179},	// KUrl::htmlRef
    {132, 1828, 3183},	// KUrl::isLocalFile
    {132, 1838, 3213},	// KUrl::isParentOf#
    {132, 1843, 3224},	// KUrl::isRelativeUrl$
    {132, 1878, 3216},	// KUrl::join?
    {132, 2144, 3210},	// KUrl::operator QVariant
    {132, 2146, 3208},	// KUrl::operator!=#
    {132, 2149, 3209},	// KUrl::operator!=$
    {132, 2186, -251},	// KUrl::operator=#
    {132, 2187, -254},	// KUrl::operator=$
    {132, 2189, 3206},	// KUrl::operator==#
    {132, 2192, 3207},	// KUrl::operator==$
    {132, 2233, 3162},	// KUrl::pass
    {132, 2234, 3227},	// KUrl::path
    {132, 2235, 3166},	// KUrl::path$
    {132, 2236, 3198},	// KUrl::pathOrUrl
    {132, 2237, 3199},	// KUrl::pathOrUrl$
    {132, 2258, 3239},	// KUrl::populateMimeData#
    {132, 2259, 3240},	// KUrl::populateMimeData#?
    {132, 2260, 3220},	// KUrl::populateMimeData#?$
    {132, 2272, 3236},	// KUrl::prettyUrl
    {132, 2273, 3197},	// KUrl::prettyUrl$
    {132, 2300, 3157},	// KUrl::protocol
    {132, 2321, 3175},	// KUrl::query
    {132, 2326, 3189},	// KUrl::queryItem$
    {132, 2327, 3232},	// KUrl::queryItems
    {132, 2328, 3188},	// KUrl::queryItems#
    {132, 2415, 3176},	// KUrl::ref
    {132, 2425, 3241},	// KUrl::relativePath$$
    {132, 2426, 3226},	// KUrl::relativePath$$$
    {132, 2428, 3225},	// KUrl::relativeUrl##
    {132, 2633, 3194},	// KUrl::setDirectory$
    {132, 2635, 3172},	// KUrl::setEncodedPathAndQuery$
    {132, 2657, 3184},	// KUrl::setFileEncoding$
    {132, 2659, 3191},	// KUrl::setFileName$
    {132, 2672, 3181},	// KUrl::setHTMLRef$
    {132, 2828, 3163},	// KUrl::setPass$
    {132, 2830, 3168},	// KUrl::setPath$
    {132, 2870, 3158},	// KUrl::setProtocol$
    {132, 2874, 3174},	// KUrl::setQuery$
    {132, 2880, 3177},	// KUrl::setRef$
    {132, 2941, 3160},	// KUrl::setUser$
    {132, 2989, 3215},	// KUrl::split#
    {132, 2990, 3214},	// KUrl::split$
    {132, 3143, 3228},	// KUrl::toLocalFile
    {132, 3144, 3167},	// KUrl::toLocalFile$
    {132, 3146, 3200},	// KUrl::toMimeDataString
    {132, 3228, 3201},	// KUrl::upUrl
    {132, 3236, 3235},	// KUrl::url
    {132, 3237, 3196},	// KUrl::url$
    {132, 3248, 3159},	// KUrl::user
    {132, 3471, 3258},	// KUrl::~KUrl
    {133, 133, 3285},	// KUser::FullName
    {133, 144, 3288},	// KUser::HomePhone
    {133, 538, 3282},	// KUser::KUser
    {133, 539, -786},	// KUser::KUser#
    {133, 540, -789},	// KUser::KUser$
    {133, 689, 3286},	// KUser::RoomNumber
    {133, 789, 3283},	// KUser::UseEffectiveUID
    {133, 790, 3284},	// KUser::UseRealUserID
    {133, 800, 3287},	// KUser::WorkPhone
    {133, 1016, 3281},	// KUser::allUserNames
    {133, 1017, 3280},	// KUser::allUsers
    {133, 1483, 3275},	// KUser::faceIconPath
    {133, 1629, 3273},	// KUser::fullName
    {133, 1643, 3270},	// KUser::gid
    {133, 1652, 3278},	// KUser::groupNames
    {133, 1653, 3277},	// KUser::groups
    {133, 1699, 3274},	// KUser::homeDir
    {133, 1856, 3271},	// KUser::isSuperUser
    {133, 1864, 3268},	// KUser::isValid
    {133, 1995, 3272},	// KUser::loginName
    {133, 2146, 3267},	// KUser::operator!=#
    {133, 2186, 3265},	// KUser::operator=#
    {133, 2189, 3266},	// KUser::operator==#
    {133, 2293, 3279},	// KUser::property$
    {133, 2961, 3276},	// KUser::shell
    {133, 3213, 3269},	// KUser::uid
    {133, 3472, 3289},	// KUser::~KUser
    {134, 541, 3306},	// KUserGroup::KUserGroup
    {134, 542, -257},	// KUserGroup::KUserGroup#
    {134, 543, -260},	// KUserGroup::KUserGroup$
    {134, 1005, 3305},	// KUserGroup::allGroupNames
    {134, 1006, 3304},	// KUserGroup::allGroups
    {134, 1643, 3300},	// KUserGroup::gid
    {134, 1864, 3299},	// KUserGroup::isValid
    {134, 2089, 3301},	// KUserGroup::name
    {134, 2146, 3298},	// KUserGroup::operator!=#
    {134, 2186, 3296},	// KUserGroup::operator=#
    {134, 2189, 3297},	// KUserGroup::operator==#
    {134, 3249, 3303},	// KUserGroup::userNames
    {134, 3252, 3302},	// KUserGroup::users
    {134, 3473, 3307},	// KUserGroup::~KUserGroup
    {135, 544, 3313},	// KWordMacroExpander::KWordMacroExpander
    {135, 545, -210},	// KWordMacroExpander::KWordMacroExpander#
    {135, 1464, 3310},	// KWordMacroExpander::expandEscapedMacro$$?
    {135, 1467, 3311},	// KWordMacroExpander::expandMacro$?
    {135, 1478, 3309},	// KWordMacroExpander::expandPlainMacro$$?
    {135, 3474, 3314},	// KWordMacroExpander::~KWordMacroExpander
    {136, 629, 3343},	// OrgKdeKLauncherInterface::OrgKdeKLauncherInterface$$#
    {136, 630, 3323},	// OrgKdeKLauncherInterface::OrgKdeKLauncherInterface$$##
    {136, 1049, 3324},	// OrgKdeKLauncherInterface::autoStart
    {136, 1050, 3325},	// OrgKdeKLauncherInterface::autoStart$
    {136, 1051, 3338},	// OrgKdeKLauncherInterface::autoStart0Done
    {136, 1052, 3339},	// OrgKdeKLauncherInterface::autoStart1Done
    {136, 1053, 3340},	// OrgKdeKLauncherInterface::autoStart2Done
    {136, 1450, 3327},	// OrgKdeKLauncherInterface::exec_blind$?
    {136, 1451, 3326},	// OrgKdeKLauncherInterface::exec_blind$??$
    {136, 1914, 3328},	// OrgKdeKLauncherInterface::kdeinit_exec$??$$$$
    {136, 1916, 3329},	// OrgKdeKLauncherInterface::kdeinit_exec_wait$??$$$$
    {136, 2048, 3315},	// OrgKdeKLauncherInterface::metaObject
    {136, 2318, 3321},	// OrgKdeKLauncherInterface::qt_metacall$$?
    {136, 2320, 3316},	// OrgKdeKLauncherInterface::qt_metacast$
    {136, 2450, 3330},	// OrgKdeKLauncherInterface::reparseConfiguration
    {136, 2454, 3331},	// OrgKdeKLauncherInterface::requestHoldSlave$$
    {136, 2456, 3332},	// OrgKdeKLauncherInterface::requestSlave$$$$
    {136, 2698, 3333},	// OrgKdeKLauncherInterface::setLaunchEnv$$
    {136, 3055, 3334},	// OrgKdeKLauncherInterface::start_service_by_desktop_name$??$$$$$
    {136, 3057, 3335},	// OrgKdeKLauncherInterface::start_service_by_desktop_path$??$$$$$
    {136, 3059, 3336},	// OrgKdeKLauncherInterface::start_service_by_name$??$$$$$
    {136, 3063, 3322},	// OrgKdeKLauncherInterface::staticInterfaceName
    {136, 3064, 3344},	// OrgKdeKLauncherInterface::staticMetaObject
    {136, 3169, 3341},	// OrgKdeKLauncherInterface::tr$
    {136, 3170, 3317},	// OrgKdeKLauncherInterface::tr$$
    {136, 3171, 3319},	// OrgKdeKLauncherInterface::tr$$$
    {136, 3176, 3342},	// OrgKdeKLauncherInterface::trUtf8$
    {136, 3177, 3318},	// OrgKdeKLauncherInterface::trUtf8$$
    {136, 3178, 3320},	// OrgKdeKLauncherInterface::trUtf8$$$
    {136, 3293, 3337},	// OrgKdeKLauncherInterface::waitForSlave$
    {136, 3476, 3345},	// OrgKdeKLauncherInterface::~OrgKdeKLauncherInterface
    {157, 152, 3806},	// QGlobalSpace::ITIMER_PROF
    {157, 153, 3804},	// QGlobalSpace::ITIMER_REAL
    {157, 154, 3805},	// QGlobalSpace::ITIMER_VIRTUAL
    {157, 432, 3829},	// QGlobalSpace::KST_CTimeInfo
    {157, 433, 3822},	// QGlobalSpace::KST_KCustom
    {157, 434, 3817},	// QGlobalSpace::KST_KDEDesktopMimeType
    {157, 435, 3816},	// QGlobalSpace::KST_KFolderMimeType
    {157, 436, 3826},	// QGlobalSpace::KST_KImageIO
    {157, 437, 3819},	// QGlobalSpace::KST_KImageIOFormat
    {157, 438, 3815},	// QGlobalSpace::KST_KMimeType
    {157, 439, 3828},	// QGlobalSpace::KST_KMimeTypeFactory
    {157, 440, 3820},	// QGlobalSpace::KST_KProtocolInfo
    {157, 441, 3827},	// QGlobalSpace::KST_KProtocolInfoFactory
    {157, 442, 3813},	// QGlobalSpace::KST_KService
    {157, 443, 3823},	// QGlobalSpace::KST_KServiceFactory
    {157, 444, 3818},	// QGlobalSpace::KST_KServiceGroup
    {157, 445, 3825},	// QGlobalSpace::KST_KServiceGroupFactory
    {157, 446, 3821},	// QGlobalSpace::KST_KServiceSeparator
    {157, 447, 3814},	// QGlobalSpace::KST_KServiceType
    {157, 448, 3824},	// QGlobalSpace::KST_KServiceTypeFactory
    {157, 449, 3812},	// QGlobalSpace::KST_KSycocaEntry
    {157, 661, 3809},	// QGlobalSpace::QtCriticalMsg
    {157, 662, 3807},	// QGlobalSpace::QtDebugMsg
    {157, 663, 3810},	// QGlobalSpace::QtFatalMsg
    {157, 664, 3811},	// QGlobalSpace::QtSystemMsg
    {157, 666, 3808},	// QGlobalSpace::QtWarningMsg
    {157, 807, 3799},	// QGlobalSpace::_IEEE_
    {157, 808, 3803},	// QGlobalSpace::_ISOC_
    {157, 809, 3802},	// QGlobalSpace::_POSIX_
    {157, 810, 3800},	// QGlobalSpace::_SVID_
    {157, 811, 3801},	// QGlobalSpace::_XOPEN_
    {157, 812, 3832},	// QGlobalSpace::__codecvt_error
    {157, 813, 3833},	// QGlobalSpace::__codecvt_noconv
    {157, 814, 3830},	// QGlobalSpace::__codecvt_ok
    {157, 815, 3831},	// QGlobalSpace::__codecvt_partial
    {157, 1704, 3590},	// QGlobalSpace::i18n$
    {157, 1706, 3471},	// QGlobalSpace::i18nc$$
    {157, 1884, 3630},	// QGlobalSpace::kAsciiToLower$
    {157, 1886, 3694},	// QGlobalSpace::kAsciiToUpper$
    {157, 1887, 3697},	// QGlobalSpace::kBacktrace
    {157, 1888, 3696},	// QGlobalSpace::kBacktrace$
    {157, 1889, 3620},	// QGlobalSpace::kClearDebugConfig
    {157, 1891, 3768},	// QGlobalSpace::kRealBacktrace$
    {157, 1895, 3439},	// QGlobalSpace::kasciistricmp$$
    {157, 1897, 3706},	// QGlobalSpace::kdBacktrace
    {157, 1898, 3705},	// QGlobalSpace::kdBacktrace$
    {157, 1925, 3792},	// QGlobalSpace::ki18n$
    {157, 1927, 3425},	// QGlobalSpace::ki18nc$$
    {157, 1929, 3435},	// QGlobalSpace::ki18ncp$$$
    {157, 1931, 3782},	// QGlobalSpace::ki18np$$
    {157, 2147, -296},	// QGlobalSpace::operator!=##
    {157, 2148, -315},	// QGlobalSpace::operator!=#$
    {157, 2150, -321},	// QGlobalSpace::operator!=$#
    {157, 2151, 3527},	// QGlobalSpace::operator!=$$
    {157, 2153, 3605},	// QGlobalSpace::operator&##
    {157, 2155, -328},	// QGlobalSpace::operator*#$
    {157, 2156, -333},	// QGlobalSpace::operator*$#
    {157, 2158, -338},	// QGlobalSpace::operator+##
    {157, 2159, -344},	// QGlobalSpace::operator+#$
    {157, 2160, -349},	// QGlobalSpace::operator+$#
    {157, 2161, -354},	// QGlobalSpace::operator+$$
    {157, 2163, -360},	// QGlobalSpace::operator-#
    {157, 2164, -363},	// QGlobalSpace::operator-##
    {157, 2166, -368},	// QGlobalSpace::operator/#$
    {157, 2169, -373},	// QGlobalSpace::operator<##
    {157, 2170, 3639},	// QGlobalSpace::operator<#$
    {157, 2171, -380},	// QGlobalSpace::operator<$#
    {157, 2172, 3485},	// QGlobalSpace::operator<$$
    {157, 2174, -383},	// QGlobalSpace::operator<<##
    {157, 2175, -419},	// QGlobalSpace::operator<<#$
    {157, 2176, -422},	// QGlobalSpace::operator<<#?
    {157, 2181, -426},	// QGlobalSpace::operator<=##
    {157, 2182, 3513},	// QGlobalSpace::operator<=#$
    {157, 2183, -431},	// QGlobalSpace::operator<=$#
    {157, 2184, 3651},	// QGlobalSpace::operator<=$$
    {157, 2190, -434},	// QGlobalSpace::operator==##
    {157, 2191, -455},	// QGlobalSpace::operator==#$
    {157, 2193, -461},	// QGlobalSpace::operator==$#
    {157, 2194, 3780},	// QGlobalSpace::operator==$$
    {157, 2197, -469},	// QGlobalSpace::operator>##
    {157, 2198, 3790},	// QGlobalSpace::operator>#$
    {157, 2199, -474},	// QGlobalSpace::operator>$#
    {157, 2200, 3582},	// QGlobalSpace::operator>$$
    {157, 2203, -477},	// QGlobalSpace::operator>=##
    {157, 2204, 3434},	// QGlobalSpace::operator>=#$
    {157, 2205, -482},	// QGlobalSpace::operator>=$#
    {157, 2206, 3787},	// QGlobalSpace::operator>=$$
    {157, 2208, -485},	// QGlobalSpace::operator>>##
    {157, 2209, -521},	// QGlobalSpace::operator>>#$
    {157, 2210, 3565},	// QGlobalSpace::operator>>#?
    {157, 2212, 3516},	// QGlobalSpace::operator^##
    {157, 2214, 3713},	// QGlobalSpace::operator|##
    {157, 2215, -524},	// QGlobalSpace::operator|$$
    {157, 3173, 3734},	// QGlobalSpace::tr2i18n$
    {157, 3174, 3733},	// QGlobalSpace::tr2i18n$$
    {203, 1316, 3876},	// Sonnet::defaultLanguageName
    {203, 1352, 3877},	// Sonnet::detectLanguage$
    {204, 36, 3908},	// Sonnet::BackgroundChecker::BackgroundChecker
    {204, 37, -681},	// Sonnet::BackgroundChecker::BackgroundChecker#
    {204, 38, 3886},	// Sonnet::BackgroundChecker::BackgroundChecker##
    {204, 989, 3894},	// Sonnet::BackgroundChecker::addWordToPersonal$
    {204, 1111, 3899},	// Sonnet::BackgroundChecker::changeLanguage$
    {204, 1122, 3892},	// Sonnet::BackgroundChecker::checkWord$
    {204, 1181, 3900},	// Sonnet::BackgroundChecker::continueChecking
    {204, 1226, 3889},	// Sonnet::BackgroundChecker::currentContext
    {204, 1382, 3902},	// Sonnet::BackgroundChecker::done
    {204, 1494, 3903},	// Sonnet::BackgroundChecker::fetchMoreText
    {204, 1560, 3904},	// Sonnet::BackgroundChecker::finishedCurrentFeed
    {204, 2048, 3878},	// Sonnet::BackgroundChecker::metaObject
    {204, 2054, 3901},	// Sonnet::BackgroundChecker::misspelling$$
    {204, 2318, 3884},	// Sonnet::BackgroundChecker::qt_metacall$$?
    {204, 2320, 3879},	// Sonnet::BackgroundChecker::qt_metacast$
    {204, 2452, 3898},	// Sonnet::BackgroundChecker::replace$$$
    {204, 2469, 3895},	// Sonnet::BackgroundChecker::restore#
    {204, 2903, 3891},	// Sonnet::BackgroundChecker::setSpeller#
    {204, 2915, 3887},	// Sonnet::BackgroundChecker::setText$
    {204, 2974, 3905},	// Sonnet::BackgroundChecker::slotEngineDone
    {204, 2987, 3890},	// Sonnet::BackgroundChecker::speller
    {204, 3003, 3896},	// Sonnet::BackgroundChecker::start
    {204, 3064, 3910},	// Sonnet::BackgroundChecker::staticMetaObject
    {204, 3070, 3897},	// Sonnet::BackgroundChecker::stop
    {204, 3095, 3893},	// Sonnet::BackgroundChecker::suggest$
    {204, 3127, 3888},	// Sonnet::BackgroundChecker::text
    {204, 3169, 3906},	// Sonnet::BackgroundChecker::tr$
    {204, 3170, 3880},	// Sonnet::BackgroundChecker::tr$$
    {204, 3171, 3882},	// Sonnet::BackgroundChecker::tr$$$
    {204, 3176, 3907},	// Sonnet::BackgroundChecker::trUtf8$
    {204, 3177, 3881},	// Sonnet::BackgroundChecker::trUtf8$$
    {204, 3178, 3883},	// Sonnet::BackgroundChecker::trUtf8$$$
    {204, 3369, 3911},	// Sonnet::BackgroundChecker::~BackgroundChecker
    {205, 55, 3939},	// Sonnet::Speller::CheckUppercase
    {205, 704, 3940},	// Sonnet::Speller::SkipRunTogether
    {205, 717, 3937},	// Sonnet::Speller::Speller
    {205, 718, 3913},	// Sonnet::Speller::Speller#
    {205, 719, 3912},	// Sonnet::Speller::Speller$
    {205, 985, 3923},	// Sonnet::Speller::addToPersonal$
    {205, 987, 3924},	// Sonnet::Speller::addToSession$
    {205, 1057, 3927},	// Sonnet::Speller::availableBackends
    {205, 1058, 3930},	// Sonnet::Speller::availableDictionaries
    {205, 1060, 3929},	// Sonnet::Speller::availableLanguageNames
    {205, 1061, 3928},	// Sonnet::Speller::availableLanguages
    {205, 1118, 3921},	// Sonnet::Speller::checkAndSuggest$?
    {205, 1312, 3934},	// Sonnet::Speller::defaultClient
    {205, 1315, 3932},	// Sonnet::Speller::defaultLanguage
    {205, 1787, 3918},	// Sonnet::Speller::isCorrect$
    {205, 1834, 3919},	// Sonnet::Speller::isMisspelled$
    {205, 1864, 3915},	// Sonnet::Speller::isValid
    {205, 1941, 3917},	// Sonnet::Speller::language
    {205, 2186, 3914},	// Sonnet::Speller::operator=#
    {205, 2469, 3926},	// Sonnet::Speller::restore#
    {205, 2480, 3925},	// Sonnet::Speller::save#
    {205, 2536, 3938},	// Sonnet::Speller::setAttribute$
    {205, 2537, 3935},	// Sonnet::Speller::setAttribute$$
    {205, 2619, 3933},	// Sonnet::Speller::setDefaultClient$
    {205, 2621, 3931},	// Sonnet::Speller::setDefaultLanguage$
    {205, 2694, 3916},	// Sonnet::Speller::setLanguage$
    {205, 3074, 3922},	// Sonnet::Speller::storeReplacement$$
    {205, 3095, 3920},	// Sonnet::Speller::suggest$
    {205, 3126, 3936},	// Sonnet::Speller::testAttribute$
    {205, 3479, 3941},	// Sonnet::Speller::~Speller
    {208, 1935, 3942},	// kndbgstream::kndbgstream
    {208, 1936, 3943},	// kndbgstream::kndbgstream#
    {208, 3481, 3944},	// kndbgstream::~kndbgstream
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtnetwork_Smoke();
SMOKE_IMPORT void init_qtdbus_Smoke();

static bool initialized = false;
Smoke *kdecore_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_kdecore_Smoke() {
    init_qtcore_Smoke();
    init_qtnetwork_Smoke();
    init_qtdbus_Smoke();
    if (initialized) return;
    kdecore_Smoke = new Smoke(
        "kdecore",
        __smokekdecore::classes, 211,
        __smokekdecore::methods, 3945,
        __smokekdecore::methodMaps, 3321,
        __smokekdecore::methodNames, 3481,
        __smokekdecore::types, 739,
        __smokekdecore::inheritanceList,
        __smokekdecore::argumentList,
        __smokekdecore::ambiguousMethodList,
        __smokekdecore::cast );
    initialized = true;
}

void delete_kdecore_Smoke() { delete kdecore_Smoke; }

}
