#include <phonon_includes.h>

#include <smoke.h>
#include <phonon_smoke.h>

namespace __smokephonon {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 2:   //Phonon::AbstractAudioOutput
      switch(to) {
        case 57: return (void*)(QObject*)(Phonon::AbstractAudioOutput*)xptr;
        case 16: return (void*)(Phonon::MediaNode*)(Phonon::AbstractAudioOutput*)xptr;
        case 2: return (void*)(Phonon::AbstractAudioOutput*)xptr;
        case 8: return (void*)(Phonon::AudioDataOutput*)(Phonon::AbstractAudioOutput*)xptr;
        case 9: return (void*)(Phonon::AudioOutput*)(Phonon::AbstractAudioOutput*)xptr;
        default: return xptr;
      }
    case 3:   //Phonon::AbstractAudioOutputPrivate
      switch(to) {
        case 3: return (void*)(Phonon::AbstractAudioOutputPrivate*)xptr;
        default: return xptr;
      }
    case 4:   //Phonon::AbstractMediaStream
      switch(to) {
        case 57: return (void*)(QObject*)(Phonon::AbstractMediaStream*)xptr;
        case 4: return (void*)(Phonon::AbstractMediaStream*)xptr;
        default: return xptr;
      }
    case 5:   //Phonon::AbstractMediaStreamPrivate
      switch(to) {
        case 5: return (void*)(Phonon::AbstractMediaStreamPrivate*)xptr;
        default: return xptr;
      }
    case 6:   //Phonon::AbstractVideoOutput
      switch(to) {
        case 16: return (void*)(Phonon::MediaNode*)(Phonon::AbstractVideoOutput*)xptr;
        case 6: return (void*)(Phonon::AbstractVideoOutput*)xptr;
        case 28: return (void*)(Phonon::VideoWidget*)(Phonon::AbstractVideoOutput*)xptr;
        default: return xptr;
      }
    case 7:   //Phonon::AbstractVideoOutputPrivate
      switch(to) {
        case 7: return (void*)(Phonon::AbstractVideoOutputPrivate*)xptr;
        default: return xptr;
      }
    case 8:   //Phonon::AudioDataOutput
      switch(to) {
        case 2: return (void*)(Phonon::AbstractAudioOutput*)(Phonon::AudioDataOutput*)xptr;
        case 57: return (void*)(QObject*)(Phonon::AudioDataOutput*)xptr;
        case 16: return (void*)(Phonon::MediaNode*)(Phonon::AudioDataOutput*)xptr;
        case 8: return (void*)(Phonon::AudioDataOutput*)xptr;
        default: return xptr;
      }
    case 9:   //Phonon::AudioOutput
      switch(to) {
        case 2: return (void*)(Phonon::AbstractAudioOutput*)(Phonon::AudioOutput*)xptr;
        case 57: return (void*)(QObject*)(Phonon::AudioOutput*)xptr;
        case 16: return (void*)(Phonon::MediaNode*)(Phonon::AudioOutput*)xptr;
        case 9: return (void*)(Phonon::AudioOutput*)xptr;
        default: return xptr;
      }
    case 10:   //Phonon::BackendCapabilities::Notifier
      switch(to) {
        case 57: return (void*)(QObject*)(Phonon::BackendCapabilities::Notifier*)xptr;
        case 10: return (void*)(Phonon::BackendCapabilities::Notifier*)xptr;
        default: return xptr;
      }
    case 11:   //Phonon::Effect
      switch(to) {
        case 57: return (void*)(QObject*)(Phonon::Effect*)xptr;
        case 16: return (void*)(Phonon::MediaNode*)(Phonon::Effect*)xptr;
        case 11: return (void*)(Phonon::Effect*)xptr;
        case 30: return (void*)(Phonon::VolumeFaderEffect*)(Phonon::Effect*)xptr;
        default: return xptr;
      }
    case 12:   //Phonon::EffectParameter
      switch(to) {
        case 12: return (void*)(Phonon::EffectParameter*)xptr;
        default: return xptr;
      }
    case 13:   //Phonon::EffectPrivate
      switch(to) {
        case 13: return (void*)(Phonon::EffectPrivate*)xptr;
        default: return xptr;
      }
    case 14:   //Phonon::EffectWidget
      switch(to) {
        case 72: return (void*)(QWidget*)(Phonon::EffectWidget*)xptr;
        case 57: return (void*)(QObject*)(Phonon::EffectWidget*)xptr;
        case 14: return (void*)(Phonon::EffectWidget*)xptr;
        default: return xptr;
      }
    case 15:   //Phonon::MediaController
      switch(to) {
        case 57: return (void*)(QObject*)(Phonon::MediaController*)xptr;
        case 15: return (void*)(Phonon::MediaController*)xptr;
        default: return xptr;
      }
    case 16:   //Phonon::MediaNode
      switch(to) {
        case 16: return (void*)(Phonon::MediaNode*)xptr;
        case 6: return (void*)(Phonon::AbstractVideoOutput*)(Phonon::MediaNode*)xptr;
        case 2: return (void*)(Phonon::AbstractAudioOutput*)(Phonon::MediaNode*)xptr;
        case 8: return (void*)(Phonon::AudioDataOutput*)(Phonon::MediaNode*)xptr;
        case 9: return (void*)(Phonon::AudioOutput*)(Phonon::MediaNode*)xptr;
        case 11: return (void*)(Phonon::Effect*)(Phonon::MediaNode*)xptr;
        case 30: return (void*)(Phonon::VolumeFaderEffect*)(Phonon::MediaNode*)xptr;
        case 18: return (void*)(Phonon::MediaObject*)(Phonon::MediaNode*)xptr;
        case 28: return (void*)(Phonon::VideoWidget*)(Phonon::MediaNode*)xptr;
        default: return xptr;
      }
    case 17:   //Phonon::MediaNodePrivate
      switch(to) {
        case 17: return (void*)(Phonon::MediaNodePrivate*)xptr;
        default: return xptr;
      }
    case 18:   //Phonon::MediaObject
      switch(to) {
        case 57: return (void*)(QObject*)(Phonon::MediaObject*)xptr;
        case 16: return (void*)(Phonon::MediaNode*)(Phonon::MediaObject*)xptr;
        case 18: return (void*)(Phonon::MediaObject*)xptr;
        default: return xptr;
      }
    case 19:   //Phonon::MediaSource
      switch(to) {
        case 19: return (void*)(Phonon::MediaSource*)xptr;
        default: return xptr;
      }
    case 20:   //Phonon::MediaSourcePrivate
      switch(to) {
        case 20: return (void*)(Phonon::MediaSourcePrivate*)xptr;
        default: return xptr;
      }
    case 21:   //Phonon::ObjectDescriptionData
      switch(to) {
        case 63: return (void*)(QSharedData*)(Phonon::ObjectDescriptionData*)xptr;
        case 21: return (void*)(Phonon::ObjectDescriptionData*)xptr;
        default: return xptr;
      }
    case 22:   //Phonon::ObjectDescriptionModelData
      switch(to) {
        case 22: return (void*)(Phonon::ObjectDescriptionModelData*)xptr;
        default: return xptr;
      }
    case 23:   //Phonon::ObjectDescriptionPrivate
      switch(to) {
        case 23: return (void*)(Phonon::ObjectDescriptionPrivate*)xptr;
        default: return xptr;
      }
    case 24:   //Phonon::Path
      switch(to) {
        case 24: return (void*)(Phonon::Path*)xptr;
        default: return xptr;
      }
    case 25:   //Phonon::SeekSlider
      switch(to) {
        case 72: return (void*)(QWidget*)(Phonon::SeekSlider*)xptr;
        case 57: return (void*)(QObject*)(Phonon::SeekSlider*)xptr;
        case 25: return (void*)(Phonon::SeekSlider*)xptr;
        default: return xptr;
      }
    case 26:   //Phonon::StreamInterface
      switch(to) {
        case 26: return (void*)(Phonon::StreamInterface*)xptr;
        default: return xptr;
      }
    case 27:   //Phonon::VideoPlayer
      switch(to) {
        case 72: return (void*)(QWidget*)(Phonon::VideoPlayer*)xptr;
        case 57: return (void*)(QObject*)(Phonon::VideoPlayer*)xptr;
        case 27: return (void*)(Phonon::VideoPlayer*)xptr;
        default: return xptr;
      }
    case 28:   //Phonon::VideoWidget
      switch(to) {
        case 72: return (void*)(QWidget*)(Phonon::VideoWidget*)xptr;
        case 57: return (void*)(QObject*)(Phonon::VideoWidget*)xptr;
        case 6: return (void*)(Phonon::AbstractVideoOutput*)(Phonon::VideoWidget*)xptr;
        case 16: return (void*)(Phonon::MediaNode*)(Phonon::VideoWidget*)xptr;
        case 28: return (void*)(Phonon::VideoWidget*)xptr;
        default: return xptr;
      }
    case 29:   //Phonon::VideoWidgetPrivate
      switch(to) {
        case 29: return (void*)(Phonon::VideoWidgetPrivate*)xptr;
        default: return xptr;
      }
    case 30:   //Phonon::VolumeFaderEffect
      switch(to) {
        case 11: return (void*)(Phonon::Effect*)(Phonon::VolumeFaderEffect*)xptr;
        case 57: return (void*)(QObject*)(Phonon::VolumeFaderEffect*)xptr;
        case 16: return (void*)(Phonon::MediaNode*)(Phonon::VolumeFaderEffect*)xptr;
        case 30: return (void*)(Phonon::VolumeFaderEffect*)xptr;
        default: return xptr;
      }
    case 31:   //Phonon::VolumeSlider
      switch(to) {
        case 72: return (void*)(QWidget*)(Phonon::VolumeSlider*)xptr;
        case 57: return (void*)(QObject*)(Phonon::VolumeSlider*)xptr;
        case 31: return (void*)(Phonon::VolumeSlider*)xptr;
        default: return xptr;
      }
    case 32:   //QAbstractListModel
      switch(to) {
        case 57: return (void*)(QObject*)(QAbstractListModel*)xptr;
        case 32: return (void*)(QAbstractListModel*)xptr;
        default: return xptr;
      }
    case 33:   //QActionEvent
      switch(to) {
        case 33: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QBool
      switch(to) {
        case 34: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 35:   //QByteArray
      switch(to) {
        case 35: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 36:   //QChildEvent
      switch(to) {
        case 36: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 37:   //QCloseEvent
      switch(to) {
        case 37: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 38:   //QContextMenuEvent
      switch(to) {
        case 38: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 39:   //QDragEnterEvent
      switch(to) {
        case 39: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 40:   //QDragLeaveEvent
      switch(to) {
        case 40: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QDragMoveEvent
      switch(to) {
        case 41: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QDropEvent
      switch(to) {
        case 42: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 43:   //QEvent
      switch(to) {
        case 43: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QFocusEvent
      switch(to) {
        case 44: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QFont
      switch(to) {
        case 45: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 47:   //QHideEvent
      switch(to) {
        case 47: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QIODevice
      switch(to) {
        case 57: return (void*)(QObject*)(QIODevice*)xptr;
        case 48: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 49:   //QImage
      switch(to) {
        case 49: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 50:   //QInputMethodEvent
      switch(to) {
        case 50: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 51:   //QKeyEvent
      switch(to) {
        case 51: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 52:   //QMetaObject
      switch(to) {
        case 52: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 53:   //QMimeData
      switch(to) {
        case 53: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 54:   //QModelIndex
      switch(to) {
        case 54: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 55:   //QMouseEvent
      switch(to) {
        case 55: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 56:   //QMoveEvent
      switch(to) {
        case 56: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 57:   //QObject
      switch(to) {
        case 57: return (void*)(QObject*)xptr;
        case 25: return (void*)(Phonon::SeekSlider*)(QObject*)xptr;
        case 27: return (void*)(Phonon::VideoPlayer*)(QObject*)xptr;
        case 2: return (void*)(Phonon::AbstractAudioOutput*)(QObject*)xptr;
        case 8: return (void*)(Phonon::AudioDataOutput*)(QObject*)xptr;
        case 9: return (void*)(Phonon::AudioOutput*)(QObject*)xptr;
        case 11: return (void*)(Phonon::Effect*)(QObject*)xptr;
        case 30: return (void*)(Phonon::VolumeFaderEffect*)(QObject*)xptr;
        case 31: return (void*)(Phonon::VolumeSlider*)(QObject*)xptr;
        case 14: return (void*)(Phonon::EffectWidget*)(QObject*)xptr;
        case 18: return (void*)(Phonon::MediaObject*)(QObject*)xptr;
        case 15: return (void*)(Phonon::MediaController*)(QObject*)xptr;
        case 28: return (void*)(Phonon::VideoWidget*)(QObject*)xptr;
        case 4: return (void*)(Phonon::AbstractMediaStream*)(QObject*)xptr;
        default: return xptr;
      }
    case 58:   //QPaintEngine
      switch(to) {
        case 58: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 59:   //QPaintEvent
      switch(to) {
        case 59: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 60:   //QPalette
      switch(to) {
        case 60: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 61:   //QRegExp
      switch(to) {
        case 61: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 62:   //QResizeEvent
      switch(to) {
        case 62: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 63:   //QSharedData
      switch(to) {
        case 63: return (void*)(QSharedData*)xptr;
        case 21: return (void*)(Phonon::ObjectDescriptionData*)(QSharedData*)xptr;
        default: return xptr;
      }
    case 64:   //QShowEvent
      switch(to) {
        case 64: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 65:   //QSize
      switch(to) {
        case 65: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 66:   //QStyle
      switch(to) {
        case 66: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 67:   //QTabletEvent
      switch(to) {
        case 67: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 68:   //QTimerEvent
      switch(to) {
        case 68: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 69:   //QUrl
      switch(to) {
        case 69: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 70:   //QVariant
      switch(to) {
        case 70: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 71:   //QWheelEvent
      switch(to) {
        case 71: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 72:   //QWidget
      switch(to) {
        case 57: return (void*)(QObject*)(QWidget*)xptr;
        case 72: return (void*)(QWidget*)xptr;
        case 25: return (void*)(Phonon::SeekSlider*)(QWidget*)xptr;
        case 27: return (void*)(Phonon::VideoPlayer*)(QWidget*)xptr;
        case 31: return (void*)(Phonon::VolumeSlider*)(QWidget*)xptr;
        case 14: return (void*)(Phonon::EffectWidget*)(QWidget*)xptr;
        case 28: return (void*)(Phonon::VideoWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    57, 16, 0,	// 1: QObject, Phonon::MediaNode
    57, 0,	// 4: QObject
    16, 0,	// 6: Phonon::MediaNode
    2, 0,	// 8: Phonon::AbstractAudioOutput
    72, 0,	// 10: QWidget
    63, 0,	// 12: QSharedData
    72, 6, 0,	// 14: QWidget, Phonon::AbstractVideoOutput
    11, 0,	// 17: Phonon::Effect
};

// These are the xenum functions for manipulating enum pointers
void xenum_Phonon(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__EffectParameter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__VolumeFaderEffect(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__VideoWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__MediaController(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__MediaSource(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__AudioDataOutput(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Phonon(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AbstractAudioOutput(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AbstractMediaStream(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AbstractVideoOutput(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AudioDataOutput(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AudioOutput(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__Effect(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__EffectParameter(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__EffectWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__MediaController(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__MediaNode(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__MediaObject(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__MediaSource(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__ObjectDescriptionData(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__ObjectDescriptionModelData(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__Path(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__SeekSlider(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__StreamInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__VideoPlayer(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__VideoWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__VolumeFaderEffect(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__VolumeSlider(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "Phonon", false, 0, xcall_Phonon, xenum_Phonon, Smoke::cf_namespace, 0 },	//1
    { "Phonon::AbstractAudioOutput", false, 1, xcall_Phonon__AbstractAudioOutput, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::AbstractAudioOutput) },	//2
    { "Phonon::AbstractAudioOutputPrivate", true, 0, 0, 0, 0, 0 },	//3
    { "Phonon::AbstractMediaStream", false, 4, xcall_Phonon__AbstractMediaStream, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::AbstractMediaStream) },	//4
    { "Phonon::AbstractMediaStreamPrivate", true, 0, 0, 0, 0, 0 },	//5
    { "Phonon::AbstractVideoOutput", false, 6, xcall_Phonon__AbstractVideoOutput, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Phonon::AbstractVideoOutput) },	//6
    { "Phonon::AbstractVideoOutputPrivate", true, 0, 0, 0, 0, 0 },	//7
    { "Phonon::AudioDataOutput", false, 8, xcall_Phonon__AudioDataOutput, xenum_Phonon__AudioDataOutput, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::AudioDataOutput) },	//8
    { "Phonon::AudioOutput", false, 8, xcall_Phonon__AudioOutput, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::AudioOutput) },	//9
    { "Phonon::BackendCapabilities::Notifier", true, 0, 0, 0, 0, 0 },	//10
    { "Phonon::Effect", false, 1, xcall_Phonon__Effect, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::Effect) },	//11
    { "Phonon::EffectParameter", false, 0, xcall_Phonon__EffectParameter, xenum_Phonon__EffectParameter, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::EffectParameter) },	//12
    { "Phonon::EffectPrivate", true, 0, 0, 0, 0, 0 },	//13
    { "Phonon::EffectWidget", false, 10, xcall_Phonon__EffectWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::EffectWidget) },	//14
    { "Phonon::MediaController", false, 4, xcall_Phonon__MediaController, xenum_Phonon__MediaController, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::MediaController) },	//15
    { "Phonon::MediaNode", false, 0, xcall_Phonon__MediaNode, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Phonon::MediaNode) },	//16
    { "Phonon::MediaNodePrivate", true, 0, 0, 0, 0, 0 },	//17
    { "Phonon::MediaObject", false, 1, xcall_Phonon__MediaObject, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::MediaObject) },	//18
    { "Phonon::MediaSource", false, 0, xcall_Phonon__MediaSource, xenum_Phonon__MediaSource, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::MediaSource) },	//19
    { "Phonon::MediaSourcePrivate", true, 0, 0, 0, 0, 0 },	//20
    { "Phonon::ObjectDescriptionData", false, 12, xcall_Phonon__ObjectDescriptionData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::ObjectDescriptionData) },	//21
    { "Phonon::ObjectDescriptionModelData", false, 0, xcall_Phonon__ObjectDescriptionModelData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::ObjectDescriptionModelData) },	//22
    { "Phonon::ObjectDescriptionPrivate", true, 0, 0, 0, 0, 0 },	//23
    { "Phonon::Path", false, 0, xcall_Phonon__Path, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::Path) },	//24
    { "Phonon::SeekSlider", false, 10, xcall_Phonon__SeekSlider, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::SeekSlider) },	//25
    { "Phonon::StreamInterface", false, 0, xcall_Phonon__StreamInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Phonon::StreamInterface) },	//26
    { "Phonon::VideoPlayer", false, 10, xcall_Phonon__VideoPlayer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::VideoPlayer) },	//27
    { "Phonon::VideoWidget", false, 14, xcall_Phonon__VideoWidget, xenum_Phonon__VideoWidget, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::VideoWidget) },	//28
    { "Phonon::VideoWidgetPrivate", true, 0, 0, 0, 0, 0 },	//29
    { "Phonon::VolumeFaderEffect", false, 17, xcall_Phonon__VolumeFaderEffect, xenum_Phonon__VolumeFaderEffect, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::VolumeFaderEffect) },	//30
    { "Phonon::VolumeSlider", false, 10, xcall_Phonon__VolumeSlider, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::VolumeSlider) },	//31
    { "QAbstractListModel", true, 0, 0, 0, 0, 0 },	//32
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//33
    { "QBool", true, 0, 0, 0, 0, 0 },	//34
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//35
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//36
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//37
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//38
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//39
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//42
    { "QEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QFont", true, 0, 0, 0, 0, 0 },	//45
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//46
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//48
    { "QImage", true, 0, 0, 0, 0, 0 },	//49
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//50
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//51
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//52
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//53
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//54
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//55
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//56
    { "QObject", true, 0, 0, 0, 0, 0 },	//57
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//58
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//59
    { "QPalette", true, 0, 0, 0, 0, 0 },	//60
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//61
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//62
    { "QSharedData", true, 0, 0, 0, 0, 0 },	//63
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//64
    { "QSize", true, 0, 0, 0, 0, 0 },	//65
    { "QStyle", true, 0, 0, 0, 0, 0 },	//66
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//67
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//68
    { "QUrl", true, 0, 0, 0, 0, 0 },	//69
    { "QVariant", true, 0, 0, 0, 0, 0 },	//70
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//71
    { "QWidget", true, 0, 0, 0, 0, 0 },	//72
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "Phonon::AbstractAudioOutput*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "Phonon::AbstractAudioOutputPrivate&", 3, Smoke::t_class|Smoke::tf_ref },	//2
    { "Phonon::AbstractMediaStream*", 4, Smoke::t_class|Smoke::tf_ptr },	//3
    { "Phonon::AbstractMediaStreamPrivate&", 5, Smoke::t_class|Smoke::tf_ref },	//4
    { "Phonon::AbstractVideoOutput*", 6, Smoke::t_class|Smoke::tf_ptr },	//5
    { "Phonon::AbstractVideoOutputPrivate&", 7, Smoke::t_class|Smoke::tf_ref },	//6
    { "Phonon::AudioDataOutput*", 8, Smoke::t_class|Smoke::tf_ptr },	//7
    { "Phonon::AudioDataOutput::Channel", 8, Smoke::t_enum|Smoke::tf_stack },	//8
    { "Phonon::AudioOutput*", 9, Smoke::t_class|Smoke::tf_ptr },	//9
    { "Phonon::BackendCapabilities::Notifier*", 10, Smoke::t_class|Smoke::tf_ptr },	//10
    { "Phonon::Category", 1, Smoke::t_enum|Smoke::tf_stack },	//11
    { "Phonon::DiscType", 1, Smoke::t_enum|Smoke::tf_stack },	//12
    { "Phonon::Effect*", 11, Smoke::t_class|Smoke::tf_ptr },	//13
    { "Phonon::EffectParameter&", 12, Smoke::t_class|Smoke::tf_ref },	//14
    { "Phonon::EffectParameter*", 12, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Phonon::EffectParameter::Hint", 12, Smoke::t_enum|Smoke::tf_stack },	//16
    { "Phonon::EffectPrivate&", 13, Smoke::t_class|Smoke::tf_ref },	//17
    { "Phonon::EffectWidget*", 14, Smoke::t_class|Smoke::tf_ptr },	//18
    { "Phonon::ErrorType", 1, Smoke::t_enum|Smoke::tf_stack },	//19
    { "Phonon::MediaController*", 15, Smoke::t_class|Smoke::tf_ptr },	//20
    { "Phonon::MediaController::Feature", 15, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Phonon::MediaNode*", 16, Smoke::t_class|Smoke::tf_ptr },	//22
    { "Phonon::MediaNodePrivate&", 17, Smoke::t_class|Smoke::tf_ref },	//23
    { "Phonon::MediaObject*", 18, Smoke::t_class|Smoke::tf_ptr },	//24
    { "Phonon::MediaSource", 19, Smoke::t_class|Smoke::tf_stack },	//25
    { "Phonon::MediaSource&", 19, Smoke::t_class|Smoke::tf_ref },	//26
    { "Phonon::MediaSource*", 19, Smoke::t_class|Smoke::tf_ptr },	//27
    { "Phonon::MediaSource::Type", 19, Smoke::t_enum|Smoke::tf_stack },	//28
    { "Phonon::MediaSourcePrivate&", 20, Smoke::t_class|Smoke::tf_ref },	//29
    { "Phonon::MetaData", 1, Smoke::t_enum|Smoke::tf_stack },	//30
    { "Phonon::ObjectDescription<Phonon::AudioCaptureDeviceType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//31
    { "Phonon::ObjectDescription<Phonon::AudioChannelType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//32
    { "Phonon::ObjectDescription<Phonon::AudioOutputDeviceType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//33
    { "Phonon::ObjectDescription<Phonon::EffectType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//34
    { "Phonon::ObjectDescription<Phonon::SubtitleType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//35
    { "Phonon::ObjectDescription<Phonon::VideoCaptureDeviceType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//36
    { "Phonon::ObjectDescriptionData*", 21, Smoke::t_class|Smoke::tf_ptr },	//37
    { "Phonon::ObjectDescriptionModelData*", 22, Smoke::t_class|Smoke::tf_ptr },	//38
    { "Phonon::ObjectDescriptionPrivate*", 23, Smoke::t_class|Smoke::tf_ptr },	//39
    { "Phonon::ObjectDescriptionType", 1, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Phonon::Path", 24, Smoke::t_class|Smoke::tf_stack },	//41
    { "Phonon::Path&", 24, Smoke::t_class|Smoke::tf_ref },	//42
    { "Phonon::Path*", 24, Smoke::t_class|Smoke::tf_ptr },	//43
    { "Phonon::SeekSlider*", 25, Smoke::t_class|Smoke::tf_ptr },	//44
    { "Phonon::State", 1, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Phonon::StreamInterface*", 26, Smoke::t_class|Smoke::tf_ptr },	//46
    { "Phonon::VideoPlayer*", 27, Smoke::t_class|Smoke::tf_ptr },	//47
    { "Phonon::VideoWidget*", 28, Smoke::t_class|Smoke::tf_ptr },	//48
    { "Phonon::VideoWidget::AspectRatio", 28, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Phonon::VideoWidget::ScaleMode", 28, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Phonon::VideoWidgetPrivate&", 29, Smoke::t_class|Smoke::tf_ref },	//51
    { "Phonon::VolumeFaderEffect*", 30, Smoke::t_class|Smoke::tf_ptr },	//52
    { "Phonon::VolumeFaderEffect::FadeCurve", 30, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Phonon::VolumeSlider*", 31, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QAbstractListModel*", 32, Smoke::t_class|Smoke::tf_ptr },	//55
    { "QActionEvent*", 33, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QBool", 34, Smoke::t_class|Smoke::tf_stack },	//57
    { "QChildEvent*", 36, Smoke::t_class|Smoke::tf_ptr },	//58
    { "QCloseEvent*", 37, Smoke::t_class|Smoke::tf_ptr },	//59
    { "QContextMenuEvent*", 38, Smoke::t_class|Smoke::tf_ptr },	//60
    { "QDragEnterEvent*", 39, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QDragLeaveEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QDragMoveEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QDropEvent*", 42, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData>", 0, Smoke::t_voidp|Smoke::tf_stack },	//66
    { "QFlags<Phonon::EffectParameter::Hint>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<Phonon::MediaController::Feature>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFocusEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//71
    { "QHideEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QIODevice*", 48, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QImage", 49, Smoke::t_class|Smoke::tf_stack },	//74
    { "QInputMethodEvent*", 50, Smoke::t_class|Smoke::tf_ptr },	//75
    { "QKeyEvent*", 51, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QList<Phonon::AudioCaptureDevice>", 0, Smoke::t_voidp|Smoke::tf_stack },	//77
    { "QList<Phonon::AudioOutputDevice>", 0, Smoke::t_voidp|Smoke::tf_stack },	//78
    { "QList<Phonon::Effect*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//79
    { "QList<Phonon::EffectDescription>", 0, Smoke::t_voidp|Smoke::tf_stack },	//80
    { "QList<Phonon::EffectParameter>", 0, Smoke::t_voidp|Smoke::tf_stack },	//81
    { "QList<Phonon::MediaSource>", 0, Smoke::t_voidp|Smoke::tf_stack },	//82
    { "QList<Phonon::ObjectDescription<Phonon::AudioChannelType> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//83
    { "QList<Phonon::ObjectDescription<Phonon::SubtitleType> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//84
    { "QList<Phonon::Path>", 0, Smoke::t_voidp|Smoke::tf_stack },	//85
    { "QList<Phonon::VideoCaptureDevice>", 0, Smoke::t_voidp|Smoke::tf_stack },	//86
    { "QList<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//87
    { "QList<QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//88
    { "QList<QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//89
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//90
    { "QMetaObject::Call", 52, Smoke::t_enum|Smoke::tf_stack },	//91
    { "QMimeData*", 53, Smoke::t_class|Smoke::tf_ptr },	//92
    { "QMouseEvent*", 55, Smoke::t_class|Smoke::tf_ptr },	//93
    { "QMoveEvent*", 56, Smoke::t_class|Smoke::tf_ptr },	//94
    { "QMultiMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//95
    { "QObject*", 57, Smoke::t_class|Smoke::tf_ptr },	//96
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QPaintEngine*", 58, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QPaintEvent*", 59, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QRegExp&", 61, Smoke::t_class|Smoke::tf_ref },	//100
    { "QResizeEvent*", 62, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QShowEvent*", 64, Smoke::t_class|Smoke::tf_ptr },	//102
    { "QSize", 65, Smoke::t_class|Smoke::tf_stack },	//103
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//104
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//105
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//106
    { "QStyle&", 66, Smoke::t_class|Smoke::tf_ref },	//107
    { "QTabletEvent*", 67, Smoke::t_class|Smoke::tf_ptr },	//108
    { "QTimerEvent*", 68, Smoke::t_class|Smoke::tf_ptr },	//109
    { "QUrl", 69, Smoke::t_class|Smoke::tf_stack },	//110
    { "QVariant", 70, Smoke::t_class|Smoke::tf_stack },	//111
    { "QVariant::Type", 70, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QWheelEvent*", 71, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QWidget*", 72, Smoke::t_class|Smoke::tf_ptr },	//114
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "QtMsgType", 46, Smoke::t_enum|Smoke::tf_stack },	//186
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//187
    { "__codecvt_result", 46, Smoke::t_enum|Smoke::tf_stack },	//188
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//189
    { "const Phonon::AbstractVideoOutput&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//190
    { "const Phonon::AudioOutputDevice&", 0, Smoke::t_voidp|Smoke::tf_stack },	//191
    { "const Phonon::EffectParameter&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//192
    { "const Phonon::MediaNode&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//193
    { "const Phonon::MediaSource&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//194
    { "const Phonon::ObjectDescription<Phonon::AudioCaptureDeviceType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//195
    { "const Phonon::ObjectDescription<Phonon::AudioChannelType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//196
    { "const Phonon::ObjectDescription<Phonon::EffectType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//197
    { "const Phonon::ObjectDescription<Phonon::SubtitleType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//198
    { "const Phonon::ObjectDescription<Phonon::VideoCaptureDeviceType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//199
    { "const Phonon::ObjectDescriptionData&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//200
    { "const Phonon::ObjectDescriptionModelData&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//201
    { "const Phonon::Path&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//202
    { "const Phonon::StreamInterface&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//203
    { "const QByteArray&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//204
    { "const QFont&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//205
    { "const QHash<QByteArray,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//206
    { "const QList<Phonon::MediaSource>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//207
    { "const QList<QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//208
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//209
    { "const QList<QPair<QByteArray,QString> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//210
    { "const QList<QUrl>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//211
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//212
    { "const QMap<Phonon::AudioDataOutput::Channel,QVector<qint16> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//213
    { "const QMetaObject&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//214
    { "const QMetaObject*", 52, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//215
    { "const QMimeData*", 53, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//216
    { "const QModelIndex&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//217
    { "const QPair<QByteArray,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//218
    { "const QPalette&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//219
    { "const QRegExp&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//220
    { "const QSize&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//221
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//222
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//223
    { "const QUrl&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//224
    { "const QVariant&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//225
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//226
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//227
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//228
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//229
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//230
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//231
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//232
    { "qint32", 0, Smoke::t_int|Smoke::tf_stack },	//233
    { "qint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//234
    { "qreal", 0, Smoke::t_double|Smoke::tf_stack },	//235
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//236
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//237
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//238
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//239
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    11, 0,	//1  Phonon::Category
    192, 0,	//3  const Phonon::EffectParameter&
    11, 194, 0,	//5  Phonon::Category, const Phonon::MediaSource&
    22, 22, 0,	//8  Phonon::MediaNode*, Phonon::MediaNode*
    226, 0,	//11  const char*
    226, 226, 0,	//13  const char*, const char*
    226, 226, 230, 0,	//16  const char*, const char*, int
    91, 230, 238, 0,	//20  QMetaObject::Call, int, void**
    2, 96, 0,	//24  Phonon::AbstractAudioOutputPrivate&, QObject*
    96, 0,	//27  QObject*
    232, 0,	//29  long long
    189, 0,	//31  bool
    204, 0,	//33  const QByteArray&
    19, 222, 0,	//35  Phonon::ErrorType, const QString&
    4, 96, 0,	//38  Phonon::AbstractMediaStreamPrivate&, QObject*
    6, 0,	//41  Phonon::AbstractVideoOutputPrivate&
    190, 0,	//43  const Phonon::AbstractVideoOutput&
    230, 0,	//45  int
    213, 0,	//47  const QMap<Phonon::AudioDataOutput::Channel,QVector<qint16> >&
    11, 96, 0,	//49  Phonon::Category, QObject*
    222, 0,	//52  const QString&
    235, 0,	//54  qreal
    191, 0,	//56  const Phonon::AudioOutputDevice&
    197, 96, 0,	//58  const Phonon::ObjectDescription<Phonon::EffectType>&, QObject*
    192, 225, 0,	//61  const Phonon::EffectParameter&, const QVariant&
    17, 96, 0,	//64  Phonon::EffectPrivate&, QObject*
    197, 0,	//67  const Phonon::ObjectDescription<Phonon::EffectType>&
    230, 222, 67, 225, 225, 225, 212, 222, 0,	//69  int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&, const QList<QVariant>&, const QString&
    230, 222, 67, 225, 0,	//78  int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&
    230, 222, 67, 225, 225, 0,	//83  int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&
    230, 222, 67, 225, 225, 225, 0,	//89  int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&
    230, 222, 67, 225, 225, 225, 212, 0,	//96  int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&, const QList<QVariant>&
    13, 114, 0,	//104  Phonon::Effect*, QWidget*
    13, 0,	//107  Phonon::Effect*
    24, 0,	//109  Phonon::MediaObject*
    196, 0,	//111  const Phonon::ObjectDescription<Phonon::AudioChannelType>&
    198, 0,	//113  const Phonon::ObjectDescription<Phonon::SubtitleType>&
    23, 0,	//115  Phonon::MediaNodePrivate&
    193, 0,	//117  const Phonon::MediaNode&
    30, 0,	//119  Phonon::MetaData
    194, 0,	//121  const Phonon::MediaSource&
    207, 0,	//123  const QList<Phonon::MediaSource>&
    211, 0,	//125  const QList<QUrl>&
    233, 0,	//127  qint32
    234, 0,	//129  qint64
    45, 45, 0,	//131  Phonon::State, Phonon::State
    224, 0,	//134  const QUrl&
    12, 222, 0,	//136  Phonon::DiscType, const QString&
    195, 0,	//139  const Phonon::ObjectDescription<Phonon::AudioCaptureDeviceType>&
    199, 0,	//141  const Phonon::ObjectDescription<Phonon::VideoCaptureDeviceType>&
    3, 0,	//143  Phonon::AbstractMediaStream*
    73, 0,	//145  QIODevice*
    29, 0,	//147  Phonon::MediaSourcePrivate&
    218, 0,	//149  const QPair<QByteArray,QString>&
    12, 0,	//151  Phonon::DiscType
    200, 0,	//153  const Phonon::ObjectDescriptionData&
    40, 230, 0,	//155  Phonon::ObjectDescriptionType, int
    39, 0,	//158  Phonon::ObjectDescriptionPrivate*
    230, 206, 0,	//160  int, const QHash<QByteArray,QVariant>&
    217, 0,	//163  const QModelIndex&
    217, 230, 0,	//165  const QModelIndex&, int
    40, 209, 0,	//168  Phonon::ObjectDescriptionType, const QList<QModelIndex>&
    208, 0,	//171  const QList<QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData> >&
    40, 216, 136, 230, 230, 217, 0,	//173  Phonon::ObjectDescriptionType, const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    230, 230, 217, 0,	//180  int, int, const QModelIndex&
    40, 0,	//184  Phonon::ObjectDescriptionType
    55, 0,	//186  QAbstractListModel*
    201, 0,	//188  const Phonon::ObjectDescriptionModelData&
    230, 230, 0,	//190  int, int
    202, 0,	//193  const Phonon::Path&
    197, 13, 0,	//195  const Phonon::ObjectDescription<Phonon::EffectType>&, Phonon::Effect*
    13, 13, 0,	//198  Phonon::Effect*, Phonon::Effect*
    114, 0,	//201  QWidget*
    24, 114, 0,	//203  Phonon::MediaObject*, QWidget*
    160, 0,	//206  Qt::Orientation
    221, 0,	//208  const QSize&
    203, 0,	//210  const Phonon::StreamInterface&
    11, 114, 0,	//212  Phonon::Category, QWidget*
    229, 0,	//215  float
    65, 0,	//217  QEvent*
    49, 0,	//219  Phonon::VideoWidget::AspectRatio
    50, 0,	//221  Phonon::VideoWidget::ScaleMode
    51, 114, 0,	//223  Phonon::VideoWidgetPrivate&, QWidget*
    93, 0,	//226  QMouseEvent*
    228, 0,	//228  double
    53, 0,	//230  Phonon::VolumeFaderEffect::FadeCurve
    229, 230, 0,	//232  float, int
    9, 114, 0,	//235  Phonon::AudioOutput*, QWidget*
    9, 0,	//238  Phonon::AudioOutput*
    96, 65, 0,	//240  QObject*, QEvent*
    109, 0,	//243  QTimerEvent*
    58, 0,	//245  QChildEvent*
    113, 0,	//247  QWheelEvent*
    76, 0,	//249  QKeyEvent*
    71, 0,	//251  QFocusEvent*
    99, 0,	//253  QPaintEvent*
    94, 0,	//255  QMoveEvent*
    101, 0,	//257  QResizeEvent*
    59, 0,	//259  QCloseEvent*
    60, 0,	//261  QContextMenuEvent*
    108, 0,	//263  QTabletEvent*
    56, 0,	//265  QActionEvent*
    61, 0,	//267  QDragEnterEvent*
    63, 0,	//269  QDragMoveEvent*
    62, 0,	//271  QDragLeaveEvent*
    64, 0,	//273  QDropEvent*
    102, 0,	//275  QShowEvent*
    72, 0,	//277  QHideEvent*
    187, 0,	//279  _XEvent*
    97, 0,	//281  QPaintDevice::PaintDeviceMetric
    75, 0,	//283  QInputMethodEvent*
    148, 0,	//285  Qt::InputMethodQuery
    107, 0,	//287  QStyle&
    219, 0,	//289  const QPalette&
    205, 0,	//291  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AbstractAudioOutput",	//1
    "AbstractAudioOutput##",	//2
    "AbstractMediaStream",	//3
    "AbstractMediaStream#",	//4
    "AbstractMediaStream##",	//5
    "AbstractVideoOutput",	//6
    "AbstractVideoOutput#",	//7
    "AccessibilityCategory",	//8
    "AlbumMetaData",	//9
    "Angles",	//10
    "ArtistMetaData",	//11
    "AspectRatio16_9",	//12
    "AspectRatio4_3",	//13
    "AspectRatioAuto",	//14
    "AspectRatioWidget",	//15
    "AudioCaptureDeviceType",	//16
    "AudioChannelType",	//17
    "AudioDataOutput",	//18
    "AudioDataOutput#",	//19
    "AudioOutput",	//20
    "AudioOutput#",	//21
    "AudioOutput$",	//22
    "AudioOutput$#",	//23
    "AudioOutputDeviceType",	//24
    "BufferingState",	//25
    "CaptureDevice",	//26
    "Cd",	//27
    "CenterChannel",	//28
    "Chapters",	//29
    "CommunicationCategory",	//30
    "DateMetaData",	//31
    "DescriptionMetaData",	//32
    "Disc",	//33
    "DrawChildren",	//34
    "DrawWindowBackground",	//35
    "Dvd",	//36
    "Effect",	//37
    "Effect##",	//38
    "Effect?",	//39
    "Effect?#",	//40
    "EffectParameter",	//41
    "EffectParameter#",	//42
    "EffectParameter$$$#",	//43
    "EffectParameter$$$##",	//44
    "EffectParameter$$$###",	//45
    "EffectParameter$$$###?",	//46
    "EffectParameter$$$###?$",	//47
    "EffectType",	//48
    "EffectWidget",	//49
    "EffectWidget#",	//50
    "EffectWidget##",	//51
    "Empty",	//52
    "ErrorState",	//53
    "Fade12Decibel",	//54
    "Fade3Decibel",	//55
    "Fade6Decibel",	//56
    "Fade9Decibel",	//57
    "FatalError",	//58
    "FitInView",	//59
    "GameCategory",	//60
    "GenreMetaData",	//61
    "IgnoreMask",	//62
    "IntegerHint",	//63
    "Invalid",	//64
    "LastCategory",	//65
    "LeftChannel",	//66
    "LeftSurroundChannel",	//67
    "LoadingState",	//68
    "LocalFile",	//69
    "LogarithmicHint",	//70
    "MediaController",	//71
    "MediaController#",	//72
    "MediaNode",	//73
    "MediaNode#",	//74
    "MediaObject",	//75
    "MediaObject#",	//76
    "MediaSource",	//77
    "MediaSource#",	//78
    "MediaSource$",	//79
    "MediaSource$$",	//80
    "MediaSource?",	//81
    "MusicBrainzDiscIdMetaData",	//82
    "MusicCategory",	//83
    "NoCategory",	//84
    "NoDisc",	//85
    "NoError",	//86
    "NormalError",	//87
    "NotificationCategory",	//88
    "ObjectDescriptionData",	//89
    "ObjectDescriptionData#",	//90
    "ObjectDescriptionData$?",	//91
    "ObjectDescriptionModelData",	//92
    "ObjectDescriptionModelData#",	//93
    "Path",	//94
    "Path#",	//95
    "PausedState",	//96
    "PlayingState",	//97
    "Q_COMPLEX_TYPE",	//98
    "Q_DUMMY_TYPE",	//99
    "Q_MOVABLE_TYPE",	//100
    "Q_PRIMITIVE_TYPE",	//101
    "Q_STATIC_TYPE",	//102
    "QtCriticalMsg",	//103
    "QtDebugMsg",	//104
    "QtFatalMsg",	//105
    "QtSystemMsg",	//106
    "QtWarningMsg",	//107
    "RightChannel",	//108
    "RightSurroundChannel",	//109
    "ScaleAndCrop",	//110
    "SeekSlider",	//111
    "SeekSlider#",	//112
    "SeekSlider##",	//113
    "StoppedState",	//114
    "Stream",	//115
    "StreamInterface",	//116
    "StreamInterface#",	//117
    "SubtitleType",	//118
    "SubwooferChannel",	//119
    "TitleMetaData",	//120
    "Titles",	//121
    "ToggledHint",	//122
    "TracknumberMetaData",	//123
    "Url",	//124
    "Vcd",	//125
    "VideoCaptureDeviceType",	//126
    "VideoCategory",	//127
    "VideoPlayer",	//128
    "VideoPlayer#",	//129
    "VideoPlayer$",	//130
    "VideoPlayer$#",	//131
    "VideoWidget",	//132
    "VideoWidget#",	//133
    "VideoWidget##",	//134
    "VolumeFaderEffect",	//135
    "VolumeFaderEffect#",	//136
    "VolumeSlider",	//137
    "VolumeSlider#",	//138
    "VolumeSlider##",	//139
    "__codecvt_error",	//140
    "__codecvt_noconv",	//141
    "__codecvt_ok",	//142
    "__codecvt_partial",	//143
    "aboutToFinish",	//144
    "actionEvent",	//145
    "angleChanged",	//146
    "angleChanged$",	//147
    "aspectRatio",	//148
    "audioCaptureDevice",	//149
    "audioOutput",	//150
    "autoDelete",	//151
    "autoplayTitles",	//152
    "availableAngles",	//153
    "availableAnglesChanged",	//154
    "availableAnglesChanged$",	//155
    "availableAudioChannels",	//156
    "availableAudioChannelsChanged",	//157
    "availableChapters",	//158
    "availableChaptersChanged",	//159
    "availableChaptersChanged$",	//160
    "availableSubtitles",	//161
    "availableSubtitlesChanged",	//162
    "availableTitles",	//163
    "availableTitlesChanged",	//164
    "availableTitlesChanged$",	//165
    "brightness",	//166
    "bufferStatus",	//167
    "bufferStatus$",	//168
    "category",	//169
    "categoryToString",	//170
    "categoryToString$",	//171
    "changeEvent",	//172
    "chapterChanged",	//173
    "chapterChanged$",	//174
    "childEvent",	//175
    "clear",	//176
    "clearQueue",	//177
    "closeEvent",	//178
    "connectNotify",	//179
    "connectToSource",	//180
    "connectToSource#",	//181
    "contextMenuEvent",	//182
    "contrast",	//183
    "createPath",	//184
    "createPath##",	//185
    "createPlayer",	//186
    "createPlayer$",	//187
    "createPlayer$#",	//188
    "currentAngle",	//189
    "currentAudioChannel",	//190
    "currentChapter",	//191
    "currentSource",	//192
    "currentSourceChanged",	//193
    "currentSourceChanged#",	//194
    "currentSubtitle",	//195
    "currentTime",	//196
    "currentTitle",	//197
    "customEvent",	//198
    "data",	//199
    "data#",	//200
    "data#$",	//201
    "dataReady",	//202
    "dataReady?",	//203
    "dataSize",	//204
    "defaultValue",	//205
    "description",	//206
    "devType",	//207
    "deviceAccessList",	//208
    "deviceName",	//209
    "discType",	//210
    "disconnect",	//211
    "disconnectNotify",	//212
    "dragEnterEvent",	//213
    "dragLeaveEvent",	//214
    "dragMoveEvent",	//215
    "dropEvent",	//216
    "dropMimeData",	//217
    "dropMimeData$#$$$#",	//218
    "effects",	//219
    "enabledChange",	//220
    "endOfData",	//221
    "endOfMedia",	//222
    "endOfMedia$",	//223
    "enoughData",	//224
    "enqueue",	//225
    "enqueue#",	//226
    "enqueue?",	//227
    "enterEvent",	//228
    "enterFullScreen",	//229
    "error",	//230
    "error$$",	//231
    "errorString",	//232
    "errorType",	//233
    "event",	//234
    "event#",	//235
    "eventFilter",	//236
    "exitFullScreen",	//237
    "fadeCurve",	//238
    "fadeIn",	//239
    "fadeIn$",	//240
    "fadeOut",	//241
    "fadeOut$",	//242
    "fadeTo",	//243
    "fadeTo$$",	//244
    "fileName",	//245
    "finished",	//246
    "flags",	//247
    "flags#",	//248
    "focusInEvent",	//249
    "focusNextPrevChild",	//250
    "focusOutEvent",	//251
    "fontChange",	//252
    "fromIndex",	//253
    "fromIndex$$",	//254
    "hasTracking",	//255
    "hasVideo",	//256
    "hasVideoChanged",	//257
    "hasVideoChanged$",	//258
    "heightForWidth",	//259
    "hideEvent",	//260
    "hue",	//261
    "iconSize",	//262
    "id",	//263
    "index",	//264
    "inputMethodEvent",	//265
    "inputMethodQuery",	//266
    "inputPaths",	//267
    "insertEffect",	//268
    "insertEffect#",	//269
    "insertEffect##",	//270
    "insertEffect?",	//271
    "insertEffect?#",	//272
    "isIconVisible",	//273
    "isLogarithmicControl",	//274
    "isMuteVisible",	//275
    "isMuted",	//276
    "isPaused",	//277
    "isPlaying",	//278
    "isSeekable",	//279
    "isValid",	//280
    "keyPressEvent",	//281
    "keyReleaseEvent",	//282
    "languageChange",	//283
    "leaveEvent",	//284
    "load",	//285
    "load#",	//286
    "maximumValue",	//287
    "maximumVolume",	//288
    "mediaObject",	//289
    "metaData",	//290
    "metaData$",	//291
    "metaDataChanged",	//292
    "metaObject",	//293
    "metric",	//294
    "mimeData",	//295
    "mimeData$?",	//296
    "mimeTypes",	//297
    "mimeTypes$",	//298
    "minimumSizeHint",	//299
    "minimumValue",	//300
    "modelData",	//301
    "modelData#",	//302
    "mouseDoubleClickEvent",	//303
    "mouseMoveEvent",	//304
    "mouseMoveEvent#",	//305
    "mousePressEvent",	//306
    "mouseReleaseEvent",	//307
    "moveDown",	//308
    "moveDown#",	//309
    "moveEvent",	//310
    "moveUp",	//311
    "moveUp#",	//312
    "mutedChanged",	//313
    "mutedChanged$",	//314
    "name",	//315
    "needData",	//316
    "nextTitle",	//317
    "operator!=",	//318
    "operator!=#",	//319
    "operator<",	//320
    "operator<#",	//321
    "operator=",	//322
    "operator=#",	//323
    "operator==",	//324
    "operator==#",	//325
    "operator>",	//326
    "operator>#",	//327
    "orientation",	//328
    "outputDevice",	//329
    "outputDeviceChanged",	//330
    "outputDeviceChanged?",	//331
    "outputPaths",	//332
    "pageStep",	//333
    "paintEngine",	//334
    "paintEvent",	//335
    "paletteChange",	//336
    "parameterValue",	//337
    "parameterValue#",	//338
    "parameters",	//339
    "pause",	//340
    "phononVersion",	//341
    "play",	//342
    "play#",	//343
    "possibleValues",	//344
    "prefinishMark",	//345
    "prefinishMarkReached",	//346
    "prefinishMarkReached$",	//347
    "previousTitle",	//348
    "property",	//349
    "property$",	//350
    "propertyNames",	//351
    "qHash",	//352
    "qHash#",	//353
    "qt_metacall",	//354
    "qt_metacall$$?",	//355
    "qt_metacast",	//356
    "qt_metacast$",	//357
    "queue",	//358
    "reconnect",	//359
    "reconnect##",	//360
    "registerMetaTypes",	//361
    "remainingTime",	//362
    "removeEffect",	//363
    "removeEffect#",	//364
    "removeRows",	//365
    "removeRows$$",	//366
    "removeRows$$#",	//367
    "reset",	//368
    "resizeEvent",	//369
    "rowCount",	//370
    "rowCount#",	//371
    "sampleRate",	//372
    "saturation",	//373
    "scaleMode",	//374
    "seek",	//375
    "seek$",	//376
    "seekStream",	//377
    "seekStream$",	//378
    "seekableChanged",	//379
    "seekableChanged$",	//380
    "setAspectRatio",	//381
    "setAspectRatio$",	//382
    "setAudioOutput",	//383
    "setAudioOutput#",	//384
    "setAutoDelete",	//385
    "setAutoDelete$",	//386
    "setAutoplayTitles",	//387
    "setAutoplayTitles$",	//388
    "setBrightness",	//389
    "setBrightness$",	//390
    "setContrast",	//391
    "setContrast$",	//392
    "setCurrentAngle",	//393
    "setCurrentAngle$",	//394
    "setCurrentAudioChannel",	//395
    "setCurrentAudioChannel?",	//396
    "setCurrentChapter",	//397
    "setCurrentChapter$",	//398
    "setCurrentSource",	//399
    "setCurrentSource#",	//400
    "setCurrentSubtitle",	//401
    "setCurrentSubtitle?",	//402
    "setCurrentTitle",	//403
    "setCurrentTitle$",	//404
    "setDataSize",	//405
    "setDataSize$",	//406
    "setFadeCurve",	//407
    "setFadeCurve$",	//408
    "setFullScreen",	//409
    "setFullScreen$",	//410
    "setHue",	//411
    "setHue$",	//412
    "setIconSize",	//413
    "setIconSize#",	//414
    "setIconVisible",	//415
    "setIconVisible$",	//416
    "setMaximumVolume",	//417
    "setMaximumVolume$",	//418
    "setMediaObject",	//419
    "setMediaObject#",	//420
    "setModelData",	//421
    "setModelData?",	//422
    "setMuteVisible",	//423
    "setMuteVisible$",	//424
    "setMuted",	//425
    "setMuted$",	//426
    "setName",	//427
    "setName$",	//428
    "setOrientation",	//429
    "setOrientation$",	//430
    "setOutputDevice",	//431
    "setOutputDevice?",	//432
    "setPageStep",	//433
    "setPageStep$",	//434
    "setParameterValue",	//435
    "setParameterValue##",	//436
    "setPrefinishMark",	//437
    "setPrefinishMark$",	//438
    "setQueue",	//439
    "setQueue?",	//440
    "setSaturation",	//441
    "setSaturation$",	//442
    "setScaleMode",	//443
    "setScaleMode$",	//444
    "setSingleStep",	//445
    "setSingleStep$",	//446
    "setStreamSeekable",	//447
    "setStreamSeekable$",	//448
    "setStreamSize",	//449
    "setStreamSize$",	//450
    "setTickInterval",	//451
    "setTickInterval$",	//452
    "setTracking",	//453
    "setTracking$",	//454
    "setTransitionTime",	//455
    "setTransitionTime$",	//456
    "setVisible",	//457
    "setVolume",	//458
    "setVolume$",	//459
    "setVolumeDecibel",	//460
    "setVolumeDecibel$",	//461
    "showEvent",	//462
    "singleStep",	//463
    "sink",	//464
    "sizeHint",	//465
    "snapshot",	//466
    "source",	//467
    "state",	//468
    "stateChanged",	//469
    "stateChanged$$",	//470
    "staticMetaObject",	//471
    "stop",	//472
    "stream",	//473
    "streamSeekable",	//474
    "streamSize",	//475
    "styleChange",	//476
    "supportedDropActions",	//477
    "supportedFeatures",	//478
    "tabletEvent",	//479
    "tick",	//480
    "tick$",	//481
    "tickInterval",	//482
    "timerEvent",	//483
    "titleChanged",	//484
    "titleChanged$",	//485
    "totalTime",	//486
    "totalTimeChanged",	//487
    "totalTimeChanged$",	//488
    "tr",	//489
    "tr$",	//490
    "tr$$",	//491
    "tr$$$",	//492
    "trUtf8",	//493
    "trUtf8$",	//494
    "trUtf8$$",	//495
    "trUtf8$$$",	//496
    "transitionTime",	//497
    "tupleIndexAtPositionIndex",	//498
    "tupleIndexAtPositionIndex$",	//499
    "tupleIndexOrder",	//500
    "type",	//501
    "url",	//502
    "videoCaptureDevice",	//503
    "videoWidget",	//504
    "volume",	//505
    "volumeChanged",	//506
    "volumeChanged$",	//507
    "volumeDecibel",	//508
    "wheelEvent",	//509
    "windowActivationChange",	//510
    "writeData",	//511
    "writeData#",	//512
    "x11Event",	//513
    "~AbstractAudioOutput",	//514
    "~AbstractMediaStream",	//515
    "~AbstractVideoOutput",	//516
    "~AudioDataOutput",	//517
    "~AudioOutput",	//518
    "~Effect",	//519
    "~EffectParameter",	//520
    "~EffectWidget",	//521
    "~MediaController",	//522
    "~MediaNode",	//523
    "~MediaObject",	//524
    "~MediaSource",	//525
    "~ObjectDescriptionData",	//526
    "~ObjectDescriptionModelData",	//527
    "~Path",	//528
    "~SeekSlider",	//529
    "~StreamInterface",	//530
    "~VideoPlayer",	//531
    "~VideoWidget",	//532
    "~VolumeFaderEffect",	//533
    "~VolumeSlider",	//534
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 170, 1, 1, Smoke::mf_static, 104, 1},	//1 Phonon::categoryToString(Phonon::Category)
    {1, 361, 0, 0, Smoke::mf_static, 0, 2},	//2 Phonon::registerMetaTypes()
    {1, 352, 3, 1, Smoke::mf_static, 236, 3},	//3 Phonon::qHash(const Phonon::EffectParameter&)
    {1, 186, 5, 2, Smoke::mf_static, 24, 4},	//4 Phonon::createPlayer(Phonon::Category, const Phonon::MediaSource&)
    {1, 186, 1, 1, Smoke::mf_static, 24, 5},	//5 Phonon::createPlayer(Phonon::Category)
    {1, 341, 0, 0, Smoke::mf_static, 226, 6},	//6 Phonon::phononVersion()
    {1, 184, 8, 2, Smoke::mf_static, 41, 7},	//7 Phonon::createPath(Phonon::MediaNode*, Phonon::MediaNode*)
    {1, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 8},	//8 Phonon::ArtistMetaData (enum)
    {1, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 9},	//9 Phonon::AlbumMetaData (enum)
    {1, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 10},	//10 Phonon::TitleMetaData (enum)
    {1, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 11},	//11 Phonon::DateMetaData (enum)
    {1, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 12},	//12 Phonon::GenreMetaData (enum)
    {1, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 13},	//13 Phonon::TracknumberMetaData (enum)
    {1, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 14},	//14 Phonon::DescriptionMetaData (enum)
    {1, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 15},	//15 Phonon::MusicBrainzDiscIdMetaData (enum)
    {1, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 16},	//16 Phonon::AudioOutputDeviceType (enum)
    {1, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 17},	//17 Phonon::EffectType (enum)
    {1, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 18},	//18 Phonon::AudioChannelType (enum)
    {1, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 19},	//19 Phonon::SubtitleType (enum)
    {1, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 20},	//20 Phonon::AudioCaptureDeviceType (enum)
    {1, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 21},	//21 Phonon::VideoCaptureDeviceType (enum)
    {1, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 22},	//22 Phonon::NoDisc (enum)
    {1, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 23},	//23 Phonon::Cd (enum)
    {1, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 24},	//24 Phonon::Dvd (enum)
    {1, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 25},	//25 Phonon::Vcd (enum)
    {1, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 26},	//26 Phonon::NoError (enum)
    {1, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 27},	//27 Phonon::NormalError (enum)
    {1, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 28},	//28 Phonon::FatalError (enum)
    {1, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 29},	//29 Phonon::NoCategory (enum)
    {1, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 30},	//30 Phonon::NotificationCategory (enum)
    {1, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 31},	//31 Phonon::MusicCategory (enum)
    {1, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 32},	//32 Phonon::VideoCategory (enum)
    {1, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 33},	//33 Phonon::CommunicationCategory (enum)
    {1, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 34},	//34 Phonon::GameCategory (enum)
    {1, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 35},	//35 Phonon::AccessibilityCategory (enum)
    {1, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 36},	//36 Phonon::LastCategory (enum)
    {1, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 37},	//37 Phonon::LoadingState (enum)
    {1, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 38},	//38 Phonon::StoppedState (enum)
    {1, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 39},	//39 Phonon::PlayingState (enum)
    {1, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 40},	//40 Phonon::BufferingState (enum)
    {1, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 41},	//41 Phonon::PausedState (enum)
    {1, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 42},	//42 Phonon::ErrorState (enum)
    {2, 293, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 1},	//43 Phonon::AbstractAudioOutput::metaObject() const
    {2, 356, 11, 1, Smoke::mf_virtual, 237, 2},	//44 Phonon::AbstractAudioOutput::qt_metacast(const char*)
    {2, 489, 13, 2, Smoke::mf_static, 104, 3},	//45 Phonon::AbstractAudioOutput::tr(const char*, const char*)
    {2, 493, 13, 2, Smoke::mf_static, 104, 4},	//46 Phonon::AbstractAudioOutput::trUtf8(const char*, const char*)
    {2, 489, 16, 3, Smoke::mf_static, 104, 5},	//47 Phonon::AbstractAudioOutput::tr(const char*, const char*, int)
    {2, 493, 16, 3, Smoke::mf_static, 104, 6},	//48 Phonon::AbstractAudioOutput::trUtf8(const char*, const char*, int)
    {2, 354, 20, 3, Smoke::mf_virtual, 230, 7},	//49 Phonon::AbstractAudioOutput::qt_metacall(QMetaObject::Call, int, void**)
    {2, 1, 24, 2, Smoke::mf_ctor|Smoke::mf_protected, 1, 8},	//50 Phonon::AbstractAudioOutput::AbstractAudioOutput(Phonon::AbstractAudioOutputPrivate&, QObject*)
    {2, 489, 11, 1, Smoke::mf_static, 104, 9},	//51 Phonon::AbstractAudioOutput::tr(const char*)
    {2, 493, 11, 1, Smoke::mf_static, 104, 10},	//52 Phonon::AbstractAudioOutput::trUtf8(const char*)
    {2, 471, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 214, 11},	//53 Phonon::AbstractAudioOutput::staticMetaObject() const
    {2, 514, 0, 0, Smoke::mf_dtor, 0, 12 },	//54 Phonon::AbstractAudioOutput::~AbstractAudioOutput()
    {4, 293, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 1},	//55 Phonon::AbstractMediaStream::metaObject() const
    {4, 356, 11, 1, Smoke::mf_virtual, 237, 2},	//56 Phonon::AbstractMediaStream::qt_metacast(const char*)
    {4, 489, 13, 2, Smoke::mf_static, 104, 3},	//57 Phonon::AbstractMediaStream::tr(const char*, const char*)
    {4, 493, 13, 2, Smoke::mf_static, 104, 4},	//58 Phonon::AbstractMediaStream::trUtf8(const char*, const char*)
    {4, 489, 16, 3, Smoke::mf_static, 104, 5},	//59 Phonon::AbstractMediaStream::tr(const char*, const char*, int)
    {4, 493, 16, 3, Smoke::mf_static, 104, 6},	//60 Phonon::AbstractMediaStream::trUtf8(const char*, const char*, int)
    {4, 354, 20, 3, Smoke::mf_virtual, 230, 7},	//61 Phonon::AbstractMediaStream::qt_metacall(QMetaObject::Call, int, void**)
    {4, 3, 27, 1, Smoke::mf_ctor|Smoke::mf_protected, 3, 8},	//62 Phonon::AbstractMediaStream::AbstractMediaStream(QObject*)
    {4, 475, 0, 0, Smoke::mf_const|Smoke::mf_protected, 232, 9},	//63 Phonon::AbstractMediaStream::streamSize() const
    {4, 449, 29, 1, Smoke::mf_protected, 0, 10},	//64 Phonon::AbstractMediaStream::setStreamSize(long long)
    {4, 474, 0, 0, Smoke::mf_const|Smoke::mf_protected, 189, 11},	//65 Phonon::AbstractMediaStream::streamSeekable() const
    {4, 447, 31, 1, Smoke::mf_protected, 0, 12},	//66 Phonon::AbstractMediaStream::setStreamSeekable(bool)
    {4, 511, 33, 1, Smoke::mf_protected, 0, 13},	//67 Phonon::AbstractMediaStream::writeData(const QByteArray&)
    {4, 221, 0, 0, Smoke::mf_protected, 0, 14},	//68 Phonon::AbstractMediaStream::endOfData()
    {4, 230, 35, 2, Smoke::mf_protected, 0, 15},	//69 Phonon::AbstractMediaStream::error(Phonon::ErrorType, const QString&)
    {4, 368, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 16},	//70 Phonon::AbstractMediaStream::reset() [pure virtual]
    {4, 316, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//71 Phonon::AbstractMediaStream::needData() [pure virtual]
    {4, 224, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//72 Phonon::AbstractMediaStream::enoughData()
    {4, 377, 29, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//73 Phonon::AbstractMediaStream::seekStream(long long)
    {4, 3, 38, 2, Smoke::mf_ctor|Smoke::mf_protected, 3, 20},	//74 Phonon::AbstractMediaStream::AbstractMediaStream(Phonon::AbstractMediaStreamPrivate&, QObject*)
    {4, 489, 11, 1, Smoke::mf_static, 104, 21},	//75 Phonon::AbstractMediaStream::tr(const char*)
    {4, 493, 11, 1, Smoke::mf_static, 104, 22},	//76 Phonon::AbstractMediaStream::trUtf8(const char*)
    {4, 3, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 3, 23},	//77 Phonon::AbstractMediaStream::AbstractMediaStream()
    {4, 471, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 214, 24},	//78 Phonon::AbstractMediaStream::staticMetaObject() const
    {4, 515, 0, 0, Smoke::mf_dtor, 0, 25 },	//79 Phonon::AbstractMediaStream::~AbstractMediaStream()
    {6, 6, 41, 1, Smoke::mf_ctor|Smoke::mf_protected, 5, 1},	//80 Phonon::AbstractVideoOutput::AbstractVideoOutput(Phonon::AbstractVideoOutputPrivate&)
    {6, 6, 43, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 5, 2},	//81 Phonon::AbstractVideoOutput::AbstractVideoOutput(const Phonon::AbstractVideoOutput&)
    {6, 516, 0, 0, Smoke::mf_dtor, 0, 3 },	//82 Phonon::AbstractVideoOutput::~AbstractVideoOutput()
    {8, 293, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 1},	//83 Phonon::AudioDataOutput::metaObject() const
    {8, 356, 11, 1, Smoke::mf_virtual, 237, 2},	//84 Phonon::AudioDataOutput::qt_metacast(const char*)
    {8, 489, 13, 2, Smoke::mf_static, 104, 3},	//85 Phonon::AudioDataOutput::tr(const char*, const char*)
    {8, 493, 13, 2, Smoke::mf_static, 104, 4},	//86 Phonon::AudioDataOutput::trUtf8(const char*, const char*)
    {8, 489, 16, 3, Smoke::mf_static, 104, 5},	//87 Phonon::AudioDataOutput::tr(const char*, const char*, int)
    {8, 493, 16, 3, Smoke::mf_static, 104, 6},	//88 Phonon::AudioDataOutput::trUtf8(const char*, const char*, int)
    {8, 354, 20, 3, Smoke::mf_virtual, 230, 7},	//89 Phonon::AudioDataOutput::qt_metacall(QMetaObject::Call, int, void**)
    {8, 18, 27, 1, Smoke::mf_ctor, 7, 8},	//90 Phonon::AudioDataOutput::AudioDataOutput(QObject*)
    {8, 204, 0, 0, Smoke::mf_const|Smoke::mf_property, 230, 9},	//91 Phonon::AudioDataOutput::dataSize() const
    {8, 372, 0, 0, Smoke::mf_const, 230, 10},	//92 Phonon::AudioDataOutput::sampleRate() const
    {8, 405, 45, 1, Smoke::mf_property|Smoke::mf_slot, 0, 11},	//93 Phonon::AudioDataOutput::setDataSize(int)
    {8, 202, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//94 Phonon::AudioDataOutput::dataReady(const QMap<Phonon::AudioDataOutput::Channel,QVector<qint16> >&)
    {8, 222, 45, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//95 Phonon::AudioDataOutput::endOfMedia(int)
    {8, 489, 11, 1, Smoke::mf_static, 104, 14},	//96 Phonon::AudioDataOutput::tr(const char*)
    {8, 493, 11, 1, Smoke::mf_static, 104, 15},	//97 Phonon::AudioDataOutput::trUtf8(const char*)
    {8, 18, 0, 0, Smoke::mf_ctor, 7, 16},	//98 Phonon::AudioDataOutput::AudioDataOutput()
    {8, 471, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 214, 17},	//99 Phonon::AudioDataOutput::staticMetaObject() const
    {8, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 18},	//100 Phonon::AudioDataOutput::LeftChannel (enum)
    {8, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 19},	//101 Phonon::AudioDataOutput::RightChannel (enum)
    {8, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 20},	//102 Phonon::AudioDataOutput::CenterChannel (enum)
    {8, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 21},	//103 Phonon::AudioDataOutput::LeftSurroundChannel (enum)
    {8, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 22},	//104 Phonon::AudioDataOutput::RightSurroundChannel (enum)
    {8, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 23},	//105 Phonon::AudioDataOutput::SubwooferChannel (enum)
    {8, 517, 0, 0, Smoke::mf_dtor, 0, 24 },	//106 Phonon::AudioDataOutput::~AudioDataOutput()
    {9, 293, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 1},	//107 Phonon::AudioOutput::metaObject() const
    {9, 356, 11, 1, Smoke::mf_virtual, 237, 2},	//108 Phonon::AudioOutput::qt_metacast(const char*)
    {9, 489, 13, 2, Smoke::mf_static, 104, 3},	//109 Phonon::AudioOutput::tr(const char*, const char*)
    {9, 493, 13, 2, Smoke::mf_static, 104, 4},	//110 Phonon::AudioOutput::trUtf8(const char*, const char*)
    {9, 489, 16, 3, Smoke::mf_static, 104, 5},	//111 Phonon::AudioOutput::tr(const char*, const char*, int)
    {9, 493, 16, 3, Smoke::mf_static, 104, 6},	//112 Phonon::AudioOutput::trUtf8(const char*, const char*, int)
    {9, 354, 20, 3, Smoke::mf_virtual, 230, 7},	//113 Phonon::AudioOutput::qt_metacall(QMetaObject::Call, int, void**)
    {9, 20, 49, 2, Smoke::mf_ctor, 9, 8},	//114 Phonon::AudioOutput::AudioOutput(Phonon::Category, QObject*)
    {9, 20, 27, 1, Smoke::mf_ctor, 9, 9},	//115 Phonon::AudioOutput::AudioOutput(QObject*)
    {9, 315, 0, 0, Smoke::mf_const|Smoke::mf_property, 104, 10},	//116 Phonon::AudioOutput::name() const
    {9, 505, 0, 0, Smoke::mf_const, 228, 11},	//117 Phonon::AudioOutput::volume() const
    {9, 508, 0, 0, Smoke::mf_const, 228, 12},	//118 Phonon::AudioOutput::volumeDecibel() const
    {9, 169, 0, 0, Smoke::mf_const, 11, 13},	//119 Phonon::AudioOutput::category() const
    {9, 329, 0, 0, Smoke::mf_const, 33, 14},	//120 Phonon::AudioOutput::outputDevice() const
    {9, 276, 0, 0, Smoke::mf_const|Smoke::mf_property, 189, 15},	//121 Phonon::AudioOutput::isMuted() const
    {9, 427, 52, 1, Smoke::mf_property|Smoke::mf_slot, 0, 16},	//122 Phonon::AudioOutput::setName(const QString&)
    {9, 458, 54, 1, Smoke::mf_property|Smoke::mf_slot, 0, 17},	//123 Phonon::AudioOutput::setVolume(qreal)
    {9, 460, 54, 1, Smoke::mf_property|Smoke::mf_slot, 0, 18},	//124 Phonon::AudioOutput::setVolumeDecibel(qreal)
    {9, 431, 56, 1, Smoke::mf_property|Smoke::mf_slot, 189, 19},	//125 Phonon::AudioOutput::setOutputDevice(const Phonon::AudioOutputDevice&)
    {9, 425, 31, 1, Smoke::mf_property|Smoke::mf_slot, 0, 20},	//126 Phonon::AudioOutput::setMuted(bool)
    {9, 506, 54, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//127 Phonon::AudioOutput::volumeChanged(qreal)
    {9, 313, 31, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//128 Phonon::AudioOutput::mutedChanged(bool)
    {9, 330, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//129 Phonon::AudioOutput::outputDeviceChanged(const Phonon::AudioOutputDevice&)
    {9, 489, 11, 1, Smoke::mf_static, 104, 24},	//130 Phonon::AudioOutput::tr(const char*)
    {9, 493, 11, 1, Smoke::mf_static, 104, 25},	//131 Phonon::AudioOutput::trUtf8(const char*)
    {9, 20, 1, 1, Smoke::mf_ctor, 9, 26},	//132 Phonon::AudioOutput::AudioOutput(Phonon::Category)
    {9, 20, 0, 0, Smoke::mf_ctor, 9, 27},	//133 Phonon::AudioOutput::AudioOutput()
    {9, 471, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 214, 28},	//134 Phonon::AudioOutput::staticMetaObject() const
    {9, 518, 0, 0, Smoke::mf_dtor, 0, 29 },	//135 Phonon::AudioOutput::~AudioOutput()
    {11, 293, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 1},	//136 Phonon::Effect::metaObject() const
    {11, 356, 11, 1, Smoke::mf_virtual, 237, 2},	//137 Phonon::Effect::qt_metacast(const char*)
    {11, 489, 13, 2, Smoke::mf_static, 104, 3},	//138 Phonon::Effect::tr(const char*, const char*)
    {11, 493, 13, 2, Smoke::mf_static, 104, 4},	//139 Phonon::Effect::trUtf8(const char*, const char*)
    {11, 489, 16, 3, Smoke::mf_static, 104, 5},	//140 Phonon::Effect::tr(const char*, const char*, int)
    {11, 493, 16, 3, Smoke::mf_static, 104, 6},	//141 Phonon::Effect::trUtf8(const char*, const char*, int)
    {11, 354, 20, 3, Smoke::mf_virtual, 230, 7},	//142 Phonon::Effect::qt_metacall(QMetaObject::Call, int, void**)
    {11, 37, 58, 2, Smoke::mf_ctor, 13, 8},	//143 Phonon::Effect::Effect(const Phonon::ObjectDescription<Phonon::EffectType>&, QObject*)
    {11, 206, 0, 0, Smoke::mf_const, 34, 9},	//144 Phonon::Effect::description() const
    {11, 339, 0, 0, Smoke::mf_const, 81, 10},	//145 Phonon::Effect::parameters() const
    {11, 337, 3, 1, Smoke::mf_const, 111, 11},	//146 Phonon::Effect::parameterValue(const Phonon::EffectParameter&) const
    {11, 435, 61, 2, 0, 0, 12},	//147 Phonon::Effect::setParameterValue(const Phonon::EffectParameter&, const QVariant&)
    {11, 37, 64, 2, Smoke::mf_ctor|Smoke::mf_protected, 13, 13},	//148 Phonon::Effect::Effect(Phonon::EffectPrivate&, QObject*)
    {11, 489, 11, 1, Smoke::mf_static, 104, 14},	//149 Phonon::Effect::tr(const char*)
    {11, 493, 11, 1, Smoke::mf_static, 104, 15},	//150 Phonon::Effect::trUtf8(const char*)
    {11, 37, 67, 1, Smoke::mf_ctor, 13, 16},	//151 Phonon::Effect::Effect(const Phonon::ObjectDescription<Phonon::EffectType>&)
    {11, 471, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 214, 17},	//152 Phonon::Effect::staticMetaObject() const
    {11, 519, 0, 0, Smoke::mf_dtor, 0, 18 },	//153 Phonon::Effect::~Effect()
    {12, 41, 0, 0, Smoke::mf_ctor, 15, 1},	//154 Phonon::EffectParameter::EffectParameter()
    {12, 315, 0, 0, Smoke::mf_const, 222, 2},	//155 Phonon::EffectParameter::name() const
    {12, 206, 0, 0, Smoke::mf_const, 222, 3},	//156 Phonon::EffectParameter::description() const
    {12, 501, 0, 0, Smoke::mf_const, 112, 4},	//157 Phonon::EffectParameter::type() const
    {12, 274, 0, 0, Smoke::mf_const, 189, 5},	//158 Phonon::EffectParameter::isLogarithmicControl() const
    {12, 300, 0, 0, Smoke::mf_const, 111, 6},	//159 Phonon::EffectParameter::minimumValue() const
    {12, 287, 0, 0, Smoke::mf_const, 111, 7},	//160 Phonon::EffectParameter::maximumValue() const
    {12, 205, 0, 0, Smoke::mf_const, 111, 8},	//161 Phonon::EffectParameter::defaultValue() const
    {12, 344, 0, 0, Smoke::mf_const, 89, 9},	//162 Phonon::EffectParameter::possibleValues() const
    {12, 320, 3, 1, Smoke::mf_const, 189, 10},	//163 Phonon::EffectParameter::operator<(const Phonon::EffectParameter&) const
    {12, 326, 3, 1, Smoke::mf_const, 189, 11},	//164 Phonon::EffectParameter::operator>(const Phonon::EffectParameter&) const
    {12, 324, 3, 1, Smoke::mf_const, 189, 12},	//165 Phonon::EffectParameter::operator==(const Phonon::EffectParameter&) const
    {12, 41, 3, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 15, 13},	//166 Phonon::EffectParameter::EffectParameter(const Phonon::EffectParameter&)
    {12, 322, 3, 1, 0, 14, 14},	//167 Phonon::EffectParameter::operator=(const Phonon::EffectParameter&)
    {12, 41, 69, 8, Smoke::mf_ctor, 15, 15},	//168 Phonon::EffectParameter::EffectParameter(int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&, const QList<QVariant>&, const QString&)
    {12, 263, 0, 0, Smoke::mf_const, 230, 16},	//169 Phonon::EffectParameter::id() const
    {12, 41, 78, 4, Smoke::mf_ctor, 15, 17},	//170 Phonon::EffectParameter::EffectParameter(int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&)
    {12, 41, 83, 5, Smoke::mf_ctor, 15, 18},	//171 Phonon::EffectParameter::EffectParameter(int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&)
    {12, 41, 89, 6, Smoke::mf_ctor, 15, 19},	//172 Phonon::EffectParameter::EffectParameter(int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&)
    {12, 41, 96, 7, Smoke::mf_ctor, 15, 20},	//173 Phonon::EffectParameter::EffectParameter(int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&, const QList<QVariant>&)
    {12, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 21},	//174 Phonon::EffectParameter::ToggledHint (enum)
    {12, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 22},	//175 Phonon::EffectParameter::LogarithmicHint (enum)
    {12, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 23},	//176 Phonon::EffectParameter::IntegerHint (enum)
    {12, 520, 0, 0, Smoke::mf_dtor, 0, 24 },	//177 Phonon::EffectParameter::~EffectParameter()
    {14, 293, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 1},	//178 Phonon::EffectWidget::metaObject() const
    {14, 356, 11, 1, Smoke::mf_virtual, 237, 2},	//179 Phonon::EffectWidget::qt_metacast(const char*)
    {14, 489, 13, 2, Smoke::mf_static, 104, 3},	//180 Phonon::EffectWidget::tr(const char*, const char*)
    {14, 493, 13, 2, Smoke::mf_static, 104, 4},	//181 Phonon::EffectWidget::trUtf8(const char*, const char*)
    {14, 489, 16, 3, Smoke::mf_static, 104, 5},	//182 Phonon::EffectWidget::tr(const char*, const char*, int)
    {14, 493, 16, 3, Smoke::mf_static, 104, 6},	//183 Phonon::EffectWidget::trUtf8(const char*, const char*, int)
    {14, 354, 20, 3, Smoke::mf_virtual, 230, 7},	//184 Phonon::EffectWidget::qt_metacall(QMetaObject::Call, int, void**)
    {14, 49, 104, 2, Smoke::mf_ctor, 18, 8},	//185 Phonon::EffectWidget::EffectWidget(Phonon::Effect*, QWidget*)
    {14, 489, 11, 1, Smoke::mf_static, 104, 9},	//186 Phonon::EffectWidget::tr(const char*)
    {14, 493, 11, 1, Smoke::mf_static, 104, 10},	//187 Phonon::EffectWidget::trUtf8(const char*)
    {14, 49, 107, 1, Smoke::mf_ctor, 18, 11},	//188 Phonon::EffectWidget::EffectWidget(Phonon::Effect*)
    {14, 471, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 214, 12},	//189 Phonon::EffectWidget::staticMetaObject() const
    {14, 521, 0, 0, Smoke::mf_dtor, 0, 13 },	//190 Phonon::EffectWidget::~EffectWidget()
    {15, 293, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 1},	//191 Phonon::MediaController::metaObject() const
    {15, 356, 11, 1, Smoke::mf_virtual, 237, 2},	//192 Phonon::MediaController::qt_metacast(const char*)
    {15, 489, 13, 2, Smoke::mf_static, 104, 3},	//193 Phonon::MediaController::tr(const char*, const char*)
    {15, 493, 13, 2, Smoke::mf_static, 104, 4},	//194 Phonon::MediaController::trUtf8(const char*, const char*)
    {15, 489, 16, 3, Smoke::mf_static, 104, 5},	//195 Phonon::MediaController::tr(const char*, const char*, int)
    {15, 493, 16, 3, Smoke::mf_static, 104, 6},	//196 Phonon::MediaController::trUtf8(const char*, const char*, int)
    {15, 354, 20, 3, Smoke::mf_virtual, 230, 7},	//197 Phonon::MediaController::qt_metacall(QMetaObject::Call, int, void**)
    {15, 71, 109, 1, Smoke::mf_ctor, 20, 8},	//198 Phonon::MediaController::MediaController(Phonon::MediaObject*)
    {15, 478, 0, 0, Smoke::mf_const, 68, 9},	//199 Phonon::MediaController::supportedFeatures() const
    {15, 153, 0, 0, Smoke::mf_const, 230, 10},	//200 Phonon::MediaController::availableAngles() const
    {15, 189, 0, 0, Smoke::mf_const, 230, 11},	//201 Phonon::MediaController::currentAngle() const
    {15, 158, 0, 0, Smoke::mf_const, 230, 12},	//202 Phonon::MediaController::availableChapters() const
    {15, 191, 0, 0, Smoke::mf_const, 230, 13},	//203 Phonon::MediaController::currentChapter() const
    {15, 163, 0, 0, Smoke::mf_const, 230, 14},	//204 Phonon::MediaController::availableTitles() const
    {15, 197, 0, 0, Smoke::mf_const, 230, 15},	//205 Phonon::MediaController::currentTitle() const
    {15, 152, 0, 0, Smoke::mf_const, 189, 16},	//206 Phonon::MediaController::autoplayTitles() const
    {15, 190, 0, 0, Smoke::mf_const, 32, 17},	//207 Phonon::MediaController::currentAudioChannel() const
    {15, 195, 0, 0, Smoke::mf_const, 35, 18},	//208 Phonon::MediaController::currentSubtitle() const
    {15, 156, 0, 0, Smoke::mf_const, 83, 19},	//209 Phonon::MediaController::availableAudioChannels() const
    {15, 161, 0, 0, Smoke::mf_const, 84, 20},	//210 Phonon::MediaController::availableSubtitles() const
    {15, 395, 111, 1, 0, 0, 21},	//211 Phonon::MediaController::setCurrentAudioChannel(const Phonon::ObjectDescription<Phonon::AudioChannelType>&)
    {15, 401, 113, 1, 0, 0, 22},	//212 Phonon::MediaController::setCurrentSubtitle(const Phonon::ObjectDescription<Phonon::SubtitleType>&)
    {15, 393, 45, 1, Smoke::mf_slot, 0, 23},	//213 Phonon::MediaController::setCurrentAngle(int)
    {15, 397, 45, 1, Smoke::mf_slot, 0, 24},	//214 Phonon::MediaController::setCurrentChapter(int)
    {15, 403, 45, 1, Smoke::mf_slot, 0, 25},	//215 Phonon::MediaController::setCurrentTitle(int)
    {15, 387, 31, 1, Smoke::mf_slot, 0, 26},	//216 Phonon::MediaController::setAutoplayTitles(bool)
    {15, 317, 0, 0, Smoke::mf_slot, 0, 27},	//217 Phonon::MediaController::nextTitle()
    {15, 348, 0, 0, Smoke::mf_slot, 0, 28},	//218 Phonon::MediaController::previousTitle()
    {15, 162, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//219 Phonon::MediaController::availableSubtitlesChanged()
    {15, 157, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//220 Phonon::MediaController::availableAudioChannelsChanged()
    {15, 154, 45, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//221 Phonon::MediaController::availableAnglesChanged(int)
    {15, 146, 45, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//222 Phonon::MediaController::angleChanged(int)
    {15, 159, 45, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//223 Phonon::MediaController::availableChaptersChanged(int)
    {15, 173, 45, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//224 Phonon::MediaController::chapterChanged(int)
    {15, 164, 45, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//225 Phonon::MediaController::availableTitlesChanged(int)
    {15, 484, 45, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//226 Phonon::MediaController::titleChanged(int)
    {15, 489, 11, 1, Smoke::mf_static, 104, 37},	//227 Phonon::MediaController::tr(const char*)
    {15, 493, 11, 1, Smoke::mf_static, 104, 38},	//228 Phonon::MediaController::trUtf8(const char*)
    {15, 471, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 214, 39},	//229 Phonon::MediaController::staticMetaObject() const
    {15, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 40},	//230 Phonon::MediaController::Angles (enum)
    {15, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 41},	//231 Phonon::MediaController::Chapters (enum)
    {15, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 42},	//232 Phonon::MediaController::Titles (enum)
    {15, 522, 0, 0, Smoke::mf_dtor, 0, 43 },	//233 Phonon::MediaController::~MediaController()
    {16, 280, 0, 0, Smoke::mf_const, 189, 1},	//234 Phonon::MediaNode::isValid() const
    {16, 267, 0, 0, Smoke::mf_const, 85, 2},	//235 Phonon::MediaNode::inputPaths() const
    {16, 332, 0, 0, Smoke::mf_const, 85, 3},	//236 Phonon::MediaNode::outputPaths() const
    {16, 73, 115, 1, Smoke::mf_ctor|Smoke::mf_protected, 22, 4},	//237 Phonon::MediaNode::MediaNode(Phonon::MediaNodePrivate&)
    {16, 73, 117, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 5},	//238 Phonon::MediaNode::MediaNode(const Phonon::MediaNode&)
    {16, 523, 0, 0, Smoke::mf_dtor, 0, 6 },	//239 Phonon::MediaNode::~MediaNode()
    {18, 293, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 1},	//240 Phonon::MediaObject::metaObject() const
    {18, 356, 11, 1, Smoke::mf_virtual, 237, 2},	//241 Phonon::MediaObject::qt_metacast(const char*)
    {18, 489, 13, 2, Smoke::mf_static, 104, 3},	//242 Phonon::MediaObject::tr(const char*, const char*)
    {18, 493, 13, 2, Smoke::mf_static, 104, 4},	//243 Phonon::MediaObject::trUtf8(const char*, const char*)
    {18, 489, 16, 3, Smoke::mf_static, 104, 5},	//244 Phonon::MediaObject::tr(const char*, const char*, int)
    {18, 493, 16, 3, Smoke::mf_static, 104, 6},	//245 Phonon::MediaObject::trUtf8(const char*, const char*, int)
    {18, 354, 20, 3, Smoke::mf_virtual, 230, 7},	//246 Phonon::MediaObject::qt_metacall(QMetaObject::Call, int, void**)
    {18, 75, 27, 1, Smoke::mf_ctor, 24, 8},	//247 Phonon::MediaObject::MediaObject(QObject*)
    {18, 468, 0, 0, Smoke::mf_const, 45, 9},	//248 Phonon::MediaObject::state() const
    {18, 256, 0, 0, Smoke::mf_const, 189, 10},	//249 Phonon::MediaObject::hasVideo() const
    {18, 279, 0, 0, Smoke::mf_const, 189, 11},	//250 Phonon::MediaObject::isSeekable() const
    {18, 482, 0, 0, Smoke::mf_const, 230, 12},	//251 Phonon::MediaObject::tickInterval() const
    {18, 290, 52, 1, Smoke::mf_const, 105, 13},	//252 Phonon::MediaObject::metaData(const QString&) const
    {18, 290, 119, 1, Smoke::mf_const, 105, 14},	//253 Phonon::MediaObject::metaData(Phonon::MetaData) const
    {18, 290, 0, 0, Smoke::mf_const, 95, 15},	//254 Phonon::MediaObject::metaData() const
    {18, 232, 0, 0, Smoke::mf_const, 104, 16},	//255 Phonon::MediaObject::errorString() const
    {18, 233, 0, 0, Smoke::mf_const, 19, 17},	//256 Phonon::MediaObject::errorType() const
    {18, 192, 0, 0, Smoke::mf_const, 25, 18},	//257 Phonon::MediaObject::currentSource() const
    {18, 399, 121, 1, 0, 0, 19},	//258 Phonon::MediaObject::setCurrentSource(const Phonon::MediaSource&)
    {18, 358, 0, 0, Smoke::mf_const, 82, 20},	//259 Phonon::MediaObject::queue() const
    {18, 439, 123, 1, 0, 0, 21},	//260 Phonon::MediaObject::setQueue(const QList<Phonon::MediaSource>&)
    {18, 439, 125, 1, 0, 0, 22},	//261 Phonon::MediaObject::setQueue(const QList<QUrl>&)
    {18, 225, 121, 1, 0, 0, 23},	//262 Phonon::MediaObject::enqueue(const Phonon::MediaSource&)
    {18, 225, 123, 1, 0, 0, 24},	//263 Phonon::MediaObject::enqueue(const QList<Phonon::MediaSource>&)
    {18, 225, 125, 1, 0, 0, 25},	//264 Phonon::MediaObject::enqueue(const QList<QUrl>&)
    {18, 177, 0, 0, 0, 0, 26},	//265 Phonon::MediaObject::clearQueue()
    {18, 196, 0, 0, Smoke::mf_const, 232, 27},	//266 Phonon::MediaObject::currentTime() const
    {18, 486, 0, 0, Smoke::mf_const, 232, 28},	//267 Phonon::MediaObject::totalTime() const
    {18, 362, 0, 0, Smoke::mf_const, 232, 29},	//268 Phonon::MediaObject::remainingTime() const
    {18, 345, 0, 0, Smoke::mf_const, 230, 30},	//269 Phonon::MediaObject::prefinishMark() const
    {18, 437, 45, 1, 0, 0, 31},	//270 Phonon::MediaObject::setPrefinishMark(int)
    {18, 497, 0, 0, Smoke::mf_const, 230, 32},	//271 Phonon::MediaObject::transitionTime() const
    {18, 455, 45, 1, 0, 0, 33},	//272 Phonon::MediaObject::setTransitionTime(int)
    {18, 451, 127, 1, Smoke::mf_property|Smoke::mf_slot, 0, 34},	//273 Phonon::MediaObject::setTickInterval(qint32)
    {18, 342, 0, 0, Smoke::mf_slot, 0, 35},	//274 Phonon::MediaObject::play()
    {18, 340, 0, 0, Smoke::mf_slot, 0, 36},	//275 Phonon::MediaObject::pause()
    {18, 472, 0, 0, Smoke::mf_slot, 0, 37},	//276 Phonon::MediaObject::stop()
    {18, 375, 129, 1, Smoke::mf_slot, 0, 38},	//277 Phonon::MediaObject::seek(qint64)
    {18, 176, 0, 0, Smoke::mf_slot, 0, 39},	//278 Phonon::MediaObject::clear()
    {18, 469, 131, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//279 Phonon::MediaObject::stateChanged(Phonon::State, Phonon::State)
    {18, 480, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//280 Phonon::MediaObject::tick(qint64)
    {18, 292, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//281 Phonon::MediaObject::metaDataChanged()
    {18, 379, 31, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//282 Phonon::MediaObject::seekableChanged(bool)
    {18, 257, 31, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//283 Phonon::MediaObject::hasVideoChanged(bool)
    {18, 167, 45, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//284 Phonon::MediaObject::bufferStatus(int)
    {18, 246, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//285 Phonon::MediaObject::finished()
    {18, 193, 121, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//286 Phonon::MediaObject::currentSourceChanged(const Phonon::MediaSource&)
    {18, 144, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//287 Phonon::MediaObject::aboutToFinish()
    {18, 346, 127, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//288 Phonon::MediaObject::prefinishMarkReached(qint32)
    {18, 487, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//289 Phonon::MediaObject::totalTimeChanged(qint64)
    {18, 489, 11, 1, Smoke::mf_static, 104, 51},	//290 Phonon::MediaObject::tr(const char*)
    {18, 493, 11, 1, Smoke::mf_static, 104, 52},	//291 Phonon::MediaObject::trUtf8(const char*)
    {18, 75, 0, 0, Smoke::mf_ctor, 24, 53},	//292 Phonon::MediaObject::MediaObject()
    {18, 471, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 214, 54},	//293 Phonon::MediaObject::staticMetaObject() const
    {18, 524, 0, 0, Smoke::mf_dtor, 0, 55 },	//294 Phonon::MediaObject::~MediaObject()
    {19, 77, 0, 0, Smoke::mf_ctor, 27, 1},	//295 Phonon::MediaSource::MediaSource()
    {19, 77, 52, 1, Smoke::mf_ctor, 27, 2},	//296 Phonon::MediaSource::MediaSource(const QString&)
    {19, 77, 134, 1, Smoke::mf_ctor, 27, 3},	//297 Phonon::MediaSource::MediaSource(const QUrl&)
    {19, 77, 136, 2, Smoke::mf_ctor, 27, 4},	//298 Phonon::MediaSource::MediaSource(Phonon::DiscType, const QString&)
    {19, 77, 139, 1, Smoke::mf_ctor, 27, 5},	//299 Phonon::MediaSource::MediaSource(const Phonon::ObjectDescription<Phonon::AudioCaptureDeviceType>&)
    {19, 77, 141, 1, Smoke::mf_ctor, 27, 6},	//300 Phonon::MediaSource::MediaSource(const Phonon::ObjectDescription<Phonon::VideoCaptureDeviceType>&)
    {19, 77, 143, 1, Smoke::mf_ctor, 27, 7},	//301 Phonon::MediaSource::MediaSource(Phonon::AbstractMediaStream*)
    {19, 77, 145, 1, Smoke::mf_ctor, 27, 8},	//302 Phonon::MediaSource::MediaSource(QIODevice*)
    {19, 77, 121, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 27, 9},	//303 Phonon::MediaSource::MediaSource(const Phonon::MediaSource&)
    {19, 322, 121, 1, 0, 26, 10},	//304 Phonon::MediaSource::operator=(const Phonon::MediaSource&)
    {19, 324, 121, 1, Smoke::mf_const, 189, 11},	//305 Phonon::MediaSource::operator==(const Phonon::MediaSource&) const
    {19, 385, 31, 1, 0, 0, 12},	//306 Phonon::MediaSource::setAutoDelete(bool)
    {19, 151, 0, 0, Smoke::mf_const, 189, 13},	//307 Phonon::MediaSource::autoDelete() const
    {19, 501, 0, 0, Smoke::mf_const, 28, 14},	//308 Phonon::MediaSource::type() const
    {19, 245, 0, 0, Smoke::mf_const, 104, 15},	//309 Phonon::MediaSource::fileName() const
    {19, 502, 0, 0, Smoke::mf_const, 110, 16},	//310 Phonon::MediaSource::url() const
    {19, 210, 0, 0, Smoke::mf_const, 12, 17},	//311 Phonon::MediaSource::discType() const
    {19, 208, 0, 0, Smoke::mf_const, 210, 18},	//312 Phonon::MediaSource::deviceAccessList() const
    {19, 209, 0, 0, Smoke::mf_const, 104, 19},	//313 Phonon::MediaSource::deviceName() const
    {19, 473, 0, 0, Smoke::mf_const, 3, 20},	//314 Phonon::MediaSource::stream() const
    {19, 149, 0, 0, Smoke::mf_const, 31, 21},	//315 Phonon::MediaSource::audioCaptureDevice() const
    {19, 503, 0, 0, Smoke::mf_const, 36, 22},	//316 Phonon::MediaSource::videoCaptureDevice() const
    {19, 77, 147, 1, Smoke::mf_ctor|Smoke::mf_protected, 27, 23},	//317 Phonon::MediaSource::MediaSource(Phonon::MediaSourcePrivate&)
    {19, 77, 149, 1, Smoke::mf_ctor|Smoke::mf_protected, 27, 24},	//318 Phonon::MediaSource::MediaSource(const QPair<QByteArray,QString>&)
    {19, 77, 151, 1, Smoke::mf_ctor, 27, 25},	//319 Phonon::MediaSource::MediaSource(Phonon::DiscType)
    {19, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 26},	//320 Phonon::MediaSource::Invalid (enum)
    {19, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 27},	//321 Phonon::MediaSource::LocalFile (enum)
    {19, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 28},	//322 Phonon::MediaSource::Url (enum)
    {19, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 29},	//323 Phonon::MediaSource::Disc (enum)
    {19, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 30},	//324 Phonon::MediaSource::Stream (enum)
    {19, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 31},	//325 Phonon::MediaSource::CaptureDevice (enum)
    {19, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 32},	//326 Phonon::MediaSource::Empty (enum)
    {19, 525, 0, 0, Smoke::mf_dtor, 0, 33 },	//327 Phonon::MediaSource::~MediaSource()
    {21, 324, 153, 1, Smoke::mf_const, 189, 1},	//328 Phonon::ObjectDescriptionData::operator==(const Phonon::ObjectDescriptionData&) const
    {21, 315, 0, 0, Smoke::mf_const, 104, 2},	//329 Phonon::ObjectDescriptionData::name() const
    {21, 206, 0, 0, Smoke::mf_const, 104, 3},	//330 Phonon::ObjectDescriptionData::description() const
    {21, 349, 11, 1, Smoke::mf_const, 111, 4},	//331 Phonon::ObjectDescriptionData::property(const char*) const
    {21, 351, 0, 0, Smoke::mf_const, 87, 5},	//332 Phonon::ObjectDescriptionData::propertyNames() const
    {21, 280, 0, 0, Smoke::mf_const, 189, 6},	//333 Phonon::ObjectDescriptionData::isValid() const
    {21, 264, 0, 0, Smoke::mf_const, 230, 7},	//334 Phonon::ObjectDescriptionData::index() const
    {21, 253, 155, 2, Smoke::mf_static, 37, 8},	//335 Phonon::ObjectDescriptionData::fromIndex(Phonon::ObjectDescriptionType, int)
    {21, 89, 158, 1, Smoke::mf_ctor, 37, 9},	//336 Phonon::ObjectDescriptionData::ObjectDescriptionData(Phonon::ObjectDescriptionPrivate*)
    {21, 89, 160, 2, Smoke::mf_ctor, 37, 10},	//337 Phonon::ObjectDescriptionData::ObjectDescriptionData(int, const QHash<QByteArray,QVariant>&)
    {21, 89, 153, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 37, 11},	//338 Phonon::ObjectDescriptionData::ObjectDescriptionData(const Phonon::ObjectDescriptionData&)
    {21, 89, 0, 0, Smoke::mf_ctor, 37, 12},	//339 Phonon::ObjectDescriptionData::ObjectDescriptionData()
    {21, 526, 0, 0, Smoke::mf_dtor, 0, 13 },	//340 Phonon::ObjectDescriptionData::~ObjectDescriptionData()
    {22, 370, 163, 1, Smoke::mf_const, 230, 1},	//341 Phonon::ObjectDescriptionModelData::rowCount(const QModelIndex&) const
    {22, 199, 165, 2, Smoke::mf_const, 111, 2},	//342 Phonon::ObjectDescriptionModelData::data(const QModelIndex&, int) const
    {22, 247, 163, 1, Smoke::mf_const, 70, 3},	//343 Phonon::ObjectDescriptionModelData::flags(const QModelIndex&) const
    {22, 500, 0, 0, Smoke::mf_const, 90, 4},	//344 Phonon::ObjectDescriptionModelData::tupleIndexOrder() const
    {22, 498, 45, 1, Smoke::mf_const, 230, 5},	//345 Phonon::ObjectDescriptionModelData::tupleIndexAtPositionIndex(int) const
    {22, 295, 168, 2, Smoke::mf_const, 92, 6},	//346 Phonon::ObjectDescriptionModelData::mimeData(Phonon::ObjectDescriptionType, const QList<QModelIndex>&) const
    {22, 311, 163, 1, 0, 0, 7},	//347 Phonon::ObjectDescriptionModelData::moveUp(const QModelIndex&)
    {22, 308, 163, 1, 0, 0, 8},	//348 Phonon::ObjectDescriptionModelData::moveDown(const QModelIndex&)
    {22, 421, 171, 1, 0, 0, 9},	//349 Phonon::ObjectDescriptionModelData::setModelData(const QList<QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData> >&)
    {22, 301, 0, 0, Smoke::mf_const, 88, 10},	//350 Phonon::ObjectDescriptionModelData::modelData() const
    {22, 301, 163, 1, Smoke::mf_const, 66, 11},	//351 Phonon::ObjectDescriptionModelData::modelData(const QModelIndex&) const
    {22, 477, 0, 0, Smoke::mf_const, 69, 12},	//352 Phonon::ObjectDescriptionModelData::supportedDropActions() const
    {22, 217, 173, 6, 0, 189, 13},	//353 Phonon::ObjectDescriptionModelData::dropMimeData(Phonon::ObjectDescriptionType, const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {22, 365, 180, 3, 0, 189, 14},	//354 Phonon::ObjectDescriptionModelData::removeRows(int, int, const QModelIndex&)
    {22, 297, 184, 1, Smoke::mf_const, 105, 15},	//355 Phonon::ObjectDescriptionModelData::mimeTypes(Phonon::ObjectDescriptionType) const
    {22, 92, 186, 1, Smoke::mf_ctor, 38, 16},	//356 Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData(QAbstractListModel*)
    {22, 92, 188, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 38, 17},	//357 Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData(const Phonon::ObjectDescriptionModelData&)
    {22, 370, 0, 0, Smoke::mf_const, 230, 18},	//358 Phonon::ObjectDescriptionModelData::rowCount() const
    {22, 199, 163, 1, Smoke::mf_const, 111, 19},	//359 Phonon::ObjectDescriptionModelData::data(const QModelIndex&) const
    {22, 365, 190, 2, 0, 189, 20},	//360 Phonon::ObjectDescriptionModelData::removeRows(int, int)
    {22, 527, 0, 0, Smoke::mf_dtor, 0, 21 },	//361 Phonon::ObjectDescriptionModelData::~ObjectDescriptionModelData()
    {24, 94, 0, 0, Smoke::mf_ctor, 43, 1},	//362 Phonon::Path::Path()
    {24, 94, 193, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 43, 2},	//363 Phonon::Path::Path(const Phonon::Path&)
    {24, 280, 0, 0, Smoke::mf_const, 189, 3},	//364 Phonon::Path::isValid() const
    {24, 268, 195, 2, 0, 13, 4},	//365 Phonon::Path::insertEffect(const Phonon::ObjectDescription<Phonon::EffectType>&, Phonon::Effect*)
    {24, 268, 198, 2, 0, 189, 5},	//366 Phonon::Path::insertEffect(Phonon::Effect*, Phonon::Effect*)
    {24, 363, 107, 1, 0, 189, 6},	//367 Phonon::Path::removeEffect(Phonon::Effect*)
    {24, 219, 0, 0, Smoke::mf_const, 79, 7},	//368 Phonon::Path::effects() const
    {24, 359, 8, 2, 0, 189, 8},	//369 Phonon::Path::reconnect(Phonon::MediaNode*, Phonon::MediaNode*)
    {24, 211, 0, 0, 0, 189, 9},	//370 Phonon::Path::disconnect()
    {24, 322, 193, 1, 0, 42, 10},	//371 Phonon::Path::operator=(const Phonon::Path&)
    {24, 324, 193, 1, Smoke::mf_const, 189, 11},	//372 Phonon::Path::operator==(const Phonon::Path&) const
    {24, 318, 193, 1, Smoke::mf_const, 189, 12},	//373 Phonon::Path::operator!=(const Phonon::Path&) const
    {24, 467, 0, 0, Smoke::mf_const, 22, 13},	//374 Phonon::Path::source() const
    {24, 464, 0, 0, Smoke::mf_const, 22, 14},	//375 Phonon::Path::sink() const
    {24, 268, 67, 1, 0, 13, 15},	//376 Phonon::Path::insertEffect(const Phonon::ObjectDescription<Phonon::EffectType>&)
    {24, 268, 107, 1, 0, 189, 16},	//377 Phonon::Path::insertEffect(Phonon::Effect*)
    {24, 528, 0, 0, Smoke::mf_dtor, 0, 17 },	//378 Phonon::Path::~Path()
    {25, 293, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 1},	//379 Phonon::SeekSlider::metaObject() const
    {25, 356, 11, 1, Smoke::mf_virtual, 237, 2},	//380 Phonon::SeekSlider::qt_metacast(const char*)
    {25, 489, 13, 2, Smoke::mf_static, 104, 3},	//381 Phonon::SeekSlider::tr(const char*, const char*)
    {25, 493, 13, 2, Smoke::mf_static, 104, 4},	//382 Phonon::SeekSlider::trUtf8(const char*, const char*)
    {25, 489, 16, 3, Smoke::mf_static, 104, 5},	//383 Phonon::SeekSlider::tr(const char*, const char*, int)
    {25, 493, 16, 3, Smoke::mf_static, 104, 6},	//384 Phonon::SeekSlider::trUtf8(const char*, const char*, int)
    {25, 354, 20, 3, Smoke::mf_virtual, 230, 7},	//385 Phonon::SeekSlider::qt_metacall(QMetaObject::Call, int, void**)
    {25, 111, 201, 1, Smoke::mf_ctor, 44, 8},	//386 Phonon::SeekSlider::SeekSlider(QWidget*)
    {25, 111, 203, 2, Smoke::mf_ctor, 44, 9},	//387 Phonon::SeekSlider::SeekSlider(Phonon::MediaObject*, QWidget*)
    {25, 255, 0, 0, Smoke::mf_const|Smoke::mf_property, 189, 10},	//388 Phonon::SeekSlider::hasTracking() const
    {25, 453, 31, 1, Smoke::mf_property, 0, 11},	//389 Phonon::SeekSlider::setTracking(bool)
    {25, 333, 0, 0, Smoke::mf_const|Smoke::mf_property, 230, 12},	//390 Phonon::SeekSlider::pageStep() const
    {25, 433, 45, 1, Smoke::mf_property, 0, 13},	//391 Phonon::SeekSlider::setPageStep(int)
    {25, 463, 0, 0, Smoke::mf_const|Smoke::mf_property, 230, 14},	//392 Phonon::SeekSlider::singleStep() const
    {25, 445, 45, 1, Smoke::mf_property, 0, 15},	//393 Phonon::SeekSlider::setSingleStep(int)
    {25, 328, 0, 0, Smoke::mf_const|Smoke::mf_property, 160, 16},	//394 Phonon::SeekSlider::orientation() const
    {25, 273, 0, 0, Smoke::mf_const|Smoke::mf_property, 189, 17},	//395 Phonon::SeekSlider::isIconVisible() const
    {25, 262, 0, 0, Smoke::mf_const|Smoke::mf_property, 103, 18},	//396 Phonon::SeekSlider::iconSize() const
    {25, 289, 0, 0, Smoke::mf_const, 24, 19},	//397 Phonon::SeekSlider::mediaObject() const
    {25, 429, 206, 1, Smoke::mf_property|Smoke::mf_slot, 0, 20},	//398 Phonon::SeekSlider::setOrientation(Qt::Orientation)
    {25, 415, 31, 1, Smoke::mf_property|Smoke::mf_slot, 0, 21},	//399 Phonon::SeekSlider::setIconVisible(bool)
    {25, 413, 208, 1, Smoke::mf_property|Smoke::mf_slot, 0, 22},	//400 Phonon::SeekSlider::setIconSize(const QSize&)
    {25, 419, 109, 1, Smoke::mf_slot, 0, 23},	//401 Phonon::SeekSlider::setMediaObject(Phonon::MediaObject*)
    {25, 489, 11, 1, Smoke::mf_static, 104, 24},	//402 Phonon::SeekSlider::tr(const char*)
    {25, 493, 11, 1, Smoke::mf_static, 104, 25},	//403 Phonon::SeekSlider::trUtf8(const char*)
    {25, 111, 0, 0, Smoke::mf_ctor, 44, 26},	//404 Phonon::SeekSlider::SeekSlider()
    {25, 111, 109, 1, Smoke::mf_ctor, 44, 27},	//405 Phonon::SeekSlider::SeekSlider(Phonon::MediaObject*)
    {25, 471, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 214, 28},	//406 Phonon::SeekSlider::staticMetaObject() const
    {25, 529, 0, 0, Smoke::mf_dtor, 0, 29 },	//407 Phonon::SeekSlider::~SeekSlider()
    {26, 511, 33, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//408 Phonon::StreamInterface::writeData(const QByteArray&) [pure virtual]
    {26, 221, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//409 Phonon::StreamInterface::endOfData() [pure virtual]
    {26, 449, 29, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//410 Phonon::StreamInterface::setStreamSize(long long) [pure virtual]
    {26, 447, 31, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//411 Phonon::StreamInterface::setStreamSeekable(bool) [pure virtual]
    {26, 180, 121, 1, 0, 0, 5},	//412 Phonon::StreamInterface::connectToSource(const Phonon::MediaSource&)
    {26, 316, 0, 0, 0, 0, 6},	//413 Phonon::StreamInterface::needData()
    {26, 224, 0, 0, 0, 0, 7},	//414 Phonon::StreamInterface::enoughData()
    {26, 377, 29, 1, 0, 0, 8},	//415 Phonon::StreamInterface::seekStream(long long)
    {26, 368, 0, 0, 0, 0, 9},	//416 Phonon::StreamInterface::reset()
    {26, 116, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 46, 10},	//417 Phonon::StreamInterface::StreamInterface()
    {26, 116, 210, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 46, 11},	//418 Phonon::StreamInterface::StreamInterface(const Phonon::StreamInterface&)
    {26, 530, 0, 0, Smoke::mf_dtor, 0, 12 },	//419 Phonon::StreamInterface::~StreamInterface()
    {27, 293, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 1},	//420 Phonon::VideoPlayer::metaObject() const
    {27, 356, 11, 1, Smoke::mf_virtual, 237, 2},	//421 Phonon::VideoPlayer::qt_metacast(const char*)
    {27, 489, 13, 2, Smoke::mf_static, 104, 3},	//422 Phonon::VideoPlayer::tr(const char*, const char*)
    {27, 493, 13, 2, Smoke::mf_static, 104, 4},	//423 Phonon::VideoPlayer::trUtf8(const char*, const char*)
    {27, 489, 16, 3, Smoke::mf_static, 104, 5},	//424 Phonon::VideoPlayer::tr(const char*, const char*, int)
    {27, 493, 16, 3, Smoke::mf_static, 104, 6},	//425 Phonon::VideoPlayer::trUtf8(const char*, const char*, int)
    {27, 354, 20, 3, Smoke::mf_virtual, 230, 7},	//426 Phonon::VideoPlayer::qt_metacall(QMetaObject::Call, int, void**)
    {27, 128, 212, 2, Smoke::mf_ctor, 47, 8},	//427 Phonon::VideoPlayer::VideoPlayer(Phonon::Category, QWidget*)
    {27, 128, 201, 1, Smoke::mf_ctor, 47, 9},	//428 Phonon::VideoPlayer::VideoPlayer(QWidget*)
    {27, 486, 0, 0, Smoke::mf_const, 232, 10},	//429 Phonon::VideoPlayer::totalTime() const
    {27, 196, 0, 0, Smoke::mf_const, 232, 11},	//430 Phonon::VideoPlayer::currentTime() const
    {27, 505, 0, 0, Smoke::mf_const, 229, 12},	//431 Phonon::VideoPlayer::volume() const
    {27, 278, 0, 0, Smoke::mf_const, 189, 13},	//432 Phonon::VideoPlayer::isPlaying() const
    {27, 277, 0, 0, Smoke::mf_const, 189, 14},	//433 Phonon::VideoPlayer::isPaused() const
    {27, 289, 0, 0, Smoke::mf_const, 24, 15},	//434 Phonon::VideoPlayer::mediaObject() const
    {27, 150, 0, 0, Smoke::mf_const, 9, 16},	//435 Phonon::VideoPlayer::audioOutput() const
    {27, 504, 0, 0, Smoke::mf_const, 48, 17},	//436 Phonon::VideoPlayer::videoWidget() const
    {27, 285, 121, 1, Smoke::mf_slot, 0, 18},	//437 Phonon::VideoPlayer::load(const Phonon::MediaSource&)
    {27, 342, 121, 1, Smoke::mf_slot, 0, 19},	//438 Phonon::VideoPlayer::play(const Phonon::MediaSource&)
    {27, 342, 0, 0, Smoke::mf_slot, 0, 20},	//439 Phonon::VideoPlayer::play()
    {27, 340, 0, 0, Smoke::mf_slot, 0, 21},	//440 Phonon::VideoPlayer::pause()
    {27, 472, 0, 0, Smoke::mf_slot, 0, 22},	//441 Phonon::VideoPlayer::stop()
    {27, 375, 129, 1, Smoke::mf_slot, 0, 23},	//442 Phonon::VideoPlayer::seek(qint64)
    {27, 458, 215, 1, Smoke::mf_slot, 0, 24},	//443 Phonon::VideoPlayer::setVolume(float)
    {27, 246, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//444 Phonon::VideoPlayer::finished()
    {27, 234, 217, 1, Smoke::mf_protected|Smoke::mf_virtual, 189, 26},	//445 Phonon::VideoPlayer::event(QEvent*)
    {27, 489, 11, 1, Smoke::mf_static, 104, 27},	//446 Phonon::VideoPlayer::tr(const char*)
    {27, 493, 11, 1, Smoke::mf_static, 104, 28},	//447 Phonon::VideoPlayer::trUtf8(const char*)
    {27, 128, 1, 1, Smoke::mf_ctor, 47, 29},	//448 Phonon::VideoPlayer::VideoPlayer(Phonon::Category)
    {27, 128, 0, 0, Smoke::mf_ctor, 47, 30},	//449 Phonon::VideoPlayer::VideoPlayer()
    {27, 471, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 214, 31},	//450 Phonon::VideoPlayer::staticMetaObject() const
    {27, 531, 0, 0, Smoke::mf_dtor, 0, 32 },	//451 Phonon::VideoPlayer::~VideoPlayer()
    {28, 293, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 1},	//452 Phonon::VideoWidget::metaObject() const
    {28, 356, 11, 1, Smoke::mf_virtual, 237, 2},	//453 Phonon::VideoWidget::qt_metacast(const char*)
    {28, 489, 13, 2, Smoke::mf_static, 104, 3},	//454 Phonon::VideoWidget::tr(const char*, const char*)
    {28, 493, 13, 2, Smoke::mf_static, 104, 4},	//455 Phonon::VideoWidget::trUtf8(const char*, const char*)
    {28, 489, 16, 3, Smoke::mf_static, 104, 5},	//456 Phonon::VideoWidget::tr(const char*, const char*, int)
    {28, 493, 16, 3, Smoke::mf_static, 104, 6},	//457 Phonon::VideoWidget::trUtf8(const char*, const char*, int)
    {28, 354, 20, 3, Smoke::mf_virtual, 230, 7},	//458 Phonon::VideoWidget::qt_metacall(QMetaObject::Call, int, void**)
    {28, 132, 201, 1, Smoke::mf_ctor, 48, 8},	//459 Phonon::VideoWidget::VideoWidget(QWidget*)
    {28, 148, 0, 0, Smoke::mf_const|Smoke::mf_property, 49, 9},	//460 Phonon::VideoWidget::aspectRatio() const
    {28, 374, 0, 0, Smoke::mf_const|Smoke::mf_property, 50, 10},	//461 Phonon::VideoWidget::scaleMode() const
    {28, 166, 0, 0, Smoke::mf_const, 228, 11},	//462 Phonon::VideoWidget::brightness() const
    {28, 183, 0, 0, Smoke::mf_const, 228, 12},	//463 Phonon::VideoWidget::contrast() const
    {28, 261, 0, 0, Smoke::mf_const, 228, 13},	//464 Phonon::VideoWidget::hue() const
    {28, 373, 0, 0, Smoke::mf_const, 228, 14},	//465 Phonon::VideoWidget::saturation() const
    {28, 466, 0, 0, Smoke::mf_const, 74, 15},	//466 Phonon::VideoWidget::snapshot() const
    {28, 409, 31, 1, Smoke::mf_property|Smoke::mf_slot, 0, 16},	//467 Phonon::VideoWidget::setFullScreen(bool)
    {28, 237, 0, 0, Smoke::mf_slot, 0, 17},	//468 Phonon::VideoWidget::exitFullScreen()
    {28, 229, 0, 0, Smoke::mf_slot, 0, 18},	//469 Phonon::VideoWidget::enterFullScreen()
    {28, 381, 219, 1, Smoke::mf_property|Smoke::mf_slot, 0, 19},	//470 Phonon::VideoWidget::setAspectRatio(Phonon::VideoWidget::AspectRatio)
    {28, 443, 221, 1, Smoke::mf_property|Smoke::mf_slot, 0, 20},	//471 Phonon::VideoWidget::setScaleMode(Phonon::VideoWidget::ScaleMode)
    {28, 389, 54, 1, Smoke::mf_property|Smoke::mf_slot, 0, 21},	//472 Phonon::VideoWidget::setBrightness(qreal)
    {28, 391, 54, 1, Smoke::mf_property|Smoke::mf_slot, 0, 22},	//473 Phonon::VideoWidget::setContrast(qreal)
    {28, 411, 54, 1, Smoke::mf_property|Smoke::mf_slot, 0, 23},	//474 Phonon::VideoWidget::setHue(qreal)
    {28, 441, 54, 1, Smoke::mf_property|Smoke::mf_slot, 0, 24},	//475 Phonon::VideoWidget::setSaturation(qreal)
    {28, 132, 223, 2, Smoke::mf_ctor|Smoke::mf_protected, 48, 25},	//476 Phonon::VideoWidget::VideoWidget(Phonon::VideoWidgetPrivate&, QWidget*)
    {28, 304, 226, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//477 Phonon::VideoWidget::mouseMoveEvent(QMouseEvent*)
    {28, 234, 217, 1, Smoke::mf_protected|Smoke::mf_virtual, 189, 27},	//478 Phonon::VideoWidget::event(QEvent*)
    {28, 489, 11, 1, Smoke::mf_static, 104, 28},	//479 Phonon::VideoWidget::tr(const char*)
    {28, 493, 11, 1, Smoke::mf_static, 104, 29},	//480 Phonon::VideoWidget::trUtf8(const char*)
    {28, 132, 0, 0, Smoke::mf_ctor, 48, 30},	//481 Phonon::VideoWidget::VideoWidget()
    {28, 471, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 214, 31},	//482 Phonon::VideoWidget::staticMetaObject() const
    {28, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 32},	//483 Phonon::VideoWidget::AspectRatioAuto (enum)
    {28, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 33},	//484 Phonon::VideoWidget::AspectRatioWidget (enum)
    {28, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 34},	//485 Phonon::VideoWidget::AspectRatio4_3 (enum)
    {28, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 35},	//486 Phonon::VideoWidget::AspectRatio16_9 (enum)
    {28, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 36},	//487 Phonon::VideoWidget::FitInView (enum)
    {28, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 37},	//488 Phonon::VideoWidget::ScaleAndCrop (enum)
    {28, 532, 0, 0, Smoke::mf_dtor, 0, 38 },	//489 Phonon::VideoWidget::~VideoWidget()
    {30, 293, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 1},	//490 Phonon::VolumeFaderEffect::metaObject() const
    {30, 356, 11, 1, Smoke::mf_virtual, 237, 2},	//491 Phonon::VolumeFaderEffect::qt_metacast(const char*)
    {30, 489, 13, 2, Smoke::mf_static, 104, 3},	//492 Phonon::VolumeFaderEffect::tr(const char*, const char*)
    {30, 493, 13, 2, Smoke::mf_static, 104, 4},	//493 Phonon::VolumeFaderEffect::trUtf8(const char*, const char*)
    {30, 489, 16, 3, Smoke::mf_static, 104, 5},	//494 Phonon::VolumeFaderEffect::tr(const char*, const char*, int)
    {30, 493, 16, 3, Smoke::mf_static, 104, 6},	//495 Phonon::VolumeFaderEffect::trUtf8(const char*, const char*, int)
    {30, 354, 20, 3, Smoke::mf_virtual, 230, 7},	//496 Phonon::VolumeFaderEffect::qt_metacall(QMetaObject::Call, int, void**)
    {30, 135, 27, 1, Smoke::mf_ctor, 52, 8},	//497 Phonon::VolumeFaderEffect::VolumeFaderEffect(QObject*)
    {30, 505, 0, 0, Smoke::mf_const|Smoke::mf_property, 229, 9},	//498 Phonon::VolumeFaderEffect::volume() const
    {30, 508, 0, 0, Smoke::mf_const|Smoke::mf_property, 228, 10},	//499 Phonon::VolumeFaderEffect::volumeDecibel() const
    {30, 238, 0, 0, Smoke::mf_const|Smoke::mf_property, 53, 11},	//500 Phonon::VolumeFaderEffect::fadeCurve() const
    {30, 239, 45, 1, Smoke::mf_slot, 0, 12},	//501 Phonon::VolumeFaderEffect::fadeIn(int)
    {30, 241, 45, 1, Smoke::mf_slot, 0, 13},	//502 Phonon::VolumeFaderEffect::fadeOut(int)
    {30, 458, 215, 1, Smoke::mf_property|Smoke::mf_slot, 0, 14},	//503 Phonon::VolumeFaderEffect::setVolume(float)
    {30, 460, 228, 1, Smoke::mf_property|Smoke::mf_slot, 0, 15},	//504 Phonon::VolumeFaderEffect::setVolumeDecibel(double)
    {30, 407, 230, 1, Smoke::mf_property|Smoke::mf_slot, 0, 16},	//505 Phonon::VolumeFaderEffect::setFadeCurve(Phonon::VolumeFaderEffect::FadeCurve)
    {30, 243, 232, 2, Smoke::mf_slot, 0, 17},	//506 Phonon::VolumeFaderEffect::fadeTo(float, int)
    {30, 489, 11, 1, Smoke::mf_static, 104, 18},	//507 Phonon::VolumeFaderEffect::tr(const char*)
    {30, 493, 11, 1, Smoke::mf_static, 104, 19},	//508 Phonon::VolumeFaderEffect::trUtf8(const char*)
    {30, 135, 0, 0, Smoke::mf_ctor, 52, 20},	//509 Phonon::VolumeFaderEffect::VolumeFaderEffect()
    {30, 471, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 214, 21},	//510 Phonon::VolumeFaderEffect::staticMetaObject() const
    {30, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 22},	//511 Phonon::VolumeFaderEffect::Fade3Decibel (enum)
    {30, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 23},	//512 Phonon::VolumeFaderEffect::Fade6Decibel (enum)
    {30, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 24},	//513 Phonon::VolumeFaderEffect::Fade9Decibel (enum)
    {30, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 25},	//514 Phonon::VolumeFaderEffect::Fade12Decibel (enum)
    {30, 533, 0, 0, Smoke::mf_dtor, 0, 26 },	//515 Phonon::VolumeFaderEffect::~VolumeFaderEffect()
    {31, 293, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 1},	//516 Phonon::VolumeSlider::metaObject() const
    {31, 356, 11, 1, Smoke::mf_virtual, 237, 2},	//517 Phonon::VolumeSlider::qt_metacast(const char*)
    {31, 489, 13, 2, Smoke::mf_static, 104, 3},	//518 Phonon::VolumeSlider::tr(const char*, const char*)
    {31, 493, 13, 2, Smoke::mf_static, 104, 4},	//519 Phonon::VolumeSlider::trUtf8(const char*, const char*)
    {31, 489, 16, 3, Smoke::mf_static, 104, 5},	//520 Phonon::VolumeSlider::tr(const char*, const char*, int)
    {31, 493, 16, 3, Smoke::mf_static, 104, 6},	//521 Phonon::VolumeSlider::trUtf8(const char*, const char*, int)
    {31, 354, 20, 3, Smoke::mf_virtual, 230, 7},	//522 Phonon::VolumeSlider::qt_metacall(QMetaObject::Call, int, void**)
    {31, 137, 201, 1, Smoke::mf_ctor, 54, 8},	//523 Phonon::VolumeSlider::VolumeSlider(QWidget*)
    {31, 137, 235, 2, Smoke::mf_ctor, 54, 9},	//524 Phonon::VolumeSlider::VolumeSlider(Phonon::AudioOutput*, QWidget*)
    {31, 255, 0, 0, Smoke::mf_const|Smoke::mf_property, 189, 10},	//525 Phonon::VolumeSlider::hasTracking() const
    {31, 453, 31, 1, Smoke::mf_property, 0, 11},	//526 Phonon::VolumeSlider::setTracking(bool)
    {31, 333, 0, 0, Smoke::mf_const|Smoke::mf_property, 230, 12},	//527 Phonon::VolumeSlider::pageStep() const
    {31, 433, 45, 1, Smoke::mf_property, 0, 13},	//528 Phonon::VolumeSlider::setPageStep(int)
    {31, 463, 0, 0, Smoke::mf_const|Smoke::mf_property, 230, 14},	//529 Phonon::VolumeSlider::singleStep() const
    {31, 445, 45, 1, Smoke::mf_property, 0, 15},	//530 Phonon::VolumeSlider::setSingleStep(int)
    {31, 275, 0, 0, Smoke::mf_const|Smoke::mf_property, 189, 16},	//531 Phonon::VolumeSlider::isMuteVisible() const
    {31, 262, 0, 0, Smoke::mf_const|Smoke::mf_property, 103, 17},	//532 Phonon::VolumeSlider::iconSize() const
    {31, 288, 0, 0, Smoke::mf_const, 228, 18},	//533 Phonon::VolumeSlider::maximumVolume() const
    {31, 328, 0, 0, Smoke::mf_const|Smoke::mf_property, 160, 19},	//534 Phonon::VolumeSlider::orientation() const
    {31, 150, 0, 0, Smoke::mf_const, 9, 20},	//535 Phonon::VolumeSlider::audioOutput() const
    {31, 417, 54, 1, Smoke::mf_property|Smoke::mf_slot, 0, 21},	//536 Phonon::VolumeSlider::setMaximumVolume(qreal)
    {31, 429, 206, 1, Smoke::mf_property|Smoke::mf_slot, 0, 22},	//537 Phonon::VolumeSlider::setOrientation(Qt::Orientation)
    {31, 423, 31, 1, Smoke::mf_property|Smoke::mf_slot, 0, 23},	//538 Phonon::VolumeSlider::setMuteVisible(bool)
    {31, 413, 208, 1, Smoke::mf_property|Smoke::mf_slot, 0, 24},	//539 Phonon::VolumeSlider::setIconSize(const QSize&)
    {31, 383, 238, 1, Smoke::mf_slot, 0, 25},	//540 Phonon::VolumeSlider::setAudioOutput(Phonon::AudioOutput*)
    {31, 489, 11, 1, Smoke::mf_static, 104, 26},	//541 Phonon::VolumeSlider::tr(const char*)
    {31, 493, 11, 1, Smoke::mf_static, 104, 27},	//542 Phonon::VolumeSlider::trUtf8(const char*)
    {31, 137, 0, 0, Smoke::mf_ctor, 54, 28},	//543 Phonon::VolumeSlider::VolumeSlider()
    {31, 137, 238, 1, Smoke::mf_ctor, 54, 29},	//544 Phonon::VolumeSlider::VolumeSlider(Phonon::AudioOutput*)
    {31, 471, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 214, 30},	//545 Phonon::VolumeSlider::staticMetaObject() const
    {31, 534, 0, 0, Smoke::mf_dtor, 0, 31 },	//546 Phonon::VolumeSlider::~VolumeSlider()
    {46, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 1},	//547 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {46, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 2},	//548 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {46, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 3},	//549 QGlobalSpace::Q_STATIC_TYPE (enum)
    {46, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 4},	//550 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {46, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 5},	//551 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {46, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 6},	//552 QGlobalSpace::QtDebugMsg (enum)
    {46, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 7},	//553 QGlobalSpace::QtWarningMsg (enum)
    {46, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 8},	//554 QGlobalSpace::QtCriticalMsg (enum)
    {46, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 9},	//555 QGlobalSpace::QtFatalMsg (enum)
    {46, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 10},	//556 QGlobalSpace::QtSystemMsg (enum)
    {46, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 11},	//557 QGlobalSpace::__codecvt_ok (enum)
    {46, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 12},	//558 QGlobalSpace::__codecvt_partial (enum)
    {46, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 13},	//559 QGlobalSpace::__codecvt_error (enum)
    {46, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 14},	//560 QGlobalSpace::__codecvt_noconv (enum)
    {57, 234, 217, 1, Smoke::mf_virtual, 189, 0},	//561 QObject::event(QEvent*)
    {57, 236, 240, 2, Smoke::mf_virtual, 189, 0},	//562 QObject::eventFilter(QObject*, QEvent*)
    {57, 483, 243, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//563 QObject::timerEvent(QTimerEvent*)
    {57, 175, 245, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//564 QObject::childEvent(QChildEvent*)
    {57, 198, 217, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//565 QObject::customEvent(QEvent*)
    {57, 179, 11, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//566 QObject::connectNotify(const char*)
    {57, 212, 11, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//567 QObject::disconnectNotify(const char*)
    {72, 207, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 230, 0},	//568 QWidget::devType() const
    {72, 457, 31, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//569 QWidget::setVisible(bool)
    {72, 465, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 103, 0},	//570 QWidget::sizeHint() const
    {72, 299, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 103, 0},	//571 QWidget::minimumSizeHint() const
    {72, 259, 45, 1, Smoke::mf_const|Smoke::mf_virtual, 230, 0},	//572 QWidget::heightForWidth(int) const
    {72, 334, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 98, 0},	//573 QWidget::paintEngine() const
    {72, 234, 217, 1, Smoke::mf_protected|Smoke::mf_virtual, 189, 0},	//574 QWidget::event(QEvent*)
    {72, 306, 226, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//575 QWidget::mousePressEvent(QMouseEvent*)
    {72, 307, 226, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//576 QWidget::mouseReleaseEvent(QMouseEvent*)
    {72, 303, 226, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//577 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {72, 304, 226, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//578 QWidget::mouseMoveEvent(QMouseEvent*)
    {72, 509, 247, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//579 QWidget::wheelEvent(QWheelEvent*)
    {72, 281, 249, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//580 QWidget::keyPressEvent(QKeyEvent*)
    {72, 282, 249, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//581 QWidget::keyReleaseEvent(QKeyEvent*)
    {72, 249, 251, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//582 QWidget::focusInEvent(QFocusEvent*)
    {72, 251, 251, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//583 QWidget::focusOutEvent(QFocusEvent*)
    {72, 228, 217, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//584 QWidget::enterEvent(QEvent*)
    {72, 284, 217, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//585 QWidget::leaveEvent(QEvent*)
    {72, 335, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//586 QWidget::paintEvent(QPaintEvent*)
    {72, 310, 255, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//587 QWidget::moveEvent(QMoveEvent*)
    {72, 369, 257, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//588 QWidget::resizeEvent(QResizeEvent*)
    {72, 178, 259, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//589 QWidget::closeEvent(QCloseEvent*)
    {72, 182, 261, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//590 QWidget::contextMenuEvent(QContextMenuEvent*)
    {72, 479, 263, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//591 QWidget::tabletEvent(QTabletEvent*)
    {72, 145, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//592 QWidget::actionEvent(QActionEvent*)
    {72, 213, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//593 QWidget::dragEnterEvent(QDragEnterEvent*)
    {72, 215, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//594 QWidget::dragMoveEvent(QDragMoveEvent*)
    {72, 214, 271, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//595 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {72, 216, 273, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//596 QWidget::dropEvent(QDropEvent*)
    {72, 462, 275, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//597 QWidget::showEvent(QShowEvent*)
    {72, 260, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//598 QWidget::hideEvent(QHideEvent*)
    {72, 513, 279, 1, Smoke::mf_protected|Smoke::mf_virtual, 189, 0},	//599 QWidget::x11Event(_XEvent*)
    {72, 172, 217, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//600 QWidget::changeEvent(QEvent*)
    {72, 294, 281, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 230, 0},	//601 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {72, 265, 283, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//602 QWidget::inputMethodEvent(QInputMethodEvent*)
    {72, 266, 285, 1, Smoke::mf_const|Smoke::mf_virtual, 111, 0},	//603 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {72, 250, 31, 1, Smoke::mf_protected|Smoke::mf_virtual, 189, 0},	//604 QWidget::focusNextPrevChild(bool)
    {72, 476, 287, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//605 QWidget::styleChange(QStyle&)
    {72, 220, 31, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//606 QWidget::enabledChange(bool)
    {72, 336, 289, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//607 QWidget::paletteChange(const QPalette&)
    {72, 252, 291, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//608 QWidget::fontChange(const QFont&)
    {72, 510, 31, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//609 QWidget::windowActivationChange(bool)
    {72, 283, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//610 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    237,  // Phonon::MediaNode::MediaNode(Phonon::MediaNodePrivate&)
    238,  // Phonon::MediaNode::MediaNode(const Phonon::MediaNode&)
    0,
    336,  // Phonon::ObjectDescriptionData::ObjectDescriptionData(Phonon::ObjectDescriptionPrivate*)
    338,  // Phonon::ObjectDescriptionData::ObjectDescriptionData(const Phonon::ObjectDescriptionData&)
    0,
    263,  // Phonon::MediaObject::enqueue(const QList<Phonon::MediaSource>&)
    264,  // Phonon::MediaObject::enqueue(const QList<QUrl>&)
    0,
    252,  // Phonon::MediaObject::metaData(const QString&) const
    253,  // Phonon::MediaObject::metaData(Phonon::MetaData) const
    0,
    260,  // Phonon::MediaObject::setQueue(const QList<Phonon::MediaSource>&)
    261,  // Phonon::MediaObject::setQueue(const QList<QUrl>&)
    0,
    386,  // Phonon::SeekSlider::SeekSlider(QWidget*)
    405,  // Phonon::SeekSlider::SeekSlider(Phonon::MediaObject*)
    0,
    523,  // Phonon::VolumeSlider::VolumeSlider(QWidget*)
    544,  // Phonon::VolumeSlider::VolumeSlider(Phonon::AudioOutput*)
    0,
    80,  // Phonon::AbstractVideoOutput::AbstractVideoOutput(Phonon::AbstractVideoOutputPrivate&)
    81,  // Phonon::AbstractVideoOutput::AbstractVideoOutput(const Phonon::AbstractVideoOutput&)
    0,
    356,  // Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData(QAbstractListModel*)
    357,  // Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData(const Phonon::ObjectDescriptionModelData&)
    0,
    297,  // Phonon::MediaSource::MediaSource(const QUrl&)
    301,  // Phonon::MediaSource::MediaSource(Phonon::AbstractMediaStream*)
    302,  // Phonon::MediaSource::MediaSource(QIODevice*)
    303,  // Phonon::MediaSource::MediaSource(const Phonon::MediaSource&)
    317,  // Phonon::MediaSource::MediaSource(Phonon::MediaSourcePrivate&)
    0,
    296,  // Phonon::MediaSource::MediaSource(const QString&)
    319,  // Phonon::MediaSource::MediaSource(Phonon::DiscType)
    0,
    299,  // Phonon::MediaSource::MediaSource(const Phonon::ObjectDescription<Phonon::AudioCaptureDeviceType>&)
    300,  // Phonon::MediaSource::MediaSource(const Phonon::ObjectDescription<Phonon::VideoCaptureDeviceType>&)
    318,  // Phonon::MediaSource::MediaSource(const QPair<QByteArray,QString>&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 8, 35},	// Phonon::AccessibilityCategory
    {1, 9, 9},	// Phonon::AlbumMetaData
    {1, 11, 8},	// Phonon::ArtistMetaData
    {1, 16, 20},	// Phonon::AudioCaptureDeviceType
    {1, 17, 18},	// Phonon::AudioChannelType
    {1, 24, 16},	// Phonon::AudioOutputDeviceType
    {1, 25, 40},	// Phonon::BufferingState
    {1, 27, 23},	// Phonon::Cd
    {1, 30, 33},	// Phonon::CommunicationCategory
    {1, 31, 11},	// Phonon::DateMetaData
    {1, 32, 14},	// Phonon::DescriptionMetaData
    {1, 36, 24},	// Phonon::Dvd
    {1, 48, 17},	// Phonon::EffectType
    {1, 53, 42},	// Phonon::ErrorState
    {1, 58, 28},	// Phonon::FatalError
    {1, 60, 34},	// Phonon::GameCategory
    {1, 61, 12},	// Phonon::GenreMetaData
    {1, 65, 36},	// Phonon::LastCategory
    {1, 68, 37},	// Phonon::LoadingState
    {1, 82, 15},	// Phonon::MusicBrainzDiscIdMetaData
    {1, 83, 31},	// Phonon::MusicCategory
    {1, 84, 29},	// Phonon::NoCategory
    {1, 85, 22},	// Phonon::NoDisc
    {1, 86, 26},	// Phonon::NoError
    {1, 87, 27},	// Phonon::NormalError
    {1, 88, 30},	// Phonon::NotificationCategory
    {1, 96, 41},	// Phonon::PausedState
    {1, 97, 39},	// Phonon::PlayingState
    {1, 114, 38},	// Phonon::StoppedState
    {1, 118, 19},	// Phonon::SubtitleType
    {1, 120, 10},	// Phonon::TitleMetaData
    {1, 123, 13},	// Phonon::TracknumberMetaData
    {1, 125, 25},	// Phonon::Vcd
    {1, 126, 21},	// Phonon::VideoCaptureDeviceType
    {1, 127, 32},	// Phonon::VideoCategory
    {1, 171, 1},	// Phonon::categoryToString$
    {1, 185, 7},	// Phonon::createPath##
    {1, 187, 5},	// Phonon::createPlayer$
    {1, 188, 4},	// Phonon::createPlayer$#
    {1, 341, 6},	// Phonon::phononVersion
    {1, 353, 3},	// Phonon::qHash#
    {1, 361, 2},	// Phonon::registerMetaTypes
    {2, 2, 50},	// Phonon::AbstractAudioOutput::AbstractAudioOutput##
    {2, 293, 43},	// Phonon::AbstractAudioOutput::metaObject
    {2, 355, 49},	// Phonon::AbstractAudioOutput::qt_metacall$$?
    {2, 357, 44},	// Phonon::AbstractAudioOutput::qt_metacast$
    {2, 471, 53},	// Phonon::AbstractAudioOutput::staticMetaObject
    {2, 490, 51},	// Phonon::AbstractAudioOutput::tr$
    {2, 491, 45},	// Phonon::AbstractAudioOutput::tr$$
    {2, 492, 47},	// Phonon::AbstractAudioOutput::tr$$$
    {2, 494, 52},	// Phonon::AbstractAudioOutput::trUtf8$
    {2, 495, 46},	// Phonon::AbstractAudioOutput::trUtf8$$
    {2, 496, 48},	// Phonon::AbstractAudioOutput::trUtf8$$$
    {2, 514, 54},	// Phonon::AbstractAudioOutput::~AbstractAudioOutput
    {4, 3, 77},	// Phonon::AbstractMediaStream::AbstractMediaStream
    {4, 4, 62},	// Phonon::AbstractMediaStream::AbstractMediaStream#
    {4, 5, 74},	// Phonon::AbstractMediaStream::AbstractMediaStream##
    {4, 221, 68},	// Phonon::AbstractMediaStream::endOfData
    {4, 224, 72},	// Phonon::AbstractMediaStream::enoughData
    {4, 231, 69},	// Phonon::AbstractMediaStream::error$$
    {4, 293, 55},	// Phonon::AbstractMediaStream::metaObject
    {4, 316, 71},	// Phonon::AbstractMediaStream::needData
    {4, 355, 61},	// Phonon::AbstractMediaStream::qt_metacall$$?
    {4, 357, 56},	// Phonon::AbstractMediaStream::qt_metacast$
    {4, 368, 70},	// Phonon::AbstractMediaStream::reset
    {4, 378, 73},	// Phonon::AbstractMediaStream::seekStream$
    {4, 448, 66},	// Phonon::AbstractMediaStream::setStreamSeekable$
    {4, 450, 64},	// Phonon::AbstractMediaStream::setStreamSize$
    {4, 471, 78},	// Phonon::AbstractMediaStream::staticMetaObject
    {4, 474, 65},	// Phonon::AbstractMediaStream::streamSeekable
    {4, 475, 63},	// Phonon::AbstractMediaStream::streamSize
    {4, 490, 75},	// Phonon::AbstractMediaStream::tr$
    {4, 491, 57},	// Phonon::AbstractMediaStream::tr$$
    {4, 492, 59},	// Phonon::AbstractMediaStream::tr$$$
    {4, 494, 76},	// Phonon::AbstractMediaStream::trUtf8$
    {4, 495, 58},	// Phonon::AbstractMediaStream::trUtf8$$
    {4, 496, 60},	// Phonon::AbstractMediaStream::trUtf8$$$
    {4, 512, 67},	// Phonon::AbstractMediaStream::writeData#
    {4, 515, 79},	// Phonon::AbstractMediaStream::~AbstractMediaStream
    {6, 7, -22},	// Phonon::AbstractVideoOutput::AbstractVideoOutput#
    {6, 516, 82},	// Phonon::AbstractVideoOutput::~AbstractVideoOutput
    {8, 18, 98},	// Phonon::AudioDataOutput::AudioDataOutput
    {8, 19, 90},	// Phonon::AudioDataOutput::AudioDataOutput#
    {8, 28, 102},	// Phonon::AudioDataOutput::CenterChannel
    {8, 66, 100},	// Phonon::AudioDataOutput::LeftChannel
    {8, 67, 103},	// Phonon::AudioDataOutput::LeftSurroundChannel
    {8, 108, 101},	// Phonon::AudioDataOutput::RightChannel
    {8, 109, 104},	// Phonon::AudioDataOutput::RightSurroundChannel
    {8, 119, 105},	// Phonon::AudioDataOutput::SubwooferChannel
    {8, 203, 94},	// Phonon::AudioDataOutput::dataReady?
    {8, 204, 91},	// Phonon::AudioDataOutput::dataSize
    {8, 223, 95},	// Phonon::AudioDataOutput::endOfMedia$
    {8, 293, 83},	// Phonon::AudioDataOutput::metaObject
    {8, 355, 89},	// Phonon::AudioDataOutput::qt_metacall$$?
    {8, 357, 84},	// Phonon::AudioDataOutput::qt_metacast$
    {8, 372, 92},	// Phonon::AudioDataOutput::sampleRate
    {8, 406, 93},	// Phonon::AudioDataOutput::setDataSize$
    {8, 471, 99},	// Phonon::AudioDataOutput::staticMetaObject
    {8, 490, 96},	// Phonon::AudioDataOutput::tr$
    {8, 491, 85},	// Phonon::AudioDataOutput::tr$$
    {8, 492, 87},	// Phonon::AudioDataOutput::tr$$$
    {8, 494, 97},	// Phonon::AudioDataOutput::trUtf8$
    {8, 495, 86},	// Phonon::AudioDataOutput::trUtf8$$
    {8, 496, 88},	// Phonon::AudioDataOutput::trUtf8$$$
    {8, 517, 106},	// Phonon::AudioDataOutput::~AudioDataOutput
    {9, 20, 133},	// Phonon::AudioOutput::AudioOutput
    {9, 21, 115},	// Phonon::AudioOutput::AudioOutput#
    {9, 22, 132},	// Phonon::AudioOutput::AudioOutput$
    {9, 23, 114},	// Phonon::AudioOutput::AudioOutput$#
    {9, 169, 119},	// Phonon::AudioOutput::category
    {9, 276, 121},	// Phonon::AudioOutput::isMuted
    {9, 293, 107},	// Phonon::AudioOutput::metaObject
    {9, 314, 128},	// Phonon::AudioOutput::mutedChanged$
    {9, 315, 116},	// Phonon::AudioOutput::name
    {9, 329, 120},	// Phonon::AudioOutput::outputDevice
    {9, 331, 129},	// Phonon::AudioOutput::outputDeviceChanged?
    {9, 355, 113},	// Phonon::AudioOutput::qt_metacall$$?
    {9, 357, 108},	// Phonon::AudioOutput::qt_metacast$
    {9, 426, 126},	// Phonon::AudioOutput::setMuted$
    {9, 428, 122},	// Phonon::AudioOutput::setName$
    {9, 432, 125},	// Phonon::AudioOutput::setOutputDevice?
    {9, 459, 123},	// Phonon::AudioOutput::setVolume$
    {9, 461, 124},	// Phonon::AudioOutput::setVolumeDecibel$
    {9, 471, 134},	// Phonon::AudioOutput::staticMetaObject
    {9, 490, 130},	// Phonon::AudioOutput::tr$
    {9, 491, 109},	// Phonon::AudioOutput::tr$$
    {9, 492, 111},	// Phonon::AudioOutput::tr$$$
    {9, 494, 131},	// Phonon::AudioOutput::trUtf8$
    {9, 495, 110},	// Phonon::AudioOutput::trUtf8$$
    {9, 496, 112},	// Phonon::AudioOutput::trUtf8$$$
    {9, 505, 117},	// Phonon::AudioOutput::volume
    {9, 507, 127},	// Phonon::AudioOutput::volumeChanged$
    {9, 508, 118},	// Phonon::AudioOutput::volumeDecibel
    {9, 518, 135},	// Phonon::AudioOutput::~AudioOutput
    {11, 38, 148},	// Phonon::Effect::Effect##
    {11, 39, 151},	// Phonon::Effect::Effect?
    {11, 40, 143},	// Phonon::Effect::Effect?#
    {11, 206, 144},	// Phonon::Effect::description
    {11, 293, 136},	// Phonon::Effect::metaObject
    {11, 338, 146},	// Phonon::Effect::parameterValue#
    {11, 339, 145},	// Phonon::Effect::parameters
    {11, 355, 142},	// Phonon::Effect::qt_metacall$$?
    {11, 357, 137},	// Phonon::Effect::qt_metacast$
    {11, 436, 147},	// Phonon::Effect::setParameterValue##
    {11, 471, 152},	// Phonon::Effect::staticMetaObject
    {11, 490, 149},	// Phonon::Effect::tr$
    {11, 491, 138},	// Phonon::Effect::tr$$
    {11, 492, 140},	// Phonon::Effect::tr$$$
    {11, 494, 150},	// Phonon::Effect::trUtf8$
    {11, 495, 139},	// Phonon::Effect::trUtf8$$
    {11, 496, 141},	// Phonon::Effect::trUtf8$$$
    {11, 519, 153},	// Phonon::Effect::~Effect
    {12, 41, 154},	// Phonon::EffectParameter::EffectParameter
    {12, 42, 166},	// Phonon::EffectParameter::EffectParameter#
    {12, 43, 170},	// Phonon::EffectParameter::EffectParameter$$$#
    {12, 44, 171},	// Phonon::EffectParameter::EffectParameter$$$##
    {12, 45, 172},	// Phonon::EffectParameter::EffectParameter$$$###
    {12, 46, 173},	// Phonon::EffectParameter::EffectParameter$$$###?
    {12, 47, 168},	// Phonon::EffectParameter::EffectParameter$$$###?$
    {12, 63, 176},	// Phonon::EffectParameter::IntegerHint
    {12, 70, 175},	// Phonon::EffectParameter::LogarithmicHint
    {12, 122, 174},	// Phonon::EffectParameter::ToggledHint
    {12, 205, 161},	// Phonon::EffectParameter::defaultValue
    {12, 206, 156},	// Phonon::EffectParameter::description
    {12, 263, 169},	// Phonon::EffectParameter::id
    {12, 274, 158},	// Phonon::EffectParameter::isLogarithmicControl
    {12, 287, 160},	// Phonon::EffectParameter::maximumValue
    {12, 300, 159},	// Phonon::EffectParameter::minimumValue
    {12, 315, 155},	// Phonon::EffectParameter::name
    {12, 321, 163},	// Phonon::EffectParameter::operator<#
    {12, 323, 167},	// Phonon::EffectParameter::operator=#
    {12, 325, 165},	// Phonon::EffectParameter::operator==#
    {12, 327, 164},	// Phonon::EffectParameter::operator>#
    {12, 344, 162},	// Phonon::EffectParameter::possibleValues
    {12, 501, 157},	// Phonon::EffectParameter::type
    {12, 520, 177},	// Phonon::EffectParameter::~EffectParameter
    {14, 50, 188},	// Phonon::EffectWidget::EffectWidget#
    {14, 51, 185},	// Phonon::EffectWidget::EffectWidget##
    {14, 293, 178},	// Phonon::EffectWidget::metaObject
    {14, 355, 184},	// Phonon::EffectWidget::qt_metacall$$?
    {14, 357, 179},	// Phonon::EffectWidget::qt_metacast$
    {14, 471, 189},	// Phonon::EffectWidget::staticMetaObject
    {14, 490, 186},	// Phonon::EffectWidget::tr$
    {14, 491, 180},	// Phonon::EffectWidget::tr$$
    {14, 492, 182},	// Phonon::EffectWidget::tr$$$
    {14, 494, 187},	// Phonon::EffectWidget::trUtf8$
    {14, 495, 181},	// Phonon::EffectWidget::trUtf8$$
    {14, 496, 183},	// Phonon::EffectWidget::trUtf8$$$
    {14, 521, 190},	// Phonon::EffectWidget::~EffectWidget
    {15, 10, 230},	// Phonon::MediaController::Angles
    {15, 29, 231},	// Phonon::MediaController::Chapters
    {15, 72, 198},	// Phonon::MediaController::MediaController#
    {15, 121, 232},	// Phonon::MediaController::Titles
    {15, 147, 222},	// Phonon::MediaController::angleChanged$
    {15, 152, 206},	// Phonon::MediaController::autoplayTitles
    {15, 153, 200},	// Phonon::MediaController::availableAngles
    {15, 155, 221},	// Phonon::MediaController::availableAnglesChanged$
    {15, 156, 209},	// Phonon::MediaController::availableAudioChannels
    {15, 157, 220},	// Phonon::MediaController::availableAudioChannelsChanged
    {15, 158, 202},	// Phonon::MediaController::availableChapters
    {15, 160, 223},	// Phonon::MediaController::availableChaptersChanged$
    {15, 161, 210},	// Phonon::MediaController::availableSubtitles
    {15, 162, 219},	// Phonon::MediaController::availableSubtitlesChanged
    {15, 163, 204},	// Phonon::MediaController::availableTitles
    {15, 165, 225},	// Phonon::MediaController::availableTitlesChanged$
    {15, 174, 224},	// Phonon::MediaController::chapterChanged$
    {15, 189, 201},	// Phonon::MediaController::currentAngle
    {15, 190, 207},	// Phonon::MediaController::currentAudioChannel
    {15, 191, 203},	// Phonon::MediaController::currentChapter
    {15, 195, 208},	// Phonon::MediaController::currentSubtitle
    {15, 197, 205},	// Phonon::MediaController::currentTitle
    {15, 293, 191},	// Phonon::MediaController::metaObject
    {15, 317, 217},	// Phonon::MediaController::nextTitle
    {15, 348, 218},	// Phonon::MediaController::previousTitle
    {15, 355, 197},	// Phonon::MediaController::qt_metacall$$?
    {15, 357, 192},	// Phonon::MediaController::qt_metacast$
    {15, 388, 216},	// Phonon::MediaController::setAutoplayTitles$
    {15, 394, 213},	// Phonon::MediaController::setCurrentAngle$
    {15, 396, 211},	// Phonon::MediaController::setCurrentAudioChannel?
    {15, 398, 214},	// Phonon::MediaController::setCurrentChapter$
    {15, 402, 212},	// Phonon::MediaController::setCurrentSubtitle?
    {15, 404, 215},	// Phonon::MediaController::setCurrentTitle$
    {15, 471, 229},	// Phonon::MediaController::staticMetaObject
    {15, 478, 199},	// Phonon::MediaController::supportedFeatures
    {15, 485, 226},	// Phonon::MediaController::titleChanged$
    {15, 490, 227},	// Phonon::MediaController::tr$
    {15, 491, 193},	// Phonon::MediaController::tr$$
    {15, 492, 195},	// Phonon::MediaController::tr$$$
    {15, 494, 228},	// Phonon::MediaController::trUtf8$
    {15, 495, 194},	// Phonon::MediaController::trUtf8$$
    {15, 496, 196},	// Phonon::MediaController::trUtf8$$$
    {15, 522, 233},	// Phonon::MediaController::~MediaController
    {16, 74, -1},	// Phonon::MediaNode::MediaNode#
    {16, 267, 235},	// Phonon::MediaNode::inputPaths
    {16, 280, 234},	// Phonon::MediaNode::isValid
    {16, 332, 236},	// Phonon::MediaNode::outputPaths
    {16, 523, 239},	// Phonon::MediaNode::~MediaNode
    {18, 75, 292},	// Phonon::MediaObject::MediaObject
    {18, 76, 247},	// Phonon::MediaObject::MediaObject#
    {18, 144, 287},	// Phonon::MediaObject::aboutToFinish
    {18, 168, 284},	// Phonon::MediaObject::bufferStatus$
    {18, 176, 278},	// Phonon::MediaObject::clear
    {18, 177, 265},	// Phonon::MediaObject::clearQueue
    {18, 192, 257},	// Phonon::MediaObject::currentSource
    {18, 194, 286},	// Phonon::MediaObject::currentSourceChanged#
    {18, 196, 266},	// Phonon::MediaObject::currentTime
    {18, 226, 262},	// Phonon::MediaObject::enqueue#
    {18, 227, -7},	// Phonon::MediaObject::enqueue?
    {18, 232, 255},	// Phonon::MediaObject::errorString
    {18, 233, 256},	// Phonon::MediaObject::errorType
    {18, 246, 285},	// Phonon::MediaObject::finished
    {18, 256, 249},	// Phonon::MediaObject::hasVideo
    {18, 258, 283},	// Phonon::MediaObject::hasVideoChanged$
    {18, 279, 250},	// Phonon::MediaObject::isSeekable
    {18, 290, 254},	// Phonon::MediaObject::metaData
    {18, 291, -10},	// Phonon::MediaObject::metaData$
    {18, 292, 281},	// Phonon::MediaObject::metaDataChanged
    {18, 293, 240},	// Phonon::MediaObject::metaObject
    {18, 340, 275},	// Phonon::MediaObject::pause
    {18, 342, 274},	// Phonon::MediaObject::play
    {18, 345, 269},	// Phonon::MediaObject::prefinishMark
    {18, 347, 288},	// Phonon::MediaObject::prefinishMarkReached$
    {18, 355, 246},	// Phonon::MediaObject::qt_metacall$$?
    {18, 357, 241},	// Phonon::MediaObject::qt_metacast$
    {18, 358, 259},	// Phonon::MediaObject::queue
    {18, 362, 268},	// Phonon::MediaObject::remainingTime
    {18, 376, 277},	// Phonon::MediaObject::seek$
    {18, 380, 282},	// Phonon::MediaObject::seekableChanged$
    {18, 400, 258},	// Phonon::MediaObject::setCurrentSource#
    {18, 438, 270},	// Phonon::MediaObject::setPrefinishMark$
    {18, 440, -13},	// Phonon::MediaObject::setQueue?
    {18, 452, 273},	// Phonon::MediaObject::setTickInterval$
    {18, 456, 272},	// Phonon::MediaObject::setTransitionTime$
    {18, 468, 248},	// Phonon::MediaObject::state
    {18, 470, 279},	// Phonon::MediaObject::stateChanged$$
    {18, 471, 293},	// Phonon::MediaObject::staticMetaObject
    {18, 472, 276},	// Phonon::MediaObject::stop
    {18, 481, 280},	// Phonon::MediaObject::tick$
    {18, 482, 251},	// Phonon::MediaObject::tickInterval
    {18, 486, 267},	// Phonon::MediaObject::totalTime
    {18, 488, 289},	// Phonon::MediaObject::totalTimeChanged$
    {18, 490, 290},	// Phonon::MediaObject::tr$
    {18, 491, 242},	// Phonon::MediaObject::tr$$
    {18, 492, 244},	// Phonon::MediaObject::tr$$$
    {18, 494, 291},	// Phonon::MediaObject::trUtf8$
    {18, 495, 243},	// Phonon::MediaObject::trUtf8$$
    {18, 496, 245},	// Phonon::MediaObject::trUtf8$$$
    {18, 497, 271},	// Phonon::MediaObject::transitionTime
    {18, 524, 294},	// Phonon::MediaObject::~MediaObject
    {19, 26, 325},	// Phonon::MediaSource::CaptureDevice
    {19, 33, 323},	// Phonon::MediaSource::Disc
    {19, 52, 326},	// Phonon::MediaSource::Empty
    {19, 64, 320},	// Phonon::MediaSource::Invalid
    {19, 69, 321},	// Phonon::MediaSource::LocalFile
    {19, 77, 295},	// Phonon::MediaSource::MediaSource
    {19, 78, -28},	// Phonon::MediaSource::MediaSource#
    {19, 79, -34},	// Phonon::MediaSource::MediaSource$
    {19, 80, 298},	// Phonon::MediaSource::MediaSource$$
    {19, 81, -37},	// Phonon::MediaSource::MediaSource?
    {19, 115, 324},	// Phonon::MediaSource::Stream
    {19, 124, 322},	// Phonon::MediaSource::Url
    {19, 149, 315},	// Phonon::MediaSource::audioCaptureDevice
    {19, 151, 307},	// Phonon::MediaSource::autoDelete
    {19, 208, 312},	// Phonon::MediaSource::deviceAccessList
    {19, 209, 313},	// Phonon::MediaSource::deviceName
    {19, 210, 311},	// Phonon::MediaSource::discType
    {19, 245, 309},	// Phonon::MediaSource::fileName
    {19, 323, 304},	// Phonon::MediaSource::operator=#
    {19, 325, 305},	// Phonon::MediaSource::operator==#
    {19, 386, 306},	// Phonon::MediaSource::setAutoDelete$
    {19, 473, 314},	// Phonon::MediaSource::stream
    {19, 501, 308},	// Phonon::MediaSource::type
    {19, 502, 310},	// Phonon::MediaSource::url
    {19, 503, 316},	// Phonon::MediaSource::videoCaptureDevice
    {19, 525, 327},	// Phonon::MediaSource::~MediaSource
    {21, 89, 339},	// Phonon::ObjectDescriptionData::ObjectDescriptionData
    {21, 90, -4},	// Phonon::ObjectDescriptionData::ObjectDescriptionData#
    {21, 91, 337},	// Phonon::ObjectDescriptionData::ObjectDescriptionData$?
    {21, 206, 330},	// Phonon::ObjectDescriptionData::description
    {21, 254, 335},	// Phonon::ObjectDescriptionData::fromIndex$$
    {21, 264, 334},	// Phonon::ObjectDescriptionData::index
    {21, 280, 333},	// Phonon::ObjectDescriptionData::isValid
    {21, 315, 329},	// Phonon::ObjectDescriptionData::name
    {21, 325, 328},	// Phonon::ObjectDescriptionData::operator==#
    {21, 350, 331},	// Phonon::ObjectDescriptionData::property$
    {21, 351, 332},	// Phonon::ObjectDescriptionData::propertyNames
    {21, 526, 340},	// Phonon::ObjectDescriptionData::~ObjectDescriptionData
    {22, 93, -25},	// Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData#
    {22, 200, 359},	// Phonon::ObjectDescriptionModelData::data#
    {22, 201, 342},	// Phonon::ObjectDescriptionModelData::data#$
    {22, 218, 353},	// Phonon::ObjectDescriptionModelData::dropMimeData$#$$$#
    {22, 248, 343},	// Phonon::ObjectDescriptionModelData::flags#
    {22, 296, 346},	// Phonon::ObjectDescriptionModelData::mimeData$?
    {22, 298, 355},	// Phonon::ObjectDescriptionModelData::mimeTypes$
    {22, 301, 350},	// Phonon::ObjectDescriptionModelData::modelData
    {22, 302, 351},	// Phonon::ObjectDescriptionModelData::modelData#
    {22, 309, 348},	// Phonon::ObjectDescriptionModelData::moveDown#
    {22, 312, 347},	// Phonon::ObjectDescriptionModelData::moveUp#
    {22, 366, 360},	// Phonon::ObjectDescriptionModelData::removeRows$$
    {22, 367, 354},	// Phonon::ObjectDescriptionModelData::removeRows$$#
    {22, 370, 358},	// Phonon::ObjectDescriptionModelData::rowCount
    {22, 371, 341},	// Phonon::ObjectDescriptionModelData::rowCount#
    {22, 422, 349},	// Phonon::ObjectDescriptionModelData::setModelData?
    {22, 477, 352},	// Phonon::ObjectDescriptionModelData::supportedDropActions
    {22, 499, 345},	// Phonon::ObjectDescriptionModelData::tupleIndexAtPositionIndex$
    {22, 500, 344},	// Phonon::ObjectDescriptionModelData::tupleIndexOrder
    {22, 527, 361},	// Phonon::ObjectDescriptionModelData::~ObjectDescriptionModelData
    {24, 94, 362},	// Phonon::Path::Path
    {24, 95, 363},	// Phonon::Path::Path#
    {24, 211, 370},	// Phonon::Path::disconnect
    {24, 219, 368},	// Phonon::Path::effects
    {24, 269, 377},	// Phonon::Path::insertEffect#
    {24, 270, 366},	// Phonon::Path::insertEffect##
    {24, 271, 376},	// Phonon::Path::insertEffect?
    {24, 272, 365},	// Phonon::Path::insertEffect?#
    {24, 280, 364},	// Phonon::Path::isValid
    {24, 319, 373},	// Phonon::Path::operator!=#
    {24, 323, 371},	// Phonon::Path::operator=#
    {24, 325, 372},	// Phonon::Path::operator==#
    {24, 360, 369},	// Phonon::Path::reconnect##
    {24, 364, 367},	// Phonon::Path::removeEffect#
    {24, 464, 375},	// Phonon::Path::sink
    {24, 467, 374},	// Phonon::Path::source
    {24, 528, 378},	// Phonon::Path::~Path
    {25, 111, 404},	// Phonon::SeekSlider::SeekSlider
    {25, 112, -16},	// Phonon::SeekSlider::SeekSlider#
    {25, 113, 387},	// Phonon::SeekSlider::SeekSlider##
    {25, 255, 388},	// Phonon::SeekSlider::hasTracking
    {25, 262, 396},	// Phonon::SeekSlider::iconSize
    {25, 273, 395},	// Phonon::SeekSlider::isIconVisible
    {25, 289, 397},	// Phonon::SeekSlider::mediaObject
    {25, 293, 379},	// Phonon::SeekSlider::metaObject
    {25, 328, 394},	// Phonon::SeekSlider::orientation
    {25, 333, 390},	// Phonon::SeekSlider::pageStep
    {25, 355, 385},	// Phonon::SeekSlider::qt_metacall$$?
    {25, 357, 380},	// Phonon::SeekSlider::qt_metacast$
    {25, 414, 400},	// Phonon::SeekSlider::setIconSize#
    {25, 416, 399},	// Phonon::SeekSlider::setIconVisible$
    {25, 420, 401},	// Phonon::SeekSlider::setMediaObject#
    {25, 430, 398},	// Phonon::SeekSlider::setOrientation$
    {25, 434, 391},	// Phonon::SeekSlider::setPageStep$
    {25, 446, 393},	// Phonon::SeekSlider::setSingleStep$
    {25, 454, 389},	// Phonon::SeekSlider::setTracking$
    {25, 463, 392},	// Phonon::SeekSlider::singleStep
    {25, 471, 406},	// Phonon::SeekSlider::staticMetaObject
    {25, 490, 402},	// Phonon::SeekSlider::tr$
    {25, 491, 381},	// Phonon::SeekSlider::tr$$
    {25, 492, 383},	// Phonon::SeekSlider::tr$$$
    {25, 494, 403},	// Phonon::SeekSlider::trUtf8$
    {25, 495, 382},	// Phonon::SeekSlider::trUtf8$$
    {25, 496, 384},	// Phonon::SeekSlider::trUtf8$$$
    {25, 529, 407},	// Phonon::SeekSlider::~SeekSlider
    {26, 116, 417},	// Phonon::StreamInterface::StreamInterface
    {26, 117, 418},	// Phonon::StreamInterface::StreamInterface#
    {26, 181, 412},	// Phonon::StreamInterface::connectToSource#
    {26, 221, 409},	// Phonon::StreamInterface::endOfData
    {26, 224, 414},	// Phonon::StreamInterface::enoughData
    {26, 316, 413},	// Phonon::StreamInterface::needData
    {26, 368, 416},	// Phonon::StreamInterface::reset
    {26, 378, 415},	// Phonon::StreamInterface::seekStream$
    {26, 448, 411},	// Phonon::StreamInterface::setStreamSeekable$
    {26, 450, 410},	// Phonon::StreamInterface::setStreamSize$
    {26, 512, 408},	// Phonon::StreamInterface::writeData#
    {26, 530, 419},	// Phonon::StreamInterface::~StreamInterface
    {27, 128, 449},	// Phonon::VideoPlayer::VideoPlayer
    {27, 129, 428},	// Phonon::VideoPlayer::VideoPlayer#
    {27, 130, 448},	// Phonon::VideoPlayer::VideoPlayer$
    {27, 131, 427},	// Phonon::VideoPlayer::VideoPlayer$#
    {27, 150, 435},	// Phonon::VideoPlayer::audioOutput
    {27, 196, 430},	// Phonon::VideoPlayer::currentTime
    {27, 235, 445},	// Phonon::VideoPlayer::event#
    {27, 246, 444},	// Phonon::VideoPlayer::finished
    {27, 277, 433},	// Phonon::VideoPlayer::isPaused
    {27, 278, 432},	// Phonon::VideoPlayer::isPlaying
    {27, 286, 437},	// Phonon::VideoPlayer::load#
    {27, 289, 434},	// Phonon::VideoPlayer::mediaObject
    {27, 293, 420},	// Phonon::VideoPlayer::metaObject
    {27, 340, 440},	// Phonon::VideoPlayer::pause
    {27, 342, 439},	// Phonon::VideoPlayer::play
    {27, 343, 438},	// Phonon::VideoPlayer::play#
    {27, 355, 426},	// Phonon::VideoPlayer::qt_metacall$$?
    {27, 357, 421},	// Phonon::VideoPlayer::qt_metacast$
    {27, 376, 442},	// Phonon::VideoPlayer::seek$
    {27, 459, 443},	// Phonon::VideoPlayer::setVolume$
    {27, 471, 450},	// Phonon::VideoPlayer::staticMetaObject
    {27, 472, 441},	// Phonon::VideoPlayer::stop
    {27, 486, 429},	// Phonon::VideoPlayer::totalTime
    {27, 490, 446},	// Phonon::VideoPlayer::tr$
    {27, 491, 422},	// Phonon::VideoPlayer::tr$$
    {27, 492, 424},	// Phonon::VideoPlayer::tr$$$
    {27, 494, 447},	// Phonon::VideoPlayer::trUtf8$
    {27, 495, 423},	// Phonon::VideoPlayer::trUtf8$$
    {27, 496, 425},	// Phonon::VideoPlayer::trUtf8$$$
    {27, 504, 436},	// Phonon::VideoPlayer::videoWidget
    {27, 505, 431},	// Phonon::VideoPlayer::volume
    {27, 531, 451},	// Phonon::VideoPlayer::~VideoPlayer
    {28, 12, 486},	// Phonon::VideoWidget::AspectRatio16_9
    {28, 13, 485},	// Phonon::VideoWidget::AspectRatio4_3
    {28, 14, 483},	// Phonon::VideoWidget::AspectRatioAuto
    {28, 15, 484},	// Phonon::VideoWidget::AspectRatioWidget
    {28, 59, 487},	// Phonon::VideoWidget::FitInView
    {28, 110, 488},	// Phonon::VideoWidget::ScaleAndCrop
    {28, 132, 481},	// Phonon::VideoWidget::VideoWidget
    {28, 133, 459},	// Phonon::VideoWidget::VideoWidget#
    {28, 134, 476},	// Phonon::VideoWidget::VideoWidget##
    {28, 148, 460},	// Phonon::VideoWidget::aspectRatio
    {28, 166, 462},	// Phonon::VideoWidget::brightness
    {28, 183, 463},	// Phonon::VideoWidget::contrast
    {28, 229, 469},	// Phonon::VideoWidget::enterFullScreen
    {28, 235, 478},	// Phonon::VideoWidget::event#
    {28, 237, 468},	// Phonon::VideoWidget::exitFullScreen
    {28, 261, 464},	// Phonon::VideoWidget::hue
    {28, 293, 452},	// Phonon::VideoWidget::metaObject
    {28, 305, 477},	// Phonon::VideoWidget::mouseMoveEvent#
    {28, 355, 458},	// Phonon::VideoWidget::qt_metacall$$?
    {28, 357, 453},	// Phonon::VideoWidget::qt_metacast$
    {28, 373, 465},	// Phonon::VideoWidget::saturation
    {28, 374, 461},	// Phonon::VideoWidget::scaleMode
    {28, 382, 470},	// Phonon::VideoWidget::setAspectRatio$
    {28, 390, 472},	// Phonon::VideoWidget::setBrightness$
    {28, 392, 473},	// Phonon::VideoWidget::setContrast$
    {28, 410, 467},	// Phonon::VideoWidget::setFullScreen$
    {28, 412, 474},	// Phonon::VideoWidget::setHue$
    {28, 442, 475},	// Phonon::VideoWidget::setSaturation$
    {28, 444, 471},	// Phonon::VideoWidget::setScaleMode$
    {28, 466, 466},	// Phonon::VideoWidget::snapshot
    {28, 471, 482},	// Phonon::VideoWidget::staticMetaObject
    {28, 490, 479},	// Phonon::VideoWidget::tr$
    {28, 491, 454},	// Phonon::VideoWidget::tr$$
    {28, 492, 456},	// Phonon::VideoWidget::tr$$$
    {28, 494, 480},	// Phonon::VideoWidget::trUtf8$
    {28, 495, 455},	// Phonon::VideoWidget::trUtf8$$
    {28, 496, 457},	// Phonon::VideoWidget::trUtf8$$$
    {28, 532, 489},	// Phonon::VideoWidget::~VideoWidget
    {30, 54, 514},	// Phonon::VolumeFaderEffect::Fade12Decibel
    {30, 55, 511},	// Phonon::VolumeFaderEffect::Fade3Decibel
    {30, 56, 512},	// Phonon::VolumeFaderEffect::Fade6Decibel
    {30, 57, 513},	// Phonon::VolumeFaderEffect::Fade9Decibel
    {30, 135, 509},	// Phonon::VolumeFaderEffect::VolumeFaderEffect
    {30, 136, 497},	// Phonon::VolumeFaderEffect::VolumeFaderEffect#
    {30, 238, 500},	// Phonon::VolumeFaderEffect::fadeCurve
    {30, 240, 501},	// Phonon::VolumeFaderEffect::fadeIn$
    {30, 242, 502},	// Phonon::VolumeFaderEffect::fadeOut$
    {30, 244, 506},	// Phonon::VolumeFaderEffect::fadeTo$$
    {30, 293, 490},	// Phonon::VolumeFaderEffect::metaObject
    {30, 355, 496},	// Phonon::VolumeFaderEffect::qt_metacall$$?
    {30, 357, 491},	// Phonon::VolumeFaderEffect::qt_metacast$
    {30, 408, 505},	// Phonon::VolumeFaderEffect::setFadeCurve$
    {30, 459, 503},	// Phonon::VolumeFaderEffect::setVolume$
    {30, 461, 504},	// Phonon::VolumeFaderEffect::setVolumeDecibel$
    {30, 471, 510},	// Phonon::VolumeFaderEffect::staticMetaObject
    {30, 490, 507},	// Phonon::VolumeFaderEffect::tr$
    {30, 491, 492},	// Phonon::VolumeFaderEffect::tr$$
    {30, 492, 494},	// Phonon::VolumeFaderEffect::tr$$$
    {30, 494, 508},	// Phonon::VolumeFaderEffect::trUtf8$
    {30, 495, 493},	// Phonon::VolumeFaderEffect::trUtf8$$
    {30, 496, 495},	// Phonon::VolumeFaderEffect::trUtf8$$$
    {30, 505, 498},	// Phonon::VolumeFaderEffect::volume
    {30, 508, 499},	// Phonon::VolumeFaderEffect::volumeDecibel
    {30, 533, 515},	// Phonon::VolumeFaderEffect::~VolumeFaderEffect
    {31, 137, 543},	// Phonon::VolumeSlider::VolumeSlider
    {31, 138, -19},	// Phonon::VolumeSlider::VolumeSlider#
    {31, 139, 524},	// Phonon::VolumeSlider::VolumeSlider##
    {31, 150, 535},	// Phonon::VolumeSlider::audioOutput
    {31, 255, 525},	// Phonon::VolumeSlider::hasTracking
    {31, 262, 532},	// Phonon::VolumeSlider::iconSize
    {31, 275, 531},	// Phonon::VolumeSlider::isMuteVisible
    {31, 288, 533},	// Phonon::VolumeSlider::maximumVolume
    {31, 293, 516},	// Phonon::VolumeSlider::metaObject
    {31, 328, 534},	// Phonon::VolumeSlider::orientation
    {31, 333, 527},	// Phonon::VolumeSlider::pageStep
    {31, 355, 522},	// Phonon::VolumeSlider::qt_metacall$$?
    {31, 357, 517},	// Phonon::VolumeSlider::qt_metacast$
    {31, 384, 540},	// Phonon::VolumeSlider::setAudioOutput#
    {31, 414, 539},	// Phonon::VolumeSlider::setIconSize#
    {31, 418, 536},	// Phonon::VolumeSlider::setMaximumVolume$
    {31, 424, 538},	// Phonon::VolumeSlider::setMuteVisible$
    {31, 430, 537},	// Phonon::VolumeSlider::setOrientation$
    {31, 434, 528},	// Phonon::VolumeSlider::setPageStep$
    {31, 446, 530},	// Phonon::VolumeSlider::setSingleStep$
    {31, 454, 526},	// Phonon::VolumeSlider::setTracking$
    {31, 463, 529},	// Phonon::VolumeSlider::singleStep
    {31, 471, 545},	// Phonon::VolumeSlider::staticMetaObject
    {31, 490, 541},	// Phonon::VolumeSlider::tr$
    {31, 491, 518},	// Phonon::VolumeSlider::tr$$
    {31, 492, 520},	// Phonon::VolumeSlider::tr$$$
    {31, 494, 542},	// Phonon::VolumeSlider::trUtf8$
    {31, 495, 519},	// Phonon::VolumeSlider::trUtf8$$
    {31, 496, 521},	// Phonon::VolumeSlider::trUtf8$$$
    {31, 534, 546},	// Phonon::VolumeSlider::~VolumeSlider
    {46, 98, 547},	// QGlobalSpace::Q_COMPLEX_TYPE
    {46, 99, 551},	// QGlobalSpace::Q_DUMMY_TYPE
    {46, 100, 550},	// QGlobalSpace::Q_MOVABLE_TYPE
    {46, 101, 548},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {46, 102, 549},	// QGlobalSpace::Q_STATIC_TYPE
    {46, 103, 554},	// QGlobalSpace::QtCriticalMsg
    {46, 104, 552},	// QGlobalSpace::QtDebugMsg
    {46, 105, 555},	// QGlobalSpace::QtFatalMsg
    {46, 106, 556},	// QGlobalSpace::QtSystemMsg
    {46, 107, 553},	// QGlobalSpace::QtWarningMsg
    {46, 140, 559},	// QGlobalSpace::__codecvt_error
    {46, 141, 560},	// QGlobalSpace::__codecvt_noconv
    {46, 142, 557},	// QGlobalSpace::__codecvt_ok
    {46, 143, 558},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *phonon_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_phonon_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    phonon_Smoke = new Smoke(
        "phonon",
        __smokephonon::classes, 72,
        __smokephonon::methods, 611,
        __smokephonon::methodMaps, 545,
        __smokephonon::methodNames, 534,
        __smokephonon::types, 239,
        __smokephonon::inheritanceList,
        __smokephonon::argumentList,
        __smokephonon::ambiguousMethodList,
        __smokephonon::cast );
    initialized = true;
}

void delete_phonon_Smoke() { delete phonon_Smoke; }

}
