#include <plasma_includes.h>

#include <smoke.h>
#include <plasma_smoke.h>

namespace __smokeplasma {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KAction
      switch(to) {
        case 1: return (void*)(KAction*)xptr;
        default: return xptr;
      }
    case 2:   //KActionCollection
      switch(to) {
        case 2: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 3:   //KCharsets
      switch(to) {
        case 3: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 4:   //KComboBox
      switch(to) {
        case 4: return (void*)(KComboBox*)xptr;
        default: return xptr;
      }
    case 5:   //KComponentData
      switch(to) {
        case 5: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 6:   //KConfigBase
      switch(to) {
        case 6: return (void*)(KConfigBase*)xptr;
        default: return xptr;
      }
    case 7:   //KConfigDialog
      switch(to) {
        case 7: return (void*)(KConfigDialog*)xptr;
        default: return xptr;
      }
    case 8:   //KConfigGroup
      switch(to) {
        case 6: return (void*)(KConfigBase*)(KConfigGroup*)xptr;
        case 8: return (void*)(KConfigGroup*)xptr;
        default: return xptr;
      }
    case 9:   //KConfigSkeleton
      switch(to) {
        case 11: return (void*)(KCoreConfigSkeleton*)(KConfigSkeleton*)xptr;
        case 163: return (void*)(QObject*)(KConfigSkeleton*)xptr;
        case 9: return (void*)(KConfigSkeleton*)xptr;
        case 47: return (void*)(Plasma::ConfigLoader*)(KConfigSkeleton*)xptr;
        default: return xptr;
      }
    case 10:   //KConfigSkeletonItem
      switch(to) {
        case 10: return (void*)(KConfigSkeletonItem*)xptr;
        default: return xptr;
      }
    case 11:   //KCoreConfigSkeleton
      switch(to) {
        case 163: return (void*)(QObject*)(KCoreConfigSkeleton*)xptr;
        case 11: return (void*)(KCoreConfigSkeleton*)xptr;
        case 47: return (void*)(Plasma::ConfigLoader*)(KCoreConfigSkeleton*)xptr;
        default: return xptr;
      }
    case 12:   //KIcon
      switch(to) {
        case 151: return (void*)(QIcon*)(KIcon*)xptr;
        case 12: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 13:   //KIntSpinBox
      switch(to) {
        case 13: return (void*)(KIntSpinBox*)xptr;
        default: return xptr;
      }
    case 14:   //KJob
      switch(to) {
        case 163: return (void*)(QObject*)(KJob*)xptr;
        case 14: return (void*)(KJob*)xptr;
        case 91: return (void*)(Plasma::ServiceJob*)(KJob*)xptr;
        case 33: return (void*)(Plasma::AccessAppletJob*)(KJob*)xptr;
        case 90: return (void*)(Plasma::ServiceAccessJob*)(KJob*)xptr;
        default: return xptr;
      }
    case 15:   //KLineEdit
      switch(to) {
        case 15: return (void*)(KLineEdit*)xptr;
        default: return xptr;
      }
    case 16:   //KLocale
      switch(to) {
        case 16: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 17:   //KPluginInfo
      switch(to) {
        case 17: return (void*)(KPluginInfo*)xptr;
        default: return xptr;
      }
    case 18:   //KPushButton
      switch(to) {
        case 18: return (void*)(KPushButton*)xptr;
        default: return xptr;
      }
    case 19:   //KServiceAction
      switch(to) {
        case 19: return (void*)(KServiceAction*)xptr;
        default: return xptr;
      }
    case 20:   //KShortcut
      switch(to) {
        case 20: return (void*)(KShortcut*)xptr;
        default: return xptr;
      }
    case 21:   //KStandardDirs
      switch(to) {
        case 21: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 22:   //KTabBar
      switch(to) {
        case 199: return (void*)(QWidget*)(KTabBar*)xptr;
        case 163: return (void*)(QObject*)(KTabBar*)xptr;
        case 22: return (void*)(KTabBar*)xptr;
        default: return xptr;
      }
    case 23:   //KTextBrowser
      switch(to) {
        case 23: return (void*)(KTextBrowser*)xptr;
        default: return xptr;
      }
    case 24:   //KTextEdit
      switch(to) {
        case 24: return (void*)(KTextEdit*)xptr;
        default: return xptr;
      }
    case 25:   //KUrl
      switch(to) {
        case 194: return (void*)(QUrl*)(KUrl*)xptr;
        case 25: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 26:   //Phonon::AudioOutput
      switch(to) {
        case 26: return (void*)(Phonon::AudioOutput*)xptr;
        default: return xptr;
      }
    case 27:   //Phonon::MediaObject
      switch(to) {
        case 27: return (void*)(Phonon::MediaObject*)xptr;
        default: return xptr;
      }
    case 28:   //Phonon::VideoWidget
      switch(to) {
        case 28: return (void*)(Phonon::VideoWidget*)xptr;
        default: return xptr;
      }
    case 30:   //Plasma::AbstractDialogManager
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::AbstractDialogManager*)xptr;
        case 30: return (void*)(Plasma::AbstractDialogManager*)xptr;
        default: return xptr;
      }
    case 31:   //Plasma::AbstractRunner
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::AbstractRunner*)xptr;
        case 31: return (void*)(Plasma::AbstractRunner*)xptr;
        default: return xptr;
      }
    case 32:   //Plasma::AbstractToolBox
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::AbstractToolBox*)xptr;
        case 163: return (void*)(QObject*)(Plasma::AbstractToolBox*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::AbstractToolBox*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::AbstractToolBox*)xptr;
        case 32: return (void*)(Plasma::AbstractToolBox*)xptr;
        default: return xptr;
      }
    case 33:   //Plasma::AccessAppletJob
      switch(to) {
        case 14: return (void*)(KJob*)(Plasma::AccessAppletJob*)xptr;
        case 163: return (void*)(QObject*)(Plasma::AccessAppletJob*)xptr;
        case 33: return (void*)(Plasma::AccessAppletJob*)xptr;
        default: return xptr;
      }
    case 34:   //Plasma::AccessManager
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::AccessManager*)xptr;
        case 34: return (void*)(Plasma::AccessManager*)xptr;
        default: return xptr;
      }
    case 35:   //Plasma::Animation
      switch(to) {
        case 110: return (void*)(QAbstractAnimation*)(Plasma::Animation*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Animation*)xptr;
        case 35: return (void*)(Plasma::Animation*)xptr;
        default: return xptr;
      }
    case 36:   //Plasma::AnimationDriver
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::AnimationDriver*)xptr;
        case 36: return (void*)(Plasma::AnimationDriver*)xptr;
        default: return xptr;
      }
    case 37:   //Plasma::Animator
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::Animator*)xptr;
        case 37: return (void*)(Plasma::Animator*)xptr;
        default: return xptr;
      }
    case 38:   //Plasma::Applet
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Applet*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Applet*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Applet*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Applet*)xptr;
        case 38: return (void*)(Plasma::Applet*)xptr;
        case 48: return (void*)(Plasma::Containment*)(Plasma::Applet*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)(Plasma::Applet*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)(Plasma::Applet*)xptr;
        default: return xptr;
      }
    case 39:   //Plasma::AppletScript
      switch(to) {
        case 85: return (void*)(Plasma::ScriptEngine*)(Plasma::AppletScript*)xptr;
        case 163: return (void*)(QObject*)(Plasma::AppletScript*)xptr;
        case 39: return (void*)(Plasma::AppletScript*)xptr;
        default: return xptr;
      }
    case 40:   //Plasma::AuthorizationInterface
      switch(to) {
        case 40: return (void*)(Plasma::AuthorizationInterface*)xptr;
        default: return xptr;
      }
    case 41:   //Plasma::AuthorizationManager
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::AuthorizationManager*)xptr;
        case 41: return (void*)(Plasma::AuthorizationManager*)xptr;
        default: return xptr;
      }
    case 42:   //Plasma::AuthorizationRule
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::AuthorizationRule*)xptr;
        case 42: return (void*)(Plasma::AuthorizationRule*)xptr;
        default: return xptr;
      }
    case 43:   //Plasma::BusyWidget
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::BusyWidget*)xptr;
        case 163: return (void*)(QObject*)(Plasma::BusyWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::BusyWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::BusyWidget*)xptr;
        case 43: return (void*)(Plasma::BusyWidget*)xptr;
        default: return xptr;
      }
    case 44:   //Plasma::CheckBox
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::CheckBox*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::CheckBox*)xptr;
        case 163: return (void*)(QObject*)(Plasma::CheckBox*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::CheckBox*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::CheckBox*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)xptr;
        default: return xptr;
      }
    case 45:   //Plasma::ClientPinRequest
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::ClientPinRequest*)xptr;
        case 45: return (void*)(Plasma::ClientPinRequest*)xptr;
        default: return xptr;
      }
    case 46:   //Plasma::ComboBox
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::ComboBox*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ComboBox*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ComboBox*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ComboBox*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ComboBox*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)xptr;
        default: return xptr;
      }
    case 47:   //Plasma::ConfigLoader
      switch(to) {
        case 9: return (void*)(KConfigSkeleton*)(Plasma::ConfigLoader*)xptr;
        case 11: return (void*)(KCoreConfigSkeleton*)(Plasma::ConfigLoader*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ConfigLoader*)xptr;
        case 47: return (void*)(Plasma::ConfigLoader*)xptr;
        default: return xptr;
      }
    case 48:   //Plasma::Containment
      switch(to) {
        case 38: return (void*)(Plasma::Applet*)(Plasma::Containment*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Containment*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Containment*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Containment*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Containment*)xptr;
        case 48: return (void*)(Plasma::Containment*)xptr;
        default: return xptr;
      }
    case 49:   //Plasma::Containment::StyleOption
      switch(to) {
        case 186: return (void*)(QStyleOptionGraphicsItem*)(Plasma::Containment::StyleOption*)xptr;
        case 185: return (void*)(QStyleOption*)(Plasma::Containment::StyleOption*)xptr;
        case 49: return (void*)(Plasma::Containment::StyleOption*)xptr;
        default: return xptr;
      }
    case 50:   //Plasma::ContainmentActions
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::ContainmentActions*)xptr;
        case 50: return (void*)(Plasma::ContainmentActions*)xptr;
        default: return xptr;
      }
    case 51:   //Plasma::ContainmentActionsPluginsConfig
      switch(to) {
        case 51: return (void*)(Plasma::ContainmentActionsPluginsConfig*)xptr;
        default: return xptr;
      }
    case 52:   //Plasma::Context
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::Context*)xptr;
        case 52: return (void*)(Plasma::Context*)xptr;
        default: return xptr;
      }
    case 53:   //Plasma::Corona
      switch(to) {
        case 137: return (void*)(QGraphicsScene*)(Plasma::Corona*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Corona*)xptr;
        case 53: return (void*)(Plasma::Corona*)xptr;
        default: return xptr;
      }
    case 54:   //Plasma::DataContainer
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::DataContainer*)xptr;
        case 54: return (void*)(Plasma::DataContainer*)xptr;
        default: return xptr;
      }
    case 55:   //Plasma::DataEngine
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::DataEngine*)xptr;
        case 55: return (void*)(Plasma::DataEngine*)xptr;
        default: return xptr;
      }
    case 56:   //Plasma::DataEngineManager
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::DataEngineManager*)xptr;
        case 56: return (void*)(Plasma::DataEngineManager*)xptr;
        default: return xptr;
      }
    case 57:   //Plasma::DataEngineScript
      switch(to) {
        case 85: return (void*)(Plasma::ScriptEngine*)(Plasma::DataEngineScript*)xptr;
        case 163: return (void*)(QObject*)(Plasma::DataEngineScript*)xptr;
        case 57: return (void*)(Plasma::DataEngineScript*)xptr;
        default: return xptr;
      }
    case 58:   //Plasma::Delegate
      switch(to) {
        case 111: return (void*)(QAbstractItemDelegate*)(Plasma::Delegate*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Delegate*)xptr;
        case 58: return (void*)(Plasma::Delegate*)xptr;
        default: return xptr;
      }
    case 59:   //Plasma::Dialog
      switch(to) {
        case 199: return (void*)(QWidget*)(Plasma::Dialog*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Dialog*)xptr;
        case 59: return (void*)(Plasma::Dialog*)xptr;
        default: return xptr;
      }
    case 60:   //Plasma::Extender
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Extender*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Extender*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Extender*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Extender*)xptr;
        case 60: return (void*)(Plasma::Extender*)xptr;
        default: return xptr;
      }
    case 61:   //Plasma::ExtenderGroup
      switch(to) {
        case 62: return (void*)(Plasma::ExtenderItem*)(Plasma::ExtenderGroup*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ExtenderGroup*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ExtenderGroup*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ExtenderGroup*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ExtenderGroup*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)xptr;
        default: return xptr;
      }
    case 62:   //Plasma::ExtenderItem
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ExtenderItem*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ExtenderItem*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ExtenderItem*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ExtenderItem*)xptr;
        case 62: return (void*)(Plasma::ExtenderItem*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)(Plasma::ExtenderItem*)xptr;
        default: return xptr;
      }
    case 63:   //Plasma::FlashingLabel
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::FlashingLabel*)xptr;
        case 163: return (void*)(QObject*)(Plasma::FlashingLabel*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::FlashingLabel*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::FlashingLabel*)xptr;
        case 63: return (void*)(Plasma::FlashingLabel*)xptr;
        default: return xptr;
      }
    case 64:   //Plasma::Frame
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Frame*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Frame*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Frame*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Frame*)xptr;
        case 64: return (void*)(Plasma::Frame*)xptr;
        default: return xptr;
      }
    case 65:   //Plasma::FrameSvg
      switch(to) {
        case 95: return (void*)(Plasma::Svg*)(Plasma::FrameSvg*)xptr;
        case 163: return (void*)(QObject*)(Plasma::FrameSvg*)xptr;
        case 65: return (void*)(Plasma::FrameSvg*)xptr;
        default: return xptr;
      }
    case 66:   //Plasma::GLApplet
      switch(to) {
        case 38: return (void*)(Plasma::Applet*)(Plasma::GLApplet*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::GLApplet*)xptr;
        case 163: return (void*)(QObject*)(Plasma::GLApplet*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::GLApplet*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::GLApplet*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)xptr;
        default: return xptr;
      }
    case 67:   //Plasma::GroupBox
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::GroupBox*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::GroupBox*)xptr;
        case 163: return (void*)(QObject*)(Plasma::GroupBox*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::GroupBox*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::GroupBox*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)xptr;
        default: return xptr;
      }
    case 68:   //Plasma::IconWidget
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::IconWidget*)xptr;
        case 163: return (void*)(QObject*)(Plasma::IconWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::IconWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::IconWidget*)xptr;
        case 68: return (void*)(Plasma::IconWidget*)xptr;
        default: return xptr;
      }
    case 69:   //Plasma::ItemBackground
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ItemBackground*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ItemBackground*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ItemBackground*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ItemBackground*)xptr;
        case 69: return (void*)(Plasma::ItemBackground*)xptr;
        default: return xptr;
      }
    case 70:   //Plasma::Label
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::Label*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Label*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Label*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Label*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Label*)xptr;
        case 70: return (void*)(Plasma::Label*)xptr;
        default: return xptr;
      }
    case 71:   //Plasma::LineEdit
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::LineEdit*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::LineEdit*)xptr;
        case 163: return (void*)(QObject*)(Plasma::LineEdit*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::LineEdit*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::LineEdit*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)xptr;
        default: return xptr;
      }
    case 72:   //Plasma::Meter
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Meter*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Meter*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Meter*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Meter*)xptr;
        case 72: return (void*)(Plasma::Meter*)xptr;
        default: return xptr;
      }
    case 73:   //Plasma::Package
      switch(to) {
        case 73: return (void*)(Plasma::Package*)xptr;
        default: return xptr;
      }
    case 74:   //Plasma::PackageMetadata
      switch(to) {
        case 74: return (void*)(Plasma::PackageMetadata*)xptr;
        default: return xptr;
      }
    case 75:   //Plasma::PackageStructure
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::PackageStructure*)xptr;
        case 179: return (void*)(QSharedData*)(Plasma::PackageStructure*)xptr;
        case 75: return (void*)(Plasma::PackageStructure*)xptr;
        default: return xptr;
      }
    case 76:   //Plasma::PlotColor
      switch(to) {
        case 76: return (void*)(Plasma::PlotColor*)xptr;
        default: return xptr;
      }
    case 77:   //Plasma::PopupApplet
      switch(to) {
        case 38: return (void*)(Plasma::Applet*)(Plasma::PopupApplet*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::PopupApplet*)xptr;
        case 163: return (void*)(QObject*)(Plasma::PopupApplet*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::PopupApplet*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::PopupApplet*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)xptr;
        default: return xptr;
      }
    case 78:   //Plasma::PushButton
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::PushButton*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::PushButton*)xptr;
        case 163: return (void*)(QObject*)(Plasma::PushButton*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::PushButton*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::PushButton*)xptr;
        case 78: return (void*)(Plasma::PushButton*)xptr;
        default: return xptr;
      }
    case 79:   //Plasma::QueryMatch
      switch(to) {
        case 79: return (void*)(Plasma::QueryMatch*)xptr;
        default: return xptr;
      }
    case 80:   //Plasma::RadioButton
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::RadioButton*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::RadioButton*)xptr;
        case 163: return (void*)(QObject*)(Plasma::RadioButton*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::RadioButton*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::RadioButton*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)xptr;
        default: return xptr;
      }
    case 81:   //Plasma::RunnerContext
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::RunnerContext*)xptr;
        case 81: return (void*)(Plasma::RunnerContext*)xptr;
        default: return xptr;
      }
    case 82:   //Plasma::RunnerManager
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::RunnerManager*)xptr;
        case 82: return (void*)(Plasma::RunnerManager*)xptr;
        default: return xptr;
      }
    case 83:   //Plasma::RunnerScript
      switch(to) {
        case 85: return (void*)(Plasma::ScriptEngine*)(Plasma::RunnerScript*)xptr;
        case 163: return (void*)(QObject*)(Plasma::RunnerScript*)xptr;
        case 83: return (void*)(Plasma::RunnerScript*)xptr;
        default: return xptr;
      }
    case 84:   //Plasma::RunnerSyntax
      switch(to) {
        case 84: return (void*)(Plasma::RunnerSyntax*)xptr;
        default: return xptr;
      }
    case 85:   //Plasma::ScriptEngine
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::ScriptEngine*)xptr;
        case 85: return (void*)(Plasma::ScriptEngine*)xptr;
        case 57: return (void*)(Plasma::DataEngineScript*)(Plasma::ScriptEngine*)xptr;
        case 108: return (void*)(Plasma::WallpaperScript*)(Plasma::ScriptEngine*)xptr;
        case 83: return (void*)(Plasma::RunnerScript*)(Plasma::ScriptEngine*)xptr;
        case 39: return (void*)(Plasma::AppletScript*)(Plasma::ScriptEngine*)xptr;
        default: return xptr;
      }
    case 86:   //Plasma::ScrollBar
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::ScrollBar*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ScrollBar*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ScrollBar*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ScrollBar*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ScrollBar*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)xptr;
        default: return xptr;
      }
    case 87:   //Plasma::ScrollWidget
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ScrollWidget*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ScrollWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ScrollWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ScrollWidget*)xptr;
        case 87: return (void*)(Plasma::ScrollWidget*)xptr;
        default: return xptr;
      }
    case 88:   //Plasma::Separator
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Separator*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Separator*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Separator*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Separator*)xptr;
        case 88: return (void*)(Plasma::Separator*)xptr;
        default: return xptr;
      }
    case 89:   //Plasma::Service
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::Service*)xptr;
        case 89: return (void*)(Plasma::Service*)xptr;
        default: return xptr;
      }
    case 90:   //Plasma::ServiceAccessJob
      switch(to) {
        case 14: return (void*)(KJob*)(Plasma::ServiceAccessJob*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ServiceAccessJob*)xptr;
        case 90: return (void*)(Plasma::ServiceAccessJob*)xptr;
        default: return xptr;
      }
    case 91:   //Plasma::ServiceJob
      switch(to) {
        case 14: return (void*)(KJob*)(Plasma::ServiceJob*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ServiceJob*)xptr;
        case 91: return (void*)(Plasma::ServiceJob*)xptr;
        default: return xptr;
      }
    case 92:   //Plasma::SignalPlotter
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::SignalPlotter*)xptr;
        case 163: return (void*)(QObject*)(Plasma::SignalPlotter*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::SignalPlotter*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::SignalPlotter*)xptr;
        case 92: return (void*)(Plasma::SignalPlotter*)xptr;
        default: return xptr;
      }
    case 93:   //Plasma::Slider
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::Slider*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Slider*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Slider*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Slider*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Slider*)xptr;
        case 93: return (void*)(Plasma::Slider*)xptr;
        default: return xptr;
      }
    case 94:   //Plasma::SpinBox
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::SpinBox*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::SpinBox*)xptr;
        case 163: return (void*)(QObject*)(Plasma::SpinBox*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::SpinBox*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::SpinBox*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)xptr;
        default: return xptr;
      }
    case 95:   //Plasma::Svg
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::Svg*)xptr;
        case 95: return (void*)(Plasma::Svg*)xptr;
        case 65: return (void*)(Plasma::FrameSvg*)(Plasma::Svg*)xptr;
        default: return xptr;
      }
    case 96:   //Plasma::SvgWidget
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::SvgWidget*)xptr;
        case 163: return (void*)(QObject*)(Plasma::SvgWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::SvgWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::SvgWidget*)xptr;
        case 96: return (void*)(Plasma::SvgWidget*)xptr;
        default: return xptr;
      }
    case 97:   //Plasma::TabBar
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::TabBar*)xptr;
        case 163: return (void*)(QObject*)(Plasma::TabBar*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::TabBar*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::TabBar*)xptr;
        case 97: return (void*)(Plasma::TabBar*)xptr;
        default: return xptr;
      }
    case 98:   //Plasma::TextBrowser
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::TextBrowser*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::TextBrowser*)xptr;
        case 163: return (void*)(QObject*)(Plasma::TextBrowser*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::TextBrowser*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::TextBrowser*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)xptr;
        default: return xptr;
      }
    case 99:   //Plasma::TextEdit
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::TextEdit*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::TextEdit*)xptr;
        case 163: return (void*)(QObject*)(Plasma::TextEdit*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::TextEdit*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::TextEdit*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)xptr;
        default: return xptr;
      }
    case 100:   //Plasma::Theme
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::Theme*)xptr;
        case 100: return (void*)(Plasma::Theme*)xptr;
        default: return xptr;
      }
    case 101:   //Plasma::ToolButton
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::ToolButton*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ToolButton*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ToolButton*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ToolButton*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ToolButton*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)xptr;
        default: return xptr;
      }
    case 102:   //Plasma::ToolTipContent
      switch(to) {
        case 102: return (void*)(Plasma::ToolTipContent*)xptr;
        default: return xptr;
      }
    case 103:   //Plasma::ToolTipManager
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::ToolTipManager*)xptr;
        case 103: return (void*)(Plasma::ToolTipManager*)xptr;
        default: return xptr;
      }
    case 104:   //Plasma::TreeView
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::TreeView*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::TreeView*)xptr;
        case 163: return (void*)(QObject*)(Plasma::TreeView*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::TreeView*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::TreeView*)xptr;
        case 104: return (void*)(Plasma::TreeView*)xptr;
        default: return xptr;
      }
    case 105:   //Plasma::VideoWidget
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::VideoWidget*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::VideoWidget*)xptr;
        case 163: return (void*)(QObject*)(Plasma::VideoWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::VideoWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::VideoWidget*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)xptr;
        default: return xptr;
      }
    case 106:   //Plasma::View
      switch(to) {
        case 146: return (void*)(QGraphicsView*)(Plasma::View*)xptr;
        case 113: return (void*)(QAbstractScrollArea*)(Plasma::View*)xptr;
        case 132: return (void*)(QFrame*)(Plasma::View*)xptr;
        case 199: return (void*)(QWidget*)(Plasma::View*)xptr;
        case 163: return (void*)(QObject*)(Plasma::View*)xptr;
        case 106: return (void*)(Plasma::View*)xptr;
        default: return xptr;
      }
    case 107:   //Plasma::Wallpaper
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::Wallpaper*)xptr;
        case 107: return (void*)(Plasma::Wallpaper*)xptr;
        default: return xptr;
      }
    case 108:   //Plasma::WallpaperScript
      switch(to) {
        case 85: return (void*)(Plasma::ScriptEngine*)(Plasma::WallpaperScript*)xptr;
        case 163: return (void*)(QObject*)(Plasma::WallpaperScript*)xptr;
        case 108: return (void*)(Plasma::WallpaperScript*)xptr;
        default: return xptr;
      }
    case 109:   //Plasma::WebView
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::WebView*)xptr;
        case 163: return (void*)(QObject*)(Plasma::WebView*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::WebView*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::WebView*)xptr;
        case 109: return (void*)(Plasma::WebView*)xptr;
        default: return xptr;
      }
    case 110:   //QAbstractAnimation
      switch(to) {
        case 163: return (void*)(QObject*)(QAbstractAnimation*)xptr;
        case 110: return (void*)(QAbstractAnimation*)xptr;
        case 35: return (void*)(Plasma::Animation*)(QAbstractAnimation*)xptr;
        default: return xptr;
      }
    case 111:   //QAbstractItemDelegate
      switch(to) {
        case 163: return (void*)(QObject*)(QAbstractItemDelegate*)xptr;
        case 111: return (void*)(QAbstractItemDelegate*)xptr;
        case 58: return (void*)(Plasma::Delegate*)(QAbstractItemDelegate*)xptr;
        default: return xptr;
      }
    case 112:   //QAbstractItemModel
      switch(to) {
        case 163: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 112: return (void*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 113:   //QAbstractScrollArea
      switch(to) {
        case 132: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 199: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 163: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 113: return (void*)(QAbstractScrollArea*)xptr;
        case 106: return (void*)(Plasma::View*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 114:   //QAction
      switch(to) {
        case 114: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 115:   //QActionEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 115: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 116:   //QBool
      switch(to) {
        case 116: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 117:   //QByteArray
      switch(to) {
        case 117: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 118:   //QCheckBox
      switch(to) {
        case 118: return (void*)(QCheckBox*)xptr;
        default: return xptr;
      }
    case 119:   //QChildEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 119: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 120:   //QCloseEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 120: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 121:   //QColor
      switch(to) {
        case 121: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 122:   //QContextMenuEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 122: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 123:   //QDragEnterEvent
      switch(to) {
        case 125: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 126: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 128: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 123: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 124:   //QDragLeaveEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 124: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 125:   //QDragMoveEvent
      switch(to) {
        case 126: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 128: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 125: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 126:   //QDropEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 126: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 127:   //QEasingCurve
      switch(to) {
        case 127: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 128:   //QEvent
      switch(to) {
        case 128: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 129:   //QFocusEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 129: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 130:   //QFont
      switch(to) {
        case 130: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 131:   //QFontMetrics
      switch(to) {
        case 131: return (void*)(QFontMetrics*)xptr;
        default: return xptr;
      }
    case 132:   //QFrame
      switch(to) {
        case 199: return (void*)(QWidget*)(QFrame*)xptr;
        case 163: return (void*)(QObject*)(QFrame*)xptr;
        case 132: return (void*)(QFrame*)xptr;
        case 106: return (void*)(Plasma::View*)(QFrame*)xptr;
        default: return xptr;
      }
    case 134:   //QGraphicsItem
      switch(to) {
        case 134: return (void*)(QGraphicsItem*)xptr;
        case 97: return (void*)(Plasma::TabBar*)(QGraphicsItem*)xptr;
        case 69: return (void*)(Plasma::ItemBackground*)(QGraphicsItem*)xptr;
        case 38: return (void*)(Plasma::Applet*)(QGraphicsItem*)xptr;
        case 48: return (void*)(Plasma::Containment*)(QGraphicsItem*)xptr;
        case 96: return (void*)(Plasma::SvgWidget*)(QGraphicsItem*)xptr;
        case 70: return (void*)(Plasma::Label*)(QGraphicsItem*)xptr;
        case 64: return (void*)(Plasma::Frame*)(QGraphicsItem*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)(QGraphicsItem*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)(QGraphicsItem*)xptr;
        case 43: return (void*)(Plasma::BusyWidget*)(QGraphicsItem*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)(QGraphicsItem*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)(QGraphicsItem*)xptr;
        case 104: return (void*)(Plasma::TreeView*)(QGraphicsItem*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)(QGraphicsItem*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)(QGraphicsItem*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)(QGraphicsItem*)xptr;
        case 68: return (void*)(Plasma::IconWidget*)(QGraphicsItem*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)(QGraphicsItem*)xptr;
        case 62: return (void*)(Plasma::ExtenderItem*)(QGraphicsItem*)xptr;
        case 88: return (void*)(Plasma::Separator*)(QGraphicsItem*)xptr;
        case 78: return (void*)(Plasma::PushButton*)(QGraphicsItem*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)(QGraphicsItem*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)(QGraphicsItem*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)(QGraphicsItem*)xptr;
        case 60: return (void*)(Plasma::Extender*)(QGraphicsItem*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)(QGraphicsItem*)xptr;
        case 92: return (void*)(Plasma::SignalPlotter*)(QGraphicsItem*)xptr;
        case 87: return (void*)(Plasma::ScrollWidget*)(QGraphicsItem*)xptr;
        case 32: return (void*)(Plasma::AbstractToolBox*)(QGraphicsItem*)xptr;
        case 72: return (void*)(Plasma::Meter*)(QGraphicsItem*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)(QGraphicsItem*)xptr;
        case 93: return (void*)(Plasma::Slider*)(QGraphicsItem*)xptr;
        case 109: return (void*)(Plasma::WebView*)(QGraphicsItem*)xptr;
        case 63: return (void*)(Plasma::FlashingLabel*)(QGraphicsItem*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 135:   //QGraphicsLayoutItem
      switch(to) {
        case 135: return (void*)(QGraphicsLayoutItem*)xptr;
        case 97: return (void*)(Plasma::TabBar*)(QGraphicsLayoutItem*)xptr;
        case 69: return (void*)(Plasma::ItemBackground*)(QGraphicsLayoutItem*)xptr;
        case 38: return (void*)(Plasma::Applet*)(QGraphicsLayoutItem*)xptr;
        case 48: return (void*)(Plasma::Containment*)(QGraphicsLayoutItem*)xptr;
        case 96: return (void*)(Plasma::SvgWidget*)(QGraphicsLayoutItem*)xptr;
        case 70: return (void*)(Plasma::Label*)(QGraphicsLayoutItem*)xptr;
        case 64: return (void*)(Plasma::Frame*)(QGraphicsLayoutItem*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)(QGraphicsLayoutItem*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)(QGraphicsLayoutItem*)xptr;
        case 43: return (void*)(Plasma::BusyWidget*)(QGraphicsLayoutItem*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)(QGraphicsLayoutItem*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)(QGraphicsLayoutItem*)xptr;
        case 104: return (void*)(Plasma::TreeView*)(QGraphicsLayoutItem*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)(QGraphicsLayoutItem*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)(QGraphicsLayoutItem*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)(QGraphicsLayoutItem*)xptr;
        case 68: return (void*)(Plasma::IconWidget*)(QGraphicsLayoutItem*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)(QGraphicsLayoutItem*)xptr;
        case 62: return (void*)(Plasma::ExtenderItem*)(QGraphicsLayoutItem*)xptr;
        case 88: return (void*)(Plasma::Separator*)(QGraphicsLayoutItem*)xptr;
        case 78: return (void*)(Plasma::PushButton*)(QGraphicsLayoutItem*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)(QGraphicsLayoutItem*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)(QGraphicsLayoutItem*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)(QGraphicsLayoutItem*)xptr;
        case 60: return (void*)(Plasma::Extender*)(QGraphicsLayoutItem*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)(QGraphicsLayoutItem*)xptr;
        case 92: return (void*)(Plasma::SignalPlotter*)(QGraphicsLayoutItem*)xptr;
        case 87: return (void*)(Plasma::ScrollWidget*)(QGraphicsLayoutItem*)xptr;
        case 32: return (void*)(Plasma::AbstractToolBox*)(QGraphicsLayoutItem*)xptr;
        case 72: return (void*)(Plasma::Meter*)(QGraphicsLayoutItem*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)(QGraphicsLayoutItem*)xptr;
        case 93: return (void*)(Plasma::Slider*)(QGraphicsLayoutItem*)xptr;
        case 109: return (void*)(Plasma::WebView*)(QGraphicsLayoutItem*)xptr;
        case 63: return (void*)(Plasma::FlashingLabel*)(QGraphicsLayoutItem*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)(QGraphicsLayoutItem*)xptr;
        default: return xptr;
      }
    case 136:   //QGraphicsProxyWidget
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(QGraphicsProxyWidget*)xptr;
        case 163: return (void*)(QObject*)(QGraphicsProxyWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(QGraphicsProxyWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(QGraphicsProxyWidget*)xptr;
        case 136: return (void*)(QGraphicsProxyWidget*)xptr;
        case 70: return (void*)(Plasma::Label*)(QGraphicsProxyWidget*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)(QGraphicsProxyWidget*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)(QGraphicsProxyWidget*)xptr;
        case 104: return (void*)(Plasma::TreeView*)(QGraphicsProxyWidget*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)(QGraphicsProxyWidget*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)(QGraphicsProxyWidget*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)(QGraphicsProxyWidget*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)(QGraphicsProxyWidget*)xptr;
        case 78: return (void*)(Plasma::PushButton*)(QGraphicsProxyWidget*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)(QGraphicsProxyWidget*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)(QGraphicsProxyWidget*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)(QGraphicsProxyWidget*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)(QGraphicsProxyWidget*)xptr;
        case 93: return (void*)(Plasma::Slider*)(QGraphicsProxyWidget*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)(QGraphicsProxyWidget*)xptr;
        default: return xptr;
      }
    case 137:   //QGraphicsScene
      switch(to) {
        case 163: return (void*)(QObject*)(QGraphicsScene*)xptr;
        case 137: return (void*)(QGraphicsScene*)xptr;
        case 53: return (void*)(Plasma::Corona*)(QGraphicsScene*)xptr;
        default: return xptr;
      }
    case 138:   //QGraphicsSceneContextMenuEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneContextMenuEvent*)xptr;
        case 138: return (void*)(QGraphicsSceneContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 139:   //QGraphicsSceneDragDropEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneDragDropEvent*)xptr;
        case 139: return (void*)(QGraphicsSceneDragDropEvent*)xptr;
        default: return xptr;
      }
    case 140:   //QGraphicsSceneHelpEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneHelpEvent*)xptr;
        case 140: return (void*)(QGraphicsSceneHelpEvent*)xptr;
        default: return xptr;
      }
    case 141:   //QGraphicsSceneHoverEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneHoverEvent*)xptr;
        case 141: return (void*)(QGraphicsSceneHoverEvent*)xptr;
        default: return xptr;
      }
    case 142:   //QGraphicsSceneMouseEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneMouseEvent*)xptr;
        case 142: return (void*)(QGraphicsSceneMouseEvent*)xptr;
        default: return xptr;
      }
    case 143:   //QGraphicsSceneMoveEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneMoveEvent*)xptr;
        case 143: return (void*)(QGraphicsSceneMoveEvent*)xptr;
        default: return xptr;
      }
    case 144:   //QGraphicsSceneResizeEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneResizeEvent*)xptr;
        case 144: return (void*)(QGraphicsSceneResizeEvent*)xptr;
        default: return xptr;
      }
    case 145:   //QGraphicsSceneWheelEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneWheelEvent*)xptr;
        case 145: return (void*)(QGraphicsSceneWheelEvent*)xptr;
        default: return xptr;
      }
    case 146:   //QGraphicsView
      switch(to) {
        case 113: return (void*)(QAbstractScrollArea*)(QGraphicsView*)xptr;
        case 132: return (void*)(QFrame*)(QGraphicsView*)xptr;
        case 199: return (void*)(QWidget*)(QGraphicsView*)xptr;
        case 163: return (void*)(QObject*)(QGraphicsView*)xptr;
        case 146: return (void*)(QGraphicsView*)xptr;
        case 106: return (void*)(Plasma::View*)(QGraphicsView*)xptr;
        default: return xptr;
      }
    case 147:   //QGraphicsWidget
      switch(to) {
        case 163: return (void*)(QObject*)(QGraphicsWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(QGraphicsWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(QGraphicsWidget*)xptr;
        case 147: return (void*)(QGraphicsWidget*)xptr;
        case 97: return (void*)(Plasma::TabBar*)(QGraphicsWidget*)xptr;
        case 69: return (void*)(Plasma::ItemBackground*)(QGraphicsWidget*)xptr;
        case 38: return (void*)(Plasma::Applet*)(QGraphicsWidget*)xptr;
        case 48: return (void*)(Plasma::Containment*)(QGraphicsWidget*)xptr;
        case 96: return (void*)(Plasma::SvgWidget*)(QGraphicsWidget*)xptr;
        case 70: return (void*)(Plasma::Label*)(QGraphicsWidget*)xptr;
        case 64: return (void*)(Plasma::Frame*)(QGraphicsWidget*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)(QGraphicsWidget*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)(QGraphicsWidget*)xptr;
        case 43: return (void*)(Plasma::BusyWidget*)(QGraphicsWidget*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)(QGraphicsWidget*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)(QGraphicsWidget*)xptr;
        case 104: return (void*)(Plasma::TreeView*)(QGraphicsWidget*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)(QGraphicsWidget*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)(QGraphicsWidget*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)(QGraphicsWidget*)xptr;
        case 68: return (void*)(Plasma::IconWidget*)(QGraphicsWidget*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)(QGraphicsWidget*)xptr;
        case 62: return (void*)(Plasma::ExtenderItem*)(QGraphicsWidget*)xptr;
        case 88: return (void*)(Plasma::Separator*)(QGraphicsWidget*)xptr;
        case 78: return (void*)(Plasma::PushButton*)(QGraphicsWidget*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)(QGraphicsWidget*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)(QGraphicsWidget*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)(QGraphicsWidget*)xptr;
        case 60: return (void*)(Plasma::Extender*)(QGraphicsWidget*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)(QGraphicsWidget*)xptr;
        case 92: return (void*)(Plasma::SignalPlotter*)(QGraphicsWidget*)xptr;
        case 87: return (void*)(Plasma::ScrollWidget*)(QGraphicsWidget*)xptr;
        case 32: return (void*)(Plasma::AbstractToolBox*)(QGraphicsWidget*)xptr;
        case 72: return (void*)(Plasma::Meter*)(QGraphicsWidget*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)(QGraphicsWidget*)xptr;
        case 93: return (void*)(Plasma::Slider*)(QGraphicsWidget*)xptr;
        case 109: return (void*)(Plasma::WebView*)(QGraphicsWidget*)xptr;
        case 63: return (void*)(Plasma::FlashingLabel*)(QGraphicsWidget*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)(QGraphicsWidget*)xptr;
        default: return xptr;
      }
    case 148:   //QGroupBox
      switch(to) {
        case 148: return (void*)(QGroupBox*)xptr;
        default: return xptr;
      }
    case 149:   //QHideEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 149: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 150:   //QIODevice
      switch(to) {
        case 163: return (void*)(QObject*)(QIODevice*)xptr;
        case 150: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 151:   //QIcon
      switch(to) {
        case 151: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 152:   //QImage
      switch(to) {
        case 152: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 153:   //QInputMethodEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 153: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 154:   //QKeyEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 154: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 155:   //QLabel
      switch(to) {
        case 155: return (void*)(QLabel*)xptr;
        default: return xptr;
      }
    case 156:   //QMenu
      switch(to) {
        case 156: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 157:   //QMetaObject
      switch(to) {
        case 157: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 158:   //QMimeData
      switch(to) {
        case 163: return (void*)(QObject*)(QMimeData*)xptr;
        case 158: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 159:   //QModelIndex
      switch(to) {
        case 159: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 160:   //QMouseEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 160: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 161:   //QMoveEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 161: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 162:   //QMutex
      switch(to) {
        case 162: return (void*)(QMutex*)xptr;
        default: return xptr;
      }
    case 163:   //QObject
      switch(to) {
        case 163: return (void*)(QObject*)xptr;
        case 91: return (void*)(Plasma::ServiceJob*)(QObject*)xptr;
        case 97: return (void*)(Plasma::TabBar*)(QObject*)xptr;
        case 69: return (void*)(Plasma::ItemBackground*)(QObject*)xptr;
        case 103: return (void*)(Plasma::ToolTipManager*)(QObject*)xptr;
        case 56: return (void*)(Plasma::DataEngineManager*)(QObject*)xptr;
        case 30: return (void*)(Plasma::AbstractDialogManager*)(QObject*)xptr;
        case 57: return (void*)(Plasma::DataEngineScript*)(QObject*)xptr;
        case 47: return (void*)(Plasma::ConfigLoader*)(QObject*)xptr;
        case 36: return (void*)(Plasma::AnimationDriver*)(QObject*)xptr;
        case 38: return (void*)(Plasma::Applet*)(QObject*)xptr;
        case 48: return (void*)(Plasma::Containment*)(QObject*)xptr;
        case 53: return (void*)(Plasma::Corona*)(QObject*)xptr;
        case 45: return (void*)(Plasma::ClientPinRequest*)(QObject*)xptr;
        case 96: return (void*)(Plasma::SvgWidget*)(QObject*)xptr;
        case 70: return (void*)(Plasma::Label*)(QObject*)xptr;
        case 108: return (void*)(Plasma::WallpaperScript*)(QObject*)xptr;
        case 95: return (void*)(Plasma::Svg*)(QObject*)xptr;
        case 64: return (void*)(Plasma::Frame*)(QObject*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)(QObject*)xptr;
        case 33: return (void*)(Plasma::AccessAppletJob*)(QObject*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)(QObject*)xptr;
        case 43: return (void*)(Plasma::BusyWidget*)(QObject*)xptr;
        case 52: return (void*)(Plasma::Context*)(QObject*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)(QObject*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)(QObject*)xptr;
        case 41: return (void*)(Plasma::AuthorizationManager*)(QObject*)xptr;
        case 82: return (void*)(Plasma::RunnerManager*)(QObject*)xptr;
        case 104: return (void*)(Plasma::TreeView*)(QObject*)xptr;
        case 55: return (void*)(Plasma::DataEngine*)(QObject*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)(QObject*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)(QObject*)xptr;
        case 107: return (void*)(Plasma::Wallpaper*)(QObject*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)(QObject*)xptr;
        case 68: return (void*)(Plasma::IconWidget*)(QObject*)xptr;
        case 75: return (void*)(Plasma::PackageStructure*)(QObject*)xptr;
        case 89: return (void*)(Plasma::Service*)(QObject*)xptr;
        case 34: return (void*)(Plasma::AccessManager*)(QObject*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)(QObject*)xptr;
        case 62: return (void*)(Plasma::ExtenderItem*)(QObject*)xptr;
        case 83: return (void*)(Plasma::RunnerScript*)(QObject*)xptr;
        case 37: return (void*)(Plasma::Animator*)(QObject*)xptr;
        case 90: return (void*)(Plasma::ServiceAccessJob*)(QObject*)xptr;
        case 85: return (void*)(Plasma::ScriptEngine*)(QObject*)xptr;
        case 88: return (void*)(Plasma::Separator*)(QObject*)xptr;
        case 78: return (void*)(Plasma::PushButton*)(QObject*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)(QObject*)xptr;
        case 100: return (void*)(Plasma::Theme*)(QObject*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)(QObject*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)(QObject*)xptr;
        case 58: return (void*)(Plasma::Delegate*)(QObject*)xptr;
        case 65: return (void*)(Plasma::FrameSvg*)(QObject*)xptr;
        case 54: return (void*)(Plasma::DataContainer*)(QObject*)xptr;
        case 81: return (void*)(Plasma::RunnerContext*)(QObject*)xptr;
        case 60: return (void*)(Plasma::Extender*)(QObject*)xptr;
        case 35: return (void*)(Plasma::Animation*)(QObject*)xptr;
        case 59: return (void*)(Plasma::Dialog*)(QObject*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)(QObject*)xptr;
        case 31: return (void*)(Plasma::AbstractRunner*)(QObject*)xptr;
        case 92: return (void*)(Plasma::SignalPlotter*)(QObject*)xptr;
        case 87: return (void*)(Plasma::ScrollWidget*)(QObject*)xptr;
        case 32: return (void*)(Plasma::AbstractToolBox*)(QObject*)xptr;
        case 72: return (void*)(Plasma::Meter*)(QObject*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)(QObject*)xptr;
        case 50: return (void*)(Plasma::ContainmentActions*)(QObject*)xptr;
        case 42: return (void*)(Plasma::AuthorizationRule*)(QObject*)xptr;
        case 93: return (void*)(Plasma::Slider*)(QObject*)xptr;
        case 109: return (void*)(Plasma::WebView*)(QObject*)xptr;
        case 63: return (void*)(Plasma::FlashingLabel*)(QObject*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)(QObject*)xptr;
        case 106: return (void*)(Plasma::View*)(QObject*)xptr;
        case 39: return (void*)(Plasma::AppletScript*)(QObject*)xptr;
        default: return xptr;
      }
    case 164:   //QPaintEngine
      switch(to) {
        case 164: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 165:   //QPaintEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 165: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 166:   //QPainter
      switch(to) {
        case 166: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 167:   //QPainterPath
      switch(to) {
        case 167: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 168:   //QPalette
      switch(to) {
        case 168: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 169:   //QPixmap
      switch(to) {
        case 169: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 170:   //QPoint
      switch(to) {
        case 170: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 171:   //QPointF
      switch(to) {
        case 171: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 172:   //QRadioButton
      switch(to) {
        case 172: return (void*)(QRadioButton*)xptr;
        default: return xptr;
      }
    case 173:   //QRect
      switch(to) {
        case 173: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 174:   //QRectF
      switch(to) {
        case 174: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 175:   //QRegExp
      switch(to) {
        case 175: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 176:   //QRegion
      switch(to) {
        case 176: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 177:   //QResizeEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 177: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 178:   //QScrollBar
      switch(to) {
        case 199: return (void*)(QWidget*)(QScrollBar*)xptr;
        case 163: return (void*)(QObject*)(QScrollBar*)xptr;
        case 178: return (void*)(QScrollBar*)xptr;
        default: return xptr;
      }
    case 179:   //QSharedData
      switch(to) {
        case 179: return (void*)(QSharedData*)xptr;
        case 75: return (void*)(Plasma::PackageStructure*)(QSharedData*)xptr;
        default: return xptr;
      }
    case 180:   //QShowEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 180: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 181:   //QSize
      switch(to) {
        case 181: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 182:   //QSizeF
      switch(to) {
        case 182: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 183:   //QSlider
      switch(to) {
        case 199: return (void*)(QWidget*)(QSlider*)xptr;
        case 163: return (void*)(QObject*)(QSlider*)xptr;
        case 183: return (void*)(QSlider*)xptr;
        default: return xptr;
      }
    case 184:   //QStyle
      switch(to) {
        case 163: return (void*)(QObject*)(QStyle*)xptr;
        case 184: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 185:   //QStyleOption
      switch(to) {
        case 185: return (void*)(QStyleOption*)xptr;
        case 49: return (void*)(Plasma::Containment::StyleOption*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 186:   //QStyleOptionGraphicsItem
      switch(to) {
        case 185: return (void*)(QStyleOption*)(QStyleOptionGraphicsItem*)xptr;
        case 186: return (void*)(QStyleOptionGraphicsItem*)xptr;
        case 49: return (void*)(Plasma::Containment::StyleOption*)(QStyleOptionGraphicsItem*)xptr;
        default: return xptr;
      }
    case 187:   //QStyleOptionViewItem
      switch(to) {
        case 185: return (void*)(QStyleOption*)(QStyleOptionViewItem*)xptr;
        case 187: return (void*)(QStyleOptionViewItem*)xptr;
        default: return xptr;
      }
    case 188:   //QTabletEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 188: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 189:   //QTextDocument
      switch(to) {
        case 189: return (void*)(QTextDocument*)xptr;
        default: return xptr;
      }
    case 190:   //QTextOption
      switch(to) {
        case 190: return (void*)(QTextOption*)xptr;
        default: return xptr;
      }
    case 191:   //QTimerEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 191: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 192:   //QToolButton
      switch(to) {
        case 192: return (void*)(QToolButton*)xptr;
        default: return xptr;
      }
    case 193:   //QTreeView
      switch(to) {
        case 193: return (void*)(QTreeView*)xptr;
        default: return xptr;
      }
    case 194:   //QUrl
      switch(to) {
        case 194: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 195:   //QVariant
      switch(to) {
        case 195: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 196:   //QWebFrame
      switch(to) {
        case 196: return (void*)(QWebFrame*)xptr;
        default: return xptr;
      }
    case 197:   //QWebPage
      switch(to) {
        case 197: return (void*)(QWebPage*)xptr;
        default: return xptr;
      }
    case 198:   //QWheelEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 198: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 199:   //QWidget
      switch(to) {
        case 163: return (void*)(QObject*)(QWidget*)xptr;
        case 199: return (void*)(QWidget*)xptr;
        case 59: return (void*)(Plasma::Dialog*)(QWidget*)xptr;
        case 106: return (void*)(Plasma::View*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    163, 0,	// 1: QObject
    147, 0,	// 3: QGraphicsWidget
    14, 0,	// 5: KJob
    110, 0,	// 7: QAbstractAnimation
    85, 0,	// 9: Plasma::ScriptEngine
    136, 0,	// 11: QGraphicsProxyWidget
    9, 0,	// 13: KConfigSkeleton
    38, 0,	// 15: Plasma::Applet
    186, 0,	// 17: QStyleOptionGraphicsItem
    137, 0,	// 19: QGraphicsScene
    111, 0,	// 21: QAbstractItemDelegate
    199, 0,	// 23: QWidget
    62, 0,	// 25: Plasma::ExtenderItem
    95, 0,	// 27: Plasma::Svg
    163, 179, 0,	// 29: QObject, QSharedData
    146, 0,	// 32: QGraphicsView
};

// These are the xenum functions for manipulating enum pointers
void xenum_Plasma__Animation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__AuthorizationRule(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Containment__StyleOption(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__AbstractRunner(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Dialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__ToolTipManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__ToolTipContent(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Meter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Delegate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__VideoWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Frame(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__AuthorizationManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Wallpaper(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Extender(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__RunnerContext(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Animator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__AbstractToolBox(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Applet(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__QueryMatch(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Theme(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Containment(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__FrameSvg(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Plasma(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AbstractDialogManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AbstractRunner(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AbstractToolBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AccessAppletJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AccessManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Animation(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AnimationDriver(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Animator(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Applet(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AppletScript(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AuthorizationInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AuthorizationManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AuthorizationRule(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__BusyWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__CheckBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ClientPinRequest(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ComboBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ConfigLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Containment(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Containment__StyleOption(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ContainmentActions(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ContainmentActionsPluginsConfig(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Context(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Corona(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__DataContainer(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__DataEngine(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__DataEngineManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__DataEngineScript(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Delegate(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Dialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Extender(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ExtenderGroup(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ExtenderItem(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__FlashingLabel(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Frame(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__FrameSvg(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__GLApplet(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__GroupBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__IconWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ItemBackground(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Label(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__LineEdit(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Meter(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Package(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PackageMetadata(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PackageStructure(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PlotColor(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PopupApplet(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PushButton(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__QueryMatch(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RadioButton(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RunnerContext(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RunnerManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RunnerScript(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RunnerSyntax(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ScriptEngine(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ScrollBar(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ScrollWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Separator(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Service(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ServiceAccessJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ServiceJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__SignalPlotter(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Slider(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__SpinBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Svg(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__SvgWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__TabBar(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__TextBrowser(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__TextEdit(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Theme(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ToolButton(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ToolTipContent(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ToolTipManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__TreeView(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__VideoWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__View(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Wallpaper(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__WallpaperScript(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__WebView(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KAction", true, 0, 0, 0, 0, 0 },	//1
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//2
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//3
    { "KComboBox", true, 0, 0, 0, 0, 0 },	//4
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//5
    { "KConfigBase", true, 0, 0, 0, 0, 0 },	//6
    { "KConfigDialog", true, 0, 0, 0, 0, 0 },	//7
    { "KConfigGroup", true, 0, 0, 0, 0, 0 },	//8
    { "KConfigSkeleton", true, 0, 0, 0, 0, 0 },	//9
    { "KConfigSkeletonItem", true, 0, 0, 0, 0, 0 },	//10
    { "KCoreConfigSkeleton", true, 0, 0, 0, 0, 0 },	//11
    { "KIcon", true, 0, 0, 0, 0, 0 },	//12
    { "KIntSpinBox", true, 0, 0, 0, 0, 0 },	//13
    { "KJob", true, 0, 0, 0, 0, 0 },	//14
    { "KLineEdit", true, 0, 0, 0, 0, 0 },	//15
    { "KLocale", true, 0, 0, 0, 0, 0 },	//16
    { "KPluginInfo", true, 0, 0, 0, 0, 0 },	//17
    { "KPushButton", true, 0, 0, 0, 0, 0 },	//18
    { "KServiceAction", true, 0, 0, 0, 0, 0 },	//19
    { "KShortcut", true, 0, 0, 0, 0, 0 },	//20
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//21
    { "KTabBar", true, 0, 0, 0, 0, 0 },	//22
    { "KTextBrowser", true, 0, 0, 0, 0, 0 },	//23
    { "KTextEdit", true, 0, 0, 0, 0, 0 },	//24
    { "KUrl", true, 0, 0, 0, 0, 0 },	//25
    { "Phonon::AudioOutput", true, 0, 0, 0, 0, 0 },	//26
    { "Phonon::MediaObject", true, 0, 0, 0, 0, 0 },	//27
    { "Phonon::VideoWidget", true, 0, 0, 0, 0, 0 },	//28
    { "Plasma", false, 0, xcall_Plasma, xenum_Plasma, Smoke::cf_namespace, 0 },	//29
    { "Plasma::AbstractDialogManager", false, 1, xcall_Plasma__AbstractDialogManager, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AbstractDialogManager) },	//30
    { "Plasma::AbstractRunner", false, 1, xcall_Plasma__AbstractRunner, xenum_Plasma__AbstractRunner, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AbstractRunner) },	//31
    { "Plasma::AbstractToolBox", false, 3, xcall_Plasma__AbstractToolBox, xenum_Plasma__AbstractToolBox, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AbstractToolBox) },	//32
    { "Plasma::AccessAppletJob", false, 5, xcall_Plasma__AccessAppletJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AccessAppletJob) },	//33
    { "Plasma::AccessManager", false, 1, xcall_Plasma__AccessManager, 0, Smoke::cf_virtual, sizeof(Plasma::AccessManager) },	//34
    { "Plasma::Animation", false, 7, xcall_Plasma__Animation, xenum_Plasma__Animation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Animation) },	//35
    { "Plasma::AnimationDriver", false, 1, xcall_Plasma__AnimationDriver, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AnimationDriver) },	//36
    { "Plasma::Animator", false, 1, xcall_Plasma__Animator, xenum_Plasma__Animator, Smoke::cf_virtual, sizeof(Plasma::Animator) },	//37
    { "Plasma::Applet", false, 3, xcall_Plasma__Applet, xenum_Plasma__Applet, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Applet) },	//38
    { "Plasma::AppletScript", false, 9, xcall_Plasma__AppletScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AppletScript) },	//39
    { "Plasma::AuthorizationInterface", false, 0, xcall_Plasma__AuthorizationInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Plasma::AuthorizationInterface) },	//40
    { "Plasma::AuthorizationManager", false, 1, xcall_Plasma__AuthorizationManager, xenum_Plasma__AuthorizationManager, Smoke::cf_virtual, sizeof(Plasma::AuthorizationManager) },	//41
    { "Plasma::AuthorizationRule", false, 1, xcall_Plasma__AuthorizationRule, xenum_Plasma__AuthorizationRule, Smoke::cf_virtual, sizeof(Plasma::AuthorizationRule) },	//42
    { "Plasma::BusyWidget", false, 3, xcall_Plasma__BusyWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::BusyWidget) },	//43
    { "Plasma::CheckBox", false, 11, xcall_Plasma__CheckBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::CheckBox) },	//44
    { "Plasma::ClientPinRequest", false, 1, xcall_Plasma__ClientPinRequest, 0, Smoke::cf_virtual, sizeof(Plasma::ClientPinRequest) },	//45
    { "Plasma::ComboBox", false, 11, xcall_Plasma__ComboBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ComboBox) },	//46
    { "Plasma::ConfigLoader", false, 13, xcall_Plasma__ConfigLoader, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ConfigLoader) },	//47
    { "Plasma::Containment", false, 15, xcall_Plasma__Containment, xenum_Plasma__Containment, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Containment) },	//48
    { "Plasma::Containment::StyleOption", false, 17, xcall_Plasma__Containment__StyleOption, xenum_Plasma__Containment__StyleOption, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::Containment::StyleOption) },	//49
    { "Plasma::ContainmentActions", false, 1, xcall_Plasma__ContainmentActions, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ContainmentActions) },	//50
    { "Plasma::ContainmentActionsPluginsConfig", false, 0, xcall_Plasma__ContainmentActionsPluginsConfig, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::ContainmentActionsPluginsConfig) },	//51
    { "Plasma::Context", false, 1, xcall_Plasma__Context, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Context) },	//52
    { "Plasma::Corona", false, 19, xcall_Plasma__Corona, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Corona) },	//53
    { "Plasma::DataContainer", false, 1, xcall_Plasma__DataContainer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::DataContainer) },	//54
    { "Plasma::DataEngine", false, 1, xcall_Plasma__DataEngine, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::DataEngine) },	//55
    { "Plasma::DataEngineManager", false, 1, xcall_Plasma__DataEngineManager, 0, Smoke::cf_virtual, sizeof(Plasma::DataEngineManager) },	//56
    { "Plasma::DataEngineScript", false, 9, xcall_Plasma__DataEngineScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::DataEngineScript) },	//57
    { "Plasma::Delegate", false, 21, xcall_Plasma__Delegate, xenum_Plasma__Delegate, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Delegate) },	//58
    { "Plasma::Dialog", false, 23, xcall_Plasma__Dialog, xenum_Plasma__Dialog, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Dialog) },	//59
    { "Plasma::Extender", false, 3, xcall_Plasma__Extender, xenum_Plasma__Extender, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Extender) },	//60
    { "Plasma::ExtenderGroup", false, 25, xcall_Plasma__ExtenderGroup, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ExtenderGroup) },	//61
    { "Plasma::ExtenderItem", false, 3, xcall_Plasma__ExtenderItem, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ExtenderItem) },	//62
    { "Plasma::FlashingLabel", false, 3, xcall_Plasma__FlashingLabel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::FlashingLabel) },	//63
    { "Plasma::Frame", false, 3, xcall_Plasma__Frame, xenum_Plasma__Frame, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Frame) },	//64
    { "Plasma::FrameSvg", false, 27, xcall_Plasma__FrameSvg, xenum_Plasma__FrameSvg, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::FrameSvg) },	//65
    { "Plasma::GLApplet", false, 15, xcall_Plasma__GLApplet, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::GLApplet) },	//66
    { "Plasma::GroupBox", false, 11, xcall_Plasma__GroupBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::GroupBox) },	//67
    { "Plasma::IconWidget", false, 3, xcall_Plasma__IconWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::IconWidget) },	//68
    { "Plasma::ItemBackground", false, 3, xcall_Plasma__ItemBackground, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ItemBackground) },	//69
    { "Plasma::Label", false, 11, xcall_Plasma__Label, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Label) },	//70
    { "Plasma::LineEdit", false, 11, xcall_Plasma__LineEdit, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::LineEdit) },	//71
    { "Plasma::Meter", false, 3, xcall_Plasma__Meter, xenum_Plasma__Meter, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Meter) },	//72
    { "Plasma::Package", false, 0, xcall_Plasma__Package, 0, Smoke::cf_constructor, sizeof(Plasma::Package) },	//73
    { "Plasma::PackageMetadata", false, 0, xcall_Plasma__PackageMetadata, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::PackageMetadata) },	//74
    { "Plasma::PackageStructure", false, 29, xcall_Plasma__PackageStructure, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::PackageStructure) },	//75
    { "Plasma::PlotColor", false, 0, xcall_Plasma__PlotColor, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::PlotColor) },	//76
    { "Plasma::PopupApplet", false, 15, xcall_Plasma__PopupApplet, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::PopupApplet) },	//77
    { "Plasma::PushButton", false, 11, xcall_Plasma__PushButton, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::PushButton) },	//78
    { "Plasma::QueryMatch", false, 0, xcall_Plasma__QueryMatch, xenum_Plasma__QueryMatch, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::QueryMatch) },	//79
    { "Plasma::RadioButton", false, 11, xcall_Plasma__RadioButton, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::RadioButton) },	//80
    { "Plasma::RunnerContext", false, 1, xcall_Plasma__RunnerContext, xenum_Plasma__RunnerContext, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::RunnerContext) },	//81
    { "Plasma::RunnerManager", false, 1, xcall_Plasma__RunnerManager, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::RunnerManager) },	//82
    { "Plasma::RunnerScript", false, 9, xcall_Plasma__RunnerScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::RunnerScript) },	//83
    { "Plasma::RunnerSyntax", false, 0, xcall_Plasma__RunnerSyntax, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::RunnerSyntax) },	//84
    { "Plasma::ScriptEngine", false, 1, xcall_Plasma__ScriptEngine, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ScriptEngine) },	//85
    { "Plasma::ScrollBar", false, 11, xcall_Plasma__ScrollBar, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ScrollBar) },	//86
    { "Plasma::ScrollWidget", false, 3, xcall_Plasma__ScrollWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ScrollWidget) },	//87
    { "Plasma::Separator", false, 3, xcall_Plasma__Separator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Separator) },	//88
    { "Plasma::Service", false, 1, xcall_Plasma__Service, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Service) },	//89
    { "Plasma::ServiceAccessJob", false, 5, xcall_Plasma__ServiceAccessJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ServiceAccessJob) },	//90
    { "Plasma::ServiceJob", false, 5, xcall_Plasma__ServiceJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ServiceJob) },	//91
    { "Plasma::SignalPlotter", false, 3, xcall_Plasma__SignalPlotter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::SignalPlotter) },	//92
    { "Plasma::Slider", false, 11, xcall_Plasma__Slider, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Slider) },	//93
    { "Plasma::SpinBox", false, 11, xcall_Plasma__SpinBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::SpinBox) },	//94
    { "Plasma::Svg", false, 1, xcall_Plasma__Svg, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Svg) },	//95
    { "Plasma::SvgWidget", false, 3, xcall_Plasma__SvgWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::SvgWidget) },	//96
    { "Plasma::TabBar", false, 3, xcall_Plasma__TabBar, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::TabBar) },	//97
    { "Plasma::TextBrowser", false, 11, xcall_Plasma__TextBrowser, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::TextBrowser) },	//98
    { "Plasma::TextEdit", false, 11, xcall_Plasma__TextEdit, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::TextEdit) },	//99
    { "Plasma::Theme", false, 1, xcall_Plasma__Theme, xenum_Plasma__Theme, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Theme) },	//100
    { "Plasma::ToolButton", false, 11, xcall_Plasma__ToolButton, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ToolButton) },	//101
    { "Plasma::ToolTipContent", false, 0, xcall_Plasma__ToolTipContent, xenum_Plasma__ToolTipContent, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::ToolTipContent) },	//102
    { "Plasma::ToolTipManager", false, 1, xcall_Plasma__ToolTipManager, xenum_Plasma__ToolTipManager, Smoke::cf_virtual, sizeof(Plasma::ToolTipManager) },	//103
    { "Plasma::TreeView", false, 11, xcall_Plasma__TreeView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::TreeView) },	//104
    { "Plasma::VideoWidget", false, 11, xcall_Plasma__VideoWidget, xenum_Plasma__VideoWidget, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::VideoWidget) },	//105
    { "Plasma::View", false, 32, xcall_Plasma__View, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::View) },	//106
    { "Plasma::Wallpaper", false, 1, xcall_Plasma__Wallpaper, xenum_Plasma__Wallpaper, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Wallpaper) },	//107
    { "Plasma::WallpaperScript", false, 9, xcall_Plasma__WallpaperScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::WallpaperScript) },	//108
    { "Plasma::WebView", false, 3, xcall_Plasma__WebView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::WebView) },	//109
    { "QAbstractAnimation", true, 0, 0, 0, 0, 0 },	//110
    { "QAbstractItemDelegate", true, 0, 0, 0, 0, 0 },	//111
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//112
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//113
    { "QAction", true, 0, 0, 0, 0, 0 },	//114
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//115
    { "QBool", true, 0, 0, 0, 0, 0 },	//116
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//117
    { "QCheckBox", true, 0, 0, 0, 0, 0 },	//118
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//119
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//120
    { "QColor", true, 0, 0, 0, 0, 0 },	//121
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//122
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//123
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//124
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//125
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//126
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//127
    { "QEvent", true, 0, 0, 0, 0, 0 },	//128
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//129
    { "QFont", true, 0, 0, 0, 0, 0 },	//130
    { "QFontMetrics", true, 0, 0, 0, 0, 0 },	//131
    { "QFrame", true, 0, 0, 0, 0, 0 },	//132
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//133
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//134
    { "QGraphicsLayoutItem", true, 0, 0, 0, 0, 0 },	//135
    { "QGraphicsProxyWidget", true, 0, 0, 0, 0, 0 },	//136
    { "QGraphicsScene", true, 0, 0, 0, 0, 0 },	//137
    { "QGraphicsSceneContextMenuEvent", true, 0, 0, 0, 0, 0 },	//138
    { "QGraphicsSceneDragDropEvent", true, 0, 0, 0, 0, 0 },	//139
    { "QGraphicsSceneHelpEvent", true, 0, 0, 0, 0, 0 },	//140
    { "QGraphicsSceneHoverEvent", true, 0, 0, 0, 0, 0 },	//141
    { "QGraphicsSceneMouseEvent", true, 0, 0, 0, 0, 0 },	//142
    { "QGraphicsSceneMoveEvent", true, 0, 0, 0, 0, 0 },	//143
    { "QGraphicsSceneResizeEvent", true, 0, 0, 0, 0, 0 },	//144
    { "QGraphicsSceneWheelEvent", true, 0, 0, 0, 0, 0 },	//145
    { "QGraphicsView", true, 0, 0, 0, 0, 0 },	//146
    { "QGraphicsWidget", true, 0, 0, 0, 0, 0 },	//147
    { "QGroupBox", true, 0, 0, 0, 0, 0 },	//148
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//149
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//150
    { "QIcon", true, 0, 0, 0, 0, 0 },	//151
    { "QImage", true, 0, 0, 0, 0, 0 },	//152
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//153
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//154
    { "QLabel", true, 0, 0, 0, 0, 0 },	//155
    { "QMenu", true, 0, 0, 0, 0, 0 },	//156
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//157
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//158
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//159
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//160
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//161
    { "QMutex", true, 0, 0, 0, 0, 0 },	//162
    { "QObject", true, 0, 0, 0, 0, 0 },	//163
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//164
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//165
    { "QPainter", true, 0, 0, 0, 0, 0 },	//166
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//167
    { "QPalette", true, 0, 0, 0, 0, 0 },	//168
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//169
    { "QPoint", true, 0, 0, 0, 0, 0 },	//170
    { "QPointF", true, 0, 0, 0, 0, 0 },	//171
    { "QRadioButton", true, 0, 0, 0, 0, 0 },	//172
    { "QRect", true, 0, 0, 0, 0, 0 },	//173
    { "QRectF", true, 0, 0, 0, 0, 0 },	//174
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//175
    { "QRegion", true, 0, 0, 0, 0, 0 },	//176
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//177
    { "QScrollBar", true, 0, 0, 0, 0, 0 },	//178
    { "QSharedData", true, 0, 0, 0, 0, 0 },	//179
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//180
    { "QSize", true, 0, 0, 0, 0, 0 },	//181
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//182
    { "QSlider", true, 0, 0, 0, 0, 0 },	//183
    { "QStyle", true, 0, 0, 0, 0, 0 },	//184
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//185
    { "QStyleOptionGraphicsItem", true, 0, 0, 0, 0, 0 },	//186
    { "QStyleOptionViewItem", true, 0, 0, 0, 0, 0 },	//187
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//188
    { "QTextDocument", true, 0, 0, 0, 0, 0 },	//189
    { "QTextOption", true, 0, 0, 0, 0, 0 },	//190
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//191
    { "QToolButton", true, 0, 0, 0, 0, 0 },	//192
    { "QTreeView", true, 0, 0, 0, 0, 0 },	//193
    { "QUrl", true, 0, 0, 0, 0, 0 },	//194
    { "QVariant", true, 0, 0, 0, 0, 0 },	//195
    { "QWebFrame", true, 0, 0, 0, 0, 0 },	//196
    { "QWebPage", true, 0, 0, 0, 0, 0 },	//197
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//198
    { "QWidget", true, 0, 0, 0, 0, 0 },	//199
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KActionCollection*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KCharsets*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "KComboBox*", 4, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KComponentData", 5, Smoke::t_class|Smoke::tf_stack },	//5
    { "KConfigBase*", 6, Smoke::t_class|Smoke::tf_ptr },	//6
    { "KConfigDialog*", 7, Smoke::t_class|Smoke::tf_ptr },	//7
    { "KConfigGroup", 8, Smoke::t_class|Smoke::tf_stack },	//8
    { "KConfigGroup&", 8, Smoke::t_class|Smoke::tf_ref },	//9
    { "KConfigSkeletonItem*", 10, Smoke::t_class|Smoke::tf_ptr },	//10
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//11
    { "KIntSpinBox*", 13, Smoke::t_class|Smoke::tf_ptr },	//12
    { "KLineEdit*", 15, Smoke::t_class|Smoke::tf_ptr },	//13
    { "KLocale*", 16, Smoke::t_class|Smoke::tf_ptr },	//14
    { "KPluginInfo", 17, Smoke::t_class|Smoke::tf_stack },	//15
    { "KPushButton*", 18, Smoke::t_class|Smoke::tf_ptr },	//16
    { "KServiceAction", 19, Smoke::t_class|Smoke::tf_stack },	//17
    { "KSharedPtr<KService>", 0, Smoke::t_voidp|Smoke::tf_stack },	//18
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//19
    { "KSharedPtr<Plasma::PackageStructure>", 0, Smoke::t_voidp|Smoke::tf_stack },	//20
    { "KShortcut", 20, Smoke::t_class|Smoke::tf_stack },	//21
    { "KStandardDirs*", 21, Smoke::t_class|Smoke::tf_ptr },	//22
    { "KSycocaFactoryId", 133, Smoke::t_enum|Smoke::tf_stack },	//23
    { "KSycocaType", 133, Smoke::t_enum|Smoke::tf_stack },	//24
    { "KTabBar*", 22, Smoke::t_class|Smoke::tf_ptr },	//25
    { "KTextBrowser*", 23, Smoke::t_class|Smoke::tf_ptr },	//26
    { "KTextEdit*", 24, Smoke::t_class|Smoke::tf_ptr },	//27
    { "KUrl", 25, Smoke::t_class|Smoke::tf_stack },	//28
    { "KUrl::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//29
    { "Phonon::AudioOutput*", 26, Smoke::t_class|Smoke::tf_ptr },	//30
    { "Phonon::MediaObject*", 27, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Phonon::VideoWidget*", 28, Smoke::t_class|Smoke::tf_ptr },	//32
    { "Plasma::AbstractDialogManager*", 30, Smoke::t_class|Smoke::tf_ptr },	//33
    { "Plasma::AbstractRunner*", 31, Smoke::t_class|Smoke::tf_ptr },	//34
    { "Plasma::AbstractRunner::Priority", 31, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Plasma::AbstractRunner::Speed", 31, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Plasma::AbstractToolBox*", 32, Smoke::t_class|Smoke::tf_ptr },	//37
    { "Plasma::AbstractToolBox::ToolType", 32, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Plasma::AccessAppletJob*", 33, Smoke::t_class|Smoke::tf_ptr },	//39
    { "Plasma::AccessManager*", 34, Smoke::t_class|Smoke::tf_ptr },	//40
    { "Plasma::Animation*", 35, Smoke::t_class|Smoke::tf_ptr },	//41
    { "Plasma::Animation::MovementDirectionFlag", 35, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Plasma::Animation::ReferenceFlag", 35, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Plasma::AnimationDriver*", 36, Smoke::t_class|Smoke::tf_ptr },	//44
    { "Plasma::Animator*", 37, Smoke::t_class|Smoke::tf_ptr },	//45
    { "Plasma::Animator::Animation", 37, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Plasma::Animator::CurveShape", 37, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Plasma::Animator::Movement", 37, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Plasma::AnnouncementMethod", 29, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Plasma::AnnouncementMethods", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "Plasma::Applet*", 38, Smoke::t_class|Smoke::tf_ptr },	//51
    { "Plasma::Applet::BackgroundHint", 38, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Plasma::AppletScript*", 39, Smoke::t_class|Smoke::tf_ptr },	//53
    { "Plasma::AspectRatioMode", 29, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Plasma::AuthorizationInterface*", 40, Smoke::t_class|Smoke::tf_ptr },	//55
    { "Plasma::AuthorizationManager*", 41, Smoke::t_class|Smoke::tf_ptr },	//56
    { "Plasma::AuthorizationManager::AuthorizationPolicy", 41, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Plasma::AuthorizationRule&", 42, Smoke::t_class|Smoke::tf_ref },	//58
    { "Plasma::AuthorizationRule*", 42, Smoke::t_class|Smoke::tf_ptr },	//59
    { "Plasma::AuthorizationRule::Persistence", 42, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Plasma::AuthorizationRule::Policy", 42, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Plasma::AuthorizationRule::Target", 42, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Plasma::BusyWidget*", 43, Smoke::t_class|Smoke::tf_ptr },	//63
    { "Plasma::CheckBox*", 44, Smoke::t_class|Smoke::tf_ptr },	//64
    { "Plasma::ClientPinRequest&", 45, Smoke::t_class|Smoke::tf_ref },	//65
    { "Plasma::ClientPinRequest*", 45, Smoke::t_class|Smoke::tf_ptr },	//66
    { "Plasma::ComboBox*", 46, Smoke::t_class|Smoke::tf_ptr },	//67
    { "Plasma::ComponentType", 29, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Plasma::ConfigLoader*", 47, Smoke::t_class|Smoke::tf_ptr },	//69
    { "Plasma::Constraint", 29, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Plasma::Containment*", 48, Smoke::t_class|Smoke::tf_ptr },	//71
    { "Plasma::Containment::StyleOption*", 49, Smoke::t_class|Smoke::tf_ptr },	//72
    { "Plasma::Containment::StyleOption::StyleOptionType", 49, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Plasma::Containment::StyleOption::StyleOptionVersion", 49, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Plasma::Containment::Type", 48, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Plasma::ContainmentActions*", 50, Smoke::t_class|Smoke::tf_ptr },	//76
    { "Plasma::ContainmentActionsPluginsConfig", 51, Smoke::t_class|Smoke::tf_stack },	//77
    { "Plasma::ContainmentActionsPluginsConfig&", 51, Smoke::t_class|Smoke::tf_ref },	//78
    { "Plasma::ContainmentActionsPluginsConfig*", 51, Smoke::t_class|Smoke::tf_ptr },	//79
    { "Plasma::Context*", 52, Smoke::t_class|Smoke::tf_ptr },	//80
    { "Plasma::Corona*", 53, Smoke::t_class|Smoke::tf_ptr },	//81
    { "Plasma::DataContainer*", 54, Smoke::t_class|Smoke::tf_ptr },	//82
    { "Plasma::DataEngine*", 55, Smoke::t_class|Smoke::tf_ptr },	//83
    { "Plasma::DataEngineManager*", 56, Smoke::t_class|Smoke::tf_ptr },	//84
    { "Plasma::DataEngineScript*", 57, Smoke::t_class|Smoke::tf_ptr },	//85
    { "Plasma::Delegate*", 58, Smoke::t_class|Smoke::tf_ptr },	//86
    { "Plasma::Delegate::ColumnType", 58, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Plasma::Delegate::SpecificRoles", 58, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Plasma::Dialog*", 59, Smoke::t_class|Smoke::tf_ptr },	//89
    { "Plasma::Dialog::ResizeCorner", 59, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Plasma::Direction", 29, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Plasma::Extender*", 60, Smoke::t_class|Smoke::tf_ptr },	//92
    { "Plasma::Extender::Appearance", 60, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Plasma::ExtenderGroup*", 61, Smoke::t_class|Smoke::tf_ptr },	//94
    { "Plasma::ExtenderItem*", 62, Smoke::t_class|Smoke::tf_ptr },	//95
    { "Plasma::FlashingLabel*", 63, Smoke::t_class|Smoke::tf_ptr },	//96
    { "Plasma::FlipDirection", 29, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Plasma::FormFactor", 29, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Plasma::Frame*", 64, Smoke::t_class|Smoke::tf_ptr },	//99
    { "Plasma::Frame::Shadow", 64, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Plasma::FrameSvg*", 65, Smoke::t_class|Smoke::tf_ptr },	//101
    { "Plasma::FrameSvg::EnabledBorder", 65, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Plasma::GLApplet*", 66, Smoke::t_class|Smoke::tf_ptr },	//103
    { "Plasma::GroupBox*", 67, Smoke::t_class|Smoke::tf_ptr },	//104
    { "Plasma::IconWidget*", 68, Smoke::t_class|Smoke::tf_ptr },	//105
    { "Plasma::ImmutabilityType", 29, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Plasma::IntervalAlignment", 29, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Plasma::ItemBackground*", 69, Smoke::t_class|Smoke::tf_ptr },	//108
    { "Plasma::ItemStatus", 29, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Plasma::ItemTypes", 29, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Plasma::Label*", 70, Smoke::t_class|Smoke::tf_ptr },	//111
    { "Plasma::LineEdit*", 71, Smoke::t_class|Smoke::tf_ptr },	//112
    { "Plasma::Location", 29, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Plasma::MarginEdge", 29, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Plasma::MessageButton", 29, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Plasma::Meter*", 72, Smoke::t_class|Smoke::tf_ptr },	//116
    { "Plasma::Meter::MeterType", 72, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Plasma::Package*", 73, Smoke::t_class|Smoke::tf_ptr },	//118
    { "Plasma::PackageMetadata", 74, Smoke::t_class|Smoke::tf_stack },	//119
    { "Plasma::PackageMetadata&", 74, Smoke::t_class|Smoke::tf_ref },	//120
    { "Plasma::PackageMetadata*", 74, Smoke::t_class|Smoke::tf_ptr },	//121
    { "Plasma::PackageStructure&", 75, Smoke::t_class|Smoke::tf_ref },	//122
    { "Plasma::PackageStructure*", 75, Smoke::t_class|Smoke::tf_ptr },	//123
    { "Plasma::PlotColor*", 76, Smoke::t_class|Smoke::tf_ptr },	//124
    { "Plasma::PopupApplet*", 77, Smoke::t_class|Smoke::tf_ptr },	//125
    { "Plasma::PopupPlacement", 29, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Plasma::Position", 29, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Plasma::PushButton*", 78, Smoke::t_class|Smoke::tf_ptr },	//128
    { "Plasma::QueryMatch", 79, Smoke::t_class|Smoke::tf_stack },	//129
    { "Plasma::QueryMatch&", 79, Smoke::t_class|Smoke::tf_ref },	//130
    { "Plasma::QueryMatch*", 79, Smoke::t_class|Smoke::tf_ptr },	//131
    { "Plasma::QueryMatch::Type", 79, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Plasma::RadioButton*", 80, Smoke::t_class|Smoke::tf_ptr },	//133
    { "Plasma::RunnerContext&", 81, Smoke::t_class|Smoke::tf_ref },	//134
    { "Plasma::RunnerContext*", 81, Smoke::t_class|Smoke::tf_ptr },	//135
    { "Plasma::RunnerContext::Type", 81, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Plasma::RunnerManager*", 82, Smoke::t_class|Smoke::tf_ptr },	//137
    { "Plasma::RunnerScript*", 83, Smoke::t_class|Smoke::tf_ptr },	//138
    { "Plasma::RunnerSyntax&", 84, Smoke::t_class|Smoke::tf_ref },	//139
    { "Plasma::RunnerSyntax*", 84, Smoke::t_class|Smoke::tf_ptr },	//140
    { "Plasma::ScriptEngine*", 85, Smoke::t_class|Smoke::tf_ptr },	//141
    { "Plasma::ScrollBar*", 86, Smoke::t_class|Smoke::tf_ptr },	//142
    { "Plasma::ScrollWidget*", 87, Smoke::t_class|Smoke::tf_ptr },	//143
    { "Plasma::Separator*", 88, Smoke::t_class|Smoke::tf_ptr },	//144
    { "Plasma::Service*", 89, Smoke::t_class|Smoke::tf_ptr },	//145
    { "Plasma::ServiceAccessJob*", 90, Smoke::t_class|Smoke::tf_ptr },	//146
    { "Plasma::ServiceJob*", 91, Smoke::t_class|Smoke::tf_ptr },	//147
    { "Plasma::SignalPlotter*", 92, Smoke::t_class|Smoke::tf_ptr },	//148
    { "Plasma::Slider*", 93, Smoke::t_class|Smoke::tf_ptr },	//149
    { "Plasma::SpinBox*", 94, Smoke::t_class|Smoke::tf_ptr },	//150
    { "Plasma::Svg*", 95, Smoke::t_class|Smoke::tf_ptr },	//151
    { "Plasma::SvgWidget*", 96, Smoke::t_class|Smoke::tf_ptr },	//152
    { "Plasma::TabBar*", 97, Smoke::t_class|Smoke::tf_ptr },	//153
    { "Plasma::TextBrowser*", 98, Smoke::t_class|Smoke::tf_ptr },	//154
    { "Plasma::TextEdit*", 99, Smoke::t_class|Smoke::tf_ptr },	//155
    { "Plasma::Theme*", 100, Smoke::t_class|Smoke::tf_ptr },	//156
    { "Plasma::Theme::ColorRole", 100, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Plasma::Theme::FontRole", 100, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Plasma::ToolButton*", 101, Smoke::t_class|Smoke::tf_ptr },	//159
    { "Plasma::ToolTipContent&", 102, Smoke::t_class|Smoke::tf_ref },	//160
    { "Plasma::ToolTipContent*", 102, Smoke::t_class|Smoke::tf_ptr },	//161
    { "Plasma::ToolTipContent::ResourceType", 102, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Plasma::ToolTipManager*", 103, Smoke::t_class|Smoke::tf_ptr },	//163
    { "Plasma::ToolTipManager::State", 103, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Plasma::TreeView*", 104, Smoke::t_class|Smoke::tf_ptr },	//165
    { "Plasma::TrustLevel", 29, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Plasma::VideoWidget*", 105, Smoke::t_class|Smoke::tf_ptr },	//167
    { "Plasma::VideoWidget::Control", 105, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Plasma::View*", 106, Smoke::t_class|Smoke::tf_ptr },	//169
    { "Plasma::Wallpaper*", 107, Smoke::t_class|Smoke::tf_ptr },	//170
    { "Plasma::Wallpaper::ResizeMethod", 107, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Plasma::WallpaperScript*", 108, Smoke::t_class|Smoke::tf_ptr },	//172
    { "Plasma::WebView*", 109, Smoke::t_class|Smoke::tf_ptr },	//173
    { "Plasma::WindowEffects::Effect", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Plasma::ZoomDirection", 29, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Plasma::ZoomLevel", 29, Smoke::t_enum|Smoke::tf_stack },	//176
    { "QAbstractAnimation::Direction", 110, Smoke::t_enum|Smoke::tf_stack },	//177
    { "QAbstractAnimation::State", 110, Smoke::t_enum|Smoke::tf_stack },	//178
    { "QAbstractItemModel*", 112, Smoke::t_class|Smoke::tf_ptr },	//179
    { "QAction*", 114, Smoke::t_class|Smoke::tf_ptr },	//180
    { "QActionEvent*", 115, Smoke::t_class|Smoke::tf_ptr },	//181
    { "QBool", 116, Smoke::t_class|Smoke::tf_stack },	//182
    { "QCheckBox*", 118, Smoke::t_class|Smoke::tf_ptr },	//183
    { "QChildEvent*", 119, Smoke::t_class|Smoke::tf_ptr },	//184
    { "QCloseEvent*", 120, Smoke::t_class|Smoke::tf_ptr },	//185
    { "QColor", 121, Smoke::t_class|Smoke::tf_stack },	//186
    { "QColor&", 121, Smoke::t_class|Smoke::tf_ref },	//187
    { "QContextMenuEvent*", 122, Smoke::t_class|Smoke::tf_ptr },	//188
    { "QDragEnterEvent*", 123, Smoke::t_class|Smoke::tf_ptr },	//189
    { "QDragLeaveEvent*", 124, Smoke::t_class|Smoke::tf_ptr },	//190
    { "QDragMoveEvent*", 125, Smoke::t_class|Smoke::tf_ptr },	//191
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "QDrawPixmaps::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "QDropEvent*", 126, Smoke::t_class|Smoke::tf_ptr },	//194
    { "QEasingCurve", 127, Smoke::t_class|Smoke::tf_stack },	//195
    { "QEvent*", 128, Smoke::t_class|Smoke::tf_ptr },	//196
    { "QFlags<Plasma::Applet::BackgroundHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//197
    { "QFlags<Plasma::AuthorizationRule::Target>", 0, Smoke::t_uint|Smoke::tf_stack },	//198
    { "QFlags<Plasma::ComponentType>", 0, Smoke::t_uint|Smoke::tf_stack },	//199
    { "QFlags<Plasma::Constraint>", 0, Smoke::t_uint|Smoke::tf_stack },	//200
    { "QFlags<Plasma::Dialog::ResizeCorner>", 0, Smoke::t_uint|Smoke::tf_stack },	//201
    { "QFlags<Plasma::FrameSvg::EnabledBorder>", 0, Smoke::t_uint|Smoke::tf_stack },	//202
    { "QFlags<Plasma::RunnerContext::Type>", 0, Smoke::t_uint|Smoke::tf_stack },	//203
    { "QFlags<Plasma::VideoWidget::Control>", 0, Smoke::t_uint|Smoke::tf_stack },	//204
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//205
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//206
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//207
    { "QFocusEvent*", 129, Smoke::t_class|Smoke::tf_ptr },	//208
    { "QFont", 130, Smoke::t_class|Smoke::tf_stack },	//209
    { "QFontMetrics", 131, Smoke::t_class|Smoke::tf_stack },	//210
    { "QGL::FormatOption", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QGraphicsItem*", 134, Smoke::t_class|Smoke::tf_ptr },	//212
    { "QGraphicsItem**", 134, Smoke::t_class|Smoke::tf_ptr },	//213
    { "QGraphicsItem::Extension", 134, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QGraphicsItem::GraphicsItemChange", 134, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QGraphicsLayoutItem*", 135, Smoke::t_class|Smoke::tf_ptr },	//216
    { "QGraphicsSceneContextMenuEvent*", 138, Smoke::t_class|Smoke::tf_ptr },	//217
    { "QGraphicsSceneDragDropEvent*", 139, Smoke::t_class|Smoke::tf_ptr },	//218
    { "QGraphicsSceneHelpEvent*", 140, Smoke::t_class|Smoke::tf_ptr },	//219
    { "QGraphicsSceneHoverEvent*", 141, Smoke::t_class|Smoke::tf_ptr },	//220
    { "QGraphicsSceneMouseEvent*", 142, Smoke::t_class|Smoke::tf_ptr },	//221
    { "QGraphicsSceneMoveEvent*", 143, Smoke::t_class|Smoke::tf_ptr },	//222
    { "QGraphicsSceneResizeEvent*", 144, Smoke::t_class|Smoke::tf_ptr },	//223
    { "QGraphicsSceneWheelEvent*", 145, Smoke::t_class|Smoke::tf_ptr },	//224
    { "QGraphicsView*", 146, Smoke::t_class|Smoke::tf_ptr },	//225
    { "QGraphicsWidget*", 147, Smoke::t_class|Smoke::tf_ptr },	//226
    { "QGroupBox*", 148, Smoke::t_class|Smoke::tf_ptr },	//227
    { "QHash<QString,Plasma::DataContainer*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//228
    { "QHash<QString,QAction*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//229
    { "QHash<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//230
    { "QHideEvent*", 149, Smoke::t_class|Smoke::tf_ptr },	//231
    { "QIODevice*", 150, Smoke::t_class|Smoke::tf_ptr },	//232
    { "QIcon", 151, Smoke::t_class|Smoke::tf_stack },	//233
    { "QImage&", 152, Smoke::t_class|Smoke::tf_ref },	//234
    { "QInputMethodEvent*", 153, Smoke::t_class|Smoke::tf_ptr },	//235
    { "QKeyEvent*", 154, Smoke::t_class|Smoke::tf_ptr },	//236
    { "QLabel*", 155, Smoke::t_class|Smoke::tf_ptr },	//237
    { "QList<KPluginInfo>", 0, Smoke::t_voidp|Smoke::tf_stack },	//238
    { "QList<KServiceAction>", 0, Smoke::t_voidp|Smoke::tf_stack },	//239
    { "QList<KSharedPtr<KService> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//240
    { "QList<Plasma::AbstractRunner*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//241
    { "QList<Plasma::Applet*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//242
    { "QList<Plasma::Containment*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//243
    { "QList<Plasma::ExtenderGroup*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//244
    { "QList<Plasma::ExtenderItem*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//245
    { "QList<Plasma::Location>", 0, Smoke::t_voidp|Smoke::tf_stack },	//246
    { "QList<Plasma::PackageMetadata>", 0, Smoke::t_voidp|Smoke::tf_stack },	//247
    { "QList<Plasma::PlotColor>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//248
    { "QList<Plasma::QueryMatch>", 0, Smoke::t_voidp|Smoke::tf_stack },	//249
    { "QList<Plasma::RunnerSyntax>", 0, Smoke::t_voidp|Smoke::tf_stack },	//250
    { "QList<QAction*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//251
    { "QList<QAction*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//252
    { "QList<QAction*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//253
    { "QList<QGraphicsWidget*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//254
    { "QList<QSize>", 0, Smoke::t_voidp|Smoke::tf_stack },	//255
    { "QList<const char*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//256
    { "QList<unsigned long>", 0, Smoke::t_voidp|Smoke::tf_stack },	//257
    { "QMap<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//258
    { "QMap<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//259
    { "QMenu*", 156, Smoke::t_class|Smoke::tf_ptr },	//260
    { "QMetaObject::Call", 157, Smoke::t_enum|Smoke::tf_stack },	//261
    { "QMimeData*", 158, Smoke::t_class|Smoke::tf_ptr },	//262
    { "QMouseEvent*", 160, Smoke::t_class|Smoke::tf_ptr },	//263
    { "QMoveEvent*", 161, Smoke::t_class|Smoke::tf_ptr },	//264
    { "QMutex*", 162, Smoke::t_class|Smoke::tf_ptr },	//265
    { "QObject*", 163, Smoke::t_class|Smoke::tf_ptr },	//266
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//267
    { "QPaintEngine*", 164, Smoke::t_class|Smoke::tf_ptr },	//268
    { "QPaintEngine::Type", 164, Smoke::t_enum|Smoke::tf_stack },	//269
    { "QPaintEvent*", 165, Smoke::t_class|Smoke::tf_ptr },	//270
    { "QPainter*", 166, Smoke::t_class|Smoke::tf_ptr },	//271
    { "QPainterPath", 167, Smoke::t_class|Smoke::tf_stack },	//272
    { "QPixmap", 169, Smoke::t_class|Smoke::tf_stack },	//273
    { "QPixmap&", 169, Smoke::t_class|Smoke::tf_ref },	//274
    { "QPoint", 170, Smoke::t_class|Smoke::tf_stack },	//275
    { "QPointF", 171, Smoke::t_class|Smoke::tf_stack },	//276
    { "QRadioButton*", 172, Smoke::t_class|Smoke::tf_ptr },	//277
    { "QRect", 173, Smoke::t_class|Smoke::tf_stack },	//278
    { "QRectF", 174, Smoke::t_class|Smoke::tf_stack },	//279
    { "QRectF&", 174, Smoke::t_class|Smoke::tf_ref },	//280
    { "QRegExp&", 175, Smoke::t_class|Smoke::tf_ref },	//281
    { "QRegion", 176, Smoke::t_class|Smoke::tf_stack },	//282
    { "QResizeEvent*", 177, Smoke::t_class|Smoke::tf_ptr },	//283
    { "QScrollBar*", 178, Smoke::t_class|Smoke::tf_ptr },	//284
    { "QShowEvent*", 180, Smoke::t_class|Smoke::tf_ptr },	//285
    { "QSize", 181, Smoke::t_class|Smoke::tf_stack },	//286
    { "QSizeF", 182, Smoke::t_class|Smoke::tf_stack },	//287
    { "QSlider*", 183, Smoke::t_class|Smoke::tf_ptr },	//288
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//289
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//290
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//291
    { "QStyle&", 184, Smoke::t_class|Smoke::tf_ref },	//292
    { "QStyleOption*", 185, Smoke::t_class|Smoke::tf_ptr },	//293
    { "QTabletEvent*", 188, Smoke::t_class|Smoke::tf_ptr },	//294
    { "QTextDocument*", 189, Smoke::t_class|Smoke::tf_ptr },	//295
    { "QTimerEvent*", 191, Smoke::t_class|Smoke::tf_ptr },	//296
    { "QToolButton*", 192, Smoke::t_class|Smoke::tf_ptr },	//297
    { "QTreeView*", 193, Smoke::t_class|Smoke::tf_ptr },	//298
    { "QVariant", 195, Smoke::t_class|Smoke::tf_stack },	//299
    { "QVariantList", 0, Smoke::t_voidp|Smoke::tf_stack },	//300
    { "QWebFrame*", 196, Smoke::t_class|Smoke::tf_ptr },	//301
    { "QWebPage*", 197, Smoke::t_class|Smoke::tf_ptr },	//302
    { "QWheelEvent*", 198, Smoke::t_class|Smoke::tf_ptr },	//303
    { "QWidget*", 199, Smoke::t_class|Smoke::tf_ptr },	//304
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::KeyboardModifiers", 0, Smoke::t_uint|Smoke::tf_stack },	//344
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::MouseButtons", 0, Smoke::t_uint|Smoke::tf_stack },	//350
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//354
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//355
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//356
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//357
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//358
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//359
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//360
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//361
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//362
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//363
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//364
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//365
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//366
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//367
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//368
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//369
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//370
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//371
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//372
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//373
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//374
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//375
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//376
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//377
    { "QtMsgType", 133, Smoke::t_enum|Smoke::tf_stack },	//378
    { "WId", 0, Smoke::t_ulong|Smoke::tf_stack },	//379
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//380
    { "__codecvt_result", 133, Smoke::t_enum|Smoke::tf_stack },	//381
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//382
    { "const KComponentData&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//383
    { "const KConfigBase&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//384
    { "const KConfigBase*", 6, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//385
    { "const KConfigGroup&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//386
    { "const KConfigGroup*", 8, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//387
    { "const KIcon&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//388
    { "const KPluginInfo&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const KSharedPtr<KService>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//390
    { "const KSharedPtr<Plasma::PackageStructure>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//391
    { "const KShortcut&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//392
    { "const KUrl&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//393
    { "const KUrl::List&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const Plasma::AuthorizationInterface&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const Plasma::Containment::StyleOption&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const Plasma::ContainmentActionsPluginsConfig&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//397
    { "const Plasma::DataEngine::Data&", 0, Smoke::t_voidp|Smoke::tf_stack },	//398
    { "const Plasma::ImmutabilityType", 29, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//399
    { "const Plasma::ItemStatus", 29, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//400
    { "const Plasma::MarginEdge", 29, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//401
    { "const Plasma::MessageButton", 29, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//402
    { "const Plasma::Package*", 73, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//403
    { "const Plasma::PackageMetadata&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//404
    { "const Plasma::PackageStructure&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const Plasma::PlotColor&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//406
    { "const Plasma::QueryMatch&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const Plasma::QueryMatch*", 79, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//408
    { "const Plasma::RunnerContext&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const Plasma::RunnerSyntax&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const Plasma::ToolTipContent&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const QByteArray&", 117, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const QColor&", 121, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const QEasingCurve&", 127, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const QFlags<Plasma::Applet::BackgroundHint>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//415
    { "const QFlags<Plasma::FrameSvg::EnabledBorder>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//416
    { "const QFlags<Plasma::MessageButton>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//417
    { "const QFlags<Plasma::VideoWidget::Control>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//418
    { "const QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//419
    { "const QFont&", 130, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//420
    { "const QGraphicsItem*", 134, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//421
    { "const QGraphicsView*", 146, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//422
    { "const QHash<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//423
    { "const QHash<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//424
    { "const QIcon&", 151, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//425
    { "const QImage&", 152, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//426
    { "const QList<Plasma::QueryMatch>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//427
    { "const QList<Plasma::RunnerSyntax>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const QList<QAction*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const QList<QRect>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//430
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const QList<double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const QList<unsigned int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const QList<unsigned long>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const QMap<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//435
    { "const QMetaObject&", 157, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//436
    { "const QMetaObject*", 157, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//437
    { "const QModelIndex&", 159, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//438
    { "const QObject*", 163, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//439
    { "const QPainterPath&", 167, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//440
    { "const QPalette&", 168, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const QPixmap&", 169, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//442
    { "const QPoint", 170, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//443
    { "const QPoint&", 170, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//444
    { "const QPointF&", 171, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//445
    { "const QRect&", 173, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//446
    { "const QRectF&", 174, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//447
    { "const QRegExp&", 175, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//448
    { "const QRegion&", 176, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//449
    { "const QSize&", 181, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//450
    { "const QSizeF&", 182, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//451
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//452
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//453
    { "const QStringList", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//454
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//455
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//456
    { "const QStyleOptionGraphicsItem&", 186, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//457
    { "const QStyleOptionGraphicsItem*", 186, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//458
    { "const QStyleOptionViewItem&", 187, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//459
    { "const QTextOption&", 190, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//460
    { "const QUrl&", 194, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//461
    { "const QVariant&", 195, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//462
    { "const Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//463
    { "const bool", 0, Smoke::t_bool|Smoke::tf_stack|Smoke::tf_const },	//464
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//465
    { "const double", 0, Smoke::t_double|Smoke::tf_stack|Smoke::tf_const },	//466
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//467
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//468
    { "double&", 0, Smoke::t_voidp|Smoke::tf_ref },	//469
    { "double*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//470
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//471
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//472
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//473
    { "qint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//474
    { "qreal", 0, Smoke::t_double|Smoke::tf_stack },	//475
    { "uint", 0, Smoke::t_uint|Smoke::tf_stack },	//476
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//477
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//478
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//479
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//480
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//481
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    465, 0,	//1  const char*
    261, 471, 480, 0,	//3  QMetaObject::Call, int, void**
    382, 0,	//7  bool
    113, 0,	//9  Plasma::Location
    421, 0,	//11  const QGraphicsItem*
    453, 34, 0,	//13  const QString&, Plasma::AbstractRunner*
    453, 68, 0,	//16  const QString&, Plasma::ComponentType
    176, 0,	//19  Plasma::ZoomLevel
    453, 170, 0,	//21  const QString&, Plasma::Wallpaper*
    260, 453, 266, 0,	//24  QMenu*, const QString&, QObject*
    260, 0,	//28  QMenu*
    260, 453, 0,	//30  QMenu*, const QString&
    453, 83, 0,	//33  const QString&, Plasma::DataEngine*
    477, 0,	//36  unsigned int
    199, 0,	//38  QFlags<Plasma::ComponentType>
    453, 51, 0,	//40  const QString&, Plasma::Applet*
    465, 465, 0,	//43  const char*, const char*
    465, 465, 471, 0,	//46  const char*, const char*, int
    81, 0,	//50  Plasma::Corona*
    304, 51, 0,	//52  QWidget*, Plasma::Applet*
    134, 0,	//55  Plasma::RunnerContext&
    304, 0,	//57  QWidget*
    409, 407, 0,	//59  const Plasma::RunnerContext&, const Plasma::QueryMatch&
    203, 0,	//62  QFlags<Plasma::RunnerContext::Type>
    266, 453, 0,	//64  QObject*, const QString&
    390, 266, 0,	//67  const KSharedPtr<KService>, QObject*
    266, 431, 0,	//70  QObject*, const QList<QVariant>&
    36, 0,	//73  Plasma::AbstractRunner::Speed
    35, 0,	//75  Plasma::AbstractRunner::Priority
    453, 453, 0,	//77  const QString&, const QString&
    407, 0,	//80  const Plasma::QueryMatch&
    453, 425, 453, 0,	//82  const QString&, const QIcon&, const QString&
    453, 180, 0,	//86  const QString&, QAction*
    453, 0,	//89  const QString&
    410, 0,	//91  const Plasma::RunnerSyntax&
    428, 0,	//93  const QList<Plasma::RunnerSyntax>&
    408, 0,	//95  const Plasma::QueryMatch*
    266, 0,	//97  QObject*
    390, 0,	//99  const KSharedPtr<KService>
    71, 0,	//101  Plasma::Containment*
    180, 0,	//103  QAction*
    464, 0,	//105  const bool
    393, 266, 0,	//107  const KUrl&, QObject*
    393, 0,	//110  const KUrl&
    39, 0,	//112  Plasma::AccessAppletJob*
    119, 0,	//114  Plasma::PackageMetadata
    226, 0,	//116  QGraphicsWidget*
    414, 0,	//118  const QEasingCurve&
    471, 0,	//120  int
    46, 0,	//122  Plasma::Animator::Animation
    48, 0,	//124  Plasma::Animator::Movement
    468, 442, 0,	//126  double, const QPixmap&
    468, 212, 0,	//129  double, QGraphicsItem*
    468, 212, 444, 444, 0,	//132  double, QGraphicsItem*, const QPoint&, const QPoint&
    46, 266, 0,	//137  Plasma::Animator::Animation, QObject*
    453, 266, 0,	//140  const QString&, QObject*
    47, 0,	//143  Plasma::Animator::CurveShape
    212, 48, 444, 0,	//145  QGraphicsItem*, Plasma::Animator::Movement, const QPoint&
    471, 471, 47, 266, 465, 0,	//149  int, int, Plasma::Animator::CurveShape, QObject*, const char*
    471, 442, 0,	//155  int, const QPixmap&
    212, 46, 0,	//158  QGraphicsItem*, Plasma::Animator::Animation
    212, 0,	//161  QGraphicsItem*
    226, 178, 178, 0,	//163  QGraphicsWidget*, QAbstractAnimation::State, QAbstractAnimation::State
    296, 0,	//167  QTimerEvent*
    9, 0,	//169  KConfigGroup&
    422, 446, 0,	//171  const QGraphicsView*, const QRect&
    422, 447, 0,	//174  const QGraphicsView*, const QRectF&
    450, 0,	//177  const QSize&
    450, 305, 0,	//179  const QSize&, Qt::AlignmentFlag
    200, 0,	//182  QFlags<Plasma::Constraint>
    54, 0,	//184  Plasma::AspectRatioMode
    461, 0,	//186  const QUrl&
    453, 382, 0,	//188  const QString&, bool
    455, 0,	//191  const QStringList&
    453, 477, 431, 0,	//193  const QString&, unsigned int, const QList<QVariant>&
    389, 477, 431, 0,	//197  const KPluginInfo&, unsigned int, const QList<QVariant>&
    389, 0,	//201  const KPluginInfo&
    271, 458, 446, 0,	//203  QPainter*, const QStyleOptionGraphicsItem*, const QRect&
    271, 458, 304, 0,	//207  QPainter*, const QStyleOptionGraphicsItem*, QWidget*
    289, 0,	//211  QString
    289, 180, 0,	//213  QString, QAction*
    415, 0,	//216  const QFlags<Plasma::Applet::BackgroundHint>
    392, 0,	//218  const KShortcut&
    95, 0,	//220  Plasma::ExtenderItem*
    212, 453, 477, 0,	//222  QGraphicsItem*, const QString&, unsigned int
    212, 453, 477, 431, 0,	//226  QGraphicsItem*, const QString&, unsigned int, const QList<QVariant>&
    7, 0,	//231  KConfigDialog*
    394, 0,	//233  const KUrl::List&
    358, 0,	//235  Qt::SizeHint
    402, 0,	//237  const Plasma::MessageButton
    51, 0,	//239  Plasma::Applet*
    109, 0,	//241  Plasma::ItemStatus
    106, 0,	//243  Plasma::ImmutabilityType
    399, 0,	//245  const Plasma::ImmutabilityType
    400, 0,	//247  const Plasma::ItemStatus
    50, 453, 0,	//249  Plasma::AnnouncementMethods, const QString&
    382, 453, 0,	//252  bool, const QString&
    425, 453, 417, 0,	//255  const QIcon&, const QString&, const QFlags<Plasma::MessageButton>
    266, 196, 0,	//259  QObject*, QEvent*
    212, 196, 0,	//262  QGraphicsItem*, QEvent*
    221, 0,	//265  QGraphicsSceneMouseEvent*
    208, 0,	//267  QFocusEvent*
    223, 0,	//269  QGraphicsSceneResizeEvent*
    215, 462, 0,	//271  QGraphicsItem::GraphicsItemChange, const QVariant&
    358, 451, 0,	//274  Qt::SizeHint, const QSizeF&
    220, 0,	//277  QGraphicsSceneHoverEvent*
    453, 477, 0,	//279  const QString&, unsigned int
    389, 477, 0,	//282  const KPluginInfo&, unsigned int
    212, 453, 0,	//285  QGraphicsItem*, const QString&
    58, 0,	//288  Plasma::AuthorizationRule&
    65, 0,	//290  Plasma::ClientPinRequest&
    395, 0,	//292  const Plasma::AuthorizationInterface&
    57, 0,	//294  Plasma::AuthorizationManager::AuthorizationPolicy
    55, 0,	//296  Plasma::AuthorizationInterface*
    61, 0,	//298  Plasma::AuthorizationRule::Policy
    60, 0,	//300  Plasma::AuthorizationRule::Persistence
    198, 0,	//302  QFlags<Plasma::AuthorizationRule::Target>
    59, 0,	//304  Plasma::AuthorizationRule*
    285, 0,	//306  QShowEvent*
    231, 0,	//308  QHideEvent*
    271, 458, 0,	//310  QPainter*, const QStyleOptionGraphicsItem*
    196, 0,	//313  QEvent*
    66, 0,	//315  Plasma::ClientPinRequest*
    4, 0,	//317  KComboBox*
    453, 232, 266, 0,	//319  const QString&, QIODevice*, QObject*
    19, 232, 266, 0,	//323  KSharedPtr<KSharedConfig>, QIODevice*, QObject*
    387, 232, 266, 0,	//327  const KConfigGroup*, QIODevice*, QObject*
    453, 232, 0,	//331  const QString&, QIODevice*
    19, 232, 0,	//334  KSharedPtr<KSharedConfig>, QIODevice*
    387, 232, 0,	//337  const KConfigGroup*, QIODevice*
    453, 453, 453, 0,	//340  const QString&, const QString&, const QString&
    453, 431, 447, 0,	//344  const QString&, const QList<QVariant>&, const QRectF&
    51, 445, 382, 0,	//348  Plasma::Applet*, const QPointF&, bool
    471, 471, 0,	//352  int, int
    445, 444, 0,	//355  const QPointF&, const QPoint&
    443, 0,	//358  const QPoint
    51, 445, 0,	//360  Plasma::Applet*, const QPointF&
    71, 175, 0,	//363  Plasma::Containment*, Plasma::ZoomDirection
    445, 0,	//366  const QPointF&
    471, 471, 71, 0,	//368  int, int, Plasma::Containment*
    80, 0,	//372  Plasma::Context*
    98, 0,	//374  Plasma::FormFactor
    75, 0,	//376  Plasma::Containment::Type
    217, 0,	//378  QGraphicsSceneContextMenuEvent*
    236, 0,	//380  QKeyEvent*
    224, 0,	//382  QGraphicsSceneWheelEvent*
    218, 0,	//384  QGraphicsSceneDragDropEvent*
    37, 0,	//386  Plasma::AbstractToolBox*
    453, 431, 0,	//388  const QString&, const QList<QVariant>&
    396, 0,	//391  const Plasma::Containment::StyleOption&
    457, 0,	//393  const QStyleOptionGraphicsItem&
    169, 0,	//395  Plasma::View*
    71, 453, 431, 0,	//397  Plasma::Containment*, const QString&, const QList<QVariant>&
    71, 389, 431, 0,	//401  Plasma::Containment*, const KPluginInfo&, const QList<QVariant>&
    386, 0,	//405  const KConfigGroup&
    276, 275, 0,	//407  QPointF, QPoint
    71, 453, 0,	//410  Plasma::Containment*, const QString&
    71, 389, 0,	//413  Plasma::Containment*, const KPluginInfo&
    397, 0,	//416  const Plasma::ContainmentActionsPluginsConfig&
    196, 453, 0,	//418  QEvent*, const QString&
    206, 349, 453, 0,	//421  QFlags<Qt::KeyboardModifier>, Qt::MouseButton, const QString&
    206, 352, 453, 0,	//425  QFlags<Qt::KeyboardModifier>, Qt::Orientation, const QString&
    421, 450, 0,	//429  const QGraphicsItem*, const QSize&
    421, 450, 305, 0,	//432  const QGraphicsItem*, const QSize&, Qt::AlignmentFlag
    2, 0,	//436  KActionCollection*
    75, 397, 0,	//438  Plasma::Containment::Type, const Plasma::ContainmentActionsPluginsConfig&
    33, 0,	//441  Plasma::AbstractDialogManager*
    384, 0,	//443  const KConfigBase&
    9, 243, 0,	//445  KConfigGroup&, QList<Plasma::Containment*>
    46, 46, 0,	//448  Plasma::Animator::Animation, Plasma::Animator::Animation
    46, 453, 0,	//451  Plasma::Animator::Animation, const QString&
    453, 462, 0,	//454  const QString&, const QVariant&
    266, 477, 107, 0,	//457  QObject*, unsigned int, Plasma::IntervalAlignment
    453, 398, 0,	//461  const QString&, const Plasma::DataEngine::Data&
    82, 0,	//464  Plasma::DataContainer*
    266, 18, 0,	//466  QObject*, KSharedPtr<KService>
    453, 266, 477, 107, 0,	//469  const QString&, QObject*, unsigned int, Plasma::IntervalAlignment
    453, 453, 462, 0,	//474  const QString&, const QString&, const QVariant&
    453, 424, 0,	//478  const QString&, const QHash<QString,QVariant>&
    453, 266, 477, 0,	//481  const QString&, QObject*, unsigned int
    266, 477, 0,	//485  QObject*, unsigned int
    83, 0,	//488  Plasma::DataEngine*
    88, 471, 0,	//490  Plasma::Delegate::SpecificRoles, int
    88, 0,	//493  Plasma::Delegate::SpecificRoles
    271, 459, 438, 0,	//495  QPainter*, const QStyleOptionViewItem&, const QModelIndex&
    459, 438, 0,	//499  const QStyleOptionViewItem&, const QModelIndex&
    304, 207, 0,	//502  QWidget*, QFlags<Qt::WindowType>
    201, 0,	//505  QFlags<Plasma::Dialog::ResizeCorner>
    91, 0,	//507  Plasma::Direction
    270, 0,	//509  QPaintEvent*
    283, 0,	//511  QResizeEvent*
    263, 0,	//513  QMouseEvent*
    264, 0,	//515  QMoveEvent*
    444, 0,	//517  const QPoint&
    93, 0,	//519  Plasma::Extender::Appearance
    95, 445, 0,	//521  Plasma::ExtenderItem*, const QPointF&
    92, 477, 0,	//524  Plasma::Extender*, unsigned int
    92, 0,	//527  Plasma::Extender*
    425, 0,	//529  const QIcon&
    92, 445, 0,	//531  Plasma::Extender*, const QPointF&
    94, 0,	//534  Plasma::ExtenderGroup*
    94, 445, 0,	//536  Plasma::ExtenderGroup*, const QPointF&
    222, 0,	//539  QGraphicsSceneMoveEvent*
    420, 0,	//541  const QFont&
    413, 0,	//543  const QColor&
    453, 471, 460, 0,	//545  const QString&, int, const QTextOption&
    442, 471, 205, 0,	//549  const QPixmap&, int, QFlags<Qt::AlignmentFlag>
    453, 471, 0,	//553  const QString&, int
    442, 0,	//556  const QPixmap&
    442, 471, 0,	//558  const QPixmap&, int
    100, 0,	//561  Plasma::Frame::Shadow
    416, 0,	//563  const QFlags<Plasma::FrameSvg::EnabledBorder>
    451, 0,	//565  const QSizeF&
    401, 0,	//567  const Plasma::MarginEdge
    469, 469, 469, 469, 0,	//569  double&, double&, double&, double&
    271, 447, 447, 0,	//574  QPainter*, const QRectF&, const QRectF&
    271, 445, 0,	//578  QPainter*, const QPointF&
    271, 447, 0,	//581  QPainter*, const QRectF&
    271, 0,	//584  QPainter*
    212, 453, 471, 0,	//586  QGraphicsItem*, const QString&, int
    426, 477, 0,	//590  const QImage&, unsigned int
    426, 0,	//593  const QImage&
    453, 212, 0,	//595  const QString&, QGraphicsItem*
    425, 453, 212, 0,	//598  const QIcon&, const QString&, QGraphicsItem*
    352, 0,	//602  Qt::Orientation
    466, 0,	//604  const double
    271, 450, 471, 0,	//606  QPainter*, const QSize&, int
    425, 453, 0,	//610  const QIcon&, const QString&
    447, 0,	//613  const QRectF&
    475, 0,	//615  qreal
    279, 0,	//617  QRectF
    205, 0,	//619  QFlags<Qt::AlignmentFlag>
    13, 0,	//621  KLineEdit*
    117, 0,	//623  Plasma::Meter::MeterType
    471, 453, 0,	//625  int, const QString&
    471, 413, 0,	//628  int, const QColor&
    471, 420, 0,	//631  int, const QFont&
    471, 419, 0,	//634  int, const QFlags<Qt::AlignmentFlag>
    453, 453, 20, 0,	//637  const QString&, const QString&, KSharedPtr<Plasma::PackageStructure>
    453, 20, 0,	//641  const QString&, KSharedPtr<Plasma::PackageStructure>
    465, 453, 0,	//644  const char*, const QString&
    404, 453, 0,	//647  const Plasma::PackageMetadata&, const QString&
    404, 453, 453, 453, 0,	//650  const Plasma::PackageMetadata&, const QString&, const QString&, const QString&
    404, 453, 453, 0,	//655  const Plasma::PackageMetadata&, const QString&, const QString&
    404, 0,	//659  const Plasma::PackageMetadata&
    405, 0,	//661  const Plasma::PackageStructure&
    465, 453, 453, 0,	//663  const char*, const QString&, const QString&
    465, 382, 0,	//667  const char*, bool
    290, 0,	//670  QStringList
    465, 290, 0,	//672  const char*, QStringList
    385, 0,	//675  const KConfigBase*
    6, 0,	//677  KConfigBase*
    406, 0,	//679  const Plasma::PlotColor&
    476, 0,	//681  uint
    388, 0,	//683  const KIcon&
    34, 0,	//685  Plasma::AbstractRunner*
    132, 0,	//687  Plasma::QueryMatch::Type
    468, 0,	//689  double
    409, 0,	//691  const Plasma::RunnerContext&
    462, 0,	//693  const QVariant&
    134, 266, 0,	//695  Plasma::RunnerContext&, QObject*
    453, 427, 0,	//698  const QString&, const QList<Plasma::QueryMatch>&
    453, 407, 0,	//701  const QString&, const Plasma::QueryMatch&
    452, 0,	//704  const QString
    454, 0,	//706  const QStringList
    9, 266, 0,	//708  KConfigGroup&, QObject*
    427, 0,	//711  const QList<Plasma::QueryMatch>&
    407, 253, 0,	//713  const Plasma::QueryMatch&, QList<QAction*>*
    463, 0,	//716  const Qt::ScrollBarPolicy
    178, 178, 0,	//718  QAbstractAnimation::State, QAbstractAnimation::State
    212, 207, 0,	//721  QGraphicsItem*, QFlags<Qt::WindowType>
    453, 431, 266, 0,	//724  const QString&, const QList<QVariant>&, QObject*
    386, 266, 0,	//728  const KConfigGroup&, QObject*
    304, 453, 0,	//731  QWidget*, const QString&
    226, 453, 0,	//734  QGraphicsWidget*, const QString&
    147, 0,	//737  Plasma::ServiceJob*
    145, 0,	//739  Plasma::Service*
    453, 259, 0,	//741  const QString&, QMap<QString,QVariant>&
    232, 0,	//744  QIODevice*
    28, 266, 0,	//746  KUrl, QObject*
    28, 0,	//749  KUrl
    453, 453, 435, 266, 0,	//751  const QString&, const QString&, const QMap<QString,QVariant>&, QObject*
    453, 453, 435, 0,	//756  const QString&, const QString&, const QMap<QString,QVariant>&
    432, 0,	//760  const QList<double>&
    433, 0,	//762  const QList<unsigned int>&
    468, 468, 0,	//764  double, double
    477, 477, 0,	//767  unsigned int, unsigned int
    271, 477, 477, 471, 0,	//770  QPainter*, unsigned int, unsigned int, int
    271, 471, 471, 0,	//775  QPainter*, int, int
    271, 471, 471, 471, 0,	//779  QPainter*, int, int, int
    271, 471, 471, 471, 471, 0,	//784  QPainter*, int, int, int, int
    271, 445, 453, 0,	//790  QPainter*, const QPointF&, const QString&
    271, 471, 471, 453, 0,	//794  QPainter*, int, int, const QString&
    271, 447, 453, 0,	//799  QPainter*, const QRectF&, const QString&
    271, 471, 471, 471, 471, 453, 0,	//803  QPainter*, int, int, int, int, const QString&
    156, 0,	//810  Plasma::Theme*
    151, 453, 212, 207, 0,	//812  Plasma::Svg*, const QString&, QGraphicsItem*, QFlags<Qt::WindowType>
    151, 0,	//817  Plasma::Svg*
    349, 0,	//819  Qt::MouseButton
    151, 453, 0,	//821  Plasma::Svg*, const QString&
    151, 453, 212, 0,	//824  Plasma::Svg*, const QString&, QGraphicsItem*
    471, 425, 453, 216, 0,	//828  int, const QIcon&, const QString&, QGraphicsLayoutItem*
    471, 453, 216, 0,	//833  int, const QString&, QGraphicsLayoutItem*
    425, 453, 216, 0,	//837  const QIcon&, const QString&, QGraphicsLayoutItem*
    453, 216, 0,	//841  const QString&, QGraphicsLayoutItem*
    471, 425, 0,	//844  int, const QIcon&
    471, 425, 453, 0,	//847  int, const QIcon&, const QString&
    356, 0,	//851  Qt::ScrollBarPolicy
    27, 0,	//853  KTextEdit*
    157, 0,	//855  Plasma::Theme::ColorRole
    420, 158, 0,	//857  const QFont&, Plasma::Theme::FontRole
    158, 0,	//860  Plasma::Theme::FontRole
    453, 274, 0,	//862  const QString&, QPixmap&
    453, 274, 477, 0,	//865  const QString&, QPixmap&, unsigned int
    453, 442, 0,	//869  const QString&, const QPixmap&
    453, 442, 453, 0,	//872  const QString&, const QPixmap&, const QString&
    453, 453, 280, 0,	//876  const QString&, const QString&, QRectF&
    453, 453, 447, 0,	//880  const QString&, const QString&, const QRectF&
    411, 0,	//884  const Plasma::ToolTipContent&
    453, 453, 442, 0,	//886  const QString&, const QString&, const QPixmap&
    453, 453, 425, 0,	//890  const QString&, const QString&, const QIcon&
    478, 0,	//894  unsigned long
    434, 0,	//896  const QList<unsigned long>&
    162, 461, 462, 0,	//898  Plasma::ToolTipContent::ResourceType, const QUrl&, const QVariant&
    295, 0,	//902  QTextDocument*
    226, 411, 0,	//904  QGraphicsWidget*, const Plasma::ToolTipContent&
    164, 0,	//907  Plasma::ToolTipManager::State
    379, 350, 344, 444, 0,	//909  WId, Qt::MouseButtons, Qt::KeyboardModifiers, const QPoint&
    453, 350, 344, 444, 0,	//914  const QString&, Qt::MouseButtons, Qt::KeyboardModifiers, const QPoint&
    179, 0,	//919  QAbstractItemModel*
    418, 0,	//921  const QFlags<Plasma::VideoWidget::Control>
    474, 0,	//923  qint64
    71, 304, 0,	//925  Plasma::Containment*, QWidget*
    71, 471, 304, 0,	//928  Plasma::Containment*, int, QWidget*
    71, 471, 0,	//932  Plasma::Containment*, int
    389, 431, 0,	//935  const KPluginInfo&, const QList<QVariant>&
    170, 0,	//938  Plasma::Wallpaper*
    171, 0,	//940  Plasma::Wallpaper::ResizeMethod
    453, 450, 171, 413, 0,	//942  const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod, const QColor&
    453, 234, 477, 0,	//947  const QString&, QImage&, unsigned int
    453, 426, 0,	//951  const QString&, const QImage&
    429, 0,	//954  const QList<QAction*>&
    453, 450, 0,	//956  const QString&, const QSize&
    453, 450, 171, 0,	//959  const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod
    453, 234, 0,	//963  const QString&, QImage&
    412, 393, 0,	//966  const QByteArray&, const KUrl&
    453, 393, 0,	//969  const QString&, const KUrl&
    302, 0,	//972  QWebPage*
    412, 0,	//974  const QByteArray&
    177, 0,	//976  QAbstractAnimation::Direction
    304, 459, 438, 0,	//978  QWidget*, const QStyleOptionViewItem&, const QModelIndex&
    304, 438, 0,	//982  QWidget*, const QModelIndex&
    304, 179, 438, 0,	//985  QWidget*, QAbstractItemModel*, const QModelIndex&
    196, 179, 459, 438, 0,	//989  QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&
    421, 341, 0,	//994  const QGraphicsItem*, Qt::ItemSelectionMode
    440, 341, 0,	//997  const QPainterPath&, Qt::ItemSelectionMode
    235, 0,	//1000  QInputMethodEvent*
    338, 0,	//1002  Qt::InputMethodQuery
    214, 0,	//1004  QGraphicsItem::Extension
    214, 462, 0,	//1006  QGraphicsItem::Extension, const QVariant&
    219, 0,	//1009  QGraphicsSceneHelpEvent*
    271, 471, 213, 458, 304, 0,	//1011  QPainter*, int, QGraphicsItem**, const QStyleOptionGraphicsItem*, QWidget*
    188, 0,	//1017  QContextMenuEvent*
    189, 0,	//1019  QDragEnterEvent*
    190, 0,	//1021  QDragLeaveEvent*
    191, 0,	//1023  QDragMoveEvent*
    194, 0,	//1025  QDropEvent*
    303, 0,	//1027  QWheelEvent*
    271, 471, 213, 458, 0,	//1029  QPainter*, int, QGraphicsItem**, const QStyleOptionGraphicsItem*
    470, 470, 470, 470, 0,	//1034  double*, double*, double*, double*
    293, 0,	//1039  QStyleOption*
    185, 0,	//1041  QCloseEvent*
    184, 0,	//1043  QChildEvent*
    294, 0,	//1045  QTabletEvent*
    181, 0,	//1047  QActionEvent*
    380, 0,	//1049  _XEvent*
    267, 0,	//1051  QPaintDevice::PaintDeviceMetric
    292, 0,	//1053  QStyle&
    441, 0,	//1055  const QPalette&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AbstractDialogManager",	//1
    "AbstractDialogManager#",	//2
    "AbstractRunner",	//3
    "AbstractRunner#",	//4
    "AbstractRunner#$",	//5
    "AbstractRunner#?",	//6
    "AbstractRunner?",	//7
    "AbstractRunner?#",	//8
    "AbstractToolBox",	//9
    "AbstractToolBox#",	//10
    "AcceptingInputStatus",	//11
    "AccessAppletJob",	//12
    "AccessAppletJob#",	//13
    "AccessAppletJob##",	//14
    "ActivateAnimation",	//15
    "Activated",	//16
    "ActiveStatus",	//17
    "AddTool",	//18
    "AlignToHour",	//19
    "AlignToMinute",	//20
    "All",	//21
    "AllBorders",	//22
    "AllConstraints",	//23
    "AllLayers",	//24
    "AllServices",	//25
    "AllUsers",	//26
    "Allow",	//27
    "AnalogMeter",	//28
    "AnchorUnderMouse",	//29
    "AnchorViewCenter",	//30
    "Animation",	//31
    "Animation#",	//32
    "AnimationDriver",	//33
    "AnimationDriver#",	//34
    "AnimatorComponent",	//35
    "AppearAnimation",	//36
    "Applet",	//37
    "Applet#",	//38
    "Applet#$",	//39
    "Applet#$$",	//40
    "Applet#$$?",	//41
    "Applet#?",	//42
    "AppletComponent",	//43
    "AppletScript",	//44
    "AppletScript#",	//45
    "AppletType",	//46
    "AuthorizationInterface",	//47
    "AuthorizationInterface#",	//48
    "BackgroundColor",	//49
    "BackgroundLayer",	//50
    "Backward",	//51
    "BarMeterHorizontal",	//52
    "BarMeterVertical",	//53
    "BottomBorder",	//54
    "BottomEdge",	//55
    "BottomMargin",	//56
    "BottomPosedLeftAlignedPopup",	//57
    "BottomPosedRightAlignedPopup",	//58
    "BottomPositioned",	//59
    "BottomUpStacked",	//60
    "BoundingRectViewportUpdate",	//61
    "Box",	//62
    "BspTreeIndex",	//63
    "BusyWidget",	//64
    "BusyWidget#",	//65
    "ButtonBackgroundColor",	//66
    "ButtonCancel",	//67
    "ButtonNo",	//68
    "ButtonNone",	//69
    "ButtonOk",	//70
    "ButtonTextColor",	//71
    "ButtonYes",	//72
    "Bytes",	//73
    "CacheBackground",	//74
    "CacheNone",	//75
    "Center",	//76
    "CenterPositioned",	//77
    "CenterTiledResize",	//78
    "CenteredResize",	//79
    "CheckBox",	//80
    "CheckBox#",	//81
    "ColumnTypeRole",	//82
    "ComboBox",	//83
    "ComboBox#",	//84
    "CompletionMatch",	//85
    "ConfigLoader",	//86
    "ConfigLoader##",	//87
    "ConfigLoader###",	//88
    "ConfigLoader$#",	//89
    "ConfigLoader$##",	//90
    "ConfigLoader?#",	//91
    "ConfigLoader?##",	//92
    "ConfigureTool",	//93
    "ConstrainedSquare",	//94
    "Containment",	//95
    "Containment#",	//96
    "Containment#$",	//97
    "Containment#$$",	//98
    "Containment#?",	//99
    "ContainmentActions",	//100
    "ContainmentActions#",	//101
    "ContainmentActions#?",	//102
    "ContainmentActionsPluginsConfig",	//103
    "ContainmentActionsPluginsConfig#",	//104
    "ContainmentComponent",	//105
    "Context",	//106
    "Context#",	//107
    "ContextConstraint",	//108
    "ControlTool",	//109
    "Corona",	//110
    "Corona#",	//111
    "CssResource",	//112
    "Custom",	//113
    "CustomContainment",	//114
    "CustomPanelContainment",	//115
    "DataContainer",	//116
    "DataContainer#",	//117
    "DataEngine",	//118
    "DataEngine#",	//119
    "DataEngine#?",	//120
    "DataEngineComponent",	//121
    "DataEngineScript",	//122
    "DataEngineScript#",	//123
    "Deactivated",	//124
    "Default",	//125
    "DefaultBackground",	//126
    "DefaultControls",	//127
    "DefaultFont",	//128
    "Delegate",	//129
    "Delegate#",	//130
    "DeleteWhenStopped",	//131
    "Deny",	//132
    "DenyAll",	//133
    "Desktop",	//134
    "DesktopContainment",	//135
    "DesktopFont",	//136
    "DesktopZoom",	//137
    "DestructiveTool",	//138
    "DeviceCoordinateCache",	//139
    "Dialog",	//140
    "Dialog#",	//141
    "Dialog#$",	//142
    "Directories",	//143
    "Directory",	//144
    "DisappearAnimation",	//145
    "DontAdjustForAntialiasing",	//146
    "DontClipPainter",	//147
    "DontSavePainterState",	//148
    "Down",	//149
    "DrawChildren",	//150
    "DrawWindowBackground",	//151
    "EaseInCurve",	//152
    "EaseInOutCurve",	//153
    "EaseOutCurve",	//154
    "EditNextItem",	//155
    "EditPreviousItem",	//156
    "EmitResult",	//157
    "ExactMatch",	//158
    "Executable",	//159
    "Extender",	//160
    "Extender#",	//161
    "ExtenderGroup",	//162
    "ExtenderGroup#",	//163
    "ExtenderGroup#$",	//164
    "ExtenderItem",	//165
    "ExtenderItem#",	//166
    "ExtenderItem#$",	//167
    "FadeAnimation",	//168
    "FastSlideInMovement",	//169
    "FastSlideOutMovement",	//170
    "File",	//171
    "FileSystem",	//172
    "Files",	//173
    "FixedSize",	//174
    "FlashingLabel",	//175
    "FlashingLabel#",	//176
    "Floating",	//177
    "FloatingPopup",	//178
    "ForegroundLayer",	//179
    "FormFactorConstraint",	//180
    "Forward",	//181
    "Frame",	//182
    "Frame#",	//183
    "FrameSvg",	//184
    "FrameSvg#",	//185
    "FullScreen",	//186
    "FullViewportUpdate",	//187
    "GLApplet",	//188
    "GLApplet#$$",	//189
    "GLApplet#?",	//190
    "GeometryAnimation",	//191
    "GroupBox",	//192
    "GroupBox#",	//193
    "GroupZoom",	//194
    "GrowAnimation",	//195
    "HLine",	//196
    "Help",	//197
    "HelperMatch",	//198
    "HighPriority",	//199
    "HighestPriority",	//200
    "HighlightColor",	//201
    "Horizontal",	//202
    "HorizontalFlip",	//203
    "HtmlResource",	//204
    "IconWidget",	//205
    "IconWidget#",	//206
    "IconWidget#$",	//207
    "IconWidget#$#",	//208
    "IconWidget$",	//209
    "IconWidget$#",	//210
    "IgnoreAspectRatio",	//211
    "IgnoreMask",	//212
    "ImageResource",	//213
    "ImmutableConstraint",	//214
    "IndirectPainting",	//215
    "InformationalMatch",	//216
    "Inhibited",	//217
    "InvalidAspectRatioMode",	//218
    "InvalidCredentials",	//219
    "ItemAcceptsInputMethod",	//220
    "ItemBackground",	//221
    "ItemBackground#",	//222
    "ItemChildAddedChange",	//223
    "ItemChildRemovedChange",	//224
    "ItemClipsChildrenToShape",	//225
    "ItemClipsToShape",	//226
    "ItemCoordinateCache",	//227
    "ItemCursorChange",	//228
    "ItemCursorHasChanged",	//229
    "ItemDoesntPropagateOpacityToChildren",	//230
    "ItemEnabledChange",	//231
    "ItemEnabledHasChanged",	//232
    "ItemFlagsChange",	//233
    "ItemFlagsHaveChanged",	//234
    "ItemHasNoContents",	//235
    "ItemIgnoresParentOpacity",	//236
    "ItemIgnoresTransformations",	//237
    "ItemIsFocusScope",	//238
    "ItemIsFocusable",	//239
    "ItemIsMovable",	//240
    "ItemIsPanel",	//241
    "ItemIsSelectable",	//242
    "ItemLayer",	//243
    "ItemMatrixChange",	//244
    "ItemNegativeZStacksBehindParent",	//245
    "ItemOpacityChange",	//246
    "ItemOpacityHasChanged",	//247
    "ItemParentChange",	//248
    "ItemParentHasChanged",	//249
    "ItemPositionChange",	//250
    "ItemPositionHasChanged",	//251
    "ItemSceneChange",	//252
    "ItemSceneHasChanged",	//253
    "ItemScenePositionHasChanged",	//254
    "ItemSelectedChange",	//255
    "ItemSelectedHasChanged",	//256
    "ItemSendsGeometryChanges",	//257
    "ItemSendsScenePositionChanges",	//258
    "ItemStacksBehindParent",	//259
    "ItemToolTipChange",	//260
    "ItemToolTipHasChanged",	//261
    "ItemTransformChange",	//262
    "ItemTransformHasChanged",	//263
    "ItemUsesExtendedStyleOption",	//264
    "ItemVisibleChange",	//265
    "ItemVisibleHasChanged",	//266
    "ItemZValueChange",	//267
    "ItemZValueHasChanged",	//268
    "KST_CTimeInfo",	//269
    "KST_KCustom",	//270
    "KST_KDEDesktopMimeType",	//271
    "KST_KFolderMimeType",	//272
    "KST_KImageIO",	//273
    "KST_KImageIOFormat",	//274
    "KST_KMimeType",	//275
    "KST_KMimeTypeFactory",	//276
    "KST_KProtocolInfo",	//277
    "KST_KProtocolInfoFactory",	//278
    "KST_KService",	//279
    "KST_KServiceFactory",	//280
    "KST_KServiceGroup",	//281
    "KST_KServiceGroupFactory",	//282
    "KST_KServiceSeparator",	//283
    "KST_KServiceType",	//284
    "KST_KServiceTypeFactory",	//285
    "KST_KSycocaEntry",	//286
    "KeepAspectRatio",	//287
    "KeepWhenStopped",	//288
    "Killable",	//289
    "KilledJobError",	//290
    "Label",	//291
    "Label#",	//292
    "LastAnimation",	//293
    "Left",	//294
    "LeftBorder",	//295
    "LeftEdge",	//296
    "LeftMargin",	//297
    "LeftPosedBottomAlignedPopup",	//298
    "LeftPosedTopAlignedPopup",	//299
    "LeftPositioned",	//300
    "LineEdit",	//301
    "LineEdit#",	//302
    "LineEditType",	//303
    "LinearCurve",	//304
    "LinkColor",	//305
    "LocationConstraint",	//306
    "LowPriority",	//307
    "LowestPriority",	//308
    "MainColumn",	//309
    "MaxpectResize",	//310
    "MediaCenter",	//311
    "Meter",	//312
    "Meter#",	//313
    "MinimalViewportUpdate",	//314
    "MiscTool",	//315
    "MoveAny",	//316
    "MoveDown",	//317
    "MoveLeft",	//318
    "MoveRight",	//319
    "MoveUp",	//320
    "Mutable",	//321
    "NeedsAttentionStatus",	//322
    "NetworkLocation",	//323
    "Next",	//324
    "NoAlignment",	//325
    "NoAnchor",	//326
    "NoAnnouncement",	//327
    "NoBackground",	//328
    "NoBorder",	//329
    "NoBorders",	//330
    "NoCache",	//331
    "NoCapabilities",	//332
    "NoConstraint",	//333
    "NoContainmentType",	//334
    "NoControls",	//335
    "NoCorner",	//336
    "NoDrag",	//337
    "NoError",	//338
    "NoFlip",	//339
    "NoFrame",	//340
    "NoHint",	//341
    "NoIndex",	//342
    "NoMatch",	//343
    "NoViewportUpdate",	//344
    "NonModal",	//345
    "None",	//346
    "NormalPriority",	//347
    "NormalSpeed",	//348
    "NorthEast",	//349
    "NorthWest",	//350
    "OpenFile",	//351
    "OverviewZoom",	//352
    "Package",	//353
    "Package$$?",	//354
    "Package$?",	//355
    "PackageMetadata",	//356
    "PackageMetadata#",	//357
    "PackageMetadata$",	//358
    "PackageStructure",	//359
    "PackageStructure#",	//360
    "PackageStructure#$",	//361
    "Panel",	//362
    "PanelContainment",	//363
    "PanelModal",	//364
    "PassiveStatus",	//365
    "Pause",	//366
    "Paused",	//367
    "PendularCurve",	//368
    "Persistent",	//369
    "PinPairing",	//370
    "PinRequired",	//371
    "PixmapTransitionAnimation",	//372
    "Plain",	//373
    "Planar",	//374
    "Play",	//375
    "PlayPause",	//376
    "PlotColor",	//377
    "PlotColor#",	//378
    "PopupApplet",	//379
    "PopupApplet#?",	//380
    "PopupConstraint",	//381
    "PossibleMatch",	//382
    "Previous",	//383
    "Progress",	//384
    "PulseAnimation",	//385
    "PushButton",	//386
    "PushButton#",	//387
    "Q_COMPLEX_TYPE",	//388
    "Q_DUMMY_TYPE",	//389
    "Q_MOVABLE_TYPE",	//390
    "Q_PRIMITIVE_TYPE",	//391
    "Q_STATIC_TYPE",	//392
    "QtCriticalMsg",	//393
    "QtDebugMsg",	//394
    "QtFatalMsg",	//395
    "QtSystemMsg",	//396
    "QtWarningMsg",	//397
    "QueryMatch",	//398
    "QueryMatch#",	//399
    "Quietly",	//400
    "RadioButton",	//401
    "RadioButton#",	//402
    "Raised",	//403
    "RevertModelCache",	//404
    "Right",	//405
    "RightBorder",	//406
    "RightEdge",	//407
    "RightMargin",	//408
    "RightPosedBottomAlignedPopup",	//409
    "RightPosedTopAlignedPopup",	//410
    "RightPositioned",	//411
    "RotationAnimation",	//412
    "RotationStackedAnimation",	//413
    "RubberBandDrag",	//414
    "RunnerComponent",	//415
    "RunnerContext",	//416
    "RunnerContext#",	//417
    "RunnerContext##",	//418
    "RunnerManager",	//419
    "RunnerManager#",	//420
    "RunnerManager##",	//421
    "RunnerScript",	//422
    "RunnerScript#",	//423
    "RunnerSyntax",	//424
    "RunnerSyntax#",	//425
    "RunnerSyntax$$",	//426
    "Running",	//427
    "ScaledAndCroppedResize",	//428
    "ScaledResize",	//429
    "SceneModal",	//430
    "ScreenConstraint",	//431
    "ScriptEngine",	//432
    "ScriptEngine#",	//433
    "ScrollBar",	//434
    "ScrollBar#",	//435
    "ScrollHandDrag",	//436
    "ScrollWidget",	//437
    "ScrollWidget#",	//438
    "SecondaryActionColumn",	//439
    "Separator",	//440
    "Separator#",	//441
    "Separator#$",	//442
    "Service",	//443
    "Service#",	//444
    "Service#?",	//445
    "ServiceAccessJob",	//446
    "ServiceAccessJob#",	//447
    "ServiceAccessJob##",	//448
    "ServiceJob",	//449
    "ServiceJob$$?",	//450
    "ServiceJob$$?#",	//451
    "Shadow_Mask",	//452
    "Shape_Mask",	//453
    "ShellCommand",	//454
    "SignalPlotter",	//455
    "SignalPlotter#",	//456
    "SizeConstraint",	//457
    "SlideAnimation",	//458
    "SlideInMovement",	//459
    "SlideOutMovement",	//460
    "Slider",	//461
    "Slider#",	//462
    "SlowSpeed",	//463
    "SmartViewportUpdate",	//464
    "SouthEast",	//465
    "SouthWest",	//466
    "SpinBox",	//467
    "SpinBox#",	//468
    "Square",	//469
    "StandardBackground",	//470
    "StartupCompletedConstraint",	//471
    "Stop",	//472
    "Stopped",	//473
    "StyleOption",	//474
    "StyleOption#",	//475
    "StyledPanel",	//476
    "SubTitleMandatoryRole",	//477
    "SubTitleRole",	//478
    "SubmitModelCache",	//479
    "Sunken",	//480
    "Suspendable",	//481
    "Svg",	//482
    "Svg#",	//483
    "SvgWidget",	//484
    "SvgWidget#",	//485
    "SvgWidget#$",	//486
    "SvgWidget#$#",	//487
    "SvgWidget#$#$",	//488
    "SystemImmutable",	//489
    "TabBar",	//490
    "TabBar#",	//491
    "TextBrowser",	//492
    "TextBrowser#",	//493
    "TextColor",	//494
    "TextEdit",	//495
    "TextEdit#",	//496
    "Theme",	//497
    "Theme#",	//498
    "Theme$",	//499
    "Theme$#",	//500
    "TiledResize",	//501
    "ToolButton",	//502
    "ToolButton#",	//503
    "ToolTipContent",	//504
    "ToolTipContent#",	//505
    "ToolTipContent$$",	//506
    "ToolTipContent$$#",	//507
    "TopBorder",	//508
    "TopDownStacked",	//509
    "TopEdge",	//510
    "TopMargin",	//511
    "TopPosedLeftAlignedPopup",	//512
    "TopPosedRightAlignedPopup",	//513
    "TopPositioned",	//514
    "Transient",	//515
    "TranslucentBackground",	//516
    "TreeView",	//517
    "TreeView#",	//518
    "TrustedCredentials",	//519
    "TrustedOnly",	//520
    "Type",	//521
    "UltimateCredentials",	//522
    "UnknownCredentials",	//523
    "UnknownStatus",	//524
    "UnknownType",	//525
    "Up",	//526
    "UserDefinedError",	//527
    "UserExtension",	//528
    "UserImmutable",	//529
    "UserToolType",	//530
    "UserType",	//531
    "VLine",	//532
    "ValidCredentials",	//533
    "Version",	//534
    "Vertical",	//535
    "VerticalFlip",	//536
    "VideoWidget",	//537
    "VideoWidget#",	//538
    "View",	//539
    "View#",	//540
    "View##",	//541
    "View#$",	//542
    "View#$#",	//543
    "VisitedLinkColor",	//544
    "Volume",	//545
    "Wallpaper",	//546
    "Wallpaper#",	//547
    "Wallpaper#?",	//548
    "WallpaperComponent",	//549
    "WallpaperScript",	//550
    "WallpaperScript#",	//551
    "WaterAnimation",	//552
    "WebView",	//553
    "WebView#",	//554
    "WinPanel",	//555
    "ZeroconfAnnouncement",	//556
    "ZoomAnimation",	//557
    "ZoomIn",	//558
    "ZoomOut",	//559
    "__codecvt_error",	//560
    "__codecvt_noconv",	//561
    "__codecvt_ok",	//562
    "__codecvt_partial",	//563
    "aboutToFinish",	//564
    "access",	//565
    "access#",	//566
    "access##",	//567
    "accessRemoteApplet",	//568
    "accessRemoteApplet#",	//569
    "action",	//570
    "action$",	//571
    "actionEvent",	//572
    "actions",	//573
    "actionsForMatch",	//574
    "actionsForMatch#",	//575
    "actionsForMatch#?",	//576
    "actionsFromMenu",	//577
    "actionsFromMenu#",	//578
    "actionsFromMenu#$",	//579
    "actionsFromMenu#$#",	//580
    "activate",	//581
    "activated",	//582
    "activated$",	//583
    "activity",	//584
    "activityChanged",	//585
    "activityChanged#",	//586
    "addAction",	//587
    "addAction$",	//588
    "addAction$#",	//589
    "addAction$#$",	//590
    "addApplet",	//591
    "addApplet#",	//592
    "addApplet##",	//593
    "addApplet##$",	//594
    "addApplet$",	//595
    "addApplet$?",	//596
    "addApplet$?#",	//597
    "addAssociatedWidget",	//598
    "addAssociatedWidget#",	//599
    "addContainment",	//600
    "addContainment$",	//601
    "addContainment$?",	//602
    "addContainmentDelayed",	//603
    "addContainmentDelayed$",	//604
    "addContainmentDelayed$?",	//605
    "addDirectoryDefinition",	//606
    "addDirectoryDefinition$$$",	//607
    "addExampleQuery",	//608
    "addExampleQuery$",	//609
    "addFileDefinition",	//610
    "addFileDefinition$$$",	//611
    "addIconAction",	//612
    "addIconAction#",	//613
    "addItem",	//614
    "addItem$",	//615
    "addMatch",	//616
    "addMatch$#",	//617
    "addMatches",	//618
    "addMatches$?",	//619
    "addOffscreenWidget",	//620
    "addOffscreenWidget#",	//621
    "addPlot",	//622
    "addPlot#",	//623
    "addPlugin",	//624
    "addPlugin#$",	//625
    "addPlugin$$$",	//626
    "addResource",	//627
    "addResource$##",	//628
    "addSample",	//629
    "addSample?",	//630
    "addShortcuts",	//631
    "addShortcuts#",	//632
    "addSiblingContainment",	//633
    "addSiblingContainment#",	//634
    "addSource",	//635
    "addSource#",	//636
    "addStandardConfigurationPages",	//637
    "addStandardConfigurationPages#",	//638
    "addSyntax",	//639
    "addSyntax#",	//640
    "addTab",	//641
    "addTab#$",	//642
    "addTab#$#",	//643
    "addTab$",	//644
    "addTab$#",	//645
    "addTool",	//646
    "addTool#",	//647
    "addToolBoxAction",	//648
    "addToolBoxAction#",	//649
    "advance",	//650
    "alignment",	//651
    "allowExternalPaths",	//652
    "allowedRunners",	//653
    "alphaMask",	//654
    "animatedHide",	//655
    "animatedHide$",	//656
    "animatedShow",	//657
    "animatedShow$",	//658
    "animationCurve",	//659
    "animationCurve$",	//660
    "animationDuration",	//661
    "animationDuration$",	//662
    "animationFinished",	//663
    "animationFinished#$",	//664
    "animationFps",	//665
    "animationFps$",	//666
    "animationPath",	//667
    "animationPath$",	//668
    "animationStep",	//669
    "animationStep$",	//670
    "appearance",	//671
    "appearanceChanged",	//672
    "append",	//673
    "append$",	//674
    "applet",	//675
    "appletAdded",	//676
    "appletAdded##",	//677
    "appletDestroyed",	//678
    "appletDestroyed#",	//679
    "appletMimeType",	//680
    "appletRemoved",	//681
    "appletRemoved#",	//682
    "appletTransformedByUser",	//683
    "appletTransformedItself",	//684
    "applets",	//685
    "application",	//686
    "aspectRatioMode",	//687
    "associateWidget",	//688
    "associateWidget#$",	//689
    "associatedApplication",	//690
    "associatedApplicationUrls",	//691
    "attachedItems",	//692
    "audioOutput",	//693
    "author",	//694
    "authorizationRequest",	//695
    "authorizationRequest#",	//696
    "autoExpireDelay",	//697
    "autoHide",	//698
    "autoRaise",	//699
    "autohide",	//700
    "availableScreenRegion",	//701
    "availableScreenRegion$",	//702
    "availableScreenRegionChanged",	//703
    "backgroundColor",	//704
    "backgroundHints",	//705
    "becameUnused",	//706
    "becameUnused$",	//707
    "bigLock",	//708
    "bindTexture",	//709
    "bindTexture#",	//710
    "bindTexture#$",	//711
    "boundingRect",	//712
    "cacheAllRenderedFrames",	//713
    "calculateNiceRange",	//714
    "category",	//715
    "category#",	//716
    "category$",	//717
    "changeEvent",	//718
    "changeEvent#",	//719
    "changed",	//720
    "changed#",	//721
    "checkForUpdate",	//722
    "checkUsage",	//723
    "childEvent",	//724
    "clear",	//725
    "clearActions",	//726
    "clearApplets",	//727
    "clearCache",	//728
    "clearContainments",	//729
    "clearContent",	//730
    "clearContent#",	//731
    "clickMessage",	//732
    "clicked",	//733
    "clicked$",	//734
    "clientPinRequest",	//735
    "clientPinRequest#",	//736
    "closeEvent",	//737
    "closeToolBox",	//738
    "collapseGroup",	//739
    "collidesWithItem",	//740
    "collidesWithPath",	//741
    "color",	//742
    "color$",	//743
    "colorScheme",	//744
    "config",	//745
    "config$",	//746
    "configChanged",	//747
    "configNeedsSaving",	//748
    "configScheme",	//749
    "configSynced",	//750
    "configurationAccepted",	//751
    "configurationRequired",	//752
    "configurationRequired$",	//753
    "configureRequested",	//754
    "configureRequested#",	//755
    "connectAllSources",	//756
    "connectAllSources#",	//757
    "connectAllSources#$",	//758
    "connectAllSources#$$",	//759
    "connectNotify",	//760
    "connectSource",	//761
    "connectSource$#",	//762
    "connectSource$#$",	//763
    "connectSource$#$$",	//764
    "connectVisualization",	//765
    "connectVisualization#$$",	//766
    "constraintsEvent",	//767
    "constraintsEvent$",	//768
    "containerDict",	//769
    "containerForSource",	//770
    "containerForSource$",	//771
    "containment",	//772
    "containmentActions",	//773
    "containmentActions$",	//774
    "containmentActionsDefaults",	//775
    "containmentActionsDefaults$",	//776
    "containmentActionsTriggers",	//777
    "containmentAdded",	//778
    "containmentAdded#",	//779
    "containmentForScreen",	//780
    "containmentForScreen$",	//781
    "containmentForScreen$$",	//782
    "containmentType",	//783
    "containments",	//784
    "contains",	//785
    "containsMultipleImages",	//786
    "contentsHash",	//787
    "contentsPrefix",	//788
    "contentsRect",	//789
    "contentsSize",	//790
    "context",	//791
    "contextActions",	//792
    "contextChanged",	//793
    "contextChanged#",	//794
    "contextEvent",	//795
    "contextEvent#",	//796
    "contextMenuEvent",	//797
    "contextMenuEvent#",	//798
    "contextualActions",	//799
    "controlsVisible",	//800
    "corona",	//801
    "count",	//802
    "create",	//803
    "create$",	//804
    "create$#",	//805
    "createActivity",	//806
    "createActivity$",	//807
    "createConfigurationInterface",	//808
    "createConfigurationInterface#",	//809
    "createDefaultService",	//810
    "createDefaultService#",	//811
    "createEditor",	//812
    "createJob",	//813
    "createJob$?",	//814
    "createNewWidgetBrowser",	//815
    "createNewWidgetBrowser#",	//816
    "createPackage",	//817
    "createPackage#$$",	//818
    "createPackage#$$$",	//819
    "createRunOptions",	//820
    "createRunOptions#",	//821
    "currentActivity",	//822
    "currentActivityId",	//823
    "currentChanged",	//824
    "currentChanged$",	//825
    "currentIndex",	//826
    "currentPixmap",	//827
    "currentPixmap$",	//828
    "currentThemeHasImage",	//829
    "currentThemeHasImage$",	//830
    "currentTime",	//831
    "customAnimation",	//832
    "customAnimation$$$#$",	//833
    "customAnimationFinished",	//834
    "customAnimationFinished$",	//835
    "customCategories",	//836
    "customEvent",	//837
    "darkColor",	//838
    "data",	//839
    "dataEngine",	//840
    "dataEngine$",	//841
    "dataUpdated",	//842
    "dataUpdated$?",	//843
    "defaultPackageRoot",	//844
    "defaultSyntax",	//845
    "defaultTheme",	//846
    "deleteTexture",	//847
    "deleteTexture$",	//848
    "description",	//849
    "desktop",	//850
    "destination",	//851
    "destroy",	//852
    "destroy$",	//853
    "destroyed",	//854
    "destroyed#",	//855
    "detachedItems",	//856
    "devType",	//857
    "dialogManager",	//858
    "dialogResized",	//859
    "dialogVisible",	//860
    "dialogVisible$",	//861
    "directories",	//862
    "disassociateWidget",	//863
    "disassociateWidget#",	//864
    "disconnectNotify",	//865
    "disconnectSource",	//866
    "disconnectSource$#",	//867
    "disconnectVisualization",	//868
    "disconnectVisualization#",	//869
    "doKill",	//870
    "doResume",	//871
    "doSuspend",	//872
    "doubleClicked",	//873
    "dragEnterEvent",	//874
    "dragEnterEvent#",	//875
    "dragLeaveEvent",	//876
    "dragLeaveEvent#",	//877
    "dragMoveEvent",	//878
    "dragMoveEvent#",	//879
    "dragToScroll",	//880
    "drawActionButtonBase",	//881
    "drawActionButtonBase##$",	//882
    "drawAxisText",	//883
    "drawAxisText#$$",	//884
    "drawBackground",	//885
    "drawBackground#$$",	//886
    "drawForeground",	//887
    "drawHorizontalLines",	//888
    "drawHorizontalLines#$$$",	//889
    "drawItems",	//890
    "drawPlots",	//891
    "drawPlots#$$$$",	//892
    "drawThinFrame",	//893
    "drawThinFrame#$$",	//894
    "drawTopBarContents",	//895
    "drawTopBarContents#$$$",	//896
    "drawTopBarFrame",	//897
    "drawTopBarFrame#$$",	//898
    "drawVerticalLines",	//899
    "drawVerticalLines#$$$",	//900
    "drawWallpaper",	//901
    "drawWidget",	//902
    "drawWidget#$$$",	//903
    "dropEvent",	//904
    "dropEvent#",	//905
    "duration",	//906
    "easingCurve",	//907
    "editingFinished",	//908
    "editorEvent",	//909
    "effectiveDesktop",	//910
    "elementAnimationCurve",	//911
    "elementAnimationCurve$",	//912
    "elementAnimationDuration",	//913
    "elementAnimationDuration$",	//914
    "elementAnimationFinished",	//915
    "elementAnimationFinished$",	//916
    "elementAnimationFps",	//917
    "elementAnimationFps$",	//918
    "elementAppear",	//919
    "elementAppear$#",	//920
    "elementAtPoint",	//921
    "elementAtPoint#",	//922
    "elementDisappear",	//923
    "elementDisappear$#",	//924
    "elementID",	//925
    "elementRect",	//926
    "elementRect$",	//927
    "elementSize",	//928
    "elementSize$",	//929
    "email",	//930
    "emptyExtenderMessage",	//931
    "emptyRect",	//932
    "emptyRect##",	//933
    "enableAction",	//934
    "enableAction$$",	//935
    "enabledBorders",	//936
    "enabledBordersForItem",	//937
    "enabledBordersForItem#",	//938
    "enabledChange",	//939
    "engine",	//940
    "engine$",	//941
    "ensureItemVisible",	//942
    "ensureItemVisible#",	//943
    "ensureRectVisible",	//944
    "ensureRectVisible#",	//945
    "enterEvent",	//946
    "entryList",	//947
    "entryList$",	//948
    "errorString",	//949
    "event",	//950
    "event#",	//951
    "eventFilter",	//952
    "eventFilter##",	//953
    "eventToString",	//954
    "eventToString#",	//955
    "exampleQueries",	//956
    "exampleQueriesWithTermDescription",	//957
    "execQuery",	//958
    "execQuery$",	//959
    "execQuery$$",	//960
    "expandGroup",	//961
    "exportLayout",	//962
    "exportLayout#?",	//963
    "extender",	//964
    "extenderItemRestored",	//965
    "extenderItemRestored#",	//966
    "extension",	//967
    "fadeIn",	//968
    "fadeOut",	//969
    "filePath",	//970
    "filePath$",	//971
    "filePath$$",	//972
    "files",	//973
    "findInCache",	//974
    "findInCache$#",	//975
    "findInCache$#$",	//976
    "findInRectsCache",	//977
    "findInRectsCache$$#",	//978
    "findItem",	//979
    "findItem$$",	//980
    "findItemByName",	//981
    "findItemByName$",	//982
    "finished",	//983
    "finished#",	//984
    "flash",	//985
    "flash#",	//986
    "flash#$",	//987
    "flash#$$",	//988
    "flash$",	//989
    "flash$$",	//990
    "flash$$#",	//991
    "flushPendingConstraintsEvents",	//992
    "focusInEvent",	//993
    "focusInEvent#",	//994
    "focusNextApplet",	//995
    "focusNextPrevChild",	//996
    "focusOutEvent",	//997
    "focusOutEvent#",	//998
    "focusPreviousApplet",	//999
    "font",	//1000
    "font$",	//1001
    "fontChange",	//1002
    "fontColor",	//1003
    "fontMetrics",	//1004
    "forceImmediateUpdate",	//1005
    "forceImmediateUpdateOfAllVisualizations",	//1006
    "formFactor",	//1007
    "framePixmap",	//1008
    "frameShadow",	//1009
    "frameSize",	//1010
    "freeEdges",	//1011
    "freeEdges$",	//1012
    "geometry",	//1013
    "geometryChanged",	//1014
    "getContentsMargins",	//1015
    "getMargins",	//1016
    "getMargins$$$$",	//1017
    "getSnapshotImage",	//1018
    "getSnapshotImage$$",	//1019
    "globalConfig",	//1020
    "globalShortcut",	//1021
    "grabKeyboardEvent",	//1022
    "grabMouseEvent",	//1023
    "graphicsWidget",	//1024
    "group",	//1025
    "group$",	//1026
    "groupList",	//1027
    "groups",	//1028
    "hasAuthorization",	//1029
    "hasAuthorization$",	//1030
    "hasConfigurationInterface",	//1031
    "hasElement",	//1032
    "hasElement$",	//1033
    "hasElementPrefix",	//1034
    "hasElementPrefix$",	//1035
    "hasFailedToLaunch",	//1036
    "hasGroup",	//1037
    "hasGroup$",	//1038
    "hasItem",	//1039
    "hasItem$",	//1040
    "hasOverShoot",	//1041
    "hasRunOptions",	//1042
    "hasScaledContents",	//1043
    "hasValidAssociatedApplication",	//1044
    "heightForWidth",	//1045
    "helpEvent",	//1046
    "hide",	//1047
    "hide#",	//1048
    "hideCloseButton",	//1049
    "hideEvent",	//1050
    "hideEvent#",	//1051
    "hidePopup",	//1052
    "highlightWindows",	//1053
    "horizontalLinesColor",	//1054
    "horizontalLinesCount",	//1055
    "horizontalScale",	//1056
    "horizontalScrollBarPolicy",	//1057
    "hoverEnterEvent",	//1058
    "hoverEnterEvent#",	//1059
    "hoverLeaveEvent",	//1060
    "hoverLeaveEvent#",	//1061
    "hoverMoveEvent",	//1062
    "hoverMoveEvent#",	//1063
    "html",	//1064
    "icon",	//1065
    "iconSize",	//1066
    "id",	//1067
    "ignoredTypes",	//1068
    "image",	//1069
    "imagePath",	//1070
    "imagePath$",	//1071
    "immutability",	//1072
    "immutabilityChanged",	//1073
    "immutabilityChanged$",	//1074
    "implementationApi",	//1075
    "importLayout",	//1076
    "importLayout#",	//1077
    "inControlArea",	//1078
    "inControlArea#",	//1079
    "infoText",	//1080
    "init",	//1081
    "init#",	//1082
    "initExtenderItem",	//1083
    "initExtenderItem#",	//1084
    "initStyleOption",	//1085
    "initWallpaper",	//1086
    "initWallpaper#",	//1087
    "initializeLayout",	//1088
    "initializeLayout$",	//1089
    "inputMethodEvent",	//1090
    "inputMethodQuery",	//1091
    "insertIntoCache",	//1092
    "insertIntoCache$#",	//1093
    "insertIntoCache$#$",	//1094
    "insertIntoRectsCache",	//1095
    "insertIntoRectsCache$$#",	//1096
    "insertTab",	//1097
    "insertTab$#$",	//1098
    "insertTab$#$#",	//1099
    "insertTab$$",	//1100
    "insertTab$$#",	//1101
    "installPackage",	//1102
    "installPackage$$",	//1103
    "installPackage$$$",	//1104
    "invalidateRectsCache",	//1105
    "invalidateRectsCache$",	//1106
    "invertLayout",	//1107
    "invertLayout$",	//1108
    "invertedLayout",	//1109
    "isAnimating",	//1110
    "isAutoCollapse",	//1111
    "isBusy",	//1112
    "isCheckable",	//1113
    "isChecked",	//1114
    "isClearButtonShown",	//1115
    "isClickable",	//1116
    "isCollapsed",	//1117
    "isContainment",	//1118
    "isDetached",	//1119
    "isDown",	//1120
    "isEmpty",	//1121
    "isEnabled",	//1122
    "isGroup",	//1123
    "isGroupCollapsed",	//1124
    "isInitialized",	//1125
    "isObscuredBy",	//1126
    "isOperationEnabled",	//1127
    "isOperationEnabled$",	//1128
    "isPassivePopup",	//1129
    "isPluginVersionCompatible",	//1130
    "isPluginVersionCompatible$",	//1131
    "isPopupShowing",	//1132
    "isPreviewing",	//1133
    "isPublished",	//1134
    "isReadOnly",	//1135
    "isRegisteredAsDragHandle",	//1136
    "isRegisteredAsDragHandle#",	//1137
    "isRequired",	//1138
    "isRequired$",	//1139
    "isRunning",	//1140
    "isShowing",	//1141
    "isTabBarShown",	//1142
    "isToolBoxOpen",	//1143
    "isUserConfiguring",	//1144
    "isUsingRenderingCache",	//1145
    "isValid",	//1146
    "isVisible",	//1147
    "isVisible#",	//1148
    "isWallpaperEnabled",	//1149
    "item",	//1150
    "item$",	//1151
    "itemActivated",	//1152
    "itemActivated$#",	//1153
    "itemAddedEvent",	//1154
    "itemAddedEvent#",	//1155
    "itemAddedEvent##",	//1156
    "itemAppear",	//1157
    "itemAppear$#",	//1158
    "itemAttached",	//1159
    "itemAttached#",	//1160
    "itemChange",	//1161
    "itemChange$#",	//1162
    "itemDetached",	//1163
    "itemDetached#",	//1164
    "itemDisappear",	//1165
    "itemDisappear$#",	//1166
    "itemHoverEnterEvent",	//1167
    "itemHoverEnterEvent#",	//1168
    "itemHoverLeaveEvent",	//1169
    "itemHoverLeaveEvent#",	//1170
    "itemHoverMoveEvent",	//1171
    "itemHoverMoveEvent##",	//1172
    "itemRemovedEvent",	//1173
    "itemRemovedEvent#",	//1174
    "itemSlideIn",	//1175
    "itemSlideIn$###",	//1176
    "itemSlideOut",	//1177
    "itemSlideOut$###",	//1178
    "items",	//1179
    "keyPressEvent",	//1180
    "keyPressEvent#",	//1181
    "keyReleaseEvent",	//1182
    "keyReleaseEvent#",	//1183
    "keywords",	//1184
    "kill",	//1185
    "knownLanguages",	//1186
    "knownLanguages$",	//1187
    "label",	//1188
    "label$",	//1189
    "labelAlignment",	//1190
    "labelAlignment$",	//1191
    "labelColor",	//1192
    "labelColor$",	//1193
    "labelFont",	//1194
    "labelFont$",	//1195
    "labelRect",	//1196
    "labelRect$",	//1197
    "languageChange",	//1198
    "lastDesktop",	//1199
    "lastScreen",	//1200
    "lastValue",	//1201
    "lastValue$",	//1202
    "lastValueAsString",	//1203
    "lastValueAsString$",	//1204
    "launchQuery",	//1205
    "launchQuery$",	//1206
    "launchQuery$$",	//1207
    "layoutContainments",	//1208
    "leaveEvent",	//1209
    "license",	//1210
    "linkActivated",	//1211
    "linkActivated$",	//1212
    "linkActivated$$$#",	//1213
    "linkHovered",	//1214
    "linkHovered$",	//1215
    "listActivities",	//1216
    "listAllEngines",	//1217
    "listAllEngines$",	//1218
    "listAppletInfo",	//1219
    "listAppletInfo$",	//1220
    "listAppletInfo$$",	//1221
    "listAppletInfoForMimetype",	//1222
    "listAppletInfoForMimetype$",	//1223
    "listAppletInfoForUrl",	//1224
    "listAppletInfoForUrl#",	//1225
    "listCategories",	//1226
    "listCategories$",	//1227
    "listCategories$$",	//1228
    "listContainmentActionsInfo",	//1229
    "listContainmentTypes",	//1230
    "listContainments",	//1231
    "listContainments$",	//1232
    "listContainments$$",	//1233
    "listContainmentsForMimetype",	//1234
    "listContainmentsForMimetype$",	//1235
    "listContainmentsOfType",	//1236
    "listContainmentsOfType$",	//1237
    "listContainmentsOfType$$",	//1238
    "listContainmentsOfType$$$",	//1239
    "listEngineInfo",	//1240
    "listEngineInfo$",	//1241
    "listEngineInfoByCategory",	//1242
    "listEngineInfoByCategory$",	//1243
    "listEngineInfoByCategory$$",	//1244
    "listInstalled",	//1245
    "listInstalled$",	//1246
    "listInstalledPaths",	//1247
    "listInstalledPaths$",	//1248
    "listRenderingModes",	//1249
    "listThemeInfo",	//1250
    "listWallpaperInfo",	//1251
    "listWallpaperInfo$",	//1252
    "listWallpaperInfoForMimetype",	//1253
    "listWallpaperInfoForMimetype$",	//1254
    "listWallpaperInfoForMimetype$$",	//1255
    "load",	//1256
    "load#",	//1257
    "load##",	//1258
    "load##?",	//1259
    "load#$",	//1260
    "load#$?",	//1261
    "load#?",	//1262
    "load$",	//1263
    "load$#",	//1264
    "load$$",	//1265
    "load$$?",	//1266
    "load$?",	//1267
    "load$?#",	//1268
    "loadAnimationFromPackage",	//1269
    "loadAnimationFromPackage$#",	//1270
    "loadDefaultLayout",	//1271
    "loadEngine",	//1272
    "loadEngine$",	//1273
    "loadFinished",	//1274
    "loadFinished$",	//1275
    "loadLayout",	//1276
    "loadLayout$",	//1277
    "loadPlasmoid",	//1278
    "loadPlasmoid$",	//1279
    "loadPlasmoid$$",	//1280
    "loadPlasmoid$$?",	//1281
    "loadProgress",	//1282
    "loadProgress$",	//1283
    "loadRunner",	//1284
    "loadRunner$",	//1285
    "loadRunner?",	//1286
    "loadScriptEngine",	//1287
    "loadScriptEngine$#",	//1288
    "location",	//1289
    "locationChanged",	//1290
    "locationChanged#",	//1291
    "locationToDirection",	//1292
    "locationToDirection$",	//1293
    "locationToInverseDirection",	//1294
    "locationToInverseDirection$",	//1295
    "lostContainment",	//1296
    "lower",	//1297
    "mainFrame",	//1298
    "mainScript",	//1299
    "mainText",	//1300
    "makeCurrent",	//1301
    "mapAnimation",	//1302
    "mapAnimation$$",	//1303
    "mapFromView",	//1304
    "mapFromView##",	//1305
    "mapToView",	//1306
    "mapToView##",	//1307
    "marginSize",	//1308
    "marginSize$",	//1309
    "mask",	//1310
    "match",	//1311
    "match#",	//1312
    "match$",	//1313
    "matchSessionComplete",	//1314
    "matches",	//1315
    "matchesChanged",	//1316
    "matchesChanged?",	//1317
    "maxSourceCount",	//1318
    "maximum",	//1319
    "maximumIconSize",	//1320
    "mediaObject",	//1321
    "messageButtonPressed",	//1322
    "messageButtonPressed$",	//1323
    "metaObject",	//1324
    "metadata",	//1325
    "meterType",	//1326
    "metric",	//1327
    "mimeDataForMatch",	//1328
    "mimeDataForMatch#",	//1329
    "mimeDataForMatch$",	//1330
    "mimeType",	//1331
    "mimetypes",	//1332
    "mimetypes$",	//1333
    "minimum",	//1334
    "minimumIconSize",	//1335
    "minimumPollingInterval",	//1336
    "minimumSizeHint",	//1337
    "model",	//1338
    "mouseDoubleClickEvent",	//1339
    "mouseDoubleClickEvent#",	//1340
    "mouseMoveEvent",	//1341
    "mouseMoveEvent#",	//1342
    "mousePressEvent",	//1343
    "mousePressEvent#",	//1344
    "mouseReleaseEvent",	//1345
    "mouseReleaseEvent#",	//1346
    "moveEvent",	//1347
    "moveEvent#",	//1348
    "moveItem",	//1349
    "moveItem#$#",	//1350
    "movementAnimationCurve",	//1351
    "movementAnimationCurve$",	//1352
    "movementAnimationDuration",	//1353
    "movementAnimationDuration$",	//1354
    "movementAnimationFps",	//1355
    "movementAnimationFps$",	//1356
    "movementFinished",	//1357
    "movementFinished#",	//1358
    "name",	//1359
    "name$",	//1360
    "nativeWidget",	//1361
    "newStatus",	//1362
    "newStatus$",	//1363
    "newWidgetBrowserFinished",	//1364
    "nextRequested",	//1365
    "numDisplayLines",	//1366
    "numScreens",	//1367
    "offscreenWidgets",	//1368
    "opaqueArea",	//1369
    "openToolBox",	//1370
    "operationDescription",	//1371
    "operationDescription$",	//1372
    "operationName",	//1373
    "operationNames",	//1374
    "operationsChanged",	//1375
    "operator<",	//1376
    "operator<#",	//1377
    "operator=",	//1378
    "operator=#",	//1379
    "operator==",	//1380
    "operator==#",	//1381
    "orientation",	//1382
    "package",	//1383
    "packageStructure",	//1384
    "packageStructure#",	//1385
    "packageStructure$$",	//1386
    "page",	//1387
    "pageStep",	//1388
    "paint",	//1389
    "paint##",	//1390
    "paint###",	//1391
    "paint##$",	//1392
    "paint#$$",	//1393
    "paint#$$$",	//1394
    "paint#$$$$",	//1395
    "paint#$$$$$",	//1396
    "paintEngine",	//1397
    "paintEvent",	//1398
    "paintEvent#",	//1399
    "paintFrame",	//1400
    "paintFrame#",	//1401
    "paintFrame##",	//1402
    "paintFrame###",	//1403
    "paintGLInterface",	//1404
    "paintGLInterface##",	//1405
    "paintInterface",	//1406
    "paintInterface###",	//1407
    "paintWindowFrame",	//1408
    "paintWindowFrame###",	//1409
    "paletteChange",	//1410
    "parameters",	//1411
    "parametersFromDescription",	//1412
    "parametersFromDescription#",	//1413
    "paste",	//1414
    "paste##",	//1415
    "path",	//1416
    "path$",	//1417
    "pathChanged",	//1418
    "pause",	//1419
    "performMatch",	//1420
    "performMatch#",	//1421
    "persistence",	//1422
    "pin",	//1423
    "pixmap",	//1424
    "pixmap$",	//1425
    "play",	//1426
    "plotColors",	//1427
    "pluginName",	//1428
    "policy",	//1429
    "polishEvent",	//1430
    "popupEvent",	//1431
    "popupEvent$",	//1432
    "popupIcon",	//1433
    "popupPlacement",	//1434
    "popupPosition",	//1435
    "popupPosition#",	//1436
    "popupPosition##",	//1437
    "popupPosition##$",	//1438
    "popupPosition#$",	//1439
    "preferredIconSize",	//1440
    "prefix",	//1441
    "prepare",	//1442
    "pressed",	//1443
    "pressed$",	//1444
    "previousRequested",	//1445
    "priority",	//1446
    "property",	//1447
    "property$",	//1448
    "propertyChange",	//1449
    "publish",	//1450
    "publish$$",	//1451
    "qt_metacall",	//1452
    "qt_metacall$$?",	//1453
    "qt_metacast",	//1454
    "qt_metacast$",	//1455
    "query",	//1456
    "query$",	//1457
    "queryFinished",	//1458
    "raise",	//1459
    "read",	//1460
    "read#",	//1461
    "read$",	//1462
    "readConfig",	//1463
    "readyForRemoteAccess",	//1464
    "rectAfterSubTitle",	//1465
    "rectAfterSubTitle##",	//1466
    "rectAfterTitle",	//1467
    "rectAfterTitle##",	//1468
    "registerAsDragHandle",	//1469
    "registerAsDragHandle#",	//1470
    "registerOperationsScheme",	//1471
    "registerPackage",	//1472
    "registerPackage#$",	//1473
    "registerResources",	//1474
    "registerResources#",	//1475
    "registerScrollingManager",	//1476
    "registerScrollingManager#",	//1477
    "registerWidget",	//1478
    "registerWidget#",	//1479
    "releaseRectsCache",	//1480
    "releaseRectsCache$",	//1481
    "releaseVisualFocus",	//1482
    "released",	//1483
    "relevance",	//1484
    "reloadConfiguration",	//1485
    "remainingTime",	//1486
    "remoteAppletAnnounced",	//1487
    "remoteAppletAnnounced#",	//1488
    "remoteAppletUnannounced",	//1489
    "remoteAppletUnannounced#",	//1490
    "remoteApplets",	//1491
    "remoteLocation",	//1492
    "remove",	//1493
    "remove#",	//1494
    "removeAction",	//1495
    "removeAction$",	//1496
    "removeAllData",	//1497
    "removeAllData$",	//1498
    "removeAllSources",	//1499
    "removeAssociatedWidget",	//1500
    "removeAssociatedWidget#",	//1501
    "removeData",	//1502
    "removeData$$",	//1503
    "removeIconAction",	//1504
    "removeIconAction#",	//1505
    "removeMatch",	//1506
    "removeMatch$",	//1507
    "removeMatches",	//1508
    "removeMatches?",	//1509
    "removeOffscreenWidget",	//1510
    "removeOffscreenWidget#",	//1511
    "removePlot",	//1512
    "removePlot$",	//1513
    "removeSource",	//1514
    "removeSource$",	//1515
    "removeTab",	//1516
    "removeTab$",	//1517
    "removeTool",	//1518
    "removeTool#",	//1519
    "removeToolBoxAction",	//1520
    "removeToolBoxAction#",	//1521
    "render",	//1522
    "render$#",	//1523
    "render$#$",	//1524
    "render$#$#",	//1525
    "renderCompleted",	//1526
    "renderCompleted#",	//1527
    "renderHintsChanged",	//1528
    "renderingMode",	//1529
    "reorderPlots",	//1530
    "reorderPlots?",	//1531
    "repaintNeeded",	//1532
    "requestConfigSync",	//1533
    "requireConfigSync",	//1534
    "requiredDirectories",	//1535
    "requiredFiles",	//1536
    "requiredVersion",	//1537
    "reset",	//1538
    "resize",	//1539
    "resize#",	//1540
    "resize$$",	//1541
    "resizeCorners",	//1542
    "resizeEvent",	//1543
    "resizeEvent#",	//1544
    "resizeFrame",	//1545
    "resizeFrame#",	//1546
    "restore",	//1547
    "restore#",	//1548
    "restoreContents",	//1549
    "restoreContents#",	//1550
    "result",	//1551
    "returnPressed",	//1552
    "returnToSource",	//1553
    "roleMapping",	//1554
    "roleMapping$",	//1555
    "run",	//1556
    "run#",	//1557
    "run##",	//1558
    "run$",	//1559
    "runAssociatedApplication",	//1560
    "runner",	//1561
    "runner$",	//1562
    "runnerName",	//1563
    "runnerName$",	//1564
    "runners",	//1565
    "save",	//1566
    "save#",	//1567
    "saveContents",	//1568
    "saveContents#",	//1569
    "saveLayout",	//1570
    "saveLayout$",	//1571
    "saveState",	//1572
    "saveState#",	//1573
    "scale",	//1574
    "scale$",	//1575
    "scaledBy",	//1576
    "scalingFactor",	//1577
    "scalingFactor$",	//1578
    "sceneEvent",	//1579
    "sceneEventFilter",	//1580
    "sceneEventFilter##",	//1581
    "sceneRectAboutToChange",	//1582
    "sceneRectChanged",	//1583
    "scheduleSourcesUpdated",	//1584
    "screen",	//1585
    "screenChanged",	//1586
    "screenChanged$$#",	//1587
    "screenGeometry",	//1588
    "screenGeometry$",	//1589
    "screenOwnerChanged",	//1590
    "screenOwnerChanged$$#",	//1591
    "screenRect",	//1592
    "scrollContentsBy",	//1593
    "scrollPosition",	//1594
    "scrollStateChanged",	//1595
    "scrollStateChanged#$$",	//1596
    "scrollStateChanged$$",	//1597
    "searchContext",	//1598
    "searchTermDescription",	//1599
    "seek",	//1600
    "seek$",	//1601
    "selectedAction",	//1602
    "self",	//1603
    "service",	//1604
    "serviceForSource",	//1605
    "serviceForSource$",	//1606
    "serviceName",	//1607
    "servicePrefix",	//1608
    "serviceQuery",	//1609
    "serviceQuery$",	//1610
    "serviceQuery$$",	//1611
    "serviceReady",	//1612
    "serviceReady#",	//1613
    "serviceType",	//1614
    "setAction",	//1615
    "setAction#",	//1616
    "setActivity",	//1617
    "setActivity$",	//1618
    "setAlignment",	//1619
    "setAlignment$",	//1620
    "setAllowExternalPaths",	//1621
    "setAllowExternalPaths$",	//1622
    "setAllowedRunners",	//1623
    "setAllowedRunners?",	//1624
    "setAppearance",	//1625
    "setAppearance$",	//1626
    "setApplet",	//1627
    "setApplet#",	//1628
    "setAppletMimeType",	//1629
    "setAppletMimeType$",	//1630
    "setApplication",	//1631
    "setApplication$",	//1632
    "setAspectRatioMode",	//1633
    "setAspectRatioMode$",	//1634
    "setAssociatedApplication",	//1635
    "setAssociatedApplication$",	//1636
    "setAssociatedApplicationUrls",	//1637
    "setAssociatedApplicationUrls?",	//1638
    "setAuthor",	//1639
    "setAuthor$",	//1640
    "setAuthorizationInterface",	//1641
    "setAuthorizationInterface#",	//1642
    "setAuthorizationPolicy",	//1643
    "setAuthorizationPolicy$",	//1644
    "setAutoCollapse",	//1645
    "setAutoCollapse$",	//1646
    "setAutoExpireDelay",	//1647
    "setAutoExpireDelay$",	//1648
    "setAutoHide",	//1649
    "setAutoHide$",	//1650
    "setAutoRaise",	//1651
    "setAutoRaise$",	//1652
    "setAutohide",	//1653
    "setAutohide$",	//1654
    "setBackgroundColor",	//1655
    "setBackgroundColor#",	//1656
    "setBackgroundHints",	//1657
    "setBackgroundHints$",	//1658
    "setBoundingRect",	//1659
    "setBoundingRect#",	//1660
    "setBusy",	//1661
    "setBusy$",	//1662
    "setCacheAllRenderedFrames",	//1663
    "setCacheAllRenderedFrames$",	//1664
    "setCacheLimit",	//1665
    "setCacheLimit$",	//1666
    "setCategory",	//1667
    "setCategory$",	//1668
    "setCheckable",	//1669
    "setCheckable$",	//1670
    "setChecked",	//1671
    "setChecked$",	//1672
    "setClearButtonShown",	//1673
    "setClearButtonShown$",	//1674
    "setClickMessage",	//1675
    "setClickMessage$",	//1676
    "setClickable",	//1677
    "setClickable$",	//1678
    "setCollapsed",	//1679
    "setCollapsed$",	//1680
    "setColor",	//1681
    "setColor#",	//1682
    "setConfigurationRequired",	//1683
    "setConfigurationRequired$",	//1684
    "setConfigurationRequired$$",	//1685
    "setContainment",	//1686
    "setContainment#",	//1687
    "setContainmentActions",	//1688
    "setContainmentActions$$",	//1689
    "setContainmentActionsDefaults",	//1690
    "setContainmentActionsDefaults$#",	//1691
    "setContainmentType",	//1692
    "setContainmentType$",	//1693
    "setContainsMultipleImages",	//1694
    "setContainsMultipleImages$",	//1695
    "setContent",	//1696
    "setContent##",	//1697
    "setContentsPrefix",	//1698
    "setContentsPrefix$",	//1699
    "setContextActions",	//1700
    "setContextActions?",	//1701
    "setContextualActions",	//1702
    "setContextualActions?",	//1703
    "setControlsVisible",	//1704
    "setControlsVisible$",	//1705
    "setCurrentActivity",	//1706
    "setCurrentActivity$",	//1707
    "setCurrentActivityId",	//1708
    "setCurrentActivityId$",	//1709
    "setCurrentIndex",	//1710
    "setCurrentIndex$",	//1711
    "setCustomCategories",	//1712
    "setCustomCategories?",	//1713
    "setDarkColor",	//1714
    "setDarkColor#",	//1715
    "setData",	//1716
    "setData#",	//1717
    "setData$#",	//1718
    "setData$$#",	//1719
    "setData$?",	//1720
    "setDataEngine",	//1721
    "setDataEngine#",	//1722
    "setDefaultMimetypes",	//1723
    "setDefaultMimetypes?",	//1724
    "setDefaultPackageRoot",	//1725
    "setDefaultPackageRoot$",	//1726
    "setDefaultService",	//1727
    "setDefaultService$",	//1728
    "setDefaultSyntax",	//1729
    "setDefaultSyntax#",	//1730
    "setDefaults",	//1731
    "setDescription",	//1732
    "setDescription$",	//1733
    "setDestination",	//1734
    "setDestination$",	//1735
    "setDialogManager",	//1736
    "setDialogManager#",	//1737
    "setDown",	//1738
    "setDown$",	//1739
    "setDragToScroll",	//1740
    "setDragToScroll$",	//1741
    "setDrawBackground",	//1742
    "setDrawBackground$",	//1743
    "setDrawWallpaper",	//1744
    "setDrawWallpaper$",	//1745
    "setDuration",	//1746
    "setDuration$",	//1747
    "setEasingCurve",	//1748
    "setEasingCurve#",	//1749
    "setEditorData",	//1750
    "setElementID",	//1751
    "setElementID$",	//1752
    "setElementPrefix",	//1753
    "setElementPrefix$",	//1754
    "setEmail",	//1755
    "setEmail$",	//1756
    "setEmptyExtenderMessage",	//1757
    "setEmptyExtenderMessage$",	//1758
    "setEnabled",	//1759
    "setEnabled$",	//1760
    "setEnabledBorders",	//1761
    "setEnabledBorders$",	//1762
    "setExtender",	//1763
    "setExtender#",	//1764
    "setExtender##",	//1765
    "setExtension",	//1766
    "setFailedToLaunch",	//1767
    "setFailedToLaunch$",	//1768
    "setFailedToLaunch$$",	//1769
    "setFont",	//1770
    "setFont#",	//1771
    "setFont#$",	//1772
    "setFontColor",	//1773
    "setFontColor#",	//1774
    "setFormFactor",	//1775
    "setFormFactor$",	//1776
    "setFrameShadow",	//1777
    "setFrameShadow$",	//1778
    "setGeometry",	//1779
    "setGeometry#",	//1780
    "setGlobalShortcut",	//1781
    "setGlobalShortcut#",	//1782
    "setGraphicsWidget",	//1783
    "setGraphicsWidget#",	//1784
    "setGroup",	//1785
    "setGroup#",	//1786
    "setGroup##",	//1787
    "setGroupCollapsed",	//1788
    "setGroupCollapsed$",	//1789
    "setHasConfigurationInterface",	//1790
    "setHasConfigurationInterface$",	//1791
    "setHasRunOptions",	//1792
    "setHasRunOptions$",	//1793
    "setHighlightWindows",	//1794
    "setHighlightWindows$",	//1795
    "setHorizontalLinesColor",	//1796
    "setHorizontalLinesColor#",	//1797
    "setHorizontalLinesCount",	//1798
    "setHorizontalLinesCount$",	//1799
    "setHorizontalScale",	//1800
    "setHorizontalScale$",	//1801
    "setHorizontalScrollBarPolicy",	//1802
    "setHorizontalScrollBarPolicy$",	//1803
    "setHtml",	//1804
    "setHtml#",	//1805
    "setHtml##",	//1806
    "setHtml$",	//1807
    "setHtml$#",	//1808
    "setIcon",	//1809
    "setIcon#",	//1810
    "setIcon$",	//1811
    "setId",	//1812
    "setId$",	//1813
    "setIgnoredTypes",	//1814
    "setIgnoredTypes$",	//1815
    "setImage",	//1816
    "setImage#",	//1817
    "setImage$",	//1818
    "setImage$$",	//1819
    "setImagePath",	//1820
    "setImagePath$",	//1821
    "setImmutability",	//1822
    "setImmutability$",	//1823
    "setImplementationApi",	//1824
    "setImplementationApi$",	//1825
    "setInfoText",	//1826
    "setInfoText$",	//1827
    "setInitialPixmap",	//1828
    "setInitialPixmap$#",	//1829
    "setKeywords",	//1830
    "setKeywords?",	//1831
    "setLabel",	//1832
    "setLabel$",	//1833
    "setLabel$$",	//1834
    "setLabelAlignment",	//1835
    "setLabelAlignment$$",	//1836
    "setLabelColor",	//1837
    "setLabelColor$#",	//1838
    "setLabelFont",	//1839
    "setLabelFont$#",	//1840
    "setLicense",	//1841
    "setLicense$",	//1842
    "setLocation",	//1843
    "setLocation$",	//1844
    "setMainText",	//1845
    "setMainText$",	//1846
    "setMaxSourceCount",	//1847
    "setMaxSourceCount$",	//1848
    "setMaximum",	//1849
    "setMaximum$",	//1850
    "setMaximumIconSize",	//1851
    "setMaximumIconSize#",	//1852
    "setMeterType",	//1853
    "setMeterType$",	//1854
    "setMimetypes",	//1855
    "setMimetypes$?",	//1856
    "setMinimum",	//1857
    "setMinimum$",	//1858
    "setMinimumIconSize",	//1859
    "setMinimumIconSize#",	//1860
    "setMinimumPollingInterval",	//1861
    "setMinimumPollingInterval$",	//1862
    "setModel",	//1863
    "setModel#",	//1864
    "setModelData",	//1865
    "setName",	//1866
    "setName$",	//1867
    "setNativeWidget",	//1868
    "setNativeWidget#",	//1869
    "setNeedsUpdate",	//1870
    "setNeedsUpdate$",	//1871
    "setNumDisplayLines",	//1872
    "setNumDisplayLines$",	//1873
    "setOperationEnabled",	//1874
    "setOperationEnabled$$",	//1875
    "setOperationsScheme",	//1876
    "setOperationsScheme#",	//1877
    "setOrientation",	//1878
    "setOrientation$",	//1879
    "setOverShoot",	//1880
    "setOverShoot$",	//1881
    "setPage",	//1882
    "setPage#",	//1883
    "setPageStep",	//1884
    "setPageStep$",	//1885
    "setPassivePopup",	//1886
    "setPassivePopup$",	//1887
    "setPath",	//1888
    "setPath$",	//1889
    "setPersistence",	//1890
    "setPersistence$",	//1891
    "setPin",	//1892
    "setPin$",	//1893
    "setPluginName",	//1894
    "setPluginName$",	//1895
    "setPolicy",	//1896
    "setPolicy$",	//1897
    "setPollingInterval",	//1898
    "setPollingInterval$",	//1899
    "setPopupIcon",	//1900
    "setPopupIcon#",	//1901
    "setPopupIcon$",	//1902
    "setPreferredIconSize",	//1903
    "setPreferredIconSize#",	//1904
    "setPressed",	//1905
    "setPressed$",	//1906
    "setPreviewing",	//1907
    "setPreviewing$",	//1908
    "setPriority",	//1909
    "setPriority$",	//1910
    "setQuery",	//1911
    "setQuery$",	//1912
    "setRange",	//1913
    "setRange$$",	//1914
    "setReadOnly",	//1915
    "setReadOnly$",	//1916
    "setRelevance",	//1917
    "setRelevance$",	//1918
    "setRemoteLocation",	//1919
    "setRemoteLocation#",	//1920
    "setRenderingMode",	//1921
    "setRenderingMode$",	//1922
    "setRequired",	//1923
    "setRequired$$",	//1924
    "setRequiredVersion",	//1925
    "setRequiredVersion$",	//1926
    "setResizeHandleCorners",	//1927
    "setResizeHandleCorners$",	//1928
    "setResizeMethodHint",	//1929
    "setResizeMethodHint$",	//1930
    "setResult",	//1931
    "setResult#",	//1932
    "setRoleMapping",	//1933
    "setRoleMapping$$",	//1934
    "setRunner",	//1935
    "setRunner#",	//1936
    "setRunning",	//1937
    "setRunning$",	//1938
    "setScaledContents",	//1939
    "setScaledContents$",	//1940
    "setScreen",	//1941
    "setScreen$",	//1942
    "setScreen$$",	//1943
    "setScrollPosition",	//1944
    "setScrollPosition#",	//1945
    "setSearchTermDescription",	//1946
    "setSearchTermDescription$",	//1947
    "setSelectedAction",	//1948
    "setSelectedAction#",	//1949
    "setServicePrefix",	//1950
    "setServicePrefix$",	//1951
    "setServiceType",	//1952
    "setServiceType$",	//1953
    "setShowHorizontalLines",	//1954
    "setShowHorizontalLines$",	//1955
    "setShowLabels",	//1956
    "setShowLabels$",	//1957
    "setShowTopBar",	//1958
    "setShowTopBar$",	//1959
    "setShowVerticalLines",	//1960
    "setShowVerticalLines$",	//1961
    "setShowing",	//1962
    "setShowing$",	//1963
    "setSingleMode",	//1964
    "setSingleMode$",	//1965
    "setSingleModeRunnerId",	//1966
    "setSingleModeRunnerId$",	//1967
    "setSingleRunnerQueryMode",	//1968
    "setSingleRunnerQueryMode$",	//1969
    "setSingleStep",	//1970
    "setSingleStep$",	//1971
    "setSnapSize",	//1972
    "setSnapSize#",	//1973
    "setSpeed",	//1974
    "setSpeed$",	//1975
    "setStackPlots",	//1976
    "setStackPlots$",	//1977
    "setState",	//1978
    "setState$",	//1979
    "setStatus",	//1980
    "setStatus$",	//1981
    "setStyleSheet",	//1982
    "setStyleSheet$",	//1983
    "setSubText",	//1984
    "setSubText$",	//1985
    "setSubtext",	//1986
    "setSubtext$",	//1987
    "setSvg",	//1988
    "setSvg#",	//1989
    "setSvg$",	//1990
    "setSvg$$",	//1991
    "setSvgBackground",	//1992
    "setSvgBackground$",	//1993
    "setSyntaxes",	//1994
    "setSyntaxes?",	//1995
    "setTabBarShown",	//1996
    "setTabBarShown$",	//1997
    "setTabIcon",	//1998
    "setTabIcon$#",	//1999
    "setTabText",	//2000
    "setTabText$$",	//2001
    "setTarget",	//2002
    "setTarget#",	//2003
    "setTargetItem",	//2004
    "setTargetItem#",	//2005
    "setTargetSizeHint",	//2006
    "setTargetSizeHint#",	//2007
    "setTargetWidget",	//2008
    "setTargetWidget#",	//2009
    "setTargets",	//2010
    "setTargets$",	//2011
    "setText",	//2012
    "setText$",	//2013
    "setTextBackgroundColor",	//2014
    "setTextBackgroundColor#",	//2015
    "setTextSelectable",	//2016
    "setTextSelectable$",	//2017
    "setTheme",	//2018
    "setTheme#",	//2019
    "setThemeName",	//2020
    "setThemeName$",	//2021
    "setThinFrame",	//2022
    "setThinFrame$",	//2023
    "setTitle",	//2024
    "setTitle$",	//2025
    "setToolBox",	//2026
    "setToolBox#",	//2027
    "setToolBoxOpen",	//2028
    "setToolBoxOpen$",	//2029
    "setTrackContainmentChanges",	//2030
    "setTrackContainmentChanges$",	//2031
    "setType",	//2032
    "setType$",	//2033
    "setUnit",	//2034
    "setUnit$",	//2035
    "setUnpressed",	//2036
    "setUrl",	//2037
    "setUrl#",	//2038
    "setUrl$",	//2039
    "setUseAutoRange",	//2040
    "setUseAutoRange$",	//2041
    "setUseGlobalSettings",	//2042
    "setUseGlobalSettings$",	//2043
    "setUsedControls",	//2044
    "setUsedControls$",	//2045
    "setUsingRenderingCache",	//2046
    "setUsingRenderingCache$",	//2047
    "setValid",	//2048
    "setValid$",	//2049
    "setValue",	//2050
    "setValue$",	//2051
    "setVersion",	//2052
    "setVersion$",	//2053
    "setVerticalLinesColor",	//2054
    "setVerticalLinesColor#",	//2055
    "setVerticalLinesDistance",	//2056
    "setVerticalLinesDistance$",	//2057
    "setVerticalLinesScroll",	//2058
    "setVerticalLinesScroll$",	//2059
    "setVerticalRange",	//2060
    "setVerticalRange$$",	//2061
    "setVerticalScrollBarPolicy",	//2062
    "setVerticalScrollBarPolicy$",	//2063
    "setView",	//2064
    "setView#",	//2065
    "setVisible",	//2066
    "setWallpaper",	//2067
    "setWallpaper#",	//2068
    "setWallpaper$",	//2069
    "setWallpaper$$",	//2070
    "setWallpaperEnabled",	//2071
    "setWallpaperEnabled$",	//2072
    "setWebsite",	//2073
    "setWebsite$",	//2074
    "setWidget",	//2075
    "setWidget#",	//2076
    "setWindowToPreview",	//2077
    "setWindowToPreview$",	//2078
    "setWindowsToPreview",	//2079
    "setWindowsToPreview?",	//2080
    "setWordWrap",	//2081
    "setWordWrap$",	//2082
    "setZoomFactor",	//2083
    "setZoomFactor$",	//2084
    "settingsChanged",	//2085
    "setupMatchSession",	//2086
    "shape",	//2087
    "shortcutsChanged",	//2088
    "shouldConserveResources",	//2089
    "show",	//2090
    "show#",	//2091
    "showAddWidgetsInterface",	//2092
    "showAddWidgetsInterface#",	//2093
    "showCloseButton",	//2094
    "showConfigurationInterface",	//2095
    "showConfigurationInterface#",	//2096
    "showContextMenu",	//2097
    "showContextMenu##",	//2098
    "showDialog",	//2099
    "showDialog##",	//2100
    "showDropZone",	//2101
    "showDropZone#",	//2102
    "showEvent",	//2103
    "showEvent#",	//2104
    "showHorizontalLines",	//2105
    "showLabels",	//2106
    "showMessage",	//2107
    "showMessage#$$",	//2108
    "showPopup",	//2109
    "showPopup$",	//2110
    "showToolTip",	//2111
    "showTopBar",	//2112
    "showVerticalLines",	//2113
    "singleMode",	//2114
    "singleModeAdvertisedRunnerIds",	//2115
    "singleModeRunner",	//2116
    "singleModeRunnerId",	//2117
    "singleRunnerQueryMode",	//2118
    "singleStep",	//2119
    "size",	//2120
    "sizeFromIconSize",	//2121
    "sizeFromIconSize$",	//2122
    "sizeHint",	//2123
    "sizeHint##",	//2124
    "sizeHint$",	//2125
    "sizeHint$#",	//2126
    "sizeHintChanged",	//2127
    "sizeHintChanged$",	//2128
    "sliderMoved",	//2129
    "sliderMoved$",	//2130
    "snapSize",	//2131
    "sourceAdded",	//2132
    "sourceAdded$",	//2133
    "sourceRemoved",	//2134
    "sourceRemoved$",	//2135
    "sourceRequestEvent",	//2136
    "sourceRequestEvent$",	//2137
    "sources",	//2138
    "speed",	//2139
    "stackPlots",	//2140
    "standardConfigurationDialog",	//2141
    "start",	//2142
    "startOperationCall",	//2143
    "startOperationCall#",	//2144
    "startOperationCall##",	//2145
    "startupArguments",	//2146
    "state",	//2147
    "staticMetaObject",	//2148
    "status",	//2149
    "stop",	//2150
    "stopCustomAnimation",	//2151
    "stopCustomAnimation$",	//2152
    "stopElementAnimation",	//2153
    "stopElementAnimation$",	//2154
    "stopItemAnimation",	//2155
    "stopItemAnimation$",	//2156
    "stopItemMovement",	//2157
    "stopItemMovement$",	//2158
    "structure",	//2159
    "styleChange",	//2160
    "styleSheet",	//2161
    "styleSheet$",	//2162
    "subText",	//2163
    "subtext",	//2164
    "supportedProtocols",	//2165
    "supportsExtension",	//2166
    "svg",	//2167
    "svgBackground",	//2168
    "swapContainment",	//2169
    "swapContainment#$",	//2170
    "swapContainment#$?",	//2171
    "swapContainment$",	//2172
    "swapContainment$?",	//2173
    "syncToGraphicsWidget",	//2174
    "syntaxes",	//2175
    "tabAt",	//2176
    "tabAt$",	//2177
    "tabIcon",	//2178
    "tabIcon$",	//2179
    "tabText",	//2180
    "tabText$",	//2181
    "tabletEvent",	//2182
    "takeTab",	//2183
    "takeTab$",	//2184
    "target",	//2185
    "targetItem",	//2186
    "targetItemReached",	//2187
    "targetItemReached#",	//2188
    "targetReached",	//2189
    "targetReached#",	//2190
    "targetWidget",	//2191
    "targets",	//2192
    "teardown",	//2193
    "text",	//2194
    "textBackgroundColor",	//2195
    "textChanged",	//2196
    "textChanged$",	//2197
    "textEdited",	//2198
    "textEdited$",	//2199
    "textSelectable",	//2200
    "theme",	//2201
    "themeChanged",	//2202
    "themeName",	//2203
    "thinFrame",	//2204
    "tick",	//2205
    "tick$",	//2206
    "timeSinceLastUpdate",	//2207
    "timerEvent",	//2208
    "timerEvent#",	//2209
    "title",	//2210
    "togglePopup",	//2211
    "toggled",	//2212
    "toggled$",	//2213
    "toolBox",	//2214
    "toolBoxItem",	//2215
    "toolBoxToggled",	//2216
    "toolBoxVisibilityChanged",	//2217
    "toolBoxVisibilityChanged$",	//2218
    "topLevelViewAt",	//2219
    "topLevelViewAt#",	//2220
    "totalTime",	//2221
    "tr",	//2222
    "tr$",	//2223
    "tr$$",	//2224
    "tr$$$",	//2225
    "trUtf8",	//2226
    "trUtf8$",	//2227
    "trUtf8$$",	//2228
    "trUtf8$$$",	//2229
    "trackContainmentChanges",	//2230
    "type",	//2231
    "ungrabKeyboardEvent",	//2232
    "ungrabMouseEvent",	//2233
    "uninstallPackage",	//2234
    "uninstallPackage$$",	//2235
    "uninstallPackage$$$",	//2236
    "unit",	//2237
    "unloadEngine",	//2238
    "unloadEngine$",	//2239
    "unpublish",	//2240
    "unregisterAsDragHandle",	//2241
    "unregisterAsDragHandle#",	//2242
    "unregisterScrollingManager",	//2243
    "unregisterScrollingManager#",	//2244
    "unregisterWidget",	//2245
    "unregisterWidget#",	//2246
    "update",	//2247
    "update#",	//2248
    "updateAllSources",	//2249
    "updateConstraints",	//2250
    "updateConstraints$",	//2251
    "updateCurrentTime",	//2252
    "updateCurrentTime$",	//2253
    "updateDataBuffers",	//2254
    "updateDirection",	//2255
    "updateEditorGeometry",	//2256
    "updateGeometry",	//2257
    "updateRequested",	//2258
    "updateRequested#",	//2259
    "updateShortcuts",	//2260
    "updateSourceEvent",	//2261
    "updateSourceEvent$",	//2262
    "updateState",	//2263
    "url",	//2264
    "urlDropped",	//2265
    "urlDropped#",	//2266
    "useAutoRange",	//2267
    "useDefaults",	//2268
    "useGlobalSettings",	//2269
    "useNativeWidgetStyle",	//2270
    "usedControls",	//2271
    "usrReadConfig",	//2272
    "usrSetDefaults",	//2273
    "usrUseDefaults",	//2274
    "usrWriteConfig",	//2275
    "value",	//2276
    "valueChanged",	//2277
    "valueChanged$",	//2278
    "version",	//2279
    "versionMajor",	//2280
    "versionMinor",	//2281
    "versionRelease",	//2282
    "versionString",	//2283
    "verticalLinesColor",	//2284
    "verticalLinesDistance",	//2285
    "verticalLinesScroll",	//2286
    "verticalMaxValue",	//2287
    "verticalMinValue",	//2288
    "verticalScrollBarPolicy",	//2289
    "view",	//2290
    "viewFor",	//2291
    "viewFor#",	//2292
    "viewportEvent",	//2293
    "viewportGeometry",	//2294
    "viewportGeometryChanged",	//2295
    "viewportGeometryChanged#",	//2296
    "visibilityChanged",	//2297
    "visibilityChanged$",	//2298
    "visualizationIsConnected",	//2299
    "visualizationIsConnected#",	//2300
    "wallpaper",	//2301
    "wallpaperPath",	//2302
    "wallpaperPath#",	//2303
    "website",	//2304
    "wheelEvent",	//2305
    "wheelEvent#",	//2306
    "widget",	//2307
    "windowActivationChange",	//2308
    "windowFrameEvent",	//2309
    "windowFrameSectionAt",	//2310
    "windowPreviewActivated",	//2311
    "windowPreviewActivated$$$#",	//2312
    "windowToPreview",	//2313
    "windowTranslucencyEnabled",	//2314
    "windowsToPreview",	//2315
    "wordWrap",	//2316
    "write",	//2317
    "write#",	//2318
    "write$",	//2319
    "writeConfig",	//2320
    "x11Event",	//2321
    "zoomFactor",	//2322
    "zoomRequested",	//2323
    "zoomRequested#$",	//2324
    "~AbstractDialogManager",	//2325
    "~AbstractRunner",	//2326
    "~AbstractToolBox",	//2327
    "~AccessAppletJob",	//2328
    "~Animation",	//2329
    "~AnimationDriver",	//2330
    "~Applet",	//2331
    "~AppletScript",	//2332
    "~AuthorizationInterface",	//2333
    "~AuthorizationRule",	//2334
    "~BusyWidget",	//2335
    "~CheckBox",	//2336
    "~ComboBox",	//2337
    "~ConfigLoader",	//2338
    "~Containment",	//2339
    "~ContainmentActions",	//2340
    "~ContainmentActionsPluginsConfig",	//2341
    "~Context",	//2342
    "~Corona",	//2343
    "~DataContainer",	//2344
    "~DataEngine",	//2345
    "~DataEngineScript",	//2346
    "~Delegate",	//2347
    "~Dialog",	//2348
    "~Extender",	//2349
    "~ExtenderGroup",	//2350
    "~ExtenderItem",	//2351
    "~FlashingLabel",	//2352
    "~Frame",	//2353
    "~FrameSvg",	//2354
    "~GLApplet",	//2355
    "~GroupBox",	//2356
    "~IconWidget",	//2357
    "~ItemBackground",	//2358
    "~Label",	//2359
    "~LineEdit",	//2360
    "~Meter",	//2361
    "~Package",	//2362
    "~PackageMetadata",	//2363
    "~PackageStructure",	//2364
    "~PlotColor",	//2365
    "~PopupApplet",	//2366
    "~PushButton",	//2367
    "~QueryMatch",	//2368
    "~RadioButton",	//2369
    "~RunnerContext",	//2370
    "~RunnerManager",	//2371
    "~RunnerScript",	//2372
    "~RunnerSyntax",	//2373
    "~ScriptEngine",	//2374
    "~ScrollBar",	//2375
    "~ScrollWidget",	//2376
    "~Separator",	//2377
    "~Service",	//2378
    "~ServiceAccessJob",	//2379
    "~ServiceJob",	//2380
    "~SignalPlotter",	//2381
    "~Slider",	//2382
    "~SpinBox",	//2383
    "~StyleOption",	//2384
    "~Svg",	//2385
    "~SvgWidget",	//2386
    "~TabBar",	//2387
    "~TextBrowser",	//2388
    "~TextEdit",	//2389
    "~Theme",	//2390
    "~ToolButton",	//2391
    "~ToolTipContent",	//2392
    "~TreeView",	//2393
    "~VideoWidget",	//2394
    "~View",	//2395
    "~Wallpaper",	//2396
    "~WallpaperScript",	//2397
    "~WebView",	//2398
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {9, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 0},	//1 KConfigSkeleton::metaObject() const
    {9, 1454, 1, 1, Smoke::mf_virtual, 479, 0},	//2 KConfigSkeleton::qt_metacast(const char*)
    {9, 1452, 3, 3, Smoke::mf_virtual, 471, 0},	//3 KConfigSkeleton::qt_metacall(QMetaObject::Call, int, void**)
    {11, 1731, 0, 0, Smoke::mf_virtual, 0, 0},	//4 KCoreConfigSkeleton::setDefaults()
    {11, 1463, 0, 0, Smoke::mf_virtual, 0, 0},	//5 KCoreConfigSkeleton::readConfig()
    {11, 2320, 0, 0, Smoke::mf_virtual, 0, 0},	//6 KCoreConfigSkeleton::writeConfig()
    {11, 2268, 7, 1, Smoke::mf_virtual, 382, 0},	//7 KCoreConfigSkeleton::useDefaults(bool)
    {11, 2274, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//8 KCoreConfigSkeleton::usrUseDefaults(bool)
    {11, 2273, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 KCoreConfigSkeleton::usrSetDefaults()
    {11, 2272, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 KCoreConfigSkeleton::usrReadConfig()
    {14, 870, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//11 KJob::doKill()
    {14, 872, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//12 KJob::doSuspend()
    {14, 871, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//13 KJob::doResume()
    {14, 949, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 289, 0},	//14 KJob::errorString() const
    {14, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 472, 5},	//15 KJob::NoError (enum)
    {14, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 472, 6},	//16 KJob::KilledJobError (enum)
    {14, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 472, 7},	//17 KJob::UserDefinedError (enum)
    {29, 1292, 9, 1, Smoke::mf_static, 91, 1},	//18 Plasma::locationToDirection(Plasma::Location)
    {29, 2283, 0, 0, Smoke::mf_static, 465, 2},	//19 Plasma::versionString()
    {29, 2280, 0, 0, Smoke::mf_static, 477, 3},	//20 Plasma::versionMajor()
    {29, 2291, 11, 1, Smoke::mf_static, 225, 4},	//21 Plasma::viewFor(const QGraphicsItem*)
    {29, 2279, 0, 0, Smoke::mf_static, 477, 5},	//22 Plasma::version()
    {29, 1294, 9, 1, Smoke::mf_static, 91, 6},	//23 Plasma::locationToInverseDirection(Plasma::Location)
    {29, 1287, 13, 2, Smoke::mf_static, 138, 7},	//24 Plasma::loadScriptEngine(const QString&, Plasma::AbstractRunner*)
    {29, 2281, 0, 0, Smoke::mf_static, 477, 8},	//25 Plasma::versionMinor()
    {29, 1384, 16, 2, Smoke::mf_static, 20, 9},	//26 Plasma::packageStructure(const QString&, Plasma::ComponentType)
    {29, 1577, 19, 1, Smoke::mf_static, 468, 10},	//27 Plasma::scalingFactor(Plasma::ZoomLevel)
    {29, 1287, 21, 2, Smoke::mf_static, 172, 11},	//28 Plasma::loadScriptEngine(const QString&, Plasma::Wallpaper*)
    {29, 577, 24, 3, Smoke::mf_static, 251, 12},	//29 Plasma::actionsFromMenu(QMenu*, const QString&, QObject*)
    {29, 577, 28, 1, Smoke::mf_static, 251, 13},	//30 Plasma::actionsFromMenu(QMenu*)
    {29, 577, 30, 2, Smoke::mf_static, 251, 14},	//31 Plasma::actionsFromMenu(QMenu*, const QString&)
    {29, 1287, 33, 2, Smoke::mf_static, 85, 15},	//32 Plasma::loadScriptEngine(const QString&, Plasma::DataEngine*)
    {29, 1130, 36, 1, Smoke::mf_static, 382, 16},	//33 Plasma::isPluginVersionCompatible(unsigned int)
    {29, 1186, 38, 1, Smoke::mf_static, 290, 17},	//34 Plasma::knownLanguages(QFlags<Plasma::ComponentType>)
    {29, 1287, 40, 2, Smoke::mf_static, 53, 18},	//35 Plasma::loadScriptEngine(const QString&, Plasma::Applet*)
    {29, 2282, 0, 0, Smoke::mf_static, 477, 19},	//36 Plasma::versionRelease()
    {29, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 20},	//37 Plasma::ZoomIn (enum)
    {29, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 21},	//38 Plasma::ZoomOut (enum)
    {29, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 22},	//39 Plasma::Planar (enum)
    {29, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 23},	//40 Plasma::MediaCenter (enum)
    {29, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 24},	//41 Plasma::Horizontal (enum)
    {29, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 25},	//42 Plasma::Vertical (enum)
    {29, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 26},	//43 Plasma::ButtonNone (enum)
    {29, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 27},	//44 Plasma::ButtonOk (enum)
    {29, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 28},	//45 Plasma::ButtonYes (enum)
    {29, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 29},	//46 Plasma::ButtonNo (enum)
    {29, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 30},	//47 Plasma::ButtonCancel (enum)
    {29, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 31},	//48 Plasma::NoAlignment (enum)
    {29, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 32},	//49 Plasma::AlignToMinute (enum)
    {29, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 33},	//50 Plasma::AlignToHour (enum)
    {29, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 34},	//51 Plasma::TopMargin (enum)
    {29, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 35},	//52 Plasma::BottomMargin (enum)
    {29, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 36},	//53 Plasma::LeftMargin (enum)
    {29, 408, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 37},	//54 Plasma::RightMargin (enum)
    {29, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 38},	//55 Plasma::InvalidAspectRatioMode (enum)
    {29, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 39},	//56 Plasma::IgnoreAspectRatio (enum)
    {29, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 40},	//57 Plasma::KeepAspectRatio (enum)
    {29, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 41},	//58 Plasma::Square (enum)
    {29, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 42},	//59 Plasma::ConstrainedSquare (enum)
    {29, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 43},	//60 Plasma::FixedSize (enum)
    {29, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 44},	//61 Plasma::LeftPositioned (enum)
    {29, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 45},	//62 Plasma::RightPositioned (enum)
    {29, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 46},	//63 Plasma::TopPositioned (enum)
    {29, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 47},	//64 Plasma::BottomPositioned (enum)
    {29, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 48},	//65 Plasma::CenterPositioned (enum)
    {29, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 49},	//66 Plasma::Down (enum)
    {29, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 50},	//67 Plasma::Up (enum)
    {29, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 51},	//68 Plasma::Left (enum)
    {29, 405, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 52},	//69 Plasma::Right (enum)
    {29, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 53},	//70 Plasma::NoAnnouncement (enum)
    {29, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 54},	//71 Plasma::ZeroconfAnnouncement (enum)
    {29, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 55},	//72 Plasma::InvalidCredentials (enum)
    {29, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 56},	//73 Plasma::UnknownCredentials (enum)
    {29, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 57},	//74 Plasma::ValidCredentials (enum)
    {29, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 58},	//75 Plasma::TrustedCredentials (enum)
    {29, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 59},	//76 Plasma::UltimateCredentials (enum)
    {29, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 60},	//77 Plasma::Mutable (enum)
    {29, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 61},	//78 Plasma::UserImmutable (enum)
    {29, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 62},	//79 Plasma::SystemImmutable (enum)
    {29, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 63},	//80 Plasma::FloatingPopup (enum)
    {29, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 64},	//81 Plasma::TopPosedLeftAlignedPopup (enum)
    {29, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 65},	//82 Plasma::TopPosedRightAlignedPopup (enum)
    {29, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 66},	//83 Plasma::LeftPosedTopAlignedPopup (enum)
    {29, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 67},	//84 Plasma::LeftPosedBottomAlignedPopup (enum)
    {29, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 68},	//85 Plasma::BottomPosedLeftAlignedPopup (enum)
    {29, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 69},	//86 Plasma::BottomPosedRightAlignedPopup (enum)
    {29, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 70},	//87 Plasma::RightPosedTopAlignedPopup (enum)
    {29, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 71},	//88 Plasma::RightPosedBottomAlignedPopup (enum)
    {29, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 72},	//89 Plasma::AppletType (enum)
    {29, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 73},	//90 Plasma::LineEditType (enum)
    {29, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 74},	//91 Plasma::NoConstraint (enum)
    {29, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 75},	//92 Plasma::FormFactorConstraint (enum)
    {29, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 76},	//93 Plasma::LocationConstraint (enum)
    {29, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 77},	//94 Plasma::ScreenConstraint (enum)
    {29, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 78},	//95 Plasma::SizeConstraint (enum)
    {29, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 79},	//96 Plasma::ImmutableConstraint (enum)
    {29, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 80},	//97 Plasma::StartupCompletedConstraint (enum)
    {29, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 81},	//98 Plasma::ContextConstraint (enum)
    {29, 381, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 82},	//99 Plasma::PopupConstraint (enum)
    {29, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 83},	//100 Plasma::AllConstraints (enum)
    {29, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 84},	//101 Plasma::NoFlip (enum)
    {29, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 85},	//102 Plasma::HorizontalFlip (enum)
    {29, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 86},	//103 Plasma::VerticalFlip (enum)
    {29, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 87},	//104 Plasma::UnknownStatus (enum)
    {29, 365, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 88},	//105 Plasma::PassiveStatus (enum)
    {29, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 89},	//106 Plasma::ActiveStatus (enum)
    {29, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 90},	//107 Plasma::NeedsAttentionStatus (enum)
    {29, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 91},	//108 Plasma::AcceptingInputStatus (enum)
    {29, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 92},	//109 Plasma::DesktopZoom (enum)
    {29, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 93},	//110 Plasma::GroupZoom (enum)
    {29, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 94},	//111 Plasma::OverviewZoom (enum)
    {29, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 95},	//112 Plasma::AppletComponent (enum)
    {29, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 96},	//113 Plasma::DataEngineComponent (enum)
    {29, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 97},	//114 Plasma::RunnerComponent (enum)
    {29, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 98},	//115 Plasma::AnimatorComponent (enum)
    {29, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 99},	//116 Plasma::ContainmentComponent (enum)
    {29, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 100},	//117 Plasma::WallpaperComponent (enum)
    {29, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 101},	//118 Plasma::Floating (enum)
    {29, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 102},	//119 Plasma::Desktop (enum)
    {29, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 103},	//120 Plasma::FullScreen (enum)
    {29, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 104},	//121 Plasma::TopEdge (enum)
    {29, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 105},	//122 Plasma::BottomEdge (enum)
    {29, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 106},	//123 Plasma::LeftEdge (enum)
    {29, 407, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 107},	//124 Plasma::RightEdge (enum)
    {30, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//125 Plasma::AbstractDialogManager::metaObject() const
    {30, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//126 Plasma::AbstractDialogManager::qt_metacast(const char*)
    {30, 2222, 43, 2, Smoke::mf_static, 289, 3},	//127 Plasma::AbstractDialogManager::tr(const char*, const char*)
    {30, 2226, 43, 2, Smoke::mf_static, 289, 4},	//128 Plasma::AbstractDialogManager::trUtf8(const char*, const char*)
    {30, 2222, 46, 3, Smoke::mf_static, 289, 5},	//129 Plasma::AbstractDialogManager::tr(const char*, const char*, int)
    {30, 2226, 46, 3, Smoke::mf_static, 289, 6},	//130 Plasma::AbstractDialogManager::trUtf8(const char*, const char*, int)
    {30, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//131 Plasma::AbstractDialogManager::qt_metacall(QMetaObject::Call, int, void**)
    {30, 1, 50, 1, Smoke::mf_ctor, 33, 8},	//132 Plasma::AbstractDialogManager::AbstractDialogManager(Plasma::Corona*)
    {30, 2099, 52, 2, Smoke::mf_slot, 0, 9},	//133 Plasma::AbstractDialogManager::showDialog(QWidget*, Plasma::Applet*)
    {30, 2222, 1, 1, Smoke::mf_static, 289, 10},	//134 Plasma::AbstractDialogManager::tr(const char*)
    {30, 2226, 1, 1, Smoke::mf_static, 289, 11},	//135 Plasma::AbstractDialogManager::trUtf8(const char*)
    {30, 1, 0, 0, Smoke::mf_ctor, 33, 12},	//136 Plasma::AbstractDialogManager::AbstractDialogManager()
    {30, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 13},	//137 Plasma::AbstractDialogManager::staticMetaObject() const
    {30, 2325, 0, 0, Smoke::mf_dtor, 0, 14 },	//138 Plasma::AbstractDialogManager::~AbstractDialogManager()
    {31, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//139 Plasma::AbstractRunner::metaObject() const
    {31, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//140 Plasma::AbstractRunner::qt_metacast(const char*)
    {31, 2222, 43, 2, Smoke::mf_static, 289, 3},	//141 Plasma::AbstractRunner::tr(const char*, const char*)
    {31, 2226, 43, 2, Smoke::mf_static, 289, 4},	//142 Plasma::AbstractRunner::trUtf8(const char*, const char*)
    {31, 2222, 46, 3, Smoke::mf_static, 289, 5},	//143 Plasma::AbstractRunner::tr(const char*, const char*, int)
    {31, 2226, 46, 3, Smoke::mf_static, 289, 6},	//144 Plasma::AbstractRunner::trUtf8(const char*, const char*, int)
    {31, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//145 Plasma::AbstractRunner::qt_metacall(QMetaObject::Call, int, void**)
    {31, 1311, 55, 1, Smoke::mf_virtual, 0, 8},	//146 Plasma::AbstractRunner::match(Plasma::RunnerContext&)
    {31, 1420, 55, 1, 0, 0, 9},	//147 Plasma::AbstractRunner::performMatch(Plasma::RunnerContext&)
    {31, 1042, 0, 0, 0, 382, 10},	//148 Plasma::AbstractRunner::hasRunOptions()
    {31, 820, 57, 1, Smoke::mf_virtual, 0, 11},	//149 Plasma::AbstractRunner::createRunOptions(QWidget*)
    {31, 1556, 59, 2, Smoke::mf_virtual, 0, 12},	//150 Plasma::AbstractRunner::run(const Plasma::RunnerContext&, const Plasma::QueryMatch&)
    {31, 2139, 0, 0, Smoke::mf_const, 36, 13},	//151 Plasma::AbstractRunner::speed() const
    {31, 1446, 0, 0, Smoke::mf_const, 35, 14},	//152 Plasma::AbstractRunner::priority() const
    {31, 1068, 0, 0, Smoke::mf_const, 203, 15},	//153 Plasma::AbstractRunner::ignoredTypes() const
    {31, 1814, 62, 1, 0, 0, 16},	//154 Plasma::AbstractRunner::setIgnoredTypes(QFlags<Plasma::RunnerContext::Type>)
    {31, 1359, 0, 0, Smoke::mf_const, 289, 17},	//155 Plasma::AbstractRunner::name() const
    {31, 1067, 0, 0, Smoke::mf_const, 289, 18},	//156 Plasma::AbstractRunner::id() const
    {31, 849, 0, 0, Smoke::mf_const, 289, 19},	//157 Plasma::AbstractRunner::description() const
    {31, 1065, 0, 0, Smoke::mf_const, 233, 20},	//158 Plasma::AbstractRunner::icon() const
    {31, 1383, 0, 0, Smoke::mf_const, 403, 21},	//159 Plasma::AbstractRunner::package() const
    {31, 1485, 0, 0, Smoke::mf_virtual, 0, 22},	//160 Plasma::AbstractRunner::reloadConfiguration()
    {31, 2175, 0, 0, Smoke::mf_const, 250, 23},	//161 Plasma::AbstractRunner::syntaxes() const
    {31, 708, 0, 0, Smoke::mf_static, 265, 24},	//162 Plasma::AbstractRunner::bigLock()
    {31, 845, 0, 0, Smoke::mf_const, 140, 25},	//163 Plasma::AbstractRunner::defaultSyntax() const
    {31, 1442, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//164 Plasma::AbstractRunner::prepare()
    {31, 2193, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//165 Plasma::AbstractRunner::teardown()
    {31, 3, 64, 2, Smoke::mf_ctor|Smoke::mf_protected, 34, 28},	//166 Plasma::AbstractRunner::AbstractRunner(QObject*, const QString&)
    {31, 3, 67, 2, Smoke::mf_ctor|Smoke::mf_protected, 34, 29},	//167 Plasma::AbstractRunner::AbstractRunner(const KSharedPtr<KService>, QObject*)
    {31, 3, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 34, 30},	//168 Plasma::AbstractRunner::AbstractRunner(QObject*, const QList<QVariant>&)
    {31, 745, 0, 0, Smoke::mf_const|Smoke::mf_protected, 8, 31},	//169 Plasma::AbstractRunner::config() const
    {31, 1792, 7, 1, Smoke::mf_protected, 0, 32},	//170 Plasma::AbstractRunner::setHasRunOptions(bool)
    {31, 1974, 73, 1, Smoke::mf_protected, 0, 33},	//171 Plasma::AbstractRunner::setSpeed(Plasma::AbstractRunner::Speed)
    {31, 1909, 75, 1, Smoke::mf_protected, 0, 34},	//172 Plasma::AbstractRunner::setPriority(Plasma::AbstractRunner::Priority)
    {31, 1609, 77, 2, Smoke::mf_const|Smoke::mf_protected, 240, 35},	//173 Plasma::AbstractRunner::serviceQuery(const QString&, const QString&) const
    {31, 574, 80, 1, Smoke::mf_protected|Smoke::mf_virtual, 251, 36},	//174 Plasma::AbstractRunner::actionsForMatch(const Plasma::QueryMatch&)
    {31, 587, 82, 3, Smoke::mf_protected, 180, 37},	//175 Plasma::AbstractRunner::addAction(const QString&, const QIcon&, const QString&)
    {31, 587, 86, 2, Smoke::mf_protected, 0, 38},	//176 Plasma::AbstractRunner::addAction(const QString&, QAction*)
    {31, 1495, 89, 1, Smoke::mf_protected, 0, 39},	//177 Plasma::AbstractRunner::removeAction(const QString&)
    {31, 570, 89, 1, Smoke::mf_const|Smoke::mf_protected, 180, 40},	//178 Plasma::AbstractRunner::action(const QString&) const
    {31, 573, 0, 0, Smoke::mf_const|Smoke::mf_protected, 229, 41},	//179 Plasma::AbstractRunner::actions() const
    {31, 726, 0, 0, Smoke::mf_protected, 0, 42},	//180 Plasma::AbstractRunner::clearActions()
    {31, 639, 91, 1, Smoke::mf_protected, 0, 43},	//181 Plasma::AbstractRunner::addSyntax(const Plasma::RunnerSyntax&)
    {31, 1729, 91, 1, Smoke::mf_protected, 0, 44},	//182 Plasma::AbstractRunner::setDefaultSyntax(const Plasma::RunnerSyntax&)
    {31, 1994, 93, 1, Smoke::mf_protected, 0, 45},	//183 Plasma::AbstractRunner::setSyntaxes(const QList<Plasma::RunnerSyntax>&)
    {31, 840, 89, 1, Smoke::mf_const|Smoke::mf_protected, 83, 46},	//184 Plasma::AbstractRunner::dataEngine(const QString&) const
    {31, 1081, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 47},	//185 Plasma::AbstractRunner::init()
    {31, 1328, 95, 1, Smoke::mf_protected|Smoke::mf_slot, 262, 48},	//186 Plasma::AbstractRunner::mimeDataForMatch(const Plasma::QueryMatch*)
    {31, 2222, 1, 1, Smoke::mf_static, 289, 49},	//187 Plasma::AbstractRunner::tr(const char*)
    {31, 2226, 1, 1, Smoke::mf_static, 289, 50},	//188 Plasma::AbstractRunner::trUtf8(const char*)
    {31, 3, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 34, 51},	//189 Plasma::AbstractRunner::AbstractRunner()
    {31, 3, 97, 1, Smoke::mf_ctor|Smoke::mf_protected, 34, 52},	//190 Plasma::AbstractRunner::AbstractRunner(QObject*)
    {31, 3, 99, 1, Smoke::mf_ctor|Smoke::mf_protected, 34, 53},	//191 Plasma::AbstractRunner::AbstractRunner(const KSharedPtr<KService>)
    {31, 1609, 89, 1, Smoke::mf_const|Smoke::mf_protected, 240, 54},	//192 Plasma::AbstractRunner::serviceQuery(const QString&) const
    {31, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 55},	//193 Plasma::AbstractRunner::staticMetaObject() const
    {31, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 56},	//194 Plasma::AbstractRunner::SlowSpeed (enum)
    {31, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 57},	//195 Plasma::AbstractRunner::NormalSpeed (enum)
    {31, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 58},	//196 Plasma::AbstractRunner::LowestPriority (enum)
    {31, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 59},	//197 Plasma::AbstractRunner::LowPriority (enum)
    {31, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 60},	//198 Plasma::AbstractRunner::NormalPriority (enum)
    {31, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 61},	//199 Plasma::AbstractRunner::HighPriority (enum)
    {31, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 62},	//200 Plasma::AbstractRunner::HighestPriority (enum)
    {31, 2326, 0, 0, Smoke::mf_dtor, 0, 63 },	//201 Plasma::AbstractRunner::~AbstractRunner()
    {32, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//202 Plasma::AbstractToolBox::metaObject() const
    {32, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//203 Plasma::AbstractToolBox::qt_metacast(const char*)
    {32, 2222, 43, 2, Smoke::mf_static, 289, 3},	//204 Plasma::AbstractToolBox::tr(const char*, const char*)
    {32, 2226, 43, 2, Smoke::mf_static, 289, 4},	//205 Plasma::AbstractToolBox::trUtf8(const char*, const char*)
    {32, 2222, 46, 3, Smoke::mf_static, 289, 5},	//206 Plasma::AbstractToolBox::tr(const char*, const char*, int)
    {32, 2226, 46, 3, Smoke::mf_static, 289, 6},	//207 Plasma::AbstractToolBox::trUtf8(const char*, const char*, int)
    {32, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//208 Plasma::AbstractToolBox::qt_metacall(QMetaObject::Call, int, void**)
    {32, 9, 101, 1, Smoke::mf_ctor, 37, 8},	//209 Plasma::AbstractToolBox::AbstractToolBox(Plasma::Containment*)
    {32, 646, 103, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//210 Plasma::AbstractToolBox::addTool(QAction*) [pure virtual]
    {32, 1518, 103, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//211 Plasma::AbstractToolBox::removeTool(QAction*) [pure virtual]
    {32, 1141, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_purevirtual, 382, 11},	//212 Plasma::AbstractToolBox::isShowing() const [pure virtual]
    {32, 1962, 105, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//213 Plasma::AbstractToolBox::setShowing(const bool) [pure virtual]
    {32, 2212, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//214 Plasma::AbstractToolBox::toggled()
    {32, 2297, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//215 Plasma::AbstractToolBox::visibilityChanged(bool)
    {32, 772, 0, 0, Smoke::mf_const|Smoke::mf_protected, 71, 15},	//216 Plasma::AbstractToolBox::containment() const
    {32, 2222, 1, 1, Smoke::mf_static, 289, 16},	//217 Plasma::AbstractToolBox::tr(const char*)
    {32, 2226, 1, 1, Smoke::mf_static, 289, 17},	//218 Plasma::AbstractToolBox::trUtf8(const char*)
    {32, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 18},	//219 Plasma::AbstractToolBox::staticMetaObject() const
    {32, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 19},	//220 Plasma::AbstractToolBox::AddTool (enum)
    {32, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 20},	//221 Plasma::AbstractToolBox::ConfigureTool (enum)
    {32, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 21},	//222 Plasma::AbstractToolBox::ControlTool (enum)
    {32, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 22},	//223 Plasma::AbstractToolBox::MiscTool (enum)
    {32, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 23},	//224 Plasma::AbstractToolBox::DestructiveTool (enum)
    {32, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 24},	//225 Plasma::AbstractToolBox::UserToolType (enum)
    {32, 2327, 0, 0, Smoke::mf_dtor, 0, 25 },	//226 Plasma::AbstractToolBox::~AbstractToolBox()
    {33, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//227 Plasma::AccessAppletJob::metaObject() const
    {33, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//228 Plasma::AccessAppletJob::qt_metacast(const char*)
    {33, 2222, 43, 2, Smoke::mf_static, 289, 3},	//229 Plasma::AccessAppletJob::tr(const char*, const char*)
    {33, 2226, 43, 2, Smoke::mf_static, 289, 4},	//230 Plasma::AccessAppletJob::trUtf8(const char*, const char*)
    {33, 2222, 46, 3, Smoke::mf_static, 289, 5},	//231 Plasma::AccessAppletJob::tr(const char*, const char*, int)
    {33, 2226, 46, 3, Smoke::mf_static, 289, 6},	//232 Plasma::AccessAppletJob::trUtf8(const char*, const char*, int)
    {33, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//233 Plasma::AccessAppletJob::qt_metacall(QMetaObject::Call, int, void**)
    {33, 675, 0, 0, Smoke::mf_const, 51, 8},	//234 Plasma::AccessAppletJob::applet() const
    {33, 12, 107, 2, Smoke::mf_ctor|Smoke::mf_protected, 39, 9},	//235 Plasma::AccessAppletJob::AccessAppletJob(const KUrl&, QObject*)
    {33, 2142, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//236 Plasma::AccessAppletJob::start()
    {33, 2222, 1, 1, Smoke::mf_static, 289, 11},	//237 Plasma::AccessAppletJob::tr(const char*)
    {33, 2226, 1, 1, Smoke::mf_static, 289, 12},	//238 Plasma::AccessAppletJob::trUtf8(const char*)
    {33, 12, 110, 1, Smoke::mf_ctor|Smoke::mf_protected, 39, 13},	//239 Plasma::AccessAppletJob::AccessAppletJob(const KUrl&)
    {33, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 14},	//240 Plasma::AccessAppletJob::staticMetaObject() const
    {33, 2328, 0, 0, Smoke::mf_dtor, 0, 15 },	//241 Plasma::AccessAppletJob::~AccessAppletJob()
    {34, 1324, 0, 0, Smoke::mf_const, 437, 1},	//242 Plasma::AccessManager::metaObject() const
    {34, 1454, 1, 1, 0, 479, 2},	//243 Plasma::AccessManager::qt_metacast(const char*)
    {34, 2222, 43, 2, Smoke::mf_static, 289, 3},	//244 Plasma::AccessManager::tr(const char*, const char*)
    {34, 2226, 43, 2, Smoke::mf_static, 289, 4},	//245 Plasma::AccessManager::trUtf8(const char*, const char*)
    {34, 2222, 46, 3, Smoke::mf_static, 289, 5},	//246 Plasma::AccessManager::tr(const char*, const char*, int)
    {34, 2226, 46, 3, Smoke::mf_static, 289, 6},	//247 Plasma::AccessManager::trUtf8(const char*, const char*, int)
    {34, 1452, 3, 3, 0, 471, 7},	//248 Plasma::AccessManager::qt_metacall(QMetaObject::Call, int, void**)
    {34, 1603, 0, 0, Smoke::mf_static, 40, 8},	//249 Plasma::AccessManager::self()
    {34, 568, 110, 1, Smoke::mf_const, 39, 9},	//250 Plasma::AccessManager::accessRemoteApplet(const KUrl&) const
    {34, 1491, 0, 0, Smoke::mf_const, 247, 10},	//251 Plasma::AccessManager::remoteApplets() const
    {34, 2165, 0, 0, Smoke::mf_static, 290, 11},	//252 Plasma::AccessManager::supportedProtocols()
    {34, 983, 112, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//253 Plasma::AccessManager::finished(Plasma::AccessAppletJob*)
    {34, 1487, 114, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//254 Plasma::AccessManager::remoteAppletAnnounced(Plasma::PackageMetadata)
    {34, 1489, 114, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//255 Plasma::AccessManager::remoteAppletUnannounced(Plasma::PackageMetadata)
    {34, 2222, 1, 1, Smoke::mf_static, 289, 15},	//256 Plasma::AccessManager::tr(const char*)
    {34, 2226, 1, 1, Smoke::mf_static, 289, 16},	//257 Plasma::AccessManager::trUtf8(const char*)
    {34, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 17},	//258 Plasma::AccessManager::staticMetaObject() const
    {35, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//259 Plasma::Animation::metaObject() const
    {35, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//260 Plasma::Animation::qt_metacast(const char*)
    {35, 2222, 43, 2, Smoke::mf_static, 289, 3},	//261 Plasma::Animation::tr(const char*, const char*)
    {35, 2226, 43, 2, Smoke::mf_static, 289, 4},	//262 Plasma::Animation::trUtf8(const char*, const char*)
    {35, 2222, 46, 3, Smoke::mf_static, 289, 5},	//263 Plasma::Animation::tr(const char*, const char*, int)
    {35, 2226, 46, 3, Smoke::mf_static, 289, 6},	//264 Plasma::Animation::trUtf8(const char*, const char*, int)
    {35, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//265 Plasma::Animation::qt_metacall(QMetaObject::Call, int, void**)
    {35, 906, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 471, 8},	//266 Plasma::Animation::duration() const
    {35, 31, 97, 1, Smoke::mf_ctor, 41, 9},	//267 Plasma::Animation::Animation(QObject*)
    {35, 2008, 116, 1, 0, 0, 10},	//268 Plasma::Animation::setTargetWidget(QGraphicsWidget*)
    {35, 2191, 0, 0, Smoke::mf_const, 226, 11},	//269 Plasma::Animation::targetWidget() const
    {35, 1748, 118, 1, Smoke::mf_property, 0, 12},	//270 Plasma::Animation::setEasingCurve(const QEasingCurve&)
    {35, 907, 0, 0, Smoke::mf_const|Smoke::mf_property, 195, 13},	//271 Plasma::Animation::easingCurve() const
    {35, 1746, 120, 1, Smoke::mf_protected|Smoke::mf_property|Smoke::mf_virtual, 0, 14},	//272 Plasma::Animation::setDuration(int)
    {35, 2252, 120, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//273 Plasma::Animation::updateCurrentTime(int)
    {35, 2222, 1, 1, Smoke::mf_static, 289, 16},	//274 Plasma::Animation::tr(const char*)
    {35, 2226, 1, 1, Smoke::mf_static, 289, 17},	//275 Plasma::Animation::trUtf8(const char*)
    {35, 31, 0, 0, Smoke::mf_ctor, 41, 18},	//276 Plasma::Animation::Animation()
    {35, 1746, 0, 0, Smoke::mf_protected|Smoke::mf_property, 0, 19},	//277 Plasma::Animation::setDuration()
    {35, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 20},	//278 Plasma::Animation::staticMetaObject() const
    {35, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 21},	//279 Plasma::Animation::Center (enum)
    {35, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 22},	//280 Plasma::Animation::Up (enum)
    {35, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 23},	//281 Plasma::Animation::Down (enum)
    {35, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 24},	//282 Plasma::Animation::Left (enum)
    {35, 405, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 25},	//283 Plasma::Animation::Right (enum)
    {35, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 26},	//284 Plasma::Animation::MoveAny (enum)
    {35, 320, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 27},	//285 Plasma::Animation::MoveUp (enum)
    {35, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 28},	//286 Plasma::Animation::MoveRight (enum)
    {35, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 29},	//287 Plasma::Animation::MoveDown (enum)
    {35, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 30},	//288 Plasma::Animation::MoveLeft (enum)
    {35, 2329, 0, 0, Smoke::mf_dtor, 0, 31 },	//289 Plasma::Animation::~Animation()
    {36, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//290 Plasma::AnimationDriver::metaObject() const
    {36, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//291 Plasma::AnimationDriver::qt_metacast(const char*)
    {36, 2222, 43, 2, Smoke::mf_static, 289, 3},	//292 Plasma::AnimationDriver::tr(const char*, const char*)
    {36, 2226, 43, 2, Smoke::mf_static, 289, 4},	//293 Plasma::AnimationDriver::trUtf8(const char*, const char*)
    {36, 2222, 46, 3, Smoke::mf_static, 289, 5},	//294 Plasma::AnimationDriver::tr(const char*, const char*, int)
    {36, 2226, 46, 3, Smoke::mf_static, 289, 6},	//295 Plasma::AnimationDriver::trUtf8(const char*, const char*, int)
    {36, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//296 Plasma::AnimationDriver::qt_metacall(QMetaObject::Call, int, void**)
    {36, 33, 97, 1, Smoke::mf_ctor, 44, 8},	//297 Plasma::AnimationDriver::AnimationDriver(QObject*)
    {36, 665, 122, 1, Smoke::mf_const|Smoke::mf_virtual, 471, 9},	//298 Plasma::AnimationDriver::animationFps(Plasma::Animator::Animation) const
    {36, 1355, 124, 1, Smoke::mf_const|Smoke::mf_virtual, 471, 10},	//299 Plasma::AnimationDriver::movementAnimationFps(Plasma::Animator::Movement) const
    {36, 917, 122, 1, Smoke::mf_const|Smoke::mf_virtual, 471, 11},	//300 Plasma::AnimationDriver::elementAnimationFps(Plasma::Animator::Animation) const
    {36, 661, 122, 1, Smoke::mf_const|Smoke::mf_virtual, 471, 12},	//301 Plasma::AnimationDriver::animationDuration(Plasma::Animator::Animation) const
    {36, 1353, 124, 1, Smoke::mf_const|Smoke::mf_virtual, 471, 13},	//302 Plasma::AnimationDriver::movementAnimationDuration(Plasma::Animator::Movement) const
    {36, 913, 122, 1, Smoke::mf_const|Smoke::mf_virtual, 471, 14},	//303 Plasma::AnimationDriver::elementAnimationDuration(Plasma::Animator::Animation) const
    {36, 659, 122, 1, Smoke::mf_const|Smoke::mf_virtual, 47, 15},	//304 Plasma::AnimationDriver::animationCurve(Plasma::Animator::Animation) const
    {36, 1351, 124, 1, Smoke::mf_const|Smoke::mf_virtual, 47, 16},	//305 Plasma::AnimationDriver::movementAnimationCurve(Plasma::Animator::Movement) const
    {36, 911, 122, 1, Smoke::mf_const|Smoke::mf_virtual, 47, 17},	//306 Plasma::AnimationDriver::elementAnimationCurve(Plasma::Animator::Animation) const
    {36, 919, 126, 2, Smoke::mf_virtual, 273, 18},	//307 Plasma::AnimationDriver::elementAppear(double, const QPixmap&)
    {36, 923, 126, 2, Smoke::mf_virtual, 273, 19},	//308 Plasma::AnimationDriver::elementDisappear(double, const QPixmap&)
    {36, 1157, 129, 2, Smoke::mf_virtual, 0, 20},	//309 Plasma::AnimationDriver::itemAppear(double, QGraphicsItem*)
    {36, 1165, 129, 2, Smoke::mf_virtual, 0, 21},	//310 Plasma::AnimationDriver::itemDisappear(double, QGraphicsItem*)
    {36, 1152, 129, 2, Smoke::mf_virtual, 0, 22},	//311 Plasma::AnimationDriver::itemActivated(double, QGraphicsItem*)
    {36, 1175, 132, 4, Smoke::mf_virtual, 0, 23},	//312 Plasma::AnimationDriver::itemSlideIn(double, QGraphicsItem*, const QPoint&, const QPoint&)
    {36, 1177, 132, 4, Smoke::mf_virtual, 0, 24},	//313 Plasma::AnimationDriver::itemSlideOut(double, QGraphicsItem*, const QPoint&, const QPoint&)
    {36, 2222, 1, 1, Smoke::mf_static, 289, 25},	//314 Plasma::AnimationDriver::tr(const char*)
    {36, 2226, 1, 1, Smoke::mf_static, 289, 26},	//315 Plasma::AnimationDriver::trUtf8(const char*)
    {36, 33, 0, 0, Smoke::mf_ctor, 44, 27},	//316 Plasma::AnimationDriver::AnimationDriver()
    {36, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 28},	//317 Plasma::AnimationDriver::staticMetaObject() const
    {36, 2330, 0, 0, Smoke::mf_dtor, 0, 29 },	//318 Plasma::AnimationDriver::~AnimationDriver()
    {37, 1324, 0, 0, Smoke::mf_const, 437, 1},	//319 Plasma::Animator::metaObject() const
    {37, 1454, 1, 1, 0, 479, 2},	//320 Plasma::Animator::qt_metacast(const char*)
    {37, 2222, 43, 2, Smoke::mf_static, 289, 3},	//321 Plasma::Animator::tr(const char*, const char*)
    {37, 2226, 43, 2, Smoke::mf_static, 289, 4},	//322 Plasma::Animator::trUtf8(const char*, const char*)
    {37, 2222, 46, 3, Smoke::mf_static, 289, 5},	//323 Plasma::Animator::tr(const char*, const char*, int)
    {37, 2226, 46, 3, Smoke::mf_static, 289, 6},	//324 Plasma::Animator::trUtf8(const char*, const char*, int)
    {37, 1452, 3, 3, 0, 471, 7},	//325 Plasma::Animator::qt_metacall(QMetaObject::Call, int, void**)
    {37, 1603, 0, 0, Smoke::mf_static, 45, 8},	//326 Plasma::Animator::self()
    {37, 803, 137, 2, Smoke::mf_static, 41, 9},	//327 Plasma::Animator::create(Plasma::Animator::Animation, QObject*)
    {37, 803, 140, 2, Smoke::mf_static, 41, 10},	//328 Plasma::Animator::create(const QString&, QObject*)
    {37, 803, 143, 1, Smoke::mf_static, 195, 11},	//329 Plasma::Animator::create(Plasma::Animator::CurveShape)
    {37, 2155, 120, 1, 0, 0, 12},	//330 Plasma::Animator::stopItemAnimation(int)
    {37, 1349, 145, 3, 0, 471, 13},	//331 Plasma::Animator::moveItem(QGraphicsItem*, Plasma::Animator::Movement, const QPoint&)
    {37, 2157, 120, 1, 0, 0, 14},	//332 Plasma::Animator::stopItemMovement(int)
    {37, 832, 149, 5, 0, 471, 15},	//333 Plasma::Animator::customAnimation(int, int, Plasma::Animator::CurveShape, QObject*, const char*)
    {37, 2151, 120, 1, 0, 0, 16},	//334 Plasma::Animator::stopCustomAnimation(int)
    {37, 2153, 120, 1, 0, 0, 17},	//335 Plasma::Animator::stopElementAnimation(int)
    {37, 1828, 155, 2, 0, 0, 18},	//336 Plasma::Animator::setInitialPixmap(int, const QPixmap&)
    {37, 827, 120, 1, 0, 273, 19},	//337 Plasma::Animator::currentPixmap(int)
    {37, 1110, 0, 0, Smoke::mf_const, 382, 20},	//338 Plasma::Animator::isAnimating() const
    {37, 1476, 116, 1, 0, 0, 21},	//339 Plasma::Animator::registerScrollingManager(QGraphicsWidget*)
    {37, 2243, 116, 1, 0, 0, 22},	//340 Plasma::Animator::unregisterScrollingManager(QGraphicsWidget*)
    {37, 663, 158, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//341 Plasma::Animator::animationFinished(QGraphicsItem*, Plasma::Animator::Animation)
    {37, 1357, 161, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//342 Plasma::Animator::movementFinished(QGraphicsItem*)
    {37, 915, 120, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//343 Plasma::Animator::elementAnimationFinished(int)
    {37, 834, 120, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//344 Plasma::Animator::customAnimationFinished(int)
    {37, 1595, 163, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//345 Plasma::Animator::scrollStateChanged(QGraphicsWidget*, QAbstractAnimation::State, QAbstractAnimation::State)
    {37, 2208, 167, 1, Smoke::mf_protected, 0, 28},	//346 Plasma::Animator::timerEvent(QTimerEvent*)
    {37, 2222, 1, 1, Smoke::mf_static, 289, 29},	//347 Plasma::Animator::tr(const char*)
    {37, 2226, 1, 1, Smoke::mf_static, 289, 30},	//348 Plasma::Animator::trUtf8(const char*)
    {37, 803, 122, 1, Smoke::mf_static, 41, 31},	//349 Plasma::Animator::create(Plasma::Animator::Animation)
    {37, 803, 89, 1, Smoke::mf_static, 41, 32},	//350 Plasma::Animator::create(const QString&)
    {37, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 33},	//351 Plasma::Animator::staticMetaObject() const
    {37, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 34},	//352 Plasma::Animator::AppearAnimation (enum)
    {37, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 35},	//353 Plasma::Animator::DisappearAnimation (enum)
    {37, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 36},	//354 Plasma::Animator::ActivateAnimation (enum)
    {37, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 37},	//355 Plasma::Animator::FadeAnimation (enum)
    {37, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 38},	//356 Plasma::Animator::GrowAnimation (enum)
    {37, 385, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 39},	//357 Plasma::Animator::PulseAnimation (enum)
    {37, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 40},	//358 Plasma::Animator::RotationAnimation (enum)
    {37, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 41},	//359 Plasma::Animator::RotationStackedAnimation (enum)
    {37, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 42},	//360 Plasma::Animator::SlideAnimation (enum)
    {37, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 43},	//361 Plasma::Animator::GeometryAnimation (enum)
    {37, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 44},	//362 Plasma::Animator::ZoomAnimation (enum)
    {37, 372, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 45},	//363 Plasma::Animator::PixmapTransitionAnimation (enum)
    {37, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 46},	//364 Plasma::Animator::WaterAnimation (enum)
    {37, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 47},	//365 Plasma::Animator::LastAnimation (enum)
    {37, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 48},	//366 Plasma::Animator::EaseInCurve (enum)
    {37, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 49},	//367 Plasma::Animator::EaseOutCurve (enum)
    {37, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 50},	//368 Plasma::Animator::EaseInOutCurve (enum)
    {37, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 51},	//369 Plasma::Animator::LinearCurve (enum)
    {37, 368, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 52},	//370 Plasma::Animator::PendularCurve (enum)
    {37, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 53},	//371 Plasma::Animator::SlideInMovement (enum)
    {37, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 54},	//372 Plasma::Animator::SlideOutMovement (enum)
    {37, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 55},	//373 Plasma::Animator::FastSlideInMovement (enum)
    {37, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 56},	//374 Plasma::Animator::FastSlideOutMovement (enum)
    {38, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//375 Plasma::Applet::metaObject() const
    {38, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//376 Plasma::Applet::qt_metacast(const char*)
    {38, 2222, 43, 2, Smoke::mf_static, 289, 3},	//377 Plasma::Applet::tr(const char*, const char*)
    {38, 2226, 43, 2, Smoke::mf_static, 289, 4},	//378 Plasma::Applet::trUtf8(const char*, const char*)
    {38, 2222, 46, 3, Smoke::mf_static, 289, 5},	//379 Plasma::Applet::tr(const char*, const char*, int)
    {38, 2226, 46, 3, Smoke::mf_static, 289, 6},	//380 Plasma::Applet::trUtf8(const char*, const char*, int)
    {38, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//381 Plasma::Applet::qt_metacall(QMetaObject::Call, int, void**)
    {38, 1384, 0, 0, Smoke::mf_static, 20, 8},	//382 Plasma::Applet::packageStructure()
    {38, 1067, 0, 0, Smoke::mf_const, 477, 9},	//383 Plasma::Applet::id() const
    {38, 745, 0, 0, Smoke::mf_const, 8, 10},	//384 Plasma::Applet::config() const
    {38, 745, 89, 1, Smoke::mf_const, 8, 11},	//385 Plasma::Applet::config(const QString&) const
    {38, 1566, 169, 1, Smoke::mf_const|Smoke::mf_virtual, 0, 12},	//386 Plasma::Applet::save(KConfigGroup&) const
    {38, 1547, 169, 1, Smoke::mf_virtual, 0, 13},	//387 Plasma::Applet::restore(KConfigGroup&)
    {38, 1020, 0, 0, Smoke::mf_const, 8, 14},	//388 Plasma::Applet::globalConfig() const
    {38, 749, 0, 0, Smoke::mf_const, 69, 15},	//389 Plasma::Applet::configScheme() const
    {38, 840, 89, 1, Smoke::mf_const, 83, 16},	//390 Plasma::Applet::dataEngine(const QString&) const
    {38, 1383, 0, 0, Smoke::mf_const, 403, 17},	//391 Plasma::Applet::package() const
    {38, 2290, 0, 0, Smoke::mf_const, 225, 18},	//392 Plasma::Applet::view() const
    {38, 1304, 171, 2, Smoke::mf_const, 279, 19},	//393 Plasma::Applet::mapFromView(const QGraphicsView*, const QRect&) const
    {38, 1306, 174, 2, Smoke::mf_const, 278, 20},	//394 Plasma::Applet::mapToView(const QGraphicsView*, const QRectF&) const
    {38, 1435, 177, 1, Smoke::mf_const, 275, 21},	//395 Plasma::Applet::popupPosition(const QSize&) const
    {38, 1435, 179, 2, Smoke::mf_const, 275, 22},	//396 Plasma::Applet::popupPosition(const QSize&, Qt::AlignmentFlag) const
    {38, 2250, 182, 1, 0, 0, 23},	//397 Plasma::Applet::updateConstraints(QFlags<Plasma::Constraint>)
    {38, 1007, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 98, 24},	//398 Plasma::Applet::formFactor() const
    {38, 1289, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 113, 25},	//399 Plasma::Applet::location() const
    {38, 791, 0, 0, Smoke::mf_const, 80, 26},	//400 Plasma::Applet::context() const
    {38, 687, 0, 0, Smoke::mf_const, 54, 27},	//401 Plasma::Applet::aspectRatioMode() const
    {38, 1633, 184, 1, 0, 0, 28},	//402 Plasma::Applet::setAspectRatioMode(Plasma::AspectRatioMode)
    {38, 1219, 77, 2, Smoke::mf_static, 238, 29},	//403 Plasma::Applet::listAppletInfo(const QString&, const QString&)
    {38, 1222, 89, 1, Smoke::mf_static, 238, 30},	//404 Plasma::Applet::listAppletInfoForMimetype(const QString&)
    {38, 1224, 186, 1, Smoke::mf_static, 238, 31},	//405 Plasma::Applet::listAppletInfoForUrl(const QUrl&)
    {38, 1226, 188, 2, Smoke::mf_static, 290, 32},	//406 Plasma::Applet::listCategories(const QString&, bool)
    {38, 1712, 191, 1, 0, 0, 33},	//407 Plasma::Applet::setCustomCategories(const QStringList&)
    {38, 836, 0, 0, 0, 290, 34},	//408 Plasma::Applet::customCategories()
    {38, 1278, 193, 3, Smoke::mf_static, 51, 35},	//409 Plasma::Applet::loadPlasmoid(const QString&, unsigned int, const QList<QVariant>&)
    {38, 1256, 193, 3, Smoke::mf_static, 51, 36},	//410 Plasma::Applet::load(const QString&, unsigned int, const QList<QVariant>&)
    {38, 1256, 197, 3, Smoke::mf_static, 51, 37},	//411 Plasma::Applet::load(const KPluginInfo&, unsigned int, const QList<QVariant>&)
    {38, 715, 201, 1, Smoke::mf_static, 289, 38},	//412 Plasma::Applet::category(const KPluginInfo&)
    {38, 715, 89, 1, Smoke::mf_static, 289, 39},	//413 Plasma::Applet::category(const QString&)
    {38, 1406, 203, 3, Smoke::mf_virtual, 0, 40},	//414 Plasma::Applet::paintInterface(QPainter*, const QStyleOptionGraphicsItem*, const QRect&)
    {38, 1359, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 41},	//415 Plasma::Applet::name() const
    {38, 1000, 0, 0, Smoke::mf_const, 209, 42},	//416 Plasma::Applet::font() const
    {38, 1428, 0, 0, Smoke::mf_const, 289, 43},	//417 Plasma::Applet::pluginName() const
    {38, 2089, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 44},	//418 Plasma::Applet::shouldConserveResources() const
    {38, 1065, 0, 0, Smoke::mf_const, 289, 45},	//419 Plasma::Applet::icon() const
    {38, 715, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 46},	//420 Plasma::Applet::category() const
    {38, 1072, 0, 0, Smoke::mf_const|Smoke::mf_property, 106, 47},	//421 Plasma::Applet::immutability() const
    {38, 1408, 207, 3, Smoke::mf_virtual, 0, 48},	//422 Plasma::Applet::paintWindowFrame(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {38, 1036, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 49},	//423 Plasma::Applet::hasFailedToLaunch() const
    {38, 1112, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 50},	//424 Plasma::Applet::isBusy() const
    {38, 752, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 51},	//425 Plasma::Applet::configurationRequired() const
    {38, 1031, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 52},	//426 Plasma::Applet::hasConfigurationInterface() const
    {38, 799, 0, 0, Smoke::mf_virtual, 251, 53},	//427 Plasma::Applet::contextualActions()
    {38, 570, 211, 1, Smoke::mf_const, 180, 54},	//428 Plasma::Applet::action(QString) const
    {38, 587, 213, 2, 0, 0, 55},	//429 Plasma::Applet::addAction(QString, QAction*)
    {38, 1657, 216, 1, 0, 0, 56},	//430 Plasma::Applet::setBackgroundHints(const QFlags<Plasma::Applet::BackgroundHint>)
    {38, 705, 0, 0, Smoke::mf_const, 197, 57},	//431 Plasma::Applet::backgroundHints() const
    {38, 1118, 0, 0, Smoke::mf_const, 382, 58},	//432 Plasma::Applet::isContainment() const
    {38, 1592, 0, 0, Smoke::mf_const, 278, 59},	//433 Plasma::Applet::screenRect() const
    {38, 2231, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 471, 60},	//434 Plasma::Applet::type() const
    {38, 772, 0, 0, Smoke::mf_const, 71, 61},	//435 Plasma::Applet::containment() const
    {38, 1781, 218, 1, 0, 0, 62},	//436 Plasma::Applet::setGlobalShortcut(const KShortcut&)
    {38, 1021, 0, 0, Smoke::mf_const, 21, 63},	//437 Plasma::Applet::globalShortcut() const
    {38, 1132, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 382, 64},	//438 Plasma::Applet::isPopupShowing() const
    {38, 598, 57, 1, Smoke::mf_virtual, 0, 65},	//439 Plasma::Applet::addAssociatedWidget(QWidget*)
    {38, 1500, 57, 1, Smoke::mf_virtual, 0, 66},	//440 Plasma::Applet::removeAssociatedWidget(QWidget*)
    {38, 1083, 220, 1, Smoke::mf_virtual, 0, 67},	//441 Plasma::Applet::initExtenderItem(Plasma::ExtenderItem*)
    {38, 37, 222, 3, Smoke::mf_ctor, 51, 68},	//442 Plasma::Applet::Applet(QGraphicsItem*, const QString&, unsigned int)
    {38, 37, 226, 4, Smoke::mf_ctor, 51, 69},	//443 Plasma::Applet::Applet(QGraphicsItem*, const QString&, unsigned int, const QList<QVariant>&)
    {38, 854, 0, 0, Smoke::mf_const, 382, 70},	//444 Plasma::Applet::destroyed() const
    {38, 808, 231, 1, Smoke::mf_virtual, 0, 71},	//445 Plasma::Applet::createConfigurationInterface(KConfigDialog*)
    {38, 1029, 89, 1, Smoke::mf_const, 382, 72},	//446 Plasma::Applet::hasAuthorization(const QString&) const
    {38, 1635, 89, 1, 0, 0, 73},	//447 Plasma::Applet::setAssociatedApplication(const QString&)
    {38, 1637, 233, 1, 0, 0, 74},	//448 Plasma::Applet::setAssociatedApplicationUrls(const KUrl::List&)
    {38, 690, 0, 0, Smoke::mf_const, 289, 75},	//449 Plasma::Applet::associatedApplication() const
    {38, 691, 0, 0, Smoke::mf_const, 29, 76},	//450 Plasma::Applet::associatedApplicationUrls() const
    {38, 1044, 0, 0, Smoke::mf_const, 382, 77},	//451 Plasma::Applet::hasValidAssociatedApplication() const
    {38, 1482, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 78},	//452 Plasma::Applet::releaseVisualFocus()
    {38, 1014, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 79},	//453 Plasma::Applet::geometryChanged()
    {38, 683, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 80},	//454 Plasma::Applet::appletTransformedByUser()
    {38, 684, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 81},	//455 Plasma::Applet::appletTransformedItself()
    {38, 2127, 235, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 82},	//456 Plasma::Applet::sizeHintChanged(Qt::SizeHint)
    {38, 748, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 83},	//457 Plasma::Applet::configNeedsSaving()
    {38, 581, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 84},	//458 Plasma::Applet::activate()
    {38, 1322, 237, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 85},	//459 Plasma::Applet::messageButtonPressed(const Plasma::MessageButton)
    {38, 678, 239, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 86},	//460 Plasma::Applet::appletDestroyed(Plasma::Applet*)
    {38, 1362, 241, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 87},	//461 Plasma::Applet::newStatus(Plasma::ItemStatus)
    {38, 965, 220, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 88},	//462 Plasma::Applet::extenderItemRestored(Plasma::ExtenderItem*)
    {38, 1073, 243, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 89},	//463 Plasma::Applet::immutabilityChanged(Plasma::ImmutabilityType)
    {38, 1822, 245, 1, Smoke::mf_property|Smoke::mf_slot, 0, 90},	//464 Plasma::Applet::setImmutability(const Plasma::ImmutabilityType)
    {38, 852, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 91},	//465 Plasma::Applet::destroy()
    {38, 2095, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 92},	//466 Plasma::Applet::showConfigurationInterface()
    {38, 2095, 57, 1, Smoke::mf_slot, 0, 93},	//467 Plasma::Applet::showConfigurationInterface(QWidget*)
    {38, 1144, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_slot, 382, 94},	//468 Plasma::Applet::isUserConfiguring() const
    {38, 1459, 0, 0, Smoke::mf_slot, 0, 95},	//469 Plasma::Applet::raise()
    {38, 1297, 0, 0, Smoke::mf_slot, 0, 96},	//470 Plasma::Applet::lower()
    {38, 992, 0, 0, Smoke::mf_slot, 0, 97},	//471 Plasma::Applet::flushPendingConstraintsEvents()
    {38, 1081, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 98},	//472 Plasma::Applet::init()
    {38, 747, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 99},	//473 Plasma::Applet::configChanged()
    {38, 1661, 7, 1, Smoke::mf_property|Smoke::mf_slot, 0, 100},	//474 Plasma::Applet::setBusy(bool)
    {38, 2146, 0, 0, Smoke::mf_const|Smoke::mf_slot, 300, 101},	//475 Plasma::Applet::startupArguments() const
    {38, 2149, 0, 0, Smoke::mf_const|Smoke::mf_slot, 109, 102},	//476 Plasma::Applet::status() const
    {38, 1980, 247, 1, Smoke::mf_slot, 0, 103},	//477 Plasma::Applet::setStatus(const Plasma::ItemStatus)
    {38, 1450, 249, 2, Smoke::mf_slot, 0, 104},	//478 Plasma::Applet::publish(Plasma::AnnouncementMethods, const QString&)
    {38, 2240, 0, 0, Smoke::mf_slot, 0, 105},	//479 Plasma::Applet::unpublish()
    {38, 1134, 0, 0, Smoke::mf_const|Smoke::mf_slot, 382, 106},	//480 Plasma::Applet::isPublished() const
    {38, 1560, 0, 0, Smoke::mf_slot, 0, 107},	//481 Plasma::Applet::runAssociatedApplication()
    {38, 37, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 51, 108},	//482 Plasma::Applet::Applet(QObject*, const QList<QVariant>&)
    {38, 1767, 252, 2, Smoke::mf_protected, 0, 109},	//483 Plasma::Applet::setFailedToLaunch(bool, const QString&)
    {38, 1572, 169, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 110},	//484 Plasma::Applet::saveState(KConfigGroup&) const
    {38, 1790, 7, 1, Smoke::mf_protected, 0, 111},	//485 Plasma::Applet::setHasConfigurationInterface(bool)
    {38, 1683, 252, 2, Smoke::mf_protected, 0, 112},	//486 Plasma::Applet::setConfigurationRequired(bool, const QString&)
    {38, 2107, 255, 3, Smoke::mf_protected, 0, 113},	//487 Plasma::Applet::showMessage(const QIcon&, const QString&, const QFlags<Plasma::MessageButton>)
    {38, 767, 182, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 114},	//488 Plasma::Applet::constraintsEvent(QFlags<Plasma::Constraint>)
    {38, 1469, 161, 1, Smoke::mf_protected, 0, 115},	//489 Plasma::Applet::registerAsDragHandle(QGraphicsItem*)
    {38, 2241, 161, 1, Smoke::mf_protected, 0, 116},	//490 Plasma::Applet::unregisterAsDragHandle(QGraphicsItem*)
    {38, 1136, 161, 1, Smoke::mf_protected, 382, 117},	//491 Plasma::Applet::isRegisteredAsDragHandle(QGraphicsItem*)
    {38, 964, 0, 0, Smoke::mf_const|Smoke::mf_protected, 92, 118},	//492 Plasma::Applet::extender() const
    {38, 952, 259, 2, Smoke::mf_protected|Smoke::mf_virtual, 382, 119},	//493 Plasma::Applet::eventFilter(QObject*, QEvent*)
    {38, 1580, 262, 2, Smoke::mf_protected|Smoke::mf_virtual, 382, 120},	//494 Plasma::Applet::sceneEventFilter(QGraphicsItem*, QEvent*)
    {38, 1341, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 121},	//495 Plasma::Applet::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {38, 993, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 122},	//496 Plasma::Applet::focusInEvent(QFocusEvent*)
    {38, 1543, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 123},	//497 Plasma::Applet::resizeEvent(QGraphicsSceneResizeEvent*)
    {38, 1161, 271, 2, Smoke::mf_protected|Smoke::mf_virtual, 299, 124},	//498 Plasma::Applet::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {38, 2087, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 272, 125},	//499 Plasma::Applet::shape() const
    {38, 2123, 274, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 126},	//500 Plasma::Applet::sizeHint(Qt::SizeHint, const QSizeF&) const
    {38, 1058, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 127},	//501 Plasma::Applet::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {38, 1060, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 128},	//502 Plasma::Applet::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {38, 2208, 167, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 129},	//503 Plasma::Applet::timerEvent(QTimerEvent*)
    {38, 2222, 1, 1, Smoke::mf_static, 289, 130},	//504 Plasma::Applet::tr(const char*)
    {38, 2226, 1, 1, Smoke::mf_static, 289, 131},	//505 Plasma::Applet::trUtf8(const char*)
    {38, 2250, 0, 0, 0, 0, 132},	//506 Plasma::Applet::updateConstraints()
    {38, 1219, 0, 0, Smoke::mf_static, 238, 133},	//507 Plasma::Applet::listAppletInfo()
    {38, 1219, 89, 1, Smoke::mf_static, 238, 134},	//508 Plasma::Applet::listAppletInfo(const QString&)
    {38, 1226, 0, 0, Smoke::mf_static, 290, 135},	//509 Plasma::Applet::listCategories()
    {38, 1226, 89, 1, Smoke::mf_static, 290, 136},	//510 Plasma::Applet::listCategories(const QString&)
    {38, 1278, 89, 1, Smoke::mf_static, 51, 137},	//511 Plasma::Applet::loadPlasmoid(const QString&)
    {38, 1278, 279, 2, Smoke::mf_static, 51, 138},	//512 Plasma::Applet::loadPlasmoid(const QString&, unsigned int)
    {38, 1256, 89, 1, Smoke::mf_static, 51, 139},	//513 Plasma::Applet::load(const QString&)
    {38, 1256, 279, 2, Smoke::mf_static, 51, 140},	//514 Plasma::Applet::load(const QString&, unsigned int)
    {38, 1256, 201, 1, Smoke::mf_static, 51, 141},	//515 Plasma::Applet::load(const KPluginInfo&)
    {38, 1256, 282, 2, Smoke::mf_static, 51, 142},	//516 Plasma::Applet::load(const KPluginInfo&, unsigned int)
    {38, 37, 0, 0, Smoke::mf_ctor, 51, 143},	//517 Plasma::Applet::Applet()
    {38, 37, 161, 1, Smoke::mf_ctor, 51, 144},	//518 Plasma::Applet::Applet(QGraphicsItem*)
    {38, 37, 285, 2, Smoke::mf_ctor, 51, 145},	//519 Plasma::Applet::Applet(QGraphicsItem*, const QString&)
    {38, 1767, 7, 1, Smoke::mf_protected, 0, 146},	//520 Plasma::Applet::setFailedToLaunch(bool)
    {38, 1683, 7, 1, Smoke::mf_protected, 0, 147},	//521 Plasma::Applet::setConfigurationRequired(bool)
    {38, 2123, 235, 1, Smoke::mf_const|Smoke::mf_protected, 287, 148},	//522 Plasma::Applet::sizeHint(Qt::SizeHint) const
    {38, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 149},	//523 Plasma::Applet::staticMetaObject() const
    {38, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 150},	//524 Plasma::Applet::NoBackground (enum)
    {38, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 151},	//525 Plasma::Applet::StandardBackground (enum)
    {38, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 152},	//526 Plasma::Applet::TranslucentBackground (enum)
    {38, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 153},	//527 Plasma::Applet::DefaultBackground (enum)
    {38, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 472, 154},	//528 Plasma::Applet::Type (enum)
    {38, 2331, 0, 0, Smoke::mf_dtor, 0, 155 },	//529 Plasma::Applet::~Applet()
    {39, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//530 Plasma::AppletScript::metaObject() const
    {39, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//531 Plasma::AppletScript::qt_metacast(const char*)
    {39, 2222, 43, 2, Smoke::mf_static, 289, 3},	//532 Plasma::AppletScript::tr(const char*, const char*)
    {39, 2226, 43, 2, Smoke::mf_static, 289, 4},	//533 Plasma::AppletScript::trUtf8(const char*, const char*)
    {39, 2222, 46, 3, Smoke::mf_static, 289, 5},	//534 Plasma::AppletScript::tr(const char*, const char*, int)
    {39, 2226, 46, 3, Smoke::mf_static, 289, 6},	//535 Plasma::AppletScript::trUtf8(const char*, const char*, int)
    {39, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//536 Plasma::AppletScript::qt_metacall(QMetaObject::Call, int, void**)
    {39, 44, 97, 1, Smoke::mf_ctor, 53, 8},	//537 Plasma::AppletScript::AppletScript(QObject*)
    {39, 1627, 239, 1, 0, 0, 9},	//538 Plasma::AppletScript::setApplet(Plasma::Applet*)
    {39, 675, 0, 0, Smoke::mf_const, 51, 10},	//539 Plasma::AppletScript::applet() const
    {39, 1406, 203, 3, Smoke::mf_virtual, 0, 11},	//540 Plasma::AppletScript::paintInterface(QPainter*, const QStyleOptionGraphicsItem*, const QRect&)
    {39, 2120, 0, 0, Smoke::mf_const, 287, 12},	//541 Plasma::AppletScript::size() const
    {39, 767, 182, 1, Smoke::mf_virtual, 0, 13},	//542 Plasma::AppletScript::constraintsEvent(QFlags<Plasma::Constraint>)
    {39, 799, 0, 0, Smoke::mf_virtual, 251, 14},	//543 Plasma::AppletScript::contextualActions()
    {39, 2087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 15},	//544 Plasma::AppletScript::shape() const
    {39, 1790, 7, 1, 0, 0, 16},	//545 Plasma::AppletScript::setHasConfigurationInterface(bool)
    {39, 1683, 252, 2, 0, 0, 17},	//546 Plasma::AppletScript::setConfigurationRequired(bool, const QString&)
    {39, 1767, 252, 2, 0, 0, 18},	//547 Plasma::AppletScript::setFailedToLaunch(bool, const QString&)
    {39, 748, 0, 0, Smoke::mf_const, 0, 19},	//548 Plasma::AppletScript::configNeedsSaving() const
    {39, 964, 0, 0, Smoke::mf_const, 92, 20},	//549 Plasma::AppletScript::extender() const
    {39, 1572, 169, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//550 Plasma::AppletScript::saveState(KConfigGroup&) const
    {39, 1431, 7, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//551 Plasma::AppletScript::popupEvent(bool) const
    {39, 2095, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//552 Plasma::AppletScript::showConfigurationInterface()
    {39, 747, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//553 Plasma::AppletScript::configChanged()
    {39, 840, 89, 1, Smoke::mf_const|Smoke::mf_protected, 83, 25},	//554 Plasma::AppletScript::dataEngine(const QString&) const
    {39, 1299, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 289, 26},	//555 Plasma::AppletScript::mainScript() const
    {39, 1383, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 403, 27},	//556 Plasma::AppletScript::package() const
    {39, 849, 0, 0, Smoke::mf_const|Smoke::mf_protected, 15, 28},	//557 Plasma::AppletScript::description() const
    {39, 2141, 0, 0, Smoke::mf_protected, 7, 29},	//558 Plasma::AppletScript::standardConfigurationDialog()
    {39, 637, 231, 1, Smoke::mf_protected, 0, 30},	//559 Plasma::AppletScript::addStandardConfigurationPages(KConfigDialog*)
    {39, 2107, 255, 3, Smoke::mf_protected, 0, 31},	//560 Plasma::AppletScript::showMessage(const QIcon&, const QString&, const QFlags<Plasma::MessageButton>)
    {39, 1469, 161, 1, Smoke::mf_protected, 0, 32},	//561 Plasma::AppletScript::registerAsDragHandle(QGraphicsItem*)
    {39, 2241, 161, 1, Smoke::mf_protected, 0, 33},	//562 Plasma::AppletScript::unregisterAsDragHandle(QGraphicsItem*)
    {39, 1136, 161, 1, Smoke::mf_protected, 382, 34},	//563 Plasma::AppletScript::isRegisteredAsDragHandle(QGraphicsItem*)
    {39, 1269, 140, 2, Smoke::mf_protected, 41, 35},	//564 Plasma::AppletScript::loadAnimationFromPackage(const QString&, QObject*)
    {39, 2222, 1, 1, Smoke::mf_static, 289, 36},	//565 Plasma::AppletScript::tr(const char*)
    {39, 2226, 1, 1, Smoke::mf_static, 289, 37},	//566 Plasma::AppletScript::trUtf8(const char*)
    {39, 44, 0, 0, Smoke::mf_ctor, 53, 38},	//567 Plasma::AppletScript::AppletScript()
    {39, 1683, 7, 1, 0, 0, 39},	//568 Plasma::AppletScript::setConfigurationRequired(bool)
    {39, 1767, 7, 1, 0, 0, 40},	//569 Plasma::AppletScript::setFailedToLaunch(bool)
    {39, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 41},	//570 Plasma::AppletScript::staticMetaObject() const
    {39, 2332, 0, 0, Smoke::mf_dtor, 0, 42 },	//571 Plasma::AppletScript::~AppletScript()
    {40, 695, 288, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//572 Plasma::AuthorizationInterface::authorizationRequest(Plasma::AuthorizationRule&) [pure virtual]
    {40, 735, 290, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//573 Plasma::AuthorizationInterface::clientPinRequest(Plasma::ClientPinRequest&) [pure virtual]
    {40, 47, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 55, 3},	//574 Plasma::AuthorizationInterface::AuthorizationInterface()
    {40, 47, 292, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 55, 4},	//575 Plasma::AuthorizationInterface::AuthorizationInterface(const Plasma::AuthorizationInterface&)
    {40, 2333, 0, 0, Smoke::mf_dtor, 0, 5 },	//576 Plasma::AuthorizationInterface::~AuthorizationInterface()
    {41, 1324, 0, 0, Smoke::mf_const, 437, 1},	//577 Plasma::AuthorizationManager::metaObject() const
    {41, 1454, 1, 1, 0, 479, 2},	//578 Plasma::AuthorizationManager::qt_metacast(const char*)
    {41, 2222, 43, 2, Smoke::mf_static, 289, 3},	//579 Plasma::AuthorizationManager::tr(const char*, const char*)
    {41, 2226, 43, 2, Smoke::mf_static, 289, 4},	//580 Plasma::AuthorizationManager::trUtf8(const char*, const char*)
    {41, 2222, 46, 3, Smoke::mf_static, 289, 5},	//581 Plasma::AuthorizationManager::tr(const char*, const char*, int)
    {41, 2226, 46, 3, Smoke::mf_static, 289, 6},	//582 Plasma::AuthorizationManager::trUtf8(const char*, const char*, int)
    {41, 1452, 3, 3, 0, 471, 7},	//583 Plasma::AuthorizationManager::qt_metacall(QMetaObject::Call, int, void**)
    {41, 1603, 0, 0, Smoke::mf_static, 56, 8},	//584 Plasma::AuthorizationManager::self()
    {41, 1643, 294, 1, 0, 0, 9},	//585 Plasma::AuthorizationManager::setAuthorizationPolicy(Plasma::AuthorizationManager::AuthorizationPolicy)
    {41, 1641, 296, 1, 0, 0, 10},	//586 Plasma::AuthorizationManager::setAuthorizationInterface(Plasma::AuthorizationInterface*)
    {41, 1464, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//587 Plasma::AuthorizationManager::readyForRemoteAccess()
    {41, 2222, 1, 1, Smoke::mf_static, 289, 12},	//588 Plasma::AuthorizationManager::tr(const char*)
    {41, 2226, 1, 1, Smoke::mf_static, 289, 13},	//589 Plasma::AuthorizationManager::trUtf8(const char*)
    {41, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 14},	//590 Plasma::AuthorizationManager::staticMetaObject() const
    {41, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 15},	//591 Plasma::AuthorizationManager::DenyAll (enum)
    {41, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 16},	//592 Plasma::AuthorizationManager::TrustedOnly (enum)
    {41, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 17},	//593 Plasma::AuthorizationManager::PinPairing (enum)
    {41, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 18},	//594 Plasma::AuthorizationManager::Custom (enum)
    {42, 1324, 0, 0, Smoke::mf_const, 437, 1},	//595 Plasma::AuthorizationRule::metaObject() const
    {42, 1454, 1, 1, 0, 479, 2},	//596 Plasma::AuthorizationRule::qt_metacast(const char*)
    {42, 2222, 43, 2, Smoke::mf_static, 289, 3},	//597 Plasma::AuthorizationRule::tr(const char*, const char*)
    {42, 2226, 43, 2, Smoke::mf_static, 289, 4},	//598 Plasma::AuthorizationRule::trUtf8(const char*, const char*)
    {42, 2222, 46, 3, Smoke::mf_static, 289, 5},	//599 Plasma::AuthorizationRule::tr(const char*, const char*, int)
    {42, 2226, 46, 3, Smoke::mf_static, 289, 6},	//600 Plasma::AuthorizationRule::trUtf8(const char*, const char*, int)
    {42, 1452, 3, 3, 0, 471, 7},	//601 Plasma::AuthorizationRule::qt_metacall(QMetaObject::Call, int, void**)
    {42, 849, 0, 0, Smoke::mf_const, 289, 8},	//602 Plasma::AuthorizationRule::description() const
    {42, 1896, 298, 1, 0, 0, 9},	//603 Plasma::AuthorizationRule::setPolicy(Plasma::AuthorizationRule::Policy)
    {42, 1429, 0, 0, 0, 61, 10},	//604 Plasma::AuthorizationRule::policy()
    {42, 1890, 300, 1, 0, 0, 11},	//605 Plasma::AuthorizationRule::setPersistence(Plasma::AuthorizationRule::Persistence)
    {42, 1422, 0, 0, 0, 60, 12},	//606 Plasma::AuthorizationRule::persistence()
    {42, 2010, 302, 1, 0, 0, 13},	//607 Plasma::AuthorizationRule::setTargets(QFlags<Plasma::AuthorizationRule::Target>)
    {42, 2192, 0, 0, 0, 198, 14},	//608 Plasma::AuthorizationRule::targets()
    {42, 1892, 89, 1, 0, 0, 15},	//609 Plasma::AuthorizationRule::setPin(const QString&)
    {42, 1423, 0, 0, Smoke::mf_const, 289, 16},	//610 Plasma::AuthorizationRule::pin() const
    {42, 1607, 0, 0, Smoke::mf_const, 289, 17},	//611 Plasma::AuthorizationRule::serviceName() const
    {42, 720, 304, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//612 Plasma::AuthorizationRule::changed(Plasma::AuthorizationRule*)
    {42, 2222, 1, 1, Smoke::mf_static, 289, 19},	//613 Plasma::AuthorizationRule::tr(const char*)
    {42, 2226, 1, 1, Smoke::mf_static, 289, 20},	//614 Plasma::AuthorizationRule::trUtf8(const char*)
    {42, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 21},	//615 Plasma::AuthorizationRule::staticMetaObject() const
    {42, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 22},	//616 Plasma::AuthorizationRule::Deny (enum)
    {42, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 23},	//617 Plasma::AuthorizationRule::Allow (enum)
    {42, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 24},	//618 Plasma::AuthorizationRule::PinRequired (enum)
    {42, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 25},	//619 Plasma::AuthorizationRule::Transient (enum)
    {42, 369, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 26},	//620 Plasma::AuthorizationRule::Persistent (enum)
    {42, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 27},	//621 Plasma::AuthorizationRule::Default (enum)
    {42, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 28},	//622 Plasma::AuthorizationRule::AllUsers (enum)
    {42, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 29},	//623 Plasma::AuthorizationRule::AllServices (enum)
    {42, 2334, 0, 0, Smoke::mf_dtor, 0, 30 },	//624 Plasma::AuthorizationRule::~AuthorizationRule()
    {43, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//625 Plasma::BusyWidget::metaObject() const
    {43, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//626 Plasma::BusyWidget::qt_metacast(const char*)
    {43, 2222, 43, 2, Smoke::mf_static, 289, 3},	//627 Plasma::BusyWidget::tr(const char*, const char*)
    {43, 2226, 43, 2, Smoke::mf_static, 289, 4},	//628 Plasma::BusyWidget::trUtf8(const char*, const char*)
    {43, 2222, 46, 3, Smoke::mf_static, 289, 5},	//629 Plasma::BusyWidget::tr(const char*, const char*, int)
    {43, 2226, 46, 3, Smoke::mf_static, 289, 6},	//630 Plasma::BusyWidget::trUtf8(const char*, const char*, int)
    {43, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//631 Plasma::BusyWidget::qt_metacall(QMetaObject::Call, int, void**)
    {43, 64, 116, 1, Smoke::mf_ctor, 63, 8},	//632 Plasma::BusyWidget::BusyWidget(QGraphicsWidget*)
    {43, 1937, 7, 1, Smoke::mf_property, 0, 9},	//633 Plasma::BusyWidget::setRunning(bool)
    {43, 1140, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 10},	//634 Plasma::BusyWidget::isRunning() const
    {43, 1832, 89, 1, Smoke::mf_property, 0, 11},	//635 Plasma::BusyWidget::setLabel(const QString&)
    {43, 1188, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 12},	//636 Plasma::BusyWidget::label() const
    {43, 733, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//637 Plasma::BusyWidget::clicked()
    {43, 1389, 207, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//638 Plasma::BusyWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {43, 2103, 306, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//639 Plasma::BusyWidget::showEvent(QShowEvent*)
    {43, 1050, 308, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//640 Plasma::BusyWidget::hideEvent(QHideEvent*)
    {43, 1543, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//641 Plasma::BusyWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {43, 1343, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//642 Plasma::BusyWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {43, 2208, 167, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//643 Plasma::BusyWidget::timerEvent(QTimerEvent*)
    {43, 2222, 1, 1, Smoke::mf_static, 289, 20},	//644 Plasma::BusyWidget::tr(const char*)
    {43, 2226, 1, 1, Smoke::mf_static, 289, 21},	//645 Plasma::BusyWidget::trUtf8(const char*)
    {43, 64, 0, 0, Smoke::mf_ctor, 63, 22},	//646 Plasma::BusyWidget::BusyWidget()
    {43, 1389, 310, 2, Smoke::mf_protected, 0, 23},	//647 Plasma::BusyWidget::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {43, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 24},	//648 Plasma::BusyWidget::staticMetaObject() const
    {43, 2335, 0, 0, Smoke::mf_dtor, 0, 25 },	//649 Plasma::BusyWidget::~BusyWidget()
    {44, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//650 Plasma::CheckBox::metaObject() const
    {44, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//651 Plasma::CheckBox::qt_metacast(const char*)
    {44, 2222, 43, 2, Smoke::mf_static, 289, 3},	//652 Plasma::CheckBox::tr(const char*, const char*)
    {44, 2226, 43, 2, Smoke::mf_static, 289, 4},	//653 Plasma::CheckBox::trUtf8(const char*, const char*)
    {44, 2222, 46, 3, Smoke::mf_static, 289, 5},	//654 Plasma::CheckBox::tr(const char*, const char*, int)
    {44, 2226, 46, 3, Smoke::mf_static, 289, 6},	//655 Plasma::CheckBox::trUtf8(const char*, const char*, int)
    {44, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//656 Plasma::CheckBox::qt_metacall(QMetaObject::Call, int, void**)
    {44, 80, 116, 1, Smoke::mf_ctor, 64, 8},	//657 Plasma::CheckBox::CheckBox(QGraphicsWidget*)
    {44, 2012, 89, 1, Smoke::mf_property, 0, 9},	//658 Plasma::CheckBox::setText(const QString&)
    {44, 2194, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 10},	//659 Plasma::CheckBox::text() const
    {44, 1816, 89, 1, Smoke::mf_property, 0, 11},	//660 Plasma::CheckBox::setImage(const QString&)
    {44, 1069, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 12},	//661 Plasma::CheckBox::image() const
    {44, 1982, 89, 1, Smoke::mf_property, 0, 13},	//662 Plasma::CheckBox::setStyleSheet(const QString&)
    {44, 2161, 0, 0, Smoke::mf_property, 289, 14},	//663 Plasma::CheckBox::styleSheet()
    {44, 1361, 0, 0, Smoke::mf_const, 183, 15},	//664 Plasma::CheckBox::nativeWidget() const
    {44, 1671, 7, 1, Smoke::mf_property, 0, 16},	//665 Plasma::CheckBox::setChecked(bool)
    {44, 1114, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 17},	//666 Plasma::CheckBox::isChecked() const
    {44, 2212, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//667 Plasma::CheckBox::toggled(bool)
    {44, 1543, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//668 Plasma::CheckBox::resizeEvent(QGraphicsSceneResizeEvent*)
    {44, 718, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//669 Plasma::CheckBox::changeEvent(QEvent*)
    {44, 2222, 1, 1, Smoke::mf_static, 289, 21},	//670 Plasma::CheckBox::tr(const char*)
    {44, 2226, 1, 1, Smoke::mf_static, 289, 22},	//671 Plasma::CheckBox::trUtf8(const char*)
    {44, 80, 0, 0, Smoke::mf_ctor, 64, 23},	//672 Plasma::CheckBox::CheckBox()
    {44, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 24},	//673 Plasma::CheckBox::staticMetaObject() const
    {44, 2336, 0, 0, Smoke::mf_dtor, 0, 25 },	//674 Plasma::CheckBox::~CheckBox()
    {45, 1324, 0, 0, Smoke::mf_const, 437, 1},	//675 Plasma::ClientPinRequest::metaObject() const
    {45, 1454, 1, 1, 0, 479, 2},	//676 Plasma::ClientPinRequest::qt_metacast(const char*)
    {45, 2222, 43, 2, Smoke::mf_static, 289, 3},	//677 Plasma::ClientPinRequest::tr(const char*, const char*)
    {45, 2226, 43, 2, Smoke::mf_static, 289, 4},	//678 Plasma::ClientPinRequest::trUtf8(const char*, const char*)
    {45, 2222, 46, 3, Smoke::mf_static, 289, 5},	//679 Plasma::ClientPinRequest::tr(const char*, const char*, int)
    {45, 2226, 46, 3, Smoke::mf_static, 289, 6},	//680 Plasma::ClientPinRequest::trUtf8(const char*, const char*, int)
    {45, 1452, 3, 3, 0, 471, 7},	//681 Plasma::ClientPinRequest::qt_metacall(QMetaObject::Call, int, void**)
    {45, 849, 0, 0, Smoke::mf_const, 289, 8},	//682 Plasma::ClientPinRequest::description() const
    {45, 1892, 89, 1, 0, 0, 9},	//683 Plasma::ClientPinRequest::setPin(const QString&)
    {45, 1423, 0, 0, Smoke::mf_const, 289, 10},	//684 Plasma::ClientPinRequest::pin() const
    {45, 720, 315, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//685 Plasma::ClientPinRequest::changed(Plasma::ClientPinRequest*)
    {45, 2222, 1, 1, Smoke::mf_static, 289, 12},	//686 Plasma::ClientPinRequest::tr(const char*)
    {45, 2226, 1, 1, Smoke::mf_static, 289, 13},	//687 Plasma::ClientPinRequest::trUtf8(const char*)
    {45, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 14},	//688 Plasma::ClientPinRequest::staticMetaObject() const
    {46, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//689 Plasma::ComboBox::metaObject() const
    {46, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//690 Plasma::ComboBox::qt_metacast(const char*)
    {46, 2222, 43, 2, Smoke::mf_static, 289, 3},	//691 Plasma::ComboBox::tr(const char*, const char*)
    {46, 2226, 43, 2, Smoke::mf_static, 289, 4},	//692 Plasma::ComboBox::trUtf8(const char*, const char*)
    {46, 2222, 46, 3, Smoke::mf_static, 289, 5},	//693 Plasma::ComboBox::tr(const char*, const char*, int)
    {46, 2226, 46, 3, Smoke::mf_static, 289, 6},	//694 Plasma::ComboBox::trUtf8(const char*, const char*, int)
    {46, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//695 Plasma::ComboBox::qt_metacall(QMetaObject::Call, int, void**)
    {46, 83, 116, 1, Smoke::mf_ctor, 67, 8},	//696 Plasma::ComboBox::ComboBox(QGraphicsWidget*)
    {46, 2194, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 9},	//697 Plasma::ComboBox::text() const
    {46, 1982, 89, 1, Smoke::mf_property, 0, 10},	//698 Plasma::ComboBox::setStyleSheet(const QString&)
    {46, 2161, 0, 0, Smoke::mf_property, 289, 11},	//699 Plasma::ComboBox::styleSheet()
    {46, 1868, 317, 1, 0, 0, 12},	//700 Plasma::ComboBox::setNativeWidget(KComboBox*)
    {46, 1361, 0, 0, Smoke::mf_const, 4, 13},	//701 Plasma::ComboBox::nativeWidget() const
    {46, 614, 89, 1, 0, 0, 14},	//702 Plasma::ComboBox::addItem(const QString&)
    {46, 725, 0, 0, Smoke::mf_slot, 0, 15},	//703 Plasma::ComboBox::clear()
    {46, 582, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//704 Plasma::ComboBox::activated(const QString&)
    {46, 2196, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//705 Plasma::ComboBox::textChanged(const QString&)
    {46, 1543, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//706 Plasma::ComboBox::resizeEvent(QGraphicsSceneResizeEvent*)
    {46, 1389, 207, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//707 Plasma::ComboBox::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {46, 993, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//708 Plasma::ComboBox::focusInEvent(QFocusEvent*)
    {46, 997, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//709 Plasma::ComboBox::focusOutEvent(QFocusEvent*)
    {46, 1058, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//710 Plasma::ComboBox::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {46, 1060, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//711 Plasma::ComboBox::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {46, 718, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//712 Plasma::ComboBox::changeEvent(QEvent*)
    {46, 1343, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//713 Plasma::ComboBox::mousePressEvent(QGraphicsSceneMouseEvent*)
    {46, 2222, 1, 1, Smoke::mf_static, 289, 26},	//714 Plasma::ComboBox::tr(const char*)
    {46, 2226, 1, 1, Smoke::mf_static, 289, 27},	//715 Plasma::ComboBox::trUtf8(const char*)
    {46, 83, 0, 0, Smoke::mf_ctor, 67, 28},	//716 Plasma::ComboBox::ComboBox()
    {46, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 29},	//717 Plasma::ComboBox::staticMetaObject() const
    {46, 2337, 0, 0, Smoke::mf_dtor, 0, 30 },	//718 Plasma::ComboBox::~ComboBox()
    {47, 86, 319, 3, Smoke::mf_ctor, 69, 1},	//719 Plasma::ConfigLoader::ConfigLoader(const QString&, QIODevice*, QObject*)
    {47, 86, 323, 3, Smoke::mf_ctor, 69, 2},	//720 Plasma::ConfigLoader::ConfigLoader(KSharedPtr<KSharedConfig>, QIODevice*, QObject*)
    {47, 86, 327, 3, Smoke::mf_ctor, 69, 3},	//721 Plasma::ConfigLoader::ConfigLoader(const KConfigGroup*, QIODevice*, QObject*)
    {47, 979, 77, 2, 0, 10, 4},	//722 Plasma::ConfigLoader::findItem(const QString&, const QString&)
    {47, 981, 89, 1, 0, 10, 5},	//723 Plasma::ConfigLoader::findItemByName(const QString&)
    {47, 1447, 89, 1, 0, 299, 6},	//724 Plasma::ConfigLoader::property(const QString&)
    {47, 1037, 89, 1, Smoke::mf_const, 382, 7},	//725 Plasma::ConfigLoader::hasGroup(const QString&) const
    {47, 1027, 0, 0, Smoke::mf_const, 290, 8},	//726 Plasma::ConfigLoader::groupList() const
    {47, 2275, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//727 Plasma::ConfigLoader::usrWriteConfig()
    {47, 86, 331, 2, Smoke::mf_ctor, 69, 10},	//728 Plasma::ConfigLoader::ConfigLoader(const QString&, QIODevice*)
    {47, 86, 334, 2, Smoke::mf_ctor, 69, 11},	//729 Plasma::ConfigLoader::ConfigLoader(KSharedPtr<KSharedConfig>, QIODevice*)
    {47, 86, 337, 2, Smoke::mf_ctor, 69, 12},	//730 Plasma::ConfigLoader::ConfigLoader(const KConfigGroup*, QIODevice*)
    {47, 2338, 0, 0, Smoke::mf_dtor, 0, 13 },	//731 Plasma::ConfigLoader::~ConfigLoader()
    {48, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//732 Plasma::Containment::metaObject() const
    {48, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//733 Plasma::Containment::qt_metacast(const char*)
    {48, 2222, 43, 2, Smoke::mf_static, 289, 3},	//734 Plasma::Containment::tr(const char*, const char*)
    {48, 2226, 43, 2, Smoke::mf_static, 289, 4},	//735 Plasma::Containment::trUtf8(const char*, const char*)
    {48, 2222, 46, 3, Smoke::mf_static, 289, 5},	//736 Plasma::Containment::tr(const char*, const char*, int)
    {48, 2226, 46, 3, Smoke::mf_static, 289, 6},	//737 Plasma::Containment::trUtf8(const char*, const char*, int)
    {48, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//738 Plasma::Containment::qt_metacall(QMetaObject::Call, int, void**)
    {48, 95, 222, 3, Smoke::mf_ctor, 71, 8},	//739 Plasma::Containment::Containment(QGraphicsItem*, const QString&, unsigned int)
    {48, 95, 70, 2, Smoke::mf_ctor, 71, 9},	//740 Plasma::Containment::Containment(QObject*, const QList<QVariant>&)
    {48, 1081, 0, 0, Smoke::mf_virtual, 0, 10},	//741 Plasma::Containment::init()
    {48, 783, 0, 0, Smoke::mf_const, 75, 11},	//742 Plasma::Containment::containmentType() const
    {48, 801, 0, 0, Smoke::mf_const, 81, 12},	//743 Plasma::Containment::corona() const
    {48, 1231, 77, 2, Smoke::mf_static, 238, 13},	//744 Plasma::Containment::listContainments(const QString&, const QString&)
    {48, 1236, 340, 3, Smoke::mf_static, 238, 14},	//745 Plasma::Containment::listContainmentsOfType(const QString&, const QString&, const QString&)
    {48, 1230, 0, 0, Smoke::mf_static, 290, 15},	//746 Plasma::Containment::listContainmentTypes()
    {48, 1234, 89, 1, Smoke::mf_static, 238, 16},	//747 Plasma::Containment::listContainmentsForMimetype(const QString&)
    {48, 591, 344, 3, 0, 51, 17},	//748 Plasma::Containment::addApplet(const QString&, const QList<QVariant>&, const QRectF&)
    {48, 591, 348, 3, 0, 0, 18},	//749 Plasma::Containment::addApplet(Plasma::Applet*, const QPointF&, bool)
    {48, 685, 0, 0, Smoke::mf_const, 242, 19},	//750 Plasma::Containment::applets() const
    {48, 727, 0, 0, 0, 0, 20},	//751 Plasma::Containment::clearApplets()
    {48, 1941, 352, 2, 0, 0, 21},	//752 Plasma::Containment::setScreen(int, int)
    {48, 1585, 0, 0, Smoke::mf_const, 471, 22},	//753 Plasma::Containment::screen() const
    {48, 1200, 0, 0, Smoke::mf_const, 471, 23},	//754 Plasma::Containment::lastScreen() const
    {48, 850, 0, 0, Smoke::mf_const, 471, 24},	//755 Plasma::Containment::desktop() const
    {48, 1199, 0, 0, Smoke::mf_const, 471, 25},	//756 Plasma::Containment::lastDesktop() const
    {48, 1566, 169, 1, Smoke::mf_const|Smoke::mf_virtual, 0, 26},	//757 Plasma::Containment::save(KConfigGroup&) const
    {48, 1547, 169, 1, Smoke::mf_virtual, 0, 27},	//758 Plasma::Containment::restore(KConfigGroup&)
    {48, 934, 188, 2, 0, 0, 28},	//759 Plasma::Containment::enableAction(const QString&, bool)
    {48, 648, 103, 1, 0, 0, 29},	//760 Plasma::Containment::addToolBoxAction(QAction*)
    {48, 1520, 103, 1, 0, 0, 30},	//761 Plasma::Containment::removeToolBoxAction(QAction*)
    {48, 2028, 7, 1, 0, 0, 31},	//762 Plasma::Containment::setToolBoxOpen(bool)
    {48, 1143, 0, 0, Smoke::mf_const, 382, 32},	//763 Plasma::Containment::isToolBoxOpen() const
    {48, 1370, 0, 0, 0, 0, 33},	//764 Plasma::Containment::openToolBox()
    {48, 738, 0, 0, 0, 0, 34},	//765 Plasma::Containment::closeToolBox()
    {48, 598, 57, 1, Smoke::mf_virtual, 0, 35},	//766 Plasma::Containment::addAssociatedWidget(QWidget*)
    {48, 1500, 57, 1, Smoke::mf_virtual, 0, 36},	//767 Plasma::Containment::removeAssociatedWidget(QWidget*)
    {48, 901, 0, 0, 0, 382, 37},	//768 Plasma::Containment::drawWallpaper()
    {48, 2067, 77, 2, 0, 0, 38},	//769 Plasma::Containment::setWallpaper(const QString&, const QString&)
    {48, 2301, 0, 0, Smoke::mf_const, 170, 39},	//770 Plasma::Containment::wallpaper() const
    {48, 1617, 89, 1, 0, 0, 40},	//771 Plasma::Containment::setActivity(const QString&)
    {48, 584, 0, 0, Smoke::mf_const, 289, 41},	//772 Plasma::Containment::activity() const
    {48, 791, 0, 0, Smoke::mf_const, 80, 42},	//773 Plasma::Containment::context() const
    {48, 2097, 355, 2, 0, 0, 43},	//774 Plasma::Containment::showContextMenu(const QPointF&, const QPoint&)
    {48, 2101, 358, 1, Smoke::mf_virtual, 0, 44},	//775 Plasma::Containment::showDropZone(const QPoint)
    {48, 1688, 77, 2, 0, 0, 45},	//776 Plasma::Containment::setContainmentActions(const QString&, const QString&)
    {48, 777, 0, 0, 0, 290, 46},	//777 Plasma::Containment::containmentActionsTriggers()
    {48, 773, 89, 1, 0, 289, 47},	//778 Plasma::Containment::containmentActions(const QString&)
    {48, 676, 360, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//779 Plasma::Containment::appletAdded(Plasma::Applet*, const QPointF&)
    {48, 681, 239, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//780 Plasma::Containment::appletRemoved(Plasma::Applet*)
    {48, 2323, 363, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//781 Plasma::Containment::zoomRequested(Plasma::Containment*, Plasma::ZoomDirection)
    {48, 2216, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//782 Plasma::Containment::toolBoxToggled()
    {48, 2217, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//783 Plasma::Containment::toolBoxVisibilityChanged(bool)
    {48, 633, 101, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//784 Plasma::Containment::addSiblingContainment(Plasma::Containment*)
    {48, 2092, 366, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//785 Plasma::Containment::showAddWidgetsInterface(const QPointF&)
    {48, 1586, 368, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//786 Plasma::Containment::screenChanged(int, int, Plasma::Containment*)
    {48, 754, 101, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//787 Plasma::Containment::configureRequested(Plasma::Containment*)
    {48, 793, 372, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//788 Plasma::Containment::contextChanged(Plasma::Context*)
    {48, 1843, 9, 1, Smoke::mf_slot, 0, 58},	//789 Plasma::Containment::setLocation(Plasma::Location)
    {48, 1775, 374, 1, Smoke::mf_slot, 0, 59},	//790 Plasma::Containment::setFormFactor(Plasma::FormFactor)
    {48, 633, 0, 0, Smoke::mf_slot, 0, 60},	//791 Plasma::Containment::addSiblingContainment()
    {48, 995, 0, 0, Smoke::mf_slot, 0, 61},	//792 Plasma::Containment::focusNextApplet()
    {48, 999, 0, 0, Smoke::mf_slot, 0, 62},	//793 Plasma::Containment::focusPreviousApplet()
    {48, 852, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 63},	//794 Plasma::Containment::destroy()
    {48, 852, 7, 1, Smoke::mf_slot, 0, 64},	//795 Plasma::Containment::destroy(bool)
    {48, 2095, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 65},	//796 Plasma::Containment::showConfigurationInterface()
    {48, 747, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 66},	//797 Plasma::Containment::configChanged()
    {48, 1692, 376, 1, Smoke::mf_protected, 0, 67},	//798 Plasma::Containment::setContainmentType(Plasma::Containment::Type)
    {48, 1744, 7, 1, Smoke::mf_protected, 0, 68},	//799 Plasma::Containment::setDrawWallpaper(bool)
    {48, 1568, 169, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 69},	//800 Plasma::Containment::saveContents(KConfigGroup&) const
    {48, 1549, 169, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 70},	//801 Plasma::Containment::restoreContents(KConfigGroup&)
    {48, 1341, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 71},	//802 Plasma::Containment::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {48, 1343, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 72},	//803 Plasma::Containment::mousePressEvent(QGraphicsSceneMouseEvent*)
    {48, 1345, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 73},	//804 Plasma::Containment::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {48, 797, 378, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 74},	//805 Plasma::Containment::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {48, 1180, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 75},	//806 Plasma::Containment::keyPressEvent(QKeyEvent*)
    {48, 2305, 382, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 76},	//807 Plasma::Containment::wheelEvent(QGraphicsSceneWheelEvent*)
    {48, 1580, 262, 2, Smoke::mf_protected|Smoke::mf_virtual, 382, 77},	//808 Plasma::Containment::sceneEventFilter(QGraphicsItem*, QEvent*)
    {48, 1161, 271, 2, Smoke::mf_protected|Smoke::mf_virtual, 299, 78},	//809 Plasma::Containment::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {48, 874, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 79},	//810 Plasma::Containment::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {48, 876, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 80},	//811 Plasma::Containment::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {48, 878, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 81},	//812 Plasma::Containment::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {48, 904, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 82},	//813 Plasma::Containment::dropEvent(QGraphicsSceneDragDropEvent*)
    {48, 1543, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 83},	//814 Plasma::Containment::resizeEvent(QGraphicsSceneResizeEvent*)
    {48, 2215, 0, 0, Smoke::mf_const|Smoke::mf_protected, 421, 84},	//815 Plasma::Containment::toolBoxItem() const
    {48, 2026, 386, 1, Smoke::mf_protected, 0, 85},	//816 Plasma::Containment::setToolBox(Plasma::AbstractToolBox*)
    {48, 2214, 0, 0, Smoke::mf_const|Smoke::mf_protected, 37, 86},	//817 Plasma::Containment::toolBox() const
    {48, 2222, 1, 1, Smoke::mf_static, 289, 87},	//818 Plasma::Containment::tr(const char*)
    {48, 2226, 1, 1, Smoke::mf_static, 289, 88},	//819 Plasma::Containment::trUtf8(const char*)
    {48, 95, 0, 0, Smoke::mf_ctor, 71, 89},	//820 Plasma::Containment::Containment()
    {48, 95, 161, 1, Smoke::mf_ctor, 71, 90},	//821 Plasma::Containment::Containment(QGraphicsItem*)
    {48, 95, 285, 2, Smoke::mf_ctor, 71, 91},	//822 Plasma::Containment::Containment(QGraphicsItem*, const QString&)
    {48, 1231, 0, 0, Smoke::mf_static, 238, 92},	//823 Plasma::Containment::listContainments()
    {48, 1231, 89, 1, Smoke::mf_static, 238, 93},	//824 Plasma::Containment::listContainments(const QString&)
    {48, 1236, 89, 1, Smoke::mf_static, 238, 94},	//825 Plasma::Containment::listContainmentsOfType(const QString&)
    {48, 1236, 77, 2, Smoke::mf_static, 238, 95},	//826 Plasma::Containment::listContainmentsOfType(const QString&, const QString&)
    {48, 591, 89, 1, 0, 51, 96},	//827 Plasma::Containment::addApplet(const QString&)
    {48, 591, 388, 2, 0, 51, 97},	//828 Plasma::Containment::addApplet(const QString&, const QList<QVariant>&)
    {48, 591, 239, 1, 0, 0, 98},	//829 Plasma::Containment::addApplet(Plasma::Applet*)
    {48, 591, 360, 2, 0, 0, 99},	//830 Plasma::Containment::addApplet(Plasma::Applet*, const QPointF&)
    {48, 1941, 120, 1, 0, 0, 100},	//831 Plasma::Containment::setScreen(int)
    {48, 2067, 89, 1, 0, 0, 101},	//832 Plasma::Containment::setWallpaper(const QString&)
    {48, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 102},	//833 Plasma::Containment::staticMetaObject() const
    {48, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 103},	//834 Plasma::Containment::NoContainmentType (enum)
    {48, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 104},	//835 Plasma::Containment::DesktopContainment (enum)
    {48, 363, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 105},	//836 Plasma::Containment::PanelContainment (enum)
    {48, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 106},	//837 Plasma::Containment::CustomContainment (enum)
    {48, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 107},	//838 Plasma::Containment::CustomPanelContainment (enum)
    {48, 2339, 0, 0, Smoke::mf_dtor, 0, 108 },	//839 Plasma::Containment::~Containment()
    {49, 474, 0, 0, Smoke::mf_ctor, 72, 1},	//840 Plasma::Containment::StyleOption::StyleOption()
    {49, 474, 391, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 72, 2},	//841 Plasma::Containment::StyleOption::StyleOption(const Plasma::Containment::StyleOption&)
    {49, 474, 393, 1, Smoke::mf_ctor, 72, 3},	//842 Plasma::Containment::StyleOption::StyleOption(const QStyleOptionGraphicsItem&)
    {49, 2290, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 169, 4},	//843 Plasma::Containment::StyleOption::view() const
    {49, 2064, 395, 1, Smoke::mf_attribute, 0, 5},	//844 Plasma::Containment::StyleOption::setView(Plasma::View*)
    {49, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 6},	//845 Plasma::Containment::StyleOption::Type (enum)
    {49, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 7},	//846 Plasma::Containment::StyleOption::Version (enum)
    {49, 2384, 0, 0, Smoke::mf_dtor, 0, 8 },	//847 Plasma::Containment::StyleOption::~StyleOption()
    {50, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//848 Plasma::ContainmentActions::metaObject() const
    {50, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//849 Plasma::ContainmentActions::qt_metacast(const char*)
    {50, 2222, 43, 2, Smoke::mf_static, 289, 3},	//850 Plasma::ContainmentActions::tr(const char*, const char*)
    {50, 2226, 43, 2, Smoke::mf_static, 289, 4},	//851 Plasma::ContainmentActions::trUtf8(const char*, const char*)
    {50, 2222, 46, 3, Smoke::mf_static, 289, 5},	//852 Plasma::ContainmentActions::tr(const char*, const char*, int)
    {50, 2226, 46, 3, Smoke::mf_static, 289, 6},	//853 Plasma::ContainmentActions::trUtf8(const char*, const char*, int)
    {50, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//854 Plasma::ContainmentActions::qt_metacall(QMetaObject::Call, int, void**)
    {50, 100, 97, 1, Smoke::mf_ctor, 76, 8},	//855 Plasma::ContainmentActions::ContainmentActions(QObject*)
    {50, 1229, 0, 0, Smoke::mf_static, 238, 9},	//856 Plasma::ContainmentActions::listContainmentActionsInfo()
    {50, 1256, 397, 3, Smoke::mf_static, 76, 10},	//857 Plasma::ContainmentActions::load(Plasma::Containment*, const QString&, const QList<QVariant>&)
    {50, 1256, 401, 3, Smoke::mf_static, 76, 11},	//858 Plasma::ContainmentActions::load(Plasma::Containment*, const KPluginInfo&, const QList<QVariant>&)
    {50, 1384, 0, 0, Smoke::mf_static, 20, 12},	//859 Plasma::ContainmentActions::packageStructure()
    {50, 1359, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 13},	//860 Plasma::ContainmentActions::name() const
    {50, 1428, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 14},	//861 Plasma::ContainmentActions::pluginName() const
    {50, 1065, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 15},	//862 Plasma::ContainmentActions::icon() const
    {50, 1125, 0, 0, Smoke::mf_const, 382, 16},	//863 Plasma::ContainmentActions::isInitialized() const
    {50, 1547, 405, 1, 0, 0, 17},	//864 Plasma::ContainmentActions::restore(const KConfigGroup&)
    {50, 1566, 169, 1, Smoke::mf_virtual, 0, 18},	//865 Plasma::ContainmentActions::save(KConfigGroup&)
    {50, 808, 57, 1, Smoke::mf_virtual, 304, 19},	//866 Plasma::ContainmentActions::createConfigurationInterface(QWidget*)
    {50, 751, 0, 0, Smoke::mf_virtual, 0, 20},	//867 Plasma::ContainmentActions::configurationAccepted()
    {50, 795, 313, 1, Smoke::mf_virtual, 0, 21},	//868 Plasma::ContainmentActions::contextEvent(QEvent*)
    {50, 799, 0, 0, Smoke::mf_virtual, 251, 22},	//869 Plasma::ContainmentActions::contextualActions()
    {50, 840, 89, 1, Smoke::mf_const, 83, 23},	//870 Plasma::ContainmentActions::dataEngine(const QString&) const
    {50, 752, 0, 0, Smoke::mf_const, 382, 24},	//871 Plasma::ContainmentActions::configurationRequired() const
    {50, 954, 313, 1, Smoke::mf_static, 289, 25},	//872 Plasma::ContainmentActions::eventToString(QEvent*)
    {50, 950, 313, 1, Smoke::mf_virtual, 382, 26},	//873 Plasma::ContainmentActions::event(QEvent*)
    {50, 100, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 76, 27},	//874 Plasma::ContainmentActions::ContainmentActions(QObject*, const QList<QVariant>&)
    {50, 1081, 405, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//875 Plasma::ContainmentActions::init(const KConfigGroup&)
    {50, 1683, 7, 1, Smoke::mf_protected, 0, 29},	//876 Plasma::ContainmentActions::setConfigurationRequired(bool)
    {50, 772, 0, 0, Smoke::mf_protected, 71, 30},	//877 Plasma::ContainmentActions::containment()
    {50, 1414, 407, 2, Smoke::mf_protected, 0, 31},	//878 Plasma::ContainmentActions::paste(QPointF, QPoint)
    {50, 2222, 1, 1, Smoke::mf_static, 289, 32},	//879 Plasma::ContainmentActions::tr(const char*)
    {50, 2226, 1, 1, Smoke::mf_static, 289, 33},	//880 Plasma::ContainmentActions::trUtf8(const char*)
    {50, 100, 0, 0, Smoke::mf_ctor, 76, 34},	//881 Plasma::ContainmentActions::ContainmentActions()
    {50, 1256, 410, 2, Smoke::mf_static, 76, 35},	//882 Plasma::ContainmentActions::load(Plasma::Containment*, const QString&)
    {50, 1256, 413, 2, Smoke::mf_static, 76, 36},	//883 Plasma::ContainmentActions::load(Plasma::Containment*, const KPluginInfo&)
    {50, 1683, 0, 0, Smoke::mf_protected, 0, 37},	//884 Plasma::ContainmentActions::setConfigurationRequired()
    {50, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 38},	//885 Plasma::ContainmentActions::staticMetaObject() const
    {50, 2340, 0, 0, Smoke::mf_dtor, 0, 39 },	//886 Plasma::ContainmentActions::~ContainmentActions()
    {51, 103, 0, 0, Smoke::mf_ctor, 79, 1},	//887 Plasma::ContainmentActionsPluginsConfig::ContainmentActionsPluginsConfig()
    {51, 103, 416, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 79, 2},	//888 Plasma::ContainmentActionsPluginsConfig::ContainmentActionsPluginsConfig(const Plasma::ContainmentActionsPluginsConfig&)
    {51, 1378, 416, 1, 0, 78, 3},	//889 Plasma::ContainmentActionsPluginsConfig::operator=(const Plasma::ContainmentActionsPluginsConfig&)
    {51, 725, 0, 0, 0, 0, 4},	//890 Plasma::ContainmentActionsPluginsConfig::clear()
    {51, 1493, 313, 1, 0, 0, 5},	//891 Plasma::ContainmentActionsPluginsConfig::remove(QEvent*)
    {51, 624, 418, 2, 0, 0, 6},	//892 Plasma::ContainmentActionsPluginsConfig::addPlugin(QEvent*, const QString&)
    {51, 624, 421, 3, 0, 0, 7},	//893 Plasma::ContainmentActionsPluginsConfig::addPlugin(QFlags<Qt::KeyboardModifier>, Qt::MouseButton, const QString&)
    {51, 624, 425, 3, 0, 0, 8},	//894 Plasma::ContainmentActionsPluginsConfig::addPlugin(QFlags<Qt::KeyboardModifier>, Qt::Orientation, const QString&)
    {51, 2341, 0, 0, Smoke::mf_dtor, 0, 9 },	//895 Plasma::ContainmentActionsPluginsConfig::~ContainmentActionsPluginsConfig()
    {52, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//896 Plasma::Context::metaObject() const
    {52, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//897 Plasma::Context::qt_metacast(const char*)
    {52, 2222, 43, 2, Smoke::mf_static, 289, 3},	//898 Plasma::Context::tr(const char*, const char*)
    {52, 2226, 43, 2, Smoke::mf_static, 289, 4},	//899 Plasma::Context::trUtf8(const char*, const char*)
    {52, 2222, 46, 3, Smoke::mf_static, 289, 5},	//900 Plasma::Context::tr(const char*, const char*, int)
    {52, 2226, 46, 3, Smoke::mf_static, 289, 6},	//901 Plasma::Context::trUtf8(const char*, const char*, int)
    {52, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//902 Plasma::Context::qt_metacall(QMetaObject::Call, int, void**)
    {52, 106, 97, 1, Smoke::mf_ctor, 80, 8},	//903 Plasma::Context::Context(QObject*)
    {52, 806, 89, 1, 0, 0, 9},	//904 Plasma::Context::createActivity(const QString&)
    {52, 1216, 0, 0, Smoke::mf_const, 290, 10},	//905 Plasma::Context::listActivities() const
    {52, 1706, 89, 1, 0, 0, 11},	//906 Plasma::Context::setCurrentActivity(const QString&)
    {52, 822, 0, 0, Smoke::mf_const, 289, 12},	//907 Plasma::Context::currentActivity() const
    {52, 1708, 89, 1, 0, 0, 13},	//908 Plasma::Context::setCurrentActivityId(const QString&)
    {52, 823, 0, 0, Smoke::mf_const, 289, 14},	//909 Plasma::Context::currentActivityId() const
    {52, 720, 372, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//910 Plasma::Context::changed(Plasma::Context*)
    {52, 585, 372, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//911 Plasma::Context::activityChanged(Plasma::Context*)
    {52, 1290, 372, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//912 Plasma::Context::locationChanged(Plasma::Context*)
    {52, 2222, 1, 1, Smoke::mf_static, 289, 18},	//913 Plasma::Context::tr(const char*)
    {52, 2226, 1, 1, Smoke::mf_static, 289, 19},	//914 Plasma::Context::trUtf8(const char*)
    {52, 106, 0, 0, Smoke::mf_ctor, 80, 20},	//915 Plasma::Context::Context()
    {52, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 21},	//916 Plasma::Context::staticMetaObject() const
    {52, 2342, 0, 0, Smoke::mf_dtor, 0, 22 },	//917 Plasma::Context::~Context()
    {53, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//918 Plasma::Corona::metaObject() const
    {53, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//919 Plasma::Corona::qt_metacast(const char*)
    {53, 2222, 43, 2, Smoke::mf_static, 289, 3},	//920 Plasma::Corona::tr(const char*, const char*)
    {53, 2226, 43, 2, Smoke::mf_static, 289, 4},	//921 Plasma::Corona::trUtf8(const char*, const char*)
    {53, 2222, 46, 3, Smoke::mf_static, 289, 5},	//922 Plasma::Corona::tr(const char*, const char*, int)
    {53, 2226, 46, 3, Smoke::mf_static, 289, 6},	//923 Plasma::Corona::trUtf8(const char*, const char*, int)
    {53, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//924 Plasma::Corona::qt_metacall(QMetaObject::Call, int, void**)
    {53, 110, 97, 1, Smoke::mf_ctor, 81, 8},	//925 Plasma::Corona::Corona(QObject*)
    {53, 1629, 89, 1, 0, 0, 9},	//926 Plasma::Corona::setAppletMimeType(const QString&)
    {53, 680, 0, 0, 0, 289, 10},	//927 Plasma::Corona::appletMimeType()
    {53, 784, 0, 0, Smoke::mf_const, 243, 11},	//928 Plasma::Corona::containments() const
    {53, 729, 0, 0, 0, 0, 12},	//929 Plasma::Corona::clearContainments()
    {53, 745, 0, 0, Smoke::mf_const, 19, 13},	//930 Plasma::Corona::config() const
    {53, 600, 388, 2, 0, 71, 14},	//931 Plasma::Corona::addContainment(const QString&, const QList<QVariant>&)
    {53, 780, 352, 2, Smoke::mf_const, 71, 15},	//932 Plasma::Corona::containmentForScreen(int, int) const
    {53, 620, 116, 1, 0, 0, 16},	//933 Plasma::Corona::addOffscreenWidget(QGraphicsWidget*)
    {53, 1510, 116, 1, 0, 0, 17},	//934 Plasma::Corona::removeOffscreenWidget(QGraphicsWidget*)
    {53, 1368, 0, 0, Smoke::mf_const, 254, 18},	//935 Plasma::Corona::offscreenWidgets() const
    {53, 1367, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 471, 19},	//936 Plasma::Corona::numScreens() const
    {53, 1588, 120, 1, Smoke::mf_const|Smoke::mf_virtual, 278, 20},	//937 Plasma::Corona::screenGeometry(int) const
    {53, 701, 120, 1, Smoke::mf_const|Smoke::mf_virtual, 282, 21},	//938 Plasma::Corona::availableScreenRegion(int) const
    {53, 1435, 429, 2, 0, 275, 22},	//939 Plasma::Corona::popupPosition(const QGraphicsItem*, const QSize&)
    {53, 1435, 432, 3, 0, 275, 23},	//940 Plasma::Corona::popupPosition(const QGraphicsItem*, const QSize&, Qt::AlignmentFlag)
    {53, 1011, 120, 1, Smoke::mf_const, 246, 24},	//941 Plasma::Corona::freeEdges(int) const
    {53, 570, 211, 1, Smoke::mf_const, 180, 25},	//942 Plasma::Corona::action(QString) const
    {53, 587, 213, 2, 0, 0, 26},	//943 Plasma::Corona::addAction(QString, QAction*)
    {53, 573, 0, 0, Smoke::mf_const, 251, 27},	//944 Plasma::Corona::actions() const
    {53, 934, 188, 2, 0, 0, 28},	//945 Plasma::Corona::enableAction(const QString&, bool)
    {53, 2260, 0, 0, 0, 0, 29},	//946 Plasma::Corona::updateShortcuts()
    {53, 631, 436, 1, 0, 0, 30},	//947 Plasma::Corona::addShortcuts(KActionCollection*)
    {53, 587, 211, 1, 0, 1, 31},	//948 Plasma::Corona::addAction(QString)
    {53, 1690, 438, 2, 0, 0, 32},	//949 Plasma::Corona::setContainmentActionsDefaults(Plasma::Containment::Type, const Plasma::ContainmentActionsPluginsConfig&)
    {53, 775, 376, 1, 0, 77, 33},	//950 Plasma::Corona::containmentActionsDefaults(Plasma::Containment::Type)
    {53, 1736, 441, 1, 0, 0, 34},	//951 Plasma::Corona::setDialogManager(Plasma::AbstractDialogManager*)
    {53, 858, 0, 0, 0, 33, 35},	//952 Plasma::Corona::dialogManager()
    {53, 1076, 443, 1, 0, 243, 36},	//953 Plasma::Corona::importLayout(const KConfigBase&)
    {53, 962, 445, 2, 0, 0, 37},	//954 Plasma::Corona::exportLayout(KConfigGroup&, QList<Plasma::Containment*>)
    {53, 1088, 89, 1, Smoke::mf_slot, 0, 38},	//955 Plasma::Corona::initializeLayout(const QString&)
    {53, 1276, 89, 1, Smoke::mf_slot, 0, 39},	//956 Plasma::Corona::loadLayout(const QString&)
    {53, 1570, 89, 1, Smoke::mf_const|Smoke::mf_slot, 0, 40},	//957 Plasma::Corona::saveLayout(const QString&) const
    {53, 1072, 0, 0, Smoke::mf_const|Smoke::mf_slot, 106, 41},	//958 Plasma::Corona::immutability() const
    {53, 1822, 245, 1, Smoke::mf_slot, 0, 42},	//959 Plasma::Corona::setImmutability(const Plasma::ImmutabilityType)
    {53, 1533, 0, 0, Smoke::mf_slot, 0, 43},	//960 Plasma::Corona::requestConfigSync()
    {53, 1534, 0, 0, Smoke::mf_slot, 0, 44},	//961 Plasma::Corona::requireConfigSync()
    {53, 1208, 0, 0, Smoke::mf_slot, 0, 45},	//962 Plasma::Corona::layoutContainments()
    {53, 778, 101, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//963 Plasma::Corona::containmentAdded(Plasma::Containment*)
    {53, 1590, 368, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//964 Plasma::Corona::screenOwnerChanged(int, int, Plasma::Containment*)
    {53, 1482, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//965 Plasma::Corona::releaseVisualFocus()
    {53, 750, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//966 Plasma::Corona::configSynced()
    {53, 703, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//967 Plasma::Corona::availableScreenRegionChanged()
    {53, 1073, 243, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//968 Plasma::Corona::immutabilityChanged(Plasma::ImmutabilityType)
    {53, 2088, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//969 Plasma::Corona::shortcutsChanged()
    {53, 1271, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//970 Plasma::Corona::loadDefaultLayout()
    {53, 603, 388, 2, Smoke::mf_protected, 71, 54},	//971 Plasma::Corona::addContainmentDelayed(const QString&, const QList<QVariant>&)
    {53, 1302, 448, 2, Smoke::mf_protected, 0, 55},	//972 Plasma::Corona::mapAnimation(Plasma::Animator::Animation, Plasma::Animator::Animation)
    {53, 1302, 451, 2, Smoke::mf_protected, 0, 56},	//973 Plasma::Corona::mapAnimation(Plasma::Animator::Animation, const QString&)
    {53, 874, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//974 Plasma::Corona::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {53, 876, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//975 Plasma::Corona::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {53, 878, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 59},	//976 Plasma::Corona::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {53, 2222, 1, 1, Smoke::mf_static, 289, 60},	//977 Plasma::Corona::tr(const char*)
    {53, 2226, 1, 1, Smoke::mf_static, 289, 61},	//978 Plasma::Corona::trUtf8(const char*)
    {53, 110, 0, 0, Smoke::mf_ctor, 81, 62},	//979 Plasma::Corona::Corona()
    {53, 600, 89, 1, 0, 71, 63},	//980 Plasma::Corona::addContainment(const QString&)
    {53, 780, 120, 1, Smoke::mf_const, 71, 64},	//981 Plasma::Corona::containmentForScreen(int) const
    {53, 1088, 0, 0, Smoke::mf_slot, 0, 65},	//982 Plasma::Corona::initializeLayout()
    {53, 1276, 0, 0, Smoke::mf_slot, 0, 66},	//983 Plasma::Corona::loadLayout()
    {53, 1570, 0, 0, Smoke::mf_const|Smoke::mf_slot, 0, 67},	//984 Plasma::Corona::saveLayout() const
    {53, 603, 89, 1, Smoke::mf_protected, 71, 68},	//985 Plasma::Corona::addContainmentDelayed(const QString&)
    {53, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 69},	//986 Plasma::Corona::staticMetaObject() const
    {53, 2343, 0, 0, Smoke::mf_dtor, 0, 70 },	//987 Plasma::Corona::~Corona()
    {54, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//988 Plasma::DataContainer::metaObject() const
    {54, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//989 Plasma::DataContainer::qt_metacast(const char*)
    {54, 2222, 43, 2, Smoke::mf_static, 289, 3},	//990 Plasma::DataContainer::tr(const char*, const char*)
    {54, 2226, 43, 2, Smoke::mf_static, 289, 4},	//991 Plasma::DataContainer::trUtf8(const char*, const char*)
    {54, 2222, 46, 3, Smoke::mf_static, 289, 5},	//992 Plasma::DataContainer::tr(const char*, const char*, int)
    {54, 2226, 46, 3, Smoke::mf_static, 289, 6},	//993 Plasma::DataContainer::trUtf8(const char*, const char*, int)
    {54, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//994 Plasma::DataContainer::qt_metacall(QMetaObject::Call, int, void**)
    {54, 116, 97, 1, Smoke::mf_ctor, 82, 8},	//995 Plasma::DataContainer::DataContainer(QObject*)
    {54, 839, 0, 0, Smoke::mf_const, 423, 9},	//996 Plasma::DataContainer::data() const
    {54, 1716, 454, 2, 0, 0, 10},	//997 Plasma::DataContainer::setData(const QString&, const QVariant&)
    {54, 1497, 0, 0, 0, 0, 11},	//998 Plasma::DataContainer::removeAllData()
    {54, 2299, 97, 1, Smoke::mf_const, 382, 12},	//999 Plasma::DataContainer::visualizationIsConnected(QObject*) const
    {54, 765, 457, 3, 0, 0, 13},	//1000 Plasma::DataContainer::connectVisualization(QObject*, unsigned int, Plasma::IntervalAlignment)
    {54, 868, 97, 1, Smoke::mf_slot, 0, 14},	//1001 Plasma::DataContainer::disconnectVisualization(QObject*)
    {54, 1005, 0, 0, Smoke::mf_slot, 0, 15},	//1002 Plasma::DataContainer::forceImmediateUpdate()
    {54, 842, 461, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1003 Plasma::DataContainer::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {54, 706, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1004 Plasma::DataContainer::becameUnused(const QString&)
    {54, 2258, 464, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1005 Plasma::DataContainer::updateRequested(Plasma::DataContainer*)
    {54, 722, 0, 0, Smoke::mf_protected, 0, 19},	//1006 Plasma::DataContainer::checkForUpdate()
    {54, 2207, 0, 0, Smoke::mf_const|Smoke::mf_protected, 477, 20},	//1007 Plasma::DataContainer::timeSinceLastUpdate() const
    {54, 1870, 7, 1, Smoke::mf_protected, 0, 21},	//1008 Plasma::DataContainer::setNeedsUpdate(bool)
    {54, 723, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 22},	//1009 Plasma::DataContainer::checkUsage()
    {54, 2222, 1, 1, Smoke::mf_static, 289, 23},	//1010 Plasma::DataContainer::tr(const char*)
    {54, 2226, 1, 1, Smoke::mf_static, 289, 24},	//1011 Plasma::DataContainer::trUtf8(const char*)
    {54, 116, 0, 0, Smoke::mf_ctor, 82, 25},	//1012 Plasma::DataContainer::DataContainer()
    {54, 1870, 0, 0, Smoke::mf_protected, 0, 26},	//1013 Plasma::DataContainer::setNeedsUpdate()
    {54, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 27},	//1014 Plasma::DataContainer::staticMetaObject() const
    {54, 2344, 0, 0, Smoke::mf_dtor, 0, 28 },	//1015 Plasma::DataContainer::~DataContainer()
    {55, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//1016 Plasma::DataEngine::metaObject() const
    {55, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//1017 Plasma::DataEngine::qt_metacast(const char*)
    {55, 2222, 43, 2, Smoke::mf_static, 289, 3},	//1018 Plasma::DataEngine::tr(const char*, const char*)
    {55, 2226, 43, 2, Smoke::mf_static, 289, 4},	//1019 Plasma::DataEngine::trUtf8(const char*, const char*)
    {55, 2222, 46, 3, Smoke::mf_static, 289, 5},	//1020 Plasma::DataEngine::tr(const char*, const char*, int)
    {55, 2226, 46, 3, Smoke::mf_static, 289, 6},	//1021 Plasma::DataEngine::trUtf8(const char*, const char*, int)
    {55, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//1022 Plasma::DataEngine::qt_metacall(QMetaObject::Call, int, void**)
    {55, 118, 466, 2, Smoke::mf_ctor, 83, 8},	//1023 Plasma::DataEngine::DataEngine(QObject*, KSharedPtr<KService>)
    {55, 118, 70, 2, Smoke::mf_ctor, 83, 9},	//1024 Plasma::DataEngine::DataEngine(QObject*, const QList<QVariant>&)
    {55, 1081, 0, 0, Smoke::mf_virtual, 0, 10},	//1025 Plasma::DataEngine::init()
    {55, 2138, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 290, 11},	//1026 Plasma::DataEngine::sources() const
    {55, 1605, 89, 1, Smoke::mf_virtual, 145, 12},	//1027 Plasma::DataEngine::serviceForSource(const QString&)
    {55, 1359, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 13},	//1028 Plasma::DataEngine::name() const
    {55, 761, 469, 4, Smoke::mf_const, 0, 14},	//1029 Plasma::DataEngine::connectSource(const QString&, QObject*, unsigned int, Plasma::IntervalAlignment) const
    {55, 756, 457, 3, Smoke::mf_const, 0, 15},	//1030 Plasma::DataEngine::connectAllSources(QObject*, unsigned int, Plasma::IntervalAlignment) const
    {55, 866, 140, 2, Smoke::mf_const, 0, 16},	//1031 Plasma::DataEngine::disconnectSource(const QString&, QObject*) const
    {55, 770, 89, 1, 0, 82, 17},	//1032 Plasma::DataEngine::containerForSource(const QString&)
    {55, 1456, 89, 1, Smoke::mf_const, 230, 18},	//1033 Plasma::DataEngine::query(const QString&) const
    {55, 1146, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 19},	//1034 Plasma::DataEngine::isValid() const
    {55, 1121, 0, 0, Smoke::mf_const, 382, 20},	//1035 Plasma::DataEngine::isEmpty() const
    {55, 1318, 0, 0, Smoke::mf_const, 477, 21},	//1036 Plasma::DataEngine::maxSourceCount() const
    {55, 1065, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 22},	//1037 Plasma::DataEngine::icon() const
    {55, 1383, 0, 0, Smoke::mf_const, 403, 23},	//1038 Plasma::DataEngine::package() const
    {55, 1428, 0, 0, Smoke::mf_const, 289, 24},	//1039 Plasma::DataEngine::pluginName() const
    {55, 810, 97, 1, 0, 145, 25},	//1040 Plasma::DataEngine::createDefaultService(QObject*)
    {55, 2132, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1041 Plasma::DataEngine::sourceAdded(const QString&)
    {55, 2134, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1042 Plasma::DataEngine::sourceRemoved(const QString&)
    {55, 2136, 89, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 28},	//1043 Plasma::DataEngine::sourceRequestEvent(const QString&)
    {55, 2261, 89, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 29},	//1044 Plasma::DataEngine::updateSourceEvent(const QString&)
    {55, 1716, 454, 2, Smoke::mf_protected, 0, 30},	//1045 Plasma::DataEngine::setData(const QString&, const QVariant&)
    {55, 1716, 474, 3, Smoke::mf_protected, 0, 31},	//1046 Plasma::DataEngine::setData(const QString&, const QString&, const QVariant&)
    {55, 1716, 478, 2, Smoke::mf_protected, 0, 32},	//1047 Plasma::DataEngine::setData(const QString&, const QHash<QString,QVariant>&)
    {55, 1497, 89, 1, Smoke::mf_protected, 0, 33},	//1048 Plasma::DataEngine::removeAllData(const QString&)
    {55, 1502, 77, 2, Smoke::mf_protected, 0, 34},	//1049 Plasma::DataEngine::removeData(const QString&, const QString&)
    {55, 635, 464, 1, Smoke::mf_protected, 0, 35},	//1050 Plasma::DataEngine::addSource(Plasma::DataContainer*)
    {55, 1847, 36, 1, Smoke::mf_protected, 0, 36},	//1051 Plasma::DataEngine::setMaxSourceCount(unsigned int)
    {55, 1861, 120, 1, Smoke::mf_protected, 0, 37},	//1052 Plasma::DataEngine::setMinimumPollingInterval(int)
    {55, 1336, 0, 0, Smoke::mf_const|Smoke::mf_protected, 471, 38},	//1053 Plasma::DataEngine::minimumPollingInterval() const
    {55, 1898, 36, 1, Smoke::mf_protected, 0, 39},	//1054 Plasma::DataEngine::setPollingInterval(unsigned int)
    {55, 1499, 0, 0, Smoke::mf_protected, 0, 40},	//1055 Plasma::DataEngine::removeAllSources()
    {55, 2048, 7, 1, Smoke::mf_protected, 0, 41},	//1056 Plasma::DataEngine::setValid(bool)
    {55, 769, 0, 0, Smoke::mf_const|Smoke::mf_protected, 228, 42},	//1057 Plasma::DataEngine::containerDict() const
    {55, 2208, 167, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 43},	//1058 Plasma::DataEngine::timerEvent(QTimerEvent*)
    {55, 1866, 89, 1, Smoke::mf_protected, 0, 44},	//1059 Plasma::DataEngine::setName(const QString&)
    {55, 1809, 89, 1, Smoke::mf_protected|Smoke::mf_property, 0, 45},	//1060 Plasma::DataEngine::setIcon(const QString&)
    {55, 1727, 89, 1, Smoke::mf_protected, 0, 46},	//1061 Plasma::DataEngine::setDefaultService(const QString&)
    {55, 1584, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 47},	//1062 Plasma::DataEngine::scheduleSourcesUpdated()
    {55, 1514, 89, 1, Smoke::mf_protected|Smoke::mf_slot, 0, 48},	//1063 Plasma::DataEngine::removeSource(const QString&)
    {55, 2249, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 49},	//1064 Plasma::DataEngine::updateAllSources()
    {55, 1006, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 50},	//1065 Plasma::DataEngine::forceImmediateUpdateOfAllVisualizations()
    {55, 2222, 1, 1, Smoke::mf_static, 289, 51},	//1066 Plasma::DataEngine::tr(const char*)
    {55, 2226, 1, 1, Smoke::mf_static, 289, 52},	//1067 Plasma::DataEngine::trUtf8(const char*)
    {55, 118, 0, 0, Smoke::mf_ctor, 83, 53},	//1068 Plasma::DataEngine::DataEngine()
    {55, 118, 97, 1, Smoke::mf_ctor, 83, 54},	//1069 Plasma::DataEngine::DataEngine(QObject*)
    {55, 761, 140, 2, Smoke::mf_const, 0, 55},	//1070 Plasma::DataEngine::connectSource(const QString&, QObject*) const
    {55, 761, 481, 3, Smoke::mf_const, 0, 56},	//1071 Plasma::DataEngine::connectSource(const QString&, QObject*, unsigned int) const
    {55, 756, 97, 1, Smoke::mf_const, 0, 57},	//1072 Plasma::DataEngine::connectAllSources(QObject*) const
    {55, 756, 485, 2, Smoke::mf_const, 0, 58},	//1073 Plasma::DataEngine::connectAllSources(QObject*, unsigned int) const
    {55, 810, 0, 0, 0, 145, 59},	//1074 Plasma::DataEngine::createDefaultService()
    {55, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 60},	//1075 Plasma::DataEngine::staticMetaObject() const
    {55, 2345, 0, 0, Smoke::mf_dtor, 0, 61 },	//1076 Plasma::DataEngine::~DataEngine()
    {56, 1324, 0, 0, Smoke::mf_const, 437, 1},	//1077 Plasma::DataEngineManager::metaObject() const
    {56, 1454, 1, 1, 0, 479, 2},	//1078 Plasma::DataEngineManager::qt_metacast(const char*)
    {56, 2222, 43, 2, Smoke::mf_static, 289, 3},	//1079 Plasma::DataEngineManager::tr(const char*, const char*)
    {56, 2226, 43, 2, Smoke::mf_static, 289, 4},	//1080 Plasma::DataEngineManager::trUtf8(const char*, const char*)
    {56, 2222, 46, 3, Smoke::mf_static, 289, 5},	//1081 Plasma::DataEngineManager::tr(const char*, const char*, int)
    {56, 2226, 46, 3, Smoke::mf_static, 289, 6},	//1082 Plasma::DataEngineManager::trUtf8(const char*, const char*, int)
    {56, 1452, 3, 3, 0, 471, 7},	//1083 Plasma::DataEngineManager::qt_metacall(QMetaObject::Call, int, void**)
    {56, 1603, 0, 0, Smoke::mf_static, 84, 8},	//1084 Plasma::DataEngineManager::self()
    {56, 940, 89, 1, Smoke::mf_const, 83, 9},	//1085 Plasma::DataEngineManager::engine(const QString&) const
    {56, 1272, 89, 1, 0, 83, 10},	//1086 Plasma::DataEngineManager::loadEngine(const QString&)
    {56, 2238, 89, 1, 0, 0, 11},	//1087 Plasma::DataEngineManager::unloadEngine(const QString&)
    {56, 1217, 89, 1, Smoke::mf_static, 290, 12},	//1088 Plasma::DataEngineManager::listAllEngines(const QString&)
    {56, 1240, 89, 1, Smoke::mf_static, 238, 13},	//1089 Plasma::DataEngineManager::listEngineInfo(const QString&)
    {56, 1242, 77, 2, Smoke::mf_static, 238, 14},	//1090 Plasma::DataEngineManager::listEngineInfoByCategory(const QString&, const QString&)
    {56, 2222, 1, 1, Smoke::mf_static, 289, 15},	//1091 Plasma::DataEngineManager::tr(const char*)
    {56, 2226, 1, 1, Smoke::mf_static, 289, 16},	//1092 Plasma::DataEngineManager::trUtf8(const char*)
    {56, 1217, 0, 0, Smoke::mf_static, 290, 17},	//1093 Plasma::DataEngineManager::listAllEngines()
    {56, 1240, 0, 0, Smoke::mf_static, 238, 18},	//1094 Plasma::DataEngineManager::listEngineInfo()
    {56, 1242, 89, 1, Smoke::mf_static, 238, 19},	//1095 Plasma::DataEngineManager::listEngineInfoByCategory(const QString&)
    {56, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 20},	//1096 Plasma::DataEngineManager::staticMetaObject() const
    {57, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//1097 Plasma::DataEngineScript::metaObject() const
    {57, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//1098 Plasma::DataEngineScript::qt_metacast(const char*)
    {57, 2222, 43, 2, Smoke::mf_static, 289, 3},	//1099 Plasma::DataEngineScript::tr(const char*, const char*)
    {57, 2226, 43, 2, Smoke::mf_static, 289, 4},	//1100 Plasma::DataEngineScript::trUtf8(const char*, const char*)
    {57, 2222, 46, 3, Smoke::mf_static, 289, 5},	//1101 Plasma::DataEngineScript::tr(const char*, const char*, int)
    {57, 2226, 46, 3, Smoke::mf_static, 289, 6},	//1102 Plasma::DataEngineScript::trUtf8(const char*, const char*, int)
    {57, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//1103 Plasma::DataEngineScript::qt_metacall(QMetaObject::Call, int, void**)
    {57, 122, 97, 1, Smoke::mf_ctor, 85, 8},	//1104 Plasma::DataEngineScript::DataEngineScript(QObject*)
    {57, 1721, 488, 1, 0, 0, 9},	//1105 Plasma::DataEngineScript::setDataEngine(Plasma::DataEngine*)
    {57, 840, 0, 0, Smoke::mf_const, 83, 10},	//1106 Plasma::DataEngineScript::dataEngine() const
    {57, 2138, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 290, 11},	//1107 Plasma::DataEngineScript::sources() const
    {57, 2136, 89, 1, Smoke::mf_virtual, 382, 12},	//1108 Plasma::DataEngineScript::sourceRequestEvent(const QString&)
    {57, 2261, 89, 1, Smoke::mf_virtual, 382, 13},	//1109 Plasma::DataEngineScript::updateSourceEvent(const QString&)
    {57, 1605, 89, 1, Smoke::mf_virtual, 145, 14},	//1110 Plasma::DataEngineScript::serviceForSource(const QString&)
    {57, 1299, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 289, 15},	//1111 Plasma::DataEngineScript::mainScript() const
    {57, 1383, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 403, 16},	//1112 Plasma::DataEngineScript::package() const
    {57, 849, 0, 0, Smoke::mf_const|Smoke::mf_protected, 15, 17},	//1113 Plasma::DataEngineScript::description() const
    {57, 1716, 474, 3, Smoke::mf_protected, 0, 18},	//1114 Plasma::DataEngineScript::setData(const QString&, const QString&, const QVariant&)
    {57, 1716, 454, 2, Smoke::mf_protected, 0, 19},	//1115 Plasma::DataEngineScript::setData(const QString&, const QVariant&)
    {57, 1716, 478, 2, Smoke::mf_protected, 0, 20},	//1116 Plasma::DataEngineScript::setData(const QString&, const QHash<QString,QVariant>&)
    {57, 1497, 89, 1, Smoke::mf_protected, 0, 21},	//1117 Plasma::DataEngineScript::removeAllData(const QString&)
    {57, 1502, 77, 2, Smoke::mf_protected, 0, 22},	//1118 Plasma::DataEngineScript::removeData(const QString&, const QString&)
    {57, 1847, 36, 1, Smoke::mf_protected, 0, 23},	//1119 Plasma::DataEngineScript::setMaxSourceCount(unsigned int)
    {57, 1861, 120, 1, Smoke::mf_protected, 0, 24},	//1120 Plasma::DataEngineScript::setMinimumPollingInterval(int)
    {57, 1336, 0, 0, Smoke::mf_const|Smoke::mf_protected, 471, 25},	//1121 Plasma::DataEngineScript::minimumPollingInterval() const
    {57, 1898, 36, 1, Smoke::mf_protected, 0, 26},	//1122 Plasma::DataEngineScript::setPollingInterval(unsigned int)
    {57, 1499, 0, 0, Smoke::mf_protected, 0, 27},	//1123 Plasma::DataEngineScript::removeAllSources()
    {57, 635, 464, 1, Smoke::mf_protected, 0, 28},	//1124 Plasma::DataEngineScript::addSource(Plasma::DataContainer*)
    {57, 769, 0, 0, Smoke::mf_const|Smoke::mf_protected, 228, 29},	//1125 Plasma::DataEngineScript::containerDict() const
    {57, 1866, 89, 1, Smoke::mf_protected, 0, 30},	//1126 Plasma::DataEngineScript::setName(const QString&)
    {57, 1809, 89, 1, Smoke::mf_protected, 0, 31},	//1127 Plasma::DataEngineScript::setIcon(const QString&)
    {57, 1584, 0, 0, Smoke::mf_protected, 0, 32},	//1128 Plasma::DataEngineScript::scheduleSourcesUpdated()
    {57, 1514, 89, 1, Smoke::mf_protected, 0, 33},	//1129 Plasma::DataEngineScript::removeSource(const QString&)
    {57, 2249, 0, 0, Smoke::mf_protected, 0, 34},	//1130 Plasma::DataEngineScript::updateAllSources()
    {57, 1006, 0, 0, Smoke::mf_protected, 0, 35},	//1131 Plasma::DataEngineScript::forceImmediateUpdateOfAllVisualizations()
    {57, 2222, 1, 1, Smoke::mf_static, 289, 36},	//1132 Plasma::DataEngineScript::tr(const char*)
    {57, 2226, 1, 1, Smoke::mf_static, 289, 37},	//1133 Plasma::DataEngineScript::trUtf8(const char*)
    {57, 122, 0, 0, Smoke::mf_ctor, 85, 38},	//1134 Plasma::DataEngineScript::DataEngineScript()
    {57, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 39},	//1135 Plasma::DataEngineScript::staticMetaObject() const
    {57, 2346, 0, 0, Smoke::mf_dtor, 0, 40 },	//1136 Plasma::DataEngineScript::~DataEngineScript()
    {58, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//1137 Plasma::Delegate::metaObject() const
    {58, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//1138 Plasma::Delegate::qt_metacast(const char*)
    {58, 2222, 43, 2, Smoke::mf_static, 289, 3},	//1139 Plasma::Delegate::tr(const char*, const char*)
    {58, 2226, 43, 2, Smoke::mf_static, 289, 4},	//1140 Plasma::Delegate::trUtf8(const char*, const char*)
    {58, 2222, 46, 3, Smoke::mf_static, 289, 5},	//1141 Plasma::Delegate::tr(const char*, const char*, int)
    {58, 2226, 46, 3, Smoke::mf_static, 289, 6},	//1142 Plasma::Delegate::trUtf8(const char*, const char*, int)
    {58, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//1143 Plasma::Delegate::qt_metacall(QMetaObject::Call, int, void**)
    {58, 129, 97, 1, Smoke::mf_ctor, 86, 8},	//1144 Plasma::Delegate::Delegate(QObject*)
    {58, 1933, 490, 2, 0, 0, 9},	//1145 Plasma::Delegate::setRoleMapping(Plasma::Delegate::SpecificRoles, int)
    {58, 1554, 493, 1, Smoke::mf_const, 471, 10},	//1146 Plasma::Delegate::roleMapping(Plasma::Delegate::SpecificRoles) const
    {58, 1389, 495, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 11},	//1147 Plasma::Delegate::paint(QPainter*, const QStyleOptionViewItem&, const QModelIndex&) const
    {58, 2111, 0, 0, Smoke::mf_const, 382, 12},	//1148 Plasma::Delegate::showToolTip() const
    {58, 1467, 499, 2, Smoke::mf_const|Smoke::mf_protected, 278, 13},	//1149 Plasma::Delegate::rectAfterTitle(const QStyleOptionViewItem&, const QModelIndex&) const
    {58, 1465, 499, 2, Smoke::mf_const|Smoke::mf_protected, 278, 14},	//1150 Plasma::Delegate::rectAfterSubTitle(const QStyleOptionViewItem&, const QModelIndex&) const
    {58, 932, 499, 2, Smoke::mf_const|Smoke::mf_protected, 278, 15},	//1151 Plasma::Delegate::emptyRect(const QStyleOptionViewItem&, const QModelIndex&) const
    {58, 2123, 499, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 286, 16},	//1152 Plasma::Delegate::sizeHint(const QStyleOptionViewItem&, const QModelIndex&) const
    {58, 2222, 1, 1, Smoke::mf_static, 289, 17},	//1153 Plasma::Delegate::tr(const char*)
    {58, 2226, 1, 1, Smoke::mf_static, 289, 18},	//1154 Plasma::Delegate::trUtf8(const char*)
    {58, 129, 0, 0, Smoke::mf_ctor, 86, 19},	//1155 Plasma::Delegate::Delegate()
    {58, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 20},	//1156 Plasma::Delegate::staticMetaObject() const
    {58, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 21},	//1157 Plasma::Delegate::SubTitleRole (enum)
    {58, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 22},	//1158 Plasma::Delegate::SubTitleMandatoryRole (enum)
    {58, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 23},	//1159 Plasma::Delegate::ColumnTypeRole (enum)
    {58, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 24},	//1160 Plasma::Delegate::MainColumn (enum)
    {58, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 25},	//1161 Plasma::Delegate::SecondaryActionColumn (enum)
    {58, 2347, 0, 0, Smoke::mf_dtor, 0, 26 },	//1162 Plasma::Delegate::~Delegate()
    {59, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//1163 Plasma::Dialog::metaObject() const
    {59, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//1164 Plasma::Dialog::qt_metacast(const char*)
    {59, 2222, 43, 2, Smoke::mf_static, 289, 3},	//1165 Plasma::Dialog::tr(const char*, const char*)
    {59, 2226, 43, 2, Smoke::mf_static, 289, 4},	//1166 Plasma::Dialog::trUtf8(const char*, const char*)
    {59, 2222, 46, 3, Smoke::mf_static, 289, 5},	//1167 Plasma::Dialog::tr(const char*, const char*, int)
    {59, 2226, 46, 3, Smoke::mf_static, 289, 6},	//1168 Plasma::Dialog::trUtf8(const char*, const char*, int)
    {59, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//1169 Plasma::Dialog::qt_metacall(QMetaObject::Call, int, void**)
    {59, 140, 502, 2, Smoke::mf_ctor, 89, 8},	//1170 Plasma::Dialog::Dialog(QWidget*, QFlags<Qt::WindowType>)
    {59, 1783, 116, 1, 0, 0, 9},	//1171 Plasma::Dialog::setGraphicsWidget(QGraphicsWidget*)
    {59, 1024, 0, 0, 0, 226, 10},	//1172 Plasma::Dialog::graphicsWidget()
    {59, 1927, 505, 1, 0, 0, 11},	//1173 Plasma::Dialog::setResizeHandleCorners(QFlags<Plasma::Dialog::ResizeCorner>)
    {59, 1542, 0, 0, Smoke::mf_const, 201, 12},	//1174 Plasma::Dialog::resizeCorners() const
    {59, 655, 507, 1, 0, 0, 13},	//1175 Plasma::Dialog::animatedHide(Plasma::Direction)
    {59, 657, 507, 1, 0, 0, 14},	//1176 Plasma::Dialog::animatedShow(Plasma::Direction)
    {59, 687, 0, 0, Smoke::mf_const, 54, 15},	//1177 Plasma::Dialog::aspectRatioMode() const
    {59, 1633, 184, 1, 0, 0, 16},	//1178 Plasma::Dialog::setAspectRatioMode(Plasma::AspectRatioMode)
    {59, 859, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1179 Plasma::Dialog::dialogResized()
    {59, 860, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1180 Plasma::Dialog::dialogVisible(bool)
    {59, 2174, 0, 0, Smoke::mf_slot, 0, 19},	//1181 Plasma::Dialog::syncToGraphicsWidget()
    {59, 1398, 509, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1182 Plasma::Dialog::paintEvent(QPaintEvent*)
    {59, 950, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 21},	//1183 Plasma::Dialog::event(QEvent*)
    {59, 1543, 511, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1184 Plasma::Dialog::resizeEvent(QResizeEvent*)
    {59, 952, 259, 2, Smoke::mf_protected|Smoke::mf_virtual, 382, 23},	//1185 Plasma::Dialog::eventFilter(QObject*, QEvent*)
    {59, 1050, 308, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//1186 Plasma::Dialog::hideEvent(QHideEvent*)
    {59, 2103, 306, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1187 Plasma::Dialog::showEvent(QShowEvent*)
    {59, 993, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//1188 Plasma::Dialog::focusInEvent(QFocusEvent*)
    {59, 1341, 513, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//1189 Plasma::Dialog::mouseMoveEvent(QMouseEvent*)
    {59, 1343, 513, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//1190 Plasma::Dialog::mousePressEvent(QMouseEvent*)
    {59, 1345, 513, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//1191 Plasma::Dialog::mouseReleaseEvent(QMouseEvent*)
    {59, 1180, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//1192 Plasma::Dialog::keyPressEvent(QKeyEvent*)
    {59, 1347, 515, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//1193 Plasma::Dialog::moveEvent(QMoveEvent*)
    {59, 1078, 517, 1, Smoke::mf_protected, 382, 32},	//1194 Plasma::Dialog::inControlArea(const QPoint&)
    {59, 2222, 1, 1, Smoke::mf_static, 289, 33},	//1195 Plasma::Dialog::tr(const char*)
    {59, 2226, 1, 1, Smoke::mf_static, 289, 34},	//1196 Plasma::Dialog::trUtf8(const char*)
    {59, 140, 0, 0, Smoke::mf_ctor, 89, 35},	//1197 Plasma::Dialog::Dialog()
    {59, 140, 57, 1, Smoke::mf_ctor, 89, 36},	//1198 Plasma::Dialog::Dialog(QWidget*)
    {59, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 37},	//1199 Plasma::Dialog::staticMetaObject() const
    {59, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 38},	//1200 Plasma::Dialog::NoCorner (enum)
    {59, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 39},	//1201 Plasma::Dialog::NorthEast (enum)
    {59, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 40},	//1202 Plasma::Dialog::SouthEast (enum)
    {59, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 41},	//1203 Plasma::Dialog::NorthWest (enum)
    {59, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 42},	//1204 Plasma::Dialog::SouthWest (enum)
    {59, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 43},	//1205 Plasma::Dialog::All (enum)
    {59, 2348, 0, 0, Smoke::mf_dtor, 0, 44 },	//1206 Plasma::Dialog::~Dialog()
    {60, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//1207 Plasma::Extender::metaObject() const
    {60, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//1208 Plasma::Extender::qt_metacast(const char*)
    {60, 2222, 43, 2, Smoke::mf_static, 289, 3},	//1209 Plasma::Extender::tr(const char*, const char*)
    {60, 2226, 43, 2, Smoke::mf_static, 289, 4},	//1210 Plasma::Extender::trUtf8(const char*, const char*)
    {60, 2222, 46, 3, Smoke::mf_static, 289, 5},	//1211 Plasma::Extender::tr(const char*, const char*, int)
    {60, 2226, 46, 3, Smoke::mf_static, 289, 6},	//1212 Plasma::Extender::trUtf8(const char*, const char*, int)
    {60, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//1213 Plasma::Extender::qt_metacall(QMetaObject::Call, int, void**)
    {60, 160, 239, 1, Smoke::mf_ctor, 92, 8},	//1214 Plasma::Extender::Extender(Plasma::Applet*)
    {60, 1757, 89, 1, Smoke::mf_property, 0, 9},	//1215 Plasma::Extender::setEmptyExtenderMessage(const QString&)
    {60, 931, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 10},	//1216 Plasma::Extender::emptyExtenderMessage() const
    {60, 1179, 0, 0, Smoke::mf_const, 245, 11},	//1217 Plasma::Extender::items() const
    {60, 692, 0, 0, Smoke::mf_const, 245, 12},	//1218 Plasma::Extender::attachedItems() const
    {60, 856, 0, 0, Smoke::mf_const, 245, 13},	//1219 Plasma::Extender::detachedItems() const
    {60, 1150, 89, 1, Smoke::mf_const, 95, 14},	//1220 Plasma::Extender::item(const QString&) const
    {60, 1025, 89, 1, Smoke::mf_const, 94, 15},	//1221 Plasma::Extender::group(const QString&) const
    {60, 1039, 89, 1, Smoke::mf_const, 382, 16},	//1222 Plasma::Extender::hasItem(const QString&) const
    {60, 1121, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 17},	//1223 Plasma::Extender::isEmpty() const
    {60, 1625, 519, 1, 0, 0, 18},	//1224 Plasma::Extender::setAppearance(Plasma::Extender::Appearance)
    {60, 671, 0, 0, Smoke::mf_const, 93, 19},	//1225 Plasma::Extender::appearance() const
    {60, 1028, 0, 0, Smoke::mf_const, 244, 20},	//1226 Plasma::Extender::groups() const
    {60, 675, 0, 0, Smoke::mf_const, 51, 21},	//1227 Plasma::Extender::applet() const
    {60, 1154, 521, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1228 Plasma::Extender::itemAddedEvent(Plasma::ExtenderItem*, const QPointF&)
    {60, 1173, 220, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1229 Plasma::Extender::itemRemovedEvent(Plasma::ExtenderItem*)
    {60, 1167, 220, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//1230 Plasma::Extender::itemHoverEnterEvent(Plasma::ExtenderItem*)
    {60, 1171, 521, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1231 Plasma::Extender::itemHoverMoveEvent(Plasma::ExtenderItem*, const QPointF&)
    {60, 1169, 220, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//1232 Plasma::Extender::itemHoverLeaveEvent(Plasma::ExtenderItem*)
    {60, 1572, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//1233 Plasma::Extender::saveState()
    {60, 937, 220, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 202, 28},	//1234 Plasma::Extender::enabledBordersForItem(Plasma::ExtenderItem*) const
    {60, 1161, 271, 2, Smoke::mf_protected|Smoke::mf_virtual, 299, 29},	//1235 Plasma::Extender::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {60, 1543, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//1236 Plasma::Extender::resizeEvent(QGraphicsSceneResizeEvent*)
    {60, 1343, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//1237 Plasma::Extender::mousePressEvent(QGraphicsSceneMouseEvent*)
    {60, 874, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//1238 Plasma::Extender::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {60, 878, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//1239 Plasma::Extender::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {60, 876, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1240 Plasma::Extender::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {60, 904, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//1241 Plasma::Extender::dropEvent(QGraphicsSceneDragDropEvent*)
    {60, 1159, 220, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//1242 Plasma::Extender::itemAttached(Plasma::ExtenderItem*)
    {60, 1163, 220, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//1243 Plasma::Extender::itemDetached(Plasma::ExtenderItem*)
    {60, 1014, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1244 Plasma::Extender::geometryChanged()
    {60, 2222, 1, 1, Smoke::mf_static, 289, 39},	//1245 Plasma::Extender::tr(const char*)
    {60, 2226, 1, 1, Smoke::mf_static, 289, 40},	//1246 Plasma::Extender::trUtf8(const char*)
    {60, 1154, 220, 1, Smoke::mf_protected, 0, 41},	//1247 Plasma::Extender::itemAddedEvent(Plasma::ExtenderItem*)
    {60, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 42},	//1248 Plasma::Extender::staticMetaObject() const
    {60, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 43},	//1249 Plasma::Extender::NoBorders (enum)
    {60, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 44},	//1250 Plasma::Extender::BottomUpStacked (enum)
    {60, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 45},	//1251 Plasma::Extender::TopDownStacked (enum)
    {60, 2349, 0, 0, Smoke::mf_dtor, 0, 46 },	//1252 Plasma::Extender::~Extender()
    {61, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//1253 Plasma::ExtenderGroup::metaObject() const
    {61, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//1254 Plasma::ExtenderGroup::qt_metacast(const char*)
    {61, 2222, 43, 2, Smoke::mf_static, 289, 3},	//1255 Plasma::ExtenderGroup::tr(const char*, const char*)
    {61, 2226, 43, 2, Smoke::mf_static, 289, 4},	//1256 Plasma::ExtenderGroup::trUtf8(const char*, const char*)
    {61, 2222, 46, 3, Smoke::mf_static, 289, 5},	//1257 Plasma::ExtenderGroup::tr(const char*, const char*, int)
    {61, 2226, 46, 3, Smoke::mf_static, 289, 6},	//1258 Plasma::ExtenderGroup::trUtf8(const char*, const char*, int)
    {61, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//1259 Plasma::ExtenderGroup::qt_metacall(QMetaObject::Call, int, void**)
    {61, 162, 524, 2, Smoke::mf_ctor, 94, 8},	//1260 Plasma::ExtenderGroup::ExtenderGroup(Plasma::Extender*, unsigned int)
    {61, 1179, 0, 0, Smoke::mf_const, 245, 9},	//1261 Plasma::ExtenderGroup::items() const
    {61, 698, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 10},	//1262 Plasma::ExtenderGroup::autoHide() const
    {61, 1649, 7, 1, Smoke::mf_property, 0, 11},	//1263 Plasma::ExtenderGroup::setAutoHide(bool)
    {61, 1124, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 12},	//1264 Plasma::ExtenderGroup::isGroupCollapsed() const
    {61, 1111, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 13},	//1265 Plasma::ExtenderGroup::isAutoCollapse() const
    {61, 1645, 7, 1, Smoke::mf_property, 0, 14},	//1266 Plasma::ExtenderGroup::setAutoCollapse(bool)
    {61, 1788, 7, 1, Smoke::mf_property|Smoke::mf_slot, 0, 15},	//1267 Plasma::ExtenderGroup::setGroupCollapsed(bool)
    {61, 961, 0, 0, Smoke::mf_slot, 0, 16},	//1268 Plasma::ExtenderGroup::expandGroup()
    {61, 739, 0, 0, Smoke::mf_slot, 0, 17},	//1269 Plasma::ExtenderGroup::collapseGroup()
    {61, 1543, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//1270 Plasma::ExtenderGroup::resizeEvent(QGraphicsSceneResizeEvent*)
    {61, 952, 259, 2, Smoke::mf_protected|Smoke::mf_virtual, 382, 19},	//1271 Plasma::ExtenderGroup::eventFilter(QObject*, QEvent*)
    {61, 874, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1272 Plasma::ExtenderGroup::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {61, 878, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1273 Plasma::ExtenderGroup::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {61, 876, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1274 Plasma::ExtenderGroup::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {61, 904, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1275 Plasma::ExtenderGroup::dropEvent(QGraphicsSceneDragDropEvent*)
    {61, 2222, 1, 1, Smoke::mf_static, 289, 24},	//1276 Plasma::ExtenderGroup::tr(const char*)
    {61, 2226, 1, 1, Smoke::mf_static, 289, 25},	//1277 Plasma::ExtenderGroup::trUtf8(const char*)
    {61, 162, 527, 1, Smoke::mf_ctor, 94, 26},	//1278 Plasma::ExtenderGroup::ExtenderGroup(Plasma::Extender*)
    {61, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 27},	//1279 Plasma::ExtenderGroup::staticMetaObject() const
    {61, 2350, 0, 0, Smoke::mf_dtor, 0, 28 },	//1280 Plasma::ExtenderGroup::~ExtenderGroup()
    {62, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//1281 Plasma::ExtenderItem::metaObject() const
    {62, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//1282 Plasma::ExtenderItem::qt_metacast(const char*)
    {62, 2222, 43, 2, Smoke::mf_static, 289, 3},	//1283 Plasma::ExtenderItem::tr(const char*, const char*)
    {62, 2226, 43, 2, Smoke::mf_static, 289, 4},	//1284 Plasma::ExtenderItem::trUtf8(const char*, const char*)
    {62, 2222, 46, 3, Smoke::mf_static, 289, 5},	//1285 Plasma::ExtenderItem::tr(const char*, const char*, int)
    {62, 2226, 46, 3, Smoke::mf_static, 289, 6},	//1286 Plasma::ExtenderItem::trUtf8(const char*, const char*, int)
    {62, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//1287 Plasma::ExtenderItem::qt_metacall(QMetaObject::Call, int, void**)
    {62, 165, 524, 2, Smoke::mf_ctor, 95, 8},	//1288 Plasma::ExtenderItem::ExtenderItem(Plasma::Extender*, unsigned int)
    {62, 745, 0, 0, Smoke::mf_const, 8, 9},	//1289 Plasma::ExtenderItem::config() const
    {62, 2075, 161, 1, 0, 0, 10},	//1290 Plasma::ExtenderItem::setWidget(QGraphicsItem*)
    {62, 2307, 0, 0, Smoke::mf_const, 212, 11},	//1291 Plasma::ExtenderItem::widget() const
    {62, 2024, 89, 1, Smoke::mf_property, 0, 12},	//1292 Plasma::ExtenderItem::setTitle(const QString&)
    {62, 2210, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 13},	//1293 Plasma::ExtenderItem::title() const
    {62, 1866, 89, 1, Smoke::mf_property, 0, 14},	//1294 Plasma::ExtenderItem::setName(const QString&)
    {62, 1359, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 15},	//1295 Plasma::ExtenderItem::name() const
    {62, 1809, 89, 1, 0, 0, 16},	//1296 Plasma::ExtenderItem::setIcon(const QString&)
    {62, 1809, 529, 1, Smoke::mf_property, 0, 17},	//1297 Plasma::ExtenderItem::setIcon(const QIcon&)
    {62, 1065, 0, 0, Smoke::mf_const|Smoke::mf_property, 233, 18},	//1298 Plasma::ExtenderItem::icon() const
    {62, 1763, 531, 2, 0, 0, 19},	//1299 Plasma::ExtenderItem::setExtender(Plasma::Extender*, const QPointF&)
    {62, 964, 0, 0, Smoke::mf_const, 92, 20},	//1300 Plasma::ExtenderItem::extender() const
    {62, 1785, 534, 1, 0, 0, 21},	//1301 Plasma::ExtenderItem::setGroup(Plasma::ExtenderGroup*)
    {62, 1785, 536, 2, 0, 0, 22},	//1302 Plasma::ExtenderItem::setGroup(Plasma::ExtenderGroup*, const QPointF&)
    {62, 1025, 0, 0, Smoke::mf_const, 94, 23},	//1303 Plasma::ExtenderItem::group() const
    {62, 1123, 0, 0, Smoke::mf_const, 382, 24},	//1304 Plasma::ExtenderItem::isGroup() const
    {62, 1647, 36, 1, 0, 0, 25},	//1305 Plasma::ExtenderItem::setAutoExpireDelay(unsigned int)
    {62, 697, 0, 0, Smoke::mf_const, 477, 26},	//1306 Plasma::ExtenderItem::autoExpireDelay() const
    {62, 1119, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 27},	//1307 Plasma::ExtenderItem::isDetached() const
    {62, 1117, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 28},	//1308 Plasma::ExtenderItem::isCollapsed() const
    {62, 587, 86, 2, 0, 0, 29},	//1309 Plasma::ExtenderItem::addAction(const QString&, QAction*)
    {62, 570, 89, 1, Smoke::mf_const, 180, 30},	//1310 Plasma::ExtenderItem::action(const QString&) const
    {62, 852, 0, 0, Smoke::mf_slot, 0, 31},	//1311 Plasma::ExtenderItem::destroy()
    {62, 1679, 7, 1, Smoke::mf_property|Smoke::mf_slot, 0, 32},	//1312 Plasma::ExtenderItem::setCollapsed(bool)
    {62, 1553, 0, 0, Smoke::mf_slot, 0, 33},	//1313 Plasma::ExtenderItem::returnToSource()
    {62, 2094, 0, 0, Smoke::mf_slot, 0, 34},	//1314 Plasma::ExtenderItem::showCloseButton()
    {62, 1049, 0, 0, Smoke::mf_slot, 0, 35},	//1315 Plasma::ExtenderItem::hideCloseButton()
    {62, 854, 220, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//1316 Plasma::ExtenderItem::destroyed(Plasma::ExtenderItem*)
    {62, 1389, 207, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 37},	//1317 Plasma::ExtenderItem::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {62, 1347, 539, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 38},	//1318 Plasma::ExtenderItem::moveEvent(QGraphicsSceneMoveEvent*)
    {62, 1543, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 39},	//1319 Plasma::ExtenderItem::resizeEvent(QGraphicsSceneResizeEvent*)
    {62, 1343, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//1320 Plasma::ExtenderItem::mousePressEvent(QGraphicsSceneMouseEvent*)
    {62, 1339, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 41},	//1321 Plasma::ExtenderItem::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {62, 1341, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 42},	//1322 Plasma::ExtenderItem::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {62, 1345, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 43},	//1323 Plasma::ExtenderItem::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {62, 1062, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 44},	//1324 Plasma::ExtenderItem::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {62, 1060, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//1325 Plasma::ExtenderItem::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {62, 1580, 262, 2, Smoke::mf_protected|Smoke::mf_virtual, 382, 46},	//1326 Plasma::ExtenderItem::sceneEventFilter(QGraphicsItem*, QEvent*)
    {62, 2123, 274, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 47},	//1327 Plasma::ExtenderItem::sizeHint(Qt::SizeHint, const QSizeF&) const
    {62, 2222, 1, 1, Smoke::mf_static, 289, 48},	//1328 Plasma::ExtenderItem::tr(const char*)
    {62, 2226, 1, 1, Smoke::mf_static, 289, 49},	//1329 Plasma::ExtenderItem::trUtf8(const char*)
    {62, 165, 527, 1, Smoke::mf_ctor, 95, 50},	//1330 Plasma::ExtenderItem::ExtenderItem(Plasma::Extender*)
    {62, 1763, 527, 1, 0, 0, 51},	//1331 Plasma::ExtenderItem::setExtender(Plasma::Extender*)
    {62, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 52},	//1332 Plasma::ExtenderItem::staticMetaObject() const
    {62, 2351, 0, 0, Smoke::mf_dtor, 0, 53 },	//1333 Plasma::ExtenderItem::~ExtenderItem()
    {63, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//1334 Plasma::FlashingLabel::metaObject() const
    {63, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//1335 Plasma::FlashingLabel::qt_metacast(const char*)
    {63, 2222, 43, 2, Smoke::mf_static, 289, 3},	//1336 Plasma::FlashingLabel::tr(const char*, const char*)
    {63, 2226, 43, 2, Smoke::mf_static, 289, 4},	//1337 Plasma::FlashingLabel::trUtf8(const char*, const char*)
    {63, 2222, 46, 3, Smoke::mf_static, 289, 5},	//1338 Plasma::FlashingLabel::tr(const char*, const char*, int)
    {63, 2226, 46, 3, Smoke::mf_static, 289, 6},	//1339 Plasma::FlashingLabel::trUtf8(const char*, const char*, int)
    {63, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//1340 Plasma::FlashingLabel::qt_metacall(QMetaObject::Call, int, void**)
    {63, 175, 161, 1, Smoke::mf_ctor, 96, 8},	//1341 Plasma::FlashingLabel::FlashingLabel(QGraphicsItem*)
    {63, 1389, 207, 3, Smoke::mf_virtual, 0, 9},	//1342 Plasma::FlashingLabel::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {63, 1000, 0, 0, Smoke::mf_const|Smoke::mf_property, 209, 10},	//1343 Plasma::FlashingLabel::font() const
    {63, 1770, 541, 1, Smoke::mf_property, 0, 11},	//1344 Plasma::FlashingLabel::setFont(const QFont&)
    {63, 742, 0, 0, Smoke::mf_const|Smoke::mf_property, 186, 12},	//1345 Plasma::FlashingLabel::color() const
    {63, 1681, 543, 1, Smoke::mf_property, 0, 13},	//1346 Plasma::FlashingLabel::setColor(const QColor&)
    {63, 906, 0, 0, Smoke::mf_const|Smoke::mf_property, 471, 14},	//1347 Plasma::FlashingLabel::duration() const
    {63, 1746, 120, 1, Smoke::mf_property, 0, 15},	//1348 Plasma::FlashingLabel::setDuration(int)
    {63, 985, 545, 3, 0, 0, 16},	//1349 Plasma::FlashingLabel::flash(const QString&, int, const QTextOption&)
    {63, 985, 549, 3, 0, 0, 17},	//1350 Plasma::FlashingLabel::flash(const QPixmap&, int, QFlags<Qt::AlignmentFlag>)
    {63, 1653, 7, 1, Smoke::mf_property, 0, 18},	//1351 Plasma::FlashingLabel::setAutohide(bool)
    {63, 700, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 19},	//1352 Plasma::FlashingLabel::autohide() const
    {63, 2123, 274, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 20},	//1353 Plasma::FlashingLabel::sizeHint(Qt::SizeHint, const QSizeF&) const
    {63, 1185, 0, 0, Smoke::mf_slot, 0, 21},	//1354 Plasma::FlashingLabel::kill()
    {63, 968, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 22},	//1355 Plasma::FlashingLabel::fadeIn()
    {63, 969, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 23},	//1356 Plasma::FlashingLabel::fadeOut()
    {63, 2222, 1, 1, Smoke::mf_static, 289, 24},	//1357 Plasma::FlashingLabel::tr(const char*)
    {63, 2226, 1, 1, Smoke::mf_static, 289, 25},	//1358 Plasma::FlashingLabel::trUtf8(const char*)
    {63, 175, 0, 0, Smoke::mf_ctor, 96, 26},	//1359 Plasma::FlashingLabel::FlashingLabel()
    {63, 1389, 310, 2, 0, 0, 27},	//1360 Plasma::FlashingLabel::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {63, 985, 89, 1, 0, 0, 28},	//1361 Plasma::FlashingLabel::flash(const QString&)
    {63, 985, 553, 2, 0, 0, 29},	//1362 Plasma::FlashingLabel::flash(const QString&, int)
    {63, 985, 556, 1, 0, 0, 30},	//1363 Plasma::FlashingLabel::flash(const QPixmap&)
    {63, 985, 558, 2, 0, 0, 31},	//1364 Plasma::FlashingLabel::flash(const QPixmap&, int)
    {63, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 32},	//1365 Plasma::FlashingLabel::staticMetaObject() const
    {63, 2352, 0, 0, Smoke::mf_dtor, 0, 33 },	//1366 Plasma::FlashingLabel::~FlashingLabel()
    {64, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//1367 Plasma::Frame::metaObject() const
    {64, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//1368 Plasma::Frame::qt_metacast(const char*)
    {64, 2222, 43, 2, Smoke::mf_static, 289, 3},	//1369 Plasma::Frame::tr(const char*, const char*)
    {64, 2226, 43, 2, Smoke::mf_static, 289, 4},	//1370 Plasma::Frame::trUtf8(const char*, const char*)
    {64, 2222, 46, 3, Smoke::mf_static, 289, 5},	//1371 Plasma::Frame::tr(const char*, const char*, int)
    {64, 2226, 46, 3, Smoke::mf_static, 289, 6},	//1372 Plasma::Frame::trUtf8(const char*, const char*, int)
    {64, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//1373 Plasma::Frame::qt_metacall(QMetaObject::Call, int, void**)
    {64, 182, 116, 1, Smoke::mf_ctor, 99, 8},	//1374 Plasma::Frame::Frame(QGraphicsWidget*)
    {64, 1777, 561, 1, Smoke::mf_property, 0, 9},	//1375 Plasma::Frame::setFrameShadow(Plasma::Frame::Shadow)
    {64, 1009, 0, 0, Smoke::mf_const|Smoke::mf_property, 100, 10},	//1376 Plasma::Frame::frameShadow() const
    {64, 1761, 563, 1, 0, 0, 11},	//1377 Plasma::Frame::setEnabledBorders(const QFlags<Plasma::FrameSvg::EnabledBorder>)
    {64, 936, 0, 0, Smoke::mf_const, 202, 12},	//1378 Plasma::Frame::enabledBorders() const
    {64, 2012, 211, 1, Smoke::mf_property, 0, 13},	//1379 Plasma::Frame::setText(QString)
    {64, 2194, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 14},	//1380 Plasma::Frame::text() const
    {64, 1816, 89, 1, Smoke::mf_property, 0, 15},	//1381 Plasma::Frame::setImage(const QString&)
    {64, 1069, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 16},	//1382 Plasma::Frame::image() const
    {64, 1982, 89, 1, Smoke::mf_property, 0, 17},	//1383 Plasma::Frame::setStyleSheet(const QString&)
    {64, 2161, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 18},	//1384 Plasma::Frame::styleSheet() const
    {64, 1361, 0, 0, Smoke::mf_const, 304, 19},	//1385 Plasma::Frame::nativeWidget() const
    {64, 1389, 207, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1386 Plasma::Frame::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {64, 1543, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1387 Plasma::Frame::resizeEvent(QGraphicsSceneResizeEvent*)
    {64, 2123, 274, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 22},	//1388 Plasma::Frame::sizeHint(Qt::SizeHint, const QSizeF&) const
    {64, 718, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1389 Plasma::Frame::changeEvent(QEvent*)
    {64, 2222, 1, 1, Smoke::mf_static, 289, 24},	//1390 Plasma::Frame::tr(const char*)
    {64, 2226, 1, 1, Smoke::mf_static, 289, 25},	//1391 Plasma::Frame::trUtf8(const char*)
    {64, 182, 0, 0, Smoke::mf_ctor, 99, 26},	//1392 Plasma::Frame::Frame()
    {64, 1389, 310, 2, Smoke::mf_protected, 0, 27},	//1393 Plasma::Frame::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {64, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 28},	//1394 Plasma::Frame::staticMetaObject() const
    {64, 373, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 29},	//1395 Plasma::Frame::Plain (enum)
    {64, 403, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 30},	//1396 Plasma::Frame::Raised (enum)
    {64, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 31},	//1397 Plasma::Frame::Sunken (enum)
    {64, 2353, 0, 0, Smoke::mf_dtor, 0, 32 },	//1398 Plasma::Frame::~Frame()
    {65, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//1399 Plasma::FrameSvg::metaObject() const
    {65, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//1400 Plasma::FrameSvg::qt_metacast(const char*)
    {65, 2222, 43, 2, Smoke::mf_static, 289, 3},	//1401 Plasma::FrameSvg::tr(const char*, const char*)
    {65, 2226, 43, 2, Smoke::mf_static, 289, 4},	//1402 Plasma::FrameSvg::trUtf8(const char*, const char*)
    {65, 2222, 46, 3, Smoke::mf_static, 289, 5},	//1403 Plasma::FrameSvg::tr(const char*, const char*, int)
    {65, 2226, 46, 3, Smoke::mf_static, 289, 6},	//1404 Plasma::FrameSvg::trUtf8(const char*, const char*, int)
    {65, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//1405 Plasma::FrameSvg::qt_metacall(QMetaObject::Call, int, void**)
    {65, 184, 97, 1, Smoke::mf_ctor, 101, 8},	//1406 Plasma::FrameSvg::FrameSvg(QObject*)
    {65, 1820, 89, 1, 0, 0, 9},	//1407 Plasma::FrameSvg::setImagePath(const QString&)
    {65, 1761, 563, 1, 0, 0, 10},	//1408 Plasma::FrameSvg::setEnabledBorders(const QFlags<Plasma::FrameSvg::EnabledBorder>)
    {65, 936, 0, 0, Smoke::mf_const, 202, 11},	//1409 Plasma::FrameSvg::enabledBorders() const
    {65, 1545, 565, 1, 0, 0, 12},	//1410 Plasma::FrameSvg::resizeFrame(const QSizeF&)
    {65, 1010, 0, 0, Smoke::mf_const, 287, 13},	//1411 Plasma::FrameSvg::frameSize() const
    {65, 1308, 567, 1, Smoke::mf_const, 468, 14},	//1412 Plasma::FrameSvg::marginSize(const Plasma::MarginEdge) const
    {65, 1016, 569, 4, Smoke::mf_const, 0, 15},	//1413 Plasma::FrameSvg::getMargins(double&, double&, double&, double&) const
    {65, 789, 0, 0, Smoke::mf_const, 279, 16},	//1414 Plasma::FrameSvg::contentsRect() const
    {65, 1753, 9, 1, 0, 0, 17},	//1415 Plasma::FrameSvg::setElementPrefix(Plasma::Location)
    {65, 1753, 89, 1, 0, 0, 18},	//1416 Plasma::FrameSvg::setElementPrefix(const QString&)
    {65, 1034, 89, 1, Smoke::mf_const, 382, 19},	//1417 Plasma::FrameSvg::hasElementPrefix(const QString&) const
    {65, 1034, 9, 1, Smoke::mf_const, 382, 20},	//1418 Plasma::FrameSvg::hasElementPrefix(Plasma::Location) const
    {65, 1441, 0, 0, 0, 289, 21},	//1419 Plasma::FrameSvg::prefix()
    {65, 1310, 0, 0, Smoke::mf_const, 282, 22},	//1420 Plasma::FrameSvg::mask() const
    {65, 654, 0, 0, Smoke::mf_const, 273, 23},	//1421 Plasma::FrameSvg::alphaMask() const
    {65, 1663, 7, 1, 0, 0, 24},	//1422 Plasma::FrameSvg::setCacheAllRenderedFrames(bool)
    {65, 713, 0, 0, Smoke::mf_const, 382, 25},	//1423 Plasma::FrameSvg::cacheAllRenderedFrames() const
    {65, 728, 0, 0, 0, 0, 26},	//1424 Plasma::FrameSvg::clearCache()
    {65, 1008, 0, 0, 0, 273, 27},	//1425 Plasma::FrameSvg::framePixmap()
    {65, 1400, 574, 3, 0, 0, 28},	//1426 Plasma::FrameSvg::paintFrame(QPainter*, const QRectF&, const QRectF&)
    {65, 1400, 578, 2, 0, 0, 29},	//1427 Plasma::FrameSvg::paintFrame(QPainter*, const QPointF&)
    {65, 2222, 1, 1, Smoke::mf_static, 289, 30},	//1428 Plasma::FrameSvg::tr(const char*)
    {65, 2226, 1, 1, Smoke::mf_static, 289, 31},	//1429 Plasma::FrameSvg::trUtf8(const char*)
    {65, 184, 0, 0, Smoke::mf_ctor, 101, 32},	//1430 Plasma::FrameSvg::FrameSvg()
    {65, 1400, 581, 2, 0, 0, 33},	//1431 Plasma::FrameSvg::paintFrame(QPainter*, const QRectF&)
    {65, 1400, 584, 1, 0, 0, 34},	//1432 Plasma::FrameSvg::paintFrame(QPainter*)
    {65, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 35},	//1433 Plasma::FrameSvg::staticMetaObject() const
    {65, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 36},	//1434 Plasma::FrameSvg::NoBorder (enum)
    {65, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 37},	//1435 Plasma::FrameSvg::TopBorder (enum)
    {65, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 38},	//1436 Plasma::FrameSvg::BottomBorder (enum)
    {65, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 39},	//1437 Plasma::FrameSvg::LeftBorder (enum)
    {65, 406, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 40},	//1438 Plasma::FrameSvg::RightBorder (enum)
    {65, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 41},	//1439 Plasma::FrameSvg::AllBorders (enum)
    {65, 2354, 0, 0, Smoke::mf_dtor, 0, 42 },	//1440 Plasma::FrameSvg::~FrameSvg()
    {66, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//1441 Plasma::GLApplet::metaObject() const
    {66, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//1442 Plasma::GLApplet::qt_metacast(const char*)
    {66, 2222, 43, 2, Smoke::mf_static, 289, 3},	//1443 Plasma::GLApplet::tr(const char*, const char*)
    {66, 2226, 43, 2, Smoke::mf_static, 289, 4},	//1444 Plasma::GLApplet::trUtf8(const char*, const char*)
    {66, 2222, 46, 3, Smoke::mf_static, 289, 5},	//1445 Plasma::GLApplet::tr(const char*, const char*, int)
    {66, 2226, 46, 3, Smoke::mf_static, 289, 6},	//1446 Plasma::GLApplet::trUtf8(const char*, const char*, int)
    {66, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//1447 Plasma::GLApplet::qt_metacall(QMetaObject::Call, int, void**)
    {66, 188, 586, 3, Smoke::mf_ctor, 103, 8},	//1448 Plasma::GLApplet::GLApplet(QGraphicsItem*, const QString&, int)
    {66, 188, 70, 2, Smoke::mf_ctor, 103, 9},	//1449 Plasma::GLApplet::GLApplet(QObject*, const QList<QVariant>&)
    {66, 709, 590, 2, 0, 477, 10},	//1450 Plasma::GLApplet::bindTexture(const QImage&, unsigned int)
    {66, 847, 36, 1, 0, 0, 11},	//1451 Plasma::GLApplet::deleteTexture(unsigned int)
    {66, 1404, 310, 2, Smoke::mf_virtual, 0, 12},	//1452 Plasma::GLApplet::paintGLInterface(QPainter*, const QStyleOptionGraphicsItem*)
    {66, 1301, 0, 0, 0, 0, 13},	//1453 Plasma::GLApplet::makeCurrent()
    {66, 2222, 1, 1, Smoke::mf_static, 289, 14},	//1454 Plasma::GLApplet::tr(const char*)
    {66, 2226, 1, 1, Smoke::mf_static, 289, 15},	//1455 Plasma::GLApplet::trUtf8(const char*)
    {66, 709, 593, 1, 0, 477, 16},	//1456 Plasma::GLApplet::bindTexture(const QImage&)
    {66, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 17},	//1457 Plasma::GLApplet::staticMetaObject() const
    {66, 2355, 0, 0, Smoke::mf_dtor, 0, 18 },	//1458 Plasma::GLApplet::~GLApplet()
    {67, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//1459 Plasma::GroupBox::metaObject() const
    {67, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//1460 Plasma::GroupBox::qt_metacast(const char*)
    {67, 2222, 43, 2, Smoke::mf_static, 289, 3},	//1461 Plasma::GroupBox::tr(const char*, const char*)
    {67, 2226, 43, 2, Smoke::mf_static, 289, 4},	//1462 Plasma::GroupBox::trUtf8(const char*, const char*)
    {67, 2222, 46, 3, Smoke::mf_static, 289, 5},	//1463 Plasma::GroupBox::tr(const char*, const char*, int)
    {67, 2226, 46, 3, Smoke::mf_static, 289, 6},	//1464 Plasma::GroupBox::trUtf8(const char*, const char*, int)
    {67, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//1465 Plasma::GroupBox::qt_metacall(QMetaObject::Call, int, void**)
    {67, 192, 116, 1, Smoke::mf_ctor, 104, 8},	//1466 Plasma::GroupBox::GroupBox(QGraphicsWidget*)
    {67, 2012, 89, 1, Smoke::mf_property, 0, 9},	//1467 Plasma::GroupBox::setText(const QString&)
    {67, 2194, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 10},	//1468 Plasma::GroupBox::text() const
    {67, 1982, 89, 1, Smoke::mf_property, 0, 11},	//1469 Plasma::GroupBox::setStyleSheet(const QString&)
    {67, 2161, 0, 0, Smoke::mf_property, 289, 12},	//1470 Plasma::GroupBox::styleSheet()
    {67, 1361, 0, 0, Smoke::mf_const, 227, 13},	//1471 Plasma::GroupBox::nativeWidget() const
    {67, 1543, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//1472 Plasma::GroupBox::resizeEvent(QGraphicsSceneResizeEvent*)
    {67, 718, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//1473 Plasma::GroupBox::changeEvent(QEvent*)
    {67, 2222, 1, 1, Smoke::mf_static, 289, 16},	//1474 Plasma::GroupBox::tr(const char*)
    {67, 2226, 1, 1, Smoke::mf_static, 289, 17},	//1475 Plasma::GroupBox::trUtf8(const char*)
    {67, 192, 0, 0, Smoke::mf_ctor, 104, 18},	//1476 Plasma::GroupBox::GroupBox()
    {67, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 19},	//1477 Plasma::GroupBox::staticMetaObject() const
    {67, 2356, 0, 0, Smoke::mf_dtor, 0, 20 },	//1478 Plasma::GroupBox::~GroupBox()
    {68, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//1479 Plasma::IconWidget::metaObject() const
    {68, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//1480 Plasma::IconWidget::qt_metacast(const char*)
    {68, 2222, 43, 2, Smoke::mf_static, 289, 3},	//1481 Plasma::IconWidget::tr(const char*, const char*)
    {68, 2226, 43, 2, Smoke::mf_static, 289, 4},	//1482 Plasma::IconWidget::trUtf8(const char*, const char*)
    {68, 2222, 46, 3, Smoke::mf_static, 289, 5},	//1483 Plasma::IconWidget::tr(const char*, const char*, int)
    {68, 2226, 46, 3, Smoke::mf_static, 289, 6},	//1484 Plasma::IconWidget::trUtf8(const char*, const char*, int)
    {68, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//1485 Plasma::IconWidget::qt_metacall(QMetaObject::Call, int, void**)
    {68, 205, 161, 1, Smoke::mf_ctor, 105, 8},	//1486 Plasma::IconWidget::IconWidget(QGraphicsItem*)
    {68, 205, 595, 2, Smoke::mf_ctor, 105, 9},	//1487 Plasma::IconWidget::IconWidget(const QString&, QGraphicsItem*)
    {68, 205, 598, 3, Smoke::mf_ctor, 105, 10},	//1488 Plasma::IconWidget::IconWidget(const QIcon&, const QString&, QGraphicsItem*)
    {68, 2194, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 11},	//1489 Plasma::IconWidget::text() const
    {68, 2012, 89, 1, Smoke::mf_property, 0, 12},	//1490 Plasma::IconWidget::setText(const QString&)
    {68, 1988, 77, 2, 0, 0, 13},	//1491 Plasma::IconWidget::setSvg(const QString&, const QString&)
    {68, 2167, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 14},	//1492 Plasma::IconWidget::svg() const
    {68, 1080, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 15},	//1493 Plasma::IconWidget::infoText() const
    {68, 1826, 89, 1, Smoke::mf_property, 0, 16},	//1494 Plasma::IconWidget::setInfoText(const QString&)
    {68, 1065, 0, 0, Smoke::mf_const|Smoke::mf_property, 233, 17},	//1495 Plasma::IconWidget::icon() const
    {68, 1809, 529, 1, Smoke::mf_property, 0, 18},	//1496 Plasma::IconWidget::setIcon(const QIcon&)
    {68, 2195, 0, 0, Smoke::mf_const|Smoke::mf_property, 186, 19},	//1497 Plasma::IconWidget::textBackgroundColor() const
    {68, 2014, 543, 1, Smoke::mf_property, 0, 20},	//1498 Plasma::IconWidget::setTextBackgroundColor(const QColor&)
    {68, 1809, 89, 1, 0, 0, 21},	//1499 Plasma::IconWidget::setIcon(const QString&)
    {68, 1066, 0, 0, Smoke::mf_const|Smoke::mf_property, 287, 22},	//1500 Plasma::IconWidget::iconSize() const
    {68, 1903, 565, 1, Smoke::mf_property, 0, 23},	//1501 Plasma::IconWidget::setPreferredIconSize(const QSizeF&)
    {68, 1440, 0, 0, Smoke::mf_const|Smoke::mf_property, 287, 24},	//1502 Plasma::IconWidget::preferredIconSize() const
    {68, 1859, 565, 1, Smoke::mf_property, 0, 25},	//1503 Plasma::IconWidget::setMinimumIconSize(const QSizeF&)
    {68, 1335, 0, 0, Smoke::mf_const|Smoke::mf_property, 287, 26},	//1504 Plasma::IconWidget::minimumIconSize() const
    {68, 1851, 565, 1, Smoke::mf_property, 0, 27},	//1505 Plasma::IconWidget::setMaximumIconSize(const QSizeF&)
    {68, 1320, 0, 0, Smoke::mf_const|Smoke::mf_property, 287, 28},	//1506 Plasma::IconWidget::maximumIconSize() const
    {68, 612, 103, 1, 0, 0, 29},	//1507 Plasma::IconWidget::addIconAction(QAction*)
    {68, 1504, 103, 1, 0, 0, 30},	//1508 Plasma::IconWidget::removeIconAction(QAction*)
    {68, 1615, 103, 1, 0, 0, 31},	//1509 Plasma::IconWidget::setAction(QAction*)
    {68, 570, 0, 0, Smoke::mf_const, 180, 32},	//1510 Plasma::IconWidget::action() const
    {68, 1878, 602, 1, Smoke::mf_property, 0, 33},	//1511 Plasma::IconWidget::setOrientation(Qt::Orientation)
    {68, 1382, 0, 0, Smoke::mf_const|Smoke::mf_property, 352, 34},	//1512 Plasma::IconWidget::orientation() const
    {68, 1107, 7, 1, 0, 0, 35},	//1513 Plasma::IconWidget::invertLayout(bool)
    {68, 1109, 0, 0, Smoke::mf_const, 382, 36},	//1514 Plasma::IconWidget::invertedLayout() const
    {68, 2121, 604, 1, Smoke::mf_const, 287, 37},	//1515 Plasma::IconWidget::sizeFromIconSize(const double) const
    {68, 1366, 0, 0, Smoke::mf_property, 471, 38},	//1516 Plasma::IconWidget::numDisplayLines()
    {68, 1872, 120, 1, Smoke::mf_property, 0, 39},	//1517 Plasma::IconWidget::setNumDisplayLines(int)
    {68, 1742, 7, 1, Smoke::mf_property, 0, 40},	//1518 Plasma::IconWidget::setDrawBackground(bool)
    {68, 885, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 41},	//1519 Plasma::IconWidget::drawBackground() const
    {68, 2087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 42},	//1520 Plasma::IconWidget::shape() const
    {68, 1905, 7, 1, Smoke::mf_slot, 0, 43},	//1521 Plasma::IconWidget::setPressed(bool)
    {68, 2036, 0, 0, Smoke::mf_slot, 0, 44},	//1522 Plasma::IconWidget::setUnpressed()
    {68, 1389, 207, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//1523 Plasma::IconWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {68, 2123, 274, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 46},	//1524 Plasma::IconWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {68, 1443, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//1525 Plasma::IconWidget::pressed(bool)
    {68, 733, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//1526 Plasma::IconWidget::clicked()
    {68, 873, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//1527 Plasma::IconWidget::doubleClicked()
    {68, 582, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//1528 Plasma::IconWidget::activated()
    {68, 720, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//1529 Plasma::IconWidget::changed()
    {68, 1120, 0, 0, Smoke::mf_protected, 382, 52},	//1530 Plasma::IconWidget::isDown()
    {68, 1343, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//1531 Plasma::IconWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {68, 1341, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//1532 Plasma::IconWidget::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {68, 1345, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//1533 Plasma::IconWidget::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {68, 1339, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//1534 Plasma::IconWidget::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {68, 1058, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//1535 Plasma::IconWidget::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {68, 1060, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//1536 Plasma::IconWidget::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {68, 1580, 262, 2, Smoke::mf_protected|Smoke::mf_virtual, 382, 59},	//1537 Plasma::IconWidget::sceneEventFilter(QGraphicsItem*, QEvent*)
    {68, 718, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//1538 Plasma::IconWidget::changeEvent(QEvent*)
    {68, 881, 606, 3, 0, 0, 61},	//1539 Plasma::IconWidget::drawActionButtonBase(QPainter*, const QSize&, int)
    {68, 2222, 1, 1, Smoke::mf_static, 289, 62},	//1540 Plasma::IconWidget::tr(const char*)
    {68, 2226, 1, 1, Smoke::mf_static, 289, 63},	//1541 Plasma::IconWidget::trUtf8(const char*)
    {68, 205, 0, 0, Smoke::mf_ctor, 105, 64},	//1542 Plasma::IconWidget::IconWidget()
    {68, 205, 89, 1, Smoke::mf_ctor, 105, 65},	//1543 Plasma::IconWidget::IconWidget(const QString&)
    {68, 205, 610, 2, Smoke::mf_ctor, 105, 66},	//1544 Plasma::IconWidget::IconWidget(const QIcon&, const QString&)
    {68, 1988, 89, 1, 0, 0, 67},	//1545 Plasma::IconWidget::setSvg(const QString&)
    {68, 1905, 0, 0, Smoke::mf_slot, 0, 68},	//1546 Plasma::IconWidget::setPressed()
    {68, 1389, 310, 2, Smoke::mf_protected, 0, 69},	//1547 Plasma::IconWidget::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {68, 2123, 235, 1, Smoke::mf_const|Smoke::mf_protected, 287, 70},	//1548 Plasma::IconWidget::sizeHint(Qt::SizeHint) const
    {68, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 71},	//1549 Plasma::IconWidget::staticMetaObject() const
    {68, 2357, 0, 0, Smoke::mf_dtor, 0, 72 },	//1550 Plasma::IconWidget::~IconWidget()
    {69, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//1551 Plasma::ItemBackground::metaObject() const
    {69, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//1552 Plasma::ItemBackground::qt_metacast(const char*)
    {69, 2222, 43, 2, Smoke::mf_static, 289, 3},	//1553 Plasma::ItemBackground::tr(const char*, const char*)
    {69, 2226, 43, 2, Smoke::mf_static, 289, 4},	//1554 Plasma::ItemBackground::trUtf8(const char*, const char*)
    {69, 2222, 46, 3, Smoke::mf_static, 289, 5},	//1555 Plasma::ItemBackground::tr(const char*, const char*, int)
    {69, 2226, 46, 3, Smoke::mf_static, 289, 6},	//1556 Plasma::ItemBackground::trUtf8(const char*, const char*, int)
    {69, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//1557 Plasma::ItemBackground::qt_metacall(QMetaObject::Call, int, void**)
    {69, 221, 116, 1, Smoke::mf_ctor, 108, 8},	//1558 Plasma::ItemBackground::ItemBackground(QGraphicsWidget*)
    {69, 2002, 613, 1, Smoke::mf_property, 0, 9},	//1559 Plasma::ItemBackground::setTarget(const QRectF&)
    {69, 2185, 0, 0, Smoke::mf_const|Smoke::mf_property, 279, 10},	//1560 Plasma::ItemBackground::target() const
    {69, 2004, 161, 1, Smoke::mf_property, 0, 11},	//1561 Plasma::ItemBackground::setTargetItem(QGraphicsItem*)
    {69, 2186, 0, 0, Smoke::mf_const|Smoke::mf_property, 212, 12},	//1562 Plasma::ItemBackground::targetItem() const
    {69, 1389, 207, 3, Smoke::mf_virtual, 0, 13},	//1563 Plasma::ItemBackground::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {69, 672, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1564 Plasma::ItemBackground::appearanceChanged()
    {69, 669, 615, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1565 Plasma::ItemBackground::animationStep(qreal)
    {69, 2189, 617, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1566 Plasma::ItemBackground::targetReached(QRectF)
    {69, 2187, 161, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1567 Plasma::ItemBackground::targetItemReached(QGraphicsItem*)
    {69, 1161, 271, 2, Smoke::mf_protected|Smoke::mf_virtual, 299, 18},	//1568 Plasma::ItemBackground::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {69, 952, 259, 2, Smoke::mf_protected|Smoke::mf_virtual, 382, 19},	//1569 Plasma::ItemBackground::eventFilter(QObject*, QEvent*)
    {69, 1580, 262, 2, Smoke::mf_protected|Smoke::mf_virtual, 382, 20},	//1570 Plasma::ItemBackground::sceneEventFilter(QGraphicsItem*, QEvent*)
    {69, 1543, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1571 Plasma::ItemBackground::resizeEvent(QGraphicsSceneResizeEvent*)
    {69, 2222, 1, 1, Smoke::mf_static, 289, 22},	//1572 Plasma::ItemBackground::tr(const char*)
    {69, 2226, 1, 1, Smoke::mf_static, 289, 23},	//1573 Plasma::ItemBackground::trUtf8(const char*)
    {69, 221, 0, 0, Smoke::mf_ctor, 108, 24},	//1574 Plasma::ItemBackground::ItemBackground()
    {69, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 25},	//1575 Plasma::ItemBackground::staticMetaObject() const
    {69, 2358, 0, 0, Smoke::mf_dtor, 0, 26 },	//1576 Plasma::ItemBackground::~ItemBackground()
    {70, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//1577 Plasma::Label::metaObject() const
    {70, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//1578 Plasma::Label::qt_metacast(const char*)
    {70, 2222, 43, 2, Smoke::mf_static, 289, 3},	//1579 Plasma::Label::tr(const char*, const char*)
    {70, 2226, 43, 2, Smoke::mf_static, 289, 4},	//1580 Plasma::Label::trUtf8(const char*, const char*)
    {70, 2222, 46, 3, Smoke::mf_static, 289, 5},	//1581 Plasma::Label::tr(const char*, const char*, int)
    {70, 2226, 46, 3, Smoke::mf_static, 289, 6},	//1582 Plasma::Label::trUtf8(const char*, const char*, int)
    {70, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//1583 Plasma::Label::qt_metacall(QMetaObject::Call, int, void**)
    {70, 291, 116, 1, Smoke::mf_ctor, 111, 8},	//1584 Plasma::Label::Label(QGraphicsWidget*)
    {70, 2012, 89, 1, Smoke::mf_property, 0, 9},	//1585 Plasma::Label::setText(const QString&)
    {70, 2194, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 10},	//1586 Plasma::Label::text() const
    {70, 1816, 89, 1, Smoke::mf_property, 0, 11},	//1587 Plasma::Label::setImage(const QString&)
    {70, 1069, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 12},	//1588 Plasma::Label::image() const
    {70, 1619, 619, 1, 0, 0, 13},	//1589 Plasma::Label::setAlignment(QFlags<Qt::AlignmentFlag>)
    {70, 651, 0, 0, Smoke::mf_const, 205, 14},	//1590 Plasma::Label::alignment() const
    {70, 1939, 7, 1, Smoke::mf_property, 0, 15},	//1591 Plasma::Label::setScaledContents(bool)
    {70, 1043, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 16},	//1592 Plasma::Label::hasScaledContents() const
    {70, 2016, 7, 1, Smoke::mf_property, 0, 17},	//1593 Plasma::Label::setTextSelectable(bool)
    {70, 2200, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 18},	//1594 Plasma::Label::textSelectable() const
    {70, 2081, 7, 1, Smoke::mf_property, 0, 19},	//1595 Plasma::Label::setWordWrap(bool)
    {70, 2316, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 20},	//1596 Plasma::Label::wordWrap() const
    {70, 1982, 89, 1, Smoke::mf_property, 0, 21},	//1597 Plasma::Label::setStyleSheet(const QString&)
    {70, 2161, 0, 0, Smoke::mf_property, 289, 22},	//1598 Plasma::Label::styleSheet()
    {70, 1361, 0, 0, Smoke::mf_const, 237, 23},	//1599 Plasma::Label::nativeWidget() const
    {70, 1211, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//1600 Plasma::Label::linkActivated(const QString&)
    {70, 1214, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//1601 Plasma::Label::linkHovered(const QString&)
    {70, 842, 461, 2, Smoke::mf_slot, 0, 26},	//1602 Plasma::Label::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {70, 1543, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//1603 Plasma::Label::resizeEvent(QGraphicsSceneResizeEvent*)
    {70, 1343, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//1604 Plasma::Label::mousePressEvent(QGraphicsSceneMouseEvent*)
    {70, 1341, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//1605 Plasma::Label::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {70, 1389, 207, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//1606 Plasma::Label::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {70, 718, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//1607 Plasma::Label::changeEvent(QEvent*)
    {70, 950, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 32},	//1608 Plasma::Label::event(QEvent*)
    {70, 1161, 271, 2, Smoke::mf_protected|Smoke::mf_virtual, 299, 33},	//1609 Plasma::Label::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {70, 797, 378, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1610 Plasma::Label::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {70, 2123, 274, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 35},	//1611 Plasma::Label::sizeHint(Qt::SizeHint, const QSizeF&) const
    {70, 2222, 1, 1, Smoke::mf_static, 289, 36},	//1612 Plasma::Label::tr(const char*)
    {70, 2226, 1, 1, Smoke::mf_static, 289, 37},	//1613 Plasma::Label::trUtf8(const char*)
    {70, 291, 0, 0, Smoke::mf_ctor, 111, 38},	//1614 Plasma::Label::Label()
    {70, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 39},	//1615 Plasma::Label::staticMetaObject() const
    {70, 2359, 0, 0, Smoke::mf_dtor, 0, 40 },	//1616 Plasma::Label::~Label()
    {71, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//1617 Plasma::LineEdit::metaObject() const
    {71, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//1618 Plasma::LineEdit::qt_metacast(const char*)
    {71, 2222, 43, 2, Smoke::mf_static, 289, 3},	//1619 Plasma::LineEdit::tr(const char*, const char*)
    {71, 2226, 43, 2, Smoke::mf_static, 289, 4},	//1620 Plasma::LineEdit::trUtf8(const char*, const char*)
    {71, 2222, 46, 3, Smoke::mf_static, 289, 5},	//1621 Plasma::LineEdit::tr(const char*, const char*, int)
    {71, 2226, 46, 3, Smoke::mf_static, 289, 6},	//1622 Plasma::LineEdit::trUtf8(const char*, const char*, int)
    {71, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//1623 Plasma::LineEdit::qt_metacall(QMetaObject::Call, int, void**)
    {71, 301, 116, 1, Smoke::mf_ctor, 112, 8},	//1624 Plasma::LineEdit::LineEdit(QGraphicsWidget*)
    {71, 2012, 89, 1, Smoke::mf_property, 0, 9},	//1625 Plasma::LineEdit::setText(const QString&)
    {71, 2194, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 10},	//1626 Plasma::LineEdit::text() const
    {71, 1673, 7, 1, Smoke::mf_property, 0, 11},	//1627 Plasma::LineEdit::setClearButtonShown(bool)
    {71, 1115, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 12},	//1628 Plasma::LineEdit::isClearButtonShown() const
    {71, 1675, 89, 1, Smoke::mf_property, 0, 13},	//1629 Plasma::LineEdit::setClickMessage(const QString&)
    {71, 732, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 14},	//1630 Plasma::LineEdit::clickMessage() const
    {71, 1982, 89, 1, Smoke::mf_property, 0, 15},	//1631 Plasma::LineEdit::setStyleSheet(const QString&)
    {71, 2161, 0, 0, Smoke::mf_property, 289, 16},	//1632 Plasma::LineEdit::styleSheet()
    {71, 1868, 621, 1, 0, 0, 17},	//1633 Plasma::LineEdit::setNativeWidget(KLineEdit*)
    {71, 1361, 0, 0, Smoke::mf_const, 13, 18},	//1634 Plasma::LineEdit::nativeWidget() const
    {71, 1058, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//1635 Plasma::LineEdit::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {71, 1060, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1636 Plasma::LineEdit::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {71, 718, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1637 Plasma::LineEdit::changeEvent(QEvent*)
    {71, 1389, 207, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1638 Plasma::LineEdit::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {71, 1343, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1639 Plasma::LineEdit::mousePressEvent(QGraphicsSceneMouseEvent*)
    {71, 997, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//1640 Plasma::LineEdit::focusOutEvent(QFocusEvent*)
    {71, 908, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//1641 Plasma::LineEdit::editingFinished()
    {71, 1552, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1642 Plasma::LineEdit::returnPressed()
    {71, 2198, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1643 Plasma::LineEdit::textEdited(const QString&)
    {71, 2196, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//1644 Plasma::LineEdit::textChanged(const QString&)
    {71, 2222, 1, 1, Smoke::mf_static, 289, 29},	//1645 Plasma::LineEdit::tr(const char*)
    {71, 2226, 1, 1, Smoke::mf_static, 289, 30},	//1646 Plasma::LineEdit::trUtf8(const char*)
    {71, 301, 0, 0, Smoke::mf_ctor, 112, 31},	//1647 Plasma::LineEdit::LineEdit()
    {71, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 32},	//1648 Plasma::LineEdit::staticMetaObject() const
    {71, 2360, 0, 0, Smoke::mf_dtor, 0, 33 },	//1649 Plasma::LineEdit::~LineEdit()
    {72, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//1650 Plasma::Meter::metaObject() const
    {72, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//1651 Plasma::Meter::qt_metacast(const char*)
    {72, 2222, 43, 2, Smoke::mf_static, 289, 3},	//1652 Plasma::Meter::tr(const char*, const char*)
    {72, 2226, 43, 2, Smoke::mf_static, 289, 4},	//1653 Plasma::Meter::trUtf8(const char*, const char*)
    {72, 2222, 46, 3, Smoke::mf_static, 289, 5},	//1654 Plasma::Meter::tr(const char*, const char*, int)
    {72, 2226, 46, 3, Smoke::mf_static, 289, 6},	//1655 Plasma::Meter::trUtf8(const char*, const char*, int)
    {72, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//1656 Plasma::Meter::qt_metacall(QMetaObject::Call, int, void**)
    {72, 312, 161, 1, Smoke::mf_ctor, 116, 8},	//1657 Plasma::Meter::Meter(QGraphicsItem*)
    {72, 1319, 0, 0, Smoke::mf_const|Smoke::mf_property, 471, 9},	//1658 Plasma::Meter::maximum() const
    {72, 1334, 0, 0, Smoke::mf_const|Smoke::mf_property, 471, 10},	//1659 Plasma::Meter::minimum() const
    {72, 2276, 0, 0, Smoke::mf_const|Smoke::mf_property, 471, 11},	//1660 Plasma::Meter::value() const
    {72, 1988, 89, 1, Smoke::mf_property, 0, 12},	//1661 Plasma::Meter::setSvg(const QString&)
    {72, 2167, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 13},	//1662 Plasma::Meter::svg() const
    {72, 1853, 623, 1, Smoke::mf_property, 0, 14},	//1663 Plasma::Meter::setMeterType(Plasma::Meter::MeterType)
    {72, 1326, 0, 0, Smoke::mf_const|Smoke::mf_property, 117, 15},	//1664 Plasma::Meter::meterType() const
    {72, 1832, 625, 2, 0, 0, 16},	//1665 Plasma::Meter::setLabel(int, const QString&)
    {72, 1188, 120, 1, Smoke::mf_const, 289, 17},	//1666 Plasma::Meter::label(int) const
    {72, 1837, 628, 2, 0, 0, 18},	//1667 Plasma::Meter::setLabelColor(int, const QColor&)
    {72, 1192, 120, 1, Smoke::mf_const, 186, 19},	//1668 Plasma::Meter::labelColor(int) const
    {72, 1839, 631, 2, 0, 0, 20},	//1669 Plasma::Meter::setLabelFont(int, const QFont&)
    {72, 1194, 120, 1, Smoke::mf_const, 209, 21},	//1670 Plasma::Meter::labelFont(int) const
    {72, 1835, 634, 2, 0, 0, 22},	//1671 Plasma::Meter::setLabelAlignment(int, const QFlags<Qt::AlignmentFlag>)
    {72, 1190, 120, 1, Smoke::mf_const, 205, 23},	//1672 Plasma::Meter::labelAlignment(int) const
    {72, 1196, 120, 1, Smoke::mf_const, 279, 24},	//1673 Plasma::Meter::labelRect(int) const
    {72, 842, 461, 2, Smoke::mf_slot, 0, 25},	//1674 Plasma::Meter::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {72, 1849, 120, 1, Smoke::mf_property|Smoke::mf_slot, 0, 26},	//1675 Plasma::Meter::setMaximum(int)
    {72, 1857, 120, 1, Smoke::mf_property|Smoke::mf_slot, 0, 27},	//1676 Plasma::Meter::setMinimum(int)
    {72, 2050, 120, 1, Smoke::mf_property|Smoke::mf_slot, 0, 28},	//1677 Plasma::Meter::setValue(int)
    {72, 1389, 207, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//1678 Plasma::Meter::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {72, 2123, 274, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 30},	//1679 Plasma::Meter::sizeHint(Qt::SizeHint, const QSizeF&) const
    {72, 2222, 1, 1, Smoke::mf_static, 289, 31},	//1680 Plasma::Meter::tr(const char*)
    {72, 2226, 1, 1, Smoke::mf_static, 289, 32},	//1681 Plasma::Meter::trUtf8(const char*)
    {72, 312, 0, 0, Smoke::mf_ctor, 116, 33},	//1682 Plasma::Meter::Meter()
    {72, 1389, 310, 2, Smoke::mf_protected, 0, 34},	//1683 Plasma::Meter::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {72, 2123, 235, 1, Smoke::mf_const|Smoke::mf_protected, 287, 35},	//1684 Plasma::Meter::sizeHint(Qt::SizeHint) const
    {72, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 36},	//1685 Plasma::Meter::staticMetaObject() const
    {72, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 37},	//1686 Plasma::Meter::BarMeterHorizontal (enum)
    {72, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 38},	//1687 Plasma::Meter::BarMeterVertical (enum)
    {72, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 39},	//1688 Plasma::Meter::AnalogMeter (enum)
    {72, 2361, 0, 0, Smoke::mf_dtor, 0, 40 },	//1689 Plasma::Meter::~Meter()
    {73, 353, 637, 3, Smoke::mf_ctor, 118, 1},	//1690 Plasma::Package::Package(const QString&, const QString&, KSharedPtr<Plasma::PackageStructure>)
    {73, 353, 641, 2, Smoke::mf_ctor, 118, 2},	//1691 Plasma::Package::Package(const QString&, KSharedPtr<Plasma::PackageStructure>)
    {73, 1146, 0, 0, Smoke::mf_const, 382, 3},	//1692 Plasma::Package::isValid() const
    {73, 970, 644, 2, Smoke::mf_const, 289, 4},	//1693 Plasma::Package::filePath(const char*, const QString&) const
    {73, 970, 1, 1, Smoke::mf_const, 289, 5},	//1694 Plasma::Package::filePath(const char*) const
    {73, 947, 1, 1, Smoke::mf_const, 290, 6},	//1695 Plasma::Package::entryList(const char*) const
    {73, 1325, 0, 0, Smoke::mf_const, 119, 7},	//1696 Plasma::Package::metadata() const
    {73, 1888, 89, 1, 0, 0, 8},	//1697 Plasma::Package::setPath(const QString&)
    {73, 1416, 0, 0, Smoke::mf_const, 452, 9},	//1698 Plasma::Package::path() const
    {73, 2159, 0, 0, Smoke::mf_const, 391, 10},	//1699 Plasma::Package::structure() const
    {73, 787, 0, 0, Smoke::mf_const, 289, 11},	//1700 Plasma::Package::contentsHash() const
    {73, 1245, 89, 1, Smoke::mf_static, 290, 12},	//1701 Plasma::Package::listInstalled(const QString&)
    {73, 1247, 89, 1, Smoke::mf_static, 290, 13},	//1702 Plasma::Package::listInstalledPaths(const QString&)
    {73, 1102, 340, 3, Smoke::mf_static, 382, 14},	//1703 Plasma::Package::installPackage(const QString&, const QString&, const QString&)
    {73, 2234, 340, 3, Smoke::mf_static, 382, 15},	//1704 Plasma::Package::uninstallPackage(const QString&, const QString&, const QString&)
    {73, 1472, 647, 2, Smoke::mf_static, 382, 16},	//1705 Plasma::Package::registerPackage(const Plasma::PackageMetadata&, const QString&)
    {73, 817, 650, 4, Smoke::mf_static, 382, 17},	//1706 Plasma::Package::createPackage(const Plasma::PackageMetadata&, const QString&, const QString&, const QString&)
    {73, 817, 655, 3, Smoke::mf_static, 382, 18},	//1707 Plasma::Package::createPackage(const Plasma::PackageMetadata&, const QString&, const QString&)
    {73, 2362, 0, 0, Smoke::mf_dtor, 0, 19 },	//1708 Plasma::Package::~Package()
    {74, 356, 89, 1, Smoke::mf_ctor, 121, 1},	//1709 Plasma::PackageMetadata::PackageMetadata(const QString&)
    {74, 356, 659, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 121, 2},	//1710 Plasma::PackageMetadata::PackageMetadata(const Plasma::PackageMetadata&)
    {74, 1378, 659, 1, 0, 120, 3},	//1711 Plasma::PackageMetadata::operator=(const Plasma::PackageMetadata&)
    {74, 1146, 0, 0, Smoke::mf_const, 382, 4},	//1712 Plasma::PackageMetadata::isValid() const
    {74, 2317, 89, 1, Smoke::mf_const, 0, 5},	//1713 Plasma::PackageMetadata::write(const QString&) const
    {74, 1460, 89, 1, 0, 0, 6},	//1714 Plasma::PackageMetadata::read(const QString&)
    {74, 1359, 0, 0, Smoke::mf_const, 289, 7},	//1715 Plasma::PackageMetadata::name() const
    {74, 849, 0, 0, Smoke::mf_const, 289, 8},	//1716 Plasma::PackageMetadata::description() const
    {74, 1184, 0, 0, Smoke::mf_const, 290, 9},	//1717 Plasma::PackageMetadata::keywords() const
    {74, 1614, 0, 0, Smoke::mf_const, 289, 10},	//1718 Plasma::PackageMetadata::serviceType() const
    {74, 694, 0, 0, Smoke::mf_const, 289, 11},	//1719 Plasma::PackageMetadata::author() const
    {74, 930, 0, 0, Smoke::mf_const, 289, 12},	//1720 Plasma::PackageMetadata::email() const
    {74, 2279, 0, 0, Smoke::mf_const, 289, 13},	//1721 Plasma::PackageMetadata::version() const
    {74, 2304, 0, 0, Smoke::mf_const, 289, 14},	//1722 Plasma::PackageMetadata::website() const
    {74, 1210, 0, 0, Smoke::mf_const, 289, 15},	//1723 Plasma::PackageMetadata::license() const
    {74, 686, 0, 0, Smoke::mf_const, 289, 16},	//1724 Plasma::PackageMetadata::application() const
    {74, 715, 0, 0, Smoke::mf_const, 289, 17},	//1725 Plasma::PackageMetadata::category() const
    {74, 1537, 0, 0, Smoke::mf_const, 289, 18},	//1726 Plasma::PackageMetadata::requiredVersion() const
    {74, 1428, 0, 0, Smoke::mf_const, 289, 19},	//1727 Plasma::PackageMetadata::pluginName() const
    {74, 1075, 0, 0, Smoke::mf_const, 289, 20},	//1728 Plasma::PackageMetadata::implementationApi() const
    {74, 1492, 0, 0, Smoke::mf_const, 28, 21},	//1729 Plasma::PackageMetadata::remoteLocation() const
    {74, 2231, 0, 0, Smoke::mf_const, 289, 22},	//1730 Plasma::PackageMetadata::type() const
    {74, 1866, 89, 1, 0, 0, 23},	//1731 Plasma::PackageMetadata::setName(const QString&)
    {74, 1732, 89, 1, 0, 0, 24},	//1732 Plasma::PackageMetadata::setDescription(const QString&)
    {74, 1065, 0, 0, Smoke::mf_const, 289, 25},	//1733 Plasma::PackageMetadata::icon() const
    {74, 1809, 89, 1, 0, 0, 26},	//1734 Plasma::PackageMetadata::setIcon(const QString&)
    {74, 1830, 191, 1, 0, 0, 27},	//1735 Plasma::PackageMetadata::setKeywords(const QStringList&)
    {74, 1952, 89, 1, 0, 0, 28},	//1736 Plasma::PackageMetadata::setServiceType(const QString&)
    {74, 1639, 89, 1, 0, 0, 29},	//1737 Plasma::PackageMetadata::setAuthor(const QString&)
    {74, 1755, 89, 1, 0, 0, 30},	//1738 Plasma::PackageMetadata::setEmail(const QString&)
    {74, 2052, 89, 1, 0, 0, 31},	//1739 Plasma::PackageMetadata::setVersion(const QString&)
    {74, 2073, 89, 1, 0, 0, 32},	//1740 Plasma::PackageMetadata::setWebsite(const QString&)
    {74, 1841, 89, 1, 0, 0, 33},	//1741 Plasma::PackageMetadata::setLicense(const QString&)
    {74, 1631, 89, 1, 0, 0, 34},	//1742 Plasma::PackageMetadata::setApplication(const QString&)
    {74, 1667, 89, 1, 0, 0, 35},	//1743 Plasma::PackageMetadata::setCategory(const QString&)
    {74, 1925, 89, 1, 0, 0, 36},	//1744 Plasma::PackageMetadata::setRequiredVersion(const QString&)
    {74, 1919, 110, 1, 0, 0, 37},	//1745 Plasma::PackageMetadata::setRemoteLocation(const KUrl&)
    {74, 2032, 89, 1, 0, 0, 38},	//1746 Plasma::PackageMetadata::setType(const QString&)
    {74, 1894, 89, 1, 0, 0, 39},	//1747 Plasma::PackageMetadata::setPluginName(const QString&)
    {74, 1824, 89, 1, 0, 0, 40},	//1748 Plasma::PackageMetadata::setImplementationApi(const QString&)
    {74, 356, 0, 0, Smoke::mf_ctor, 121, 41},	//1749 Plasma::PackageMetadata::PackageMetadata()
    {74, 2363, 0, 0, Smoke::mf_dtor, 0, 42 },	//1750 Plasma::PackageMetadata::~PackageMetadata()
    {75, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//1751 Plasma::PackageStructure::metaObject() const
    {75, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//1752 Plasma::PackageStructure::qt_metacast(const char*)
    {75, 2222, 43, 2, Smoke::mf_static, 289, 3},	//1753 Plasma::PackageStructure::tr(const char*, const char*)
    {75, 2226, 43, 2, Smoke::mf_static, 289, 4},	//1754 Plasma::PackageStructure::trUtf8(const char*, const char*)
    {75, 2222, 46, 3, Smoke::mf_static, 289, 5},	//1755 Plasma::PackageStructure::tr(const char*, const char*, int)
    {75, 2226, 46, 3, Smoke::mf_static, 289, 6},	//1756 Plasma::PackageStructure::trUtf8(const char*, const char*, int)
    {75, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//1757 Plasma::PackageStructure::qt_metacall(QMetaObject::Call, int, void**)
    {75, 359, 64, 2, Smoke::mf_ctor, 123, 8},	//1758 Plasma::PackageStructure::PackageStructure(QObject*, const QString&)
    {75, 1378, 661, 1, 0, 122, 9},	//1759 Plasma::PackageStructure::operator=(const Plasma::PackageStructure&)
    {75, 1256, 89, 1, Smoke::mf_static, 20, 10},	//1760 Plasma::PackageStructure::load(const QString&)
    {75, 2231, 0, 0, Smoke::mf_const, 289, 11},	//1761 Plasma::PackageStructure::type() const
    {75, 862, 0, 0, Smoke::mf_const, 256, 12},	//1762 Plasma::PackageStructure::directories() const
    {75, 1535, 0, 0, Smoke::mf_const, 256, 13},	//1763 Plasma::PackageStructure::requiredDirectories() const
    {75, 973, 0, 0, Smoke::mf_const, 256, 14},	//1764 Plasma::PackageStructure::files() const
    {75, 1536, 0, 0, Smoke::mf_const, 256, 15},	//1765 Plasma::PackageStructure::requiredFiles() const
    {75, 606, 663, 3, 0, 0, 16},	//1766 Plasma::PackageStructure::addDirectoryDefinition(const char*, const QString&, const QString&)
    {75, 610, 663, 3, 0, 0, 17},	//1767 Plasma::PackageStructure::addFileDefinition(const char*, const QString&, const QString&)
    {75, 1416, 1, 1, Smoke::mf_const, 289, 18},	//1768 Plasma::PackageStructure::path(const char*) const
    {75, 947, 1, 1, 0, 290, 19},	//1769 Plasma::PackageStructure::entryList(const char*)
    {75, 1359, 1, 1, Smoke::mf_const, 289, 20},	//1770 Plasma::PackageStructure::name(const char*) const
    {75, 1923, 667, 2, 0, 0, 21},	//1771 Plasma::PackageStructure::setRequired(const char*, bool)
    {75, 1138, 1, 1, Smoke::mf_const, 382, 22},	//1772 Plasma::PackageStructure::isRequired(const char*) const
    {75, 1723, 670, 1, 0, 0, 23},	//1773 Plasma::PackageStructure::setDefaultMimetypes(QStringList)
    {75, 1855, 672, 2, 0, 0, 24},	//1774 Plasma::PackageStructure::setMimetypes(const char*, QStringList)
    {75, 1332, 1, 1, Smoke::mf_const, 290, 25},	//1775 Plasma::PackageStructure::mimetypes(const char*) const
    {75, 1888, 89, 1, 0, 0, 26},	//1776 Plasma::PackageStructure::setPath(const QString&)
    {75, 1416, 0, 0, Smoke::mf_const, 289, 27},	//1777 Plasma::PackageStructure::path() const
    {75, 1460, 675, 1, 0, 0, 28},	//1778 Plasma::PackageStructure::read(const KConfigBase*)
    {75, 2317, 677, 1, Smoke::mf_const, 0, 29},	//1779 Plasma::PackageStructure::write(KConfigBase*) const
    {75, 1102, 77, 2, Smoke::mf_virtual, 382, 30},	//1780 Plasma::PackageStructure::installPackage(const QString&, const QString&)
    {75, 2234, 77, 2, Smoke::mf_virtual, 382, 31},	//1781 Plasma::PackageStructure::uninstallPackage(const QString&, const QString&)
    {75, 815, 57, 1, Smoke::mf_virtual, 0, 32},	//1782 Plasma::PackageStructure::createNewWidgetBrowser(QWidget*)
    {75, 788, 0, 0, Smoke::mf_const, 289, 33},	//1783 Plasma::PackageStructure::contentsPrefix() const
    {75, 844, 0, 0, Smoke::mf_const, 289, 34},	//1784 Plasma::PackageStructure::defaultPackageRoot() const
    {75, 1608, 0, 0, Smoke::mf_const, 289, 35},	//1785 Plasma::PackageStructure::servicePrefix() const
    {75, 1950, 89, 1, 0, 0, 36},	//1786 Plasma::PackageStructure::setServicePrefix(const QString&)
    {75, 1325, 0, 0, Smoke::mf_virtual, 119, 37},	//1787 Plasma::PackageStructure::metadata()
    {75, 652, 0, 0, Smoke::mf_const, 382, 38},	//1788 Plasma::PackageStructure::allowExternalPaths() const
    {75, 1364, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//1789 Plasma::PackageStructure::newWidgetBrowserFinished()
    {75, 1621, 7, 1, Smoke::mf_protected, 0, 40},	//1790 Plasma::PackageStructure::setAllowExternalPaths(bool)
    {75, 1698, 89, 1, Smoke::mf_protected, 0, 41},	//1791 Plasma::PackageStructure::setContentsPrefix(const QString&)
    {75, 1725, 89, 1, Smoke::mf_protected, 0, 42},	//1792 Plasma::PackageStructure::setDefaultPackageRoot(const QString&)
    {75, 1418, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 43},	//1793 Plasma::PackageStructure::pathChanged()
    {75, 2222, 1, 1, Smoke::mf_static, 289, 44},	//1794 Plasma::PackageStructure::tr(const char*)
    {75, 2226, 1, 1, Smoke::mf_static, 289, 45},	//1795 Plasma::PackageStructure::trUtf8(const char*)
    {75, 359, 0, 0, Smoke::mf_ctor, 123, 46},	//1796 Plasma::PackageStructure::PackageStructure()
    {75, 359, 97, 1, Smoke::mf_ctor, 123, 47},	//1797 Plasma::PackageStructure::PackageStructure(QObject*)
    {75, 815, 0, 0, 0, 0, 48},	//1798 Plasma::PackageStructure::createNewWidgetBrowser()
    {75, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 49},	//1799 Plasma::PackageStructure::staticMetaObject() const
    {75, 2364, 0, 0, Smoke::mf_dtor, 0, 50 },	//1800 Plasma::PackageStructure::~PackageStructure()
    {76, 377, 0, 0, Smoke::mf_ctor, 124, 1},	//1801 Plasma::PlotColor::PlotColor()
    {76, 377, 679, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 124, 2},	//1802 Plasma::PlotColor::PlotColor(const Plasma::PlotColor&)
    {76, 742, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 187, 3},	//1803 Plasma::PlotColor::color() const
    {76, 1681, 543, 1, Smoke::mf_attribute, 0, 4},	//1804 Plasma::PlotColor::setColor(const QColor&)
    {76, 838, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 187, 5},	//1805 Plasma::PlotColor::darkColor() const
    {76, 1714, 543, 1, Smoke::mf_attribute, 0, 6},	//1806 Plasma::PlotColor::setDarkColor(const QColor&)
    {76, 2365, 0, 0, Smoke::mf_dtor, 0, 7 },	//1807 Plasma::PlotColor::~PlotColor()
    {77, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//1808 Plasma::PopupApplet::metaObject() const
    {77, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//1809 Plasma::PopupApplet::qt_metacast(const char*)
    {77, 2222, 43, 2, Smoke::mf_static, 289, 3},	//1810 Plasma::PopupApplet::tr(const char*, const char*)
    {77, 2226, 43, 2, Smoke::mf_static, 289, 4},	//1811 Plasma::PopupApplet::trUtf8(const char*, const char*)
    {77, 2222, 46, 3, Smoke::mf_static, 289, 5},	//1812 Plasma::PopupApplet::tr(const char*, const char*, int)
    {77, 2226, 46, 3, Smoke::mf_static, 289, 6},	//1813 Plasma::PopupApplet::trUtf8(const char*, const char*, int)
    {77, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//1814 Plasma::PopupApplet::qt_metacall(QMetaObject::Call, int, void**)
    {77, 379, 70, 2, Smoke::mf_ctor, 125, 8},	//1815 Plasma::PopupApplet::PopupApplet(QObject*, const QList<QVariant>&)
    {77, 1900, 529, 1, 0, 0, 9},	//1816 Plasma::PopupApplet::setPopupIcon(const QIcon&)
    {77, 1900, 89, 1, 0, 0, 10},	//1817 Plasma::PopupApplet::setPopupIcon(const QString&)
    {77, 1433, 0, 0, Smoke::mf_const, 233, 11},	//1818 Plasma::PopupApplet::popupIcon() const
    {77, 2307, 0, 0, Smoke::mf_virtual, 304, 12},	//1819 Plasma::PopupApplet::widget()
    {77, 2075, 57, 1, 0, 0, 13},	//1820 Plasma::PopupApplet::setWidget(QWidget*)
    {77, 1024, 0, 0, Smoke::mf_virtual, 226, 14},	//1821 Plasma::PopupApplet::graphicsWidget()
    {77, 1783, 116, 1, 0, 0, 15},	//1822 Plasma::PopupApplet::setGraphicsWidget(QGraphicsWidget*)
    {77, 1434, 0, 0, Smoke::mf_const, 126, 16},	//1823 Plasma::PopupApplet::popupPlacement() const
    {77, 1886, 7, 1, 0, 0, 17},	//1824 Plasma::PopupApplet::setPassivePopup(bool)
    {77, 1129, 0, 0, Smoke::mf_const, 382, 18},	//1825 Plasma::PopupApplet::isPassivePopup() const
    {77, 1132, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 382, 19},	//1826 Plasma::PopupApplet::isPopupShowing() const
    {77, 1052, 0, 0, Smoke::mf_slot, 0, 20},	//1827 Plasma::PopupApplet::hidePopup()
    {77, 2109, 681, 1, Smoke::mf_slot, 0, 21},	//1828 Plasma::PopupApplet::showPopup(uint)
    {77, 2211, 0, 0, Smoke::mf_slot, 0, 22},	//1829 Plasma::PopupApplet::togglePopup()
    {77, 1431, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1830 Plasma::PopupApplet::popupEvent(bool)
    {77, 2123, 274, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 24},	//1831 Plasma::PopupApplet::sizeHint(Qt::SizeHint, const QSizeF&) const
    {77, 1343, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1832 Plasma::PopupApplet::mousePressEvent(QGraphicsSceneMouseEvent*)
    {77, 1345, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//1833 Plasma::PopupApplet::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {77, 952, 259, 2, Smoke::mf_protected|Smoke::mf_virtual, 382, 27},	//1834 Plasma::PopupApplet::eventFilter(QObject*, QEvent*)
    {77, 874, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//1835 Plasma::PopupApplet::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {77, 876, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//1836 Plasma::PopupApplet::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {77, 904, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//1837 Plasma::PopupApplet::dropEvent(QGraphicsSceneDragDropEvent*)
    {77, 2222, 1, 1, Smoke::mf_static, 289, 31},	//1838 Plasma::PopupApplet::tr(const char*)
    {77, 2226, 1, 1, Smoke::mf_static, 289, 32},	//1839 Plasma::PopupApplet::trUtf8(const char*)
    {77, 2109, 0, 0, Smoke::mf_slot, 0, 33},	//1840 Plasma::PopupApplet::showPopup()
    {77, 2123, 235, 1, Smoke::mf_const|Smoke::mf_protected, 287, 34},	//1841 Plasma::PopupApplet::sizeHint(Qt::SizeHint) const
    {77, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 35},	//1842 Plasma::PopupApplet::staticMetaObject() const
    {77, 2366, 0, 0, Smoke::mf_dtor, 0, 36 },	//1843 Plasma::PopupApplet::~PopupApplet()
    {78, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//1844 Plasma::PushButton::metaObject() const
    {78, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//1845 Plasma::PushButton::qt_metacast(const char*)
    {78, 2222, 43, 2, Smoke::mf_static, 289, 3},	//1846 Plasma::PushButton::tr(const char*, const char*)
    {78, 2226, 43, 2, Smoke::mf_static, 289, 4},	//1847 Plasma::PushButton::trUtf8(const char*, const char*)
    {78, 2222, 46, 3, Smoke::mf_static, 289, 5},	//1848 Plasma::PushButton::tr(const char*, const char*, int)
    {78, 2226, 46, 3, Smoke::mf_static, 289, 6},	//1849 Plasma::PushButton::trUtf8(const char*, const char*, int)
    {78, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//1850 Plasma::PushButton::qt_metacall(QMetaObject::Call, int, void**)
    {78, 386, 116, 1, Smoke::mf_ctor, 128, 8},	//1851 Plasma::PushButton::PushButton(QGraphicsWidget*)
    {78, 2012, 89, 1, Smoke::mf_property, 0, 9},	//1852 Plasma::PushButton::setText(const QString&)
    {78, 2194, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 10},	//1853 Plasma::PushButton::text() const
    {78, 1816, 89, 1, Smoke::mf_property, 0, 11},	//1854 Plasma::PushButton::setImage(const QString&)
    {78, 1816, 77, 2, 0, 0, 12},	//1855 Plasma::PushButton::setImage(const QString&, const QString&)
    {78, 1069, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 13},	//1856 Plasma::PushButton::image() const
    {78, 1982, 89, 1, Smoke::mf_property, 0, 14},	//1857 Plasma::PushButton::setStyleSheet(const QString&)
    {78, 2161, 0, 0, Smoke::mf_property, 289, 15},	//1858 Plasma::PushButton::styleSheet()
    {78, 1615, 103, 1, 0, 0, 16},	//1859 Plasma::PushButton::setAction(QAction*)
    {78, 570, 0, 0, Smoke::mf_const, 180, 17},	//1860 Plasma::PushButton::action() const
    {78, 1809, 529, 1, Smoke::mf_property, 0, 18},	//1861 Plasma::PushButton::setIcon(const QIcon&)
    {78, 1809, 683, 1, 0, 0, 19},	//1862 Plasma::PushButton::setIcon(const KIcon&)
    {78, 1065, 0, 0, Smoke::mf_const|Smoke::mf_property, 233, 20},	//1863 Plasma::PushButton::icon() const
    {78, 1669, 7, 1, Smoke::mf_property, 0, 21},	//1864 Plasma::PushButton::setCheckable(bool)
    {78, 1113, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 22},	//1865 Plasma::PushButton::isCheckable() const
    {78, 1671, 7, 1, Smoke::mf_property, 0, 23},	//1866 Plasma::PushButton::setChecked(bool)
    {78, 1114, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 24},	//1867 Plasma::PushButton::isChecked() const
    {78, 1120, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 25},	//1868 Plasma::PushButton::isDown() const
    {78, 1361, 0, 0, Smoke::mf_const, 16, 26},	//1869 Plasma::PushButton::nativeWidget() const
    {78, 1443, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1870 Plasma::PushButton::pressed()
    {78, 1483, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//1871 Plasma::PushButton::released()
    {78, 733, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1872 Plasma::PushButton::clicked()
    {78, 2212, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1873 Plasma::PushButton::toggled(bool)
    {78, 1389, 207, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//1874 Plasma::PushButton::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {78, 1543, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//1875 Plasma::PushButton::resizeEvent(QGraphicsSceneResizeEvent*)
    {78, 1058, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//1876 Plasma::PushButton::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {78, 1060, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1877 Plasma::PushButton::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {78, 718, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//1878 Plasma::PushButton::changeEvent(QEvent*)
    {78, 2123, 274, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 36},	//1879 Plasma::PushButton::sizeHint(Qt::SizeHint, const QSizeF&) const
    {78, 2222, 1, 1, Smoke::mf_static, 289, 37},	//1880 Plasma::PushButton::tr(const char*)
    {78, 2226, 1, 1, Smoke::mf_static, 289, 38},	//1881 Plasma::PushButton::trUtf8(const char*)
    {78, 386, 0, 0, Smoke::mf_ctor, 128, 39},	//1882 Plasma::PushButton::PushButton()
    {78, 1389, 310, 2, Smoke::mf_protected, 0, 40},	//1883 Plasma::PushButton::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {78, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 41},	//1884 Plasma::PushButton::staticMetaObject() const
    {78, 2367, 0, 0, Smoke::mf_dtor, 0, 42 },	//1885 Plasma::PushButton::~PushButton()
    {79, 398, 685, 1, Smoke::mf_ctor, 131, 1},	//1886 Plasma::QueryMatch::QueryMatch(Plasma::AbstractRunner*)
    {79, 398, 80, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 131, 2},	//1887 Plasma::QueryMatch::QueryMatch(const Plasma::QueryMatch&)
    {79, 1378, 80, 1, 0, 130, 3},	//1888 Plasma::QueryMatch::operator=(const Plasma::QueryMatch&)
    {79, 1380, 80, 1, Smoke::mf_const, 382, 4},	//1889 Plasma::QueryMatch::operator==(const Plasma::QueryMatch&) const
    {79, 1376, 80, 1, Smoke::mf_const, 382, 5},	//1890 Plasma::QueryMatch::operator<(const Plasma::QueryMatch&) const
    {79, 1561, 0, 0, Smoke::mf_const, 34, 6},	//1891 Plasma::QueryMatch::runner() const
    {79, 1146, 0, 0, Smoke::mf_const, 382, 7},	//1892 Plasma::QueryMatch::isValid() const
    {79, 2032, 687, 1, 0, 0, 8},	//1893 Plasma::QueryMatch::setType(Plasma::QueryMatch::Type)
    {79, 2231, 0, 0, Smoke::mf_const, 132, 9},	//1894 Plasma::QueryMatch::type() const
    {79, 1917, 689, 1, 0, 0, 10},	//1895 Plasma::QueryMatch::setRelevance(double)
    {79, 1484, 0, 0, Smoke::mf_const, 468, 11},	//1896 Plasma::QueryMatch::relevance() const
    {79, 1556, 691, 1, Smoke::mf_const, 0, 12},	//1897 Plasma::QueryMatch::run(const Plasma::RunnerContext&) const
    {79, 1716, 693, 1, 0, 0, 13},	//1898 Plasma::QueryMatch::setData(const QVariant&)
    {79, 839, 0, 0, Smoke::mf_const, 299, 14},	//1899 Plasma::QueryMatch::data() const
    {79, 1812, 89, 1, 0, 0, 15},	//1900 Plasma::QueryMatch::setId(const QString&)
    {79, 1067, 0, 0, Smoke::mf_const, 289, 16},	//1901 Plasma::QueryMatch::id() const
    {79, 2012, 89, 1, 0, 0, 17},	//1902 Plasma::QueryMatch::setText(const QString&)
    {79, 2194, 0, 0, Smoke::mf_const, 289, 18},	//1903 Plasma::QueryMatch::text() const
    {79, 1986, 89, 1, 0, 0, 19},	//1904 Plasma::QueryMatch::setSubtext(const QString&)
    {79, 2164, 0, 0, Smoke::mf_const, 289, 20},	//1905 Plasma::QueryMatch::subtext() const
    {79, 1809, 529, 1, 0, 0, 21},	//1906 Plasma::QueryMatch::setIcon(const QIcon&)
    {79, 1065, 0, 0, Smoke::mf_const, 233, 22},	//1907 Plasma::QueryMatch::icon() const
    {79, 1759, 7, 1, 0, 0, 23},	//1908 Plasma::QueryMatch::setEnabled(bool)
    {79, 1122, 0, 0, Smoke::mf_const, 382, 24},	//1909 Plasma::QueryMatch::isEnabled() const
    {79, 1602, 0, 0, Smoke::mf_const, 180, 25},	//1910 Plasma::QueryMatch::selectedAction() const
    {79, 1948, 103, 1, 0, 0, 26},	//1911 Plasma::QueryMatch::setSelectedAction(QAction*)
    {79, 1031, 0, 0, Smoke::mf_const, 382, 27},	//1912 Plasma::QueryMatch::hasConfigurationInterface() const
    {79, 808, 57, 1, 0, 0, 28},	//1913 Plasma::QueryMatch::createConfigurationInterface(QWidget*)
    {79, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 29},	//1914 Plasma::QueryMatch::NoMatch (enum)
    {79, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 30},	//1915 Plasma::QueryMatch::CompletionMatch (enum)
    {79, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 31},	//1916 Plasma::QueryMatch::PossibleMatch (enum)
    {79, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 32},	//1917 Plasma::QueryMatch::InformationalMatch (enum)
    {79, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 33},	//1918 Plasma::QueryMatch::HelperMatch (enum)
    {79, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 34},	//1919 Plasma::QueryMatch::ExactMatch (enum)
    {79, 2368, 0, 0, Smoke::mf_dtor, 0, 35 },	//1920 Plasma::QueryMatch::~QueryMatch()
    {80, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//1921 Plasma::RadioButton::metaObject() const
    {80, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//1922 Plasma::RadioButton::qt_metacast(const char*)
    {80, 2222, 43, 2, Smoke::mf_static, 289, 3},	//1923 Plasma::RadioButton::tr(const char*, const char*)
    {80, 2226, 43, 2, Smoke::mf_static, 289, 4},	//1924 Plasma::RadioButton::trUtf8(const char*, const char*)
    {80, 2222, 46, 3, Smoke::mf_static, 289, 5},	//1925 Plasma::RadioButton::tr(const char*, const char*, int)
    {80, 2226, 46, 3, Smoke::mf_static, 289, 6},	//1926 Plasma::RadioButton::trUtf8(const char*, const char*, int)
    {80, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//1927 Plasma::RadioButton::qt_metacall(QMetaObject::Call, int, void**)
    {80, 401, 116, 1, Smoke::mf_ctor, 133, 8},	//1928 Plasma::RadioButton::RadioButton(QGraphicsWidget*)
    {80, 2012, 89, 1, Smoke::mf_property, 0, 9},	//1929 Plasma::RadioButton::setText(const QString&)
    {80, 2194, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 10},	//1930 Plasma::RadioButton::text() const
    {80, 1816, 89, 1, Smoke::mf_property, 0, 11},	//1931 Plasma::RadioButton::setImage(const QString&)
    {80, 1069, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 12},	//1932 Plasma::RadioButton::image() const
    {80, 1982, 89, 1, Smoke::mf_property, 0, 13},	//1933 Plasma::RadioButton::setStyleSheet(const QString&)
    {80, 2161, 0, 0, Smoke::mf_property, 289, 14},	//1934 Plasma::RadioButton::styleSheet()
    {80, 1361, 0, 0, Smoke::mf_const, 277, 15},	//1935 Plasma::RadioButton::nativeWidget() const
    {80, 1671, 7, 1, Smoke::mf_property, 0, 16},	//1936 Plasma::RadioButton::setChecked(bool)
    {80, 1114, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 17},	//1937 Plasma::RadioButton::isChecked() const
    {80, 2212, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1938 Plasma::RadioButton::toggled(bool)
    {80, 1543, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//1939 Plasma::RadioButton::resizeEvent(QGraphicsSceneResizeEvent*)
    {80, 718, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1940 Plasma::RadioButton::changeEvent(QEvent*)
    {80, 2222, 1, 1, Smoke::mf_static, 289, 21},	//1941 Plasma::RadioButton::tr(const char*)
    {80, 2226, 1, 1, Smoke::mf_static, 289, 22},	//1942 Plasma::RadioButton::trUtf8(const char*)
    {80, 401, 0, 0, Smoke::mf_ctor, 133, 23},	//1943 Plasma::RadioButton::RadioButton()
    {80, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 24},	//1944 Plasma::RadioButton::staticMetaObject() const
    {80, 2369, 0, 0, Smoke::mf_dtor, 0, 25 },	//1945 Plasma::RadioButton::~RadioButton()
    {81, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//1946 Plasma::RunnerContext::metaObject() const
    {81, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//1947 Plasma::RunnerContext::qt_metacast(const char*)
    {81, 2222, 43, 2, Smoke::mf_static, 289, 3},	//1948 Plasma::RunnerContext::tr(const char*, const char*)
    {81, 2226, 43, 2, Smoke::mf_static, 289, 4},	//1949 Plasma::RunnerContext::trUtf8(const char*, const char*)
    {81, 2222, 46, 3, Smoke::mf_static, 289, 5},	//1950 Plasma::RunnerContext::tr(const char*, const char*, int)
    {81, 2226, 46, 3, Smoke::mf_static, 289, 6},	//1951 Plasma::RunnerContext::trUtf8(const char*, const char*, int)
    {81, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//1952 Plasma::RunnerContext::qt_metacall(QMetaObject::Call, int, void**)
    {81, 416, 97, 1, Smoke::mf_ctor, 135, 8},	//1953 Plasma::RunnerContext::RunnerContext(QObject*)
    {81, 416, 695, 2, Smoke::mf_ctor, 135, 9},	//1954 Plasma::RunnerContext::RunnerContext(Plasma::RunnerContext&, QObject*)
    {81, 1378, 691, 1, 0, 134, 10},	//1955 Plasma::RunnerContext::operator=(const Plasma::RunnerContext&)
    {81, 1538, 0, 0, 0, 0, 11},	//1956 Plasma::RunnerContext::reset()
    {81, 1911, 89, 1, 0, 0, 12},	//1957 Plasma::RunnerContext::setQuery(const QString&)
    {81, 1456, 0, 0, Smoke::mf_const, 289, 13},	//1958 Plasma::RunnerContext::query() const
    {81, 2231, 0, 0, Smoke::mf_const, 136, 14},	//1959 Plasma::RunnerContext::type() const
    {81, 1331, 0, 0, Smoke::mf_const, 289, 15},	//1960 Plasma::RunnerContext::mimeType() const
    {81, 1146, 0, 0, Smoke::mf_const, 382, 16},	//1961 Plasma::RunnerContext::isValid() const
    {81, 618, 698, 2, 0, 382, 17},	//1962 Plasma::RunnerContext::addMatches(const QString&, const QList<Plasma::QueryMatch>&)
    {81, 616, 701, 2, 0, 382, 18},	//1963 Plasma::RunnerContext::addMatch(const QString&, const Plasma::QueryMatch&)
    {81, 1506, 704, 1, 0, 382, 19},	//1964 Plasma::RunnerContext::removeMatch(const QString)
    {81, 1508, 706, 1, 0, 382, 20},	//1965 Plasma::RunnerContext::removeMatches(const QStringList)
    {81, 1315, 0, 0, Smoke::mf_const, 249, 21},	//1966 Plasma::RunnerContext::matches() const
    {81, 1311, 89, 1, Smoke::mf_const, 129, 22},	//1967 Plasma::RunnerContext::match(const QString&) const
    {81, 1968, 7, 1, 0, 0, 23},	//1968 Plasma::RunnerContext::setSingleRunnerQueryMode(bool)
    {81, 2118, 0, 0, Smoke::mf_const, 382, 24},	//1969 Plasma::RunnerContext::singleRunnerQueryMode() const
    {81, 1547, 405, 1, 0, 0, 25},	//1970 Plasma::RunnerContext::restore(const KConfigGroup&)
    {81, 1566, 169, 1, 0, 0, 26},	//1971 Plasma::RunnerContext::save(KConfigGroup&)
    {81, 1556, 80, 1, 0, 0, 27},	//1972 Plasma::RunnerContext::run(const Plasma::QueryMatch&)
    {81, 1316, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//1973 Plasma::RunnerContext::matchesChanged()
    {81, 2222, 1, 1, Smoke::mf_static, 289, 29},	//1974 Plasma::RunnerContext::tr(const char*)
    {81, 2226, 1, 1, Smoke::mf_static, 289, 30},	//1975 Plasma::RunnerContext::trUtf8(const char*)
    {81, 416, 0, 0, Smoke::mf_ctor, 135, 31},	//1976 Plasma::RunnerContext::RunnerContext()
    {81, 416, 55, 1, Smoke::mf_ctor, 135, 32},	//1977 Plasma::RunnerContext::RunnerContext(Plasma::RunnerContext&)
    {81, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 33},	//1978 Plasma::RunnerContext::staticMetaObject() const
    {81, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 34},	//1979 Plasma::RunnerContext::None (enum)
    {81, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 35},	//1980 Plasma::RunnerContext::UnknownType (enum)
    {81, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 36},	//1981 Plasma::RunnerContext::Directory (enum)
    {81, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 37},	//1982 Plasma::RunnerContext::File (enum)
    {81, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 38},	//1983 Plasma::RunnerContext::NetworkLocation (enum)
    {81, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 39},	//1984 Plasma::RunnerContext::Executable (enum)
    {81, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 40},	//1985 Plasma::RunnerContext::ShellCommand (enum)
    {81, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 41},	//1986 Plasma::RunnerContext::Help (enum)
    {81, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 42},	//1987 Plasma::RunnerContext::FileSystem (enum)
    {81, 2370, 0, 0, Smoke::mf_dtor, 0, 43 },	//1988 Plasma::RunnerContext::~RunnerContext()
    {82, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//1989 Plasma::RunnerManager::metaObject() const
    {82, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//1990 Plasma::RunnerManager::qt_metacast(const char*)
    {82, 2222, 43, 2, Smoke::mf_static, 289, 3},	//1991 Plasma::RunnerManager::tr(const char*, const char*)
    {82, 2226, 43, 2, Smoke::mf_static, 289, 4},	//1992 Plasma::RunnerManager::trUtf8(const char*, const char*)
    {82, 2222, 46, 3, Smoke::mf_static, 289, 5},	//1993 Plasma::RunnerManager::tr(const char*, const char*, int)
    {82, 2226, 46, 3, Smoke::mf_static, 289, 6},	//1994 Plasma::RunnerManager::trUtf8(const char*, const char*, int)
    {82, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//1995 Plasma::RunnerManager::qt_metacall(QMetaObject::Call, int, void**)
    {82, 419, 97, 1, Smoke::mf_ctor, 137, 8},	//1996 Plasma::RunnerManager::RunnerManager(QObject*)
    {82, 419, 708, 2, Smoke::mf_ctor, 137, 9},	//1997 Plasma::RunnerManager::RunnerManager(KConfigGroup&, QObject*)
    {82, 1561, 89, 1, Smoke::mf_const, 34, 10},	//1998 Plasma::RunnerManager::runner(const QString&) const
    {82, 2116, 0, 0, Smoke::mf_const, 34, 11},	//1999 Plasma::RunnerManager::singleModeRunner() const
    {82, 1966, 89, 1, 0, 0, 12},	//2000 Plasma::RunnerManager::setSingleModeRunnerId(const QString&)
    {82, 2117, 0, 0, Smoke::mf_const, 289, 13},	//2001 Plasma::RunnerManager::singleModeRunnerId() const
    {82, 2114, 0, 0, Smoke::mf_const, 382, 14},	//2002 Plasma::RunnerManager::singleMode() const
    {82, 1964, 7, 1, 0, 0, 15},	//2003 Plasma::RunnerManager::setSingleMode(bool)
    {82, 1563, 89, 1, Smoke::mf_const, 289, 16},	//2004 Plasma::RunnerManager::runnerName(const QString&) const
    {82, 1565, 0, 0, Smoke::mf_const, 241, 17},	//2005 Plasma::RunnerManager::runners() const
    {82, 2115, 0, 0, Smoke::mf_const, 290, 18},	//2006 Plasma::RunnerManager::singleModeAdvertisedRunnerIds() const
    {82, 1598, 0, 0, Smoke::mf_const, 135, 19},	//2007 Plasma::RunnerManager::searchContext() const
    {82, 1315, 0, 0, Smoke::mf_const, 249, 20},	//2008 Plasma::RunnerManager::matches() const
    {82, 1556, 80, 1, 0, 0, 21},	//2009 Plasma::RunnerManager::run(const Plasma::QueryMatch&)
    {82, 1556, 89, 1, 0, 0, 22},	//2010 Plasma::RunnerManager::run(const QString&)
    {82, 574, 80, 1, 0, 251, 23},	//2011 Plasma::RunnerManager::actionsForMatch(const Plasma::QueryMatch&)
    {82, 1456, 0, 0, Smoke::mf_const, 289, 24},	//2012 Plasma::RunnerManager::query() const
    {82, 1485, 0, 0, 0, 0, 25},	//2013 Plasma::RunnerManager::reloadConfiguration()
    {82, 1623, 191, 1, 0, 0, 26},	//2014 Plasma::RunnerManager::setAllowedRunners(const QStringList&)
    {82, 1284, 99, 1, 0, 0, 27},	//2015 Plasma::RunnerManager::loadRunner(const KSharedPtr<KService>)
    {82, 1284, 89, 1, 0, 0, 28},	//2016 Plasma::RunnerManager::loadRunner(const QString&)
    {82, 653, 0, 0, Smoke::mf_const, 290, 29},	//2017 Plasma::RunnerManager::allowedRunners() const
    {82, 1328, 80, 1, Smoke::mf_const, 262, 30},	//2018 Plasma::RunnerManager::mimeDataForMatch(const Plasma::QueryMatch&) const
    {82, 1328, 89, 1, Smoke::mf_const, 262, 31},	//2019 Plasma::RunnerManager::mimeDataForMatch(const QString&) const
    {82, 2086, 0, 0, Smoke::mf_slot, 0, 32},	//2020 Plasma::RunnerManager::setupMatchSession()
    {82, 1314, 0, 0, Smoke::mf_slot, 0, 33},	//2021 Plasma::RunnerManager::matchSessionComplete()
    {82, 1205, 77, 2, Smoke::mf_slot, 0, 34},	//2022 Plasma::RunnerManager::launchQuery(const QString&, const QString&)
    {82, 1205, 89, 1, Smoke::mf_slot, 0, 35},	//2023 Plasma::RunnerManager::launchQuery(const QString&)
    {82, 958, 77, 2, Smoke::mf_slot, 382, 36},	//2024 Plasma::RunnerManager::execQuery(const QString&, const QString&)
    {82, 958, 89, 1, Smoke::mf_slot, 382, 37},	//2025 Plasma::RunnerManager::execQuery(const QString&)
    {82, 1538, 0, 0, Smoke::mf_slot, 0, 38},	//2026 Plasma::RunnerManager::reset()
    {82, 1316, 711, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//2027 Plasma::RunnerManager::matchesChanged(const QList<Plasma::QueryMatch>&)
    {82, 1458, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//2028 Plasma::RunnerManager::queryFinished()
    {82, 2222, 1, 1, Smoke::mf_static, 289, 41},	//2029 Plasma::RunnerManager::tr(const char*)
    {82, 2226, 1, 1, Smoke::mf_static, 289, 42},	//2030 Plasma::RunnerManager::trUtf8(const char*)
    {82, 419, 0, 0, Smoke::mf_ctor, 137, 43},	//2031 Plasma::RunnerManager::RunnerManager()
    {82, 419, 169, 1, Smoke::mf_ctor, 137, 44},	//2032 Plasma::RunnerManager::RunnerManager(KConfigGroup&)
    {82, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 45},	//2033 Plasma::RunnerManager::staticMetaObject() const
    {82, 2371, 0, 0, Smoke::mf_dtor, 0, 46 },	//2034 Plasma::RunnerManager::~RunnerManager()
    {83, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//2035 Plasma::RunnerScript::metaObject() const
    {83, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//2036 Plasma::RunnerScript::qt_metacast(const char*)
    {83, 2222, 43, 2, Smoke::mf_static, 289, 3},	//2037 Plasma::RunnerScript::tr(const char*, const char*)
    {83, 2226, 43, 2, Smoke::mf_static, 289, 4},	//2038 Plasma::RunnerScript::trUtf8(const char*, const char*)
    {83, 2222, 46, 3, Smoke::mf_static, 289, 5},	//2039 Plasma::RunnerScript::tr(const char*, const char*, int)
    {83, 2226, 46, 3, Smoke::mf_static, 289, 6},	//2040 Plasma::RunnerScript::trUtf8(const char*, const char*, int)
    {83, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//2041 Plasma::RunnerScript::qt_metacall(QMetaObject::Call, int, void**)
    {83, 422, 97, 1, Smoke::mf_ctor, 138, 8},	//2042 Plasma::RunnerScript::RunnerScript(QObject*)
    {83, 1935, 685, 1, 0, 0, 9},	//2043 Plasma::RunnerScript::setRunner(Plasma::AbstractRunner*)
    {83, 1561, 0, 0, Smoke::mf_const, 34, 10},	//2044 Plasma::RunnerScript::runner() const
    {83, 1311, 55, 1, Smoke::mf_virtual, 0, 11},	//2045 Plasma::RunnerScript::match(Plasma::RunnerContext&)
    {83, 1556, 59, 2, Smoke::mf_virtual, 0, 12},	//2046 Plasma::RunnerScript::run(const Plasma::RunnerContext&, const Plasma::QueryMatch&)
    {83, 1442, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//2047 Plasma::RunnerScript::prepare()
    {83, 2193, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//2048 Plasma::RunnerScript::teardown()
    {83, 820, 57, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//2049 Plasma::RunnerScript::createRunOptions(QWidget*)
    {83, 1485, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//2050 Plasma::RunnerScript::reloadConfiguration()
    {83, 574, 713, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//2051 Plasma::RunnerScript::actionsForMatch(const Plasma::QueryMatch&, QList<QAction*>*)
    {83, 1299, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 289, 18},	//2052 Plasma::RunnerScript::mainScript() const
    {83, 1383, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 403, 19},	//2053 Plasma::RunnerScript::package() const
    {83, 849, 0, 0, Smoke::mf_const|Smoke::mf_protected, 15, 20},	//2054 Plasma::RunnerScript::description() const
    {83, 840, 89, 1, Smoke::mf_protected, 83, 21},	//2055 Plasma::RunnerScript::dataEngine(const QString&)
    {83, 745, 0, 0, Smoke::mf_const|Smoke::mf_protected, 8, 22},	//2056 Plasma::RunnerScript::config() const
    {83, 1814, 62, 1, Smoke::mf_protected, 0, 23},	//2057 Plasma::RunnerScript::setIgnoredTypes(QFlags<Plasma::RunnerContext::Type>)
    {83, 1792, 7, 1, Smoke::mf_protected, 0, 24},	//2058 Plasma::RunnerScript::setHasRunOptions(bool)
    {83, 1974, 73, 1, Smoke::mf_protected, 0, 25},	//2059 Plasma::RunnerScript::setSpeed(Plasma::AbstractRunner::Speed)
    {83, 1909, 75, 1, Smoke::mf_protected, 0, 26},	//2060 Plasma::RunnerScript::setPriority(Plasma::AbstractRunner::Priority)
    {83, 1609, 77, 2, Smoke::mf_const|Smoke::mf_protected, 240, 27},	//2061 Plasma::RunnerScript::serviceQuery(const QString&, const QString&) const
    {83, 587, 82, 3, Smoke::mf_protected, 180, 28},	//2062 Plasma::RunnerScript::addAction(const QString&, const QIcon&, const QString&)
    {83, 587, 86, 2, Smoke::mf_protected, 0, 29},	//2063 Plasma::RunnerScript::addAction(const QString&, QAction*)
    {83, 1495, 89, 1, Smoke::mf_protected, 0, 30},	//2064 Plasma::RunnerScript::removeAction(const QString&)
    {83, 570, 89, 1, Smoke::mf_const|Smoke::mf_protected, 180, 31},	//2065 Plasma::RunnerScript::action(const QString&) const
    {83, 573, 0, 0, Smoke::mf_const|Smoke::mf_protected, 229, 32},	//2066 Plasma::RunnerScript::actions() const
    {83, 726, 0, 0, Smoke::mf_protected, 0, 33},	//2067 Plasma::RunnerScript::clearActions()
    {83, 639, 91, 1, Smoke::mf_protected, 0, 34},	//2068 Plasma::RunnerScript::addSyntax(const Plasma::RunnerSyntax&)
    {83, 1994, 93, 1, Smoke::mf_protected, 0, 35},	//2069 Plasma::RunnerScript::setSyntaxes(const QList<Plasma::RunnerSyntax>&)
    {83, 2222, 1, 1, Smoke::mf_static, 289, 36},	//2070 Plasma::RunnerScript::tr(const char*)
    {83, 2226, 1, 1, Smoke::mf_static, 289, 37},	//2071 Plasma::RunnerScript::trUtf8(const char*)
    {83, 422, 0, 0, Smoke::mf_ctor, 138, 38},	//2072 Plasma::RunnerScript::RunnerScript()
    {83, 1609, 89, 1, Smoke::mf_const|Smoke::mf_protected, 240, 39},	//2073 Plasma::RunnerScript::serviceQuery(const QString&) const
    {83, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 40},	//2074 Plasma::RunnerScript::staticMetaObject() const
    {83, 2372, 0, 0, Smoke::mf_dtor, 0, 41 },	//2075 Plasma::RunnerScript::~RunnerScript()
    {84, 424, 77, 2, Smoke::mf_ctor, 140, 1},	//2076 Plasma::RunnerSyntax::RunnerSyntax(const QString&, const QString&)
    {84, 424, 91, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 140, 2},	//2077 Plasma::RunnerSyntax::RunnerSyntax(const Plasma::RunnerSyntax&)
    {84, 1378, 91, 1, 0, 139, 3},	//2078 Plasma::RunnerSyntax::operator=(const Plasma::RunnerSyntax&)
    {84, 608, 89, 1, 0, 0, 4},	//2079 Plasma::RunnerSyntax::addExampleQuery(const QString&)
    {84, 956, 0, 0, Smoke::mf_const, 290, 5},	//2080 Plasma::RunnerSyntax::exampleQueries() const
    {84, 957, 0, 0, Smoke::mf_const, 290, 6},	//2081 Plasma::RunnerSyntax::exampleQueriesWithTermDescription() const
    {84, 1732, 89, 1, 0, 0, 7},	//2082 Plasma::RunnerSyntax::setDescription(const QString&)
    {84, 849, 0, 0, Smoke::mf_const, 289, 8},	//2083 Plasma::RunnerSyntax::description() const
    {84, 1946, 89, 1, 0, 0, 9},	//2084 Plasma::RunnerSyntax::setSearchTermDescription(const QString&)
    {84, 1599, 0, 0, Smoke::mf_const, 289, 10},	//2085 Plasma::RunnerSyntax::searchTermDescription() const
    {84, 2373, 0, 0, Smoke::mf_dtor, 0, 11 },	//2086 Plasma::RunnerSyntax::~RunnerSyntax()
    {85, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//2087 Plasma::ScriptEngine::metaObject() const
    {85, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//2088 Plasma::ScriptEngine::qt_metacast(const char*)
    {85, 2222, 43, 2, Smoke::mf_static, 289, 3},	//2089 Plasma::ScriptEngine::tr(const char*, const char*)
    {85, 2226, 43, 2, Smoke::mf_static, 289, 4},	//2090 Plasma::ScriptEngine::trUtf8(const char*, const char*)
    {85, 2222, 46, 3, Smoke::mf_static, 289, 5},	//2091 Plasma::ScriptEngine::tr(const char*, const char*, int)
    {85, 2226, 46, 3, Smoke::mf_static, 289, 6},	//2092 Plasma::ScriptEngine::trUtf8(const char*, const char*, int)
    {85, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//2093 Plasma::ScriptEngine::qt_metacall(QMetaObject::Call, int, void**)
    {85, 1081, 0, 0, Smoke::mf_virtual, 382, 8},	//2094 Plasma::ScriptEngine::init()
    {85, 432, 97, 1, Smoke::mf_ctor|Smoke::mf_protected, 141, 9},	//2095 Plasma::ScriptEngine::ScriptEngine(QObject*)
    {85, 1299, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 289, 10},	//2096 Plasma::ScriptEngine::mainScript() const
    {85, 1383, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 403, 11},	//2097 Plasma::ScriptEngine::package() const
    {85, 2222, 1, 1, Smoke::mf_static, 289, 12},	//2098 Plasma::ScriptEngine::tr(const char*)
    {85, 2226, 1, 1, Smoke::mf_static, 289, 13},	//2099 Plasma::ScriptEngine::trUtf8(const char*)
    {85, 432, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 141, 14},	//2100 Plasma::ScriptEngine::ScriptEngine()
    {85, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 15},	//2101 Plasma::ScriptEngine::staticMetaObject() const
    {85, 2374, 0, 0, Smoke::mf_dtor, 0, 16 },	//2102 Plasma::ScriptEngine::~ScriptEngine()
    {86, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//2103 Plasma::ScrollBar::metaObject() const
    {86, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//2104 Plasma::ScrollBar::qt_metacast(const char*)
    {86, 2222, 43, 2, Smoke::mf_static, 289, 3},	//2105 Plasma::ScrollBar::tr(const char*, const char*)
    {86, 2226, 43, 2, Smoke::mf_static, 289, 4},	//2106 Plasma::ScrollBar::trUtf8(const char*, const char*)
    {86, 2222, 46, 3, Smoke::mf_static, 289, 5},	//2107 Plasma::ScrollBar::tr(const char*, const char*, int)
    {86, 2226, 46, 3, Smoke::mf_static, 289, 6},	//2108 Plasma::ScrollBar::trUtf8(const char*, const char*, int)
    {86, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//2109 Plasma::ScrollBar::qt_metacall(QMetaObject::Call, int, void**)
    {86, 434, 116, 1, Smoke::mf_ctor, 142, 8},	//2110 Plasma::ScrollBar::ScrollBar(QGraphicsWidget*)
    {86, 1913, 352, 2, 0, 0, 9},	//2111 Plasma::ScrollBar::setRange(int, int)
    {86, 1970, 120, 1, Smoke::mf_property, 0, 10},	//2112 Plasma::ScrollBar::setSingleStep(int)
    {86, 2119, 0, 0, Smoke::mf_property, 471, 11},	//2113 Plasma::ScrollBar::singleStep()
    {86, 1884, 120, 1, Smoke::mf_property, 0, 12},	//2114 Plasma::ScrollBar::setPageStep(int)
    {86, 1388, 0, 0, Smoke::mf_property, 471, 13},	//2115 Plasma::ScrollBar::pageStep()
    {86, 2276, 0, 0, Smoke::mf_const|Smoke::mf_property, 471, 14},	//2116 Plasma::ScrollBar::value() const
    {86, 1334, 0, 0, Smoke::mf_const|Smoke::mf_property, 471, 15},	//2117 Plasma::ScrollBar::minimum() const
    {86, 1319, 0, 0, Smoke::mf_const|Smoke::mf_property, 471, 16},	//2118 Plasma::ScrollBar::maximum() const
    {86, 1982, 89, 1, Smoke::mf_property, 0, 17},	//2119 Plasma::ScrollBar::setStyleSheet(const QString&)
    {86, 2161, 0, 0, Smoke::mf_property, 289, 18},	//2120 Plasma::ScrollBar::styleSheet()
    {86, 1361, 0, 0, Smoke::mf_const, 284, 19},	//2121 Plasma::ScrollBar::nativeWidget() const
    {86, 1382, 0, 0, Smoke::mf_const|Smoke::mf_property, 352, 20},	//2122 Plasma::ScrollBar::orientation() const
    {86, 797, 378, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//2123 Plasma::ScrollBar::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {86, 2050, 120, 1, Smoke::mf_property|Smoke::mf_slot, 0, 22},	//2124 Plasma::ScrollBar::setValue(int)
    {86, 1878, 602, 1, Smoke::mf_property|Smoke::mf_slot, 0, 23},	//2125 Plasma::ScrollBar::setOrientation(Qt::Orientation)
    {86, 2277, 120, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//2126 Plasma::ScrollBar::valueChanged(int)
    {86, 2222, 1, 1, Smoke::mf_static, 289, 25},	//2127 Plasma::ScrollBar::tr(const char*)
    {86, 2226, 1, 1, Smoke::mf_static, 289, 26},	//2128 Plasma::ScrollBar::trUtf8(const char*)
    {86, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 27},	//2129 Plasma::ScrollBar::staticMetaObject() const
    {86, 2375, 0, 0, Smoke::mf_dtor, 0, 28 },	//2130 Plasma::ScrollBar::~ScrollBar()
    {87, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//2131 Plasma::ScrollWidget::metaObject() const
    {87, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//2132 Plasma::ScrollWidget::qt_metacast(const char*)
    {87, 2222, 43, 2, Smoke::mf_static, 289, 3},	//2133 Plasma::ScrollWidget::tr(const char*, const char*)
    {87, 2226, 43, 2, Smoke::mf_static, 289, 4},	//2134 Plasma::ScrollWidget::trUtf8(const char*, const char*)
    {87, 2222, 46, 3, Smoke::mf_static, 289, 5},	//2135 Plasma::ScrollWidget::tr(const char*, const char*, int)
    {87, 2226, 46, 3, Smoke::mf_static, 289, 6},	//2136 Plasma::ScrollWidget::trUtf8(const char*, const char*, int)
    {87, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//2137 Plasma::ScrollWidget::qt_metacall(QMetaObject::Call, int, void**)
    {87, 437, 116, 1, Smoke::mf_ctor, 143, 8},	//2138 Plasma::ScrollWidget::ScrollWidget(QGraphicsWidget*)
    {87, 437, 161, 1, Smoke::mf_ctor, 143, 9},	//2139 Plasma::ScrollWidget::ScrollWidget(QGraphicsItem*)
    {87, 2075, 116, 1, 0, 0, 10},	//2140 Plasma::ScrollWidget::setWidget(QGraphicsWidget*)
    {87, 2307, 0, 0, Smoke::mf_const, 226, 11},	//2141 Plasma::ScrollWidget::widget() const
    {87, 1619, 619, 1, 0, 0, 12},	//2142 Plasma::ScrollWidget::setAlignment(QFlags<Qt::AlignmentFlag>)
    {87, 651, 0, 0, Smoke::mf_const, 205, 13},	//2143 Plasma::ScrollWidget::alignment() const
    {87, 1880, 7, 1, Smoke::mf_property, 0, 14},	//2144 Plasma::ScrollWidget::setOverShoot(bool)
    {87, 1041, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 15},	//2145 Plasma::ScrollWidget::hasOverShoot() const
    {87, 1802, 716, 1, Smoke::mf_property, 0, 16},	//2146 Plasma::ScrollWidget::setHorizontalScrollBarPolicy(const Qt::ScrollBarPolicy)
    {87, 1057, 0, 0, Smoke::mf_const|Smoke::mf_property, 356, 17},	//2147 Plasma::ScrollWidget::horizontalScrollBarPolicy() const
    {87, 2062, 716, 1, Smoke::mf_property, 0, 18},	//2148 Plasma::ScrollWidget::setVerticalScrollBarPolicy(const Qt::ScrollBarPolicy)
    {87, 2289, 0, 0, Smoke::mf_const|Smoke::mf_property, 356, 19},	//2149 Plasma::ScrollWidget::verticalScrollBarPolicy() const
    {87, 944, 613, 1, 0, 0, 20},	//2150 Plasma::ScrollWidget::ensureRectVisible(const QRectF&)
    {87, 942, 161, 1, 0, 0, 21},	//2151 Plasma::ScrollWidget::ensureItemVisible(QGraphicsItem*)
    {87, 1469, 116, 1, 0, 0, 22},	//2152 Plasma::ScrollWidget::registerAsDragHandle(QGraphicsWidget*)
    {87, 2241, 116, 1, 0, 0, 23},	//2153 Plasma::ScrollWidget::unregisterAsDragHandle(QGraphicsWidget*)
    {87, 2294, 0, 0, Smoke::mf_const|Smoke::mf_property, 279, 24},	//2154 Plasma::ScrollWidget::viewportGeometry() const
    {87, 790, 0, 0, Smoke::mf_const|Smoke::mf_property, 287, 25},	//2155 Plasma::ScrollWidget::contentsSize() const
    {87, 1944, 366, 1, Smoke::mf_property, 0, 26},	//2156 Plasma::ScrollWidget::setScrollPosition(const QPointF&)
    {87, 1594, 0, 0, Smoke::mf_const|Smoke::mf_property, 276, 27},	//2157 Plasma::ScrollWidget::scrollPosition() const
    {87, 1972, 565, 1, Smoke::mf_property, 0, 28},	//2158 Plasma::ScrollWidget::setSnapSize(const QSizeF&)
    {87, 2131, 0, 0, Smoke::mf_const|Smoke::mf_property, 287, 29},	//2159 Plasma::ScrollWidget::snapSize() const
    {87, 1982, 89, 1, Smoke::mf_property, 0, 30},	//2160 Plasma::ScrollWidget::setStyleSheet(const QString&)
    {87, 2161, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 31},	//2161 Plasma::ScrollWidget::styleSheet() const
    {87, 1361, 0, 0, Smoke::mf_const, 304, 32},	//2162 Plasma::ScrollWidget::nativeWidget() const
    {87, 1595, 718, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//2163 Plasma::ScrollWidget::scrollStateChanged(QAbstractAnimation::State, QAbstractAnimation::State)
    {87, 2295, 613, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//2164 Plasma::ScrollWidget::viewportGeometryChanged(const QRectF&)
    {87, 1543, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//2165 Plasma::ScrollWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {87, 1341, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//2166 Plasma::ScrollWidget::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {87, 1343, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 37},	//2167 Plasma::ScrollWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {87, 1345, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 38},	//2168 Plasma::ScrollWidget::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {87, 1180, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 39},	//2169 Plasma::ScrollWidget::keyPressEvent(QKeyEvent*)
    {87, 2305, 382, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//2170 Plasma::ScrollWidget::wheelEvent(QGraphicsSceneWheelEvent*)
    {87, 952, 259, 2, Smoke::mf_protected|Smoke::mf_virtual, 382, 41},	//2171 Plasma::ScrollWidget::eventFilter(QObject*, QEvent*)
    {87, 993, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 42},	//2172 Plasma::ScrollWidget::focusInEvent(QFocusEvent*)
    {87, 2123, 274, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 43},	//2173 Plasma::ScrollWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {87, 1580, 262, 2, Smoke::mf_protected|Smoke::mf_virtual, 382, 44},	//2174 Plasma::ScrollWidget::sceneEventFilter(QGraphicsItem*, QEvent*)
    {87, 2222, 1, 1, Smoke::mf_static, 289, 45},	//2175 Plasma::ScrollWidget::tr(const char*)
    {87, 2226, 1, 1, Smoke::mf_static, 289, 46},	//2176 Plasma::ScrollWidget::trUtf8(const char*)
    {87, 437, 0, 0, Smoke::mf_ctor, 143, 47},	//2177 Plasma::ScrollWidget::ScrollWidget()
    {87, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 48},	//2178 Plasma::ScrollWidget::staticMetaObject() const
    {87, 2376, 0, 0, Smoke::mf_dtor, 0, 49 },	//2179 Plasma::ScrollWidget::~ScrollWidget()
    {88, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//2180 Plasma::Separator::metaObject() const
    {88, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//2181 Plasma::Separator::qt_metacast(const char*)
    {88, 2222, 43, 2, Smoke::mf_static, 289, 3},	//2182 Plasma::Separator::tr(const char*, const char*)
    {88, 2226, 43, 2, Smoke::mf_static, 289, 4},	//2183 Plasma::Separator::trUtf8(const char*, const char*)
    {88, 2222, 46, 3, Smoke::mf_static, 289, 5},	//2184 Plasma::Separator::tr(const char*, const char*, int)
    {88, 2226, 46, 3, Smoke::mf_static, 289, 6},	//2185 Plasma::Separator::trUtf8(const char*, const char*, int)
    {88, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//2186 Plasma::Separator::qt_metacall(QMetaObject::Call, int, void**)
    {88, 440, 721, 2, Smoke::mf_ctor, 144, 8},	//2187 Plasma::Separator::Separator(QGraphicsItem*, QFlags<Qt::WindowType>)
    {88, 1878, 602, 1, Smoke::mf_property, 0, 9},	//2188 Plasma::Separator::setOrientation(Qt::Orientation)
    {88, 1382, 0, 0, Smoke::mf_property, 352, 10},	//2189 Plasma::Separator::orientation()
    {88, 1389, 207, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//2190 Plasma::Separator::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {88, 2123, 274, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 12},	//2191 Plasma::Separator::sizeHint(Qt::SizeHint, const QSizeF&) const
    {88, 2222, 1, 1, Smoke::mf_static, 289, 13},	//2192 Plasma::Separator::tr(const char*)
    {88, 2226, 1, 1, Smoke::mf_static, 289, 14},	//2193 Plasma::Separator::trUtf8(const char*)
    {88, 440, 0, 0, Smoke::mf_ctor, 144, 15},	//2194 Plasma::Separator::Separator()
    {88, 440, 161, 1, Smoke::mf_ctor, 144, 16},	//2195 Plasma::Separator::Separator(QGraphicsItem*)
    {88, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 17},	//2196 Plasma::Separator::staticMetaObject() const
    {88, 2377, 0, 0, Smoke::mf_dtor, 0, 18 },	//2197 Plasma::Separator::~Separator()
    {89, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//2198 Plasma::Service::metaObject() const
    {89, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//2199 Plasma::Service::qt_metacast(const char*)
    {89, 2222, 43, 2, Smoke::mf_static, 289, 3},	//2200 Plasma::Service::tr(const char*, const char*)
    {89, 2226, 43, 2, Smoke::mf_static, 289, 4},	//2201 Plasma::Service::trUtf8(const char*, const char*)
    {89, 2222, 46, 3, Smoke::mf_static, 289, 5},	//2202 Plasma::Service::tr(const char*, const char*, int)
    {89, 2226, 46, 3, Smoke::mf_static, 289, 6},	//2203 Plasma::Service::trUtf8(const char*, const char*, int)
    {89, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//2204 Plasma::Service::qt_metacall(QMetaObject::Call, int, void**)
    {89, 1256, 724, 3, Smoke::mf_static, 145, 8},	//2205 Plasma::Service::load(const QString&, const QList<QVariant>&, QObject*)
    {89, 1256, 140, 2, Smoke::mf_static, 145, 9},	//2206 Plasma::Service::load(const QString&, QObject*)
    {89, 565, 107, 2, Smoke::mf_static, 145, 10},	//2207 Plasma::Service::access(const KUrl&, QObject*)
    {89, 1734, 89, 1, 0, 0, 11},	//2208 Plasma::Service::setDestination(const QString&)
    {89, 851, 0, 0, Smoke::mf_const, 289, 12},	//2209 Plasma::Service::destination() const
    {89, 1374, 0, 0, Smoke::mf_const, 290, 13},	//2210 Plasma::Service::operationNames() const
    {89, 1371, 89, 1, 0, 8, 14},	//2211 Plasma::Service::operationDescription(const QString&)
    {89, 2143, 728, 2, 0, 147, 15},	//2212 Plasma::Service::startOperationCall(const KConfigGroup&, QObject*)
    {89, 1127, 89, 1, Smoke::mf_const, 382, 16},	//2213 Plasma::Service::isOperationEnabled(const QString&) const
    {89, 1359, 0, 0, Smoke::mf_const, 289, 17},	//2214 Plasma::Service::name() const
    {89, 688, 731, 2, 0, 0, 18},	//2215 Plasma::Service::associateWidget(QWidget*, const QString&)
    {89, 863, 57, 1, 0, 0, 19},	//2216 Plasma::Service::disassociateWidget(QWidget*)
    {89, 688, 734, 2, 0, 0, 20},	//2217 Plasma::Service::associateWidget(QGraphicsWidget*, const QString&)
    {89, 863, 116, 1, 0, 0, 21},	//2218 Plasma::Service::disassociateWidget(QGraphicsWidget*)
    {89, 1412, 405, 1, 0, 258, 22},	//2219 Plasma::Service::parametersFromDescription(const KConfigGroup&)
    {89, 983, 737, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//2220 Plasma::Service::finished(Plasma::ServiceJob*)
    {89, 1375, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//2221 Plasma::Service::operationsChanged()
    {89, 1612, 739, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2222 Plasma::Service::serviceReady(Plasma::Service*)
    {89, 443, 97, 1, Smoke::mf_ctor|Smoke::mf_protected, 145, 26},	//2223 Plasma::Service::Service(QObject*)
    {89, 443, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 145, 27},	//2224 Plasma::Service::Service(QObject*, const QList<QVariant>&)
    {89, 813, 741, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 147, 28},	//2225 Plasma::Service::createJob(const QString&, QMap<QString,QVariant>&) [pure virtual]
    {89, 1471, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//2226 Plasma::Service::registerOperationsScheme()
    {89, 1876, 744, 1, Smoke::mf_protected, 0, 30},	//2227 Plasma::Service::setOperationsScheme(QIODevice*)
    {89, 1866, 89, 1, Smoke::mf_protected, 0, 31},	//2228 Plasma::Service::setName(const QString&)
    {89, 1874, 188, 2, Smoke::mf_protected, 0, 32},	//2229 Plasma::Service::setOperationEnabled(const QString&, bool)
    {89, 2222, 1, 1, Smoke::mf_static, 289, 33},	//2230 Plasma::Service::tr(const char*)
    {89, 2226, 1, 1, Smoke::mf_static, 289, 34},	//2231 Plasma::Service::trUtf8(const char*)
    {89, 1256, 388, 2, Smoke::mf_static, 145, 35},	//2232 Plasma::Service::load(const QString&, const QList<QVariant>&)
    {89, 1256, 89, 1, Smoke::mf_static, 145, 36},	//2233 Plasma::Service::load(const QString&)
    {89, 565, 110, 1, Smoke::mf_static, 145, 37},	//2234 Plasma::Service::access(const KUrl&)
    {89, 2143, 405, 1, 0, 147, 38},	//2235 Plasma::Service::startOperationCall(const KConfigGroup&)
    {89, 443, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 145, 39},	//2236 Plasma::Service::Service()
    {89, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 40},	//2237 Plasma::Service::staticMetaObject() const
    {89, 2378, 0, 0, Smoke::mf_dtor, 0, 41 },	//2238 Plasma::Service::~Service()
    {90, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//2239 Plasma::ServiceAccessJob::metaObject() const
    {90, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//2240 Plasma::ServiceAccessJob::qt_metacast(const char*)
    {90, 2222, 43, 2, Smoke::mf_static, 289, 3},	//2241 Plasma::ServiceAccessJob::tr(const char*, const char*)
    {90, 2226, 43, 2, Smoke::mf_static, 289, 4},	//2242 Plasma::ServiceAccessJob::trUtf8(const char*, const char*)
    {90, 2222, 46, 3, Smoke::mf_static, 289, 5},	//2243 Plasma::ServiceAccessJob::tr(const char*, const char*, int)
    {90, 2226, 46, 3, Smoke::mf_static, 289, 6},	//2244 Plasma::ServiceAccessJob::trUtf8(const char*, const char*, int)
    {90, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//2245 Plasma::ServiceAccessJob::qt_metacall(QMetaObject::Call, int, void**)
    {90, 1604, 0, 0, Smoke::mf_const, 145, 8},	//2246 Plasma::ServiceAccessJob::service() const
    {90, 446, 746, 2, Smoke::mf_ctor|Smoke::mf_protected, 146, 9},	//2247 Plasma::ServiceAccessJob::ServiceAccessJob(KUrl, QObject*)
    {90, 2142, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//2248 Plasma::ServiceAccessJob::start()
    {90, 2222, 1, 1, Smoke::mf_static, 289, 11},	//2249 Plasma::ServiceAccessJob::tr(const char*)
    {90, 2226, 1, 1, Smoke::mf_static, 289, 12},	//2250 Plasma::ServiceAccessJob::trUtf8(const char*)
    {90, 446, 749, 1, Smoke::mf_ctor|Smoke::mf_protected, 146, 13},	//2251 Plasma::ServiceAccessJob::ServiceAccessJob(KUrl)
    {90, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 14},	//2252 Plasma::ServiceAccessJob::staticMetaObject() const
    {90, 2379, 0, 0, Smoke::mf_dtor, 0, 15 },	//2253 Plasma::ServiceAccessJob::~ServiceAccessJob()
    {91, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//2254 Plasma::ServiceJob::metaObject() const
    {91, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//2255 Plasma::ServiceJob::qt_metacast(const char*)
    {91, 2222, 43, 2, Smoke::mf_static, 289, 3},	//2256 Plasma::ServiceJob::tr(const char*, const char*)
    {91, 2226, 43, 2, Smoke::mf_static, 289, 4},	//2257 Plasma::ServiceJob::trUtf8(const char*, const char*)
    {91, 2222, 46, 3, Smoke::mf_static, 289, 5},	//2258 Plasma::ServiceJob::tr(const char*, const char*, int)
    {91, 2226, 46, 3, Smoke::mf_static, 289, 6},	//2259 Plasma::ServiceJob::trUtf8(const char*, const char*, int)
    {91, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//2260 Plasma::ServiceJob::qt_metacall(QMetaObject::Call, int, void**)
    {91, 449, 751, 4, Smoke::mf_ctor, 147, 8},	//2261 Plasma::ServiceJob::ServiceJob(const QString&, const QString&, const QMap<QString,QVariant>&, QObject*)
    {91, 851, 0, 0, Smoke::mf_const, 289, 9},	//2262 Plasma::ServiceJob::destination() const
    {91, 1373, 0, 0, Smoke::mf_const, 289, 10},	//2263 Plasma::ServiceJob::operationName() const
    {91, 1411, 0, 0, Smoke::mf_const, 258, 11},	//2264 Plasma::ServiceJob::parameters() const
    {91, 1551, 0, 0, Smoke::mf_const, 299, 12},	//2265 Plasma::ServiceJob::result() const
    {91, 2142, 0, 0, Smoke::mf_virtual, 0, 13},	//2266 Plasma::ServiceJob::start()
    {91, 1931, 693, 1, Smoke::mf_protected, 0, 14},	//2267 Plasma::ServiceJob::setResult(const QVariant&)
    {91, 2222, 1, 1, Smoke::mf_static, 289, 15},	//2268 Plasma::ServiceJob::tr(const char*)
    {91, 2226, 1, 1, Smoke::mf_static, 289, 16},	//2269 Plasma::ServiceJob::trUtf8(const char*)
    {91, 449, 756, 3, Smoke::mf_ctor, 147, 17},	//2270 Plasma::ServiceJob::ServiceJob(const QString&, const QString&, const QMap<QString,QVariant>&)
    {91, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 18},	//2271 Plasma::ServiceJob::staticMetaObject() const
    {91, 2380, 0, 0, Smoke::mf_dtor, 0, 19 },	//2272 Plasma::ServiceJob::~ServiceJob()
    {92, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//2273 Plasma::SignalPlotter::metaObject() const
    {92, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//2274 Plasma::SignalPlotter::qt_metacast(const char*)
    {92, 2222, 43, 2, Smoke::mf_static, 289, 3},	//2275 Plasma::SignalPlotter::tr(const char*, const char*)
    {92, 2226, 43, 2, Smoke::mf_static, 289, 4},	//2276 Plasma::SignalPlotter::trUtf8(const char*, const char*)
    {92, 2222, 46, 3, Smoke::mf_static, 289, 5},	//2277 Plasma::SignalPlotter::tr(const char*, const char*, int)
    {92, 2226, 46, 3, Smoke::mf_static, 289, 6},	//2278 Plasma::SignalPlotter::trUtf8(const char*, const char*, int)
    {92, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//2279 Plasma::SignalPlotter::qt_metacall(QMetaObject::Call, int, void**)
    {92, 455, 161, 1, Smoke::mf_ctor, 148, 8},	//2280 Plasma::SignalPlotter::SignalPlotter(QGraphicsItem*)
    {92, 622, 543, 1, 0, 0, 9},	//2281 Plasma::SignalPlotter::addPlot(const QColor&)
    {92, 629, 760, 1, 0, 0, 10},	//2282 Plasma::SignalPlotter::addSample(const QList<double>&)
    {92, 1530, 762, 1, 0, 0, 11},	//2283 Plasma::SignalPlotter::reorderPlots(const QList<unsigned int>&)
    {92, 1512, 36, 1, 0, 0, 12},	//2284 Plasma::SignalPlotter::removePlot(unsigned int)
    {92, 1427, 0, 0, 0, 248, 13},	//2285 Plasma::SignalPlotter::plotColors()
    {92, 2024, 89, 1, Smoke::mf_property, 0, 14},	//2286 Plasma::SignalPlotter::setTitle(const QString&)
    {92, 2210, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 15},	//2287 Plasma::SignalPlotter::title() const
    {92, 2034, 89, 1, Smoke::mf_property, 0, 16},	//2288 Plasma::SignalPlotter::setUnit(const QString&)
    {92, 2237, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 17},	//2289 Plasma::SignalPlotter::unit() const
    {92, 1574, 689, 1, 0, 0, 18},	//2290 Plasma::SignalPlotter::scale(double)
    {92, 1576, 0, 0, Smoke::mf_const, 468, 19},	//2291 Plasma::SignalPlotter::scaledBy() const
    {92, 2040, 7, 1, Smoke::mf_property, 0, 20},	//2292 Plasma::SignalPlotter::setUseAutoRange(bool)
    {92, 2267, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 21},	//2293 Plasma::SignalPlotter::useAutoRange() const
    {92, 2060, 764, 2, 0, 0, 22},	//2294 Plasma::SignalPlotter::setVerticalRange(double, double)
    {92, 2288, 0, 0, Smoke::mf_const, 468, 23},	//2295 Plasma::SignalPlotter::verticalMinValue() const
    {92, 2287, 0, 0, Smoke::mf_const, 468, 24},	//2296 Plasma::SignalPlotter::verticalMaxValue() const
    {92, 1800, 36, 1, 0, 0, 25},	//2297 Plasma::SignalPlotter::setHorizontalScale(unsigned int)
    {92, 1056, 0, 0, Smoke::mf_const, 477, 26},	//2298 Plasma::SignalPlotter::horizontalScale() const
    {92, 1960, 7, 1, Smoke::mf_property, 0, 27},	//2299 Plasma::SignalPlotter::setShowVerticalLines(bool)
    {92, 2113, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 28},	//2300 Plasma::SignalPlotter::showVerticalLines() const
    {92, 2054, 543, 1, Smoke::mf_property, 0, 29},	//2301 Plasma::SignalPlotter::setVerticalLinesColor(const QColor&)
    {92, 2284, 0, 0, Smoke::mf_const|Smoke::mf_property, 186, 30},	//2302 Plasma::SignalPlotter::verticalLinesColor() const
    {92, 2056, 36, 1, 0, 0, 31},	//2303 Plasma::SignalPlotter::setVerticalLinesDistance(unsigned int)
    {92, 2285, 0, 0, Smoke::mf_const, 477, 32},	//2304 Plasma::SignalPlotter::verticalLinesDistance() const
    {92, 2058, 7, 1, Smoke::mf_property, 0, 33},	//2305 Plasma::SignalPlotter::setVerticalLinesScroll(bool)
    {92, 2286, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 34},	//2306 Plasma::SignalPlotter::verticalLinesScroll() const
    {92, 1954, 7, 1, Smoke::mf_property, 0, 35},	//2307 Plasma::SignalPlotter::setShowHorizontalLines(bool)
    {92, 2105, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 36},	//2308 Plasma::SignalPlotter::showHorizontalLines() const
    {92, 1796, 543, 1, Smoke::mf_property, 0, 37},	//2309 Plasma::SignalPlotter::setHorizontalLinesColor(const QColor&)
    {92, 1054, 0, 0, Smoke::mf_const|Smoke::mf_property, 186, 38},	//2310 Plasma::SignalPlotter::horizontalLinesColor() const
    {92, 1773, 543, 1, Smoke::mf_property, 0, 39},	//2311 Plasma::SignalPlotter::setFontColor(const QColor&)
    {92, 1003, 0, 0, Smoke::mf_const|Smoke::mf_property, 186, 40},	//2312 Plasma::SignalPlotter::fontColor() const
    {92, 1770, 541, 1, Smoke::mf_property, 0, 41},	//2313 Plasma::SignalPlotter::setFont(const QFont&)
    {92, 1000, 0, 0, Smoke::mf_const|Smoke::mf_property, 209, 42},	//2314 Plasma::SignalPlotter::font() const
    {92, 1798, 36, 1, 0, 0, 43},	//2315 Plasma::SignalPlotter::setHorizontalLinesCount(unsigned int)
    {92, 1055, 0, 0, Smoke::mf_const, 477, 44},	//2316 Plasma::SignalPlotter::horizontalLinesCount() const
    {92, 1956, 7, 1, Smoke::mf_property, 0, 45},	//2317 Plasma::SignalPlotter::setShowLabels(bool)
    {92, 2106, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 46},	//2318 Plasma::SignalPlotter::showLabels() const
    {92, 1958, 7, 1, Smoke::mf_property, 0, 47},	//2319 Plasma::SignalPlotter::setShowTopBar(bool)
    {92, 2112, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 48},	//2320 Plasma::SignalPlotter::showTopBar() const
    {92, 1655, 543, 1, Smoke::mf_property, 0, 49},	//2321 Plasma::SignalPlotter::setBackgroundColor(const QColor&)
    {92, 704, 0, 0, Smoke::mf_const|Smoke::mf_property, 186, 50},	//2322 Plasma::SignalPlotter::backgroundColor() const
    {92, 1992, 89, 1, Smoke::mf_property, 0, 51},	//2323 Plasma::SignalPlotter::setSvgBackground(const QString&)
    {92, 2168, 0, 0, Smoke::mf_property, 289, 52},	//2324 Plasma::SignalPlotter::svgBackground()
    {92, 1201, 36, 1, Smoke::mf_const, 468, 53},	//2325 Plasma::SignalPlotter::lastValue(unsigned int) const
    {92, 1203, 36, 1, Smoke::mf_const, 289, 54},	//2326 Plasma::SignalPlotter::lastValueAsString(unsigned int) const
    {92, 2022, 7, 1, Smoke::mf_property, 0, 55},	//2327 Plasma::SignalPlotter::setThinFrame(bool)
    {92, 2204, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 56},	//2328 Plasma::SignalPlotter::thinFrame() const
    {92, 1976, 7, 1, Smoke::mf_property, 0, 57},	//2329 Plasma::SignalPlotter::setStackPlots(bool)
    {92, 2140, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 58},	//2330 Plasma::SignalPlotter::stackPlots() const
    {92, 1018, 767, 2, 0, 273, 59},	//2331 Plasma::SignalPlotter::getSnapshotImage(unsigned int, unsigned int)
    {92, 1779, 613, 1, Smoke::mf_virtual, 0, 60},	//2332 Plasma::SignalPlotter::setGeometry(const QRectF&)
    {92, 2254, 0, 0, Smoke::mf_protected, 0, 61},	//2333 Plasma::SignalPlotter::updateDataBuffers()
    {92, 714, 0, 0, Smoke::mf_protected, 0, 62},	//2334 Plasma::SignalPlotter::calculateNiceRange()
    {92, 1389, 207, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//2335 Plasma::SignalPlotter::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {92, 902, 770, 4, Smoke::mf_protected, 0, 64},	//2336 Plasma::SignalPlotter::drawWidget(QPainter*, unsigned int, unsigned int, int)
    {92, 885, 775, 3, Smoke::mf_protected, 0, 65},	//2337 Plasma::SignalPlotter::drawBackground(QPainter*, int, int)
    {92, 893, 775, 3, Smoke::mf_protected, 0, 66},	//2338 Plasma::SignalPlotter::drawThinFrame(QPainter*, int, int)
    {92, 897, 775, 3, Smoke::mf_protected, 0, 67},	//2339 Plasma::SignalPlotter::drawTopBarFrame(QPainter*, int, int)
    {92, 895, 779, 4, Smoke::mf_protected, 0, 68},	//2340 Plasma::SignalPlotter::drawTopBarContents(QPainter*, int, int, int)
    {92, 899, 779, 4, Smoke::mf_protected, 0, 69},	//2341 Plasma::SignalPlotter::drawVerticalLines(QPainter*, int, int, int)
    {92, 891, 784, 5, Smoke::mf_protected, 0, 70},	//2342 Plasma::SignalPlotter::drawPlots(QPainter*, int, int, int, int)
    {92, 883, 775, 3, Smoke::mf_protected, 0, 71},	//2343 Plasma::SignalPlotter::drawAxisText(QPainter*, int, int)
    {92, 888, 779, 4, Smoke::mf_protected, 0, 72},	//2344 Plasma::SignalPlotter::drawHorizontalLines(QPainter*, int, int, int)
    {92, 2222, 1, 1, Smoke::mf_static, 289, 73},	//2345 Plasma::SignalPlotter::tr(const char*)
    {92, 2226, 1, 1, Smoke::mf_static, 289, 74},	//2346 Plasma::SignalPlotter::trUtf8(const char*)
    {92, 455, 0, 0, Smoke::mf_ctor, 148, 75},	//2347 Plasma::SignalPlotter::SignalPlotter()
    {92, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 76},	//2348 Plasma::SignalPlotter::staticMetaObject() const
    {92, 2381, 0, 0, Smoke::mf_dtor, 0, 77 },	//2349 Plasma::SignalPlotter::~SignalPlotter()
    {93, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//2350 Plasma::Slider::metaObject() const
    {93, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//2351 Plasma::Slider::qt_metacast(const char*)
    {93, 2222, 43, 2, Smoke::mf_static, 289, 3},	//2352 Plasma::Slider::tr(const char*, const char*)
    {93, 2226, 43, 2, Smoke::mf_static, 289, 4},	//2353 Plasma::Slider::trUtf8(const char*, const char*)
    {93, 2222, 46, 3, Smoke::mf_static, 289, 5},	//2354 Plasma::Slider::tr(const char*, const char*, int)
    {93, 2226, 46, 3, Smoke::mf_static, 289, 6},	//2355 Plasma::Slider::trUtf8(const char*, const char*, int)
    {93, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//2356 Plasma::Slider::qt_metacall(QMetaObject::Call, int, void**)
    {93, 461, 116, 1, Smoke::mf_ctor, 149, 8},	//2357 Plasma::Slider::Slider(QGraphicsWidget*)
    {93, 1319, 0, 0, Smoke::mf_const|Smoke::mf_property, 471, 9},	//2358 Plasma::Slider::maximum() const
    {93, 1334, 0, 0, Smoke::mf_const|Smoke::mf_property, 471, 10},	//2359 Plasma::Slider::minimum() const
    {93, 2276, 0, 0, Smoke::mf_const|Smoke::mf_property, 471, 11},	//2360 Plasma::Slider::value() const
    {93, 1382, 0, 0, Smoke::mf_const|Smoke::mf_property, 352, 12},	//2361 Plasma::Slider::orientation() const
    {93, 1982, 89, 1, Smoke::mf_property, 0, 13},	//2362 Plasma::Slider::setStyleSheet(const QString&)
    {93, 2161, 0, 0, Smoke::mf_property, 289, 14},	//2363 Plasma::Slider::styleSheet()
    {93, 1361, 0, 0, Smoke::mf_const, 288, 15},	//2364 Plasma::Slider::nativeWidget() const
    {93, 1389, 207, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//2365 Plasma::Slider::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {93, 2305, 382, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//2366 Plasma::Slider::wheelEvent(QGraphicsSceneWheelEvent*)
    {93, 1849, 120, 1, Smoke::mf_slot, 0, 18},	//2367 Plasma::Slider::setMaximum(int)
    {93, 1857, 120, 1, Smoke::mf_property|Smoke::mf_slot, 0, 19},	//2368 Plasma::Slider::setMinimum(int)
    {93, 1913, 352, 2, Smoke::mf_slot, 0, 20},	//2369 Plasma::Slider::setRange(int, int)
    {93, 2050, 120, 1, Smoke::mf_property|Smoke::mf_slot, 0, 21},	//2370 Plasma::Slider::setValue(int)
    {93, 1878, 602, 1, Smoke::mf_property|Smoke::mf_slot, 0, 22},	//2371 Plasma::Slider::setOrientation(Qt::Orientation)
    {93, 2129, 120, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//2372 Plasma::Slider::sliderMoved(int)
    {93, 2277, 120, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//2373 Plasma::Slider::valueChanged(int)
    {93, 2222, 1, 1, Smoke::mf_static, 289, 25},	//2374 Plasma::Slider::tr(const char*)
    {93, 2226, 1, 1, Smoke::mf_static, 289, 26},	//2375 Plasma::Slider::trUtf8(const char*)
    {93, 461, 0, 0, Smoke::mf_ctor, 149, 27},	//2376 Plasma::Slider::Slider()
    {93, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 28},	//2377 Plasma::Slider::staticMetaObject() const
    {93, 2382, 0, 0, Smoke::mf_dtor, 0, 29 },	//2378 Plasma::Slider::~Slider()
    {94, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//2379 Plasma::SpinBox::metaObject() const
    {94, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//2380 Plasma::SpinBox::qt_metacast(const char*)
    {94, 2222, 43, 2, Smoke::mf_static, 289, 3},	//2381 Plasma::SpinBox::tr(const char*, const char*)
    {94, 2226, 43, 2, Smoke::mf_static, 289, 4},	//2382 Plasma::SpinBox::trUtf8(const char*, const char*)
    {94, 2222, 46, 3, Smoke::mf_static, 289, 5},	//2383 Plasma::SpinBox::tr(const char*, const char*, int)
    {94, 2226, 46, 3, Smoke::mf_static, 289, 6},	//2384 Plasma::SpinBox::trUtf8(const char*, const char*, int)
    {94, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//2385 Plasma::SpinBox::qt_metacall(QMetaObject::Call, int, void**)
    {94, 467, 116, 1, Smoke::mf_ctor, 150, 8},	//2386 Plasma::SpinBox::SpinBox(QGraphicsWidget*)
    {94, 1319, 0, 0, Smoke::mf_const|Smoke::mf_property, 471, 9},	//2387 Plasma::SpinBox::maximum() const
    {94, 1334, 0, 0, Smoke::mf_const|Smoke::mf_property, 471, 10},	//2388 Plasma::SpinBox::minimum() const
    {94, 2276, 0, 0, Smoke::mf_const|Smoke::mf_property, 471, 11},	//2389 Plasma::SpinBox::value() const
    {94, 1982, 89, 1, Smoke::mf_property, 0, 12},	//2390 Plasma::SpinBox::setStyleSheet(const QString&)
    {94, 2161, 0, 0, Smoke::mf_property, 289, 13},	//2391 Plasma::SpinBox::styleSheet()
    {94, 1361, 0, 0, Smoke::mf_const, 12, 14},	//2392 Plasma::SpinBox::nativeWidget() const
    {94, 718, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//2393 Plasma::SpinBox::changeEvent(QEvent*)
    {94, 1058, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//2394 Plasma::SpinBox::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {94, 1060, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//2395 Plasma::SpinBox::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {94, 1543, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//2396 Plasma::SpinBox::resizeEvent(QGraphicsSceneResizeEvent*)
    {94, 1389, 207, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//2397 Plasma::SpinBox::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {94, 1343, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//2398 Plasma::SpinBox::mousePressEvent(QGraphicsSceneMouseEvent*)
    {94, 997, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//2399 Plasma::SpinBox::focusOutEvent(QFocusEvent*)
    {94, 1849, 120, 1, Smoke::mf_slot, 0, 22},	//2400 Plasma::SpinBox::setMaximum(int)
    {94, 1857, 120, 1, Smoke::mf_property|Smoke::mf_slot, 0, 23},	//2401 Plasma::SpinBox::setMinimum(int)
    {94, 1913, 352, 2, Smoke::mf_slot, 0, 24},	//2402 Plasma::SpinBox::setRange(int, int)
    {94, 2050, 120, 1, Smoke::mf_property|Smoke::mf_slot, 0, 25},	//2403 Plasma::SpinBox::setValue(int)
    {94, 2129, 120, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2404 Plasma::SpinBox::sliderMoved(int)
    {94, 2277, 120, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2405 Plasma::SpinBox::valueChanged(int)
    {94, 908, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//2406 Plasma::SpinBox::editingFinished()
    {94, 2222, 1, 1, Smoke::mf_static, 289, 29},	//2407 Plasma::SpinBox::tr(const char*)
    {94, 2226, 1, 1, Smoke::mf_static, 289, 30},	//2408 Plasma::SpinBox::trUtf8(const char*)
    {94, 467, 0, 0, Smoke::mf_ctor, 150, 31},	//2409 Plasma::SpinBox::SpinBox()
    {94, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 32},	//2410 Plasma::SpinBox::staticMetaObject() const
    {94, 2383, 0, 0, Smoke::mf_dtor, 0, 33 },	//2411 Plasma::SpinBox::~SpinBox()
    {95, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//2412 Plasma::Svg::metaObject() const
    {95, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//2413 Plasma::Svg::qt_metacast(const char*)
    {95, 2222, 43, 2, Smoke::mf_static, 289, 3},	//2414 Plasma::Svg::tr(const char*, const char*)
    {95, 2226, 43, 2, Smoke::mf_static, 289, 4},	//2415 Plasma::Svg::trUtf8(const char*, const char*)
    {95, 2222, 46, 3, Smoke::mf_static, 289, 5},	//2416 Plasma::Svg::tr(const char*, const char*, int)
    {95, 2226, 46, 3, Smoke::mf_static, 289, 6},	//2417 Plasma::Svg::trUtf8(const char*, const char*, int)
    {95, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//2418 Plasma::Svg::qt_metacall(QMetaObject::Call, int, void**)
    {95, 482, 97, 1, Smoke::mf_ctor, 151, 8},	//2419 Plasma::Svg::Svg(QObject*)
    {95, 1424, 89, 1, 0, 273, 9},	//2420 Plasma::Svg::pixmap(const QString&)
    {95, 1389, 790, 3, 0, 0, 10},	//2421 Plasma::Svg::paint(QPainter*, const QPointF&, const QString&)
    {95, 1389, 794, 4, 0, 0, 11},	//2422 Plasma::Svg::paint(QPainter*, int, int, const QString&)
    {95, 1389, 799, 3, 0, 0, 12},	//2423 Plasma::Svg::paint(QPainter*, const QRectF&, const QString&)
    {95, 1389, 803, 6, 0, 0, 13},	//2424 Plasma::Svg::paint(QPainter*, int, int, int, int, const QString&)
    {95, 2120, 0, 0, Smoke::mf_const|Smoke::mf_property, 286, 14},	//2425 Plasma::Svg::size() const
    {95, 1539, 764, 2, 0, 0, 15},	//2426 Plasma::Svg::resize(double, double)
    {95, 1539, 565, 1, 0, 0, 16},	//2427 Plasma::Svg::resize(const QSizeF&)
    {95, 1539, 0, 0, 0, 0, 17},	//2428 Plasma::Svg::resize()
    {95, 928, 89, 1, Smoke::mf_const, 286, 18},	//2429 Plasma::Svg::elementSize(const QString&) const
    {95, 926, 89, 1, Smoke::mf_const, 279, 19},	//2430 Plasma::Svg::elementRect(const QString&) const
    {95, 1032, 89, 1, Smoke::mf_const, 382, 20},	//2431 Plasma::Svg::hasElement(const QString&) const
    {95, 921, 517, 1, Smoke::mf_const, 289, 21},	//2432 Plasma::Svg::elementAtPoint(const QPoint&) const
    {95, 1146, 0, 0, Smoke::mf_const, 382, 22},	//2433 Plasma::Svg::isValid() const
    {95, 1694, 7, 1, Smoke::mf_property, 0, 23},	//2434 Plasma::Svg::setContainsMultipleImages(bool)
    {95, 786, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 24},	//2435 Plasma::Svg::containsMultipleImages() const
    {95, 1820, 89, 1, Smoke::mf_property, 0, 25},	//2436 Plasma::Svg::setImagePath(const QString&)
    {95, 1070, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 26},	//2437 Plasma::Svg::imagePath() const
    {95, 2046, 7, 1, Smoke::mf_property, 0, 27},	//2438 Plasma::Svg::setUsingRenderingCache(bool)
    {95, 1145, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 28},	//2439 Plasma::Svg::isUsingRenderingCache() const
    {95, 2018, 810, 1, 0, 0, 29},	//2440 Plasma::Svg::setTheme(Plasma::Theme*)
    {95, 2201, 0, 0, Smoke::mf_const, 156, 30},	//2441 Plasma::Svg::theme() const
    {95, 1532, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//2442 Plasma::Svg::repaintNeeded()
    {95, 2222, 1, 1, Smoke::mf_static, 289, 32},	//2443 Plasma::Svg::tr(const char*)
    {95, 2226, 1, 1, Smoke::mf_static, 289, 33},	//2444 Plasma::Svg::trUtf8(const char*)
    {95, 482, 0, 0, Smoke::mf_ctor, 151, 34},	//2445 Plasma::Svg::Svg()
    {95, 1424, 0, 0, 0, 273, 35},	//2446 Plasma::Svg::pixmap()
    {95, 1389, 578, 2, 0, 0, 36},	//2447 Plasma::Svg::paint(QPainter*, const QPointF&)
    {95, 1389, 775, 3, 0, 0, 37},	//2448 Plasma::Svg::paint(QPainter*, int, int)
    {95, 1389, 581, 2, 0, 0, 38},	//2449 Plasma::Svg::paint(QPainter*, const QRectF&)
    {95, 1389, 784, 5, 0, 0, 39},	//2450 Plasma::Svg::paint(QPainter*, int, int, int, int)
    {95, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 40},	//2451 Plasma::Svg::staticMetaObject() const
    {95, 2385, 0, 0, Smoke::mf_dtor, 0, 41 },	//2452 Plasma::Svg::~Svg()
    {96, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//2453 Plasma::SvgWidget::metaObject() const
    {96, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//2454 Plasma::SvgWidget::qt_metacast(const char*)
    {96, 2222, 43, 2, Smoke::mf_static, 289, 3},	//2455 Plasma::SvgWidget::tr(const char*, const char*)
    {96, 2226, 43, 2, Smoke::mf_static, 289, 4},	//2456 Plasma::SvgWidget::trUtf8(const char*, const char*)
    {96, 2222, 46, 3, Smoke::mf_static, 289, 5},	//2457 Plasma::SvgWidget::tr(const char*, const char*, int)
    {96, 2226, 46, 3, Smoke::mf_static, 289, 6},	//2458 Plasma::SvgWidget::trUtf8(const char*, const char*, int)
    {96, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//2459 Plasma::SvgWidget::qt_metacall(QMetaObject::Call, int, void**)
    {96, 484, 721, 2, Smoke::mf_ctor, 152, 8},	//2460 Plasma::SvgWidget::SvgWidget(QGraphicsItem*, QFlags<Qt::WindowType>)
    {96, 484, 812, 4, Smoke::mf_ctor, 152, 9},	//2461 Plasma::SvgWidget::SvgWidget(Plasma::Svg*, const QString&, QGraphicsItem*, QFlags<Qt::WindowType>)
    {96, 1988, 817, 1, 0, 0, 10},	//2462 Plasma::SvgWidget::setSvg(Plasma::Svg*)
    {96, 2167, 0, 0, Smoke::mf_const, 151, 11},	//2463 Plasma::SvgWidget::svg() const
    {96, 1751, 89, 1, Smoke::mf_property, 0, 12},	//2464 Plasma::SvgWidget::setElementID(const QString&)
    {96, 925, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 13},	//2465 Plasma::SvgWidget::elementID() const
    {96, 1345, 265, 1, Smoke::mf_virtual, 0, 14},	//2466 Plasma::SvgWidget::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {96, 733, 819, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//2467 Plasma::SvgWidget::clicked(Qt::MouseButton)
    {96, 1389, 207, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//2468 Plasma::SvgWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {96, 2123, 274, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 17},	//2469 Plasma::SvgWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {96, 1343, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//2470 Plasma::SvgWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {96, 2222, 1, 1, Smoke::mf_static, 289, 19},	//2471 Plasma::SvgWidget::tr(const char*)
    {96, 2226, 1, 1, Smoke::mf_static, 289, 20},	//2472 Plasma::SvgWidget::trUtf8(const char*)
    {96, 484, 0, 0, Smoke::mf_ctor, 152, 21},	//2473 Plasma::SvgWidget::SvgWidget()
    {96, 484, 161, 1, Smoke::mf_ctor, 152, 22},	//2474 Plasma::SvgWidget::SvgWidget(QGraphicsItem*)
    {96, 484, 817, 1, Smoke::mf_ctor, 152, 23},	//2475 Plasma::SvgWidget::SvgWidget(Plasma::Svg*)
    {96, 484, 821, 2, Smoke::mf_ctor, 152, 24},	//2476 Plasma::SvgWidget::SvgWidget(Plasma::Svg*, const QString&)
    {96, 484, 824, 3, Smoke::mf_ctor, 152, 25},	//2477 Plasma::SvgWidget::SvgWidget(Plasma::Svg*, const QString&, QGraphicsItem*)
    {96, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 26},	//2478 Plasma::SvgWidget::staticMetaObject() const
    {96, 2386, 0, 0, Smoke::mf_dtor, 0, 27 },	//2479 Plasma::SvgWidget::~SvgWidget()
    {97, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//2480 Plasma::TabBar::metaObject() const
    {97, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//2481 Plasma::TabBar::qt_metacast(const char*)
    {97, 2222, 43, 2, Smoke::mf_static, 289, 3},	//2482 Plasma::TabBar::tr(const char*, const char*)
    {97, 2226, 43, 2, Smoke::mf_static, 289, 4},	//2483 Plasma::TabBar::trUtf8(const char*, const char*)
    {97, 2222, 46, 3, Smoke::mf_static, 289, 5},	//2484 Plasma::TabBar::tr(const char*, const char*, int)
    {97, 2226, 46, 3, Smoke::mf_static, 289, 6},	//2485 Plasma::TabBar::trUtf8(const char*, const char*, int)
    {97, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//2486 Plasma::TabBar::qt_metacall(QMetaObject::Call, int, void**)
    {97, 490, 116, 1, Smoke::mf_ctor, 153, 8},	//2487 Plasma::TabBar::TabBar(QGraphicsWidget*)
    {97, 1097, 828, 4, 0, 471, 9},	//2488 Plasma::TabBar::insertTab(int, const QIcon&, const QString&, QGraphicsLayoutItem*)
    {97, 1097, 833, 3, 0, 471, 10},	//2489 Plasma::TabBar::insertTab(int, const QString&, QGraphicsLayoutItem*)
    {97, 641, 837, 3, 0, 471, 11},	//2490 Plasma::TabBar::addTab(const QIcon&, const QString&, QGraphicsLayoutItem*)
    {97, 641, 841, 2, 0, 471, 12},	//2491 Plasma::TabBar::addTab(const QString&, QGraphicsLayoutItem*)
    {97, 1516, 120, 1, 0, 0, 13},	//2492 Plasma::TabBar::removeTab(int)
    {97, 2183, 120, 1, 0, 216, 14},	//2493 Plasma::TabBar::takeTab(int)
    {97, 2176, 120, 1, 0, 216, 15},	//2494 Plasma::TabBar::tabAt(int)
    {97, 826, 0, 0, Smoke::mf_const|Smoke::mf_property, 471, 16},	//2495 Plasma::TabBar::currentIndex() const
    {97, 802, 0, 0, Smoke::mf_const|Smoke::mf_property, 471, 17},	//2496 Plasma::TabBar::count() const
    {97, 2000, 625, 2, 0, 0, 18},	//2497 Plasma::TabBar::setTabText(int, const QString&)
    {97, 2180, 120, 1, Smoke::mf_const, 289, 19},	//2498 Plasma::TabBar::tabText(int) const
    {97, 1998, 844, 2, 0, 0, 20},	//2499 Plasma::TabBar::setTabIcon(int, const QIcon&)
    {97, 2178, 120, 1, Smoke::mf_const, 233, 21},	//2500 Plasma::TabBar::tabIcon(int) const
    {97, 1996, 7, 1, Smoke::mf_property, 0, 22},	//2501 Plasma::TabBar::setTabBarShown(bool)
    {97, 1142, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 23},	//2502 Plasma::TabBar::isTabBarShown() const
    {97, 1982, 89, 1, Smoke::mf_property, 0, 24},	//2503 Plasma::TabBar::setStyleSheet(const QString&)
    {97, 2161, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 25},	//2504 Plasma::TabBar::styleSheet() const
    {97, 1361, 0, 0, Smoke::mf_const, 25, 26},	//2505 Plasma::TabBar::nativeWidget() const
    {97, 1710, 120, 1, Smoke::mf_property|Smoke::mf_slot, 0, 27},	//2506 Plasma::TabBar::setCurrentIndex(int)
    {97, 824, 120, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//2507 Plasma::TabBar::currentChanged(int)
    {97, 2305, 382, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//2508 Plasma::TabBar::wheelEvent(QGraphicsSceneWheelEvent*)
    {97, 1543, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//2509 Plasma::TabBar::resizeEvent(QGraphicsSceneResizeEvent*)
    {97, 718, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//2510 Plasma::TabBar::changeEvent(QEvent*)
    {97, 2222, 1, 1, Smoke::mf_static, 289, 32},	//2511 Plasma::TabBar::tr(const char*)
    {97, 2226, 1, 1, Smoke::mf_static, 289, 33},	//2512 Plasma::TabBar::trUtf8(const char*)
    {97, 490, 0, 0, Smoke::mf_ctor, 153, 34},	//2513 Plasma::TabBar::TabBar()
    {97, 1097, 847, 3, 0, 471, 35},	//2514 Plasma::TabBar::insertTab(int, const QIcon&, const QString&)
    {97, 1097, 625, 2, 0, 471, 36},	//2515 Plasma::TabBar::insertTab(int, const QString&)
    {97, 641, 610, 2, 0, 471, 37},	//2516 Plasma::TabBar::addTab(const QIcon&, const QString&)
    {97, 641, 89, 1, 0, 471, 38},	//2517 Plasma::TabBar::addTab(const QString&)
    {97, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 39},	//2518 Plasma::TabBar::staticMetaObject() const
    {97, 2387, 0, 0, Smoke::mf_dtor, 0, 40 },	//2519 Plasma::TabBar::~TabBar()
    {98, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//2520 Plasma::TextBrowser::metaObject() const
    {98, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//2521 Plasma::TextBrowser::qt_metacast(const char*)
    {98, 2222, 43, 2, Smoke::mf_static, 289, 3},	//2522 Plasma::TextBrowser::tr(const char*, const char*)
    {98, 2226, 43, 2, Smoke::mf_static, 289, 4},	//2523 Plasma::TextBrowser::trUtf8(const char*, const char*)
    {98, 2222, 46, 3, Smoke::mf_static, 289, 5},	//2524 Plasma::TextBrowser::tr(const char*, const char*, int)
    {98, 2226, 46, 3, Smoke::mf_static, 289, 6},	//2525 Plasma::TextBrowser::trUtf8(const char*, const char*, int)
    {98, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//2526 Plasma::TextBrowser::qt_metacall(QMetaObject::Call, int, void**)
    {98, 492, 116, 1, Smoke::mf_ctor, 154, 8},	//2527 Plasma::TextBrowser::TextBrowser(QGraphicsWidget*)
    {98, 2012, 89, 1, Smoke::mf_property, 0, 9},	//2528 Plasma::TextBrowser::setText(const QString&)
    {98, 2194, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 10},	//2529 Plasma::TextBrowser::text() const
    {98, 1802, 851, 1, 0, 0, 11},	//2530 Plasma::TextBrowser::setHorizontalScrollBarPolicy(Qt::ScrollBarPolicy)
    {98, 2062, 851, 1, 0, 0, 12},	//2531 Plasma::TextBrowser::setVerticalScrollBarPolicy(Qt::ScrollBarPolicy)
    {98, 1982, 89, 1, Smoke::mf_property, 0, 13},	//2532 Plasma::TextBrowser::setStyleSheet(const QString&)
    {98, 2161, 0, 0, Smoke::mf_property, 289, 14},	//2533 Plasma::TextBrowser::styleSheet()
    {98, 1361, 0, 0, Smoke::mf_const, 26, 15},	//2534 Plasma::TextBrowser::nativeWidget() const
    {98, 673, 89, 1, Smoke::mf_slot, 0, 16},	//2535 Plasma::TextBrowser::append(const QString&)
    {98, 842, 461, 2, Smoke::mf_slot, 0, 17},	//2536 Plasma::TextBrowser::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {98, 2196, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//2537 Plasma::TextBrowser::textChanged()
    {98, 1543, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//2538 Plasma::TextBrowser::resizeEvent(QGraphicsSceneResizeEvent*)
    {98, 2305, 382, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//2539 Plasma::TextBrowser::wheelEvent(QGraphicsSceneWheelEvent*)
    {98, 718, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//2540 Plasma::TextBrowser::changeEvent(QEvent*)
    {98, 797, 378, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//2541 Plasma::TextBrowser::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {98, 2222, 1, 1, Smoke::mf_static, 289, 23},	//2542 Plasma::TextBrowser::tr(const char*)
    {98, 2226, 1, 1, Smoke::mf_static, 289, 24},	//2543 Plasma::TextBrowser::trUtf8(const char*)
    {98, 492, 0, 0, Smoke::mf_ctor, 154, 25},	//2544 Plasma::TextBrowser::TextBrowser()
    {98, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 26},	//2545 Plasma::TextBrowser::staticMetaObject() const
    {98, 2388, 0, 0, Smoke::mf_dtor, 0, 27 },	//2546 Plasma::TextBrowser::~TextBrowser()
    {99, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//2547 Plasma::TextEdit::metaObject() const
    {99, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//2548 Plasma::TextEdit::qt_metacast(const char*)
    {99, 2222, 43, 2, Smoke::mf_static, 289, 3},	//2549 Plasma::TextEdit::tr(const char*, const char*)
    {99, 2226, 43, 2, Smoke::mf_static, 289, 4},	//2550 Plasma::TextEdit::trUtf8(const char*, const char*)
    {99, 2222, 46, 3, Smoke::mf_static, 289, 5},	//2551 Plasma::TextEdit::tr(const char*, const char*, int)
    {99, 2226, 46, 3, Smoke::mf_static, 289, 6},	//2552 Plasma::TextEdit::trUtf8(const char*, const char*, int)
    {99, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//2553 Plasma::TextEdit::qt_metacall(QMetaObject::Call, int, void**)
    {99, 495, 116, 1, Smoke::mf_ctor, 155, 8},	//2554 Plasma::TextEdit::TextEdit(QGraphicsWidget*)
    {99, 2012, 89, 1, Smoke::mf_property, 0, 9},	//2555 Plasma::TextEdit::setText(const QString&)
    {99, 2194, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 10},	//2556 Plasma::TextEdit::text() const
    {99, 1915, 7, 1, Smoke::mf_property, 0, 11},	//2557 Plasma::TextEdit::setReadOnly(bool)
    {99, 1135, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 12},	//2558 Plasma::TextEdit::isReadOnly() const
    {99, 1982, 89, 1, Smoke::mf_property, 0, 13},	//2559 Plasma::TextEdit::setStyleSheet(const QString&)
    {99, 2161, 0, 0, Smoke::mf_property, 289, 14},	//2560 Plasma::TextEdit::styleSheet()
    {99, 1868, 853, 1, 0, 0, 15},	//2561 Plasma::TextEdit::setNativeWidget(KTextEdit*)
    {99, 1361, 0, 0, Smoke::mf_const, 27, 16},	//2562 Plasma::TextEdit::nativeWidget() const
    {99, 673, 89, 1, Smoke::mf_slot, 0, 17},	//2563 Plasma::TextEdit::append(const QString&)
    {99, 842, 461, 2, Smoke::mf_slot, 0, 18},	//2564 Plasma::TextEdit::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {99, 2196, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//2565 Plasma::TextEdit::textChanged()
    {99, 1543, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//2566 Plasma::TextEdit::resizeEvent(QGraphicsSceneResizeEvent*)
    {99, 718, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//2567 Plasma::TextEdit::changeEvent(QEvent*)
    {99, 797, 378, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//2568 Plasma::TextEdit::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {99, 1343, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//2569 Plasma::TextEdit::mousePressEvent(QGraphicsSceneMouseEvent*)
    {99, 997, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//2570 Plasma::TextEdit::focusOutEvent(QFocusEvent*)
    {99, 2222, 1, 1, Smoke::mf_static, 289, 25},	//2571 Plasma::TextEdit::tr(const char*)
    {99, 2226, 1, 1, Smoke::mf_static, 289, 26},	//2572 Plasma::TextEdit::trUtf8(const char*)
    {99, 495, 0, 0, Smoke::mf_ctor, 155, 27},	//2573 Plasma::TextEdit::TextEdit()
    {99, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 28},	//2574 Plasma::TextEdit::staticMetaObject() const
    {99, 2389, 0, 0, Smoke::mf_dtor, 0, 29 },	//2575 Plasma::TextEdit::~TextEdit()
    {100, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//2576 Plasma::Theme::metaObject() const
    {100, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//2577 Plasma::Theme::qt_metacast(const char*)
    {100, 2222, 43, 2, Smoke::mf_static, 289, 3},	//2578 Plasma::Theme::tr(const char*, const char*)
    {100, 2226, 43, 2, Smoke::mf_static, 289, 4},	//2579 Plasma::Theme::trUtf8(const char*, const char*)
    {100, 2222, 46, 3, Smoke::mf_static, 289, 5},	//2580 Plasma::Theme::tr(const char*, const char*, int)
    {100, 2226, 46, 3, Smoke::mf_static, 289, 6},	//2581 Plasma::Theme::trUtf8(const char*, const char*, int)
    {100, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//2582 Plasma::Theme::qt_metacall(QMetaObject::Call, int, void**)
    {100, 846, 0, 0, Smoke::mf_static, 156, 8},	//2583 Plasma::Theme::defaultTheme()
    {100, 497, 97, 1, Smoke::mf_ctor, 156, 9},	//2584 Plasma::Theme::Theme(QObject*)
    {100, 497, 140, 2, Smoke::mf_ctor, 156, 10},	//2585 Plasma::Theme::Theme(const QString&, QObject*)
    {100, 1384, 0, 0, Smoke::mf_static, 20, 11},	//2586 Plasma::Theme::packageStructure()
    {100, 1250, 0, 0, Smoke::mf_static, 238, 12},	//2587 Plasma::Theme::listThemeInfo()
    {100, 2020, 89, 1, 0, 0, 13},	//2588 Plasma::Theme::setThemeName(const QString&)
    {100, 2203, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 14},	//2589 Plasma::Theme::themeName() const
    {100, 1070, 89, 1, Smoke::mf_const, 289, 15},	//2590 Plasma::Theme::imagePath(const QString&) const
    {100, 667, 89, 1, Smoke::mf_const, 289, 16},	//2591 Plasma::Theme::animationPath(const QString&) const
    {100, 2302, 177, 1, Smoke::mf_const, 289, 17},	//2592 Plasma::Theme::wallpaperPath(const QSize&) const
    {100, 829, 89, 1, Smoke::mf_const, 382, 18},	//2593 Plasma::Theme::currentThemeHasImage(const QString&) const
    {100, 744, 0, 0, Smoke::mf_const, 19, 19},	//2594 Plasma::Theme::colorScheme() const
    {100, 742, 855, 1, Smoke::mf_const, 186, 20},	//2595 Plasma::Theme::color(Plasma::Theme::ColorRole) const
    {100, 1770, 857, 2, 0, 0, 21},	//2596 Plasma::Theme::setFont(const QFont&, Plasma::Theme::FontRole)
    {100, 1000, 860, 1, Smoke::mf_const, 209, 22},	//2597 Plasma::Theme::font(Plasma::Theme::FontRole) const
    {100, 1004, 0, 0, Smoke::mf_const, 210, 23},	//2598 Plasma::Theme::fontMetrics() const
    {100, 2314, 0, 0, Smoke::mf_const, 382, 24},	//2599 Plasma::Theme::windowTranslucencyEnabled() const
    {100, 2042, 7, 1, 0, 0, 25},	//2600 Plasma::Theme::setUseGlobalSettings(bool)
    {100, 2269, 0, 0, Smoke::mf_const, 382, 26},	//2601 Plasma::Theme::useGlobalSettings() const
    {100, 2270, 0, 0, Smoke::mf_const, 382, 27},	//2602 Plasma::Theme::useNativeWidgetStyle() const
    {100, 2161, 89, 1, Smoke::mf_const, 289, 28},	//2603 Plasma::Theme::styleSheet(const QString&) const
    {100, 974, 862, 2, 0, 382, 29},	//2604 Plasma::Theme::findInCache(const QString&, QPixmap&)
    {100, 974, 865, 3, 0, 382, 30},	//2605 Plasma::Theme::findInCache(const QString&, QPixmap&, unsigned int)
    {100, 1092, 869, 2, 0, 0, 31},	//2606 Plasma::Theme::insertIntoCache(const QString&, const QPixmap&)
    {100, 1092, 872, 3, 0, 0, 32},	//2607 Plasma::Theme::insertIntoCache(const QString&, const QPixmap&, const QString&)
    {100, 1665, 120, 1, 0, 0, 33},	//2608 Plasma::Theme::setCacheLimit(int)
    {100, 977, 876, 3, Smoke::mf_const, 382, 34},	//2609 Plasma::Theme::findInRectsCache(const QString&, const QString&, QRectF&) const
    {100, 1095, 880, 3, 0, 0, 35},	//2610 Plasma::Theme::insertIntoRectsCache(const QString&, const QString&, const QRectF&)
    {100, 1105, 89, 1, 0, 0, 36},	//2611 Plasma::Theme::invalidateRectsCache(const QString&)
    {100, 1480, 89, 1, 0, 0, 37},	//2612 Plasma::Theme::releaseRectsCache(const QString&)
    {100, 2202, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//2613 Plasma::Theme::themeChanged()
    {100, 2085, 0, 0, Smoke::mf_slot, 0, 39},	//2614 Plasma::Theme::settingsChanged()
    {100, 2222, 1, 1, Smoke::mf_static, 289, 40},	//2615 Plasma::Theme::tr(const char*)
    {100, 2226, 1, 1, Smoke::mf_static, 289, 41},	//2616 Plasma::Theme::trUtf8(const char*)
    {100, 497, 0, 0, Smoke::mf_ctor, 156, 42},	//2617 Plasma::Theme::Theme()
    {100, 497, 89, 1, Smoke::mf_ctor, 156, 43},	//2618 Plasma::Theme::Theme(const QString&)
    {100, 2302, 0, 0, Smoke::mf_const, 289, 44},	//2619 Plasma::Theme::wallpaperPath() const
    {100, 1770, 541, 1, 0, 0, 45},	//2620 Plasma::Theme::setFont(const QFont&)
    {100, 2161, 0, 0, Smoke::mf_const, 289, 46},	//2621 Plasma::Theme::styleSheet() const
    {100, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 47},	//2622 Plasma::Theme::staticMetaObject() const
    {100, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 48},	//2623 Plasma::Theme::TextColor (enum)
    {100, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 49},	//2624 Plasma::Theme::HighlightColor (enum)
    {100, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 50},	//2625 Plasma::Theme::BackgroundColor (enum)
    {100, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 51},	//2626 Plasma::Theme::ButtonTextColor (enum)
    {100, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 52},	//2627 Plasma::Theme::ButtonBackgroundColor (enum)
    {100, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 53},	//2628 Plasma::Theme::LinkColor (enum)
    {100, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 54},	//2629 Plasma::Theme::VisitedLinkColor (enum)
    {100, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 55},	//2630 Plasma::Theme::DefaultFont (enum)
    {100, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 56},	//2631 Plasma::Theme::DesktopFont (enum)
    {100, 2390, 0, 0, Smoke::mf_dtor, 0, 57 },	//2632 Plasma::Theme::~Theme()
    {101, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//2633 Plasma::ToolButton::metaObject() const
    {101, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//2634 Plasma::ToolButton::qt_metacast(const char*)
    {101, 2222, 43, 2, Smoke::mf_static, 289, 3},	//2635 Plasma::ToolButton::tr(const char*, const char*)
    {101, 2226, 43, 2, Smoke::mf_static, 289, 4},	//2636 Plasma::ToolButton::trUtf8(const char*, const char*)
    {101, 2222, 46, 3, Smoke::mf_static, 289, 5},	//2637 Plasma::ToolButton::tr(const char*, const char*, int)
    {101, 2226, 46, 3, Smoke::mf_static, 289, 6},	//2638 Plasma::ToolButton::trUtf8(const char*, const char*, int)
    {101, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//2639 Plasma::ToolButton::qt_metacall(QMetaObject::Call, int, void**)
    {101, 502, 116, 1, Smoke::mf_ctor, 159, 8},	//2640 Plasma::ToolButton::ToolButton(QGraphicsWidget*)
    {101, 1651, 7, 1, Smoke::mf_property, 0, 9},	//2641 Plasma::ToolButton::setAutoRaise(bool)
    {101, 699, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 10},	//2642 Plasma::ToolButton::autoRaise() const
    {101, 2012, 89, 1, Smoke::mf_property, 0, 11},	//2643 Plasma::ToolButton::setText(const QString&)
    {101, 2194, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 12},	//2644 Plasma::ToolButton::text() const
    {101, 1816, 89, 1, Smoke::mf_property, 0, 13},	//2645 Plasma::ToolButton::setImage(const QString&)
    {101, 1816, 77, 2, 0, 0, 14},	//2646 Plasma::ToolButton::setImage(const QString&, const QString&)
    {101, 1069, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 15},	//2647 Plasma::ToolButton::image() const
    {101, 1738, 7, 1, Smoke::mf_property, 0, 16},	//2648 Plasma::ToolButton::setDown(bool)
    {101, 1120, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 17},	//2649 Plasma::ToolButton::isDown() const
    {101, 1982, 89, 1, Smoke::mf_property, 0, 18},	//2650 Plasma::ToolButton::setStyleSheet(const QString&)
    {101, 2161, 0, 0, Smoke::mf_property, 289, 19},	//2651 Plasma::ToolButton::styleSheet()
    {101, 1615, 103, 1, 0, 0, 20},	//2652 Plasma::ToolButton::setAction(QAction*)
    {101, 570, 0, 0, Smoke::mf_const, 180, 21},	//2653 Plasma::ToolButton::action() const
    {101, 1809, 529, 1, 0, 0, 22},	//2654 Plasma::ToolButton::setIcon(const QIcon&)
    {101, 1065, 0, 0, Smoke::mf_const, 233, 23},	//2655 Plasma::ToolButton::icon() const
    {101, 1361, 0, 0, Smoke::mf_const, 297, 24},	//2656 Plasma::ToolButton::nativeWidget() const
    {101, 733, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2657 Plasma::ToolButton::clicked()
    {101, 1443, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2658 Plasma::ToolButton::pressed()
    {101, 1483, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2659 Plasma::ToolButton::released()
    {101, 1389, 207, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//2660 Plasma::ToolButton::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {101, 1543, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//2661 Plasma::ToolButton::resizeEvent(QGraphicsSceneResizeEvent*)
    {101, 1058, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//2662 Plasma::ToolButton::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {101, 1060, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//2663 Plasma::ToolButton::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {101, 718, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//2664 Plasma::ToolButton::changeEvent(QEvent*)
    {101, 1161, 271, 2, Smoke::mf_protected|Smoke::mf_virtual, 299, 33},	//2665 Plasma::ToolButton::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {101, 2123, 274, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 34},	//2666 Plasma::ToolButton::sizeHint(Qt::SizeHint, const QSizeF&) const
    {101, 2222, 1, 1, Smoke::mf_static, 289, 35},	//2667 Plasma::ToolButton::tr(const char*)
    {101, 2226, 1, 1, Smoke::mf_static, 289, 36},	//2668 Plasma::ToolButton::trUtf8(const char*)
    {101, 502, 0, 0, Smoke::mf_ctor, 159, 37},	//2669 Plasma::ToolButton::ToolButton()
    {101, 1389, 310, 2, Smoke::mf_protected, 0, 38},	//2670 Plasma::ToolButton::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {101, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 39},	//2671 Plasma::ToolButton::staticMetaObject() const
    {101, 2391, 0, 0, Smoke::mf_dtor, 0, 40 },	//2672 Plasma::ToolButton::~ToolButton()
    {102, 504, 0, 0, Smoke::mf_ctor, 161, 1},	//2673 Plasma::ToolTipContent::ToolTipContent()
    {102, 504, 884, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 161, 2},	//2674 Plasma::ToolTipContent::ToolTipContent(const Plasma::ToolTipContent&)
    {102, 504, 886, 3, Smoke::mf_ctor, 161, 3},	//2675 Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&, const QPixmap&)
    {102, 504, 890, 3, Smoke::mf_ctor, 161, 4},	//2676 Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&, const QIcon&)
    {102, 1378, 884, 1, 0, 160, 5},	//2677 Plasma::ToolTipContent::operator=(const Plasma::ToolTipContent&)
    {102, 1121, 0, 0, Smoke::mf_const, 382, 6},	//2678 Plasma::ToolTipContent::isEmpty() const
    {102, 1845, 89, 1, 0, 0, 7},	//2679 Plasma::ToolTipContent::setMainText(const QString&)
    {102, 1300, 0, 0, Smoke::mf_const, 289, 8},	//2680 Plasma::ToolTipContent::mainText() const
    {102, 1984, 89, 1, 0, 0, 9},	//2681 Plasma::ToolTipContent::setSubText(const QString&)
    {102, 2163, 0, 0, Smoke::mf_const, 289, 10},	//2682 Plasma::ToolTipContent::subText() const
    {102, 1816, 556, 1, 0, 0, 11},	//2683 Plasma::ToolTipContent::setImage(const QPixmap&)
    {102, 1816, 529, 1, 0, 0, 12},	//2684 Plasma::ToolTipContent::setImage(const QIcon&)
    {102, 1069, 0, 0, Smoke::mf_const, 273, 13},	//2685 Plasma::ToolTipContent::image() const
    {102, 2077, 894, 1, 0, 0, 14},	//2686 Plasma::ToolTipContent::setWindowToPreview(unsigned long)
    {102, 2313, 0, 0, Smoke::mf_const, 478, 15},	//2687 Plasma::ToolTipContent::windowToPreview() const
    {102, 2079, 896, 1, 0, 0, 16},	//2688 Plasma::ToolTipContent::setWindowsToPreview(const QList<unsigned long>&)
    {102, 2315, 0, 0, Smoke::mf_const, 257, 17},	//2689 Plasma::ToolTipContent::windowsToPreview() const
    {102, 1794, 7, 1, 0, 0, 18},	//2690 Plasma::ToolTipContent::setHighlightWindows(bool)
    {102, 1053, 0, 0, Smoke::mf_const, 382, 19},	//2691 Plasma::ToolTipContent::highlightWindows() const
    {102, 1653, 7, 1, 0, 0, 20},	//2692 Plasma::ToolTipContent::setAutohide(bool)
    {102, 700, 0, 0, Smoke::mf_const, 382, 21},	//2693 Plasma::ToolTipContent::autohide() const
    {102, 627, 898, 3, 0, 0, 22},	//2694 Plasma::ToolTipContent::addResource(Plasma::ToolTipContent::ResourceType, const QUrl&, const QVariant&)
    {102, 1474, 902, 1, Smoke::mf_const, 0, 23},	//2695 Plasma::ToolTipContent::registerResources(QTextDocument*) const
    {102, 1677, 7, 1, 0, 0, 24},	//2696 Plasma::ToolTipContent::setClickable(bool)
    {102, 1116, 0, 0, Smoke::mf_const, 382, 25},	//2697 Plasma::ToolTipContent::isClickable() const
    {102, 504, 77, 2, Smoke::mf_ctor, 161, 26},	//2698 Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&)
    {102, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 27},	//2699 Plasma::ToolTipContent::ImageResource (enum)
    {102, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 28},	//2700 Plasma::ToolTipContent::HtmlResource (enum)
    {102, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 29},	//2701 Plasma::ToolTipContent::CssResource (enum)
    {102, 2392, 0, 0, Smoke::mf_dtor, 0, 30 },	//2702 Plasma::ToolTipContent::~ToolTipContent()
    {103, 1324, 0, 0, Smoke::mf_const, 437, 1},	//2703 Plasma::ToolTipManager::metaObject() const
    {103, 1454, 1, 1, 0, 479, 2},	//2704 Plasma::ToolTipManager::qt_metacast(const char*)
    {103, 2222, 43, 2, Smoke::mf_static, 289, 3},	//2705 Plasma::ToolTipManager::tr(const char*, const char*)
    {103, 2226, 43, 2, Smoke::mf_static, 289, 4},	//2706 Plasma::ToolTipManager::trUtf8(const char*, const char*)
    {103, 2222, 46, 3, Smoke::mf_static, 289, 5},	//2707 Plasma::ToolTipManager::tr(const char*, const char*, int)
    {103, 2226, 46, 3, Smoke::mf_static, 289, 6},	//2708 Plasma::ToolTipManager::trUtf8(const char*, const char*, int)
    {103, 1452, 3, 3, 0, 471, 7},	//2709 Plasma::ToolTipManager::qt_metacall(QMetaObject::Call, int, void**)
    {103, 1603, 0, 0, Smoke::mf_static, 163, 8},	//2710 Plasma::ToolTipManager::self()
    {103, 2090, 116, 1, 0, 0, 9},	//2711 Plasma::ToolTipManager::show(QGraphicsWidget*)
    {103, 1147, 116, 1, Smoke::mf_const, 382, 10},	//2712 Plasma::ToolTipManager::isVisible(QGraphicsWidget*) const
    {103, 1047, 116, 1, 0, 0, 11},	//2713 Plasma::ToolTipManager::hide(QGraphicsWidget*)
    {103, 1478, 116, 1, 0, 0, 12},	//2714 Plasma::ToolTipManager::registerWidget(QGraphicsWidget*)
    {103, 2245, 116, 1, 0, 0, 13},	//2715 Plasma::ToolTipManager::unregisterWidget(QGraphicsWidget*)
    {103, 1696, 904, 2, 0, 0, 14},	//2716 Plasma::ToolTipManager::setContent(QGraphicsWidget*, const Plasma::ToolTipContent&)
    {103, 730, 116, 1, 0, 0, 15},	//2717 Plasma::ToolTipManager::clearContent(QGraphicsWidget*)
    {103, 1978, 907, 1, 0, 0, 16},	//2718 Plasma::ToolTipManager::setState(Plasma::ToolTipManager::State)
    {103, 2147, 0, 0, Smoke::mf_const, 164, 17},	//2719 Plasma::ToolTipManager::state() const
    {103, 2311, 909, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//2720 Plasma::ToolTipManager::windowPreviewActivated(WId, Qt::MouseButtons, Qt::KeyboardModifiers, const QPoint&)
    {103, 1211, 914, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//2721 Plasma::ToolTipManager::linkActivated(const QString&, Qt::MouseButtons, Qt::KeyboardModifiers, const QPoint&)
    {103, 2222, 1, 1, Smoke::mf_static, 289, 20},	//2722 Plasma::ToolTipManager::tr(const char*)
    {103, 2226, 1, 1, Smoke::mf_static, 289, 21},	//2723 Plasma::ToolTipManager::trUtf8(const char*)
    {103, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 22},	//2724 Plasma::ToolTipManager::staticMetaObject() const
    {103, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 23},	//2725 Plasma::ToolTipManager::Activated (enum)
    {103, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 24},	//2726 Plasma::ToolTipManager::Inhibited (enum)
    {103, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 25},	//2727 Plasma::ToolTipManager::Deactivated (enum)
    {104, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//2728 Plasma::TreeView::metaObject() const
    {104, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//2729 Plasma::TreeView::qt_metacast(const char*)
    {104, 2222, 43, 2, Smoke::mf_static, 289, 3},	//2730 Plasma::TreeView::tr(const char*, const char*)
    {104, 2226, 43, 2, Smoke::mf_static, 289, 4},	//2731 Plasma::TreeView::trUtf8(const char*, const char*)
    {104, 2222, 46, 3, Smoke::mf_static, 289, 5},	//2732 Plasma::TreeView::tr(const char*, const char*, int)
    {104, 2226, 46, 3, Smoke::mf_static, 289, 6},	//2733 Plasma::TreeView::trUtf8(const char*, const char*, int)
    {104, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//2734 Plasma::TreeView::qt_metacall(QMetaObject::Call, int, void**)
    {104, 517, 116, 1, Smoke::mf_ctor, 165, 8},	//2735 Plasma::TreeView::TreeView(QGraphicsWidget*)
    {104, 1863, 919, 1, 0, 0, 9},	//2736 Plasma::TreeView::setModel(QAbstractItemModel*)
    {104, 1338, 0, 0, 0, 179, 10},	//2737 Plasma::TreeView::model()
    {104, 1982, 89, 1, Smoke::mf_property, 0, 11},	//2738 Plasma::TreeView::setStyleSheet(const QString&)
    {104, 2161, 0, 0, Smoke::mf_property, 289, 12},	//2739 Plasma::TreeView::styleSheet()
    {104, 1361, 0, 0, Smoke::mf_const, 298, 13},	//2740 Plasma::TreeView::nativeWidget() const
    {104, 2222, 1, 1, Smoke::mf_static, 289, 14},	//2741 Plasma::TreeView::tr(const char*)
    {104, 2226, 1, 1, Smoke::mf_static, 289, 15},	//2742 Plasma::TreeView::trUtf8(const char*)
    {104, 517, 0, 0, Smoke::mf_ctor, 165, 16},	//2743 Plasma::TreeView::TreeView()
    {104, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 17},	//2744 Plasma::TreeView::staticMetaObject() const
    {104, 2393, 0, 0, Smoke::mf_dtor, 0, 18 },	//2745 Plasma::TreeView::~TreeView()
    {105, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//2746 Plasma::VideoWidget::metaObject() const
    {105, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//2747 Plasma::VideoWidget::qt_metacast(const char*)
    {105, 2222, 43, 2, Smoke::mf_static, 289, 3},	//2748 Plasma::VideoWidget::tr(const char*, const char*)
    {105, 2226, 43, 2, Smoke::mf_static, 289, 4},	//2749 Plasma::VideoWidget::trUtf8(const char*, const char*)
    {105, 2222, 46, 3, Smoke::mf_static, 289, 5},	//2750 Plasma::VideoWidget::tr(const char*, const char*, int)
    {105, 2226, 46, 3, Smoke::mf_static, 289, 6},	//2751 Plasma::VideoWidget::trUtf8(const char*, const char*, int)
    {105, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//2752 Plasma::VideoWidget::qt_metacall(QMetaObject::Call, int, void**)
    {105, 537, 116, 1, Smoke::mf_ctor, 167, 8},	//2753 Plasma::VideoWidget::VideoWidget(QGraphicsWidget*)
    {105, 2037, 89, 1, Smoke::mf_property, 0, 9},	//2754 Plasma::VideoWidget::setUrl(const QString&)
    {105, 2264, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 10},	//2755 Plasma::VideoWidget::url() const
    {105, 1321, 0, 0, Smoke::mf_const, 31, 11},	//2756 Plasma::VideoWidget::mediaObject() const
    {105, 693, 0, 0, Smoke::mf_const, 30, 12},	//2757 Plasma::VideoWidget::audioOutput() const
    {105, 831, 0, 0, Smoke::mf_const, 473, 13},	//2758 Plasma::VideoWidget::currentTime() const
    {105, 2221, 0, 0, Smoke::mf_const, 473, 14},	//2759 Plasma::VideoWidget::totalTime() const
    {105, 1486, 0, 0, Smoke::mf_const, 473, 15},	//2760 Plasma::VideoWidget::remainingTime() const
    {105, 2044, 921, 1, 0, 0, 16},	//2761 Plasma::VideoWidget::setUsedControls(const QFlags<Plasma::VideoWidget::Control>)
    {105, 2271, 0, 0, Smoke::mf_const, 204, 17},	//2762 Plasma::VideoWidget::usedControls() const
    {105, 1704, 7, 1, Smoke::mf_property, 0, 18},	//2763 Plasma::VideoWidget::setControlsVisible(bool)
    {105, 800, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 19},	//2764 Plasma::VideoWidget::controlsVisible() const
    {105, 1982, 89, 1, Smoke::mf_property, 0, 20},	//2765 Plasma::VideoWidget::setStyleSheet(const QString&)
    {105, 2161, 0, 0, Smoke::mf_property, 289, 21},	//2766 Plasma::VideoWidget::styleSheet()
    {105, 1361, 0, 0, Smoke::mf_const, 32, 22},	//2767 Plasma::VideoWidget::nativeWidget() const
    {105, 1426, 0, 0, Smoke::mf_slot, 0, 23},	//2768 Plasma::VideoWidget::play()
    {105, 1419, 0, 0, Smoke::mf_slot, 0, 24},	//2769 Plasma::VideoWidget::pause()
    {105, 2150, 0, 0, Smoke::mf_slot, 0, 25},	//2770 Plasma::VideoWidget::stop()
    {105, 1600, 923, 1, Smoke::mf_slot, 0, 26},	//2771 Plasma::VideoWidget::seek(qint64)
    {105, 2205, 923, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2772 Plasma::VideoWidget::tick(qint64)
    {105, 564, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//2773 Plasma::VideoWidget::aboutToFinish()
    {105, 1365, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//2774 Plasma::VideoWidget::nextRequested()
    {105, 1445, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//2775 Plasma::VideoWidget::previousRequested()
    {105, 1543, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//2776 Plasma::VideoWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {105, 1058, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//2777 Plasma::VideoWidget::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {105, 1060, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//2778 Plasma::VideoWidget::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {105, 1062, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//2779 Plasma::VideoWidget::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {105, 2222, 1, 1, Smoke::mf_static, 289, 35},	//2780 Plasma::VideoWidget::tr(const char*)
    {105, 2226, 1, 1, Smoke::mf_static, 289, 36},	//2781 Plasma::VideoWidget::trUtf8(const char*)
    {105, 537, 0, 0, Smoke::mf_ctor, 167, 37},	//2782 Plasma::VideoWidget::VideoWidget()
    {105, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 38},	//2783 Plasma::VideoWidget::staticMetaObject() const
    {105, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 39},	//2784 Plasma::VideoWidget::NoControls (enum)
    {105, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 40},	//2785 Plasma::VideoWidget::Play (enum)
    {105, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 41},	//2786 Plasma::VideoWidget::Pause (enum)
    {105, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 42},	//2787 Plasma::VideoWidget::Stop (enum)
    {105, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 43},	//2788 Plasma::VideoWidget::PlayPause (enum)
    {105, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 44},	//2789 Plasma::VideoWidget::Previous (enum)
    {105, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 45},	//2790 Plasma::VideoWidget::Next (enum)
    {105, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 46},	//2791 Plasma::VideoWidget::Progress (enum)
    {105, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 47},	//2792 Plasma::VideoWidget::Volume (enum)
    {105, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 48},	//2793 Plasma::VideoWidget::OpenFile (enum)
    {105, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 49},	//2794 Plasma::VideoWidget::DefaultControls (enum)
    {105, 2394, 0, 0, Smoke::mf_dtor, 0, 50 },	//2795 Plasma::VideoWidget::~VideoWidget()
    {106, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//2796 Plasma::View::metaObject() const
    {106, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//2797 Plasma::View::qt_metacast(const char*)
    {106, 2222, 43, 2, Smoke::mf_static, 289, 3},	//2798 Plasma::View::tr(const char*, const char*)
    {106, 2226, 43, 2, Smoke::mf_static, 289, 4},	//2799 Plasma::View::trUtf8(const char*, const char*)
    {106, 2222, 46, 3, Smoke::mf_static, 289, 5},	//2800 Plasma::View::tr(const char*, const char*, int)
    {106, 2226, 46, 3, Smoke::mf_static, 289, 6},	//2801 Plasma::View::trUtf8(const char*, const char*, int)
    {106, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//2802 Plasma::View::qt_metacall(QMetaObject::Call, int, void**)
    {106, 539, 925, 2, Smoke::mf_ctor, 169, 8},	//2803 Plasma::View::View(Plasma::Containment*, QWidget*)
    {106, 539, 928, 3, Smoke::mf_ctor, 169, 9},	//2804 Plasma::View::View(Plasma::Containment*, int, QWidget*)
    {106, 2071, 7, 1, 0, 0, 10},	//2805 Plasma::View::setWallpaperEnabled(bool)
    {106, 1149, 0, 0, Smoke::mf_const, 382, 11},	//2806 Plasma::View::isWallpaperEnabled() const
    {106, 1941, 352, 2, 0, 0, 12},	//2807 Plasma::View::setScreen(int, int)
    {106, 1585, 0, 0, Smoke::mf_const, 471, 13},	//2808 Plasma::View::screen() const
    {106, 850, 0, 0, Smoke::mf_const, 471, 14},	//2809 Plasma::View::desktop() const
    {106, 910, 0, 0, Smoke::mf_const, 471, 15},	//2810 Plasma::View::effectiveDesktop() const
    {106, 772, 0, 0, Smoke::mf_const, 71, 16},	//2811 Plasma::View::containment() const
    {106, 2169, 397, 3, 0, 71, 17},	//2812 Plasma::View::swapContainment(Plasma::Containment*, const QString&, const QList<QVariant>&)
    {106, 2169, 388, 2, 0, 71, 18},	//2813 Plasma::View::swapContainment(const QString&, const QList<QVariant>&)
    {106, 2030, 7, 1, 0, 0, 19},	//2814 Plasma::View::setTrackContainmentChanges(bool)
    {106, 2230, 0, 0, 0, 382, 20},	//2815 Plasma::View::trackContainmentChanges()
    {106, 2219, 517, 1, Smoke::mf_static, 169, 21},	//2816 Plasma::View::topLevelViewAt(const QPoint&)
    {106, 1067, 0, 0, Smoke::mf_const, 471, 22},	//2817 Plasma::View::id() const
    {106, 1582, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//2818 Plasma::View::sceneRectAboutToChange()
    {106, 1583, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//2819 Plasma::View::sceneRectChanged()
    {106, 1296, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2820 Plasma::View::lostContainment()
    {106, 1686, 101, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 26},	//2821 Plasma::View::setContainment(Plasma::Containment*)
    {106, 745, 0, 0, Smoke::mf_const|Smoke::mf_protected, 8, 27},	//2822 Plasma::View::config() const
    {106, 748, 0, 0, Smoke::mf_const|Smoke::mf_protected, 0, 28},	//2823 Plasma::View::configNeedsSaving() const
    {106, 2222, 1, 1, Smoke::mf_static, 289, 29},	//2824 Plasma::View::tr(const char*)
    {106, 2226, 1, 1, Smoke::mf_static, 289, 30},	//2825 Plasma::View::trUtf8(const char*)
    {106, 539, 101, 1, Smoke::mf_ctor, 169, 31},	//2826 Plasma::View::View(Plasma::Containment*)
    {106, 539, 932, 2, Smoke::mf_ctor, 169, 32},	//2827 Plasma::View::View(Plasma::Containment*, int)
    {106, 1941, 120, 1, 0, 0, 33},	//2828 Plasma::View::setScreen(int)
    {106, 2169, 410, 2, 0, 71, 34},	//2829 Plasma::View::swapContainment(Plasma::Containment*, const QString&)
    {106, 2169, 89, 1, 0, 71, 35},	//2830 Plasma::View::swapContainment(const QString&)
    {106, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 36},	//2831 Plasma::View::staticMetaObject() const
    {106, 2395, 0, 0, Smoke::mf_dtor, 0, 37 },	//2832 Plasma::View::~View()
    {107, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//2833 Plasma::Wallpaper::metaObject() const
    {107, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//2834 Plasma::Wallpaper::qt_metacast(const char*)
    {107, 2222, 43, 2, Smoke::mf_static, 289, 3},	//2835 Plasma::Wallpaper::tr(const char*, const char*)
    {107, 2226, 43, 2, Smoke::mf_static, 289, 4},	//2836 Plasma::Wallpaper::trUtf8(const char*, const char*)
    {107, 2222, 46, 3, Smoke::mf_static, 289, 5},	//2837 Plasma::Wallpaper::tr(const char*, const char*, int)
    {107, 2226, 46, 3, Smoke::mf_static, 289, 6},	//2838 Plasma::Wallpaper::trUtf8(const char*, const char*, int)
    {107, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//2839 Plasma::Wallpaper::qt_metacall(QMetaObject::Call, int, void**)
    {107, 546, 97, 1, Smoke::mf_ctor, 170, 8},	//2840 Plasma::Wallpaper::Wallpaper(QObject*)
    {107, 1251, 89, 1, Smoke::mf_static, 238, 9},	//2841 Plasma::Wallpaper::listWallpaperInfo(const QString&)
    {107, 1253, 77, 2, Smoke::mf_static, 238, 10},	//2842 Plasma::Wallpaper::listWallpaperInfoForMimetype(const QString&, const QString&)
    {107, 1256, 388, 2, Smoke::mf_static, 170, 11},	//2843 Plasma::Wallpaper::load(const QString&, const QList<QVariant>&)
    {107, 1256, 935, 2, Smoke::mf_static, 170, 12},	//2844 Plasma::Wallpaper::load(const KPluginInfo&, const QList<QVariant>&)
    {107, 1384, 938, 1, Smoke::mf_static, 20, 13},	//2845 Plasma::Wallpaper::packageStructure(Plasma::Wallpaper*)
    {107, 1359, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 14},	//2846 Plasma::Wallpaper::name() const
    {107, 1383, 0, 0, Smoke::mf_const, 403, 15},	//2847 Plasma::Wallpaper::package() const
    {107, 1428, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 16},	//2848 Plasma::Wallpaper::pluginName() const
    {107, 1065, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 17},	//2849 Plasma::Wallpaper::icon() const
    {107, 1529, 0, 0, Smoke::mf_const|Smoke::mf_property, 17, 18},	//2850 Plasma::Wallpaper::renderingMode() const
    {107, 1921, 89, 1, 0, 0, 19},	//2851 Plasma::Wallpaper::setRenderingMode(const QString&)
    {107, 1249, 0, 0, Smoke::mf_const|Smoke::mf_property, 239, 20},	//2852 Plasma::Wallpaper::listRenderingModes() const
    {107, 1125, 0, 0, Smoke::mf_const, 382, 21},	//2853 Plasma::Wallpaper::isInitialized() const
    {107, 712, 0, 0, Smoke::mf_const|Smoke::mf_property, 279, 22},	//2854 Plasma::Wallpaper::boundingRect() const
    {107, 1659, 613, 1, Smoke::mf_property, 0, 23},	//2855 Plasma::Wallpaper::setBoundingRect(const QRectF&)
    {107, 1389, 581, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 24},	//2856 Plasma::Wallpaper::paint(QPainter*, const QRectF&) [pure virtual]
    {107, 1547, 405, 1, 0, 0, 25},	//2857 Plasma::Wallpaper::restore(const KConfigGroup&)
    {107, 1566, 169, 1, Smoke::mf_virtual, 0, 26},	//2858 Plasma::Wallpaper::save(KConfigGroup&)
    {107, 808, 57, 1, Smoke::mf_virtual, 304, 27},	//2859 Plasma::Wallpaper::createConfigurationInterface(QWidget*)
    {107, 1341, 265, 1, Smoke::mf_virtual, 0, 28},	//2860 Plasma::Wallpaper::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {107, 1343, 265, 1, Smoke::mf_virtual, 0, 29},	//2861 Plasma::Wallpaper::mousePressEvent(QGraphicsSceneMouseEvent*)
    {107, 1345, 265, 1, Smoke::mf_virtual, 0, 30},	//2862 Plasma::Wallpaper::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {107, 2305, 382, 1, Smoke::mf_virtual, 0, 31},	//2863 Plasma::Wallpaper::wheelEvent(QGraphicsSceneWheelEvent*)
    {107, 840, 89, 1, Smoke::mf_const, 83, 32},	//2864 Plasma::Wallpaper::dataEngine(const QString&) const
    {107, 752, 0, 0, Smoke::mf_const, 382, 33},	//2865 Plasma::Wallpaper::configurationRequired() const
    {107, 1145, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 34},	//2866 Plasma::Wallpaper::isUsingRenderingCache() const
    {107, 1929, 940, 1, 0, 0, 35},	//2867 Plasma::Wallpaper::setResizeMethodHint(Plasma::Wallpaper::ResizeMethod)
    {107, 2006, 565, 1, 0, 0, 36},	//2868 Plasma::Wallpaper::setTargetSizeHint(const QSizeF&)
    {107, 799, 0, 0, Smoke::mf_const, 251, 37},	//2869 Plasma::Wallpaper::contextualActions() const
    {107, 1133, 0, 0, Smoke::mf_const|Smoke::mf_property, 382, 38},	//2870 Plasma::Wallpaper::isPreviewing() const
    {107, 1907, 7, 1, Smoke::mf_property, 0, 39},	//2871 Plasma::Wallpaper::setPreviewing(bool)
    {107, 2247, 613, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//2872 Plasma::Wallpaper::update(const QRectF&)
    {107, 754, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//2873 Plasma::Wallpaper::configureRequested()
    {107, 752, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//2874 Plasma::Wallpaper::configurationRequired(bool)
    {107, 748, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//2875 Plasma::Wallpaper::configNeedsSaving()
    {107, 1526, 593, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//2876 Plasma::Wallpaper::renderCompleted(const QImage&)
    {107, 2265, 110, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//2877 Plasma::Wallpaper::urlDropped(const KUrl&)
    {107, 1528, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//2878 Plasma::Wallpaper::renderHintsChanged()
    {107, 546, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 170, 47},	//2879 Plasma::Wallpaper::Wallpaper(QObject*, const QList<QVariant>&)
    {107, 1081, 405, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 48},	//2880 Plasma::Wallpaper::init(const KConfigGroup&)
    {107, 1683, 252, 2, Smoke::mf_protected, 0, 49},	//2881 Plasma::Wallpaper::setConfigurationRequired(bool, const QString&)
    {107, 1522, 942, 4, Smoke::mf_protected, 0, 50},	//2882 Plasma::Wallpaper::render(const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod, const QColor&)
    {107, 2046, 7, 1, Smoke::mf_protected|Smoke::mf_property, 0, 51},	//2883 Plasma::Wallpaper::setUsingRenderingCache(bool)
    {107, 974, 947, 3, Smoke::mf_protected, 382, 52},	//2884 Plasma::Wallpaper::findInCache(const QString&, QImage&, unsigned int)
    {107, 1092, 951, 2, Smoke::mf_protected, 0, 53},	//2885 Plasma::Wallpaper::insertIntoCache(const QString&, const QImage&)
    {107, 1702, 954, 1, Smoke::mf_protected, 0, 54},	//2886 Plasma::Wallpaper::setContextualActions(const QList<QAction*>&)
    {107, 2222, 1, 1, Smoke::mf_static, 289, 55},	//2887 Plasma::Wallpaper::tr(const char*)
    {107, 2226, 1, 1, Smoke::mf_static, 289, 56},	//2888 Plasma::Wallpaper::trUtf8(const char*)
    {107, 546, 0, 0, Smoke::mf_ctor, 170, 57},	//2889 Plasma::Wallpaper::Wallpaper()
    {107, 1251, 0, 0, Smoke::mf_static, 238, 58},	//2890 Plasma::Wallpaper::listWallpaperInfo()
    {107, 1253, 89, 1, Smoke::mf_static, 238, 59},	//2891 Plasma::Wallpaper::listWallpaperInfoForMimetype(const QString&)
    {107, 1256, 89, 1, Smoke::mf_static, 170, 60},	//2892 Plasma::Wallpaper::load(const QString&)
    {107, 1256, 201, 1, Smoke::mf_static, 170, 61},	//2893 Plasma::Wallpaper::load(const KPluginInfo&)
    {107, 1384, 0, 0, Smoke::mf_static, 20, 62},	//2894 Plasma::Wallpaper::packageStructure()
    {107, 1683, 7, 1, Smoke::mf_protected, 0, 63},	//2895 Plasma::Wallpaper::setConfigurationRequired(bool)
    {107, 1522, 956, 2, Smoke::mf_protected, 0, 64},	//2896 Plasma::Wallpaper::render(const QString&, const QSize&)
    {107, 1522, 959, 3, Smoke::mf_protected, 0, 65},	//2897 Plasma::Wallpaper::render(const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod)
    {107, 974, 963, 2, Smoke::mf_protected, 382, 66},	//2898 Plasma::Wallpaper::findInCache(const QString&, QImage&)
    {107, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 67},	//2899 Plasma::Wallpaper::staticMetaObject() const
    {107, 792, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 252, 68},	//2900 Plasma::Wallpaper::contextActions() const
    {107, 1700, 954, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 69},	//2901 Plasma::Wallpaper::setContextActions(const QList<QAction*>&)
    {107, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 70},	//2902 Plasma::Wallpaper::ScaledResize (enum)
    {107, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 71},	//2903 Plasma::Wallpaper::CenteredResize (enum)
    {107, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 72},	//2904 Plasma::Wallpaper::ScaledAndCroppedResize (enum)
    {107, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 73},	//2905 Plasma::Wallpaper::TiledResize (enum)
    {107, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 74},	//2906 Plasma::Wallpaper::CenterTiledResize (enum)
    {107, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 75},	//2907 Plasma::Wallpaper::MaxpectResize (enum)
    {107, 2396, 0, 0, Smoke::mf_dtor, 0, 76 },	//2908 Plasma::Wallpaper::~Wallpaper()
    {108, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//2909 Plasma::WallpaperScript::metaObject() const
    {108, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//2910 Plasma::WallpaperScript::qt_metacast(const char*)
    {108, 2222, 43, 2, Smoke::mf_static, 289, 3},	//2911 Plasma::WallpaperScript::tr(const char*, const char*)
    {108, 2226, 43, 2, Smoke::mf_static, 289, 4},	//2912 Plasma::WallpaperScript::trUtf8(const char*, const char*)
    {108, 2222, 46, 3, Smoke::mf_static, 289, 5},	//2913 Plasma::WallpaperScript::tr(const char*, const char*, int)
    {108, 2226, 46, 3, Smoke::mf_static, 289, 6},	//2914 Plasma::WallpaperScript::trUtf8(const char*, const char*, int)
    {108, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//2915 Plasma::WallpaperScript::qt_metacall(QMetaObject::Call, int, void**)
    {108, 550, 97, 1, Smoke::mf_ctor, 172, 8},	//2916 Plasma::WallpaperScript::WallpaperScript(QObject*)
    {108, 2067, 938, 1, 0, 0, 9},	//2917 Plasma::WallpaperScript::setWallpaper(Plasma::Wallpaper*)
    {108, 2301, 0, 0, Smoke::mf_const, 170, 10},	//2918 Plasma::WallpaperScript::wallpaper() const
    {108, 1086, 405, 1, Smoke::mf_virtual, 0, 11},	//2919 Plasma::WallpaperScript::initWallpaper(const KConfigGroup&)
    {108, 1389, 581, 2, Smoke::mf_virtual, 0, 12},	//2920 Plasma::WallpaperScript::paint(QPainter*, const QRectF&)
    {108, 1566, 169, 1, Smoke::mf_virtual, 0, 13},	//2921 Plasma::WallpaperScript::save(KConfigGroup&)
    {108, 808, 57, 1, Smoke::mf_virtual, 304, 14},	//2922 Plasma::WallpaperScript::createConfigurationInterface(QWidget*)
    {108, 1341, 265, 1, Smoke::mf_virtual, 0, 15},	//2923 Plasma::WallpaperScript::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {108, 1343, 265, 1, Smoke::mf_virtual, 0, 16},	//2924 Plasma::WallpaperScript::mousePressEvent(QGraphicsSceneMouseEvent*)
    {108, 1345, 265, 1, Smoke::mf_virtual, 0, 17},	//2925 Plasma::WallpaperScript::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {108, 2305, 382, 1, Smoke::mf_virtual, 0, 18},	//2926 Plasma::WallpaperScript::wheelEvent(QGraphicsSceneWheelEvent*)
    {108, 1299, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 289, 19},	//2927 Plasma::WallpaperScript::mainScript() const
    {108, 1383, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 403, 20},	//2928 Plasma::WallpaperScript::package() const
    {108, 849, 0, 0, Smoke::mf_const|Smoke::mf_protected, 15, 21},	//2929 Plasma::WallpaperScript::description() const
    {108, 1125, 0, 0, Smoke::mf_const|Smoke::mf_protected, 382, 22},	//2930 Plasma::WallpaperScript::isInitialized() const
    {108, 712, 0, 0, Smoke::mf_const|Smoke::mf_protected, 279, 23},	//2931 Plasma::WallpaperScript::boundingRect() const
    {108, 840, 89, 1, Smoke::mf_const|Smoke::mf_protected, 83, 24},	//2932 Plasma::WallpaperScript::dataEngine(const QString&) const
    {108, 1929, 940, 1, Smoke::mf_protected, 0, 25},	//2933 Plasma::WallpaperScript::setResizeMethodHint(Plasma::Wallpaper::ResizeMethod)
    {108, 2006, 565, 1, Smoke::mf_protected, 0, 26},	//2934 Plasma::WallpaperScript::setTargetSizeHint(const QSizeF&)
    {108, 1683, 252, 2, Smoke::mf_protected, 0, 27},	//2935 Plasma::WallpaperScript::setConfigurationRequired(bool, const QString&)
    {108, 1522, 942, 4, Smoke::mf_protected, 0, 28},	//2936 Plasma::WallpaperScript::render(const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod, const QColor&)
    {108, 2046, 7, 1, Smoke::mf_protected, 0, 29},	//2937 Plasma::WallpaperScript::setUsingRenderingCache(bool)
    {108, 974, 947, 3, Smoke::mf_protected, 382, 30},	//2938 Plasma::WallpaperScript::findInCache(const QString&, QImage&, unsigned int)
    {108, 1092, 951, 2, Smoke::mf_protected, 0, 31},	//2939 Plasma::WallpaperScript::insertIntoCache(const QString&, const QImage&)
    {108, 1702, 954, 1, Smoke::mf_protected, 0, 32},	//2940 Plasma::WallpaperScript::setContextualActions(const QList<QAction*>&)
    {108, 2247, 613, 1, Smoke::mf_protected, 0, 33},	//2941 Plasma::WallpaperScript::update(const QRectF&)
    {108, 748, 0, 0, Smoke::mf_protected, 0, 34},	//2942 Plasma::WallpaperScript::configNeedsSaving()
    {108, 1526, 593, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 35},	//2943 Plasma::WallpaperScript::renderCompleted(const QImage&)
    {108, 2265, 110, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 36},	//2944 Plasma::WallpaperScript::urlDropped(const KUrl&)
    {108, 2222, 1, 1, Smoke::mf_static, 289, 37},	//2945 Plasma::WallpaperScript::tr(const char*)
    {108, 2226, 1, 1, Smoke::mf_static, 289, 38},	//2946 Plasma::WallpaperScript::trUtf8(const char*)
    {108, 550, 0, 0, Smoke::mf_ctor, 172, 39},	//2947 Plasma::WallpaperScript::WallpaperScript()
    {108, 1683, 7, 1, Smoke::mf_protected, 0, 40},	//2948 Plasma::WallpaperScript::setConfigurationRequired(bool)
    {108, 1522, 956, 2, Smoke::mf_protected, 0, 41},	//2949 Plasma::WallpaperScript::render(const QString&, const QSize&)
    {108, 1522, 959, 3, Smoke::mf_protected, 0, 42},	//2950 Plasma::WallpaperScript::render(const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod)
    {108, 974, 963, 2, Smoke::mf_protected, 382, 43},	//2951 Plasma::WallpaperScript::findInCache(const QString&, QImage&)
    {108, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 44},	//2952 Plasma::WallpaperScript::staticMetaObject() const
    {108, 2397, 0, 0, Smoke::mf_dtor, 0, 45 },	//2953 Plasma::WallpaperScript::~WallpaperScript()
    {109, 1324, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 437, 1},	//2954 Plasma::WebView::metaObject() const
    {109, 1454, 1, 1, Smoke::mf_virtual, 479, 2},	//2955 Plasma::WebView::qt_metacast(const char*)
    {109, 2222, 43, 2, Smoke::mf_static, 289, 3},	//2956 Plasma::WebView::tr(const char*, const char*)
    {109, 2226, 43, 2, Smoke::mf_static, 289, 4},	//2957 Plasma::WebView::trUtf8(const char*, const char*)
    {109, 2222, 46, 3, Smoke::mf_static, 289, 5},	//2958 Plasma::WebView::tr(const char*, const char*, int)
    {109, 2226, 46, 3, Smoke::mf_static, 289, 6},	//2959 Plasma::WebView::trUtf8(const char*, const char*, int)
    {109, 1452, 3, 3, Smoke::mf_virtual, 471, 7},	//2960 Plasma::WebView::qt_metacall(QMetaObject::Call, int, void**)
    {109, 553, 161, 1, Smoke::mf_ctor, 173, 8},	//2961 Plasma::WebView::WebView(QGraphicsItem*)
    {109, 2037, 110, 1, Smoke::mf_property, 0, 9},	//2962 Plasma::WebView::setUrl(const KUrl&)
    {109, 2264, 0, 0, Smoke::mf_const|Smoke::mf_property, 28, 10},	//2963 Plasma::WebView::url() const
    {109, 1804, 966, 2, 0, 0, 11},	//2964 Plasma::WebView::setHtml(const QByteArray&, const KUrl&)
    {109, 1064, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 12},	//2965 Plasma::WebView::html() const
    {109, 1804, 969, 2, 0, 0, 13},	//2966 Plasma::WebView::setHtml(const QString&, const KUrl&)
    {109, 1013, 0, 0, Smoke::mf_const, 279, 14},	//2967 Plasma::WebView::geometry() const
    {109, 790, 0, 0, Smoke::mf_const|Smoke::mf_property, 287, 15},	//2968 Plasma::WebView::contentsSize() const
    {109, 1944, 366, 1, Smoke::mf_property, 0, 16},	//2969 Plasma::WebView::setScrollPosition(const QPointF&)
    {109, 1594, 0, 0, Smoke::mf_const|Smoke::mf_property, 276, 17},	//2970 Plasma::WebView::scrollPosition() const
    {109, 2294, 0, 0, Smoke::mf_const|Smoke::mf_property, 279, 18},	//2971 Plasma::WebView::viewportGeometry() const
    {109, 2322, 0, 0, Smoke::mf_const, 468, 19},	//2972 Plasma::WebView::zoomFactor() const
    {109, 2083, 604, 1, 0, 0, 20},	//2973 Plasma::WebView::setZoomFactor(const double)
    {109, 1882, 972, 1, 0, 0, 21},	//2974 Plasma::WebView::setPage(QWebPage*)
    {109, 1387, 0, 0, Smoke::mf_const, 302, 22},	//2975 Plasma::WebView::page() const
    {109, 1298, 0, 0, Smoke::mf_const, 301, 23},	//2976 Plasma::WebView::mainFrame() const
    {109, 1740, 7, 1, Smoke::mf_property, 0, 24},	//2977 Plasma::WebView::setDragToScroll(bool)
    {109, 880, 0, 0, Smoke::mf_property, 382, 25},	//2978 Plasma::WebView::dragToScroll()
    {109, 1779, 613, 1, Smoke::mf_virtual, 0, 26},	//2979 Plasma::WebView::setGeometry(const QRectF&)
    {109, 1282, 120, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2980 Plasma::WebView::loadProgress(int)
    {109, 1274, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//2981 Plasma::WebView::loadFinished(bool)
    {109, 1389, 207, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//2982 Plasma::WebView::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {109, 1341, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//2983 Plasma::WebView::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {109, 1062, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//2984 Plasma::WebView::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {109, 1343, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//2985 Plasma::WebView::mousePressEvent(QGraphicsSceneMouseEvent*)
    {109, 1339, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//2986 Plasma::WebView::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {109, 1345, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//2987 Plasma::WebView::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {109, 797, 378, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//2988 Plasma::WebView::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {109, 2305, 382, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//2989 Plasma::WebView::wheelEvent(QGraphicsSceneWheelEvent*)
    {109, 1180, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 37},	//2990 Plasma::WebView::keyPressEvent(QKeyEvent*)
    {109, 1182, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 38},	//2991 Plasma::WebView::keyReleaseEvent(QKeyEvent*)
    {109, 993, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 39},	//2992 Plasma::WebView::focusInEvent(QFocusEvent*)
    {109, 997, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//2993 Plasma::WebView::focusOutEvent(QFocusEvent*)
    {109, 874, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 41},	//2994 Plasma::WebView::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {109, 876, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 42},	//2995 Plasma::WebView::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {109, 878, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 43},	//2996 Plasma::WebView::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {109, 904, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 44},	//2997 Plasma::WebView::dropEvent(QGraphicsSceneDragDropEvent*)
    {109, 1161, 271, 2, Smoke::mf_protected|Smoke::mf_virtual, 299, 45},	//2998 Plasma::WebView::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {109, 2123, 274, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 46},	//2999 Plasma::WebView::sizeHint(Qt::SizeHint, const QSizeF&) const
    {109, 2222, 1, 1, Smoke::mf_static, 289, 47},	//3000 Plasma::WebView::tr(const char*)
    {109, 2226, 1, 1, Smoke::mf_static, 289, 48},	//3001 Plasma::WebView::trUtf8(const char*)
    {109, 553, 0, 0, Smoke::mf_ctor, 173, 49},	//3002 Plasma::WebView::WebView()
    {109, 1804, 974, 1, 0, 0, 50},	//3003 Plasma::WebView::setHtml(const QByteArray&)
    {109, 1804, 89, 1, 0, 0, 51},	//3004 Plasma::WebView::setHtml(const QString&)
    {109, 1389, 310, 2, Smoke::mf_protected, 0, 52},	//3005 Plasma::WebView::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {109, 2148, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 436, 53},	//3006 Plasma::WebView::staticMetaObject() const
    {109, 2398, 0, 0, Smoke::mf_dtor, 0, 54 },	//3007 Plasma::WebView::~WebView()
    {110, 950, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//3008 QAbstractAnimation::event(QEvent*)
    {110, 2263, 718, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3009 QAbstractAnimation::updateState(QAbstractAnimation::State, QAbstractAnimation::State)
    {110, 2255, 976, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3010 QAbstractAnimation::updateDirection(QAbstractAnimation::Direction)
    {110, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 4},	//3011 QAbstractAnimation::Forward (enum)
    {110, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 5},	//3012 QAbstractAnimation::Backward (enum)
    {110, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 6},	//3013 QAbstractAnimation::Stopped (enum)
    {110, 367, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 7},	//3014 QAbstractAnimation::Paused (enum)
    {110, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 8},	//3015 QAbstractAnimation::Running (enum)
    {111, 812, 978, 3, Smoke::mf_const|Smoke::mf_virtual, 304, 0},	//3016 QAbstractItemDelegate::createEditor(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {111, 1750, 982, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//3017 QAbstractItemDelegate::setEditorData(QWidget*, const QModelIndex&) const
    {111, 1865, 985, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//3018 QAbstractItemDelegate::setModelData(QWidget*, QAbstractItemModel*, const QModelIndex&) const
    {111, 2256, 978, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//3019 QAbstractItemDelegate::updateEditorGeometry(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {111, 909, 989, 4, Smoke::mf_virtual, 382, 0},	//3020 QAbstractItemDelegate::editorEvent(QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&)
    {113, 1337, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 286, 0},	//3021 QAbstractScrollArea::minimumSizeHint() const
    {132, 718, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3022 QFrame::changeEvent(QEvent*)
    {133, 388, 0, 0, Smoke::mf_static|Smoke::mf_enum, 472, 1},	//3023 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {133, 391, 0, 0, Smoke::mf_static|Smoke::mf_enum, 472, 2},	//3024 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {133, 392, 0, 0, Smoke::mf_static|Smoke::mf_enum, 472, 3},	//3025 QGlobalSpace::Q_STATIC_TYPE (enum)
    {133, 390, 0, 0, Smoke::mf_static|Smoke::mf_enum, 472, 4},	//3026 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {133, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 472, 5},	//3027 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {133, 394, 0, 0, Smoke::mf_static|Smoke::mf_enum, 378, 6},	//3028 QGlobalSpace::QtDebugMsg (enum)
    {133, 397, 0, 0, Smoke::mf_static|Smoke::mf_enum, 378, 7},	//3029 QGlobalSpace::QtWarningMsg (enum)
    {133, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 378, 8},	//3030 QGlobalSpace::QtCriticalMsg (enum)
    {133, 395, 0, 0, Smoke::mf_static|Smoke::mf_enum, 378, 9},	//3031 QGlobalSpace::QtFatalMsg (enum)
    {133, 396, 0, 0, Smoke::mf_static|Smoke::mf_enum, 378, 10},	//3032 QGlobalSpace::QtSystemMsg (enum)
    {133, 286, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 11},	//3033 QGlobalSpace::KST_KSycocaEntry (enum)
    {133, 279, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 12},	//3034 QGlobalSpace::KST_KService (enum)
    {133, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 13},	//3035 QGlobalSpace::KST_KServiceType (enum)
    {133, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 14},	//3036 QGlobalSpace::KST_KMimeType (enum)
    {133, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 15},	//3037 QGlobalSpace::KST_KFolderMimeType (enum)
    {133, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 16},	//3038 QGlobalSpace::KST_KDEDesktopMimeType (enum)
    {133, 281, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 17},	//3039 QGlobalSpace::KST_KServiceGroup (enum)
    {133, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 18},	//3040 QGlobalSpace::KST_KImageIOFormat (enum)
    {133, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 19},	//3041 QGlobalSpace::KST_KProtocolInfo (enum)
    {133, 283, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 20},	//3042 QGlobalSpace::KST_KServiceSeparator (enum)
    {133, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 21},	//3043 QGlobalSpace::KST_KCustom (enum)
    {133, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 22},	//3044 QGlobalSpace::KST_KServiceFactory (enum)
    {133, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 23},	//3045 QGlobalSpace::KST_KServiceTypeFactory (enum)
    {133, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 24},	//3046 QGlobalSpace::KST_KServiceGroupFactory (enum)
    {133, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 25},	//3047 QGlobalSpace::KST_KImageIO (enum)
    {133, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 26},	//3048 QGlobalSpace::KST_KProtocolInfoFactory (enum)
    {133, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 27},	//3049 QGlobalSpace::KST_KMimeTypeFactory (enum)
    {133, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 28},	//3050 QGlobalSpace::KST_CTimeInfo (enum)
    {133, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 381, 29},	//3051 QGlobalSpace::__codecvt_ok (enum)
    {133, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 381, 30},	//3052 QGlobalSpace::__codecvt_partial (enum)
    {133, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 381, 31},	//3053 QGlobalSpace::__codecvt_error (enum)
    {133, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 381, 32},	//3054 QGlobalSpace::__codecvt_noconv (enum)
    {134, 650, 120, 1, Smoke::mf_virtual, 0, 0},	//3055 QGraphicsItem::advance(int)
    {134, 785, 366, 1, Smoke::mf_const|Smoke::mf_virtual, 382, 0},	//3056 QGraphicsItem::contains(const QPointF&) const
    {134, 740, 994, 2, Smoke::mf_const|Smoke::mf_virtual, 382, 0},	//3057 QGraphicsItem::collidesWithItem(const QGraphicsItem*, Qt::ItemSelectionMode) const
    {134, 741, 997, 2, Smoke::mf_const|Smoke::mf_virtual, 382, 0},	//3058 QGraphicsItem::collidesWithPath(const QPainterPath&, Qt::ItemSelectionMode) const
    {134, 1126, 11, 1, Smoke::mf_const|Smoke::mf_virtual, 382, 0},	//3059 QGraphicsItem::isObscuredBy(const QGraphicsItem*) const
    {134, 1369, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 0},	//3060 QGraphicsItem::opaqueArea() const
    {134, 1580, 262, 2, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//3061 QGraphicsItem::sceneEventFilter(QGraphicsItem*, QEvent*)
    {134, 797, 378, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3062 QGraphicsItem::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {134, 874, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3063 QGraphicsItem::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {134, 876, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3064 QGraphicsItem::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {134, 878, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3065 QGraphicsItem::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {134, 904, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3066 QGraphicsItem::dropEvent(QGraphicsSceneDragDropEvent*)
    {134, 1058, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3067 QGraphicsItem::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {134, 1180, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3068 QGraphicsItem::keyPressEvent(QKeyEvent*)
    {134, 1182, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3069 QGraphicsItem::keyReleaseEvent(QKeyEvent*)
    {134, 1343, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3070 QGraphicsItem::mousePressEvent(QGraphicsSceneMouseEvent*)
    {134, 1341, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3071 QGraphicsItem::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {134, 1345, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3072 QGraphicsItem::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {134, 1339, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3073 QGraphicsItem::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {134, 2305, 382, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3074 QGraphicsItem::wheelEvent(QGraphicsSceneWheelEvent*)
    {134, 1090, 1000, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3075 QGraphicsItem::inputMethodEvent(QInputMethodEvent*)
    {134, 1091, 1002, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 299, 0},	//3076 QGraphicsItem::inputMethodQuery(Qt::InputMethodQuery) const
    {134, 2166, 1004, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//3077 QGraphicsItem::supportsExtension(QGraphicsItem::Extension) const
    {134, 1766, 1006, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3078 QGraphicsItem::setExtension(QGraphicsItem::Extension, const QVariant&)
    {134, 967, 693, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 299, 0},	//3079 QGraphicsItem::extension(const QVariant&) const
    {134, 250, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 26},	//3080 QGraphicsItem::ItemPositionChange (enum)
    {134, 244, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 27},	//3081 QGraphicsItem::ItemMatrixChange (enum)
    {134, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 28},	//3082 QGraphicsItem::ItemVisibleChange (enum)
    {134, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 29},	//3083 QGraphicsItem::ItemEnabledChange (enum)
    {134, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 30},	//3084 QGraphicsItem::ItemSelectedChange (enum)
    {134, 248, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 31},	//3085 QGraphicsItem::ItemParentChange (enum)
    {134, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 32},	//3086 QGraphicsItem::ItemChildAddedChange (enum)
    {134, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 33},	//3087 QGraphicsItem::ItemChildRemovedChange (enum)
    {134, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 34},	//3088 QGraphicsItem::ItemTransformChange (enum)
    {134, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 35},	//3089 QGraphicsItem::ItemPositionHasChanged (enum)
    {134, 263, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 36},	//3090 QGraphicsItem::ItemTransformHasChanged (enum)
    {134, 252, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 37},	//3091 QGraphicsItem::ItemSceneChange (enum)
    {134, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 38},	//3092 QGraphicsItem::ItemVisibleHasChanged (enum)
    {134, 232, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 39},	//3093 QGraphicsItem::ItemEnabledHasChanged (enum)
    {134, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 40},	//3094 QGraphicsItem::ItemSelectedHasChanged (enum)
    {134, 249, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 41},	//3095 QGraphicsItem::ItemParentHasChanged (enum)
    {134, 253, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 42},	//3096 QGraphicsItem::ItemSceneHasChanged (enum)
    {134, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 43},	//3097 QGraphicsItem::ItemCursorChange (enum)
    {134, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 44},	//3098 QGraphicsItem::ItemCursorHasChanged (enum)
    {134, 260, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 45},	//3099 QGraphicsItem::ItemToolTipChange (enum)
    {134, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 46},	//3100 QGraphicsItem::ItemToolTipHasChanged (enum)
    {134, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 47},	//3101 QGraphicsItem::ItemFlagsChange (enum)
    {134, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 48},	//3102 QGraphicsItem::ItemFlagsHaveChanged (enum)
    {134, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 49},	//3103 QGraphicsItem::ItemZValueChange (enum)
    {134, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 50},	//3104 QGraphicsItem::ItemZValueHasChanged (enum)
    {134, 246, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 51},	//3105 QGraphicsItem::ItemOpacityChange (enum)
    {134, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 52},	//3106 QGraphicsItem::ItemOpacityHasChanged (enum)
    {134, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 53},	//3107 QGraphicsItem::ItemScenePositionHasChanged (enum)
    {134, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 472, 54},	//3108 QGraphicsItem::Type (enum)
    {134, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 472, 55},	//3109 QGraphicsItem::UserType (enum)
    {134, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 56},	//3110 QGraphicsItem::UserExtension (enum)
    {136, 1779, 613, 1, Smoke::mf_virtual, 0, 0},	//3111 QGraphicsProxyWidget::setGeometry(const QRectF&)
    {136, 1389, 207, 3, Smoke::mf_virtual, 0, 0},	//3112 QGraphicsProxyWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {136, 2231, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 471, 0},	//3113 QGraphicsProxyWidget::type() const
    {136, 1161, 271, 2, Smoke::mf_protected|Smoke::mf_virtual, 299, 0},	//3114 QGraphicsProxyWidget::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {136, 950, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//3115 QGraphicsProxyWidget::event(QEvent*)
    {136, 952, 259, 2, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//3116 QGraphicsProxyWidget::eventFilter(QObject*, QEvent*)
    {136, 2103, 306, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3117 QGraphicsProxyWidget::showEvent(QShowEvent*)
    {136, 1050, 308, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3118 QGraphicsProxyWidget::hideEvent(QHideEvent*)
    {136, 797, 378, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3119 QGraphicsProxyWidget::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {136, 874, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3120 QGraphicsProxyWidget::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {136, 876, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3121 QGraphicsProxyWidget::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {136, 878, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3122 QGraphicsProxyWidget::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {136, 904, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3123 QGraphicsProxyWidget::dropEvent(QGraphicsSceneDragDropEvent*)
    {136, 1058, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3124 QGraphicsProxyWidget::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {136, 1060, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3125 QGraphicsProxyWidget::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {136, 1062, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3126 QGraphicsProxyWidget::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {136, 1023, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3127 QGraphicsProxyWidget::grabMouseEvent(QEvent*)
    {136, 2233, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3128 QGraphicsProxyWidget::ungrabMouseEvent(QEvent*)
    {136, 1341, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3129 QGraphicsProxyWidget::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {136, 1343, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3130 QGraphicsProxyWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {136, 1345, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3131 QGraphicsProxyWidget::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {136, 1339, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3132 QGraphicsProxyWidget::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {136, 2305, 382, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3133 QGraphicsProxyWidget::wheelEvent(QGraphicsSceneWheelEvent*)
    {136, 1180, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3134 QGraphicsProxyWidget::keyPressEvent(QKeyEvent*)
    {136, 1182, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3135 QGraphicsProxyWidget::keyReleaseEvent(QKeyEvent*)
    {136, 993, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3136 QGraphicsProxyWidget::focusInEvent(QFocusEvent*)
    {136, 997, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3137 QGraphicsProxyWidget::focusOutEvent(QFocusEvent*)
    {136, 996, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//3138 QGraphicsProxyWidget::focusNextPrevChild(bool)
    {136, 2123, 274, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 0},	//3139 QGraphicsProxyWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {136, 1543, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3140 QGraphicsProxyWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {136, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 472, 31},	//3141 QGraphicsProxyWidget::Type (enum)
    {137, 1091, 1002, 1, Smoke::mf_const|Smoke::mf_virtual, 299, 0},	//3142 QGraphicsScene::inputMethodQuery(Qt::InputMethodQuery) const
    {137, 950, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//3143 QGraphicsScene::event(QEvent*)
    {137, 952, 259, 2, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//3144 QGraphicsScene::eventFilter(QObject*, QEvent*)
    {137, 797, 378, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3145 QGraphicsScene::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {137, 904, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3146 QGraphicsScene::dropEvent(QGraphicsSceneDragDropEvent*)
    {137, 993, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3147 QGraphicsScene::focusInEvent(QFocusEvent*)
    {137, 997, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3148 QGraphicsScene::focusOutEvent(QFocusEvent*)
    {137, 1046, 1009, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3149 QGraphicsScene::helpEvent(QGraphicsSceneHelpEvent*)
    {137, 1180, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3150 QGraphicsScene::keyPressEvent(QKeyEvent*)
    {137, 1182, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3151 QGraphicsScene::keyReleaseEvent(QKeyEvent*)
    {137, 1343, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3152 QGraphicsScene::mousePressEvent(QGraphicsSceneMouseEvent*)
    {137, 1341, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3153 QGraphicsScene::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {137, 1345, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3154 QGraphicsScene::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {137, 1339, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3155 QGraphicsScene::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {137, 2305, 382, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3156 QGraphicsScene::wheelEvent(QGraphicsSceneWheelEvent*)
    {137, 1090, 1000, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3157 QGraphicsScene::inputMethodEvent(QInputMethodEvent*)
    {137, 885, 581, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3158 QGraphicsScene::drawBackground(QPainter*, const QRectF&)
    {137, 887, 581, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3159 QGraphicsScene::drawForeground(QPainter*, const QRectF&)
    {137, 890, 1011, 5, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3160 QGraphicsScene::drawItems(QPainter*, int, QGraphicsItem**, const QStyleOptionGraphicsItem*, QWidget*)
    {146, 2123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 286, 0},	//3161 QGraphicsView::sizeHint() const
    {146, 1091, 1002, 1, Smoke::mf_const|Smoke::mf_virtual, 299, 0},	//3162 QGraphicsView::inputMethodQuery(Qt::InputMethodQuery) const
    {146, 950, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//3163 QGraphicsView::event(QEvent*)
    {146, 2293, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//3164 QGraphicsView::viewportEvent(QEvent*)
    {146, 797, 1017, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3165 QGraphicsView::contextMenuEvent(QContextMenuEvent*)
    {146, 874, 1019, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3166 QGraphicsView::dragEnterEvent(QDragEnterEvent*)
    {146, 876, 1021, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3167 QGraphicsView::dragLeaveEvent(QDragLeaveEvent*)
    {146, 878, 1023, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3168 QGraphicsView::dragMoveEvent(QDragMoveEvent*)
    {146, 904, 1025, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3169 QGraphicsView::dropEvent(QDropEvent*)
    {146, 993, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3170 QGraphicsView::focusInEvent(QFocusEvent*)
    {146, 996, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//3171 QGraphicsView::focusNextPrevChild(bool)
    {146, 997, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3172 QGraphicsView::focusOutEvent(QFocusEvent*)
    {146, 1180, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3173 QGraphicsView::keyPressEvent(QKeyEvent*)
    {146, 1182, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3174 QGraphicsView::keyReleaseEvent(QKeyEvent*)
    {146, 1339, 513, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3175 QGraphicsView::mouseDoubleClickEvent(QMouseEvent*)
    {146, 1343, 513, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3176 QGraphicsView::mousePressEvent(QMouseEvent*)
    {146, 1341, 513, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3177 QGraphicsView::mouseMoveEvent(QMouseEvent*)
    {146, 1345, 513, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3178 QGraphicsView::mouseReleaseEvent(QMouseEvent*)
    {146, 2305, 1027, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3179 QGraphicsView::wheelEvent(QWheelEvent*)
    {146, 1398, 509, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3180 QGraphicsView::paintEvent(QPaintEvent*)
    {146, 1543, 511, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3181 QGraphicsView::resizeEvent(QResizeEvent*)
    {146, 1593, 352, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3182 QGraphicsView::scrollContentsBy(int, int)
    {146, 2103, 306, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3183 QGraphicsView::showEvent(QShowEvent*)
    {146, 1090, 1000, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3184 QGraphicsView::inputMethodEvent(QInputMethodEvent*)
    {146, 885, 581, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3185 QGraphicsView::drawBackground(QPainter*, const QRectF&)
    {146, 887, 581, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3186 QGraphicsView::drawForeground(QPainter*, const QRectF&)
    {146, 890, 1029, 4, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3187 QGraphicsView::drawItems(QPainter*, int, QGraphicsItem**, const QStyleOptionGraphicsItem*)
    {147, 1779, 613, 1, Smoke::mf_property|Smoke::mf_virtual, 0, 0},	//3188 QGraphicsWidget::setGeometry(const QRectF&)
    {147, 1015, 1034, 4, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//3189 QGraphicsWidget::getContentsMargins(double*, double*, double*, double*) const
    {147, 2231, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 471, 0},	//3190 QGraphicsWidget::type() const
    {147, 1389, 207, 3, Smoke::mf_virtual, 0, 0},	//3191 QGraphicsWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {147, 1408, 207, 3, Smoke::mf_virtual, 0, 0},	//3192 QGraphicsWidget::paintWindowFrame(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {147, 712, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 279, 0},	//3193 QGraphicsWidget::boundingRect() const
    {147, 2087, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 0},	//3194 QGraphicsWidget::shape() const
    {147, 1085, 1039, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3195 QGraphicsWidget::initStyleOption(QStyleOption*) const
    {147, 2123, 274, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 0},	//3196 QGraphicsWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {147, 2257, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3197 QGraphicsWidget::updateGeometry()
    {147, 1161, 271, 2, Smoke::mf_protected|Smoke::mf_virtual, 299, 0},	//3198 QGraphicsWidget::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {147, 1449, 454, 2, Smoke::mf_protected|Smoke::mf_virtual, 299, 0},	//3199 QGraphicsWidget::propertyChange(const QString&, const QVariant&)
    {147, 1579, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//3200 QGraphicsWidget::sceneEvent(QEvent*)
    {147, 2309, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//3201 QGraphicsWidget::windowFrameEvent(QEvent*)
    {147, 2310, 366, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 374, 0},	//3202 QGraphicsWidget::windowFrameSectionAt(const QPointF&) const
    {147, 950, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//3203 QGraphicsWidget::event(QEvent*)
    {147, 718, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3204 QGraphicsWidget::changeEvent(QEvent*)
    {147, 737, 1041, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3205 QGraphicsWidget::closeEvent(QCloseEvent*)
    {147, 993, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3206 QGraphicsWidget::focusInEvent(QFocusEvent*)
    {147, 996, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//3207 QGraphicsWidget::focusNextPrevChild(bool)
    {147, 997, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3208 QGraphicsWidget::focusOutEvent(QFocusEvent*)
    {147, 1050, 308, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3209 QGraphicsWidget::hideEvent(QHideEvent*)
    {147, 1347, 539, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3210 QGraphicsWidget::moveEvent(QGraphicsSceneMoveEvent*)
    {147, 1430, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3211 QGraphicsWidget::polishEvent()
    {147, 1543, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3212 QGraphicsWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {147, 2103, 306, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3213 QGraphicsWidget::showEvent(QShowEvent*)
    {147, 1062, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3214 QGraphicsWidget::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {147, 1060, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3215 QGraphicsWidget::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {147, 1023, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3216 QGraphicsWidget::grabMouseEvent(QEvent*)
    {147, 2233, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3217 QGraphicsWidget::ungrabMouseEvent(QEvent*)
    {147, 1022, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3218 QGraphicsWidget::grabKeyboardEvent(QEvent*)
    {147, 2232, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3219 QGraphicsWidget::ungrabKeyboardEvent(QEvent*)
    {147, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 472, 33},	//3220 QGraphicsWidget::Type (enum)
    {163, 950, 313, 1, Smoke::mf_virtual, 382, 0},	//3221 QObject::event(QEvent*)
    {163, 952, 259, 2, Smoke::mf_virtual, 382, 0},	//3222 QObject::eventFilter(QObject*, QEvent*)
    {163, 2208, 167, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3223 QObject::timerEvent(QTimerEvent*)
    {163, 724, 1043, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3224 QObject::childEvent(QChildEvent*)
    {163, 837, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3225 QObject::customEvent(QEvent*)
    {163, 760, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3226 QObject::connectNotify(const char*)
    {163, 865, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3227 QObject::disconnectNotify(const char*)
    {199, 857, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 471, 0},	//3228 QWidget::devType() const
    {199, 2066, 7, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//3229 QWidget::setVisible(bool)
    {199, 2123, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 286, 0},	//3230 QWidget::sizeHint() const
    {199, 1337, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 286, 0},	//3231 QWidget::minimumSizeHint() const
    {199, 1045, 120, 1, Smoke::mf_const|Smoke::mf_virtual, 471, 0},	//3232 QWidget::heightForWidth(int) const
    {199, 1397, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 268, 0},	//3233 QWidget::paintEngine() const
    {199, 1339, 513, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3234 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {199, 2305, 1027, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3235 QWidget::wheelEvent(QWheelEvent*)
    {199, 1182, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3236 QWidget::keyReleaseEvent(QKeyEvent*)
    {199, 997, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3237 QWidget::focusOutEvent(QFocusEvent*)
    {199, 946, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3238 QWidget::enterEvent(QEvent*)
    {199, 1209, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3239 QWidget::leaveEvent(QEvent*)
    {199, 1347, 515, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3240 QWidget::moveEvent(QMoveEvent*)
    {199, 737, 1041, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3241 QWidget::closeEvent(QCloseEvent*)
    {199, 797, 1017, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3242 QWidget::contextMenuEvent(QContextMenuEvent*)
    {199, 2182, 1045, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3243 QWidget::tabletEvent(QTabletEvent*)
    {199, 572, 1047, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3244 QWidget::actionEvent(QActionEvent*)
    {199, 874, 1019, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3245 QWidget::dragEnterEvent(QDragEnterEvent*)
    {199, 878, 1023, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3246 QWidget::dragMoveEvent(QDragMoveEvent*)
    {199, 876, 1021, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3247 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {199, 904, 1025, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3248 QWidget::dropEvent(QDropEvent*)
    {199, 1050, 308, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3249 QWidget::hideEvent(QHideEvent*)
    {199, 2321, 1049, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//3250 QWidget::x11Event(_XEvent*)
    {199, 718, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3251 QWidget::changeEvent(QEvent*)
    {199, 1327, 1051, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 471, 0},	//3252 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {199, 1090, 1000, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3253 QWidget::inputMethodEvent(QInputMethodEvent*)
    {199, 1091, 1002, 1, Smoke::mf_const|Smoke::mf_virtual, 299, 0},	//3254 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {199, 996, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 382, 0},	//3255 QWidget::focusNextPrevChild(bool)
    {199, 2160, 1053, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3256 QWidget::styleChange(QStyle&)
    {199, 939, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3257 QWidget::enabledChange(bool)
    {199, 1410, 1055, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3258 QWidget::paletteChange(const QPalette&)
    {199, 1002, 541, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3259 QWidget::fontChange(const QFont&)
    {199, 2308, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3260 QWidget::windowActivationChange(bool)
    {199, 1198, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3261 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    1861,  // Plasma::PushButton::setIcon(const QIcon&)
    1862,  // Plasma::PushButton::setIcon(const KIcon&)
    0,
    1886,  // Plasma::QueryMatch::QueryMatch(Plasma::AbstractRunner*)
    1887,  // Plasma::QueryMatch::QueryMatch(const Plasma::QueryMatch&)
    0,
    329,  // Plasma::Animator::create(Plasma::Animator::CurveShape)
    349,  // Plasma::Animator::create(Plasma::Animator::Animation)
    350,  // Plasma::Animator::create(const QString&)
    0,
    327,  // Plasma::Animator::create(Plasma::Animator::Animation, QObject*)
    328,  // Plasma::Animator::create(const QString&, QObject*)
    0,
    1996,  // Plasma::RunnerManager::RunnerManager(QObject*)
    2032,  // Plasma::RunnerManager::RunnerManager(KConfigGroup&)
    0,
    841,  // Plasma::Containment::StyleOption::StyleOption(const Plasma::Containment::StyleOption&)
    842,  // Plasma::Containment::StyleOption::StyleOption(const QStyleOptionGraphicsItem&)
    0,
    1023,  // Plasma::DataEngine::DataEngine(QObject*, KSharedPtr<KService>)
    1024,  // Plasma::DataEngine::DataEngine(QObject*, const QList<QVariant>&)
    0,
    24,  // Plasma::loadScriptEngine(const QString&, Plasma::AbstractRunner*)
    28,  // Plasma::loadScriptEngine(const QString&, Plasma::Wallpaper*)
    32,  // Plasma::loadScriptEngine(const QString&, Plasma::DataEngine*)
    35,  // Plasma::loadScriptEngine(const QString&, Plasma::Applet*)
    0,
    972,  // Plasma::Corona::mapAnimation(Plasma::Animator::Animation, Plasma::Animator::Animation)
    973,  // Plasma::Corona::mapAnimation(Plasma::Animator::Animation, const QString&)
    0,
    2675,  // Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&, const QPixmap&)
    2676,  // Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&, const QIcon&)
    0,
    2683,  // Plasma::ToolTipContent::setImage(const QPixmap&)
    2684,  // Plasma::ToolTipContent::setImage(const QIcon&)
    0,
    2215,  // Plasma::Service::associateWidget(QWidget*, const QString&)
    2217,  // Plasma::Service::associateWidget(QGraphicsWidget*, const QString&)
    0,
    2216,  // Plasma::Service::disassociateWidget(QWidget*)
    2218,  // Plasma::Service::disassociateWidget(QGraphicsWidget*)
    0,
    893,  // Plasma::ContainmentActionsPluginsConfig::addPlugin(QFlags<Qt::KeyboardModifier>, Qt::MouseButton, const QString&)
    894,  // Plasma::ContainmentActionsPluginsConfig::addPlugin(QFlags<Qt::KeyboardModifier>, Qt::Orientation, const QString&)
    0,
    1417,  // Plasma::FrameSvg::hasElementPrefix(const QString&) const
    1418,  // Plasma::FrameSvg::hasElementPrefix(Plasma::Location) const
    0,
    1427,  // Plasma::FrameSvg::paintFrame(QPainter*, const QPointF&)
    1431,  // Plasma::FrameSvg::paintFrame(QPainter*, const QRectF&)
    0,
    1415,  // Plasma::FrameSvg::setElementPrefix(Plasma::Location)
    1416,  // Plasma::FrameSvg::setElementPrefix(const QString&)
    0,
    1953,  // Plasma::RunnerContext::RunnerContext(QObject*)
    1977,  // Plasma::RunnerContext::RunnerContext(Plasma::RunnerContext&)
    0,
    2138,  // Plasma::ScrollWidget::ScrollWidget(QGraphicsWidget*)
    2139,  // Plasma::ScrollWidget::ScrollWidget(QGraphicsItem*)
    0,
    2447,  // Plasma::Svg::paint(QPainter*, const QPointF&)
    2449,  // Plasma::Svg::paint(QPainter*, const QRectF&)
    0,
    2421,  // Plasma::Svg::paint(QPainter*, const QPointF&, const QString&)
    2423,  // Plasma::Svg::paint(QPainter*, const QRectF&, const QString&)
    0,
    2474,  // Plasma::SvgWidget::SvgWidget(QGraphicsItem*)
    2475,  // Plasma::SvgWidget::SvgWidget(Plasma::Svg*)
    0,
    2460,  // Plasma::SvgWidget::SvgWidget(QGraphicsItem*, QFlags<Qt::WindowType>)
    2476,  // Plasma::SvgWidget::SvgWidget(Plasma::Svg*, const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {29, 11, 108},	// Plasma::AcceptingInputStatus
    {29, 17, 106},	// Plasma::ActiveStatus
    {29, 19, 50},	// Plasma::AlignToHour
    {29, 20, 49},	// Plasma::AlignToMinute
    {29, 23, 100},	// Plasma::AllConstraints
    {29, 35, 115},	// Plasma::AnimatorComponent
    {29, 43, 112},	// Plasma::AppletComponent
    {29, 46, 89},	// Plasma::AppletType
    {29, 55, 122},	// Plasma::BottomEdge
    {29, 56, 52},	// Plasma::BottomMargin
    {29, 57, 85},	// Plasma::BottomPosedLeftAlignedPopup
    {29, 58, 86},	// Plasma::BottomPosedRightAlignedPopup
    {29, 59, 64},	// Plasma::BottomPositioned
    {29, 67, 47},	// Plasma::ButtonCancel
    {29, 68, 46},	// Plasma::ButtonNo
    {29, 69, 43},	// Plasma::ButtonNone
    {29, 70, 44},	// Plasma::ButtonOk
    {29, 72, 45},	// Plasma::ButtonYes
    {29, 77, 65},	// Plasma::CenterPositioned
    {29, 94, 59},	// Plasma::ConstrainedSquare
    {29, 105, 116},	// Plasma::ContainmentComponent
    {29, 108, 98},	// Plasma::ContextConstraint
    {29, 121, 113},	// Plasma::DataEngineComponent
    {29, 134, 119},	// Plasma::Desktop
    {29, 137, 109},	// Plasma::DesktopZoom
    {29, 149, 66},	// Plasma::Down
    {29, 174, 60},	// Plasma::FixedSize
    {29, 177, 118},	// Plasma::Floating
    {29, 178, 80},	// Plasma::FloatingPopup
    {29, 180, 92},	// Plasma::FormFactorConstraint
    {29, 186, 120},	// Plasma::FullScreen
    {29, 194, 110},	// Plasma::GroupZoom
    {29, 202, 41},	// Plasma::Horizontal
    {29, 203, 102},	// Plasma::HorizontalFlip
    {29, 211, 56},	// Plasma::IgnoreAspectRatio
    {29, 214, 96},	// Plasma::ImmutableConstraint
    {29, 218, 55},	// Plasma::InvalidAspectRatioMode
    {29, 219, 72},	// Plasma::InvalidCredentials
    {29, 287, 57},	// Plasma::KeepAspectRatio
    {29, 294, 68},	// Plasma::Left
    {29, 296, 123},	// Plasma::LeftEdge
    {29, 297, 53},	// Plasma::LeftMargin
    {29, 298, 84},	// Plasma::LeftPosedBottomAlignedPopup
    {29, 299, 83},	// Plasma::LeftPosedTopAlignedPopup
    {29, 300, 61},	// Plasma::LeftPositioned
    {29, 303, 90},	// Plasma::LineEditType
    {29, 306, 93},	// Plasma::LocationConstraint
    {29, 311, 40},	// Plasma::MediaCenter
    {29, 321, 77},	// Plasma::Mutable
    {29, 322, 107},	// Plasma::NeedsAttentionStatus
    {29, 325, 48},	// Plasma::NoAlignment
    {29, 327, 70},	// Plasma::NoAnnouncement
    {29, 333, 91},	// Plasma::NoConstraint
    {29, 339, 101},	// Plasma::NoFlip
    {29, 352, 111},	// Plasma::OverviewZoom
    {29, 365, 105},	// Plasma::PassiveStatus
    {29, 374, 39},	// Plasma::Planar
    {29, 381, 99},	// Plasma::PopupConstraint
    {29, 405, 69},	// Plasma::Right
    {29, 407, 124},	// Plasma::RightEdge
    {29, 408, 54},	// Plasma::RightMargin
    {29, 409, 88},	// Plasma::RightPosedBottomAlignedPopup
    {29, 410, 87},	// Plasma::RightPosedTopAlignedPopup
    {29, 411, 62},	// Plasma::RightPositioned
    {29, 415, 114},	// Plasma::RunnerComponent
    {29, 431, 94},	// Plasma::ScreenConstraint
    {29, 457, 95},	// Plasma::SizeConstraint
    {29, 469, 58},	// Plasma::Square
    {29, 471, 97},	// Plasma::StartupCompletedConstraint
    {29, 489, 79},	// Plasma::SystemImmutable
    {29, 510, 121},	// Plasma::TopEdge
    {29, 511, 51},	// Plasma::TopMargin
    {29, 512, 81},	// Plasma::TopPosedLeftAlignedPopup
    {29, 513, 82},	// Plasma::TopPosedRightAlignedPopup
    {29, 514, 63},	// Plasma::TopPositioned
    {29, 519, 75},	// Plasma::TrustedCredentials
    {29, 522, 76},	// Plasma::UltimateCredentials
    {29, 523, 73},	// Plasma::UnknownCredentials
    {29, 524, 104},	// Plasma::UnknownStatus
    {29, 526, 67},	// Plasma::Up
    {29, 529, 78},	// Plasma::UserImmutable
    {29, 533, 74},	// Plasma::ValidCredentials
    {29, 535, 42},	// Plasma::Vertical
    {29, 536, 103},	// Plasma::VerticalFlip
    {29, 549, 117},	// Plasma::WallpaperComponent
    {29, 556, 71},	// Plasma::ZeroconfAnnouncement
    {29, 558, 37},	// Plasma::ZoomIn
    {29, 559, 38},	// Plasma::ZoomOut
    {29, 578, 30},	// Plasma::actionsFromMenu#
    {29, 579, 31},	// Plasma::actionsFromMenu#$
    {29, 580, 29},	// Plasma::actionsFromMenu#$#
    {29, 1131, 33},	// Plasma::isPluginVersionCompatible$
    {29, 1187, 34},	// Plasma::knownLanguages$
    {29, 1288, -23},	// Plasma::loadScriptEngine$#
    {29, 1293, 18},	// Plasma::locationToDirection$
    {29, 1295, 23},	// Plasma::locationToInverseDirection$
    {29, 1386, 26},	// Plasma::packageStructure$$
    {29, 1578, 27},	// Plasma::scalingFactor$
    {29, 2279, 22},	// Plasma::version
    {29, 2280, 20},	// Plasma::versionMajor
    {29, 2281, 25},	// Plasma::versionMinor
    {29, 2282, 36},	// Plasma::versionRelease
    {29, 2283, 19},	// Plasma::versionString
    {29, 2292, 21},	// Plasma::viewFor#
    {30, 1, 136},	// Plasma::AbstractDialogManager::AbstractDialogManager
    {30, 2, 132},	// Plasma::AbstractDialogManager::AbstractDialogManager#
    {30, 1324, 125},	// Plasma::AbstractDialogManager::metaObject
    {30, 1453, 131},	// Plasma::AbstractDialogManager::qt_metacall$$?
    {30, 1455, 126},	// Plasma::AbstractDialogManager::qt_metacast$
    {30, 2100, 133},	// Plasma::AbstractDialogManager::showDialog##
    {30, 2148, 137},	// Plasma::AbstractDialogManager::staticMetaObject
    {30, 2223, 134},	// Plasma::AbstractDialogManager::tr$
    {30, 2224, 127},	// Plasma::AbstractDialogManager::tr$$
    {30, 2225, 129},	// Plasma::AbstractDialogManager::tr$$$
    {30, 2227, 135},	// Plasma::AbstractDialogManager::trUtf8$
    {30, 2228, 128},	// Plasma::AbstractDialogManager::trUtf8$$
    {30, 2229, 130},	// Plasma::AbstractDialogManager::trUtf8$$$
    {30, 2325, 138},	// Plasma::AbstractDialogManager::~AbstractDialogManager
    {31, 3, 189},	// Plasma::AbstractRunner::AbstractRunner
    {31, 4, 190},	// Plasma::AbstractRunner::AbstractRunner#
    {31, 5, 166},	// Plasma::AbstractRunner::AbstractRunner#$
    {31, 6, 168},	// Plasma::AbstractRunner::AbstractRunner#?
    {31, 7, 191},	// Plasma::AbstractRunner::AbstractRunner?
    {31, 8, 167},	// Plasma::AbstractRunner::AbstractRunner?#
    {31, 199, 199},	// Plasma::AbstractRunner::HighPriority
    {31, 200, 200},	// Plasma::AbstractRunner::HighestPriority
    {31, 307, 197},	// Plasma::AbstractRunner::LowPriority
    {31, 308, 196},	// Plasma::AbstractRunner::LowestPriority
    {31, 347, 198},	// Plasma::AbstractRunner::NormalPriority
    {31, 348, 195},	// Plasma::AbstractRunner::NormalSpeed
    {31, 463, 194},	// Plasma::AbstractRunner::SlowSpeed
    {31, 571, 178},	// Plasma::AbstractRunner::action$
    {31, 573, 179},	// Plasma::AbstractRunner::actions
    {31, 575, 174},	// Plasma::AbstractRunner::actionsForMatch#
    {31, 589, 176},	// Plasma::AbstractRunner::addAction$#
    {31, 590, 175},	// Plasma::AbstractRunner::addAction$#$
    {31, 640, 181},	// Plasma::AbstractRunner::addSyntax#
    {31, 708, 162},	// Plasma::AbstractRunner::bigLock
    {31, 726, 180},	// Plasma::AbstractRunner::clearActions
    {31, 745, 169},	// Plasma::AbstractRunner::config
    {31, 821, 149},	// Plasma::AbstractRunner::createRunOptions#
    {31, 841, 184},	// Plasma::AbstractRunner::dataEngine$
    {31, 845, 163},	// Plasma::AbstractRunner::defaultSyntax
    {31, 849, 157},	// Plasma::AbstractRunner::description
    {31, 1042, 148},	// Plasma::AbstractRunner::hasRunOptions
    {31, 1065, 158},	// Plasma::AbstractRunner::icon
    {31, 1067, 156},	// Plasma::AbstractRunner::id
    {31, 1068, 153},	// Plasma::AbstractRunner::ignoredTypes
    {31, 1081, 185},	// Plasma::AbstractRunner::init
    {31, 1312, 146},	// Plasma::AbstractRunner::match#
    {31, 1324, 139},	// Plasma::AbstractRunner::metaObject
    {31, 1329, 186},	// Plasma::AbstractRunner::mimeDataForMatch#
    {31, 1359, 155},	// Plasma::AbstractRunner::name
    {31, 1383, 159},	// Plasma::AbstractRunner::package
    {31, 1421, 147},	// Plasma::AbstractRunner::performMatch#
    {31, 1442, 164},	// Plasma::AbstractRunner::prepare
    {31, 1446, 152},	// Plasma::AbstractRunner::priority
    {31, 1453, 145},	// Plasma::AbstractRunner::qt_metacall$$?
    {31, 1455, 140},	// Plasma::AbstractRunner::qt_metacast$
    {31, 1485, 160},	// Plasma::AbstractRunner::reloadConfiguration
    {31, 1496, 177},	// Plasma::AbstractRunner::removeAction$
    {31, 1558, 150},	// Plasma::AbstractRunner::run##
    {31, 1610, 192},	// Plasma::AbstractRunner::serviceQuery$
    {31, 1611, 173},	// Plasma::AbstractRunner::serviceQuery$$
    {31, 1730, 182},	// Plasma::AbstractRunner::setDefaultSyntax#
    {31, 1793, 170},	// Plasma::AbstractRunner::setHasRunOptions$
    {31, 1815, 154},	// Plasma::AbstractRunner::setIgnoredTypes$
    {31, 1910, 172},	// Plasma::AbstractRunner::setPriority$
    {31, 1975, 171},	// Plasma::AbstractRunner::setSpeed$
    {31, 1995, 183},	// Plasma::AbstractRunner::setSyntaxes?
    {31, 2139, 151},	// Plasma::AbstractRunner::speed
    {31, 2148, 193},	// Plasma::AbstractRunner::staticMetaObject
    {31, 2175, 161},	// Plasma::AbstractRunner::syntaxes
    {31, 2193, 165},	// Plasma::AbstractRunner::teardown
    {31, 2223, 187},	// Plasma::AbstractRunner::tr$
    {31, 2224, 141},	// Plasma::AbstractRunner::tr$$
    {31, 2225, 143},	// Plasma::AbstractRunner::tr$$$
    {31, 2227, 188},	// Plasma::AbstractRunner::trUtf8$
    {31, 2228, 142},	// Plasma::AbstractRunner::trUtf8$$
    {31, 2229, 144},	// Plasma::AbstractRunner::trUtf8$$$
    {31, 2326, 201},	// Plasma::AbstractRunner::~AbstractRunner
    {32, 10, 209},	// Plasma::AbstractToolBox::AbstractToolBox#
    {32, 18, 220},	// Plasma::AbstractToolBox::AddTool
    {32, 93, 221},	// Plasma::AbstractToolBox::ConfigureTool
    {32, 109, 222},	// Plasma::AbstractToolBox::ControlTool
    {32, 138, 224},	// Plasma::AbstractToolBox::DestructiveTool
    {32, 315, 223},	// Plasma::AbstractToolBox::MiscTool
    {32, 530, 225},	// Plasma::AbstractToolBox::UserToolType
    {32, 647, 210},	// Plasma::AbstractToolBox::addTool#
    {32, 772, 216},	// Plasma::AbstractToolBox::containment
    {32, 1141, 212},	// Plasma::AbstractToolBox::isShowing
    {32, 1324, 202},	// Plasma::AbstractToolBox::metaObject
    {32, 1453, 208},	// Plasma::AbstractToolBox::qt_metacall$$?
    {32, 1455, 203},	// Plasma::AbstractToolBox::qt_metacast$
    {32, 1519, 211},	// Plasma::AbstractToolBox::removeTool#
    {32, 1963, 213},	// Plasma::AbstractToolBox::setShowing$
    {32, 2148, 219},	// Plasma::AbstractToolBox::staticMetaObject
    {32, 2212, 214},	// Plasma::AbstractToolBox::toggled
    {32, 2223, 217},	// Plasma::AbstractToolBox::tr$
    {32, 2224, 204},	// Plasma::AbstractToolBox::tr$$
    {32, 2225, 206},	// Plasma::AbstractToolBox::tr$$$
    {32, 2227, 218},	// Plasma::AbstractToolBox::trUtf8$
    {32, 2228, 205},	// Plasma::AbstractToolBox::trUtf8$$
    {32, 2229, 207},	// Plasma::AbstractToolBox::trUtf8$$$
    {32, 2298, 215},	// Plasma::AbstractToolBox::visibilityChanged$
    {32, 2327, 226},	// Plasma::AbstractToolBox::~AbstractToolBox
    {33, 13, 239},	// Plasma::AccessAppletJob::AccessAppletJob#
    {33, 14, 235},	// Plasma::AccessAppletJob::AccessAppletJob##
    {33, 675, 234},	// Plasma::AccessAppletJob::applet
    {33, 1324, 227},	// Plasma::AccessAppletJob::metaObject
    {33, 1453, 233},	// Plasma::AccessAppletJob::qt_metacall$$?
    {33, 1455, 228},	// Plasma::AccessAppletJob::qt_metacast$
    {33, 2142, 236},	// Plasma::AccessAppletJob::start
    {33, 2148, 240},	// Plasma::AccessAppletJob::staticMetaObject
    {33, 2223, 237},	// Plasma::AccessAppletJob::tr$
    {33, 2224, 229},	// Plasma::AccessAppletJob::tr$$
    {33, 2225, 231},	// Plasma::AccessAppletJob::tr$$$
    {33, 2227, 238},	// Plasma::AccessAppletJob::trUtf8$
    {33, 2228, 230},	// Plasma::AccessAppletJob::trUtf8$$
    {33, 2229, 232},	// Plasma::AccessAppletJob::trUtf8$$$
    {33, 2328, 241},	// Plasma::AccessAppletJob::~AccessAppletJob
    {34, 569, 250},	// Plasma::AccessManager::accessRemoteApplet#
    {34, 984, 253},	// Plasma::AccessManager::finished#
    {34, 1324, 242},	// Plasma::AccessManager::metaObject
    {34, 1453, 248},	// Plasma::AccessManager::qt_metacall$$?
    {34, 1455, 243},	// Plasma::AccessManager::qt_metacast$
    {34, 1488, 254},	// Plasma::AccessManager::remoteAppletAnnounced#
    {34, 1490, 255},	// Plasma::AccessManager::remoteAppletUnannounced#
    {34, 1491, 251},	// Plasma::AccessManager::remoteApplets
    {34, 1603, 249},	// Plasma::AccessManager::self
    {34, 2148, 258},	// Plasma::AccessManager::staticMetaObject
    {34, 2165, 252},	// Plasma::AccessManager::supportedProtocols
    {34, 2223, 256},	// Plasma::AccessManager::tr$
    {34, 2224, 244},	// Plasma::AccessManager::tr$$
    {34, 2225, 246},	// Plasma::AccessManager::tr$$$
    {34, 2227, 257},	// Plasma::AccessManager::trUtf8$
    {34, 2228, 245},	// Plasma::AccessManager::trUtf8$$
    {34, 2229, 247},	// Plasma::AccessManager::trUtf8$$$
    {35, 31, 276},	// Plasma::Animation::Animation
    {35, 32, 267},	// Plasma::Animation::Animation#
    {35, 76, 279},	// Plasma::Animation::Center
    {35, 149, 281},	// Plasma::Animation::Down
    {35, 294, 282},	// Plasma::Animation::Left
    {35, 316, 284},	// Plasma::Animation::MoveAny
    {35, 317, 287},	// Plasma::Animation::MoveDown
    {35, 318, 288},	// Plasma::Animation::MoveLeft
    {35, 319, 286},	// Plasma::Animation::MoveRight
    {35, 320, 285},	// Plasma::Animation::MoveUp
    {35, 405, 283},	// Plasma::Animation::Right
    {35, 526, 280},	// Plasma::Animation::Up
    {35, 906, 266},	// Plasma::Animation::duration
    {35, 907, 271},	// Plasma::Animation::easingCurve
    {35, 1324, 259},	// Plasma::Animation::metaObject
    {35, 1453, 265},	// Plasma::Animation::qt_metacall$$?
    {35, 1455, 260},	// Plasma::Animation::qt_metacast$
    {35, 1746, 277},	// Plasma::Animation::setDuration
    {35, 1747, 272},	// Plasma::Animation::setDuration$
    {35, 1749, 270},	// Plasma::Animation::setEasingCurve#
    {35, 2009, 268},	// Plasma::Animation::setTargetWidget#
    {35, 2148, 278},	// Plasma::Animation::staticMetaObject
    {35, 2191, 269},	// Plasma::Animation::targetWidget
    {35, 2223, 274},	// Plasma::Animation::tr$
    {35, 2224, 261},	// Plasma::Animation::tr$$
    {35, 2225, 263},	// Plasma::Animation::tr$$$
    {35, 2227, 275},	// Plasma::Animation::trUtf8$
    {35, 2228, 262},	// Plasma::Animation::trUtf8$$
    {35, 2229, 264},	// Plasma::Animation::trUtf8$$$
    {35, 2253, 273},	// Plasma::Animation::updateCurrentTime$
    {35, 2329, 289},	// Plasma::Animation::~Animation
    {36, 33, 316},	// Plasma::AnimationDriver::AnimationDriver
    {36, 34, 297},	// Plasma::AnimationDriver::AnimationDriver#
    {36, 660, 304},	// Plasma::AnimationDriver::animationCurve$
    {36, 662, 301},	// Plasma::AnimationDriver::animationDuration$
    {36, 666, 298},	// Plasma::AnimationDriver::animationFps$
    {36, 912, 306},	// Plasma::AnimationDriver::elementAnimationCurve$
    {36, 914, 303},	// Plasma::AnimationDriver::elementAnimationDuration$
    {36, 918, 300},	// Plasma::AnimationDriver::elementAnimationFps$
    {36, 920, 307},	// Plasma::AnimationDriver::elementAppear$#
    {36, 924, 308},	// Plasma::AnimationDriver::elementDisappear$#
    {36, 1153, 311},	// Plasma::AnimationDriver::itemActivated$#
    {36, 1158, 309},	// Plasma::AnimationDriver::itemAppear$#
    {36, 1166, 310},	// Plasma::AnimationDriver::itemDisappear$#
    {36, 1176, 312},	// Plasma::AnimationDriver::itemSlideIn$###
    {36, 1178, 313},	// Plasma::AnimationDriver::itemSlideOut$###
    {36, 1324, 290},	// Plasma::AnimationDriver::metaObject
    {36, 1352, 305},	// Plasma::AnimationDriver::movementAnimationCurve$
    {36, 1354, 302},	// Plasma::AnimationDriver::movementAnimationDuration$
    {36, 1356, 299},	// Plasma::AnimationDriver::movementAnimationFps$
    {36, 1453, 296},	// Plasma::AnimationDriver::qt_metacall$$?
    {36, 1455, 291},	// Plasma::AnimationDriver::qt_metacast$
    {36, 2148, 317},	// Plasma::AnimationDriver::staticMetaObject
    {36, 2223, 314},	// Plasma::AnimationDriver::tr$
    {36, 2224, 292},	// Plasma::AnimationDriver::tr$$
    {36, 2225, 294},	// Plasma::AnimationDriver::tr$$$
    {36, 2227, 315},	// Plasma::AnimationDriver::trUtf8$
    {36, 2228, 293},	// Plasma::AnimationDriver::trUtf8$$
    {36, 2229, 295},	// Plasma::AnimationDriver::trUtf8$$$
    {36, 2330, 318},	// Plasma::AnimationDriver::~AnimationDriver
    {37, 15, 354},	// Plasma::Animator::ActivateAnimation
    {37, 36, 352},	// Plasma::Animator::AppearAnimation
    {37, 145, 353},	// Plasma::Animator::DisappearAnimation
    {37, 152, 366},	// Plasma::Animator::EaseInCurve
    {37, 153, 368},	// Plasma::Animator::EaseInOutCurve
    {37, 154, 367},	// Plasma::Animator::EaseOutCurve
    {37, 168, 355},	// Plasma::Animator::FadeAnimation
    {37, 169, 373},	// Plasma::Animator::FastSlideInMovement
    {37, 170, 374},	// Plasma::Animator::FastSlideOutMovement
    {37, 191, 361},	// Plasma::Animator::GeometryAnimation
    {37, 195, 356},	// Plasma::Animator::GrowAnimation
    {37, 293, 365},	// Plasma::Animator::LastAnimation
    {37, 304, 369},	// Plasma::Animator::LinearCurve
    {37, 368, 370},	// Plasma::Animator::PendularCurve
    {37, 372, 363},	// Plasma::Animator::PixmapTransitionAnimation
    {37, 385, 357},	// Plasma::Animator::PulseAnimation
    {37, 412, 358},	// Plasma::Animator::RotationAnimation
    {37, 413, 359},	// Plasma::Animator::RotationStackedAnimation
    {37, 458, 360},	// Plasma::Animator::SlideAnimation
    {37, 459, 371},	// Plasma::Animator::SlideInMovement
    {37, 460, 372},	// Plasma::Animator::SlideOutMovement
    {37, 552, 364},	// Plasma::Animator::WaterAnimation
    {37, 557, 362},	// Plasma::Animator::ZoomAnimation
    {37, 664, 341},	// Plasma::Animator::animationFinished#$
    {37, 804, -7},	// Plasma::Animator::create$
    {37, 805, -11},	// Plasma::Animator::create$#
    {37, 828, 337},	// Plasma::Animator::currentPixmap$
    {37, 833, 333},	// Plasma::Animator::customAnimation$$$#$
    {37, 835, 344},	// Plasma::Animator::customAnimationFinished$
    {37, 916, 343},	// Plasma::Animator::elementAnimationFinished$
    {37, 1110, 338},	// Plasma::Animator::isAnimating
    {37, 1324, 319},	// Plasma::Animator::metaObject
    {37, 1350, 331},	// Plasma::Animator::moveItem#$#
    {37, 1358, 342},	// Plasma::Animator::movementFinished#
    {37, 1453, 325},	// Plasma::Animator::qt_metacall$$?
    {37, 1455, 320},	// Plasma::Animator::qt_metacast$
    {37, 1477, 339},	// Plasma::Animator::registerScrollingManager#
    {37, 1596, 345},	// Plasma::Animator::scrollStateChanged#$$
    {37, 1603, 326},	// Plasma::Animator::self
    {37, 1829, 336},	// Plasma::Animator::setInitialPixmap$#
    {37, 2148, 351},	// Plasma::Animator::staticMetaObject
    {37, 2152, 334},	// Plasma::Animator::stopCustomAnimation$
    {37, 2154, 335},	// Plasma::Animator::stopElementAnimation$
    {37, 2156, 330},	// Plasma::Animator::stopItemAnimation$
    {37, 2158, 332},	// Plasma::Animator::stopItemMovement$
    {37, 2209, 346},	// Plasma::Animator::timerEvent#
    {37, 2223, 347},	// Plasma::Animator::tr$
    {37, 2224, 321},	// Plasma::Animator::tr$$
    {37, 2225, 323},	// Plasma::Animator::tr$$$
    {37, 2227, 348},	// Plasma::Animator::trUtf8$
    {37, 2228, 322},	// Plasma::Animator::trUtf8$$
    {37, 2229, 324},	// Plasma::Animator::trUtf8$$$
    {37, 2244, 340},	// Plasma::Animator::unregisterScrollingManager#
    {38, 37, 517},	// Plasma::Applet::Applet
    {38, 38, 518},	// Plasma::Applet::Applet#
    {38, 39, 519},	// Plasma::Applet::Applet#$
    {38, 40, 442},	// Plasma::Applet::Applet#$$
    {38, 41, 443},	// Plasma::Applet::Applet#$$?
    {38, 42, 482},	// Plasma::Applet::Applet#?
    {38, 126, 527},	// Plasma::Applet::DefaultBackground
    {38, 328, 524},	// Plasma::Applet::NoBackground
    {38, 470, 525},	// Plasma::Applet::StandardBackground
    {38, 516, 526},	// Plasma::Applet::TranslucentBackground
    {38, 521, 528},	// Plasma::Applet::Type
    {38, 571, 428},	// Plasma::Applet::action$
    {38, 581, 458},	// Plasma::Applet::activate
    {38, 589, 429},	// Plasma::Applet::addAction$#
    {38, 599, 439},	// Plasma::Applet::addAssociatedWidget#
    {38, 679, 460},	// Plasma::Applet::appletDestroyed#
    {38, 683, 454},	// Plasma::Applet::appletTransformedByUser
    {38, 684, 455},	// Plasma::Applet::appletTransformedItself
    {38, 687, 401},	// Plasma::Applet::aspectRatioMode
    {38, 690, 449},	// Plasma::Applet::associatedApplication
    {38, 691, 450},	// Plasma::Applet::associatedApplicationUrls
    {38, 705, 431},	// Plasma::Applet::backgroundHints
    {38, 715, 420},	// Plasma::Applet::category
    {38, 716, 412},	// Plasma::Applet::category#
    {38, 717, 413},	// Plasma::Applet::category$
    {38, 745, 384},	// Plasma::Applet::config
    {38, 746, 385},	// Plasma::Applet::config$
    {38, 747, 473},	// Plasma::Applet::configChanged
    {38, 748, 457},	// Plasma::Applet::configNeedsSaving
    {38, 749, 389},	// Plasma::Applet::configScheme
    {38, 752, 425},	// Plasma::Applet::configurationRequired
    {38, 768, 488},	// Plasma::Applet::constraintsEvent$
    {38, 772, 435},	// Plasma::Applet::containment
    {38, 791, 400},	// Plasma::Applet::context
    {38, 799, 427},	// Plasma::Applet::contextualActions
    {38, 809, 445},	// Plasma::Applet::createConfigurationInterface#
    {38, 836, 408},	// Plasma::Applet::customCategories
    {38, 841, 390},	// Plasma::Applet::dataEngine$
    {38, 852, 465},	// Plasma::Applet::destroy
    {38, 854, 444},	// Plasma::Applet::destroyed
    {38, 953, 493},	// Plasma::Applet::eventFilter##
    {38, 964, 492},	// Plasma::Applet::extender
    {38, 966, 462},	// Plasma::Applet::extenderItemRestored#
    {38, 992, 471},	// Plasma::Applet::flushPendingConstraintsEvents
    {38, 994, 496},	// Plasma::Applet::focusInEvent#
    {38, 1000, 416},	// Plasma::Applet::font
    {38, 1007, 398},	// Plasma::Applet::formFactor
    {38, 1014, 453},	// Plasma::Applet::geometryChanged
    {38, 1020, 388},	// Plasma::Applet::globalConfig
    {38, 1021, 437},	// Plasma::Applet::globalShortcut
    {38, 1030, 446},	// Plasma::Applet::hasAuthorization$
    {38, 1031, 426},	// Plasma::Applet::hasConfigurationInterface
    {38, 1036, 423},	// Plasma::Applet::hasFailedToLaunch
    {38, 1044, 451},	// Plasma::Applet::hasValidAssociatedApplication
    {38, 1059, 501},	// Plasma::Applet::hoverEnterEvent#
    {38, 1061, 502},	// Plasma::Applet::hoverLeaveEvent#
    {38, 1065, 419},	// Plasma::Applet::icon
    {38, 1067, 383},	// Plasma::Applet::id
    {38, 1072, 421},	// Plasma::Applet::immutability
    {38, 1074, 463},	// Plasma::Applet::immutabilityChanged$
    {38, 1081, 472},	// Plasma::Applet::init
    {38, 1084, 441},	// Plasma::Applet::initExtenderItem#
    {38, 1112, 424},	// Plasma::Applet::isBusy
    {38, 1118, 432},	// Plasma::Applet::isContainment
    {38, 1132, 438},	// Plasma::Applet::isPopupShowing
    {38, 1134, 480},	// Plasma::Applet::isPublished
    {38, 1137, 491},	// Plasma::Applet::isRegisteredAsDragHandle#
    {38, 1144, 468},	// Plasma::Applet::isUserConfiguring
    {38, 1162, 498},	// Plasma::Applet::itemChange$#
    {38, 1219, 507},	// Plasma::Applet::listAppletInfo
    {38, 1220, 508},	// Plasma::Applet::listAppletInfo$
    {38, 1221, 403},	// Plasma::Applet::listAppletInfo$$
    {38, 1223, 404},	// Plasma::Applet::listAppletInfoForMimetype$
    {38, 1225, 405},	// Plasma::Applet::listAppletInfoForUrl#
    {38, 1226, 509},	// Plasma::Applet::listCategories
    {38, 1227, 510},	// Plasma::Applet::listCategories$
    {38, 1228, 406},	// Plasma::Applet::listCategories$$
    {38, 1257, 515},	// Plasma::Applet::load#
    {38, 1260, 516},	// Plasma::Applet::load#$
    {38, 1261, 411},	// Plasma::Applet::load#$?
    {38, 1263, 513},	// Plasma::Applet::load$
    {38, 1265, 514},	// Plasma::Applet::load$$
    {38, 1266, 410},	// Plasma::Applet::load$$?
    {38, 1279, 511},	// Plasma::Applet::loadPlasmoid$
    {38, 1280, 512},	// Plasma::Applet::loadPlasmoid$$
    {38, 1281, 409},	// Plasma::Applet::loadPlasmoid$$?
    {38, 1289, 399},	// Plasma::Applet::location
    {38, 1297, 470},	// Plasma::Applet::lower
    {38, 1305, 393},	// Plasma::Applet::mapFromView##
    {38, 1307, 394},	// Plasma::Applet::mapToView##
    {38, 1323, 459},	// Plasma::Applet::messageButtonPressed$
    {38, 1324, 375},	// Plasma::Applet::metaObject
    {38, 1342, 495},	// Plasma::Applet::mouseMoveEvent#
    {38, 1359, 415},	// Plasma::Applet::name
    {38, 1363, 461},	// Plasma::Applet::newStatus$
    {38, 1383, 391},	// Plasma::Applet::package
    {38, 1384, 382},	// Plasma::Applet::packageStructure
    {38, 1407, 414},	// Plasma::Applet::paintInterface###
    {38, 1409, 422},	// Plasma::Applet::paintWindowFrame###
    {38, 1428, 417},	// Plasma::Applet::pluginName
    {38, 1436, 395},	// Plasma::Applet::popupPosition#
    {38, 1439, 396},	// Plasma::Applet::popupPosition#$
    {38, 1451, 478},	// Plasma::Applet::publish$$
    {38, 1453, 381},	// Plasma::Applet::qt_metacall$$?
    {38, 1455, 376},	// Plasma::Applet::qt_metacast$
    {38, 1459, 469},	// Plasma::Applet::raise
    {38, 1470, 489},	// Plasma::Applet::registerAsDragHandle#
    {38, 1482, 452},	// Plasma::Applet::releaseVisualFocus
    {38, 1501, 440},	// Plasma::Applet::removeAssociatedWidget#
    {38, 1544, 497},	// Plasma::Applet::resizeEvent#
    {38, 1548, 387},	// Plasma::Applet::restore#
    {38, 1560, 481},	// Plasma::Applet::runAssociatedApplication
    {38, 1567, 386},	// Plasma::Applet::save#
    {38, 1573, 484},	// Plasma::Applet::saveState#
    {38, 1581, 494},	// Plasma::Applet::sceneEventFilter##
    {38, 1592, 433},	// Plasma::Applet::screenRect
    {38, 1634, 402},	// Plasma::Applet::setAspectRatioMode$
    {38, 1636, 447},	// Plasma::Applet::setAssociatedApplication$
    {38, 1638, 448},	// Plasma::Applet::setAssociatedApplicationUrls?
    {38, 1658, 430},	// Plasma::Applet::setBackgroundHints$
    {38, 1662, 474},	// Plasma::Applet::setBusy$
    {38, 1684, 521},	// Plasma::Applet::setConfigurationRequired$
    {38, 1685, 486},	// Plasma::Applet::setConfigurationRequired$$
    {38, 1713, 407},	// Plasma::Applet::setCustomCategories?
    {38, 1768, 520},	// Plasma::Applet::setFailedToLaunch$
    {38, 1769, 483},	// Plasma::Applet::setFailedToLaunch$$
    {38, 1782, 436},	// Plasma::Applet::setGlobalShortcut#
    {38, 1791, 485},	// Plasma::Applet::setHasConfigurationInterface$
    {38, 1823, 464},	// Plasma::Applet::setImmutability$
    {38, 1981, 477},	// Plasma::Applet::setStatus$
    {38, 2087, 499},	// Plasma::Applet::shape
    {38, 2089, 418},	// Plasma::Applet::shouldConserveResources
    {38, 2095, 466},	// Plasma::Applet::showConfigurationInterface
    {38, 2096, 467},	// Plasma::Applet::showConfigurationInterface#
    {38, 2108, 487},	// Plasma::Applet::showMessage#$$
    {38, 2125, 522},	// Plasma::Applet::sizeHint$
    {38, 2126, 500},	// Plasma::Applet::sizeHint$#
    {38, 2128, 456},	// Plasma::Applet::sizeHintChanged$
    {38, 2146, 475},	// Plasma::Applet::startupArguments
    {38, 2148, 523},	// Plasma::Applet::staticMetaObject
    {38, 2149, 476},	// Plasma::Applet::status
    {38, 2209, 503},	// Plasma::Applet::timerEvent#
    {38, 2223, 504},	// Plasma::Applet::tr$
    {38, 2224, 377},	// Plasma::Applet::tr$$
    {38, 2225, 379},	// Plasma::Applet::tr$$$
    {38, 2227, 505},	// Plasma::Applet::trUtf8$
    {38, 2228, 378},	// Plasma::Applet::trUtf8$$
    {38, 2229, 380},	// Plasma::Applet::trUtf8$$$
    {38, 2231, 434},	// Plasma::Applet::type
    {38, 2240, 479},	// Plasma::Applet::unpublish
    {38, 2242, 490},	// Plasma::Applet::unregisterAsDragHandle#
    {38, 2250, 506},	// Plasma::Applet::updateConstraints
    {38, 2251, 397},	// Plasma::Applet::updateConstraints$
    {38, 2290, 392},	// Plasma::Applet::view
    {38, 2331, 529},	// Plasma::Applet::~Applet
    {39, 44, 567},	// Plasma::AppletScript::AppletScript
    {39, 45, 537},	// Plasma::AppletScript::AppletScript#
    {39, 638, 559},	// Plasma::AppletScript::addStandardConfigurationPages#
    {39, 675, 539},	// Plasma::AppletScript::applet
    {39, 747, 553},	// Plasma::AppletScript::configChanged
    {39, 748, 548},	// Plasma::AppletScript::configNeedsSaving
    {39, 768, 542},	// Plasma::AppletScript::constraintsEvent$
    {39, 799, 543},	// Plasma::AppletScript::contextualActions
    {39, 841, 554},	// Plasma::AppletScript::dataEngine$
    {39, 849, 557},	// Plasma::AppletScript::description
    {39, 964, 549},	// Plasma::AppletScript::extender
    {39, 1137, 563},	// Plasma::AppletScript::isRegisteredAsDragHandle#
    {39, 1270, 564},	// Plasma::AppletScript::loadAnimationFromPackage$#
    {39, 1299, 555},	// Plasma::AppletScript::mainScript
    {39, 1324, 530},	// Plasma::AppletScript::metaObject
    {39, 1383, 556},	// Plasma::AppletScript::package
    {39, 1407, 540},	// Plasma::AppletScript::paintInterface###
    {39, 1432, 551},	// Plasma::AppletScript::popupEvent$
    {39, 1453, 536},	// Plasma::AppletScript::qt_metacall$$?
    {39, 1455, 531},	// Plasma::AppletScript::qt_metacast$
    {39, 1470, 561},	// Plasma::AppletScript::registerAsDragHandle#
    {39, 1573, 550},	// Plasma::AppletScript::saveState#
    {39, 1628, 538},	// Plasma::AppletScript::setApplet#
    {39, 1684, 568},	// Plasma::AppletScript::setConfigurationRequired$
    {39, 1685, 546},	// Plasma::AppletScript::setConfigurationRequired$$
    {39, 1768, 569},	// Plasma::AppletScript::setFailedToLaunch$
    {39, 1769, 547},	// Plasma::AppletScript::setFailedToLaunch$$
    {39, 1791, 545},	// Plasma::AppletScript::setHasConfigurationInterface$
    {39, 2087, 544},	// Plasma::AppletScript::shape
    {39, 2095, 552},	// Plasma::AppletScript::showConfigurationInterface
    {39, 2108, 560},	// Plasma::AppletScript::showMessage#$$
    {39, 2120, 541},	// Plasma::AppletScript::size
    {39, 2141, 558},	// Plasma::AppletScript::standardConfigurationDialog
    {39, 2148, 570},	// Plasma::AppletScript::staticMetaObject
    {39, 2223, 565},	// Plasma::AppletScript::tr$
    {39, 2224, 532},	// Plasma::AppletScript::tr$$
    {39, 2225, 534},	// Plasma::AppletScript::tr$$$
    {39, 2227, 566},	// Plasma::AppletScript::trUtf8$
    {39, 2228, 533},	// Plasma::AppletScript::trUtf8$$
    {39, 2229, 535},	// Plasma::AppletScript::trUtf8$$$
    {39, 2242, 562},	// Plasma::AppletScript::unregisterAsDragHandle#
    {39, 2332, 571},	// Plasma::AppletScript::~AppletScript
    {40, 47, 574},	// Plasma::AuthorizationInterface::AuthorizationInterface
    {40, 48, 575},	// Plasma::AuthorizationInterface::AuthorizationInterface#
    {40, 696, 572},	// Plasma::AuthorizationInterface::authorizationRequest#
    {40, 736, 573},	// Plasma::AuthorizationInterface::clientPinRequest#
    {40, 2333, 576},	// Plasma::AuthorizationInterface::~AuthorizationInterface
    {41, 113, 594},	// Plasma::AuthorizationManager::Custom
    {41, 133, 591},	// Plasma::AuthorizationManager::DenyAll
    {41, 370, 593},	// Plasma::AuthorizationManager::PinPairing
    {41, 520, 592},	// Plasma::AuthorizationManager::TrustedOnly
    {41, 1324, 577},	// Plasma::AuthorizationManager::metaObject
    {41, 1453, 583},	// Plasma::AuthorizationManager::qt_metacall$$?
    {41, 1455, 578},	// Plasma::AuthorizationManager::qt_metacast$
    {41, 1464, 587},	// Plasma::AuthorizationManager::readyForRemoteAccess
    {41, 1603, 584},	// Plasma::AuthorizationManager::self
    {41, 1642, 586},	// Plasma::AuthorizationManager::setAuthorizationInterface#
    {41, 1644, 585},	// Plasma::AuthorizationManager::setAuthorizationPolicy$
    {41, 2148, 590},	// Plasma::AuthorizationManager::staticMetaObject
    {41, 2223, 588},	// Plasma::AuthorizationManager::tr$
    {41, 2224, 579},	// Plasma::AuthorizationManager::tr$$
    {41, 2225, 581},	// Plasma::AuthorizationManager::tr$$$
    {41, 2227, 589},	// Plasma::AuthorizationManager::trUtf8$
    {41, 2228, 580},	// Plasma::AuthorizationManager::trUtf8$$
    {41, 2229, 582},	// Plasma::AuthorizationManager::trUtf8$$$
    {42, 25, 623},	// Plasma::AuthorizationRule::AllServices
    {42, 26, 622},	// Plasma::AuthorizationRule::AllUsers
    {42, 27, 617},	// Plasma::AuthorizationRule::Allow
    {42, 125, 621},	// Plasma::AuthorizationRule::Default
    {42, 132, 616},	// Plasma::AuthorizationRule::Deny
    {42, 369, 620},	// Plasma::AuthorizationRule::Persistent
    {42, 371, 618},	// Plasma::AuthorizationRule::PinRequired
    {42, 515, 619},	// Plasma::AuthorizationRule::Transient
    {42, 721, 612},	// Plasma::AuthorizationRule::changed#
    {42, 849, 602},	// Plasma::AuthorizationRule::description
    {42, 1324, 595},	// Plasma::AuthorizationRule::metaObject
    {42, 1422, 606},	// Plasma::AuthorizationRule::persistence
    {42, 1423, 610},	// Plasma::AuthorizationRule::pin
    {42, 1429, 604},	// Plasma::AuthorizationRule::policy
    {42, 1453, 601},	// Plasma::AuthorizationRule::qt_metacall$$?
    {42, 1455, 596},	// Plasma::AuthorizationRule::qt_metacast$
    {42, 1607, 611},	// Plasma::AuthorizationRule::serviceName
    {42, 1891, 605},	// Plasma::AuthorizationRule::setPersistence$
    {42, 1893, 609},	// Plasma::AuthorizationRule::setPin$
    {42, 1897, 603},	// Plasma::AuthorizationRule::setPolicy$
    {42, 2011, 607},	// Plasma::AuthorizationRule::setTargets$
    {42, 2148, 615},	// Plasma::AuthorizationRule::staticMetaObject
    {42, 2192, 608},	// Plasma::AuthorizationRule::targets
    {42, 2223, 613},	// Plasma::AuthorizationRule::tr$
    {42, 2224, 597},	// Plasma::AuthorizationRule::tr$$
    {42, 2225, 599},	// Plasma::AuthorizationRule::tr$$$
    {42, 2227, 614},	// Plasma::AuthorizationRule::trUtf8$
    {42, 2228, 598},	// Plasma::AuthorizationRule::trUtf8$$
    {42, 2229, 600},	// Plasma::AuthorizationRule::trUtf8$$$
    {42, 2334, 624},	// Plasma::AuthorizationRule::~AuthorizationRule
    {43, 64, 646},	// Plasma::BusyWidget::BusyWidget
    {43, 65, 632},	// Plasma::BusyWidget::BusyWidget#
    {43, 733, 637},	// Plasma::BusyWidget::clicked
    {43, 1051, 640},	// Plasma::BusyWidget::hideEvent#
    {43, 1140, 634},	// Plasma::BusyWidget::isRunning
    {43, 1188, 636},	// Plasma::BusyWidget::label
    {43, 1324, 625},	// Plasma::BusyWidget::metaObject
    {43, 1344, 642},	// Plasma::BusyWidget::mousePressEvent#
    {43, 1390, 647},	// Plasma::BusyWidget::paint##
    {43, 1391, 638},	// Plasma::BusyWidget::paint###
    {43, 1453, 631},	// Plasma::BusyWidget::qt_metacall$$?
    {43, 1455, 626},	// Plasma::BusyWidget::qt_metacast$
    {43, 1544, 641},	// Plasma::BusyWidget::resizeEvent#
    {43, 1833, 635},	// Plasma::BusyWidget::setLabel$
    {43, 1938, 633},	// Plasma::BusyWidget::setRunning$
    {43, 2104, 639},	// Plasma::BusyWidget::showEvent#
    {43, 2148, 648},	// Plasma::BusyWidget::staticMetaObject
    {43, 2209, 643},	// Plasma::BusyWidget::timerEvent#
    {43, 2223, 644},	// Plasma::BusyWidget::tr$
    {43, 2224, 627},	// Plasma::BusyWidget::tr$$
    {43, 2225, 629},	// Plasma::BusyWidget::tr$$$
    {43, 2227, 645},	// Plasma::BusyWidget::trUtf8$
    {43, 2228, 628},	// Plasma::BusyWidget::trUtf8$$
    {43, 2229, 630},	// Plasma::BusyWidget::trUtf8$$$
    {43, 2335, 649},	// Plasma::BusyWidget::~BusyWidget
    {44, 80, 672},	// Plasma::CheckBox::CheckBox
    {44, 81, 657},	// Plasma::CheckBox::CheckBox#
    {44, 719, 669},	// Plasma::CheckBox::changeEvent#
    {44, 1069, 661},	// Plasma::CheckBox::image
    {44, 1114, 666},	// Plasma::CheckBox::isChecked
    {44, 1324, 650},	// Plasma::CheckBox::metaObject
    {44, 1361, 664},	// Plasma::CheckBox::nativeWidget
    {44, 1453, 656},	// Plasma::CheckBox::qt_metacall$$?
    {44, 1455, 651},	// Plasma::CheckBox::qt_metacast$
    {44, 1544, 668},	// Plasma::CheckBox::resizeEvent#
    {44, 1672, 665},	// Plasma::CheckBox::setChecked$
    {44, 1818, 660},	// Plasma::CheckBox::setImage$
    {44, 1983, 662},	// Plasma::CheckBox::setStyleSheet$
    {44, 2013, 658},	// Plasma::CheckBox::setText$
    {44, 2148, 673},	// Plasma::CheckBox::staticMetaObject
    {44, 2161, 663},	// Plasma::CheckBox::styleSheet
    {44, 2194, 659},	// Plasma::CheckBox::text
    {44, 2213, 667},	// Plasma::CheckBox::toggled$
    {44, 2223, 670},	// Plasma::CheckBox::tr$
    {44, 2224, 652},	// Plasma::CheckBox::tr$$
    {44, 2225, 654},	// Plasma::CheckBox::tr$$$
    {44, 2227, 671},	// Plasma::CheckBox::trUtf8$
    {44, 2228, 653},	// Plasma::CheckBox::trUtf8$$
    {44, 2229, 655},	// Plasma::CheckBox::trUtf8$$$
    {44, 2336, 674},	// Plasma::CheckBox::~CheckBox
    {45, 721, 685},	// Plasma::ClientPinRequest::changed#
    {45, 849, 682},	// Plasma::ClientPinRequest::description
    {45, 1324, 675},	// Plasma::ClientPinRequest::metaObject
    {45, 1423, 684},	// Plasma::ClientPinRequest::pin
    {45, 1453, 681},	// Plasma::ClientPinRequest::qt_metacall$$?
    {45, 1455, 676},	// Plasma::ClientPinRequest::qt_metacast$
    {45, 1893, 683},	// Plasma::ClientPinRequest::setPin$
    {45, 2148, 688},	// Plasma::ClientPinRequest::staticMetaObject
    {45, 2223, 686},	// Plasma::ClientPinRequest::tr$
    {45, 2224, 677},	// Plasma::ClientPinRequest::tr$$
    {45, 2225, 679},	// Plasma::ClientPinRequest::tr$$$
    {45, 2227, 687},	// Plasma::ClientPinRequest::trUtf8$
    {45, 2228, 678},	// Plasma::ClientPinRequest::trUtf8$$
    {45, 2229, 680},	// Plasma::ClientPinRequest::trUtf8$$$
    {46, 83, 716},	// Plasma::ComboBox::ComboBox
    {46, 84, 696},	// Plasma::ComboBox::ComboBox#
    {46, 583, 704},	// Plasma::ComboBox::activated$
    {46, 615, 702},	// Plasma::ComboBox::addItem$
    {46, 719, 712},	// Plasma::ComboBox::changeEvent#
    {46, 725, 703},	// Plasma::ComboBox::clear
    {46, 994, 708},	// Plasma::ComboBox::focusInEvent#
    {46, 998, 709},	// Plasma::ComboBox::focusOutEvent#
    {46, 1059, 710},	// Plasma::ComboBox::hoverEnterEvent#
    {46, 1061, 711},	// Plasma::ComboBox::hoverLeaveEvent#
    {46, 1324, 689},	// Plasma::ComboBox::metaObject
    {46, 1344, 713},	// Plasma::ComboBox::mousePressEvent#
    {46, 1361, 701},	// Plasma::ComboBox::nativeWidget
    {46, 1391, 707},	// Plasma::ComboBox::paint###
    {46, 1453, 695},	// Plasma::ComboBox::qt_metacall$$?
    {46, 1455, 690},	// Plasma::ComboBox::qt_metacast$
    {46, 1544, 706},	// Plasma::ComboBox::resizeEvent#
    {46, 1869, 700},	// Plasma::ComboBox::setNativeWidget#
    {46, 1983, 698},	// Plasma::ComboBox::setStyleSheet$
    {46, 2148, 717},	// Plasma::ComboBox::staticMetaObject
    {46, 2161, 699},	// Plasma::ComboBox::styleSheet
    {46, 2194, 697},	// Plasma::ComboBox::text
    {46, 2197, 705},	// Plasma::ComboBox::textChanged$
    {46, 2223, 714},	// Plasma::ComboBox::tr$
    {46, 2224, 691},	// Plasma::ComboBox::tr$$
    {46, 2225, 693},	// Plasma::ComboBox::tr$$$
    {46, 2227, 715},	// Plasma::ComboBox::trUtf8$
    {46, 2228, 692},	// Plasma::ComboBox::trUtf8$$
    {46, 2229, 694},	// Plasma::ComboBox::trUtf8$$$
    {46, 2337, 718},	// Plasma::ComboBox::~ComboBox
    {47, 87, 730},	// Plasma::ConfigLoader::ConfigLoader##
    {47, 88, 721},	// Plasma::ConfigLoader::ConfigLoader###
    {47, 89, 728},	// Plasma::ConfigLoader::ConfigLoader$#
    {47, 90, 719},	// Plasma::ConfigLoader::ConfigLoader$##
    {47, 91, 729},	// Plasma::ConfigLoader::ConfigLoader?#
    {47, 92, 720},	// Plasma::ConfigLoader::ConfigLoader?##
    {47, 980, 722},	// Plasma::ConfigLoader::findItem$$
    {47, 982, 723},	// Plasma::ConfigLoader::findItemByName$
    {47, 1027, 726},	// Plasma::ConfigLoader::groupList
    {47, 1038, 725},	// Plasma::ConfigLoader::hasGroup$
    {47, 1448, 724},	// Plasma::ConfigLoader::property$
    {47, 2275, 727},	// Plasma::ConfigLoader::usrWriteConfig
    {47, 2338, 731},	// Plasma::ConfigLoader::~ConfigLoader
    {48, 95, 820},	// Plasma::Containment::Containment
    {48, 96, 821},	// Plasma::Containment::Containment#
    {48, 97, 822},	// Plasma::Containment::Containment#$
    {48, 98, 739},	// Plasma::Containment::Containment#$$
    {48, 99, 740},	// Plasma::Containment::Containment#?
    {48, 114, 837},	// Plasma::Containment::CustomContainment
    {48, 115, 838},	// Plasma::Containment::CustomPanelContainment
    {48, 135, 835},	// Plasma::Containment::DesktopContainment
    {48, 334, 834},	// Plasma::Containment::NoContainmentType
    {48, 363, 836},	// Plasma::Containment::PanelContainment
    {48, 584, 772},	// Plasma::Containment::activity
    {48, 592, 829},	// Plasma::Containment::addApplet#
    {48, 593, 830},	// Plasma::Containment::addApplet##
    {48, 594, 749},	// Plasma::Containment::addApplet##$
    {48, 595, 827},	// Plasma::Containment::addApplet$
    {48, 596, 828},	// Plasma::Containment::addApplet$?
    {48, 597, 748},	// Plasma::Containment::addApplet$?#
    {48, 599, 766},	// Plasma::Containment::addAssociatedWidget#
    {48, 633, 791},	// Plasma::Containment::addSiblingContainment
    {48, 634, 784},	// Plasma::Containment::addSiblingContainment#
    {48, 649, 760},	// Plasma::Containment::addToolBoxAction#
    {48, 677, 779},	// Plasma::Containment::appletAdded##
    {48, 682, 780},	// Plasma::Containment::appletRemoved#
    {48, 685, 750},	// Plasma::Containment::applets
    {48, 727, 751},	// Plasma::Containment::clearApplets
    {48, 738, 765},	// Plasma::Containment::closeToolBox
    {48, 747, 797},	// Plasma::Containment::configChanged
    {48, 755, 787},	// Plasma::Containment::configureRequested#
    {48, 774, 778},	// Plasma::Containment::containmentActions$
    {48, 777, 777},	// Plasma::Containment::containmentActionsTriggers
    {48, 783, 742},	// Plasma::Containment::containmentType
    {48, 791, 773},	// Plasma::Containment::context
    {48, 794, 788},	// Plasma::Containment::contextChanged#
    {48, 798, 805},	// Plasma::Containment::contextMenuEvent#
    {48, 801, 743},	// Plasma::Containment::corona
    {48, 850, 755},	// Plasma::Containment::desktop
    {48, 852, 794},	// Plasma::Containment::destroy
    {48, 853, 795},	// Plasma::Containment::destroy$
    {48, 875, 810},	// Plasma::Containment::dragEnterEvent#
    {48, 877, 811},	// Plasma::Containment::dragLeaveEvent#
    {48, 879, 812},	// Plasma::Containment::dragMoveEvent#
    {48, 901, 768},	// Plasma::Containment::drawWallpaper
    {48, 905, 813},	// Plasma::Containment::dropEvent#
    {48, 935, 759},	// Plasma::Containment::enableAction$$
    {48, 995, 792},	// Plasma::Containment::focusNextApplet
    {48, 999, 793},	// Plasma::Containment::focusPreviousApplet
    {48, 1081, 741},	// Plasma::Containment::init
    {48, 1143, 763},	// Plasma::Containment::isToolBoxOpen
    {48, 1162, 809},	// Plasma::Containment::itemChange$#
    {48, 1181, 806},	// Plasma::Containment::keyPressEvent#
    {48, 1199, 756},	// Plasma::Containment::lastDesktop
    {48, 1200, 754},	// Plasma::Containment::lastScreen
    {48, 1230, 746},	// Plasma::Containment::listContainmentTypes
    {48, 1231, 823},	// Plasma::Containment::listContainments
    {48, 1232, 824},	// Plasma::Containment::listContainments$
    {48, 1233, 744},	// Plasma::Containment::listContainments$$
    {48, 1235, 747},	// Plasma::Containment::listContainmentsForMimetype$
    {48, 1237, 825},	// Plasma::Containment::listContainmentsOfType$
    {48, 1238, 826},	// Plasma::Containment::listContainmentsOfType$$
    {48, 1239, 745},	// Plasma::Containment::listContainmentsOfType$$$
    {48, 1324, 732},	// Plasma::Containment::metaObject
    {48, 1342, 802},	// Plasma::Containment::mouseMoveEvent#
    {48, 1344, 803},	// Plasma::Containment::mousePressEvent#
    {48, 1346, 804},	// Plasma::Containment::mouseReleaseEvent#
    {48, 1370, 764},	// Plasma::Containment::openToolBox
    {48, 1453, 738},	// Plasma::Containment::qt_metacall$$?
    {48, 1455, 733},	// Plasma::Containment::qt_metacast$
    {48, 1501, 767},	// Plasma::Containment::removeAssociatedWidget#
    {48, 1521, 761},	// Plasma::Containment::removeToolBoxAction#
    {48, 1544, 814},	// Plasma::Containment::resizeEvent#
    {48, 1548, 758},	// Plasma::Containment::restore#
    {48, 1550, 801},	// Plasma::Containment::restoreContents#
    {48, 1567, 757},	// Plasma::Containment::save#
    {48, 1569, 800},	// Plasma::Containment::saveContents#
    {48, 1581, 808},	// Plasma::Containment::sceneEventFilter##
    {48, 1585, 753},	// Plasma::Containment::screen
    {48, 1587, 786},	// Plasma::Containment::screenChanged$$#
    {48, 1618, 771},	// Plasma::Containment::setActivity$
    {48, 1689, 776},	// Plasma::Containment::setContainmentActions$$
    {48, 1693, 798},	// Plasma::Containment::setContainmentType$
    {48, 1745, 799},	// Plasma::Containment::setDrawWallpaper$
    {48, 1776, 790},	// Plasma::Containment::setFormFactor$
    {48, 1844, 789},	// Plasma::Containment::setLocation$
    {48, 1942, 831},	// Plasma::Containment::setScreen$
    {48, 1943, 752},	// Plasma::Containment::setScreen$$
    {48, 2027, 816},	// Plasma::Containment::setToolBox#
    {48, 2029, 762},	// Plasma::Containment::setToolBoxOpen$
    {48, 2069, 832},	// Plasma::Containment::setWallpaper$
    {48, 2070, 769},	// Plasma::Containment::setWallpaper$$
    {48, 2093, 785},	// Plasma::Containment::showAddWidgetsInterface#
    {48, 2095, 796},	// Plasma::Containment::showConfigurationInterface
    {48, 2098, 774},	// Plasma::Containment::showContextMenu##
    {48, 2102, 775},	// Plasma::Containment::showDropZone#
    {48, 2148, 833},	// Plasma::Containment::staticMetaObject
    {48, 2214, 817},	// Plasma::Containment::toolBox
    {48, 2215, 815},	// Plasma::Containment::toolBoxItem
    {48, 2216, 782},	// Plasma::Containment::toolBoxToggled
    {48, 2218, 783},	// Plasma::Containment::toolBoxVisibilityChanged$
    {48, 2223, 818},	// Plasma::Containment::tr$
    {48, 2224, 734},	// Plasma::Containment::tr$$
    {48, 2225, 736},	// Plasma::Containment::tr$$$
    {48, 2227, 819},	// Plasma::Containment::trUtf8$
    {48, 2228, 735},	// Plasma::Containment::trUtf8$$
    {48, 2229, 737},	// Plasma::Containment::trUtf8$$$
    {48, 2301, 770},	// Plasma::Containment::wallpaper
    {48, 2306, 807},	// Plasma::Containment::wheelEvent#
    {48, 2324, 781},	// Plasma::Containment::zoomRequested#$
    {48, 2339, 839},	// Plasma::Containment::~Containment
    {49, 474, 840},	// Plasma::Containment::StyleOption::StyleOption
    {49, 475, -17},	// Plasma::Containment::StyleOption::StyleOption#
    {49, 521, 845},	// Plasma::Containment::StyleOption::Type
    {49, 534, 846},	// Plasma::Containment::StyleOption::Version
    {49, 2065, 844},	// Plasma::Containment::StyleOption::setView#
    {49, 2290, 843},	// Plasma::Containment::StyleOption::view
    {49, 2384, 847},	// Plasma::Containment::StyleOption::~StyleOption
    {50, 100, 881},	// Plasma::ContainmentActions::ContainmentActions
    {50, 101, 855},	// Plasma::ContainmentActions::ContainmentActions#
    {50, 102, 874},	// Plasma::ContainmentActions::ContainmentActions#?
    {50, 751, 867},	// Plasma::ContainmentActions::configurationAccepted
    {50, 752, 871},	// Plasma::ContainmentActions::configurationRequired
    {50, 772, 877},	// Plasma::ContainmentActions::containment
    {50, 796, 868},	// Plasma::ContainmentActions::contextEvent#
    {50, 799, 869},	// Plasma::ContainmentActions::contextualActions
    {50, 809, 866},	// Plasma::ContainmentActions::createConfigurationInterface#
    {50, 841, 870},	// Plasma::ContainmentActions::dataEngine$
    {50, 951, 873},	// Plasma::ContainmentActions::event#
    {50, 955, 872},	// Plasma::ContainmentActions::eventToString#
    {50, 1065, 862},	// Plasma::ContainmentActions::icon
    {50, 1082, 875},	// Plasma::ContainmentActions::init#
    {50, 1125, 863},	// Plasma::ContainmentActions::isInitialized
    {50, 1229, 856},	// Plasma::ContainmentActions::listContainmentActionsInfo
    {50, 1258, 883},	// Plasma::ContainmentActions::load##
    {50, 1259, 858},	// Plasma::ContainmentActions::load##?
    {50, 1260, 882},	// Plasma::ContainmentActions::load#$
    {50, 1261, 857},	// Plasma::ContainmentActions::load#$?
    {50, 1324, 848},	// Plasma::ContainmentActions::metaObject
    {50, 1359, 860},	// Plasma::ContainmentActions::name
    {50, 1384, 859},	// Plasma::ContainmentActions::packageStructure
    {50, 1415, 878},	// Plasma::ContainmentActions::paste##
    {50, 1428, 861},	// Plasma::ContainmentActions::pluginName
    {50, 1453, 854},	// Plasma::ContainmentActions::qt_metacall$$?
    {50, 1455, 849},	// Plasma::ContainmentActions::qt_metacast$
    {50, 1548, 864},	// Plasma::ContainmentActions::restore#
    {50, 1567, 865},	// Plasma::ContainmentActions::save#
    {50, 1683, 884},	// Plasma::ContainmentActions::setConfigurationRequired
    {50, 1684, 876},	// Plasma::ContainmentActions::setConfigurationRequired$
    {50, 2148, 885},	// Plasma::ContainmentActions::staticMetaObject
    {50, 2223, 879},	// Plasma::ContainmentActions::tr$
    {50, 2224, 850},	// Plasma::ContainmentActions::tr$$
    {50, 2225, 852},	// Plasma::ContainmentActions::tr$$$
    {50, 2227, 880},	// Plasma::ContainmentActions::trUtf8$
    {50, 2228, 851},	// Plasma::ContainmentActions::trUtf8$$
    {50, 2229, 853},	// Plasma::ContainmentActions::trUtf8$$$
    {50, 2340, 886},	// Plasma::ContainmentActions::~ContainmentActions
    {51, 103, 887},	// Plasma::ContainmentActionsPluginsConfig::ContainmentActionsPluginsConfig
    {51, 104, 888},	// Plasma::ContainmentActionsPluginsConfig::ContainmentActionsPluginsConfig#
    {51, 625, 892},	// Plasma::ContainmentActionsPluginsConfig::addPlugin#$
    {51, 626, -43},	// Plasma::ContainmentActionsPluginsConfig::addPlugin$$$
    {51, 725, 890},	// Plasma::ContainmentActionsPluginsConfig::clear
    {51, 1379, 889},	// Plasma::ContainmentActionsPluginsConfig::operator=#
    {51, 1494, 891},	// Plasma::ContainmentActionsPluginsConfig::remove#
    {51, 2341, 895},	// Plasma::ContainmentActionsPluginsConfig::~ContainmentActionsPluginsConfig
    {52, 106, 915},	// Plasma::Context::Context
    {52, 107, 903},	// Plasma::Context::Context#
    {52, 586, 911},	// Plasma::Context::activityChanged#
    {52, 721, 910},	// Plasma::Context::changed#
    {52, 807, 904},	// Plasma::Context::createActivity$
    {52, 822, 907},	// Plasma::Context::currentActivity
    {52, 823, 909},	// Plasma::Context::currentActivityId
    {52, 1216, 905},	// Plasma::Context::listActivities
    {52, 1291, 912},	// Plasma::Context::locationChanged#
    {52, 1324, 896},	// Plasma::Context::metaObject
    {52, 1453, 902},	// Plasma::Context::qt_metacall$$?
    {52, 1455, 897},	// Plasma::Context::qt_metacast$
    {52, 1707, 906},	// Plasma::Context::setCurrentActivity$
    {52, 1709, 908},	// Plasma::Context::setCurrentActivityId$
    {52, 2148, 916},	// Plasma::Context::staticMetaObject
    {52, 2223, 913},	// Plasma::Context::tr$
    {52, 2224, 898},	// Plasma::Context::tr$$
    {52, 2225, 900},	// Plasma::Context::tr$$$
    {52, 2227, 914},	// Plasma::Context::trUtf8$
    {52, 2228, 899},	// Plasma::Context::trUtf8$$
    {52, 2229, 901},	// Plasma::Context::trUtf8$$$
    {52, 2342, 917},	// Plasma::Context::~Context
    {53, 110, 979},	// Plasma::Corona::Corona
    {53, 111, 925},	// Plasma::Corona::Corona#
    {53, 571, 942},	// Plasma::Corona::action$
    {53, 573, 944},	// Plasma::Corona::actions
    {53, 588, 948},	// Plasma::Corona::addAction$
    {53, 589, 943},	// Plasma::Corona::addAction$#
    {53, 601, 980},	// Plasma::Corona::addContainment$
    {53, 602, 931},	// Plasma::Corona::addContainment$?
    {53, 604, 985},	// Plasma::Corona::addContainmentDelayed$
    {53, 605, 971},	// Plasma::Corona::addContainmentDelayed$?
    {53, 621, 933},	// Plasma::Corona::addOffscreenWidget#
    {53, 632, 947},	// Plasma::Corona::addShortcuts#
    {53, 680, 927},	// Plasma::Corona::appletMimeType
    {53, 702, 938},	// Plasma::Corona::availableScreenRegion$
    {53, 703, 967},	// Plasma::Corona::availableScreenRegionChanged
    {53, 729, 929},	// Plasma::Corona::clearContainments
    {53, 745, 930},	// Plasma::Corona::config
    {53, 750, 966},	// Plasma::Corona::configSynced
    {53, 776, 950},	// Plasma::Corona::containmentActionsDefaults$
    {53, 779, 963},	// Plasma::Corona::containmentAdded#
    {53, 781, 981},	// Plasma::Corona::containmentForScreen$
    {53, 782, 932},	// Plasma::Corona::containmentForScreen$$
    {53, 784, 928},	// Plasma::Corona::containments
    {53, 858, 952},	// Plasma::Corona::dialogManager
    {53, 875, 974},	// Plasma::Corona::dragEnterEvent#
    {53, 877, 975},	// Plasma::Corona::dragLeaveEvent#
    {53, 879, 976},	// Plasma::Corona::dragMoveEvent#
    {53, 935, 945},	// Plasma::Corona::enableAction$$
    {53, 963, 954},	// Plasma::Corona::exportLayout#?
    {53, 1012, 941},	// Plasma::Corona::freeEdges$
    {53, 1072, 958},	// Plasma::Corona::immutability
    {53, 1074, 968},	// Plasma::Corona::immutabilityChanged$
    {53, 1077, 953},	// Plasma::Corona::importLayout#
    {53, 1088, 982},	// Plasma::Corona::initializeLayout
    {53, 1089, 955},	// Plasma::Corona::initializeLayout$
    {53, 1208, 962},	// Plasma::Corona::layoutContainments
    {53, 1271, 970},	// Plasma::Corona::loadDefaultLayout
    {53, 1276, 983},	// Plasma::Corona::loadLayout
    {53, 1277, 956},	// Plasma::Corona::loadLayout$
    {53, 1303, -28},	// Plasma::Corona::mapAnimation$$
    {53, 1324, 918},	// Plasma::Corona::metaObject
    {53, 1367, 936},	// Plasma::Corona::numScreens
    {53, 1368, 935},	// Plasma::Corona::offscreenWidgets
    {53, 1437, 939},	// Plasma::Corona::popupPosition##
    {53, 1438, 940},	// Plasma::Corona::popupPosition##$
    {53, 1453, 924},	// Plasma::Corona::qt_metacall$$?
    {53, 1455, 919},	// Plasma::Corona::qt_metacast$
    {53, 1482, 965},	// Plasma::Corona::releaseVisualFocus
    {53, 1511, 934},	// Plasma::Corona::removeOffscreenWidget#
    {53, 1533, 960},	// Plasma::Corona::requestConfigSync
    {53, 1534, 961},	// Plasma::Corona::requireConfigSync
    {53, 1570, 984},	// Plasma::Corona::saveLayout
    {53, 1571, 957},	// Plasma::Corona::saveLayout$
    {53, 1589, 937},	// Plasma::Corona::screenGeometry$
    {53, 1591, 964},	// Plasma::Corona::screenOwnerChanged$$#
    {53, 1630, 926},	// Plasma::Corona::setAppletMimeType$
    {53, 1691, 949},	// Plasma::Corona::setContainmentActionsDefaults$#
    {53, 1737, 951},	// Plasma::Corona::setDialogManager#
    {53, 1823, 959},	// Plasma::Corona::setImmutability$
    {53, 2088, 969},	// Plasma::Corona::shortcutsChanged
    {53, 2148, 986},	// Plasma::Corona::staticMetaObject
    {53, 2223, 977},	// Plasma::Corona::tr$
    {53, 2224, 920},	// Plasma::Corona::tr$$
    {53, 2225, 922},	// Plasma::Corona::tr$$$
    {53, 2227, 978},	// Plasma::Corona::trUtf8$
    {53, 2228, 921},	// Plasma::Corona::trUtf8$$
    {53, 2229, 923},	// Plasma::Corona::trUtf8$$$
    {53, 2260, 946},	// Plasma::Corona::updateShortcuts
    {53, 2343, 987},	// Plasma::Corona::~Corona
    {54, 116, 1012},	// Plasma::DataContainer::DataContainer
    {54, 117, 995},	// Plasma::DataContainer::DataContainer#
    {54, 707, 1004},	// Plasma::DataContainer::becameUnused$
    {54, 722, 1006},	// Plasma::DataContainer::checkForUpdate
    {54, 723, 1009},	// Plasma::DataContainer::checkUsage
    {54, 766, 1000},	// Plasma::DataContainer::connectVisualization#$$
    {54, 839, 996},	// Plasma::DataContainer::data
    {54, 843, 1003},	// Plasma::DataContainer::dataUpdated$?
    {54, 869, 1001},	// Plasma::DataContainer::disconnectVisualization#
    {54, 1005, 1002},	// Plasma::DataContainer::forceImmediateUpdate
    {54, 1324, 988},	// Plasma::DataContainer::metaObject
    {54, 1453, 994},	// Plasma::DataContainer::qt_metacall$$?
    {54, 1455, 989},	// Plasma::DataContainer::qt_metacast$
    {54, 1497, 998},	// Plasma::DataContainer::removeAllData
    {54, 1718, 997},	// Plasma::DataContainer::setData$#
    {54, 1870, 1013},	// Plasma::DataContainer::setNeedsUpdate
    {54, 1871, 1008},	// Plasma::DataContainer::setNeedsUpdate$
    {54, 2148, 1014},	// Plasma::DataContainer::staticMetaObject
    {54, 2207, 1007},	// Plasma::DataContainer::timeSinceLastUpdate
    {54, 2223, 1010},	// Plasma::DataContainer::tr$
    {54, 2224, 990},	// Plasma::DataContainer::tr$$
    {54, 2225, 992},	// Plasma::DataContainer::tr$$$
    {54, 2227, 1011},	// Plasma::DataContainer::trUtf8$
    {54, 2228, 991},	// Plasma::DataContainer::trUtf8$$
    {54, 2229, 993},	// Plasma::DataContainer::trUtf8$$$
    {54, 2259, 1005},	// Plasma::DataContainer::updateRequested#
    {54, 2300, 999},	// Plasma::DataContainer::visualizationIsConnected#
    {54, 2344, 1015},	// Plasma::DataContainer::~DataContainer
    {55, 118, 1068},	// Plasma::DataEngine::DataEngine
    {55, 119, 1069},	// Plasma::DataEngine::DataEngine#
    {55, 120, -20},	// Plasma::DataEngine::DataEngine#?
    {55, 636, 1050},	// Plasma::DataEngine::addSource#
    {55, 757, 1072},	// Plasma::DataEngine::connectAllSources#
    {55, 758, 1073},	// Plasma::DataEngine::connectAllSources#$
    {55, 759, 1030},	// Plasma::DataEngine::connectAllSources#$$
    {55, 762, 1070},	// Plasma::DataEngine::connectSource$#
    {55, 763, 1071},	// Plasma::DataEngine::connectSource$#$
    {55, 764, 1029},	// Plasma::DataEngine::connectSource$#$$
    {55, 769, 1057},	// Plasma::DataEngine::containerDict
    {55, 771, 1032},	// Plasma::DataEngine::containerForSource$
    {55, 810, 1074},	// Plasma::DataEngine::createDefaultService
    {55, 811, 1040},	// Plasma::DataEngine::createDefaultService#
    {55, 867, 1031},	// Plasma::DataEngine::disconnectSource$#
    {55, 1006, 1065},	// Plasma::DataEngine::forceImmediateUpdateOfAllVisualizations
    {55, 1065, 1037},	// Plasma::DataEngine::icon
    {55, 1081, 1025},	// Plasma::DataEngine::init
    {55, 1121, 1035},	// Plasma::DataEngine::isEmpty
    {55, 1146, 1034},	// Plasma::DataEngine::isValid
    {55, 1318, 1036},	// Plasma::DataEngine::maxSourceCount
    {55, 1324, 1016},	// Plasma::DataEngine::metaObject
    {55, 1336, 1053},	// Plasma::DataEngine::minimumPollingInterval
    {55, 1359, 1028},	// Plasma::DataEngine::name
    {55, 1383, 1038},	// Plasma::DataEngine::package
    {55, 1428, 1039},	// Plasma::DataEngine::pluginName
    {55, 1453, 1022},	// Plasma::DataEngine::qt_metacall$$?
    {55, 1455, 1017},	// Plasma::DataEngine::qt_metacast$
    {55, 1457, 1033},	// Plasma::DataEngine::query$
    {55, 1498, 1048},	// Plasma::DataEngine::removeAllData$
    {55, 1499, 1055},	// Plasma::DataEngine::removeAllSources
    {55, 1503, 1049},	// Plasma::DataEngine::removeData$$
    {55, 1515, 1063},	// Plasma::DataEngine::removeSource$
    {55, 1584, 1062},	// Plasma::DataEngine::scheduleSourcesUpdated
    {55, 1606, 1027},	// Plasma::DataEngine::serviceForSource$
    {55, 1718, 1045},	// Plasma::DataEngine::setData$#
    {55, 1719, 1046},	// Plasma::DataEngine::setData$$#
    {55, 1720, 1047},	// Plasma::DataEngine::setData$?
    {55, 1728, 1061},	// Plasma::DataEngine::setDefaultService$
    {55, 1811, 1060},	// Plasma::DataEngine::setIcon$
    {55, 1848, 1051},	// Plasma::DataEngine::setMaxSourceCount$
    {55, 1862, 1052},	// Plasma::DataEngine::setMinimumPollingInterval$
    {55, 1867, 1059},	// Plasma::DataEngine::setName$
    {55, 1899, 1054},	// Plasma::DataEngine::setPollingInterval$
    {55, 2049, 1056},	// Plasma::DataEngine::setValid$
    {55, 2133, 1041},	// Plasma::DataEngine::sourceAdded$
    {55, 2135, 1042},	// Plasma::DataEngine::sourceRemoved$
    {55, 2137, 1043},	// Plasma::DataEngine::sourceRequestEvent$
    {55, 2138, 1026},	// Plasma::DataEngine::sources
    {55, 2148, 1075},	// Plasma::DataEngine::staticMetaObject
    {55, 2209, 1058},	// Plasma::DataEngine::timerEvent#
    {55, 2223, 1066},	// Plasma::DataEngine::tr$
    {55, 2224, 1018},	// Plasma::DataEngine::tr$$
    {55, 2225, 1020},	// Plasma::DataEngine::tr$$$
    {55, 2227, 1067},	// Plasma::DataEngine::trUtf8$
    {55, 2228, 1019},	// Plasma::DataEngine::trUtf8$$
    {55, 2229, 1021},	// Plasma::DataEngine::trUtf8$$$
    {55, 2249, 1064},	// Plasma::DataEngine::updateAllSources
    {55, 2262, 1044},	// Plasma::DataEngine::updateSourceEvent$
    {55, 2345, 1076},	// Plasma::DataEngine::~DataEngine
    {56, 941, 1085},	// Plasma::DataEngineManager::engine$
    {56, 1217, 1093},	// Plasma::DataEngineManager::listAllEngines
    {56, 1218, 1088},	// Plasma::DataEngineManager::listAllEngines$
    {56, 1240, 1094},	// Plasma::DataEngineManager::listEngineInfo
    {56, 1241, 1089},	// Plasma::DataEngineManager::listEngineInfo$
    {56, 1243, 1095},	// Plasma::DataEngineManager::listEngineInfoByCategory$
    {56, 1244, 1090},	// Plasma::DataEngineManager::listEngineInfoByCategory$$
    {56, 1273, 1086},	// Plasma::DataEngineManager::loadEngine$
    {56, 1324, 1077},	// Plasma::DataEngineManager::metaObject
    {56, 1453, 1083},	// Plasma::DataEngineManager::qt_metacall$$?
    {56, 1455, 1078},	// Plasma::DataEngineManager::qt_metacast$
    {56, 1603, 1084},	// Plasma::DataEngineManager::self
    {56, 2148, 1096},	// Plasma::DataEngineManager::staticMetaObject
    {56, 2223, 1091},	// Plasma::DataEngineManager::tr$
    {56, 2224, 1079},	// Plasma::DataEngineManager::tr$$
    {56, 2225, 1081},	// Plasma::DataEngineManager::tr$$$
    {56, 2227, 1092},	// Plasma::DataEngineManager::trUtf8$
    {56, 2228, 1080},	// Plasma::DataEngineManager::trUtf8$$
    {56, 2229, 1082},	// Plasma::DataEngineManager::trUtf8$$$
    {56, 2239, 1087},	// Plasma::DataEngineManager::unloadEngine$
    {57, 122, 1134},	// Plasma::DataEngineScript::DataEngineScript
    {57, 123, 1104},	// Plasma::DataEngineScript::DataEngineScript#
    {57, 636, 1124},	// Plasma::DataEngineScript::addSource#
    {57, 769, 1125},	// Plasma::DataEngineScript::containerDict
    {57, 840, 1106},	// Plasma::DataEngineScript::dataEngine
    {57, 849, 1113},	// Plasma::DataEngineScript::description
    {57, 1006, 1131},	// Plasma::DataEngineScript::forceImmediateUpdateOfAllVisualizations
    {57, 1299, 1111},	// Plasma::DataEngineScript::mainScript
    {57, 1324, 1097},	// Plasma::DataEngineScript::metaObject
    {57, 1336, 1121},	// Plasma::DataEngineScript::minimumPollingInterval
    {57, 1383, 1112},	// Plasma::DataEngineScript::package
    {57, 1453, 1103},	// Plasma::DataEngineScript::qt_metacall$$?
    {57, 1455, 1098},	// Plasma::DataEngineScript::qt_metacast$
    {57, 1498, 1117},	// Plasma::DataEngineScript::removeAllData$
    {57, 1499, 1123},	// Plasma::DataEngineScript::removeAllSources
    {57, 1503, 1118},	// Plasma::DataEngineScript::removeData$$
    {57, 1515, 1129},	// Plasma::DataEngineScript::removeSource$
    {57, 1584, 1128},	// Plasma::DataEngineScript::scheduleSourcesUpdated
    {57, 1606, 1110},	// Plasma::DataEngineScript::serviceForSource$
    {57, 1718, 1115},	// Plasma::DataEngineScript::setData$#
    {57, 1719, 1114},	// Plasma::DataEngineScript::setData$$#
    {57, 1720, 1116},	// Plasma::DataEngineScript::setData$?
    {57, 1722, 1105},	// Plasma::DataEngineScript::setDataEngine#
    {57, 1811, 1127},	// Plasma::DataEngineScript::setIcon$
    {57, 1848, 1119},	// Plasma::DataEngineScript::setMaxSourceCount$
    {57, 1862, 1120},	// Plasma::DataEngineScript::setMinimumPollingInterval$
    {57, 1867, 1126},	// Plasma::DataEngineScript::setName$
    {57, 1899, 1122},	// Plasma::DataEngineScript::setPollingInterval$
    {57, 2137, 1108},	// Plasma::DataEngineScript::sourceRequestEvent$
    {57, 2138, 1107},	// Plasma::DataEngineScript::sources
    {57, 2148, 1135},	// Plasma::DataEngineScript::staticMetaObject
    {57, 2223, 1132},	// Plasma::DataEngineScript::tr$
    {57, 2224, 1099},	// Plasma::DataEngineScript::tr$$
    {57, 2225, 1101},	// Plasma::DataEngineScript::tr$$$
    {57, 2227, 1133},	// Plasma::DataEngineScript::trUtf8$
    {57, 2228, 1100},	// Plasma::DataEngineScript::trUtf8$$
    {57, 2229, 1102},	// Plasma::DataEngineScript::trUtf8$$$
    {57, 2249, 1130},	// Plasma::DataEngineScript::updateAllSources
    {57, 2262, 1109},	// Plasma::DataEngineScript::updateSourceEvent$
    {57, 2346, 1136},	// Plasma::DataEngineScript::~DataEngineScript
    {58, 82, 1159},	// Plasma::Delegate::ColumnTypeRole
    {58, 129, 1155},	// Plasma::Delegate::Delegate
    {58, 130, 1144},	// Plasma::Delegate::Delegate#
    {58, 309, 1160},	// Plasma::Delegate::MainColumn
    {58, 439, 1161},	// Plasma::Delegate::SecondaryActionColumn
    {58, 477, 1158},	// Plasma::Delegate::SubTitleMandatoryRole
    {58, 478, 1157},	// Plasma::Delegate::SubTitleRole
    {58, 933, 1151},	// Plasma::Delegate::emptyRect##
    {58, 1324, 1137},	// Plasma::Delegate::metaObject
    {58, 1391, 1147},	// Plasma::Delegate::paint###
    {58, 1453, 1143},	// Plasma::Delegate::qt_metacall$$?
    {58, 1455, 1138},	// Plasma::Delegate::qt_metacast$
    {58, 1466, 1150},	// Plasma::Delegate::rectAfterSubTitle##
    {58, 1468, 1149},	// Plasma::Delegate::rectAfterTitle##
    {58, 1555, 1146},	// Plasma::Delegate::roleMapping$
    {58, 1934, 1145},	// Plasma::Delegate::setRoleMapping$$
    {58, 2111, 1148},	// Plasma::Delegate::showToolTip
    {58, 2124, 1152},	// Plasma::Delegate::sizeHint##
    {58, 2148, 1156},	// Plasma::Delegate::staticMetaObject
    {58, 2223, 1153},	// Plasma::Delegate::tr$
    {58, 2224, 1139},	// Plasma::Delegate::tr$$
    {58, 2225, 1141},	// Plasma::Delegate::tr$$$
    {58, 2227, 1154},	// Plasma::Delegate::trUtf8$
    {58, 2228, 1140},	// Plasma::Delegate::trUtf8$$
    {58, 2229, 1142},	// Plasma::Delegate::trUtf8$$$
    {58, 2347, 1162},	// Plasma::Delegate::~Delegate
    {59, 21, 1205},	// Plasma::Dialog::All
    {59, 140, 1197},	// Plasma::Dialog::Dialog
    {59, 141, 1198},	// Plasma::Dialog::Dialog#
    {59, 142, 1170},	// Plasma::Dialog::Dialog#$
    {59, 336, 1200},	// Plasma::Dialog::NoCorner
    {59, 349, 1201},	// Plasma::Dialog::NorthEast
    {59, 350, 1203},	// Plasma::Dialog::NorthWest
    {59, 465, 1202},	// Plasma::Dialog::SouthEast
    {59, 466, 1204},	// Plasma::Dialog::SouthWest
    {59, 656, 1175},	// Plasma::Dialog::animatedHide$
    {59, 658, 1176},	// Plasma::Dialog::animatedShow$
    {59, 687, 1177},	// Plasma::Dialog::aspectRatioMode
    {59, 859, 1179},	// Plasma::Dialog::dialogResized
    {59, 861, 1180},	// Plasma::Dialog::dialogVisible$
    {59, 951, 1183},	// Plasma::Dialog::event#
    {59, 953, 1185},	// Plasma::Dialog::eventFilter##
    {59, 994, 1188},	// Plasma::Dialog::focusInEvent#
    {59, 1024, 1172},	// Plasma::Dialog::graphicsWidget
    {59, 1051, 1186},	// Plasma::Dialog::hideEvent#
    {59, 1079, 1194},	// Plasma::Dialog::inControlArea#
    {59, 1181, 1192},	// Plasma::Dialog::keyPressEvent#
    {59, 1324, 1163},	// Plasma::Dialog::metaObject
    {59, 1342, 1189},	// Plasma::Dialog::mouseMoveEvent#
    {59, 1344, 1190},	// Plasma::Dialog::mousePressEvent#
    {59, 1346, 1191},	// Plasma::Dialog::mouseReleaseEvent#
    {59, 1348, 1193},	// Plasma::Dialog::moveEvent#
    {59, 1399, 1182},	// Plasma::Dialog::paintEvent#
    {59, 1453, 1169},	// Plasma::Dialog::qt_metacall$$?
    {59, 1455, 1164},	// Plasma::Dialog::qt_metacast$
    {59, 1542, 1174},	// Plasma::Dialog::resizeCorners
    {59, 1544, 1184},	// Plasma::Dialog::resizeEvent#
    {59, 1634, 1178},	// Plasma::Dialog::setAspectRatioMode$
    {59, 1784, 1171},	// Plasma::Dialog::setGraphicsWidget#
    {59, 1928, 1173},	// Plasma::Dialog::setResizeHandleCorners$
    {59, 2104, 1187},	// Plasma::Dialog::showEvent#
    {59, 2148, 1199},	// Plasma::Dialog::staticMetaObject
    {59, 2174, 1181},	// Plasma::Dialog::syncToGraphicsWidget
    {59, 2223, 1195},	// Plasma::Dialog::tr$
    {59, 2224, 1165},	// Plasma::Dialog::tr$$
    {59, 2225, 1167},	// Plasma::Dialog::tr$$$
    {59, 2227, 1196},	// Plasma::Dialog::trUtf8$
    {59, 2228, 1166},	// Plasma::Dialog::trUtf8$$
    {59, 2229, 1168},	// Plasma::Dialog::trUtf8$$$
    {59, 2348, 1206},	// Plasma::Dialog::~Dialog
    {60, 60, 1250},	// Plasma::Extender::BottomUpStacked
    {60, 161, 1214},	// Plasma::Extender::Extender#
    {60, 330, 1249},	// Plasma::Extender::NoBorders
    {60, 509, 1251},	// Plasma::Extender::TopDownStacked
    {60, 671, 1225},	// Plasma::Extender::appearance
    {60, 675, 1227},	// Plasma::Extender::applet
    {60, 692, 1218},	// Plasma::Extender::attachedItems
    {60, 856, 1219},	// Plasma::Extender::detachedItems
    {60, 875, 1238},	// Plasma::Extender::dragEnterEvent#
    {60, 877, 1240},	// Plasma::Extender::dragLeaveEvent#
    {60, 879, 1239},	// Plasma::Extender::dragMoveEvent#
    {60, 905, 1241},	// Plasma::Extender::dropEvent#
    {60, 931, 1216},	// Plasma::Extender::emptyExtenderMessage
    {60, 938, 1234},	// Plasma::Extender::enabledBordersForItem#
    {60, 1014, 1244},	// Plasma::Extender::geometryChanged
    {60, 1026, 1221},	// Plasma::Extender::group$
    {60, 1028, 1226},	// Plasma::Extender::groups
    {60, 1040, 1222},	// Plasma::Extender::hasItem$
    {60, 1121, 1223},	// Plasma::Extender::isEmpty
    {60, 1151, 1220},	// Plasma::Extender::item$
    {60, 1155, 1247},	// Plasma::Extender::itemAddedEvent#
    {60, 1156, 1228},	// Plasma::Extender::itemAddedEvent##
    {60, 1160, 1242},	// Plasma::Extender::itemAttached#
    {60, 1162, 1235},	// Plasma::Extender::itemChange$#
    {60, 1164, 1243},	// Plasma::Extender::itemDetached#
    {60, 1168, 1230},	// Plasma::Extender::itemHoverEnterEvent#
    {60, 1170, 1232},	// Plasma::Extender::itemHoverLeaveEvent#
    {60, 1172, 1231},	// Plasma::Extender::itemHoverMoveEvent##
    {60, 1174, 1229},	// Plasma::Extender::itemRemovedEvent#
    {60, 1179, 1217},	// Plasma::Extender::items
    {60, 1324, 1207},	// Plasma::Extender::metaObject
    {60, 1344, 1237},	// Plasma::Extender::mousePressEvent#
    {60, 1453, 1213},	// Plasma::Extender::qt_metacall$$?
    {60, 1455, 1208},	// Plasma::Extender::qt_metacast$
    {60, 1544, 1236},	// Plasma::Extender::resizeEvent#
    {60, 1572, 1233},	// Plasma::Extender::saveState
    {60, 1626, 1224},	// Plasma::Extender::setAppearance$
    {60, 1758, 1215},	// Plasma::Extender::setEmptyExtenderMessage$
    {60, 2148, 1248},	// Plasma::Extender::staticMetaObject
    {60, 2223, 1245},	// Plasma::Extender::tr$
    {60, 2224, 1209},	// Plasma::Extender::tr$$
    {60, 2225, 1211},	// Plasma::Extender::tr$$$
    {60, 2227, 1246},	// Plasma::Extender::trUtf8$
    {60, 2228, 1210},	// Plasma::Extender::trUtf8$$
    {60, 2229, 1212},	// Plasma::Extender::trUtf8$$$
    {60, 2349, 1252},	// Plasma::Extender::~Extender
    {61, 163, 1278},	// Plasma::ExtenderGroup::ExtenderGroup#
    {61, 164, 1260},	// Plasma::ExtenderGroup::ExtenderGroup#$
    {61, 698, 1262},	// Plasma::ExtenderGroup::autoHide
    {61, 739, 1269},	// Plasma::ExtenderGroup::collapseGroup
    {61, 875, 1272},	// Plasma::ExtenderGroup::dragEnterEvent#
    {61, 877, 1274},	// Plasma::ExtenderGroup::dragLeaveEvent#
    {61, 879, 1273},	// Plasma::ExtenderGroup::dragMoveEvent#
    {61, 905, 1275},	// Plasma::ExtenderGroup::dropEvent#
    {61, 953, 1271},	// Plasma::ExtenderGroup::eventFilter##
    {61, 961, 1268},	// Plasma::ExtenderGroup::expandGroup
    {61, 1111, 1265},	// Plasma::ExtenderGroup::isAutoCollapse
    {61, 1124, 1264},	// Plasma::ExtenderGroup::isGroupCollapsed
    {61, 1179, 1261},	// Plasma::ExtenderGroup::items
    {61, 1324, 1253},	// Plasma::ExtenderGroup::metaObject
    {61, 1453, 1259},	// Plasma::ExtenderGroup::qt_metacall$$?
    {61, 1455, 1254},	// Plasma::ExtenderGroup::qt_metacast$
    {61, 1544, 1270},	// Plasma::ExtenderGroup::resizeEvent#
    {61, 1646, 1266},	// Plasma::ExtenderGroup::setAutoCollapse$
    {61, 1650, 1263},	// Plasma::ExtenderGroup::setAutoHide$
    {61, 1789, 1267},	// Plasma::ExtenderGroup::setGroupCollapsed$
    {61, 2148, 1279},	// Plasma::ExtenderGroup::staticMetaObject
    {61, 2223, 1276},	// Plasma::ExtenderGroup::tr$
    {61, 2224, 1255},	// Plasma::ExtenderGroup::tr$$
    {61, 2225, 1257},	// Plasma::ExtenderGroup::tr$$$
    {61, 2227, 1277},	// Plasma::ExtenderGroup::trUtf8$
    {61, 2228, 1256},	// Plasma::ExtenderGroup::trUtf8$$
    {61, 2229, 1258},	// Plasma::ExtenderGroup::trUtf8$$$
    {61, 2350, 1280},	// Plasma::ExtenderGroup::~ExtenderGroup
    {62, 166, 1330},	// Plasma::ExtenderItem::ExtenderItem#
    {62, 167, 1288},	// Plasma::ExtenderItem::ExtenderItem#$
    {62, 571, 1310},	// Plasma::ExtenderItem::action$
    {62, 589, 1309},	// Plasma::ExtenderItem::addAction$#
    {62, 697, 1306},	// Plasma::ExtenderItem::autoExpireDelay
    {62, 745, 1289},	// Plasma::ExtenderItem::config
    {62, 852, 1311},	// Plasma::ExtenderItem::destroy
    {62, 855, 1316},	// Plasma::ExtenderItem::destroyed#
    {62, 964, 1300},	// Plasma::ExtenderItem::extender
    {62, 1025, 1303},	// Plasma::ExtenderItem::group
    {62, 1049, 1315},	// Plasma::ExtenderItem::hideCloseButton
    {62, 1061, 1325},	// Plasma::ExtenderItem::hoverLeaveEvent#
    {62, 1063, 1324},	// Plasma::ExtenderItem::hoverMoveEvent#
    {62, 1065, 1298},	// Plasma::ExtenderItem::icon
    {62, 1117, 1308},	// Plasma::ExtenderItem::isCollapsed
    {62, 1119, 1307},	// Plasma::ExtenderItem::isDetached
    {62, 1123, 1304},	// Plasma::ExtenderItem::isGroup
    {62, 1324, 1281},	// Plasma::ExtenderItem::metaObject
    {62, 1340, 1321},	// Plasma::ExtenderItem::mouseDoubleClickEvent#
    {62, 1342, 1322},	// Plasma::ExtenderItem::mouseMoveEvent#
    {62, 1344, 1320},	// Plasma::ExtenderItem::mousePressEvent#
    {62, 1346, 1323},	// Plasma::ExtenderItem::mouseReleaseEvent#
    {62, 1348, 1318},	// Plasma::ExtenderItem::moveEvent#
    {62, 1359, 1295},	// Plasma::ExtenderItem::name
    {62, 1391, 1317},	// Plasma::ExtenderItem::paint###
    {62, 1453, 1287},	// Plasma::ExtenderItem::qt_metacall$$?
    {62, 1455, 1282},	// Plasma::ExtenderItem::qt_metacast$
    {62, 1544, 1319},	// Plasma::ExtenderItem::resizeEvent#
    {62, 1553, 1313},	// Plasma::ExtenderItem::returnToSource
    {62, 1581, 1326},	// Plasma::ExtenderItem::sceneEventFilter##
    {62, 1648, 1305},	// Plasma::ExtenderItem::setAutoExpireDelay$
    {62, 1680, 1312},	// Plasma::ExtenderItem::setCollapsed$
    {62, 1764, 1331},	// Plasma::ExtenderItem::setExtender#
    {62, 1765, 1299},	// Plasma::ExtenderItem::setExtender##
    {62, 1786, 1301},	// Plasma::ExtenderItem::setGroup#
    {62, 1787, 1302},	// Plasma::ExtenderItem::setGroup##
    {62, 1810, 1297},	// Plasma::ExtenderItem::setIcon#
    {62, 1811, 1296},	// Plasma::ExtenderItem::setIcon$
    {62, 1867, 1294},	// Plasma::ExtenderItem::setName$
    {62, 2025, 1292},	// Plasma::ExtenderItem::setTitle$
    {62, 2076, 1290},	// Plasma::ExtenderItem::setWidget#
    {62, 2094, 1314},	// Plasma::ExtenderItem::showCloseButton
    {62, 2126, 1327},	// Plasma::ExtenderItem::sizeHint$#
    {62, 2148, 1332},	// Plasma::ExtenderItem::staticMetaObject
    {62, 2210, 1293},	// Plasma::ExtenderItem::title
    {62, 2223, 1328},	// Plasma::ExtenderItem::tr$
    {62, 2224, 1283},	// Plasma::ExtenderItem::tr$$
    {62, 2225, 1285},	// Plasma::ExtenderItem::tr$$$
    {62, 2227, 1329},	// Plasma::ExtenderItem::trUtf8$
    {62, 2228, 1284},	// Plasma::ExtenderItem::trUtf8$$
    {62, 2229, 1286},	// Plasma::ExtenderItem::trUtf8$$$
    {62, 2307, 1291},	// Plasma::ExtenderItem::widget
    {62, 2351, 1333},	// Plasma::ExtenderItem::~ExtenderItem
    {63, 175, 1359},	// Plasma::FlashingLabel::FlashingLabel
    {63, 176, 1341},	// Plasma::FlashingLabel::FlashingLabel#
    {63, 700, 1352},	// Plasma::FlashingLabel::autohide
    {63, 742, 1345},	// Plasma::FlashingLabel::color
    {63, 906, 1347},	// Plasma::FlashingLabel::duration
    {63, 968, 1355},	// Plasma::FlashingLabel::fadeIn
    {63, 969, 1356},	// Plasma::FlashingLabel::fadeOut
    {63, 986, 1363},	// Plasma::FlashingLabel::flash#
    {63, 987, 1364},	// Plasma::FlashingLabel::flash#$
    {63, 988, 1350},	// Plasma::FlashingLabel::flash#$$
    {63, 989, 1361},	// Plasma::FlashingLabel::flash$
    {63, 990, 1362},	// Plasma::FlashingLabel::flash$$
    {63, 991, 1349},	// Plasma::FlashingLabel::flash$$#
    {63, 1000, 1343},	// Plasma::FlashingLabel::font
    {63, 1185, 1354},	// Plasma::FlashingLabel::kill
    {63, 1324, 1334},	// Plasma::FlashingLabel::metaObject
    {63, 1390, 1360},	// Plasma::FlashingLabel::paint##
    {63, 1391, 1342},	// Plasma::FlashingLabel::paint###
    {63, 1453, 1340},	// Plasma::FlashingLabel::qt_metacall$$?
    {63, 1455, 1335},	// Plasma::FlashingLabel::qt_metacast$
    {63, 1654, 1351},	// Plasma::FlashingLabel::setAutohide$
    {63, 1682, 1346},	// Plasma::FlashingLabel::setColor#
    {63, 1747, 1348},	// Plasma::FlashingLabel::setDuration$
    {63, 1771, 1344},	// Plasma::FlashingLabel::setFont#
    {63, 2126, 1353},	// Plasma::FlashingLabel::sizeHint$#
    {63, 2148, 1365},	// Plasma::FlashingLabel::staticMetaObject
    {63, 2223, 1357},	// Plasma::FlashingLabel::tr$
    {63, 2224, 1336},	// Plasma::FlashingLabel::tr$$
    {63, 2225, 1338},	// Plasma::FlashingLabel::tr$$$
    {63, 2227, 1358},	// Plasma::FlashingLabel::trUtf8$
    {63, 2228, 1337},	// Plasma::FlashingLabel::trUtf8$$
    {63, 2229, 1339},	// Plasma::FlashingLabel::trUtf8$$$
    {63, 2352, 1366},	// Plasma::FlashingLabel::~FlashingLabel
    {64, 182, 1392},	// Plasma::Frame::Frame
    {64, 183, 1374},	// Plasma::Frame::Frame#
    {64, 373, 1395},	// Plasma::Frame::Plain
    {64, 403, 1396},	// Plasma::Frame::Raised
    {64, 480, 1397},	// Plasma::Frame::Sunken
    {64, 719, 1389},	// Plasma::Frame::changeEvent#
    {64, 936, 1378},	// Plasma::Frame::enabledBorders
    {64, 1009, 1376},	// Plasma::Frame::frameShadow
    {64, 1069, 1382},	// Plasma::Frame::image
    {64, 1324, 1367},	// Plasma::Frame::metaObject
    {64, 1361, 1385},	// Plasma::Frame::nativeWidget
    {64, 1390, 1393},	// Plasma::Frame::paint##
    {64, 1391, 1386},	// Plasma::Frame::paint###
    {64, 1453, 1373},	// Plasma::Frame::qt_metacall$$?
    {64, 1455, 1368},	// Plasma::Frame::qt_metacast$
    {64, 1544, 1387},	// Plasma::Frame::resizeEvent#
    {64, 1762, 1377},	// Plasma::Frame::setEnabledBorders$
    {64, 1778, 1375},	// Plasma::Frame::setFrameShadow$
    {64, 1818, 1381},	// Plasma::Frame::setImage$
    {64, 1983, 1383},	// Plasma::Frame::setStyleSheet$
    {64, 2013, 1379},	// Plasma::Frame::setText$
    {64, 2126, 1388},	// Plasma::Frame::sizeHint$#
    {64, 2148, 1394},	// Plasma::Frame::staticMetaObject
    {64, 2161, 1384},	// Plasma::Frame::styleSheet
    {64, 2194, 1380},	// Plasma::Frame::text
    {64, 2223, 1390},	// Plasma::Frame::tr$
    {64, 2224, 1369},	// Plasma::Frame::tr$$
    {64, 2225, 1371},	// Plasma::Frame::tr$$$
    {64, 2227, 1391},	// Plasma::Frame::trUtf8$
    {64, 2228, 1370},	// Plasma::Frame::trUtf8$$
    {64, 2229, 1372},	// Plasma::Frame::trUtf8$$$
    {64, 2353, 1398},	// Plasma::Frame::~Frame
    {65, 22, 1439},	// Plasma::FrameSvg::AllBorders
    {65, 54, 1436},	// Plasma::FrameSvg::BottomBorder
    {65, 184, 1430},	// Plasma::FrameSvg::FrameSvg
    {65, 185, 1406},	// Plasma::FrameSvg::FrameSvg#
    {65, 295, 1437},	// Plasma::FrameSvg::LeftBorder
    {65, 329, 1434},	// Plasma::FrameSvg::NoBorder
    {65, 406, 1438},	// Plasma::FrameSvg::RightBorder
    {65, 508, 1435},	// Plasma::FrameSvg::TopBorder
    {65, 654, 1421},	// Plasma::FrameSvg::alphaMask
    {65, 713, 1423},	// Plasma::FrameSvg::cacheAllRenderedFrames
    {65, 728, 1424},	// Plasma::FrameSvg::clearCache
    {65, 789, 1414},	// Plasma::FrameSvg::contentsRect
    {65, 936, 1409},	// Plasma::FrameSvg::enabledBorders
    {65, 1008, 1425},	// Plasma::FrameSvg::framePixmap
    {65, 1010, 1411},	// Plasma::FrameSvg::frameSize
    {65, 1017, 1413},	// Plasma::FrameSvg::getMargins$$$$
    {65, 1035, -46},	// Plasma::FrameSvg::hasElementPrefix$
    {65, 1309, 1412},	// Plasma::FrameSvg::marginSize$
    {65, 1310, 1420},	// Plasma::FrameSvg::mask
    {65, 1324, 1399},	// Plasma::FrameSvg::metaObject
    {65, 1401, 1432},	// Plasma::FrameSvg::paintFrame#
    {65, 1402, -49},	// Plasma::FrameSvg::paintFrame##
    {65, 1403, 1426},	// Plasma::FrameSvg::paintFrame###
    {65, 1441, 1419},	// Plasma::FrameSvg::prefix
    {65, 1453, 1405},	// Plasma::FrameSvg::qt_metacall$$?
    {65, 1455, 1400},	// Plasma::FrameSvg::qt_metacast$
    {65, 1546, 1410},	// Plasma::FrameSvg::resizeFrame#
    {65, 1664, 1422},	// Plasma::FrameSvg::setCacheAllRenderedFrames$
    {65, 1754, -52},	// Plasma::FrameSvg::setElementPrefix$
    {65, 1762, 1408},	// Plasma::FrameSvg::setEnabledBorders$
    {65, 1821, 1407},	// Plasma::FrameSvg::setImagePath$
    {65, 2148, 1433},	// Plasma::FrameSvg::staticMetaObject
    {65, 2223, 1428},	// Plasma::FrameSvg::tr$
    {65, 2224, 1401},	// Plasma::FrameSvg::tr$$
    {65, 2225, 1403},	// Plasma::FrameSvg::tr$$$
    {65, 2227, 1429},	// Plasma::FrameSvg::trUtf8$
    {65, 2228, 1402},	// Plasma::FrameSvg::trUtf8$$
    {65, 2229, 1404},	// Plasma::FrameSvg::trUtf8$$$
    {65, 2354, 1440},	// Plasma::FrameSvg::~FrameSvg
    {66, 189, 1448},	// Plasma::GLApplet::GLApplet#$$
    {66, 190, 1449},	// Plasma::GLApplet::GLApplet#?
    {66, 710, 1456},	// Plasma::GLApplet::bindTexture#
    {66, 711, 1450},	// Plasma::GLApplet::bindTexture#$
    {66, 848, 1451},	// Plasma::GLApplet::deleteTexture$
    {66, 1301, 1453},	// Plasma::GLApplet::makeCurrent
    {66, 1324, 1441},	// Plasma::GLApplet::metaObject
    {66, 1405, 1452},	// Plasma::GLApplet::paintGLInterface##
    {66, 1453, 1447},	// Plasma::GLApplet::qt_metacall$$?
    {66, 1455, 1442},	// Plasma::GLApplet::qt_metacast$
    {66, 2148, 1457},	// Plasma::GLApplet::staticMetaObject
    {66, 2223, 1454},	// Plasma::GLApplet::tr$
    {66, 2224, 1443},	// Plasma::GLApplet::tr$$
    {66, 2225, 1445},	// Plasma::GLApplet::tr$$$
    {66, 2227, 1455},	// Plasma::GLApplet::trUtf8$
    {66, 2228, 1444},	// Plasma::GLApplet::trUtf8$$
    {66, 2229, 1446},	// Plasma::GLApplet::trUtf8$$$
    {66, 2355, 1458},	// Plasma::GLApplet::~GLApplet
    {67, 192, 1476},	// Plasma::GroupBox::GroupBox
    {67, 193, 1466},	// Plasma::GroupBox::GroupBox#
    {67, 719, 1473},	// Plasma::GroupBox::changeEvent#
    {67, 1324, 1459},	// Plasma::GroupBox::metaObject
    {67, 1361, 1471},	// Plasma::GroupBox::nativeWidget
    {67, 1453, 1465},	// Plasma::GroupBox::qt_metacall$$?
    {67, 1455, 1460},	// Plasma::GroupBox::qt_metacast$
    {67, 1544, 1472},	// Plasma::GroupBox::resizeEvent#
    {67, 1983, 1469},	// Plasma::GroupBox::setStyleSheet$
    {67, 2013, 1467},	// Plasma::GroupBox::setText$
    {67, 2148, 1477},	// Plasma::GroupBox::staticMetaObject
    {67, 2161, 1470},	// Plasma::GroupBox::styleSheet
    {67, 2194, 1468},	// Plasma::GroupBox::text
    {67, 2223, 1474},	// Plasma::GroupBox::tr$
    {67, 2224, 1461},	// Plasma::GroupBox::tr$$
    {67, 2225, 1463},	// Plasma::GroupBox::tr$$$
    {67, 2227, 1475},	// Plasma::GroupBox::trUtf8$
    {67, 2228, 1462},	// Plasma::GroupBox::trUtf8$$
    {67, 2229, 1464},	// Plasma::GroupBox::trUtf8$$$
    {67, 2356, 1478},	// Plasma::GroupBox::~GroupBox
    {68, 205, 1542},	// Plasma::IconWidget::IconWidget
    {68, 206, 1486},	// Plasma::IconWidget::IconWidget#
    {68, 207, 1544},	// Plasma::IconWidget::IconWidget#$
    {68, 208, 1488},	// Plasma::IconWidget::IconWidget#$#
    {68, 209, 1543},	// Plasma::IconWidget::IconWidget$
    {68, 210, 1487},	// Plasma::IconWidget::IconWidget$#
    {68, 570, 1510},	// Plasma::IconWidget::action
    {68, 582, 1528},	// Plasma::IconWidget::activated
    {68, 613, 1507},	// Plasma::IconWidget::addIconAction#
    {68, 719, 1538},	// Plasma::IconWidget::changeEvent#
    {68, 720, 1529},	// Plasma::IconWidget::changed
    {68, 733, 1526},	// Plasma::IconWidget::clicked
    {68, 873, 1527},	// Plasma::IconWidget::doubleClicked
    {68, 882, 1539},	// Plasma::IconWidget::drawActionButtonBase##$
    {68, 885, 1519},	// Plasma::IconWidget::drawBackground
    {68, 1059, 1535},	// Plasma::IconWidget::hoverEnterEvent#
    {68, 1061, 1536},	// Plasma::IconWidget::hoverLeaveEvent#
    {68, 1065, 1495},	// Plasma::IconWidget::icon
    {68, 1066, 1500},	// Plasma::IconWidget::iconSize
    {68, 1080, 1493},	// Plasma::IconWidget::infoText
    {68, 1108, 1513},	// Plasma::IconWidget::invertLayout$
    {68, 1109, 1514},	// Plasma::IconWidget::invertedLayout
    {68, 1120, 1530},	// Plasma::IconWidget::isDown
    {68, 1320, 1506},	// Plasma::IconWidget::maximumIconSize
    {68, 1324, 1479},	// Plasma::IconWidget::metaObject
    {68, 1335, 1504},	// Plasma::IconWidget::minimumIconSize
    {68, 1340, 1534},	// Plasma::IconWidget::mouseDoubleClickEvent#
    {68, 1342, 1532},	// Plasma::IconWidget::mouseMoveEvent#
    {68, 1344, 1531},	// Plasma::IconWidget::mousePressEvent#
    {68, 1346, 1533},	// Plasma::IconWidget::mouseReleaseEvent#
    {68, 1366, 1516},	// Plasma::IconWidget::numDisplayLines
    {68, 1382, 1512},	// Plasma::IconWidget::orientation
    {68, 1390, 1547},	// Plasma::IconWidget::paint##
    {68, 1391, 1523},	// Plasma::IconWidget::paint###
    {68, 1440, 1502},	// Plasma::IconWidget::preferredIconSize
    {68, 1444, 1525},	// Plasma::IconWidget::pressed$
    {68, 1453, 1485},	// Plasma::IconWidget::qt_metacall$$?
    {68, 1455, 1480},	// Plasma::IconWidget::qt_metacast$
    {68, 1505, 1508},	// Plasma::IconWidget::removeIconAction#
    {68, 1581, 1537},	// Plasma::IconWidget::sceneEventFilter##
    {68, 1616, 1509},	// Plasma::IconWidget::setAction#
    {68, 1743, 1518},	// Plasma::IconWidget::setDrawBackground$
    {68, 1810, 1496},	// Plasma::IconWidget::setIcon#
    {68, 1811, 1499},	// Plasma::IconWidget::setIcon$
    {68, 1827, 1494},	// Plasma::IconWidget::setInfoText$
    {68, 1852, 1505},	// Plasma::IconWidget::setMaximumIconSize#
    {68, 1860, 1503},	// Plasma::IconWidget::setMinimumIconSize#
    {68, 1873, 1517},	// Plasma::IconWidget::setNumDisplayLines$
    {68, 1879, 1511},	// Plasma::IconWidget::setOrientation$
    {68, 1904, 1501},	// Plasma::IconWidget::setPreferredIconSize#
    {68, 1905, 1546},	// Plasma::IconWidget::setPressed
    {68, 1906, 1521},	// Plasma::IconWidget::setPressed$
    {68, 1990, 1545},	// Plasma::IconWidget::setSvg$
    {68, 1991, 1491},	// Plasma::IconWidget::setSvg$$
    {68, 2013, 1490},	// Plasma::IconWidget::setText$
    {68, 2015, 1498},	// Plasma::IconWidget::setTextBackgroundColor#
    {68, 2036, 1522},	// Plasma::IconWidget::setUnpressed
    {68, 2087, 1520},	// Plasma::IconWidget::shape
    {68, 2122, 1515},	// Plasma::IconWidget::sizeFromIconSize$
    {68, 2125, 1548},	// Plasma::IconWidget::sizeHint$
    {68, 2126, 1524},	// Plasma::IconWidget::sizeHint$#
    {68, 2148, 1549},	// Plasma::IconWidget::staticMetaObject
    {68, 2167, 1492},	// Plasma::IconWidget::svg
    {68, 2194, 1489},	// Plasma::IconWidget::text
    {68, 2195, 1497},	// Plasma::IconWidget::textBackgroundColor
    {68, 2223, 1540},	// Plasma::IconWidget::tr$
    {68, 2224, 1481},	// Plasma::IconWidget::tr$$
    {68, 2225, 1483},	// Plasma::IconWidget::tr$$$
    {68, 2227, 1541},	// Plasma::IconWidget::trUtf8$
    {68, 2228, 1482},	// Plasma::IconWidget::trUtf8$$
    {68, 2229, 1484},	// Plasma::IconWidget::trUtf8$$$
    {68, 2357, 1550},	// Plasma::IconWidget::~IconWidget
    {69, 221, 1574},	// Plasma::ItemBackground::ItemBackground
    {69, 222, 1558},	// Plasma::ItemBackground::ItemBackground#
    {69, 670, 1565},	// Plasma::ItemBackground::animationStep$
    {69, 672, 1564},	// Plasma::ItemBackground::appearanceChanged
    {69, 953, 1569},	// Plasma::ItemBackground::eventFilter##
    {69, 1162, 1568},	// Plasma::ItemBackground::itemChange$#
    {69, 1324, 1551},	// Plasma::ItemBackground::metaObject
    {69, 1391, 1563},	// Plasma::ItemBackground::paint###
    {69, 1453, 1557},	// Plasma::ItemBackground::qt_metacall$$?
    {69, 1455, 1552},	// Plasma::ItemBackground::qt_metacast$
    {69, 1544, 1571},	// Plasma::ItemBackground::resizeEvent#
    {69, 1581, 1570},	// Plasma::ItemBackground::sceneEventFilter##
    {69, 2003, 1559},	// Plasma::ItemBackground::setTarget#
    {69, 2005, 1561},	// Plasma::ItemBackground::setTargetItem#
    {69, 2148, 1575},	// Plasma::ItemBackground::staticMetaObject
    {69, 2185, 1560},	// Plasma::ItemBackground::target
    {69, 2186, 1562},	// Plasma::ItemBackground::targetItem
    {69, 2188, 1567},	// Plasma::ItemBackground::targetItemReached#
    {69, 2190, 1566},	// Plasma::ItemBackground::targetReached#
    {69, 2223, 1572},	// Plasma::ItemBackground::tr$
    {69, 2224, 1553},	// Plasma::ItemBackground::tr$$
    {69, 2225, 1555},	// Plasma::ItemBackground::tr$$$
    {69, 2227, 1573},	// Plasma::ItemBackground::trUtf8$
    {69, 2228, 1554},	// Plasma::ItemBackground::trUtf8$$
    {69, 2229, 1556},	// Plasma::ItemBackground::trUtf8$$$
    {69, 2358, 1576},	// Plasma::ItemBackground::~ItemBackground
    {70, 291, 1614},	// Plasma::Label::Label
    {70, 292, 1584},	// Plasma::Label::Label#
    {70, 651, 1590},	// Plasma::Label::alignment
    {70, 719, 1607},	// Plasma::Label::changeEvent#
    {70, 798, 1610},	// Plasma::Label::contextMenuEvent#
    {70, 843, 1602},	// Plasma::Label::dataUpdated$?
    {70, 951, 1608},	// Plasma::Label::event#
    {70, 1043, 1592},	// Plasma::Label::hasScaledContents
    {70, 1069, 1588},	// Plasma::Label::image
    {70, 1162, 1609},	// Plasma::Label::itemChange$#
    {70, 1212, 1600},	// Plasma::Label::linkActivated$
    {70, 1215, 1601},	// Plasma::Label::linkHovered$
    {70, 1324, 1577},	// Plasma::Label::metaObject
    {70, 1342, 1605},	// Plasma::Label::mouseMoveEvent#
    {70, 1344, 1604},	// Plasma::Label::mousePressEvent#
    {70, 1361, 1599},	// Plasma::Label::nativeWidget
    {70, 1391, 1606},	// Plasma::Label::paint###
    {70, 1453, 1583},	// Plasma::Label::qt_metacall$$?
    {70, 1455, 1578},	// Plasma::Label::qt_metacast$
    {70, 1544, 1603},	// Plasma::Label::resizeEvent#
    {70, 1620, 1589},	// Plasma::Label::setAlignment$
    {70, 1818, 1587},	// Plasma::Label::setImage$
    {70, 1940, 1591},	// Plasma::Label::setScaledContents$
    {70, 1983, 1597},	// Plasma::Label::setStyleSheet$
    {70, 2013, 1585},	// Plasma::Label::setText$
    {70, 2017, 1593},	// Plasma::Label::setTextSelectable$
    {70, 2082, 1595},	// Plasma::Label::setWordWrap$
    {70, 2126, 1611},	// Plasma::Label::sizeHint$#
    {70, 2148, 1615},	// Plasma::Label::staticMetaObject
    {70, 2161, 1598},	// Plasma::Label::styleSheet
    {70, 2194, 1586},	// Plasma::Label::text
    {70, 2200, 1594},	// Plasma::Label::textSelectable
    {70, 2223, 1612},	// Plasma::Label::tr$
    {70, 2224, 1579},	// Plasma::Label::tr$$
    {70, 2225, 1581},	// Plasma::Label::tr$$$
    {70, 2227, 1613},	// Plasma::Label::trUtf8$
    {70, 2228, 1580},	// Plasma::Label::trUtf8$$
    {70, 2229, 1582},	// Plasma::Label::trUtf8$$$
    {70, 2316, 1596},	// Plasma::Label::wordWrap
    {70, 2359, 1616},	// Plasma::Label::~Label
    {71, 301, 1647},	// Plasma::LineEdit::LineEdit
    {71, 302, 1624},	// Plasma::LineEdit::LineEdit#
    {71, 719, 1637},	// Plasma::LineEdit::changeEvent#
    {71, 732, 1630},	// Plasma::LineEdit::clickMessage
    {71, 908, 1641},	// Plasma::LineEdit::editingFinished
    {71, 998, 1640},	// Plasma::LineEdit::focusOutEvent#
    {71, 1059, 1635},	// Plasma::LineEdit::hoverEnterEvent#
    {71, 1061, 1636},	// Plasma::LineEdit::hoverLeaveEvent#
    {71, 1115, 1628},	// Plasma::LineEdit::isClearButtonShown
    {71, 1324, 1617},	// Plasma::LineEdit::metaObject
    {71, 1344, 1639},	// Plasma::LineEdit::mousePressEvent#
    {71, 1361, 1634},	// Plasma::LineEdit::nativeWidget
    {71, 1391, 1638},	// Plasma::LineEdit::paint###
    {71, 1453, 1623},	// Plasma::LineEdit::qt_metacall$$?
    {71, 1455, 1618},	// Plasma::LineEdit::qt_metacast$
    {71, 1552, 1642},	// Plasma::LineEdit::returnPressed
    {71, 1674, 1627},	// Plasma::LineEdit::setClearButtonShown$
    {71, 1676, 1629},	// Plasma::LineEdit::setClickMessage$
    {71, 1869, 1633},	// Plasma::LineEdit::setNativeWidget#
    {71, 1983, 1631},	// Plasma::LineEdit::setStyleSheet$
    {71, 2013, 1625},	// Plasma::LineEdit::setText$
    {71, 2148, 1648},	// Plasma::LineEdit::staticMetaObject
    {71, 2161, 1632},	// Plasma::LineEdit::styleSheet
    {71, 2194, 1626},	// Plasma::LineEdit::text
    {71, 2197, 1644},	// Plasma::LineEdit::textChanged$
    {71, 2199, 1643},	// Plasma::LineEdit::textEdited$
    {71, 2223, 1645},	// Plasma::LineEdit::tr$
    {71, 2224, 1619},	// Plasma::LineEdit::tr$$
    {71, 2225, 1621},	// Plasma::LineEdit::tr$$$
    {71, 2227, 1646},	// Plasma::LineEdit::trUtf8$
    {71, 2228, 1620},	// Plasma::LineEdit::trUtf8$$
    {71, 2229, 1622},	// Plasma::LineEdit::trUtf8$$$
    {71, 2360, 1649},	// Plasma::LineEdit::~LineEdit
    {72, 28, 1688},	// Plasma::Meter::AnalogMeter
    {72, 52, 1686},	// Plasma::Meter::BarMeterHorizontal
    {72, 53, 1687},	// Plasma::Meter::BarMeterVertical
    {72, 312, 1682},	// Plasma::Meter::Meter
    {72, 313, 1657},	// Plasma::Meter::Meter#
    {72, 843, 1674},	// Plasma::Meter::dataUpdated$?
    {72, 1189, 1666},	// Plasma::Meter::label$
    {72, 1191, 1672},	// Plasma::Meter::labelAlignment$
    {72, 1193, 1668},	// Plasma::Meter::labelColor$
    {72, 1195, 1670},	// Plasma::Meter::labelFont$
    {72, 1197, 1673},	// Plasma::Meter::labelRect$
    {72, 1319, 1658},	// Plasma::Meter::maximum
    {72, 1324, 1650},	// Plasma::Meter::metaObject
    {72, 1326, 1664},	// Plasma::Meter::meterType
    {72, 1334, 1659},	// Plasma::Meter::minimum
    {72, 1390, 1683},	// Plasma::Meter::paint##
    {72, 1391, 1678},	// Plasma::Meter::paint###
    {72, 1453, 1656},	// Plasma::Meter::qt_metacall$$?
    {72, 1455, 1651},	// Plasma::Meter::qt_metacast$
    {72, 1834, 1665},	// Plasma::Meter::setLabel$$
    {72, 1836, 1671},	// Plasma::Meter::setLabelAlignment$$
    {72, 1838, 1667},	// Plasma::Meter::setLabelColor$#
    {72, 1840, 1669},	// Plasma::Meter::setLabelFont$#
    {72, 1850, 1675},	// Plasma::Meter::setMaximum$
    {72, 1854, 1663},	// Plasma::Meter::setMeterType$
    {72, 1858, 1676},	// Plasma::Meter::setMinimum$
    {72, 1990, 1661},	// Plasma::Meter::setSvg$
    {72, 2051, 1677},	// Plasma::Meter::setValue$
    {72, 2125, 1684},	// Plasma::Meter::sizeHint$
    {72, 2126, 1679},	// Plasma::Meter::sizeHint$#
    {72, 2148, 1685},	// Plasma::Meter::staticMetaObject
    {72, 2167, 1662},	// Plasma::Meter::svg
    {72, 2223, 1680},	// Plasma::Meter::tr$
    {72, 2224, 1652},	// Plasma::Meter::tr$$
    {72, 2225, 1654},	// Plasma::Meter::tr$$$
    {72, 2227, 1681},	// Plasma::Meter::trUtf8$
    {72, 2228, 1653},	// Plasma::Meter::trUtf8$$
    {72, 2229, 1655},	// Plasma::Meter::trUtf8$$$
    {72, 2276, 1660},	// Plasma::Meter::value
    {72, 2361, 1689},	// Plasma::Meter::~Meter
    {73, 354, 1690},	// Plasma::Package::Package$$?
    {73, 355, 1691},	// Plasma::Package::Package$?
    {73, 787, 1700},	// Plasma::Package::contentsHash
    {73, 818, 1707},	// Plasma::Package::createPackage#$$
    {73, 819, 1706},	// Plasma::Package::createPackage#$$$
    {73, 948, 1695},	// Plasma::Package::entryList$
    {73, 971, 1694},	// Plasma::Package::filePath$
    {73, 972, 1693},	// Plasma::Package::filePath$$
    {73, 1104, 1703},	// Plasma::Package::installPackage$$$
    {73, 1146, 1692},	// Plasma::Package::isValid
    {73, 1246, 1701},	// Plasma::Package::listInstalled$
    {73, 1248, 1702},	// Plasma::Package::listInstalledPaths$
    {73, 1325, 1696},	// Plasma::Package::metadata
    {73, 1416, 1698},	// Plasma::Package::path
    {73, 1473, 1705},	// Plasma::Package::registerPackage#$
    {73, 1889, 1697},	// Plasma::Package::setPath$
    {73, 2159, 1699},	// Plasma::Package::structure
    {73, 2236, 1704},	// Plasma::Package::uninstallPackage$$$
    {73, 2362, 1708},	// Plasma::Package::~Package
    {74, 356, 1749},	// Plasma::PackageMetadata::PackageMetadata
    {74, 357, 1710},	// Plasma::PackageMetadata::PackageMetadata#
    {74, 358, 1709},	// Plasma::PackageMetadata::PackageMetadata$
    {74, 686, 1724},	// Plasma::PackageMetadata::application
    {74, 694, 1719},	// Plasma::PackageMetadata::author
    {74, 715, 1725},	// Plasma::PackageMetadata::category
    {74, 849, 1716},	// Plasma::PackageMetadata::description
    {74, 930, 1720},	// Plasma::PackageMetadata::email
    {74, 1065, 1733},	// Plasma::PackageMetadata::icon
    {74, 1075, 1728},	// Plasma::PackageMetadata::implementationApi
    {74, 1146, 1712},	// Plasma::PackageMetadata::isValid
    {74, 1184, 1717},	// Plasma::PackageMetadata::keywords
    {74, 1210, 1723},	// Plasma::PackageMetadata::license
    {74, 1359, 1715},	// Plasma::PackageMetadata::name
    {74, 1379, 1711},	// Plasma::PackageMetadata::operator=#
    {74, 1428, 1727},	// Plasma::PackageMetadata::pluginName
    {74, 1462, 1714},	// Plasma::PackageMetadata::read$
    {74, 1492, 1729},	// Plasma::PackageMetadata::remoteLocation
    {74, 1537, 1726},	// Plasma::PackageMetadata::requiredVersion
    {74, 1614, 1718},	// Plasma::PackageMetadata::serviceType
    {74, 1632, 1742},	// Plasma::PackageMetadata::setApplication$
    {74, 1640, 1737},	// Plasma::PackageMetadata::setAuthor$
    {74, 1668, 1743},	// Plasma::PackageMetadata::setCategory$
    {74, 1733, 1732},	// Plasma::PackageMetadata::setDescription$
    {74, 1756, 1738},	// Plasma::PackageMetadata::setEmail$
    {74, 1811, 1734},	// Plasma::PackageMetadata::setIcon$
    {74, 1825, 1748},	// Plasma::PackageMetadata::setImplementationApi$
    {74, 1831, 1735},	// Plasma::PackageMetadata::setKeywords?
    {74, 1842, 1741},	// Plasma::PackageMetadata::setLicense$
    {74, 1867, 1731},	// Plasma::PackageMetadata::setName$
    {74, 1895, 1747},	// Plasma::PackageMetadata::setPluginName$
    {74, 1920, 1745},	// Plasma::PackageMetadata::setRemoteLocation#
    {74, 1926, 1744},	// Plasma::PackageMetadata::setRequiredVersion$
    {74, 1953, 1736},	// Plasma::PackageMetadata::setServiceType$
    {74, 2033, 1746},	// Plasma::PackageMetadata::setType$
    {74, 2053, 1739},	// Plasma::PackageMetadata::setVersion$
    {74, 2074, 1740},	// Plasma::PackageMetadata::setWebsite$
    {74, 2231, 1730},	// Plasma::PackageMetadata::type
    {74, 2279, 1721},	// Plasma::PackageMetadata::version
    {74, 2304, 1722},	// Plasma::PackageMetadata::website
    {74, 2319, 1713},	// Plasma::PackageMetadata::write$
    {74, 2363, 1750},	// Plasma::PackageMetadata::~PackageMetadata
    {75, 359, 1796},	// Plasma::PackageStructure::PackageStructure
    {75, 360, 1797},	// Plasma::PackageStructure::PackageStructure#
    {75, 361, 1758},	// Plasma::PackageStructure::PackageStructure#$
    {75, 607, 1766},	// Plasma::PackageStructure::addDirectoryDefinition$$$
    {75, 611, 1767},	// Plasma::PackageStructure::addFileDefinition$$$
    {75, 652, 1788},	// Plasma::PackageStructure::allowExternalPaths
    {75, 788, 1783},	// Plasma::PackageStructure::contentsPrefix
    {75, 815, 1798},	// Plasma::PackageStructure::createNewWidgetBrowser
    {75, 816, 1782},	// Plasma::PackageStructure::createNewWidgetBrowser#
    {75, 844, 1784},	// Plasma::PackageStructure::defaultPackageRoot
    {75, 862, 1762},	// Plasma::PackageStructure::directories
    {75, 948, 1769},	// Plasma::PackageStructure::entryList$
    {75, 973, 1764},	// Plasma::PackageStructure::files
    {75, 1103, 1780},	// Plasma::PackageStructure::installPackage$$
    {75, 1139, 1772},	// Plasma::PackageStructure::isRequired$
    {75, 1263, 1760},	// Plasma::PackageStructure::load$
    {75, 1324, 1751},	// Plasma::PackageStructure::metaObject
    {75, 1325, 1787},	// Plasma::PackageStructure::metadata
    {75, 1333, 1775},	// Plasma::PackageStructure::mimetypes$
    {75, 1360, 1770},	// Plasma::PackageStructure::name$
    {75, 1364, 1789},	// Plasma::PackageStructure::newWidgetBrowserFinished
    {75, 1379, 1759},	// Plasma::PackageStructure::operator=#
    {75, 1416, 1777},	// Plasma::PackageStructure::path
    {75, 1417, 1768},	// Plasma::PackageStructure::path$
    {75, 1418, 1793},	// Plasma::PackageStructure::pathChanged
    {75, 1453, 1757},	// Plasma::PackageStructure::qt_metacall$$?
    {75, 1455, 1752},	// Plasma::PackageStructure::qt_metacast$
    {75, 1461, 1778},	// Plasma::PackageStructure::read#
    {75, 1535, 1763},	// Plasma::PackageStructure::requiredDirectories
    {75, 1536, 1765},	// Plasma::PackageStructure::requiredFiles
    {75, 1608, 1785},	// Plasma::PackageStructure::servicePrefix
    {75, 1622, 1790},	// Plasma::PackageStructure::setAllowExternalPaths$
    {75, 1699, 1791},	// Plasma::PackageStructure::setContentsPrefix$
    {75, 1724, 1773},	// Plasma::PackageStructure::setDefaultMimetypes?
    {75, 1726, 1792},	// Plasma::PackageStructure::setDefaultPackageRoot$
    {75, 1856, 1774},	// Plasma::PackageStructure::setMimetypes$?
    {75, 1889, 1776},	// Plasma::PackageStructure::setPath$
    {75, 1924, 1771},	// Plasma::PackageStructure::setRequired$$
    {75, 1951, 1786},	// Plasma::PackageStructure::setServicePrefix$
    {75, 2148, 1799},	// Plasma::PackageStructure::staticMetaObject
    {75, 2223, 1794},	// Plasma::PackageStructure::tr$
    {75, 2224, 1753},	// Plasma::PackageStructure::tr$$
    {75, 2225, 1755},	// Plasma::PackageStructure::tr$$$
    {75, 2227, 1795},	// Plasma::PackageStructure::trUtf8$
    {75, 2228, 1754},	// Plasma::PackageStructure::trUtf8$$
    {75, 2229, 1756},	// Plasma::PackageStructure::trUtf8$$$
    {75, 2231, 1761},	// Plasma::PackageStructure::type
    {75, 2235, 1781},	// Plasma::PackageStructure::uninstallPackage$$
    {75, 2318, 1779},	// Plasma::PackageStructure::write#
    {75, 2364, 1800},	// Plasma::PackageStructure::~PackageStructure
    {76, 377, 1801},	// Plasma::PlotColor::PlotColor
    {76, 378, 1802},	// Plasma::PlotColor::PlotColor#
    {76, 742, 1803},	// Plasma::PlotColor::color
    {76, 838, 1805},	// Plasma::PlotColor::darkColor
    {76, 1682, 1804},	// Plasma::PlotColor::setColor#
    {76, 1715, 1806},	// Plasma::PlotColor::setDarkColor#
    {76, 2365, 1807},	// Plasma::PlotColor::~PlotColor
    {77, 380, 1815},	// Plasma::PopupApplet::PopupApplet#?
    {77, 875, 1835},	// Plasma::PopupApplet::dragEnterEvent#
    {77, 877, 1836},	// Plasma::PopupApplet::dragLeaveEvent#
    {77, 905, 1837},	// Plasma::PopupApplet::dropEvent#
    {77, 953, 1834},	// Plasma::PopupApplet::eventFilter##
    {77, 1024, 1821},	// Plasma::PopupApplet::graphicsWidget
    {77, 1052, 1827},	// Plasma::PopupApplet::hidePopup
    {77, 1129, 1825},	// Plasma::PopupApplet::isPassivePopup
    {77, 1132, 1826},	// Plasma::PopupApplet::isPopupShowing
    {77, 1324, 1808},	// Plasma::PopupApplet::metaObject
    {77, 1344, 1832},	// Plasma::PopupApplet::mousePressEvent#
    {77, 1346, 1833},	// Plasma::PopupApplet::mouseReleaseEvent#
    {77, 1432, 1830},	// Plasma::PopupApplet::popupEvent$
    {77, 1433, 1818},	// Plasma::PopupApplet::popupIcon
    {77, 1434, 1823},	// Plasma::PopupApplet::popupPlacement
    {77, 1453, 1814},	// Plasma::PopupApplet::qt_metacall$$?
    {77, 1455, 1809},	// Plasma::PopupApplet::qt_metacast$
    {77, 1784, 1822},	// Plasma::PopupApplet::setGraphicsWidget#
    {77, 1887, 1824},	// Plasma::PopupApplet::setPassivePopup$
    {77, 1901, 1816},	// Plasma::PopupApplet::setPopupIcon#
    {77, 1902, 1817},	// Plasma::PopupApplet::setPopupIcon$
    {77, 2076, 1820},	// Plasma::PopupApplet::setWidget#
    {77, 2109, 1840},	// Plasma::PopupApplet::showPopup
    {77, 2110, 1828},	// Plasma::PopupApplet::showPopup$
    {77, 2125, 1841},	// Plasma::PopupApplet::sizeHint$
    {77, 2126, 1831},	// Plasma::PopupApplet::sizeHint$#
    {77, 2148, 1842},	// Plasma::PopupApplet::staticMetaObject
    {77, 2211, 1829},	// Plasma::PopupApplet::togglePopup
    {77, 2223, 1838},	// Plasma::PopupApplet::tr$
    {77, 2224, 1810},	// Plasma::PopupApplet::tr$$
    {77, 2225, 1812},	// Plasma::PopupApplet::tr$$$
    {77, 2227, 1839},	// Plasma::PopupApplet::trUtf8$
    {77, 2228, 1811},	// Plasma::PopupApplet::trUtf8$$
    {77, 2229, 1813},	// Plasma::PopupApplet::trUtf8$$$
    {77, 2307, 1819},	// Plasma::PopupApplet::widget
    {77, 2366, 1843},	// Plasma::PopupApplet::~PopupApplet
    {78, 386, 1882},	// Plasma::PushButton::PushButton
    {78, 387, 1851},	// Plasma::PushButton::PushButton#
    {78, 570, 1860},	// Plasma::PushButton::action
    {78, 719, 1878},	// Plasma::PushButton::changeEvent#
    {78, 733, 1872},	// Plasma::PushButton::clicked
    {78, 1059, 1876},	// Plasma::PushButton::hoverEnterEvent#
    {78, 1061, 1877},	// Plasma::PushButton::hoverLeaveEvent#
    {78, 1065, 1863},	// Plasma::PushButton::icon
    {78, 1069, 1856},	// Plasma::PushButton::image
    {78, 1113, 1865},	// Plasma::PushButton::isCheckable
    {78, 1114, 1867},	// Plasma::PushButton::isChecked
    {78, 1120, 1868},	// Plasma::PushButton::isDown
    {78, 1324, 1844},	// Plasma::PushButton::metaObject
    {78, 1361, 1869},	// Plasma::PushButton::nativeWidget
    {78, 1390, 1883},	// Plasma::PushButton::paint##
    {78, 1391, 1874},	// Plasma::PushButton::paint###
    {78, 1443, 1870},	// Plasma::PushButton::pressed
    {78, 1453, 1850},	// Plasma::PushButton::qt_metacall$$?
    {78, 1455, 1845},	// Plasma::PushButton::qt_metacast$
    {78, 1483, 1871},	// Plasma::PushButton::released
    {78, 1544, 1875},	// Plasma::PushButton::resizeEvent#
    {78, 1616, 1859},	// Plasma::PushButton::setAction#
    {78, 1670, 1864},	// Plasma::PushButton::setCheckable$
    {78, 1672, 1866},	// Plasma::PushButton::setChecked$
    {78, 1810, -1},	// Plasma::PushButton::setIcon#
    {78, 1818, 1854},	// Plasma::PushButton::setImage$
    {78, 1819, 1855},	// Plasma::PushButton::setImage$$
    {78, 1983, 1857},	// Plasma::PushButton::setStyleSheet$
    {78, 2013, 1852},	// Plasma::PushButton::setText$
    {78, 2126, 1879},	// Plasma::PushButton::sizeHint$#
    {78, 2148, 1884},	// Plasma::PushButton::staticMetaObject
    {78, 2161, 1858},	// Plasma::PushButton::styleSheet
    {78, 2194, 1853},	// Plasma::PushButton::text
    {78, 2213, 1873},	// Plasma::PushButton::toggled$
    {78, 2223, 1880},	// Plasma::PushButton::tr$
    {78, 2224, 1846},	// Plasma::PushButton::tr$$
    {78, 2225, 1848},	// Plasma::PushButton::tr$$$
    {78, 2227, 1881},	// Plasma::PushButton::trUtf8$
    {78, 2228, 1847},	// Plasma::PushButton::trUtf8$$
    {78, 2229, 1849},	// Plasma::PushButton::trUtf8$$$
    {78, 2367, 1885},	// Plasma::PushButton::~PushButton
    {79, 85, 1915},	// Plasma::QueryMatch::CompletionMatch
    {79, 158, 1919},	// Plasma::QueryMatch::ExactMatch
    {79, 198, 1918},	// Plasma::QueryMatch::HelperMatch
    {79, 216, 1917},	// Plasma::QueryMatch::InformationalMatch
    {79, 343, 1914},	// Plasma::QueryMatch::NoMatch
    {79, 382, 1916},	// Plasma::QueryMatch::PossibleMatch
    {79, 399, -4},	// Plasma::QueryMatch::QueryMatch#
    {79, 809, 1913},	// Plasma::QueryMatch::createConfigurationInterface#
    {79, 839, 1899},	// Plasma::QueryMatch::data
    {79, 1031, 1912},	// Plasma::QueryMatch::hasConfigurationInterface
    {79, 1065, 1907},	// Plasma::QueryMatch::icon
    {79, 1067, 1901},	// Plasma::QueryMatch::id
    {79, 1122, 1909},	// Plasma::QueryMatch::isEnabled
    {79, 1146, 1892},	// Plasma::QueryMatch::isValid
    {79, 1377, 1890},	// Plasma::QueryMatch::operator<#
    {79, 1379, 1888},	// Plasma::QueryMatch::operator=#
    {79, 1381, 1889},	// Plasma::QueryMatch::operator==#
    {79, 1484, 1896},	// Plasma::QueryMatch::relevance
    {79, 1557, 1897},	// Plasma::QueryMatch::run#
    {79, 1561, 1891},	// Plasma::QueryMatch::runner
    {79, 1602, 1910},	// Plasma::QueryMatch::selectedAction
    {79, 1717, 1898},	// Plasma::QueryMatch::setData#
    {79, 1760, 1908},	// Plasma::QueryMatch::setEnabled$
    {79, 1810, 1906},	// Plasma::QueryMatch::setIcon#
    {79, 1813, 1900},	// Plasma::QueryMatch::setId$
    {79, 1918, 1895},	// Plasma::QueryMatch::setRelevance$
    {79, 1949, 1911},	// Plasma::QueryMatch::setSelectedAction#
    {79, 1987, 1904},	// Plasma::QueryMatch::setSubtext$
    {79, 2013, 1902},	// Plasma::QueryMatch::setText$
    {79, 2033, 1893},	// Plasma::QueryMatch::setType$
    {79, 2164, 1905},	// Plasma::QueryMatch::subtext
    {79, 2194, 1903},	// Plasma::QueryMatch::text
    {79, 2231, 1894},	// Plasma::QueryMatch::type
    {79, 2368, 1920},	// Plasma::QueryMatch::~QueryMatch
    {80, 401, 1943},	// Plasma::RadioButton::RadioButton
    {80, 402, 1928},	// Plasma::RadioButton::RadioButton#
    {80, 719, 1940},	// Plasma::RadioButton::changeEvent#
    {80, 1069, 1932},	// Plasma::RadioButton::image
    {80, 1114, 1937},	// Plasma::RadioButton::isChecked
    {80, 1324, 1921},	// Plasma::RadioButton::metaObject
    {80, 1361, 1935},	// Plasma::RadioButton::nativeWidget
    {80, 1453, 1927},	// Plasma::RadioButton::qt_metacall$$?
    {80, 1455, 1922},	// Plasma::RadioButton::qt_metacast$
    {80, 1544, 1939},	// Plasma::RadioButton::resizeEvent#
    {80, 1672, 1936},	// Plasma::RadioButton::setChecked$
    {80, 1818, 1931},	// Plasma::RadioButton::setImage$
    {80, 1983, 1933},	// Plasma::RadioButton::setStyleSheet$
    {80, 2013, 1929},	// Plasma::RadioButton::setText$
    {80, 2148, 1944},	// Plasma::RadioButton::staticMetaObject
    {80, 2161, 1934},	// Plasma::RadioButton::styleSheet
    {80, 2194, 1930},	// Plasma::RadioButton::text
    {80, 2213, 1938},	// Plasma::RadioButton::toggled$
    {80, 2223, 1941},	// Plasma::RadioButton::tr$
    {80, 2224, 1923},	// Plasma::RadioButton::tr$$
    {80, 2225, 1925},	// Plasma::RadioButton::tr$$$
    {80, 2227, 1942},	// Plasma::RadioButton::trUtf8$
    {80, 2228, 1924},	// Plasma::RadioButton::trUtf8$$
    {80, 2229, 1926},	// Plasma::RadioButton::trUtf8$$$
    {80, 2369, 1945},	// Plasma::RadioButton::~RadioButton
    {81, 144, 1981},	// Plasma::RunnerContext::Directory
    {81, 159, 1984},	// Plasma::RunnerContext::Executable
    {81, 171, 1982},	// Plasma::RunnerContext::File
    {81, 172, 1987},	// Plasma::RunnerContext::FileSystem
    {81, 197, 1986},	// Plasma::RunnerContext::Help
    {81, 323, 1983},	// Plasma::RunnerContext::NetworkLocation
    {81, 346, 1979},	// Plasma::RunnerContext::None
    {81, 416, 1976},	// Plasma::RunnerContext::RunnerContext
    {81, 417, -55},	// Plasma::RunnerContext::RunnerContext#
    {81, 418, 1954},	// Plasma::RunnerContext::RunnerContext##
    {81, 454, 1985},	// Plasma::RunnerContext::ShellCommand
    {81, 525, 1980},	// Plasma::RunnerContext::UnknownType
    {81, 617, 1963},	// Plasma::RunnerContext::addMatch$#
    {81, 619, 1962},	// Plasma::RunnerContext::addMatches$?
    {81, 1146, 1961},	// Plasma::RunnerContext::isValid
    {81, 1313, 1967},	// Plasma::RunnerContext::match$
    {81, 1315, 1966},	// Plasma::RunnerContext::matches
    {81, 1316, 1973},	// Plasma::RunnerContext::matchesChanged
    {81, 1324, 1946},	// Plasma::RunnerContext::metaObject
    {81, 1331, 1960},	// Plasma::RunnerContext::mimeType
    {81, 1379, 1955},	// Plasma::RunnerContext::operator=#
    {81, 1453, 1952},	// Plasma::RunnerContext::qt_metacall$$?
    {81, 1455, 1947},	// Plasma::RunnerContext::qt_metacast$
    {81, 1456, 1958},	// Plasma::RunnerContext::query
    {81, 1507, 1964},	// Plasma::RunnerContext::removeMatch$
    {81, 1509, 1965},	// Plasma::RunnerContext::removeMatches?
    {81, 1538, 1956},	// Plasma::RunnerContext::reset
    {81, 1548, 1970},	// Plasma::RunnerContext::restore#
    {81, 1557, 1972},	// Plasma::RunnerContext::run#
    {81, 1567, 1971},	// Plasma::RunnerContext::save#
    {81, 1912, 1957},	// Plasma::RunnerContext::setQuery$
    {81, 1969, 1968},	// Plasma::RunnerContext::setSingleRunnerQueryMode$
    {81, 2118, 1969},	// Plasma::RunnerContext::singleRunnerQueryMode
    {81, 2148, 1978},	// Plasma::RunnerContext::staticMetaObject
    {81, 2223, 1974},	// Plasma::RunnerContext::tr$
    {81, 2224, 1948},	// Plasma::RunnerContext::tr$$
    {81, 2225, 1950},	// Plasma::RunnerContext::tr$$$
    {81, 2227, 1975},	// Plasma::RunnerContext::trUtf8$
    {81, 2228, 1949},	// Plasma::RunnerContext::trUtf8$$
    {81, 2229, 1951},	// Plasma::RunnerContext::trUtf8$$$
    {81, 2231, 1959},	// Plasma::RunnerContext::type
    {81, 2370, 1988},	// Plasma::RunnerContext::~RunnerContext
    {82, 419, 2031},	// Plasma::RunnerManager::RunnerManager
    {82, 420, -14},	// Plasma::RunnerManager::RunnerManager#
    {82, 421, 1997},	// Plasma::RunnerManager::RunnerManager##
    {82, 575, 2011},	// Plasma::RunnerManager::actionsForMatch#
    {82, 653, 2017},	// Plasma::RunnerManager::allowedRunners
    {82, 959, 2025},	// Plasma::RunnerManager::execQuery$
    {82, 960, 2024},	// Plasma::RunnerManager::execQuery$$
    {82, 1206, 2023},	// Plasma::RunnerManager::launchQuery$
    {82, 1207, 2022},	// Plasma::RunnerManager::launchQuery$$
    {82, 1285, 2016},	// Plasma::RunnerManager::loadRunner$
    {82, 1286, 2015},	// Plasma::RunnerManager::loadRunner?
    {82, 1314, 2021},	// Plasma::RunnerManager::matchSessionComplete
    {82, 1315, 2008},	// Plasma::RunnerManager::matches
    {82, 1317, 2027},	// Plasma::RunnerManager::matchesChanged?
    {82, 1324, 1989},	// Plasma::RunnerManager::metaObject
    {82, 1329, 2018},	// Plasma::RunnerManager::mimeDataForMatch#
    {82, 1330, 2019},	// Plasma::RunnerManager::mimeDataForMatch$
    {82, 1453, 1995},	// Plasma::RunnerManager::qt_metacall$$?
    {82, 1455, 1990},	// Plasma::RunnerManager::qt_metacast$
    {82, 1456, 2012},	// Plasma::RunnerManager::query
    {82, 1458, 2028},	// Plasma::RunnerManager::queryFinished
    {82, 1485, 2013},	// Plasma::RunnerManager::reloadConfiguration
    {82, 1538, 2026},	// Plasma::RunnerManager::reset
    {82, 1557, 2009},	// Plasma::RunnerManager::run#
    {82, 1559, 2010},	// Plasma::RunnerManager::run$
    {82, 1562, 1998},	// Plasma::RunnerManager::runner$
    {82, 1564, 2004},	// Plasma::RunnerManager::runnerName$
    {82, 1565, 2005},	// Plasma::RunnerManager::runners
    {82, 1598, 2007},	// Plasma::RunnerManager::searchContext
    {82, 1624, 2014},	// Plasma::RunnerManager::setAllowedRunners?
    {82, 1965, 2003},	// Plasma::RunnerManager::setSingleMode$
    {82, 1967, 2000},	// Plasma::RunnerManager::setSingleModeRunnerId$
    {82, 2086, 2020},	// Plasma::RunnerManager::setupMatchSession
    {82, 2114, 2002},	// Plasma::RunnerManager::singleMode
    {82, 2115, 2006},	// Plasma::RunnerManager::singleModeAdvertisedRunnerIds
    {82, 2116, 1999},	// Plasma::RunnerManager::singleModeRunner
    {82, 2117, 2001},	// Plasma::RunnerManager::singleModeRunnerId
    {82, 2148, 2033},	// Plasma::RunnerManager::staticMetaObject
    {82, 2223, 2029},	// Plasma::RunnerManager::tr$
    {82, 2224, 1991},	// Plasma::RunnerManager::tr$$
    {82, 2225, 1993},	// Plasma::RunnerManager::tr$$$
    {82, 2227, 2030},	// Plasma::RunnerManager::trUtf8$
    {82, 2228, 1992},	// Plasma::RunnerManager::trUtf8$$
    {82, 2229, 1994},	// Plasma::RunnerManager::trUtf8$$$
    {82, 2371, 2034},	// Plasma::RunnerManager::~RunnerManager
    {83, 422, 2072},	// Plasma::RunnerScript::RunnerScript
    {83, 423, 2042},	// Plasma::RunnerScript::RunnerScript#
    {83, 571, 2065},	// Plasma::RunnerScript::action$
    {83, 573, 2066},	// Plasma::RunnerScript::actions
    {83, 576, 2051},	// Plasma::RunnerScript::actionsForMatch#?
    {83, 589, 2063},	// Plasma::RunnerScript::addAction$#
    {83, 590, 2062},	// Plasma::RunnerScript::addAction$#$
    {83, 640, 2068},	// Plasma::RunnerScript::addSyntax#
    {83, 726, 2067},	// Plasma::RunnerScript::clearActions
    {83, 745, 2056},	// Plasma::RunnerScript::config
    {83, 821, 2049},	// Plasma::RunnerScript::createRunOptions#
    {83, 841, 2055},	// Plasma::RunnerScript::dataEngine$
    {83, 849, 2054},	// Plasma::RunnerScript::description
    {83, 1299, 2052},	// Plasma::RunnerScript::mainScript
    {83, 1312, 2045},	// Plasma::RunnerScript::match#
    {83, 1324, 2035},	// Plasma::RunnerScript::metaObject
    {83, 1383, 2053},	// Plasma::RunnerScript::package
    {83, 1442, 2047},	// Plasma::RunnerScript::prepare
    {83, 1453, 2041},	// Plasma::RunnerScript::qt_metacall$$?
    {83, 1455, 2036},	// Plasma::RunnerScript::qt_metacast$
    {83, 1485, 2050},	// Plasma::RunnerScript::reloadConfiguration
    {83, 1496, 2064},	// Plasma::RunnerScript::removeAction$
    {83, 1558, 2046},	// Plasma::RunnerScript::run##
    {83, 1561, 2044},	// Plasma::RunnerScript::runner
    {83, 1610, 2073},	// Plasma::RunnerScript::serviceQuery$
    {83, 1611, 2061},	// Plasma::RunnerScript::serviceQuery$$
    {83, 1793, 2058},	// Plasma::RunnerScript::setHasRunOptions$
    {83, 1815, 2057},	// Plasma::RunnerScript::setIgnoredTypes$
    {83, 1910, 2060},	// Plasma::RunnerScript::setPriority$
    {83, 1936, 2043},	// Plasma::RunnerScript::setRunner#
    {83, 1975, 2059},	// Plasma::RunnerScript::setSpeed$
    {83, 1995, 2069},	// Plasma::RunnerScript::setSyntaxes?
    {83, 2148, 2074},	// Plasma::RunnerScript::staticMetaObject
    {83, 2193, 2048},	// Plasma::RunnerScript::teardown
    {83, 2223, 2070},	// Plasma::RunnerScript::tr$
    {83, 2224, 2037},	// Plasma::RunnerScript::tr$$
    {83, 2225, 2039},	// Plasma::RunnerScript::tr$$$
    {83, 2227, 2071},	// Plasma::RunnerScript::trUtf8$
    {83, 2228, 2038},	// Plasma::RunnerScript::trUtf8$$
    {83, 2229, 2040},	// Plasma::RunnerScript::trUtf8$$$
    {83, 2372, 2075},	// Plasma::RunnerScript::~RunnerScript
    {84, 425, 2077},	// Plasma::RunnerSyntax::RunnerSyntax#
    {84, 426, 2076},	// Plasma::RunnerSyntax::RunnerSyntax$$
    {84, 609, 2079},	// Plasma::RunnerSyntax::addExampleQuery$
    {84, 849, 2083},	// Plasma::RunnerSyntax::description
    {84, 956, 2080},	// Plasma::RunnerSyntax::exampleQueries
    {84, 957, 2081},	// Plasma::RunnerSyntax::exampleQueriesWithTermDescription
    {84, 1379, 2078},	// Plasma::RunnerSyntax::operator=#
    {84, 1599, 2085},	// Plasma::RunnerSyntax::searchTermDescription
    {84, 1733, 2082},	// Plasma::RunnerSyntax::setDescription$
    {84, 1947, 2084},	// Plasma::RunnerSyntax::setSearchTermDescription$
    {84, 2373, 2086},	// Plasma::RunnerSyntax::~RunnerSyntax
    {85, 432, 2100},	// Plasma::ScriptEngine::ScriptEngine
    {85, 433, 2095},	// Plasma::ScriptEngine::ScriptEngine#
    {85, 1081, 2094},	// Plasma::ScriptEngine::init
    {85, 1299, 2096},	// Plasma::ScriptEngine::mainScript
    {85, 1324, 2087},	// Plasma::ScriptEngine::metaObject
    {85, 1383, 2097},	// Plasma::ScriptEngine::package
    {85, 1453, 2093},	// Plasma::ScriptEngine::qt_metacall$$?
    {85, 1455, 2088},	// Plasma::ScriptEngine::qt_metacast$
    {85, 2148, 2101},	// Plasma::ScriptEngine::staticMetaObject
    {85, 2223, 2098},	// Plasma::ScriptEngine::tr$
    {85, 2224, 2089},	// Plasma::ScriptEngine::tr$$
    {85, 2225, 2091},	// Plasma::ScriptEngine::tr$$$
    {85, 2227, 2099},	// Plasma::ScriptEngine::trUtf8$
    {85, 2228, 2090},	// Plasma::ScriptEngine::trUtf8$$
    {85, 2229, 2092},	// Plasma::ScriptEngine::trUtf8$$$
    {85, 2374, 2102},	// Plasma::ScriptEngine::~ScriptEngine
    {86, 435, 2110},	// Plasma::ScrollBar::ScrollBar#
    {86, 798, 2123},	// Plasma::ScrollBar::contextMenuEvent#
    {86, 1319, 2118},	// Plasma::ScrollBar::maximum
    {86, 1324, 2103},	// Plasma::ScrollBar::metaObject
    {86, 1334, 2117},	// Plasma::ScrollBar::minimum
    {86, 1361, 2121},	// Plasma::ScrollBar::nativeWidget
    {86, 1382, 2122},	// Plasma::ScrollBar::orientation
    {86, 1388, 2115},	// Plasma::ScrollBar::pageStep
    {86, 1453, 2109},	// Plasma::ScrollBar::qt_metacall$$?
    {86, 1455, 2104},	// Plasma::ScrollBar::qt_metacast$
    {86, 1879, 2125},	// Plasma::ScrollBar::setOrientation$
    {86, 1885, 2114},	// Plasma::ScrollBar::setPageStep$
    {86, 1914, 2111},	// Plasma::ScrollBar::setRange$$
    {86, 1971, 2112},	// Plasma::ScrollBar::setSingleStep$
    {86, 1983, 2119},	// Plasma::ScrollBar::setStyleSheet$
    {86, 2051, 2124},	// Plasma::ScrollBar::setValue$
    {86, 2119, 2113},	// Plasma::ScrollBar::singleStep
    {86, 2148, 2129},	// Plasma::ScrollBar::staticMetaObject
    {86, 2161, 2120},	// Plasma::ScrollBar::styleSheet
    {86, 2223, 2127},	// Plasma::ScrollBar::tr$
    {86, 2224, 2105},	// Plasma::ScrollBar::tr$$
    {86, 2225, 2107},	// Plasma::ScrollBar::tr$$$
    {86, 2227, 2128},	// Plasma::ScrollBar::trUtf8$
    {86, 2228, 2106},	// Plasma::ScrollBar::trUtf8$$
    {86, 2229, 2108},	// Plasma::ScrollBar::trUtf8$$$
    {86, 2276, 2116},	// Plasma::ScrollBar::value
    {86, 2278, 2126},	// Plasma::ScrollBar::valueChanged$
    {86, 2375, 2130},	// Plasma::ScrollBar::~ScrollBar
    {87, 437, 2177},	// Plasma::ScrollWidget::ScrollWidget
    {87, 438, -58},	// Plasma::ScrollWidget::ScrollWidget#
    {87, 651, 2143},	// Plasma::ScrollWidget::alignment
    {87, 790, 2155},	// Plasma::ScrollWidget::contentsSize
    {87, 943, 2151},	// Plasma::ScrollWidget::ensureItemVisible#
    {87, 945, 2150},	// Plasma::ScrollWidget::ensureRectVisible#
    {87, 953, 2171},	// Plasma::ScrollWidget::eventFilter##
    {87, 994, 2172},	// Plasma::ScrollWidget::focusInEvent#
    {87, 1041, 2145},	// Plasma::ScrollWidget::hasOverShoot
    {87, 1057, 2147},	// Plasma::ScrollWidget::horizontalScrollBarPolicy
    {87, 1181, 2169},	// Plasma::ScrollWidget::keyPressEvent#
    {87, 1324, 2131},	// Plasma::ScrollWidget::metaObject
    {87, 1342, 2166},	// Plasma::ScrollWidget::mouseMoveEvent#
    {87, 1344, 2167},	// Plasma::ScrollWidget::mousePressEvent#
    {87, 1346, 2168},	// Plasma::ScrollWidget::mouseReleaseEvent#
    {87, 1361, 2162},	// Plasma::ScrollWidget::nativeWidget
    {87, 1453, 2137},	// Plasma::ScrollWidget::qt_metacall$$?
    {87, 1455, 2132},	// Plasma::ScrollWidget::qt_metacast$
    {87, 1470, 2152},	// Plasma::ScrollWidget::registerAsDragHandle#
    {87, 1544, 2165},	// Plasma::ScrollWidget::resizeEvent#
    {87, 1581, 2174},	// Plasma::ScrollWidget::sceneEventFilter##
    {87, 1594, 2157},	// Plasma::ScrollWidget::scrollPosition
    {87, 1597, 2163},	// Plasma::ScrollWidget::scrollStateChanged$$
    {87, 1620, 2142},	// Plasma::ScrollWidget::setAlignment$
    {87, 1803, 2146},	// Plasma::ScrollWidget::setHorizontalScrollBarPolicy$
    {87, 1881, 2144},	// Plasma::ScrollWidget::setOverShoot$
    {87, 1945, 2156},	// Plasma::ScrollWidget::setScrollPosition#
    {87, 1973, 2158},	// Plasma::ScrollWidget::setSnapSize#
    {87, 1983, 2160},	// Plasma::ScrollWidget::setStyleSheet$
    {87, 2063, 2148},	// Plasma::ScrollWidget::setVerticalScrollBarPolicy$
    {87, 2076, 2140},	// Plasma::ScrollWidget::setWidget#
    {87, 2126, 2173},	// Plasma::ScrollWidget::sizeHint$#
    {87, 2131, 2159},	// Plasma::ScrollWidget::snapSize
    {87, 2148, 2178},	// Plasma::ScrollWidget::staticMetaObject
    {87, 2161, 2161},	// Plasma::ScrollWidget::styleSheet
    {87, 2223, 2175},	// Plasma::ScrollWidget::tr$
    {87, 2224, 2133},	// Plasma::ScrollWidget::tr$$
    {87, 2225, 2135},	// Plasma::ScrollWidget::tr$$$
    {87, 2227, 2176},	// Plasma::ScrollWidget::trUtf8$
    {87, 2228, 2134},	// Plasma::ScrollWidget::trUtf8$$
    {87, 2229, 2136},	// Plasma::ScrollWidget::trUtf8$$$
    {87, 2242, 2153},	// Plasma::ScrollWidget::unregisterAsDragHandle#
    {87, 2289, 2149},	// Plasma::ScrollWidget::verticalScrollBarPolicy
    {87, 2294, 2154},	// Plasma::ScrollWidget::viewportGeometry
    {87, 2296, 2164},	// Plasma::ScrollWidget::viewportGeometryChanged#
    {87, 2306, 2170},	// Plasma::ScrollWidget::wheelEvent#
    {87, 2307, 2141},	// Plasma::ScrollWidget::widget
    {87, 2376, 2179},	// Plasma::ScrollWidget::~ScrollWidget
    {88, 440, 2194},	// Plasma::Separator::Separator
    {88, 441, 2195},	// Plasma::Separator::Separator#
    {88, 442, 2187},	// Plasma::Separator::Separator#$
    {88, 1324, 2180},	// Plasma::Separator::metaObject
    {88, 1382, 2189},	// Plasma::Separator::orientation
    {88, 1391, 2190},	// Plasma::Separator::paint###
    {88, 1453, 2186},	// Plasma::Separator::qt_metacall$$?
    {88, 1455, 2181},	// Plasma::Separator::qt_metacast$
    {88, 1879, 2188},	// Plasma::Separator::setOrientation$
    {88, 2126, 2191},	// Plasma::Separator::sizeHint$#
    {88, 2148, 2196},	// Plasma::Separator::staticMetaObject
    {88, 2223, 2192},	// Plasma::Separator::tr$
    {88, 2224, 2182},	// Plasma::Separator::tr$$
    {88, 2225, 2184},	// Plasma::Separator::tr$$$
    {88, 2227, 2193},	// Plasma::Separator::trUtf8$
    {88, 2228, 2183},	// Plasma::Separator::trUtf8$$
    {88, 2229, 2185},	// Plasma::Separator::trUtf8$$$
    {88, 2377, 2197},	// Plasma::Separator::~Separator
    {89, 443, 2236},	// Plasma::Service::Service
    {89, 444, 2223},	// Plasma::Service::Service#
    {89, 445, 2224},	// Plasma::Service::Service#?
    {89, 566, 2234},	// Plasma::Service::access#
    {89, 567, 2207},	// Plasma::Service::access##
    {89, 689, -37},	// Plasma::Service::associateWidget#$
    {89, 814, 2225},	// Plasma::Service::createJob$?
    {89, 851, 2209},	// Plasma::Service::destination
    {89, 864, -40},	// Plasma::Service::disassociateWidget#
    {89, 984, 2220},	// Plasma::Service::finished#
    {89, 1128, 2213},	// Plasma::Service::isOperationEnabled$
    {89, 1263, 2233},	// Plasma::Service::load$
    {89, 1264, 2206},	// Plasma::Service::load$#
    {89, 1267, 2232},	// Plasma::Service::load$?
    {89, 1268, 2205},	// Plasma::Service::load$?#
    {89, 1324, 2198},	// Plasma::Service::metaObject
    {89, 1359, 2214},	// Plasma::Service::name
    {89, 1372, 2211},	// Plasma::Service::operationDescription$
    {89, 1374, 2210},	// Plasma::Service::operationNames
    {89, 1375, 2221},	// Plasma::Service::operationsChanged
    {89, 1413, 2219},	// Plasma::Service::parametersFromDescription#
    {89, 1453, 2204},	// Plasma::Service::qt_metacall$$?
    {89, 1455, 2199},	// Plasma::Service::qt_metacast$
    {89, 1471, 2226},	// Plasma::Service::registerOperationsScheme
    {89, 1613, 2222},	// Plasma::Service::serviceReady#
    {89, 1735, 2208},	// Plasma::Service::setDestination$
    {89, 1867, 2228},	// Plasma::Service::setName$
    {89, 1875, 2229},	// Plasma::Service::setOperationEnabled$$
    {89, 1877, 2227},	// Plasma::Service::setOperationsScheme#
    {89, 2144, 2235},	// Plasma::Service::startOperationCall#
    {89, 2145, 2212},	// Plasma::Service::startOperationCall##
    {89, 2148, 2237},	// Plasma::Service::staticMetaObject
    {89, 2223, 2230},	// Plasma::Service::tr$
    {89, 2224, 2200},	// Plasma::Service::tr$$
    {89, 2225, 2202},	// Plasma::Service::tr$$$
    {89, 2227, 2231},	// Plasma::Service::trUtf8$
    {89, 2228, 2201},	// Plasma::Service::trUtf8$$
    {89, 2229, 2203},	// Plasma::Service::trUtf8$$$
    {89, 2378, 2238},	// Plasma::Service::~Service
    {90, 447, 2251},	// Plasma::ServiceAccessJob::ServiceAccessJob#
    {90, 448, 2247},	// Plasma::ServiceAccessJob::ServiceAccessJob##
    {90, 1324, 2239},	// Plasma::ServiceAccessJob::metaObject
    {90, 1453, 2245},	// Plasma::ServiceAccessJob::qt_metacall$$?
    {90, 1455, 2240},	// Plasma::ServiceAccessJob::qt_metacast$
    {90, 1604, 2246},	// Plasma::ServiceAccessJob::service
    {90, 2142, 2248},	// Plasma::ServiceAccessJob::start
    {90, 2148, 2252},	// Plasma::ServiceAccessJob::staticMetaObject
    {90, 2223, 2249},	// Plasma::ServiceAccessJob::tr$
    {90, 2224, 2241},	// Plasma::ServiceAccessJob::tr$$
    {90, 2225, 2243},	// Plasma::ServiceAccessJob::tr$$$
    {90, 2227, 2250},	// Plasma::ServiceAccessJob::trUtf8$
    {90, 2228, 2242},	// Plasma::ServiceAccessJob::trUtf8$$
    {90, 2229, 2244},	// Plasma::ServiceAccessJob::trUtf8$$$
    {90, 2379, 2253},	// Plasma::ServiceAccessJob::~ServiceAccessJob
    {91, 450, 2270},	// Plasma::ServiceJob::ServiceJob$$?
    {91, 451, 2261},	// Plasma::ServiceJob::ServiceJob$$?#
    {91, 851, 2262},	// Plasma::ServiceJob::destination
    {91, 1324, 2254},	// Plasma::ServiceJob::metaObject
    {91, 1373, 2263},	// Plasma::ServiceJob::operationName
    {91, 1411, 2264},	// Plasma::ServiceJob::parameters
    {91, 1453, 2260},	// Plasma::ServiceJob::qt_metacall$$?
    {91, 1455, 2255},	// Plasma::ServiceJob::qt_metacast$
    {91, 1551, 2265},	// Plasma::ServiceJob::result
    {91, 1932, 2267},	// Plasma::ServiceJob::setResult#
    {91, 2142, 2266},	// Plasma::ServiceJob::start
    {91, 2148, 2271},	// Plasma::ServiceJob::staticMetaObject
    {91, 2223, 2268},	// Plasma::ServiceJob::tr$
    {91, 2224, 2256},	// Plasma::ServiceJob::tr$$
    {91, 2225, 2258},	// Plasma::ServiceJob::tr$$$
    {91, 2227, 2269},	// Plasma::ServiceJob::trUtf8$
    {91, 2228, 2257},	// Plasma::ServiceJob::trUtf8$$
    {91, 2229, 2259},	// Plasma::ServiceJob::trUtf8$$$
    {91, 2380, 2272},	// Plasma::ServiceJob::~ServiceJob
    {92, 455, 2347},	// Plasma::SignalPlotter::SignalPlotter
    {92, 456, 2280},	// Plasma::SignalPlotter::SignalPlotter#
    {92, 623, 2281},	// Plasma::SignalPlotter::addPlot#
    {92, 630, 2282},	// Plasma::SignalPlotter::addSample?
    {92, 704, 2322},	// Plasma::SignalPlotter::backgroundColor
    {92, 714, 2334},	// Plasma::SignalPlotter::calculateNiceRange
    {92, 884, 2343},	// Plasma::SignalPlotter::drawAxisText#$$
    {92, 886, 2337},	// Plasma::SignalPlotter::drawBackground#$$
    {92, 889, 2344},	// Plasma::SignalPlotter::drawHorizontalLines#$$$
    {92, 892, 2342},	// Plasma::SignalPlotter::drawPlots#$$$$
    {92, 894, 2338},	// Plasma::SignalPlotter::drawThinFrame#$$
    {92, 896, 2340},	// Plasma::SignalPlotter::drawTopBarContents#$$$
    {92, 898, 2339},	// Plasma::SignalPlotter::drawTopBarFrame#$$
    {92, 900, 2341},	// Plasma::SignalPlotter::drawVerticalLines#$$$
    {92, 903, 2336},	// Plasma::SignalPlotter::drawWidget#$$$
    {92, 1000, 2314},	// Plasma::SignalPlotter::font
    {92, 1003, 2312},	// Plasma::SignalPlotter::fontColor
    {92, 1019, 2331},	// Plasma::SignalPlotter::getSnapshotImage$$
    {92, 1054, 2310},	// Plasma::SignalPlotter::horizontalLinesColor
    {92, 1055, 2316},	// Plasma::SignalPlotter::horizontalLinesCount
    {92, 1056, 2298},	// Plasma::SignalPlotter::horizontalScale
    {92, 1202, 2325},	// Plasma::SignalPlotter::lastValue$
    {92, 1204, 2326},	// Plasma::SignalPlotter::lastValueAsString$
    {92, 1324, 2273},	// Plasma::SignalPlotter::metaObject
    {92, 1391, 2335},	// Plasma::SignalPlotter::paint###
    {92, 1427, 2285},	// Plasma::SignalPlotter::plotColors
    {92, 1453, 2279},	// Plasma::SignalPlotter::qt_metacall$$?
    {92, 1455, 2274},	// Plasma::SignalPlotter::qt_metacast$
    {92, 1513, 2284},	// Plasma::SignalPlotter::removePlot$
    {92, 1531, 2283},	// Plasma::SignalPlotter::reorderPlots?
    {92, 1575, 2290},	// Plasma::SignalPlotter::scale$
    {92, 1576, 2291},	// Plasma::SignalPlotter::scaledBy
    {92, 1656, 2321},	// Plasma::SignalPlotter::setBackgroundColor#
    {92, 1771, 2313},	// Plasma::SignalPlotter::setFont#
    {92, 1774, 2311},	// Plasma::SignalPlotter::setFontColor#
    {92, 1780, 2332},	// Plasma::SignalPlotter::setGeometry#
    {92, 1797, 2309},	// Plasma::SignalPlotter::setHorizontalLinesColor#
    {92, 1799, 2315},	// Plasma::SignalPlotter::setHorizontalLinesCount$
    {92, 1801, 2297},	// Plasma::SignalPlotter::setHorizontalScale$
    {92, 1955, 2307},	// Plasma::SignalPlotter::setShowHorizontalLines$
    {92, 1957, 2317},	// Plasma::SignalPlotter::setShowLabels$
    {92, 1959, 2319},	// Plasma::SignalPlotter::setShowTopBar$
    {92, 1961, 2299},	// Plasma::SignalPlotter::setShowVerticalLines$
    {92, 1977, 2329},	// Plasma::SignalPlotter::setStackPlots$
    {92, 1993, 2323},	// Plasma::SignalPlotter::setSvgBackground$
    {92, 2023, 2327},	// Plasma::SignalPlotter::setThinFrame$
    {92, 2025, 2286},	// Plasma::SignalPlotter::setTitle$
    {92, 2035, 2288},	// Plasma::SignalPlotter::setUnit$
    {92, 2041, 2292},	// Plasma::SignalPlotter::setUseAutoRange$
    {92, 2055, 2301},	// Plasma::SignalPlotter::setVerticalLinesColor#
    {92, 2057, 2303},	// Plasma::SignalPlotter::setVerticalLinesDistance$
    {92, 2059, 2305},	// Plasma::SignalPlotter::setVerticalLinesScroll$
    {92, 2061, 2294},	// Plasma::SignalPlotter::setVerticalRange$$
    {92, 2105, 2308},	// Plasma::SignalPlotter::showHorizontalLines
    {92, 2106, 2318},	// Plasma::SignalPlotter::showLabels
    {92, 2112, 2320},	// Plasma::SignalPlotter::showTopBar
    {92, 2113, 2300},	// Plasma::SignalPlotter::showVerticalLines
    {92, 2140, 2330},	// Plasma::SignalPlotter::stackPlots
    {92, 2148, 2348},	// Plasma::SignalPlotter::staticMetaObject
    {92, 2168, 2324},	// Plasma::SignalPlotter::svgBackground
    {92, 2204, 2328},	// Plasma::SignalPlotter::thinFrame
    {92, 2210, 2287},	// Plasma::SignalPlotter::title
    {92, 2223, 2345},	// Plasma::SignalPlotter::tr$
    {92, 2224, 2275},	// Plasma::SignalPlotter::tr$$
    {92, 2225, 2277},	// Plasma::SignalPlotter::tr$$$
    {92, 2227, 2346},	// Plasma::SignalPlotter::trUtf8$
    {92, 2228, 2276},	// Plasma::SignalPlotter::trUtf8$$
    {92, 2229, 2278},	// Plasma::SignalPlotter::trUtf8$$$
    {92, 2237, 2289},	// Plasma::SignalPlotter::unit
    {92, 2254, 2333},	// Plasma::SignalPlotter::updateDataBuffers
    {92, 2267, 2293},	// Plasma::SignalPlotter::useAutoRange
    {92, 2284, 2302},	// Plasma::SignalPlotter::verticalLinesColor
    {92, 2285, 2304},	// Plasma::SignalPlotter::verticalLinesDistance
    {92, 2286, 2306},	// Plasma::SignalPlotter::verticalLinesScroll
    {92, 2287, 2296},	// Plasma::SignalPlotter::verticalMaxValue
    {92, 2288, 2295},	// Plasma::SignalPlotter::verticalMinValue
    {92, 2381, 2349},	// Plasma::SignalPlotter::~SignalPlotter
    {93, 461, 2376},	// Plasma::Slider::Slider
    {93, 462, 2357},	// Plasma::Slider::Slider#
    {93, 1319, 2358},	// Plasma::Slider::maximum
    {93, 1324, 2350},	// Plasma::Slider::metaObject
    {93, 1334, 2359},	// Plasma::Slider::minimum
    {93, 1361, 2364},	// Plasma::Slider::nativeWidget
    {93, 1382, 2361},	// Plasma::Slider::orientation
    {93, 1391, 2365},	// Plasma::Slider::paint###
    {93, 1453, 2356},	// Plasma::Slider::qt_metacall$$?
    {93, 1455, 2351},	// Plasma::Slider::qt_metacast$
    {93, 1850, 2367},	// Plasma::Slider::setMaximum$
    {93, 1858, 2368},	// Plasma::Slider::setMinimum$
    {93, 1879, 2371},	// Plasma::Slider::setOrientation$
    {93, 1914, 2369},	// Plasma::Slider::setRange$$
    {93, 1983, 2362},	// Plasma::Slider::setStyleSheet$
    {93, 2051, 2370},	// Plasma::Slider::setValue$
    {93, 2130, 2372},	// Plasma::Slider::sliderMoved$
    {93, 2148, 2377},	// Plasma::Slider::staticMetaObject
    {93, 2161, 2363},	// Plasma::Slider::styleSheet
    {93, 2223, 2374},	// Plasma::Slider::tr$
    {93, 2224, 2352},	// Plasma::Slider::tr$$
    {93, 2225, 2354},	// Plasma::Slider::tr$$$
    {93, 2227, 2375},	// Plasma::Slider::trUtf8$
    {93, 2228, 2353},	// Plasma::Slider::trUtf8$$
    {93, 2229, 2355},	// Plasma::Slider::trUtf8$$$
    {93, 2276, 2360},	// Plasma::Slider::value
    {93, 2278, 2373},	// Plasma::Slider::valueChanged$
    {93, 2306, 2366},	// Plasma::Slider::wheelEvent#
    {93, 2382, 2378},	// Plasma::Slider::~Slider
    {94, 467, 2409},	// Plasma::SpinBox::SpinBox
    {94, 468, 2386},	// Plasma::SpinBox::SpinBox#
    {94, 719, 2393},	// Plasma::SpinBox::changeEvent#
    {94, 908, 2406},	// Plasma::SpinBox::editingFinished
    {94, 998, 2399},	// Plasma::SpinBox::focusOutEvent#
    {94, 1059, 2394},	// Plasma::SpinBox::hoverEnterEvent#
    {94, 1061, 2395},	// Plasma::SpinBox::hoverLeaveEvent#
    {94, 1319, 2387},	// Plasma::SpinBox::maximum
    {94, 1324, 2379},	// Plasma::SpinBox::metaObject
    {94, 1334, 2388},	// Plasma::SpinBox::minimum
    {94, 1344, 2398},	// Plasma::SpinBox::mousePressEvent#
    {94, 1361, 2392},	// Plasma::SpinBox::nativeWidget
    {94, 1391, 2397},	// Plasma::SpinBox::paint###
    {94, 1453, 2385},	// Plasma::SpinBox::qt_metacall$$?
    {94, 1455, 2380},	// Plasma::SpinBox::qt_metacast$
    {94, 1544, 2396},	// Plasma::SpinBox::resizeEvent#
    {94, 1850, 2400},	// Plasma::SpinBox::setMaximum$
    {94, 1858, 2401},	// Plasma::SpinBox::setMinimum$
    {94, 1914, 2402},	// Plasma::SpinBox::setRange$$
    {94, 1983, 2390},	// Plasma::SpinBox::setStyleSheet$
    {94, 2051, 2403},	// Plasma::SpinBox::setValue$
    {94, 2130, 2404},	// Plasma::SpinBox::sliderMoved$
    {94, 2148, 2410},	// Plasma::SpinBox::staticMetaObject
    {94, 2161, 2391},	// Plasma::SpinBox::styleSheet
    {94, 2223, 2407},	// Plasma::SpinBox::tr$
    {94, 2224, 2381},	// Plasma::SpinBox::tr$$
    {94, 2225, 2383},	// Plasma::SpinBox::tr$$$
    {94, 2227, 2408},	// Plasma::SpinBox::trUtf8$
    {94, 2228, 2382},	// Plasma::SpinBox::trUtf8$$
    {94, 2229, 2384},	// Plasma::SpinBox::trUtf8$$$
    {94, 2276, 2389},	// Plasma::SpinBox::value
    {94, 2278, 2405},	// Plasma::SpinBox::valueChanged$
    {94, 2383, 2411},	// Plasma::SpinBox::~SpinBox
    {95, 482, 2445},	// Plasma::Svg::Svg
    {95, 483, 2419},	// Plasma::Svg::Svg#
    {95, 786, 2435},	// Plasma::Svg::containsMultipleImages
    {95, 922, 2432},	// Plasma::Svg::elementAtPoint#
    {95, 927, 2430},	// Plasma::Svg::elementRect$
    {95, 929, 2429},	// Plasma::Svg::elementSize$
    {95, 1033, 2431},	// Plasma::Svg::hasElement$
    {95, 1070, 2437},	// Plasma::Svg::imagePath
    {95, 1145, 2439},	// Plasma::Svg::isUsingRenderingCache
    {95, 1146, 2433},	// Plasma::Svg::isValid
    {95, 1324, 2412},	// Plasma::Svg::metaObject
    {95, 1390, -61},	// Plasma::Svg::paint##
    {95, 1392, -64},	// Plasma::Svg::paint##$
    {95, 1393, 2448},	// Plasma::Svg::paint#$$
    {95, 1394, 2422},	// Plasma::Svg::paint#$$$
    {95, 1395, 2450},	// Plasma::Svg::paint#$$$$
    {95, 1396, 2424},	// Plasma::Svg::paint#$$$$$
    {95, 1424, 2446},	// Plasma::Svg::pixmap
    {95, 1425, 2420},	// Plasma::Svg::pixmap$
    {95, 1453, 2418},	// Plasma::Svg::qt_metacall$$?
    {95, 1455, 2413},	// Plasma::Svg::qt_metacast$
    {95, 1532, 2442},	// Plasma::Svg::repaintNeeded
    {95, 1539, 2428},	// Plasma::Svg::resize
    {95, 1540, 2427},	// Plasma::Svg::resize#
    {95, 1541, 2426},	// Plasma::Svg::resize$$
    {95, 1695, 2434},	// Plasma::Svg::setContainsMultipleImages$
    {95, 1821, 2436},	// Plasma::Svg::setImagePath$
    {95, 2019, 2440},	// Plasma::Svg::setTheme#
    {95, 2047, 2438},	// Plasma::Svg::setUsingRenderingCache$
    {95, 2120, 2425},	// Plasma::Svg::size
    {95, 2148, 2451},	// Plasma::Svg::staticMetaObject
    {95, 2201, 2441},	// Plasma::Svg::theme
    {95, 2223, 2443},	// Plasma::Svg::tr$
    {95, 2224, 2414},	// Plasma::Svg::tr$$
    {95, 2225, 2416},	// Plasma::Svg::tr$$$
    {95, 2227, 2444},	// Plasma::Svg::trUtf8$
    {95, 2228, 2415},	// Plasma::Svg::trUtf8$$
    {95, 2229, 2417},	// Plasma::Svg::trUtf8$$$
    {95, 2385, 2452},	// Plasma::Svg::~Svg
    {96, 484, 2473},	// Plasma::SvgWidget::SvgWidget
    {96, 485, -67},	// Plasma::SvgWidget::SvgWidget#
    {96, 486, -70},	// Plasma::SvgWidget::SvgWidget#$
    {96, 487, 2477},	// Plasma::SvgWidget::SvgWidget#$#
    {96, 488, 2461},	// Plasma::SvgWidget::SvgWidget#$#$
    {96, 734, 2467},	// Plasma::SvgWidget::clicked$
    {96, 925, 2465},	// Plasma::SvgWidget::elementID
    {96, 1324, 2453},	// Plasma::SvgWidget::metaObject
    {96, 1344, 2470},	// Plasma::SvgWidget::mousePressEvent#
    {96, 1346, 2466},	// Plasma::SvgWidget::mouseReleaseEvent#
    {96, 1391, 2468},	// Plasma::SvgWidget::paint###
    {96, 1453, 2459},	// Plasma::SvgWidget::qt_metacall$$?
    {96, 1455, 2454},	// Plasma::SvgWidget::qt_metacast$
    {96, 1752, 2464},	// Plasma::SvgWidget::setElementID$
    {96, 1989, 2462},	// Plasma::SvgWidget::setSvg#
    {96, 2126, 2469},	// Plasma::SvgWidget::sizeHint$#
    {96, 2148, 2478},	// Plasma::SvgWidget::staticMetaObject
    {96, 2167, 2463},	// Plasma::SvgWidget::svg
    {96, 2223, 2471},	// Plasma::SvgWidget::tr$
    {96, 2224, 2455},	// Plasma::SvgWidget::tr$$
    {96, 2225, 2457},	// Plasma::SvgWidget::tr$$$
    {96, 2227, 2472},	// Plasma::SvgWidget::trUtf8$
    {96, 2228, 2456},	// Plasma::SvgWidget::trUtf8$$
    {96, 2229, 2458},	// Plasma::SvgWidget::trUtf8$$$
    {96, 2386, 2479},	// Plasma::SvgWidget::~SvgWidget
    {97, 490, 2513},	// Plasma::TabBar::TabBar
    {97, 491, 2487},	// Plasma::TabBar::TabBar#
    {97, 642, 2516},	// Plasma::TabBar::addTab#$
    {97, 643, 2490},	// Plasma::TabBar::addTab#$#
    {97, 644, 2517},	// Plasma::TabBar::addTab$
    {97, 645, 2491},	// Plasma::TabBar::addTab$#
    {97, 719, 2510},	// Plasma::TabBar::changeEvent#
    {97, 802, 2496},	// Plasma::TabBar::count
    {97, 825, 2507},	// Plasma::TabBar::currentChanged$
    {97, 826, 2495},	// Plasma::TabBar::currentIndex
    {97, 1098, 2514},	// Plasma::TabBar::insertTab$#$
    {97, 1099, 2488},	// Plasma::TabBar::insertTab$#$#
    {97, 1100, 2515},	// Plasma::TabBar::insertTab$$
    {97, 1101, 2489},	// Plasma::TabBar::insertTab$$#
    {97, 1142, 2502},	// Plasma::TabBar::isTabBarShown
    {97, 1324, 2480},	// Plasma::TabBar::metaObject
    {97, 1361, 2505},	// Plasma::TabBar::nativeWidget
    {97, 1453, 2486},	// Plasma::TabBar::qt_metacall$$?
    {97, 1455, 2481},	// Plasma::TabBar::qt_metacast$
    {97, 1517, 2492},	// Plasma::TabBar::removeTab$
    {97, 1544, 2509},	// Plasma::TabBar::resizeEvent#
    {97, 1711, 2506},	// Plasma::TabBar::setCurrentIndex$
    {97, 1983, 2503},	// Plasma::TabBar::setStyleSheet$
    {97, 1997, 2501},	// Plasma::TabBar::setTabBarShown$
    {97, 1999, 2499},	// Plasma::TabBar::setTabIcon$#
    {97, 2001, 2497},	// Plasma::TabBar::setTabText$$
    {97, 2148, 2518},	// Plasma::TabBar::staticMetaObject
    {97, 2161, 2504},	// Plasma::TabBar::styleSheet
    {97, 2177, 2494},	// Plasma::TabBar::tabAt$
    {97, 2179, 2500},	// Plasma::TabBar::tabIcon$
    {97, 2181, 2498},	// Plasma::TabBar::tabText$
    {97, 2184, 2493},	// Plasma::TabBar::takeTab$
    {97, 2223, 2511},	// Plasma::TabBar::tr$
    {97, 2224, 2482},	// Plasma::TabBar::tr$$
    {97, 2225, 2484},	// Plasma::TabBar::tr$$$
    {97, 2227, 2512},	// Plasma::TabBar::trUtf8$
    {97, 2228, 2483},	// Plasma::TabBar::trUtf8$$
    {97, 2229, 2485},	// Plasma::TabBar::trUtf8$$$
    {97, 2306, 2508},	// Plasma::TabBar::wheelEvent#
    {97, 2387, 2519},	// Plasma::TabBar::~TabBar
    {98, 492, 2544},	// Plasma::TextBrowser::TextBrowser
    {98, 493, 2527},	// Plasma::TextBrowser::TextBrowser#
    {98, 674, 2535},	// Plasma::TextBrowser::append$
    {98, 719, 2540},	// Plasma::TextBrowser::changeEvent#
    {98, 798, 2541},	// Plasma::TextBrowser::contextMenuEvent#
    {98, 843, 2536},	// Plasma::TextBrowser::dataUpdated$?
    {98, 1324, 2520},	// Plasma::TextBrowser::metaObject
    {98, 1361, 2534},	// Plasma::TextBrowser::nativeWidget
    {98, 1453, 2526},	// Plasma::TextBrowser::qt_metacall$$?
    {98, 1455, 2521},	// Plasma::TextBrowser::qt_metacast$
    {98, 1544, 2538},	// Plasma::TextBrowser::resizeEvent#
    {98, 1803, 2530},	// Plasma::TextBrowser::setHorizontalScrollBarPolicy$
    {98, 1983, 2532},	// Plasma::TextBrowser::setStyleSheet$
    {98, 2013, 2528},	// Plasma::TextBrowser::setText$
    {98, 2063, 2531},	// Plasma::TextBrowser::setVerticalScrollBarPolicy$
    {98, 2148, 2545},	// Plasma::TextBrowser::staticMetaObject
    {98, 2161, 2533},	// Plasma::TextBrowser::styleSheet
    {98, 2194, 2529},	// Plasma::TextBrowser::text
    {98, 2196, 2537},	// Plasma::TextBrowser::textChanged
    {98, 2223, 2542},	// Plasma::TextBrowser::tr$
    {98, 2224, 2522},	// Plasma::TextBrowser::tr$$
    {98, 2225, 2524},	// Plasma::TextBrowser::tr$$$
    {98, 2227, 2543},	// Plasma::TextBrowser::trUtf8$
    {98, 2228, 2523},	// Plasma::TextBrowser::trUtf8$$
    {98, 2229, 2525},	// Plasma::TextBrowser::trUtf8$$$
    {98, 2306, 2539},	// Plasma::TextBrowser::wheelEvent#
    {98, 2388, 2546},	// Plasma::TextBrowser::~TextBrowser
    {99, 495, 2573},	// Plasma::TextEdit::TextEdit
    {99, 496, 2554},	// Plasma::TextEdit::TextEdit#
    {99, 674, 2563},	// Plasma::TextEdit::append$
    {99, 719, 2567},	// Plasma::TextEdit::changeEvent#
    {99, 798, 2568},	// Plasma::TextEdit::contextMenuEvent#
    {99, 843, 2564},	// Plasma::TextEdit::dataUpdated$?
    {99, 998, 2570},	// Plasma::TextEdit::focusOutEvent#
    {99, 1135, 2558},	// Plasma::TextEdit::isReadOnly
    {99, 1324, 2547},	// Plasma::TextEdit::metaObject
    {99, 1344, 2569},	// Plasma::TextEdit::mousePressEvent#
    {99, 1361, 2562},	// Plasma::TextEdit::nativeWidget
    {99, 1453, 2553},	// Plasma::TextEdit::qt_metacall$$?
    {99, 1455, 2548},	// Plasma::TextEdit::qt_metacast$
    {99, 1544, 2566},	// Plasma::TextEdit::resizeEvent#
    {99, 1869, 2561},	// Plasma::TextEdit::setNativeWidget#
    {99, 1916, 2557},	// Plasma::TextEdit::setReadOnly$
    {99, 1983, 2559},	// Plasma::TextEdit::setStyleSheet$
    {99, 2013, 2555},	// Plasma::TextEdit::setText$
    {99, 2148, 2574},	// Plasma::TextEdit::staticMetaObject
    {99, 2161, 2560},	// Plasma::TextEdit::styleSheet
    {99, 2194, 2556},	// Plasma::TextEdit::text
    {99, 2196, 2565},	// Plasma::TextEdit::textChanged
    {99, 2223, 2571},	// Plasma::TextEdit::tr$
    {99, 2224, 2549},	// Plasma::TextEdit::tr$$
    {99, 2225, 2551},	// Plasma::TextEdit::tr$$$
    {99, 2227, 2572},	// Plasma::TextEdit::trUtf8$
    {99, 2228, 2550},	// Plasma::TextEdit::trUtf8$$
    {99, 2229, 2552},	// Plasma::TextEdit::trUtf8$$$
    {99, 2389, 2575},	// Plasma::TextEdit::~TextEdit
    {100, 49, 2625},	// Plasma::Theme::BackgroundColor
    {100, 66, 2627},	// Plasma::Theme::ButtonBackgroundColor
    {100, 71, 2626},	// Plasma::Theme::ButtonTextColor
    {100, 128, 2630},	// Plasma::Theme::DefaultFont
    {100, 136, 2631},	// Plasma::Theme::DesktopFont
    {100, 201, 2624},	// Plasma::Theme::HighlightColor
    {100, 305, 2628},	// Plasma::Theme::LinkColor
    {100, 494, 2623},	// Plasma::Theme::TextColor
    {100, 497, 2617},	// Plasma::Theme::Theme
    {100, 498, 2584},	// Plasma::Theme::Theme#
    {100, 499, 2618},	// Plasma::Theme::Theme$
    {100, 500, 2585},	// Plasma::Theme::Theme$#
    {100, 544, 2629},	// Plasma::Theme::VisitedLinkColor
    {100, 668, 2591},	// Plasma::Theme::animationPath$
    {100, 743, 2595},	// Plasma::Theme::color$
    {100, 744, 2594},	// Plasma::Theme::colorScheme
    {100, 830, 2593},	// Plasma::Theme::currentThemeHasImage$
    {100, 846, 2583},	// Plasma::Theme::defaultTheme
    {100, 975, 2604},	// Plasma::Theme::findInCache$#
    {100, 976, 2605},	// Plasma::Theme::findInCache$#$
    {100, 978, 2609},	// Plasma::Theme::findInRectsCache$$#
    {100, 1001, 2597},	// Plasma::Theme::font$
    {100, 1004, 2598},	// Plasma::Theme::fontMetrics
    {100, 1071, 2590},	// Plasma::Theme::imagePath$
    {100, 1093, 2606},	// Plasma::Theme::insertIntoCache$#
    {100, 1094, 2607},	// Plasma::Theme::insertIntoCache$#$
    {100, 1096, 2610},	// Plasma::Theme::insertIntoRectsCache$$#
    {100, 1106, 2611},	// Plasma::Theme::invalidateRectsCache$
    {100, 1250, 2587},	// Plasma::Theme::listThemeInfo
    {100, 1324, 2576},	// Plasma::Theme::metaObject
    {100, 1384, 2586},	// Plasma::Theme::packageStructure
    {100, 1453, 2582},	// Plasma::Theme::qt_metacall$$?
    {100, 1455, 2577},	// Plasma::Theme::qt_metacast$
    {100, 1481, 2612},	// Plasma::Theme::releaseRectsCache$
    {100, 1666, 2608},	// Plasma::Theme::setCacheLimit$
    {100, 1771, 2620},	// Plasma::Theme::setFont#
    {100, 1772, 2596},	// Plasma::Theme::setFont#$
    {100, 2021, 2588},	// Plasma::Theme::setThemeName$
    {100, 2043, 2600},	// Plasma::Theme::setUseGlobalSettings$
    {100, 2085, 2614},	// Plasma::Theme::settingsChanged
    {100, 2148, 2622},	// Plasma::Theme::staticMetaObject
    {100, 2161, 2621},	// Plasma::Theme::styleSheet
    {100, 2162, 2603},	// Plasma::Theme::styleSheet$
    {100, 2202, 2613},	// Plasma::Theme::themeChanged
    {100, 2203, 2589},	// Plasma::Theme::themeName
    {100, 2223, 2615},	// Plasma::Theme::tr$
    {100, 2224, 2578},	// Plasma::Theme::tr$$
    {100, 2225, 2580},	// Plasma::Theme::tr$$$
    {100, 2227, 2616},	// Plasma::Theme::trUtf8$
    {100, 2228, 2579},	// Plasma::Theme::trUtf8$$
    {100, 2229, 2581},	// Plasma::Theme::trUtf8$$$
    {100, 2269, 2601},	// Plasma::Theme::useGlobalSettings
    {100, 2270, 2602},	// Plasma::Theme::useNativeWidgetStyle
    {100, 2302, 2619},	// Plasma::Theme::wallpaperPath
    {100, 2303, 2592},	// Plasma::Theme::wallpaperPath#
    {100, 2314, 2599},	// Plasma::Theme::windowTranslucencyEnabled
    {100, 2390, 2632},	// Plasma::Theme::~Theme
    {101, 502, 2669},	// Plasma::ToolButton::ToolButton
    {101, 503, 2640},	// Plasma::ToolButton::ToolButton#
    {101, 570, 2653},	// Plasma::ToolButton::action
    {101, 699, 2642},	// Plasma::ToolButton::autoRaise
    {101, 719, 2664},	// Plasma::ToolButton::changeEvent#
    {101, 733, 2657},	// Plasma::ToolButton::clicked
    {101, 1059, 2662},	// Plasma::ToolButton::hoverEnterEvent#
    {101, 1061, 2663},	// Plasma::ToolButton::hoverLeaveEvent#
    {101, 1065, 2655},	// Plasma::ToolButton::icon
    {101, 1069, 2647},	// Plasma::ToolButton::image
    {101, 1120, 2649},	// Plasma::ToolButton::isDown
    {101, 1162, 2665},	// Plasma::ToolButton::itemChange$#
    {101, 1324, 2633},	// Plasma::ToolButton::metaObject
    {101, 1361, 2656},	// Plasma::ToolButton::nativeWidget
    {101, 1390, 2670},	// Plasma::ToolButton::paint##
    {101, 1391, 2660},	// Plasma::ToolButton::paint###
    {101, 1443, 2658},	// Plasma::ToolButton::pressed
    {101, 1453, 2639},	// Plasma::ToolButton::qt_metacall$$?
    {101, 1455, 2634},	// Plasma::ToolButton::qt_metacast$
    {101, 1483, 2659},	// Plasma::ToolButton::released
    {101, 1544, 2661},	// Plasma::ToolButton::resizeEvent#
    {101, 1616, 2652},	// Plasma::ToolButton::setAction#
    {101, 1652, 2641},	// Plasma::ToolButton::setAutoRaise$
    {101, 1739, 2648},	// Plasma::ToolButton::setDown$
    {101, 1810, 2654},	// Plasma::ToolButton::setIcon#
    {101, 1818, 2645},	// Plasma::ToolButton::setImage$
    {101, 1819, 2646},	// Plasma::ToolButton::setImage$$
    {101, 1983, 2650},	// Plasma::ToolButton::setStyleSheet$
    {101, 2013, 2643},	// Plasma::ToolButton::setText$
    {101, 2126, 2666},	// Plasma::ToolButton::sizeHint$#
    {101, 2148, 2671},	// Plasma::ToolButton::staticMetaObject
    {101, 2161, 2651},	// Plasma::ToolButton::styleSheet
    {101, 2194, 2644},	// Plasma::ToolButton::text
    {101, 2223, 2667},	// Plasma::ToolButton::tr$
    {101, 2224, 2635},	// Plasma::ToolButton::tr$$
    {101, 2225, 2637},	// Plasma::ToolButton::tr$$$
    {101, 2227, 2668},	// Plasma::ToolButton::trUtf8$
    {101, 2228, 2636},	// Plasma::ToolButton::trUtf8$$
    {101, 2229, 2638},	// Plasma::ToolButton::trUtf8$$$
    {101, 2391, 2672},	// Plasma::ToolButton::~ToolButton
    {102, 112, 2701},	// Plasma::ToolTipContent::CssResource
    {102, 204, 2700},	// Plasma::ToolTipContent::HtmlResource
    {102, 213, 2699},	// Plasma::ToolTipContent::ImageResource
    {102, 504, 2673},	// Plasma::ToolTipContent::ToolTipContent
    {102, 505, 2674},	// Plasma::ToolTipContent::ToolTipContent#
    {102, 506, 2698},	// Plasma::ToolTipContent::ToolTipContent$$
    {102, 507, -31},	// Plasma::ToolTipContent::ToolTipContent$$#
    {102, 628, 2694},	// Plasma::ToolTipContent::addResource$##
    {102, 700, 2693},	// Plasma::ToolTipContent::autohide
    {102, 1053, 2691},	// Plasma::ToolTipContent::highlightWindows
    {102, 1069, 2685},	// Plasma::ToolTipContent::image
    {102, 1116, 2697},	// Plasma::ToolTipContent::isClickable
    {102, 1121, 2678},	// Plasma::ToolTipContent::isEmpty
    {102, 1300, 2680},	// Plasma::ToolTipContent::mainText
    {102, 1379, 2677},	// Plasma::ToolTipContent::operator=#
    {102, 1475, 2695},	// Plasma::ToolTipContent::registerResources#
    {102, 1654, 2692},	// Plasma::ToolTipContent::setAutohide$
    {102, 1678, 2696},	// Plasma::ToolTipContent::setClickable$
    {102, 1795, 2690},	// Plasma::ToolTipContent::setHighlightWindows$
    {102, 1817, -34},	// Plasma::ToolTipContent::setImage#
    {102, 1846, 2679},	// Plasma::ToolTipContent::setMainText$
    {102, 1985, 2681},	// Plasma::ToolTipContent::setSubText$
    {102, 2078, 2686},	// Plasma::ToolTipContent::setWindowToPreview$
    {102, 2080, 2688},	// Plasma::ToolTipContent::setWindowsToPreview?
    {102, 2163, 2682},	// Plasma::ToolTipContent::subText
    {102, 2313, 2687},	// Plasma::ToolTipContent::windowToPreview
    {102, 2315, 2689},	// Plasma::ToolTipContent::windowsToPreview
    {102, 2392, 2702},	// Plasma::ToolTipContent::~ToolTipContent
    {103, 16, 2725},	// Plasma::ToolTipManager::Activated
    {103, 124, 2727},	// Plasma::ToolTipManager::Deactivated
    {103, 217, 2726},	// Plasma::ToolTipManager::Inhibited
    {103, 731, 2717},	// Plasma::ToolTipManager::clearContent#
    {103, 1048, 2713},	// Plasma::ToolTipManager::hide#
    {103, 1148, 2712},	// Plasma::ToolTipManager::isVisible#
    {103, 1213, 2721},	// Plasma::ToolTipManager::linkActivated$$$#
    {103, 1324, 2703},	// Plasma::ToolTipManager::metaObject
    {103, 1453, 2709},	// Plasma::ToolTipManager::qt_metacall$$?
    {103, 1455, 2704},	// Plasma::ToolTipManager::qt_metacast$
    {103, 1479, 2714},	// Plasma::ToolTipManager::registerWidget#
    {103, 1603, 2710},	// Plasma::ToolTipManager::self
    {103, 1697, 2716},	// Plasma::ToolTipManager::setContent##
    {103, 1979, 2718},	// Plasma::ToolTipManager::setState$
    {103, 2091, 2711},	// Plasma::ToolTipManager::show#
    {103, 2147, 2719},	// Plasma::ToolTipManager::state
    {103, 2148, 2724},	// Plasma::ToolTipManager::staticMetaObject
    {103, 2223, 2722},	// Plasma::ToolTipManager::tr$
    {103, 2224, 2705},	// Plasma::ToolTipManager::tr$$
    {103, 2225, 2707},	// Plasma::ToolTipManager::tr$$$
    {103, 2227, 2723},	// Plasma::ToolTipManager::trUtf8$
    {103, 2228, 2706},	// Plasma::ToolTipManager::trUtf8$$
    {103, 2229, 2708},	// Plasma::ToolTipManager::trUtf8$$$
    {103, 2246, 2715},	// Plasma::ToolTipManager::unregisterWidget#
    {103, 2312, 2720},	// Plasma::ToolTipManager::windowPreviewActivated$$$#
    {104, 517, 2743},	// Plasma::TreeView::TreeView
    {104, 518, 2735},	// Plasma::TreeView::TreeView#
    {104, 1324, 2728},	// Plasma::TreeView::metaObject
    {104, 1338, 2737},	// Plasma::TreeView::model
    {104, 1361, 2740},	// Plasma::TreeView::nativeWidget
    {104, 1453, 2734},	// Plasma::TreeView::qt_metacall$$?
    {104, 1455, 2729},	// Plasma::TreeView::qt_metacast$
    {104, 1864, 2736},	// Plasma::TreeView::setModel#
    {104, 1983, 2738},	// Plasma::TreeView::setStyleSheet$
    {104, 2148, 2744},	// Plasma::TreeView::staticMetaObject
    {104, 2161, 2739},	// Plasma::TreeView::styleSheet
    {104, 2223, 2741},	// Plasma::TreeView::tr$
    {104, 2224, 2730},	// Plasma::TreeView::tr$$
    {104, 2225, 2732},	// Plasma::TreeView::tr$$$
    {104, 2227, 2742},	// Plasma::TreeView::trUtf8$
    {104, 2228, 2731},	// Plasma::TreeView::trUtf8$$
    {104, 2229, 2733},	// Plasma::TreeView::trUtf8$$$
    {104, 2393, 2745},	// Plasma::TreeView::~TreeView
    {105, 127, 2794},	// Plasma::VideoWidget::DefaultControls
    {105, 324, 2790},	// Plasma::VideoWidget::Next
    {105, 335, 2784},	// Plasma::VideoWidget::NoControls
    {105, 351, 2793},	// Plasma::VideoWidget::OpenFile
    {105, 366, 2786},	// Plasma::VideoWidget::Pause
    {105, 375, 2785},	// Plasma::VideoWidget::Play
    {105, 376, 2788},	// Plasma::VideoWidget::PlayPause
    {105, 383, 2789},	// Plasma::VideoWidget::Previous
    {105, 384, 2791},	// Plasma::VideoWidget::Progress
    {105, 472, 2787},	// Plasma::VideoWidget::Stop
    {105, 537, 2782},	// Plasma::VideoWidget::VideoWidget
    {105, 538, 2753},	// Plasma::VideoWidget::VideoWidget#
    {105, 545, 2792},	// Plasma::VideoWidget::Volume
    {105, 564, 2773},	// Plasma::VideoWidget::aboutToFinish
    {105, 693, 2757},	// Plasma::VideoWidget::audioOutput
    {105, 800, 2764},	// Plasma::VideoWidget::controlsVisible
    {105, 831, 2758},	// Plasma::VideoWidget::currentTime
    {105, 1059, 2777},	// Plasma::VideoWidget::hoverEnterEvent#
    {105, 1061, 2778},	// Plasma::VideoWidget::hoverLeaveEvent#
    {105, 1063, 2779},	// Plasma::VideoWidget::hoverMoveEvent#
    {105, 1321, 2756},	// Plasma::VideoWidget::mediaObject
    {105, 1324, 2746},	// Plasma::VideoWidget::metaObject
    {105, 1361, 2767},	// Plasma::VideoWidget::nativeWidget
    {105, 1365, 2774},	// Plasma::VideoWidget::nextRequested
    {105, 1419, 2769},	// Plasma::VideoWidget::pause
    {105, 1426, 2768},	// Plasma::VideoWidget::play
    {105, 1445, 2775},	// Plasma::VideoWidget::previousRequested
    {105, 1453, 2752},	// Plasma::VideoWidget::qt_metacall$$?
    {105, 1455, 2747},	// Plasma::VideoWidget::qt_metacast$
    {105, 1486, 2760},	// Plasma::VideoWidget::remainingTime
    {105, 1544, 2776},	// Plasma::VideoWidget::resizeEvent#
    {105, 1601, 2771},	// Plasma::VideoWidget::seek$
    {105, 1705, 2763},	// Plasma::VideoWidget::setControlsVisible$
    {105, 1983, 2765},	// Plasma::VideoWidget::setStyleSheet$
    {105, 2039, 2754},	// Plasma::VideoWidget::setUrl$
    {105, 2045, 2761},	// Plasma::VideoWidget::setUsedControls$
    {105, 2148, 2783},	// Plasma::VideoWidget::staticMetaObject
    {105, 2150, 2770},	// Plasma::VideoWidget::stop
    {105, 2161, 2766},	// Plasma::VideoWidget::styleSheet
    {105, 2206, 2772},	// Plasma::VideoWidget::tick$
    {105, 2221, 2759},	// Plasma::VideoWidget::totalTime
    {105, 2223, 2780},	// Plasma::VideoWidget::tr$
    {105, 2224, 2748},	// Plasma::VideoWidget::tr$$
    {105, 2225, 2750},	// Plasma::VideoWidget::tr$$$
    {105, 2227, 2781},	// Plasma::VideoWidget::trUtf8$
    {105, 2228, 2749},	// Plasma::VideoWidget::trUtf8$$
    {105, 2229, 2751},	// Plasma::VideoWidget::trUtf8$$$
    {105, 2264, 2755},	// Plasma::VideoWidget::url
    {105, 2271, 2762},	// Plasma::VideoWidget::usedControls
    {105, 2394, 2795},	// Plasma::VideoWidget::~VideoWidget
    {106, 540, 2826},	// Plasma::View::View#
    {106, 541, 2803},	// Plasma::View::View##
    {106, 542, 2827},	// Plasma::View::View#$
    {106, 543, 2804},	// Plasma::View::View#$#
    {106, 745, 2822},	// Plasma::View::config
    {106, 748, 2823},	// Plasma::View::configNeedsSaving
    {106, 772, 2811},	// Plasma::View::containment
    {106, 850, 2809},	// Plasma::View::desktop
    {106, 910, 2810},	// Plasma::View::effectiveDesktop
    {106, 1067, 2817},	// Plasma::View::id
    {106, 1149, 2806},	// Plasma::View::isWallpaperEnabled
    {106, 1296, 2820},	// Plasma::View::lostContainment
    {106, 1324, 2796},	// Plasma::View::metaObject
    {106, 1453, 2802},	// Plasma::View::qt_metacall$$?
    {106, 1455, 2797},	// Plasma::View::qt_metacast$
    {106, 1582, 2818},	// Plasma::View::sceneRectAboutToChange
    {106, 1583, 2819},	// Plasma::View::sceneRectChanged
    {106, 1585, 2808},	// Plasma::View::screen
    {106, 1687, 2821},	// Plasma::View::setContainment#
    {106, 1942, 2828},	// Plasma::View::setScreen$
    {106, 1943, 2807},	// Plasma::View::setScreen$$
    {106, 2031, 2814},	// Plasma::View::setTrackContainmentChanges$
    {106, 2072, 2805},	// Plasma::View::setWallpaperEnabled$
    {106, 2148, 2831},	// Plasma::View::staticMetaObject
    {106, 2170, 2829},	// Plasma::View::swapContainment#$
    {106, 2171, 2812},	// Plasma::View::swapContainment#$?
    {106, 2172, 2830},	// Plasma::View::swapContainment$
    {106, 2173, 2813},	// Plasma::View::swapContainment$?
    {106, 2220, 2816},	// Plasma::View::topLevelViewAt#
    {106, 2223, 2824},	// Plasma::View::tr$
    {106, 2224, 2798},	// Plasma::View::tr$$
    {106, 2225, 2800},	// Plasma::View::tr$$$
    {106, 2227, 2825},	// Plasma::View::trUtf8$
    {106, 2228, 2799},	// Plasma::View::trUtf8$$
    {106, 2229, 2801},	// Plasma::View::trUtf8$$$
    {106, 2230, 2815},	// Plasma::View::trackContainmentChanges
    {106, 2395, 2832},	// Plasma::View::~View
    {107, 78, 2906},	// Plasma::Wallpaper::CenterTiledResize
    {107, 79, 2903},	// Plasma::Wallpaper::CenteredResize
    {107, 310, 2907},	// Plasma::Wallpaper::MaxpectResize
    {107, 428, 2904},	// Plasma::Wallpaper::ScaledAndCroppedResize
    {107, 429, 2902},	// Plasma::Wallpaper::ScaledResize
    {107, 501, 2905},	// Plasma::Wallpaper::TiledResize
    {107, 546, 2889},	// Plasma::Wallpaper::Wallpaper
    {107, 547, 2840},	// Plasma::Wallpaper::Wallpaper#
    {107, 548, 2879},	// Plasma::Wallpaper::Wallpaper#?
    {107, 712, 2854},	// Plasma::Wallpaper::boundingRect
    {107, 748, 2875},	// Plasma::Wallpaper::configNeedsSaving
    {107, 752, 2865},	// Plasma::Wallpaper::configurationRequired
    {107, 753, 2874},	// Plasma::Wallpaper::configurationRequired$
    {107, 754, 2873},	// Plasma::Wallpaper::configureRequested
    {107, 792, 2900},	// Plasma::Wallpaper::contextActions
    {107, 799, 2869},	// Plasma::Wallpaper::contextualActions
    {107, 809, 2859},	// Plasma::Wallpaper::createConfigurationInterface#
    {107, 841, 2864},	// Plasma::Wallpaper::dataEngine$
    {107, 975, 2898},	// Plasma::Wallpaper::findInCache$#
    {107, 976, 2884},	// Plasma::Wallpaper::findInCache$#$
    {107, 1065, 2849},	// Plasma::Wallpaper::icon
    {107, 1082, 2880},	// Plasma::Wallpaper::init#
    {107, 1093, 2885},	// Plasma::Wallpaper::insertIntoCache$#
    {107, 1125, 2853},	// Plasma::Wallpaper::isInitialized
    {107, 1133, 2870},	// Plasma::Wallpaper::isPreviewing
    {107, 1145, 2866},	// Plasma::Wallpaper::isUsingRenderingCache
    {107, 1249, 2852},	// Plasma::Wallpaper::listRenderingModes
    {107, 1251, 2890},	// Plasma::Wallpaper::listWallpaperInfo
    {107, 1252, 2841},	// Plasma::Wallpaper::listWallpaperInfo$
    {107, 1254, 2891},	// Plasma::Wallpaper::listWallpaperInfoForMimetype$
    {107, 1255, 2842},	// Plasma::Wallpaper::listWallpaperInfoForMimetype$$
    {107, 1257, 2893},	// Plasma::Wallpaper::load#
    {107, 1262, 2844},	// Plasma::Wallpaper::load#?
    {107, 1263, 2892},	// Plasma::Wallpaper::load$
    {107, 1267, 2843},	// Plasma::Wallpaper::load$?
    {107, 1324, 2833},	// Plasma::Wallpaper::metaObject
    {107, 1342, 2860},	// Plasma::Wallpaper::mouseMoveEvent#
    {107, 1344, 2861},	// Plasma::Wallpaper::mousePressEvent#
    {107, 1346, 2862},	// Plasma::Wallpaper::mouseReleaseEvent#
    {107, 1359, 2846},	// Plasma::Wallpaper::name
    {107, 1383, 2847},	// Plasma::Wallpaper::package
    {107, 1384, 2894},	// Plasma::Wallpaper::packageStructure
    {107, 1385, 2845},	// Plasma::Wallpaper::packageStructure#
    {107, 1390, 2856},	// Plasma::Wallpaper::paint##
    {107, 1428, 2848},	// Plasma::Wallpaper::pluginName
    {107, 1453, 2839},	// Plasma::Wallpaper::qt_metacall$$?
    {107, 1455, 2834},	// Plasma::Wallpaper::qt_metacast$
    {107, 1523, 2896},	// Plasma::Wallpaper::render$#
    {107, 1524, 2897},	// Plasma::Wallpaper::render$#$
    {107, 1525, 2882},	// Plasma::Wallpaper::render$#$#
    {107, 1527, 2876},	// Plasma::Wallpaper::renderCompleted#
    {107, 1528, 2878},	// Plasma::Wallpaper::renderHintsChanged
    {107, 1529, 2850},	// Plasma::Wallpaper::renderingMode
    {107, 1548, 2857},	// Plasma::Wallpaper::restore#
    {107, 1567, 2858},	// Plasma::Wallpaper::save#
    {107, 1660, 2855},	// Plasma::Wallpaper::setBoundingRect#
    {107, 1684, 2895},	// Plasma::Wallpaper::setConfigurationRequired$
    {107, 1685, 2881},	// Plasma::Wallpaper::setConfigurationRequired$$
    {107, 1701, 2901},	// Plasma::Wallpaper::setContextActions?
    {107, 1703, 2886},	// Plasma::Wallpaper::setContextualActions?
    {107, 1908, 2871},	// Plasma::Wallpaper::setPreviewing$
    {107, 1922, 2851},	// Plasma::Wallpaper::setRenderingMode$
    {107, 1930, 2867},	// Plasma::Wallpaper::setResizeMethodHint$
    {107, 2007, 2868},	// Plasma::Wallpaper::setTargetSizeHint#
    {107, 2047, 2883},	// Plasma::Wallpaper::setUsingRenderingCache$
    {107, 2148, 2899},	// Plasma::Wallpaper::staticMetaObject
    {107, 2223, 2887},	// Plasma::Wallpaper::tr$
    {107, 2224, 2835},	// Plasma::Wallpaper::tr$$
    {107, 2225, 2837},	// Plasma::Wallpaper::tr$$$
    {107, 2227, 2888},	// Plasma::Wallpaper::trUtf8$
    {107, 2228, 2836},	// Plasma::Wallpaper::trUtf8$$
    {107, 2229, 2838},	// Plasma::Wallpaper::trUtf8$$$
    {107, 2248, 2872},	// Plasma::Wallpaper::update#
    {107, 2266, 2877},	// Plasma::Wallpaper::urlDropped#
    {107, 2306, 2863},	// Plasma::Wallpaper::wheelEvent#
    {107, 2396, 2908},	// Plasma::Wallpaper::~Wallpaper
    {108, 550, 2947},	// Plasma::WallpaperScript::WallpaperScript
    {108, 551, 2916},	// Plasma::WallpaperScript::WallpaperScript#
    {108, 712, 2931},	// Plasma::WallpaperScript::boundingRect
    {108, 748, 2942},	// Plasma::WallpaperScript::configNeedsSaving
    {108, 809, 2922},	// Plasma::WallpaperScript::createConfigurationInterface#
    {108, 841, 2932},	// Plasma::WallpaperScript::dataEngine$
    {108, 849, 2929},	// Plasma::WallpaperScript::description
    {108, 975, 2951},	// Plasma::WallpaperScript::findInCache$#
    {108, 976, 2938},	// Plasma::WallpaperScript::findInCache$#$
    {108, 1087, 2919},	// Plasma::WallpaperScript::initWallpaper#
    {108, 1093, 2939},	// Plasma::WallpaperScript::insertIntoCache$#
    {108, 1125, 2930},	// Plasma::WallpaperScript::isInitialized
    {108, 1299, 2927},	// Plasma::WallpaperScript::mainScript
    {108, 1324, 2909},	// Plasma::WallpaperScript::metaObject
    {108, 1342, 2923},	// Plasma::WallpaperScript::mouseMoveEvent#
    {108, 1344, 2924},	// Plasma::WallpaperScript::mousePressEvent#
    {108, 1346, 2925},	// Plasma::WallpaperScript::mouseReleaseEvent#
    {108, 1383, 2928},	// Plasma::WallpaperScript::package
    {108, 1390, 2920},	// Plasma::WallpaperScript::paint##
    {108, 1453, 2915},	// Plasma::WallpaperScript::qt_metacall$$?
    {108, 1455, 2910},	// Plasma::WallpaperScript::qt_metacast$
    {108, 1523, 2949},	// Plasma::WallpaperScript::render$#
    {108, 1524, 2950},	// Plasma::WallpaperScript::render$#$
    {108, 1525, 2936},	// Plasma::WallpaperScript::render$#$#
    {108, 1527, 2943},	// Plasma::WallpaperScript::renderCompleted#
    {108, 1567, 2921},	// Plasma::WallpaperScript::save#
    {108, 1684, 2948},	// Plasma::WallpaperScript::setConfigurationRequired$
    {108, 1685, 2935},	// Plasma::WallpaperScript::setConfigurationRequired$$
    {108, 1703, 2940},	// Plasma::WallpaperScript::setContextualActions?
    {108, 1930, 2933},	// Plasma::WallpaperScript::setResizeMethodHint$
    {108, 2007, 2934},	// Plasma::WallpaperScript::setTargetSizeHint#
    {108, 2047, 2937},	// Plasma::WallpaperScript::setUsingRenderingCache$
    {108, 2068, 2917},	// Plasma::WallpaperScript::setWallpaper#
    {108, 2148, 2952},	// Plasma::WallpaperScript::staticMetaObject
    {108, 2223, 2945},	// Plasma::WallpaperScript::tr$
    {108, 2224, 2911},	// Plasma::WallpaperScript::tr$$
    {108, 2225, 2913},	// Plasma::WallpaperScript::tr$$$
    {108, 2227, 2946},	// Plasma::WallpaperScript::trUtf8$
    {108, 2228, 2912},	// Plasma::WallpaperScript::trUtf8$$
    {108, 2229, 2914},	// Plasma::WallpaperScript::trUtf8$$$
    {108, 2248, 2941},	// Plasma::WallpaperScript::update#
    {108, 2266, 2944},	// Plasma::WallpaperScript::urlDropped#
    {108, 2301, 2918},	// Plasma::WallpaperScript::wallpaper
    {108, 2306, 2926},	// Plasma::WallpaperScript::wheelEvent#
    {108, 2397, 2953},	// Plasma::WallpaperScript::~WallpaperScript
    {109, 553, 3002},	// Plasma::WebView::WebView
    {109, 554, 2961},	// Plasma::WebView::WebView#
    {109, 790, 2968},	// Plasma::WebView::contentsSize
    {109, 798, 2988},	// Plasma::WebView::contextMenuEvent#
    {109, 875, 2994},	// Plasma::WebView::dragEnterEvent#
    {109, 877, 2995},	// Plasma::WebView::dragLeaveEvent#
    {109, 879, 2996},	// Plasma::WebView::dragMoveEvent#
    {109, 880, 2978},	// Plasma::WebView::dragToScroll
    {109, 905, 2997},	// Plasma::WebView::dropEvent#
    {109, 994, 2992},	// Plasma::WebView::focusInEvent#
    {109, 998, 2993},	// Plasma::WebView::focusOutEvent#
    {109, 1013, 2967},	// Plasma::WebView::geometry
    {109, 1063, 2984},	// Plasma::WebView::hoverMoveEvent#
    {109, 1064, 2965},	// Plasma::WebView::html
    {109, 1162, 2998},	// Plasma::WebView::itemChange$#
    {109, 1181, 2990},	// Plasma::WebView::keyPressEvent#
    {109, 1183, 2991},	// Plasma::WebView::keyReleaseEvent#
    {109, 1275, 2981},	// Plasma::WebView::loadFinished$
    {109, 1283, 2980},	// Plasma::WebView::loadProgress$
    {109, 1298, 2976},	// Plasma::WebView::mainFrame
    {109, 1324, 2954},	// Plasma::WebView::metaObject
    {109, 1340, 2986},	// Plasma::WebView::mouseDoubleClickEvent#
    {109, 1342, 2983},	// Plasma::WebView::mouseMoveEvent#
    {109, 1344, 2985},	// Plasma::WebView::mousePressEvent#
    {109, 1346, 2987},	// Plasma::WebView::mouseReleaseEvent#
    {109, 1387, 2975},	// Plasma::WebView::page
    {109, 1390, 3005},	// Plasma::WebView::paint##
    {109, 1391, 2982},	// Plasma::WebView::paint###
    {109, 1453, 2960},	// Plasma::WebView::qt_metacall$$?
    {109, 1455, 2955},	// Plasma::WebView::qt_metacast$
    {109, 1594, 2970},	// Plasma::WebView::scrollPosition
    {109, 1741, 2977},	// Plasma::WebView::setDragToScroll$
    {109, 1780, 2979},	// Plasma::WebView::setGeometry#
    {109, 1805, 3003},	// Plasma::WebView::setHtml#
    {109, 1806, 2964},	// Plasma::WebView::setHtml##
    {109, 1807, 3004},	// Plasma::WebView::setHtml$
    {109, 1808, 2966},	// Plasma::WebView::setHtml$#
    {109, 1883, 2974},	// Plasma::WebView::setPage#
    {109, 1945, 2969},	// Plasma::WebView::setScrollPosition#
    {109, 2038, 2962},	// Plasma::WebView::setUrl#
    {109, 2084, 2973},	// Plasma::WebView::setZoomFactor$
    {109, 2126, 2999},	// Plasma::WebView::sizeHint$#
    {109, 2148, 3006},	// Plasma::WebView::staticMetaObject
    {109, 2223, 3000},	// Plasma::WebView::tr$
    {109, 2224, 2956},	// Plasma::WebView::tr$$
    {109, 2225, 2958},	// Plasma::WebView::tr$$$
    {109, 2227, 3001},	// Plasma::WebView::trUtf8$
    {109, 2228, 2957},	// Plasma::WebView::trUtf8$$
    {109, 2229, 2959},	// Plasma::WebView::trUtf8$$$
    {109, 2264, 2963},	// Plasma::WebView::url
    {109, 2294, 2971},	// Plasma::WebView::viewportGeometry
    {109, 2306, 2989},	// Plasma::WebView::wheelEvent#
    {109, 2322, 2972},	// Plasma::WebView::zoomFactor
    {109, 2398, 3007},	// Plasma::WebView::~WebView
    {133, 269, 3050},	// QGlobalSpace::KST_CTimeInfo
    {133, 270, 3043},	// QGlobalSpace::KST_KCustom
    {133, 271, 3038},	// QGlobalSpace::KST_KDEDesktopMimeType
    {133, 272, 3037},	// QGlobalSpace::KST_KFolderMimeType
    {133, 273, 3047},	// QGlobalSpace::KST_KImageIO
    {133, 274, 3040},	// QGlobalSpace::KST_KImageIOFormat
    {133, 275, 3036},	// QGlobalSpace::KST_KMimeType
    {133, 276, 3049},	// QGlobalSpace::KST_KMimeTypeFactory
    {133, 277, 3041},	// QGlobalSpace::KST_KProtocolInfo
    {133, 278, 3048},	// QGlobalSpace::KST_KProtocolInfoFactory
    {133, 279, 3034},	// QGlobalSpace::KST_KService
    {133, 280, 3044},	// QGlobalSpace::KST_KServiceFactory
    {133, 281, 3039},	// QGlobalSpace::KST_KServiceGroup
    {133, 282, 3046},	// QGlobalSpace::KST_KServiceGroupFactory
    {133, 283, 3042},	// QGlobalSpace::KST_KServiceSeparator
    {133, 284, 3035},	// QGlobalSpace::KST_KServiceType
    {133, 285, 3045},	// QGlobalSpace::KST_KServiceTypeFactory
    {133, 286, 3033},	// QGlobalSpace::KST_KSycocaEntry
    {133, 388, 3023},	// QGlobalSpace::Q_COMPLEX_TYPE
    {133, 389, 3027},	// QGlobalSpace::Q_DUMMY_TYPE
    {133, 390, 3026},	// QGlobalSpace::Q_MOVABLE_TYPE
    {133, 391, 3024},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {133, 392, 3025},	// QGlobalSpace::Q_STATIC_TYPE
    {133, 393, 3030},	// QGlobalSpace::QtCriticalMsg
    {133, 394, 3028},	// QGlobalSpace::QtDebugMsg
    {133, 395, 3031},	// QGlobalSpace::QtFatalMsg
    {133, 396, 3032},	// QGlobalSpace::QtSystemMsg
    {133, 397, 3029},	// QGlobalSpace::QtWarningMsg
    {133, 560, 3053},	// QGlobalSpace::__codecvt_error
    {133, 561, 3054},	// QGlobalSpace::__codecvt_noconv
    {133, 562, 3051},	// QGlobalSpace::__codecvt_ok
    {133, 563, 3052},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_kdecore_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *plasma_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_plasma_Smoke() {
    init_kdecore_Smoke();
    init_kdeui_Smoke();
    if (initialized) return;
    plasma_Smoke = new Smoke(
        "plasma",
        __smokeplasma::classes, 199,
        __smokeplasma::methods, 3262,
        __smokeplasma::methodMaps, 2997,
        __smokeplasma::methodNames, 2398,
        __smokeplasma::types, 481,
        __smokeplasma::inheritanceList,
        __smokeplasma::argumentList,
        __smokeplasma::ambiguousMethodList,
        __smokeplasma::cast );
    initialized = true;
}

void delete_plasma_Smoke() { delete plasma_Smoke; }

}
