#include <qscintilla2_includes.h>

#include <smoke.h>
#include <qsci_smoke.h>

namespace __smokeqsci {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractScrollArea
      switch(to) {
        case 15: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 43: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 24: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 1: return (void*)(QAbstractScrollArea*)xptr;
        case 83: return (void*)(QsciScintillaBase*)(QAbstractScrollArea*)xptr;
        case 82: return (void*)(QsciScintilla*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QChildEvent
      switch(to) {
        case 4: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 5:   //QCloseEvent
      switch(to) {
        case 5: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QColor
      switch(to) {
        case 6: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 7:   //QContextMenuEvent
      switch(to) {
        case 7: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDragEnterEvent
      switch(to) {
        case 8: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QDragLeaveEvent
      switch(to) {
        case 9: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QDragMoveEvent
      switch(to) {
        case 10: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QDropEvent
      switch(to) {
        case 11: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QEvent
      switch(to) {
        case 12: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QFocusEvent
      switch(to) {
        case 13: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QFont
      switch(to) {
        case 14: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 15:   //QFrame
      switch(to) {
        case 43: return (void*)(QWidget*)(QFrame*)xptr;
        case 24: return (void*)(QObject*)(QFrame*)xptr;
        case 15: return (void*)(QFrame*)xptr;
        case 83: return (void*)(QsciScintillaBase*)(QFrame*)xptr;
        case 82: return (void*)(QsciScintilla*)(QFrame*)xptr;
        default: return xptr;
      }
    case 17:   //QHideEvent
      switch(to) {
        case 17: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 18:   //QIODevice
      switch(to) {
        case 24: return (void*)(QObject*)(QIODevice*)xptr;
        case 18: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 19:   //QInputMethodEvent
      switch(to) {
        case 19: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QKeyEvent
      switch(to) {
        case 20: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QMetaObject
      switch(to) {
        case 21: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 22:   //QMouseEvent
      switch(to) {
        case 22: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 23:   //QMoveEvent
      switch(to) {
        case 23: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QObject
      switch(to) {
        case 24: return (void*)(QObject*)xptr;
        case 62: return (void*)(QsciLexerIDL*)(QObject*)xptr;
        case 55: return (void*)(QsciLexerCSharp*)(QObject*)xptr;
        case 63: return (void*)(QsciLexerJava*)(QObject*)xptr;
        case 77: return (void*)(QsciLexerVHDL*)(QObject*)xptr;
        case 79: return (void*)(QsciLexerYAML*)(QObject*)xptr;
        case 72: return (void*)(QsciLexerPython*)(QObject*)xptr;
        case 65: return (void*)(QsciLexerLua*)(QObject*)xptr;
        case 50: return (void*)(QsciLexerBash*)(QObject*)xptr;
        case 45: return (void*)(QsciAbstractAPIs*)(QObject*)xptr;
        case 53: return (void*)(QsciLexerCPP*)(QObject*)xptr;
        case 58: return (void*)(QsciLexerDiff*)(QObject*)xptr;
        case 66: return (void*)(QsciLexerMakefile*)(QObject*)xptr;
        case 64: return (void*)(QsciLexerJavaScript*)(QObject*)xptr;
        case 61: return (void*)(QsciLexerHTML*)(QObject*)xptr;
        case 74: return (void*)(QsciLexerSQL*)(QObject*)xptr;
        case 83: return (void*)(QsciScintillaBase*)(QObject*)xptr;
        case 75: return (void*)(QsciLexerTCL*)(QObject*)xptr;
        case 71: return (void*)(QsciLexerProperties*)(QObject*)xptr;
        case 56: return (void*)(QsciLexerCustom*)(QObject*)xptr;
        case 44: return (void*)(QsciAPIs*)(QObject*)xptr;
        case 54: return (void*)(QsciLexerCSS*)(QObject*)xptr;
        case 69: return (void*)(QsciLexerPerl*)(QObject*)xptr;
        case 57: return (void*)(QsciLexerD*)(QObject*)xptr;
        case 51: return (void*)(QsciLexerBatch*)(QObject*)xptr;
        case 73: return (void*)(QsciLexerRuby*)(QObject*)xptr;
        case 76: return (void*)(QsciLexerTeX*)(QObject*)xptr;
        case 49: return (void*)(QsciLexer*)(QObject*)xptr;
        case 67: return (void*)(QsciLexerPOV*)(QObject*)xptr;
        case 82: return (void*)(QsciScintilla*)(QObject*)xptr;
        case 80: return (void*)(QsciMacro*)(QObject*)xptr;
        case 70: return (void*)(QsciLexerPostScript*)(QObject*)xptr;
        case 52: return (void*)(QsciLexerCMake*)(QObject*)xptr;
        case 59: return (void*)(QsciLexerFortran*)(QObject*)xptr;
        case 60: return (void*)(QsciLexerFortran77*)(QObject*)xptr;
        case 68: return (void*)(QsciLexerPascal*)(QObject*)xptr;
        case 78: return (void*)(QsciLexerXML*)(QObject*)xptr;
        default: return xptr;
      }
    case 25:   //QPaintEngine
      switch(to) {
        case 25: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 26:   //QPaintEvent
      switch(to) {
        case 26: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 27:   //QPainter
      switch(to) {
        case 27: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 28:   //QPalette
      switch(to) {
        case 28: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 29:   //QPixmap
      switch(to) {
        case 29: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 30:   //QPoint
      switch(to) {
        case 30: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 31:   //QPrinter
      switch(to) {
        case 31: return (void*)(QPrinter*)xptr;
        case 81: return (void*)(QsciPrinter*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 32:   //QRect
      switch(to) {
        case 32: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 33:   //QRegExp
      switch(to) {
        case 33: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 34:   //QResizeEvent
      switch(to) {
        case 34: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 35:   //QSettings
      switch(to) {
        case 35: return (void*)(QSettings*)xptr;
        default: return xptr;
      }
    case 36:   //QShowEvent
      switch(to) {
        case 36: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 37:   //QSize
      switch(to) {
        case 37: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 38:   //QStyle
      switch(to) {
        case 38: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 39:   //QTabletEvent
      switch(to) {
        case 39: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 40:   //QTimerEvent
      switch(to) {
        case 40: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QVariant
      switch(to) {
        case 41: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 42:   //QWheelEvent
      switch(to) {
        case 42: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 43:   //QWidget
      switch(to) {
        case 24: return (void*)(QObject*)(QWidget*)xptr;
        case 43: return (void*)(QWidget*)xptr;
        case 83: return (void*)(QsciScintillaBase*)(QWidget*)xptr;
        case 82: return (void*)(QsciScintilla*)(QWidget*)xptr;
        default: return xptr;
      }
    case 44:   //QsciAPIs
      switch(to) {
        case 45: return (void*)(QsciAbstractAPIs*)(QsciAPIs*)xptr;
        case 24: return (void*)(QObject*)(QsciAPIs*)xptr;
        case 44: return (void*)(QsciAPIs*)xptr;
        default: return xptr;
      }
    case 45:   //QsciAbstractAPIs
      switch(to) {
        case 24: return (void*)(QObject*)(QsciAbstractAPIs*)xptr;
        case 45: return (void*)(QsciAbstractAPIs*)xptr;
        case 44: return (void*)(QsciAPIs*)(QsciAbstractAPIs*)xptr;
        default: return xptr;
      }
    case 46:   //QsciCommand
      switch(to) {
        case 46: return (void*)(QsciCommand*)xptr;
        default: return xptr;
      }
    case 47:   //QsciCommandSet
      switch(to) {
        case 47: return (void*)(QsciCommandSet*)xptr;
        default: return xptr;
      }
    case 48:   //QsciDocument
      switch(to) {
        case 48: return (void*)(QsciDocument*)xptr;
        default: return xptr;
      }
    case 49:   //QsciLexer
      switch(to) {
        case 24: return (void*)(QObject*)(QsciLexer*)xptr;
        case 49: return (void*)(QsciLexer*)xptr;
        case 62: return (void*)(QsciLexerIDL*)(QsciLexer*)xptr;
        case 55: return (void*)(QsciLexerCSharp*)(QsciLexer*)xptr;
        case 63: return (void*)(QsciLexerJava*)(QsciLexer*)xptr;
        case 77: return (void*)(QsciLexerVHDL*)(QsciLexer*)xptr;
        case 79: return (void*)(QsciLexerYAML*)(QsciLexer*)xptr;
        case 72: return (void*)(QsciLexerPython*)(QsciLexer*)xptr;
        case 65: return (void*)(QsciLexerLua*)(QsciLexer*)xptr;
        case 50: return (void*)(QsciLexerBash*)(QsciLexer*)xptr;
        case 53: return (void*)(QsciLexerCPP*)(QsciLexer*)xptr;
        case 58: return (void*)(QsciLexerDiff*)(QsciLexer*)xptr;
        case 66: return (void*)(QsciLexerMakefile*)(QsciLexer*)xptr;
        case 64: return (void*)(QsciLexerJavaScript*)(QsciLexer*)xptr;
        case 61: return (void*)(QsciLexerHTML*)(QsciLexer*)xptr;
        case 74: return (void*)(QsciLexerSQL*)(QsciLexer*)xptr;
        case 75: return (void*)(QsciLexerTCL*)(QsciLexer*)xptr;
        case 71: return (void*)(QsciLexerProperties*)(QsciLexer*)xptr;
        case 56: return (void*)(QsciLexerCustom*)(QsciLexer*)xptr;
        case 54: return (void*)(QsciLexerCSS*)(QsciLexer*)xptr;
        case 69: return (void*)(QsciLexerPerl*)(QsciLexer*)xptr;
        case 57: return (void*)(QsciLexerD*)(QsciLexer*)xptr;
        case 51: return (void*)(QsciLexerBatch*)(QsciLexer*)xptr;
        case 73: return (void*)(QsciLexerRuby*)(QsciLexer*)xptr;
        case 76: return (void*)(QsciLexerTeX*)(QsciLexer*)xptr;
        case 67: return (void*)(QsciLexerPOV*)(QsciLexer*)xptr;
        case 70: return (void*)(QsciLexerPostScript*)(QsciLexer*)xptr;
        case 52: return (void*)(QsciLexerCMake*)(QsciLexer*)xptr;
        case 59: return (void*)(QsciLexerFortran*)(QsciLexer*)xptr;
        case 60: return (void*)(QsciLexerFortran77*)(QsciLexer*)xptr;
        case 68: return (void*)(QsciLexerPascal*)(QsciLexer*)xptr;
        case 78: return (void*)(QsciLexerXML*)(QsciLexer*)xptr;
        default: return xptr;
      }
    case 50:   //QsciLexerBash
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerBash*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerBash*)xptr;
        case 50: return (void*)(QsciLexerBash*)xptr;
        default: return xptr;
      }
    case 51:   //QsciLexerBatch
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerBatch*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerBatch*)xptr;
        case 51: return (void*)(QsciLexerBatch*)xptr;
        default: return xptr;
      }
    case 52:   //QsciLexerCMake
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerCMake*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerCMake*)xptr;
        case 52: return (void*)(QsciLexerCMake*)xptr;
        default: return xptr;
      }
    case 53:   //QsciLexerCPP
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerCPP*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerCPP*)xptr;
        case 53: return (void*)(QsciLexerCPP*)xptr;
        case 62: return (void*)(QsciLexerIDL*)(QsciLexerCPP*)xptr;
        case 55: return (void*)(QsciLexerCSharp*)(QsciLexerCPP*)xptr;
        case 63: return (void*)(QsciLexerJava*)(QsciLexerCPP*)xptr;
        case 64: return (void*)(QsciLexerJavaScript*)(QsciLexerCPP*)xptr;
        default: return xptr;
      }
    case 54:   //QsciLexerCSS
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerCSS*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerCSS*)xptr;
        case 54: return (void*)(QsciLexerCSS*)xptr;
        default: return xptr;
      }
    case 55:   //QsciLexerCSharp
      switch(to) {
        case 53: return (void*)(QsciLexerCPP*)(QsciLexerCSharp*)xptr;
        case 49: return (void*)(QsciLexer*)(QsciLexerCSharp*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerCSharp*)xptr;
        case 55: return (void*)(QsciLexerCSharp*)xptr;
        default: return xptr;
      }
    case 56:   //QsciLexerCustom
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerCustom*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerCustom*)xptr;
        case 56: return (void*)(QsciLexerCustom*)xptr;
        default: return xptr;
      }
    case 57:   //QsciLexerD
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerD*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerD*)xptr;
        case 57: return (void*)(QsciLexerD*)xptr;
        default: return xptr;
      }
    case 58:   //QsciLexerDiff
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerDiff*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerDiff*)xptr;
        case 58: return (void*)(QsciLexerDiff*)xptr;
        default: return xptr;
      }
    case 59:   //QsciLexerFortran
      switch(to) {
        case 60: return (void*)(QsciLexerFortran77*)(QsciLexerFortran*)xptr;
        case 49: return (void*)(QsciLexer*)(QsciLexerFortran*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerFortran*)xptr;
        case 59: return (void*)(QsciLexerFortran*)xptr;
        default: return xptr;
      }
    case 60:   //QsciLexerFortran77
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerFortran77*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerFortran77*)xptr;
        case 60: return (void*)(QsciLexerFortran77*)xptr;
        case 59: return (void*)(QsciLexerFortran*)(QsciLexerFortran77*)xptr;
        default: return xptr;
      }
    case 61:   //QsciLexerHTML
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerHTML*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerHTML*)xptr;
        case 61: return (void*)(QsciLexerHTML*)xptr;
        case 78: return (void*)(QsciLexerXML*)(QsciLexerHTML*)xptr;
        default: return xptr;
      }
    case 62:   //QsciLexerIDL
      switch(to) {
        case 53: return (void*)(QsciLexerCPP*)(QsciLexerIDL*)xptr;
        case 49: return (void*)(QsciLexer*)(QsciLexerIDL*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerIDL*)xptr;
        case 62: return (void*)(QsciLexerIDL*)xptr;
        default: return xptr;
      }
    case 63:   //QsciLexerJava
      switch(to) {
        case 53: return (void*)(QsciLexerCPP*)(QsciLexerJava*)xptr;
        case 49: return (void*)(QsciLexer*)(QsciLexerJava*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerJava*)xptr;
        case 63: return (void*)(QsciLexerJava*)xptr;
        default: return xptr;
      }
    case 64:   //QsciLexerJavaScript
      switch(to) {
        case 53: return (void*)(QsciLexerCPP*)(QsciLexerJavaScript*)xptr;
        case 49: return (void*)(QsciLexer*)(QsciLexerJavaScript*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerJavaScript*)xptr;
        case 64: return (void*)(QsciLexerJavaScript*)xptr;
        default: return xptr;
      }
    case 65:   //QsciLexerLua
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerLua*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerLua*)xptr;
        case 65: return (void*)(QsciLexerLua*)xptr;
        default: return xptr;
      }
    case 66:   //QsciLexerMakefile
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerMakefile*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerMakefile*)xptr;
        case 66: return (void*)(QsciLexerMakefile*)xptr;
        default: return xptr;
      }
    case 67:   //QsciLexerPOV
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerPOV*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerPOV*)xptr;
        case 67: return (void*)(QsciLexerPOV*)xptr;
        default: return xptr;
      }
    case 68:   //QsciLexerPascal
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerPascal*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerPascal*)xptr;
        case 68: return (void*)(QsciLexerPascal*)xptr;
        default: return xptr;
      }
    case 69:   //QsciLexerPerl
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerPerl*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerPerl*)xptr;
        case 69: return (void*)(QsciLexerPerl*)xptr;
        default: return xptr;
      }
    case 70:   //QsciLexerPostScript
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerPostScript*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerPostScript*)xptr;
        case 70: return (void*)(QsciLexerPostScript*)xptr;
        default: return xptr;
      }
    case 71:   //QsciLexerProperties
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerProperties*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerProperties*)xptr;
        case 71: return (void*)(QsciLexerProperties*)xptr;
        default: return xptr;
      }
    case 72:   //QsciLexerPython
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerPython*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerPython*)xptr;
        case 72: return (void*)(QsciLexerPython*)xptr;
        default: return xptr;
      }
    case 73:   //QsciLexerRuby
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerRuby*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerRuby*)xptr;
        case 73: return (void*)(QsciLexerRuby*)xptr;
        default: return xptr;
      }
    case 74:   //QsciLexerSQL
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerSQL*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerSQL*)xptr;
        case 74: return (void*)(QsciLexerSQL*)xptr;
        default: return xptr;
      }
    case 75:   //QsciLexerTCL
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerTCL*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerTCL*)xptr;
        case 75: return (void*)(QsciLexerTCL*)xptr;
        default: return xptr;
      }
    case 76:   //QsciLexerTeX
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerTeX*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerTeX*)xptr;
        case 76: return (void*)(QsciLexerTeX*)xptr;
        default: return xptr;
      }
    case 77:   //QsciLexerVHDL
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerVHDL*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerVHDL*)xptr;
        case 77: return (void*)(QsciLexerVHDL*)xptr;
        default: return xptr;
      }
    case 78:   //QsciLexerXML
      switch(to) {
        case 61: return (void*)(QsciLexerHTML*)(QsciLexerXML*)xptr;
        case 49: return (void*)(QsciLexer*)(QsciLexerXML*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerXML*)xptr;
        case 78: return (void*)(QsciLexerXML*)xptr;
        default: return xptr;
      }
    case 79:   //QsciLexerYAML
      switch(to) {
        case 49: return (void*)(QsciLexer*)(QsciLexerYAML*)xptr;
        case 24: return (void*)(QObject*)(QsciLexerYAML*)xptr;
        case 79: return (void*)(QsciLexerYAML*)xptr;
        default: return xptr;
      }
    case 80:   //QsciMacro
      switch(to) {
        case 24: return (void*)(QObject*)(QsciMacro*)xptr;
        case 80: return (void*)(QsciMacro*)xptr;
        default: return xptr;
      }
    case 81:   //QsciPrinter
      switch(to) {
        case 31: return (void*)(QPrinter*)(QsciPrinter*)xptr;
        case 81: return (void*)(QsciPrinter*)xptr;
        default: return xptr;
      }
    case 82:   //QsciScintilla
      switch(to) {
        case 83: return (void*)(QsciScintillaBase*)(QsciScintilla*)xptr;
        case 1: return (void*)(QAbstractScrollArea*)(QsciScintilla*)xptr;
        case 15: return (void*)(QFrame*)(QsciScintilla*)xptr;
        case 43: return (void*)(QWidget*)(QsciScintilla*)xptr;
        case 24: return (void*)(QObject*)(QsciScintilla*)xptr;
        case 82: return (void*)(QsciScintilla*)xptr;
        default: return xptr;
      }
    case 83:   //QsciScintillaBase
      switch(to) {
        case 1: return (void*)(QAbstractScrollArea*)(QsciScintillaBase*)xptr;
        case 15: return (void*)(QFrame*)(QsciScintillaBase*)xptr;
        case 43: return (void*)(QWidget*)(QsciScintillaBase*)xptr;
        case 24: return (void*)(QObject*)(QsciScintillaBase*)xptr;
        case 83: return (void*)(QsciScintillaBase*)xptr;
        case 82: return (void*)(QsciScintilla*)(QsciScintillaBase*)xptr;
        default: return xptr;
      }
    case 84:   //QsciStyle
      switch(to) {
        case 84: return (void*)(QsciStyle*)xptr;
        default: return xptr;
      }
    case 85:   //QsciStyledText
      switch(to) {
        case 85: return (void*)(QsciStyledText*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    45, 0,	// 1: QsciAbstractAPIs
    24, 0,	// 3: QObject
    49, 0,	// 5: QsciLexer
    53, 0,	// 7: QsciLexerCPP
    60, 0,	// 9: QsciLexerFortran77
    61, 0,	// 11: QsciLexerHTML
    31, 0,	// 13: QPrinter
    83, 0,	// 15: QsciScintillaBase
    1, 0,	// 17: QAbstractScrollArea
};

// These are the xenum functions for manipulating enum pointers
void xenum_QsciScintilla(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciLexerPython(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciStyle(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciAPIs(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciAbstractAPIs(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciCommand(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciCommandSet(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciDocument(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexer(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerBash(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerBatch(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCMake(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCPP(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCSS(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCSharp(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCustom(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerD(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerDiff(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerFortran(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerFortran77(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerHTML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerIDL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerJava(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerJavaScript(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerLua(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerMakefile(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPOV(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPascal(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPerl(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPostScript(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerProperties(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPython(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerRuby(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerSQL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerTCL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerTeX(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerVHDL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerXML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerYAML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciMacro(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciPrinter(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciScintilla(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciScintillaBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciStyle(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciStyledText(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//4
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//5
    { "QColor", true, 0, 0, 0, 0, 0 },	//6
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//7
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QFont", true, 0, 0, 0, 0, 0 },	//14
    { "QFrame", true, 0, 0, 0, 0, 0 },	//15
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//16
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//17
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//18
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//21
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//22
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QObject", true, 0, 0, 0, 0, 0 },	//24
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//25
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//26
    { "QPainter", true, 0, 0, 0, 0, 0 },	//27
    { "QPalette", true, 0, 0, 0, 0, 0 },	//28
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//29
    { "QPoint", true, 0, 0, 0, 0, 0 },	//30
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//31
    { "QRect", true, 0, 0, 0, 0, 0 },	//32
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//33
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//34
    { "QSettings", true, 0, 0, 0, 0, 0 },	//35
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//36
    { "QSize", true, 0, 0, 0, 0, 0 },	//37
    { "QStyle", true, 0, 0, 0, 0, 0 },	//38
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//39
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QVariant", true, 0, 0, 0, 0, 0 },	//41
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//42
    { "QWidget", true, 0, 0, 0, 0, 0 },	//43
    { "QsciAPIs", false, 1, xcall_QsciAPIs, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciAPIs) },	//44
    { "QsciAbstractAPIs", false, 3, xcall_QsciAbstractAPIs, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciAbstractAPIs) },	//45
    { "QsciCommand", false, 0, xcall_QsciCommand, 0, 0, sizeof(QsciCommand) },	//46
    { "QsciCommandSet", false, 0, xcall_QsciCommandSet, 0, 0, sizeof(QsciCommandSet) },	//47
    { "QsciDocument", false, 0, xcall_QsciDocument, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QsciDocument) },	//48
    { "QsciLexer", false, 3, xcall_QsciLexer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexer) },	//49
    { "QsciLexerBash", false, 5, xcall_QsciLexerBash, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerBash) },	//50
    { "QsciLexerBatch", false, 5, xcall_QsciLexerBatch, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerBatch) },	//51
    { "QsciLexerCMake", false, 5, xcall_QsciLexerCMake, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCMake) },	//52
    { "QsciLexerCPP", false, 5, xcall_QsciLexerCPP, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCPP) },	//53
    { "QsciLexerCSS", false, 5, xcall_QsciLexerCSS, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCSS) },	//54
    { "QsciLexerCSharp", false, 7, xcall_QsciLexerCSharp, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCSharp) },	//55
    { "QsciLexerCustom", false, 5, xcall_QsciLexerCustom, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCustom) },	//56
    { "QsciLexerD", false, 5, xcall_QsciLexerD, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerD) },	//57
    { "QsciLexerDiff", false, 5, xcall_QsciLexerDiff, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerDiff) },	//58
    { "QsciLexerFortran", false, 9, xcall_QsciLexerFortran, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerFortran) },	//59
    { "QsciLexerFortran77", false, 5, xcall_QsciLexerFortran77, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerFortran77) },	//60
    { "QsciLexerHTML", false, 5, xcall_QsciLexerHTML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerHTML) },	//61
    { "QsciLexerIDL", false, 7, xcall_QsciLexerIDL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerIDL) },	//62
    { "QsciLexerJava", false, 7, xcall_QsciLexerJava, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerJava) },	//63
    { "QsciLexerJavaScript", false, 7, xcall_QsciLexerJavaScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerJavaScript) },	//64
    { "QsciLexerLua", false, 5, xcall_QsciLexerLua, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerLua) },	//65
    { "QsciLexerMakefile", false, 5, xcall_QsciLexerMakefile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerMakefile) },	//66
    { "QsciLexerPOV", false, 5, xcall_QsciLexerPOV, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPOV) },	//67
    { "QsciLexerPascal", false, 5, xcall_QsciLexerPascal, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPascal) },	//68
    { "QsciLexerPerl", false, 5, xcall_QsciLexerPerl, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPerl) },	//69
    { "QsciLexerPostScript", false, 5, xcall_QsciLexerPostScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPostScript) },	//70
    { "QsciLexerProperties", false, 5, xcall_QsciLexerProperties, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerProperties) },	//71
    { "QsciLexerPython", false, 5, xcall_QsciLexerPython, xenum_QsciLexerPython, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPython) },	//72
    { "QsciLexerRuby", false, 5, xcall_QsciLexerRuby, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerRuby) },	//73
    { "QsciLexerSQL", false, 5, xcall_QsciLexerSQL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerSQL) },	//74
    { "QsciLexerTCL", false, 5, xcall_QsciLexerTCL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerTCL) },	//75
    { "QsciLexerTeX", false, 5, xcall_QsciLexerTeX, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerTeX) },	//76
    { "QsciLexerVHDL", false, 5, xcall_QsciLexerVHDL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerVHDL) },	//77
    { "QsciLexerXML", false, 11, xcall_QsciLexerXML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerXML) },	//78
    { "QsciLexerYAML", false, 5, xcall_QsciLexerYAML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerYAML) },	//79
    { "QsciMacro", false, 3, xcall_QsciMacro, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciMacro) },	//80
    { "QsciPrinter", false, 13, xcall_QsciPrinter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciPrinter) },	//81
    { "QsciScintilla", false, 15, xcall_QsciScintilla, xenum_QsciScintilla, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciScintilla) },	//82
    { "QsciScintillaBase", false, 17, xcall_QsciScintillaBase, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciScintillaBase) },	//83
    { "QsciStyle", false, 0, xcall_QsciStyle, xenum_QsciStyle, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QsciStyle) },	//84
    { "QsciStyledText", false, 0, xcall_QsciStyledText, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QsciStyledText) },	//85
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//2
    { "QChildEvent*", 4, Smoke::t_class|Smoke::tf_ptr },	//3
    { "QCloseEvent*", 5, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QColor", 6, Smoke::t_class|Smoke::tf_stack },	//5
    { "QContextMenuEvent*", 7, Smoke::t_class|Smoke::tf_ptr },	//6
    { "QDragEnterEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QDragLeaveEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QDragMoveEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDropEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QFocusEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QFont", 14, Smoke::t_class|Smoke::tf_stack },	//13
    { "QHideEvent*", 17, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QIODevice*", 18, Smoke::t_class|Smoke::tf_ptr },	//15
    { "QInputMethodEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//16
    { "QKeyEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QList<QsciCommand*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//18
    { "QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//19
    { "QMetaObject::Call", 21, Smoke::t_enum|Smoke::tf_stack },	//20
    { "QMouseEvent*", 22, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QMoveEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QObject*", 24, Smoke::t_class|Smoke::tf_ptr },	//23
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//24
    { "QPaintEngine*", 25, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QPaintEvent*", 26, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QPainter&", 27, Smoke::t_class|Smoke::tf_ref },	//27
    { "QPainter*", 27, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QPrinter::PrinterMode", 31, Smoke::t_enum|Smoke::tf_stack },	//29
    { "QRect&", 32, Smoke::t_class|Smoke::tf_ref },	//30
    { "QRegExp&", 33, Smoke::t_class|Smoke::tf_ref },	//31
    { "QResizeEvent*", 34, Smoke::t_class|Smoke::tf_ptr },	//32
    { "QSettings&", 35, Smoke::t_class|Smoke::tf_ref },	//33
    { "QShowEvent*", 36, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QSize", 37, Smoke::t_class|Smoke::tf_stack },	//35
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//36
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//37
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//38
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//39
    { "QStyle&", 38, Smoke::t_class|Smoke::tf_ref },	//40
    { "QTabletEvent*", 39, Smoke::t_class|Smoke::tf_ptr },	//41
    { "QTimerEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QVariant", 41, Smoke::t_class|Smoke::tf_stack },	//43
    { "QWheelEvent*", 42, Smoke::t_class|Smoke::tf_ptr },	//44
    { "QWidget*", 43, Smoke::t_class|Smoke::tf_ptr },	//45
    { "QsciAPIs*", 44, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QsciAbstractAPIs*", 45, Smoke::t_class|Smoke::tf_ptr },	//47
    { "QsciCommandSet*", 47, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QsciDocument", 48, Smoke::t_class|Smoke::tf_stack },	//49
    { "QsciDocument&", 48, Smoke::t_class|Smoke::tf_ref },	//50
    { "QsciDocument*", 48, Smoke::t_class|Smoke::tf_ptr },	//51
    { "QsciLexer*", 49, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QsciLexerBash*", 50, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QsciLexerBatch*", 51, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QsciLexerCMake*", 52, Smoke::t_class|Smoke::tf_ptr },	//55
    { "QsciLexerCPP*", 53, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QsciLexerCSS*", 54, Smoke::t_class|Smoke::tf_ptr },	//57
    { "QsciLexerCSharp*", 55, Smoke::t_class|Smoke::tf_ptr },	//58
    { "QsciLexerCustom*", 56, Smoke::t_class|Smoke::tf_ptr },	//59
    { "QsciLexerD*", 57, Smoke::t_class|Smoke::tf_ptr },	//60
    { "QsciLexerDiff*", 58, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QsciLexerFortran*", 59, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QsciLexerFortran77*", 60, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QsciLexerHTML*", 61, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QsciLexerIDL*", 62, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QsciLexerJava*", 63, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QsciLexerJavaScript*", 64, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QsciLexerLua*", 65, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QsciLexerMakefile*", 66, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QsciLexerPOV*", 67, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QsciLexerPascal*", 68, Smoke::t_class|Smoke::tf_ptr },	//71
    { "QsciLexerPerl*", 69, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QsciLexerPostScript*", 70, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QsciLexerProperties*", 71, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QsciLexerPython*", 72, Smoke::t_class|Smoke::tf_ptr },	//75
    { "QsciLexerPython::IndentationWarning", 72, Smoke::t_enum|Smoke::tf_stack },	//76
    { "QsciLexerRuby*", 73, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QsciLexerSQL*", 74, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QsciLexerTCL*", 75, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QsciLexerTeX*", 76, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QsciLexerVHDL*", 77, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QsciLexerXML*", 78, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QsciLexerYAML*", 79, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QsciMacro*", 80, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QsciPrinter*", 81, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QsciScintilla*", 82, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QsciScintilla::AnnotationDisplay", 82, Smoke::t_enum|Smoke::tf_stack },	//87
    { "QsciScintilla::AutoCompletionSource", 82, Smoke::t_enum|Smoke::tf_stack },	//88
    { "QsciScintilla::BraceMatch", 82, Smoke::t_enum|Smoke::tf_stack },	//89
    { "QsciScintilla::CallTipsStyle", 82, Smoke::t_enum|Smoke::tf_stack },	//90
    { "QsciScintilla::EdgeMode", 82, Smoke::t_enum|Smoke::tf_stack },	//91
    { "QsciScintilla::EolMode", 82, Smoke::t_enum|Smoke::tf_stack },	//92
    { "QsciScintilla::FoldStyle", 82, Smoke::t_enum|Smoke::tf_stack },	//93
    { "QsciScintilla::IndentState", 82, Smoke::t_enum|Smoke::tf_stack },	//94
    { "QsciScintilla::MarginType", 82, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QsciScintilla::MarkerSymbol", 82, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QsciScintilla::WhitespaceVisibility", 82, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QsciScintilla::WrapMode", 82, Smoke::t_enum|Smoke::tf_stack },	//98
    { "QsciScintilla::WrapVisualFlag", 82, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QsciScintillaBase*", 83, Smoke::t_class|Smoke::tf_ptr },	//100
    { "QsciStyle*", 84, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QsciStyle::TextCase", 84, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QsciStyledText*", 85, Smoke::t_class|Smoke::tf_ptr },	//103
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::KeyboardModifiers", 0, Smoke::t_uint|Smoke::tf_stack },	//143
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "QtMsgType", 16, Smoke::t_enum|Smoke::tf_stack },	//176
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//177
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//178
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//179
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//180
    { "const QColor&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//181
    { "const QFont&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//182
    { "const QList<QsciStyledText>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//183
    { "const QMetaObject&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//184
    { "const QMetaObject*", 21, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//185
    { "const QPalette&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//186
    { "const QPixmap&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//187
    { "const QPoint&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//188
    { "const QRect&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//189
    { "const QRegExp&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//190
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//191
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//192
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//193
    { "const QsciDocument&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//194
    { "const QsciStyle&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//195
    { "const QsciStyledText&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//196
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//197
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//198
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//199
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//200
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//201
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//202
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//203
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//204
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//205
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//206
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//207
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    11, 0,	//1  QEvent*
    44, 0,	//3  QWheelEvent*
    23, 11, 0,	//5  QObject*, QEvent*
    42, 0,	//8  QTimerEvent*
    3, 0,	//10  QChildEvent*
    197, 0,	//12  const char*
    24, 0,	//14  QPaintDevice::PaintDeviceMetric
    178, 0,	//16  bool
    199, 0,	//18  int
    17, 0,	//20  QKeyEvent*
    22, 0,	//22  QMoveEvent*
    4, 0,	//24  QCloseEvent*
    41, 0,	//26  QTabletEvent*
    1, 0,	//28  QActionEvent*
    34, 0,	//30  QShowEvent*
    14, 0,	//32  QHideEvent*
    177, 0,	//34  _XEvent*
    137, 0,	//36  Qt::InputMethodQuery
    40, 0,	//38  QStyle&
    186, 0,	//40  const QPalette&
    182, 0,	//42  const QFont&
    197, 197, 0,	//44  const char*, const char*
    197, 197, 199, 0,	//47  const char*, const char*, int
    20, 199, 206, 0,	//51  QMetaObject::Call, int, void**
    52, 0,	//55  QsciLexer*
    191, 0,	//57  const QString&
    192, 38, 0,	//59  const QStringList&, QStringList&
    192, 199, 90, 19, 0,	//62  const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&
    33, 197, 0,	//67  QSettings&, const char*
    33, 0,	//70  QSettings&
    194, 0,	//72  const QsciDocument&
    23, 0,	//74  QObject*
    201, 0,	//76  int*
    47, 0,	//78  QsciAbstractAPIs*
    181, 0,	//80  const QColor&
    86, 0,	//82  QsciScintilla*
    181, 199, 0,	//84  const QColor&, int
    178, 199, 0,	//87  bool, int
    182, 199, 0,	//90  const QFont&, int
    33, 191, 0,	//93  QSettings&, const QString&
    23, 178, 0,	//96  QObject*, bool
    199, 199, 0,	//99  int, int
    199, 195, 0,	//102  int, const QsciStyle&
    76, 0,	//105  QsciLexerPython::IndentationWarning
    191, 86, 0,	//107  const QString&, QsciScintilla*
    29, 0,	//110  QPrinter::PrinterMode
    27, 178, 30, 199, 0,	//112  QPainter&, bool, QRect&, int
    100, 199, 199, 0,	//117  QsciScintillaBase*, int, int
    98, 0,	//121  QsciScintilla::WrapMode
    100, 0,	//123  QsciScintillaBase*
    100, 199, 0,	//125  QsciScintillaBase*, int
    45, 0,	//128  QWidget*
    199, 200, 200, 0,	//130  int, int&, int&
    199, 191, 199, 0,	//134  int, const QString&, int
    199, 191, 195, 0,	//138  int, const QString&, const QsciStyle&
    199, 196, 0,	//142  int, const QsciStyledText&
    199, 183, 0,	//145  int, const QList<QsciStyledText>&
    92, 0,	//148  QsciScintilla::EolMode
    191, 178, 178, 178, 178, 178, 199, 199, 178, 0,	//150  const QString&, bool, bool, bool, bool, bool, int, int, bool
    201, 201, 0,	//160  int*, int*
    201, 201, 201, 201, 0,	//163  int*, int*, int*, int*
    179, 0,	//168  char
    188, 0,	//170  const QPoint&
    199, 201, 201, 0,	//172  int, int*, int*
    96, 199, 0,	//176  QsciScintilla::MarkerSymbol, int
    179, 199, 0,	//179  char, int
    187, 199, 0,	//182  const QPixmap&, int
    199, 203, 0,	//185  int, unsigned int
    15, 0,	//188  QIODevice*
    199, 187, 0,	//190  int, const QPixmap&
    181, 181, 0,	//193  const QColor&, const QColor&
    87, 0,	//196  QsciScintilla::AnnotationDisplay
    192, 0,	//198  const QStringList&
    90, 0,	//200  QsciScintilla::CallTipsStyle
    91, 0,	//202  QsciScintilla::EdgeMode
    199, 95, 0,	//204  int, QsciScintilla::MarginType
    99, 99, 199, 0,	//207  QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag, int
    199, 192, 0,	//211  int, const QStringList&
    191, 199, 199, 0,	//214  const QString&, int, int
    88, 0,	//218  QsciScintilla::AutoCompletionSource
    89, 0,	//220  QsciScintilla::BraceMatch
    93, 199, 0,	//222  QsciScintilla::FoldStyle, int
    199, 178, 0,	//225  int, bool
    199, 191, 0,	//228  int, const QString&
    199, 199, 199, 199, 0,	//231  int, int, int, int
    97, 0,	//236  QsciScintilla::WhitespaceVisibility
    199, 199, 143, 0,	//238  int, int, Qt::KeyboardModifiers
    191, 178, 178, 178, 178, 0,	//242  const QString&, bool, bool, bool, bool
    191, 178, 178, 178, 178, 178, 0,	//248  const QString&, bool, bool, bool, bool, bool
    191, 178, 178, 178, 178, 178, 199, 0,	//255  const QString&, bool, bool, bool, bool, bool, int
    191, 178, 178, 178, 178, 178, 199, 199, 0,	//263  const QString&, bool, bool, bool, bool, bool, int, int
    96, 0,	//272  QsciScintilla::MarkerSymbol
    187, 0,	//274  const QPixmap&
    99, 0,	//276  QsciScintilla::WrapVisualFlag
    99, 99, 0,	//278  QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag
    93, 0,	//281  QsciScintilla::FoldStyle
    203, 204, 202, 0,	//283  unsigned int, unsigned long, long
    203, 204, 205, 0,	//287  unsigned int, unsigned long, void*
    203, 204, 197, 0,	//291  unsigned int, unsigned long, const char*
    203, 197, 0,	//295  unsigned int, const char*
    203, 197, 197, 0,	//298  unsigned int, const char*, const char*
    203, 202, 0,	//302  unsigned int, long
    203, 199, 0,	//305  unsigned int, int
    203, 202, 202, 180, 0,	//308  unsigned int, long, long, char*
    203, 204, 181, 0,	//313  unsigned int, unsigned long, const QColor&
    203, 181, 0,	//317  unsigned int, const QColor&
    203, 204, 28, 189, 202, 202, 0,	//320  unsigned int, unsigned long, QPainter*, const QRect&, long, long
    203, 204, 187, 0,	//327  unsigned int, unsigned long, const QPixmap&
    203, 0,	//331  unsigned int
    197, 199, 0,	//333  const char*, int
    199, 199, 199, 0,	//336  int, int, int
    199, 199, 197, 199, 199, 199, 199, 199, 199, 199, 0,	//340  int, int, const char*, int, int, int, int, int, int, int
    6, 0,	//351  QContextMenuEvent*
    7, 0,	//353  QDragEnterEvent*
    8, 0,	//355  QDragLeaveEvent*
    9, 0,	//357  QDragMoveEvent*
    10, 0,	//359  QDropEvent*
    12, 0,	//361  QFocusEvent*
    16, 0,	//363  QInputMethodEvent*
    21, 0,	//365  QMouseEvent*
    26, 0,	//367  QPaintEvent*
    32, 0,	//369  QResizeEvent*
    203, 204, 0,	//371  unsigned int, unsigned long
    199, 191, 181, 181, 182, 178, 0,	//374  int, const QString&, const QColor&, const QColor&, const QFont&, bool
    102, 0,	//381  QsciStyle::TextCase
    195, 0,	//383  const QsciStyle&
    199, 191, 181, 181, 182, 0,	//385  int, const QString&, const QColor&, const QColor&, const QFont&
    191, 199, 0,	//391  const QString&, int
    191, 195, 0,	//394  const QString&, const QsciStyle&
    196, 0,	//397  const QsciStyledText&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "A0",	//1
    "A1",	//2
    "A2",	//3
    "A3",	//4
    "A4",	//5
    "A5",	//6
    "A6",	//7
    "A7",	//8
    "A8",	//9
    "A9",	//10
    "ASPAtStart",	//11
    "ASPJavaScriptComment",	//12
    "ASPJavaScriptCommentDoc",	//13
    "ASPJavaScriptCommentLine",	//14
    "ASPJavaScriptDefault",	//15
    "ASPJavaScriptDoubleQuotedString",	//16
    "ASPJavaScriptKeyword",	//17
    "ASPJavaScriptNumber",	//18
    "ASPJavaScriptRegex",	//19
    "ASPJavaScriptSingleQuotedString",	//20
    "ASPJavaScriptStart",	//21
    "ASPJavaScriptSymbol",	//22
    "ASPJavaScriptUnclosedString",	//23
    "ASPJavaScriptWord",	//24
    "ASPPythonClassName",	//25
    "ASPPythonComment",	//26
    "ASPPythonDefault",	//27
    "ASPPythonDoubleQuotedString",	//28
    "ASPPythonFunctionMethodName",	//29
    "ASPPythonIdentifier",	//30
    "ASPPythonKeyword",	//31
    "ASPPythonNumber",	//32
    "ASPPythonOperator",	//33
    "ASPPythonSingleQuotedString",	//34
    "ASPPythonStart",	//35
    "ASPPythonTripleDoubleQuotedString",	//36
    "ASPPythonTripleSingleQuotedString",	//37
    "ASPStart",	//38
    "ASPVBScriptComment",	//39
    "ASPVBScriptDefault",	//40
    "ASPVBScriptIdentifier",	//41
    "ASPVBScriptKeyword",	//42
    "ASPVBScriptNumber",	//43
    "ASPVBScriptStart",	//44
    "ASPVBScriptString",	//45
    "ASPVBScriptUnclosedString",	//46
    "ASPXCComment",	//47
    "Aborted",	//48
    "AcsAPIs",	//49
    "AcsAll",	//50
    "AcsDocument",	//51
    "AcsNone",	//52
    "Active",	//53
    "AiClosing",	//54
    "AiMaintain",	//55
    "AiOpening",	//56
    "AllPages",	//57
    "AnnotationBoxed",	//58
    "AnnotationHidden",	//59
    "AnnotationStandard",	//60
    "Array",	//61
    "ArrayParenthesis",	//62
    "Asm",	//63
    "Assignment",	//64
    "AtRule",	//65
    "Attribute",	//66
    "Auto",	//67
    "B0",	//68
    "B1",	//69
    "B10",	//70
    "B2",	//71
    "B3",	//72
    "B4",	//73
    "B5",	//74
    "B6",	//75
    "B7",	//76
    "B8",	//77
    "B9",	//78
    "Background",	//79
    "BacktickHereDocument",	//80
    "Backticks",	//81
    "BadDirective",	//82
    "BadStringCharacter",	//83
    "Base85String",	//84
    "BasicFunctions",	//85
    "BlockForeach",	//86
    "BlockIf",	//87
    "BlockMacro",	//88
    "BlockWhile",	//89
    "BottomLeftCorner",	//90
    "Box",	//91
    "BoxedFoldStyle",	//92
    "BoxedMinus",	//93
    "BoxedMinusConnected",	//94
    "BoxedPlus",	//95
    "BoxedPlusConnected",	//96
    "BoxedTreeFoldStyle",	//97
    "C5E",	//98
    "CDATA",	//99
    "CSS1Property",	//100
    "CSS2Property",	//101
    "CSS3Property",	//102
    "CallTipsContext",	//103
    "CallTipsNoAutoCompletionContext",	//104
    "CallTipsNoContext",	//105
    "CallTipsNone",	//106
    "Cassette",	//107
    "Character",	//108
    "Cicero",	//109
    "Circle",	//110
    "CircledFoldStyle",	//111
    "CircledMinus",	//112
    "CircledMinusConnected",	//113
    "CircledPlus",	//114
    "CircledPlusConnected",	//115
    "CircledTreeFoldStyle",	//116
    "ClassName",	//117
    "ClassSelector",	//118
    "ClassVariable",	//119
    "Color",	//120
    "Comm10E",	//121
    "Command",	//122
    "Comment",	//123
    "CommentBlock",	//124
    "CommentBox",	//125
    "CommentDoc",	//126
    "CommentDocKeyword",	//127
    "CommentDocKeywordError",	//128
    "CommentLine",	//129
    "CommentLineDoc",	//130
    "CommentLineHash",	//131
    "CommentNested",	//132
    "CommentParenthesis",	//133
    "Continuation",	//134
    "CoroutinesIOSystemFacilities",	//135
    "Custom",	//136
    "DLE",	//137
    "DSCComment",	//138
    "DSCCommentValue",	//139
    "DataSection",	//140
    "Decorator",	//141
    "Default",	//142
    "DefaultValue",	//143
    "DemotedKeyword",	//144
    "DevicePixel",	//145
    "DictionaryParenthesis",	//146
    "Didot",	//147
    "Directive",	//148
    "DocumentDelimiter",	//149
    "DottedOperator",	//150
    "DoubleQuotedHereDocument",	//151
    "DoubleQuotedString",	//152
    "DownTriangle",	//153
    "DrawChildren",	//154
    "DrawWindowBackground",	//155
    "DuplexAuto",	//156
    "DuplexLongSide",	//157
    "DuplexNone",	//158
    "DuplexShortSide",	//159
    "EdgeBackground",	//160
    "EdgeLine",	//161
    "EdgeNone",	//162
    "Entity",	//163
    "Envelope",	//164
    "EnvelopeManual",	//165
    "EolMac",	//166
    "EolUnix",	//167
    "EolWindows",	//168
    "Error",	//169
    "Executive",	//170
    "ExpandKeyword",	//171
    "ExtendedCSSProperty",	//172
    "ExtendedFunction",	//173
    "ExtendedPseudoClass",	//174
    "ExtendedPseudoElement",	//175
    "ExternalCommand",	//176
    "FirstPageFirst",	//177
    "Folio",	//178
    "FormSource",	//179
    "FormatBody",	//180
    "FormatIdentifier",	//181
    "Function",	//182
    "FunctionMethodName",	//183
    "Global",	//184
    "GlobalClass",	//185
    "GrayScale",	//186
    "Group",	//187
    "HLine",	//188
    "HTMLComment",	//189
    "HTMLDoubleQuotedString",	//190
    "HTMLNumber",	//191
    "HTMLSingleQuotedString",	//192
    "HTMLValue",	//193
    "Hash",	//194
    "Header",	//195
    "HereDocument",	//196
    "HereDocumentDelimiter",	//197
    "HexNumber",	//198
    "HexString",	//199
    "HideCommandChar",	//200
    "HighResolution",	//201
    "HighlightedIdentifier",	//202
    "IDSelector",	//203
    "ITCLKeyword",	//204
    "Identifier",	//205
    "Idle",	//206
    "IgnoreMask",	//207
    "ImmediateEvalLiteral",	//208
    "Important",	//209
    "Inch",	//210
    "Inconsistent",	//211
    "InstanceVariable",	//212
    "IntrinsicFunction",	//213
    "Invisible",	//214
    "JavaScriptComment",	//215
    "JavaScriptCommentDoc",	//216
    "JavaScriptCommentLine",	//217
    "JavaScriptDefault",	//218
    "JavaScriptDoubleQuotedString",	//219
    "JavaScriptKeyword",	//220
    "JavaScriptNumber",	//221
    "JavaScriptRegex",	//222
    "JavaScriptSingleQuotedString",	//223
    "JavaScriptStart",	//224
    "JavaScriptSymbol",	//225
    "JavaScriptUnclosedString",	//226
    "JavaScriptWord",	//227
    "Keyword",	//228
    "KeywordDoc",	//229
    "KeywordSecondary",	//230
    "KeywordSet2",	//231
    "KeywordSet3",	//232
    "KeywordSet5",	//233
    "KeywordSet6",	//234
    "KeywordSet7",	//235
    "KeywordSet8",	//236
    "KeywordSet9",	//237
    "Label",	//238
    "Landscape",	//239
    "LargeCapacity",	//240
    "LargeFormat",	//241
    "LastPageFirst",	//242
    "Ledger",	//243
    "LeftSideRoundedSplitter",	//244
    "LeftSideSplitter",	//245
    "Legal",	//246
    "Letter",	//247
    "LineAdded",	//248
    "LineChanged",	//249
    "LineComment",	//250
    "LineRemoved",	//251
    "Literal",	//252
    "LiteralString",	//253
    "Lower",	//254
    "LowerCase",	//255
    "Manual",	//256
    "MaxPageSource",	//257
    "Middle",	//258
    "Millimeter",	//259
    "Minus",	//260
    "Modifier",	//261
    "ModuleName",	//262
    "NPageSize",	//263
    "NPaperSize",	//264
    "Name",	//265
    "NativeFormat",	//266
    "NoBraceMatch",	//267
    "NoFoldStyle",	//268
    "NoFrame",	//269
    "NoWarning",	//270
    "Number",	//271
    "NumberMargin",	//272
    "ObjectsCSGAppearance",	//273
    "OnlyOne",	//274
    "Operator",	//275
    "OriginalCase",	//276
    "OtherInTag",	//277
    "PHPComment",	//278
    "PHPCommentLine",	//279
    "PHPDefault",	//280
    "PHPDoubleQuotedString",	//281
    "PHPDoubleQuotedVariable",	//282
    "PHPKeyword",	//283
    "PHPNumber",	//284
    "PHPOperator",	//285
    "PHPSingleQuotedString",	//286
    "PHPStart",	//287
    "PHPVariable",	//288
    "POD",	//289
    "PODVerbatim",	//290
    "PageRange",	//291
    "Panel",	//292
    "ParameterExpansion",	//293
    "PdfFormat",	//294
    "PercentStringQ",	//295
    "PercentStringq",	//296
    "PercentStringr",	//297
    "PercentStringw",	//298
    "PercentStringx",	//299
    "Pica",	//300
    "Plain",	//301
    "PlainFoldStyle",	//302
    "Plus",	//303
    "PlusComment",	//304
    "PlusKeyword",	//305
    "PlusPrompt",	//306
    "Point",	//307
    "Portrait",	//308
    "Position",	//309
    "PostScriptFormat",	//310
    "PreProcessor",	//311
    "PreProcessorParenthesis",	//312
    "PredefinedFunctions",	//313
    "PredefinedIdentifiers",	//314
    "Preprocessor",	//315
    "PrinterResolution",	//316
    "ProcedureParenthesis",	//317
    "PseudoClass",	//318
    "PseudoElement",	//319
    "PythonClassName",	//320
    "PythonComment",	//321
    "PythonDefault",	//322
    "PythonDoubleQuotedString",	//323
    "PythonFunctionMethodName",	//324
    "PythonIdentifier",	//325
    "PythonKeyword",	//326
    "PythonNumber",	//327
    "PythonOperator",	//328
    "PythonSingleQuotedString",	//329
    "PythonStart",	//330
    "PythonTripleDoubleQuotedString",	//331
    "PythonTripleSingleQuotedString",	//332
    "QSCN_SELCHANGED",	//333
    "QSCN_SELCHANGED$",	//334
    "Q_COMPLEX_TYPE",	//335
    "Q_DUMMY_TYPE",	//336
    "Q_MOVABLE_TYPE",	//337
    "Q_PRIMITIVE_TYPE",	//338
    "Q_STATIC_TYPE",	//339
    "QsciAPIs",	//340
    "QsciAPIs#",	//341
    "QsciAbstractAPIs",	//342
    "QsciAbstractAPIs#",	//343
    "QsciDocument",	//344
    "QsciDocument#",	//345
    "QsciLexer",	//346
    "QsciLexer#",	//347
    "QsciLexerBash",	//348
    "QsciLexerBash#",	//349
    "QsciLexerBatch",	//350
    "QsciLexerBatch#",	//351
    "QsciLexerCMake",	//352
    "QsciLexerCMake#",	//353
    "QsciLexerCPP",	//354
    "QsciLexerCPP#",	//355
    "QsciLexerCPP#$",	//356
    "QsciLexerCSS",	//357
    "QsciLexerCSS#",	//358
    "QsciLexerCSharp",	//359
    "QsciLexerCSharp#",	//360
    "QsciLexerCustom",	//361
    "QsciLexerCustom#",	//362
    "QsciLexerD",	//363
    "QsciLexerD#",	//364
    "QsciLexerDiff",	//365
    "QsciLexerDiff#",	//366
    "QsciLexerFortran",	//367
    "QsciLexerFortran#",	//368
    "QsciLexerFortran77",	//369
    "QsciLexerFortran77#",	//370
    "QsciLexerHTML",	//371
    "QsciLexerHTML#",	//372
    "QsciLexerIDL",	//373
    "QsciLexerIDL#",	//374
    "QsciLexerJava",	//375
    "QsciLexerJava#",	//376
    "QsciLexerJavaScript",	//377
    "QsciLexerJavaScript#",	//378
    "QsciLexerLua",	//379
    "QsciLexerLua#",	//380
    "QsciLexerMakefile",	//381
    "QsciLexerMakefile#",	//382
    "QsciLexerPOV",	//383
    "QsciLexerPOV#",	//384
    "QsciLexerPascal",	//385
    "QsciLexerPascal#",	//386
    "QsciLexerPerl",	//387
    "QsciLexerPerl#",	//388
    "QsciLexerPostScript",	//389
    "QsciLexerPostScript#",	//390
    "QsciLexerProperties",	//391
    "QsciLexerProperties#",	//392
    "QsciLexerPython",	//393
    "QsciLexerPython#",	//394
    "QsciLexerRuby",	//395
    "QsciLexerRuby#",	//396
    "QsciLexerSQL",	//397
    "QsciLexerSQL#",	//398
    "QsciLexerTCL",	//399
    "QsciLexerTCL#",	//400
    "QsciLexerTeX",	//401
    "QsciLexerTeX#",	//402
    "QsciLexerVHDL",	//403
    "QsciLexerVHDL#",	//404
    "QsciLexerXML",	//405
    "QsciLexerXML#",	//406
    "QsciLexerYAML",	//407
    "QsciLexerYAML#",	//408
    "QsciMacro",	//409
    "QsciMacro#",	//410
    "QsciMacro$#",	//411
    "QsciPrinter",	//412
    "QsciPrinter$",	//413
    "QsciScintilla",	//414
    "QsciScintilla#",	//415
    "QsciScintillaBase",	//416
    "QsciScintillaBase#",	//417
    "QsciStyle",	//418
    "QsciStyle#",	//419
    "QsciStyle$",	//420
    "QsciStyle$$###",	//421
    "QsciStyle$$###$",	//422
    "QsciStyledText",	//423
    "QsciStyledText#",	//424
    "QsciStyledText$#",	//425
    "QsciStyledText$$",	//426
    "QtCriticalMsg",	//427
    "QtDebugMsg",	//428
    "QtFatalMsg",	//429
    "QtSystemMsg",	//430
    "QtWarningMsg",	//431
    "QuotedKeyword",	//432
    "QuotedString",	//433
    "QuotedStringQ",	//434
    "QuotedStringQQ",	//435
    "QuotedStringQR",	//436
    "QuotedStringQW",	//437
    "QuotedStringQX",	//438
    "Raised",	//439
    "Rectangle",	//440
    "Reference",	//441
    "Regex",	//442
    "RightArrow",	//443
    "RightTriangle",	//444
    "RoundedBottomLeftCorner",	//445
    "SCEN_CHANGE",	//446
    "SCLEX_ABAQUS",	//447
    "SCLEX_ADA",	//448
    "SCLEX_APDL",	//449
    "SCLEX_ASM",	//450
    "SCLEX_ASN1",	//451
    "SCLEX_ASP",	//452
    "SCLEX_ASYMPTOTE",	//453
    "SCLEX_AU3",	//454
    "SCLEX_AVE",	//455
    "SCLEX_BAAN",	//456
    "SCLEX_BASH",	//457
    "SCLEX_BATCH",	//458
    "SCLEX_BLITZBASIC",	//459
    "SCLEX_BULLANT",	//460
    "SCLEX_CAML",	//461
    "SCLEX_CLW",	//462
    "SCLEX_CLWNOCASE",	//463
    "SCLEX_CMAKE",	//464
    "SCLEX_COBOL",	//465
    "SCLEX_CONF",	//466
    "SCLEX_CONTAINER",	//467
    "SCLEX_CPP",	//468
    "SCLEX_CPPNOCASE",	//469
    "SCLEX_CSOUND",	//470
    "SCLEX_CSS",	//471
    "SCLEX_D",	//472
    "SCLEX_DIFF",	//473
    "SCLEX_EIFFEL",	//474
    "SCLEX_EIFFELKW",	//475
    "SCLEX_ERLANG",	//476
    "SCLEX_ERRORLIST",	//477
    "SCLEX_ESCRIPT",	//478
    "SCLEX_F77",	//479
    "SCLEX_FLAGSHIP",	//480
    "SCLEX_FORTH",	//481
    "SCLEX_FORTRAN",	//482
    "SCLEX_FREEBASIC",	//483
    "SCLEX_GAP",	//484
    "SCLEX_GUI4CLI",	//485
    "SCLEX_HASKELL",	//486
    "SCLEX_HTML",	//487
    "SCLEX_INNOSETUP",	//488
    "SCLEX_KIX",	//489
    "SCLEX_LATEX",	//490
    "SCLEX_LISP",	//491
    "SCLEX_LOT",	//492
    "SCLEX_LOUT",	//493
    "SCLEX_LUA",	//494
    "SCLEX_MAGIK",	//495
    "SCLEX_MAKEFILE",	//496
    "SCLEX_MATLAB",	//497
    "SCLEX_METAPOST",	//498
    "SCLEX_MMIXAL",	//499
    "SCLEX_MSSQL",	//500
    "SCLEX_MYSQL",	//501
    "SCLEX_NIMROD",	//502
    "SCLEX_NNCRONTAB",	//503
    "SCLEX_NSIS",	//504
    "SCLEX_NULL",	//505
    "SCLEX_OCTAVE",	//506
    "SCLEX_OPAL",	//507
    "SCLEX_PASCAL",	//508
    "SCLEX_PERL",	//509
    "SCLEX_PHP",	//510
    "SCLEX_PHPSCRIPT",	//511
    "SCLEX_PLM",	//512
    "SCLEX_PO",	//513
    "SCLEX_POV",	//514
    "SCLEX_POWERBASIC",	//515
    "SCLEX_POWERPRO",	//516
    "SCLEX_POWERSHELL",	//517
    "SCLEX_PROGRESS",	//518
    "SCLEX_PROPERTIES",	//519
    "SCLEX_PS",	//520
    "SCLEX_PUREBASIC",	//521
    "SCLEX_PYTHON",	//522
    "SCLEX_R",	//523
    "SCLEX_REBOL",	//524
    "SCLEX_RUBY",	//525
    "SCLEX_SCRIPTOL",	//526
    "SCLEX_SMALLTALK",	//527
    "SCLEX_SML",	//528
    "SCLEX_SORCUS",	//529
    "SCLEX_SPECMAN",	//530
    "SCLEX_SPICE",	//531
    "SCLEX_SQL",	//532
    "SCLEX_TACL",	//533
    "SCLEX_TADS3",	//534
    "SCLEX_TAL",	//535
    "SCLEX_TCL",	//536
    "SCLEX_TEX",	//537
    "SCLEX_VB",	//538
    "SCLEX_VBSCRIPT",	//539
    "SCLEX_VERILOG",	//540
    "SCLEX_VHDL",	//541
    "SCLEX_XML",	//542
    "SCLEX_YAML",	//543
    "SCN_AUTOCCANCELLED",	//544
    "SCN_AUTOCCHARDELETED",	//545
    "SCN_AUTOCSELECTION",	//546
    "SCN_AUTOCSELECTION$$",	//547
    "SCN_CALLTIPCLICK",	//548
    "SCN_CALLTIPCLICK$",	//549
    "SCN_CHARADDED",	//550
    "SCN_CHARADDED$",	//551
    "SCN_DOUBLECLICK",	//552
    "SCN_DOUBLECLICK$$$",	//553
    "SCN_DWELLEND",	//554
    "SCN_DWELLEND$$$",	//555
    "SCN_DWELLSTART",	//556
    "SCN_DWELLSTART$$$",	//557
    "SCN_HOTSPOTCLICK",	//558
    "SCN_HOTSPOTCLICK$$",	//559
    "SCN_HOTSPOTDOUBLECLICK",	//560
    "SCN_HOTSPOTDOUBLECLICK$$",	//561
    "SCN_INDICATORCLICK",	//562
    "SCN_INDICATORCLICK$$",	//563
    "SCN_INDICATORRELEASE",	//564
    "SCN_INDICATORRELEASE$$",	//565
    "SCN_MACRORECORD",	//566
    "SCN_MACRORECORD$$$",	//567
    "SCN_MARGINCLICK",	//568
    "SCN_MARGINCLICK$$$",	//569
    "SCN_MODIFIED",	//570
    "SCN_MODIFIED$$$$$$$$$$",	//571
    "SCN_MODIFYATTEMPTRO",	//572
    "SCN_NEEDSHOWN",	//573
    "SCN_NEEDSHOWN$$",	//574
    "SCN_PAINTED",	//575
    "SCN_SAVEPOINTLEFT",	//576
    "SCN_SAVEPOINTREACHED",	//577
    "SCN_STYLENEEDED",	//578
    "SCN_STYLENEEDED$",	//579
    "SCN_UPDATEUI",	//580
    "SCN_USERLISTSELECTION",	//581
    "SCN_USERLISTSELECTION$$",	//582
    "SCN_ZOOM",	//583
    "SGMLBlockDefault",	//584
    "SGMLCommand",	//585
    "SGMLComment",	//586
    "SGMLDefault",	//587
    "SGMLDoubleQuotedString",	//588
    "SGMLEntity",	//589
    "SGMLError",	//590
    "SGMLParameter",	//591
    "SGMLParameterComment",	//592
    "SGMLSingleQuotedString",	//593
    "SGMLSpecial",	//594
    "Scalar",	//595
    "ScreenResolution",	//596
    "Script",	//597
    "Section",	//598
    "Selection",	//599
    "SendScintilla",	//600
    "SendScintilla$",	//601
    "SendScintilla$#",	//602
    "SendScintilla$$",	//603
    "SendScintilla$$#",	//604
    "SendScintilla$$##$$",	//605
    "SendScintilla$$$",	//606
    "SendScintilla$$$$",	//607
    "SendScintillaPtrResult",	//608
    "SendScintillaPtrResult$",	//609
    "Shadow_Mask",	//610
    "Shape_Mask",	//611
    "SingleQuotedHereDocument",	//612
    "SingleQuotedString",	//613
    "SloppyBraceMatch",	//614
    "SmallFormat",	//615
    "SmallRectangle",	//616
    "Spaces",	//617
    "Special",	//618
    "StandardFunction",	//619
    "StandardOperator",	//620
    "StandardPackage",	//621
    "StandardType",	//622
    "Stderr",	//623
    "Stdin",	//624
    "Stdout",	//625
    "StrictBraceMatch",	//626
    "String",	//627
    "StringLeftQuote",	//628
    "StringRightQuote",	//629
    "StringTableMathsFunctions",	//630
    "StringVariable",	//631
    "StyledPanel",	//632
    "SubroutinePrototype",	//633
    "Substitution",	//634
    "SubstitutionBrace",	//635
    "Sunken",	//636
    "Symbol",	//637
    "SymbolMargin",	//638
    "SymbolMarginDefaultBackgroundColor",	//639
    "SymbolMarginDefaultForegroundColor",	//640
    "SymbolTable",	//641
    "SyntaxErrorMarker",	//642
    "TCLKeyword",	//643
    "Tabloid",	//644
    "Tabs",	//645
    "TabsAfterSpaces",	//646
    "Tag",	//647
    "Target",	//648
    "Text",	//649
    "TextBlockMarker",	//650
    "TextMargin",	//651
    "TextMarginRightJustified",	//652
    "ThreeDots",	//653
    "ThreeRightArrows",	//654
    "TkCommand",	//655
    "TkKeyword",	//656
    "Tractor",	//657
    "TripleDoubleQuotedString",	//658
    "TripleSingleQuotedString",	//659
    "Typedefs",	//660
    "TypesModifiersItems",	//661
    "UUID",	//662
    "UnclosedString",	//663
    "UnknownAttribute",	//664
    "UnknownProperty",	//665
    "UnknownPseudoClass",	//666
    "UnknownTag",	//667
    "UpperCase",	//668
    "VBScriptComment",	//669
    "VBScriptDefault",	//670
    "VBScriptIdentifier",	//671
    "VBScriptKeyword",	//672
    "VBScriptNumber",	//673
    "VBScriptStart",	//674
    "VBScriptString",	//675
    "VBScriptUnclosedString",	//676
    "VLine",	//677
    "Value",	//678
    "Variable",	//679
    "VerbatimString",	//680
    "VerticalLine",	//681
    "WinPanel",	//682
    "WrapCharacter",	//683
    "WrapFlagByBorder",	//684
    "WrapFlagByText",	//685
    "WrapFlagNone",	//686
    "WrapNone",	//687
    "WrapWord",	//688
    "WsInvisible",	//689
    "WsVisible",	//690
    "WsVisibleAfterIndent",	//691
    "XMLEnd",	//692
    "XMLStart",	//693
    "XMLTagEnd",	//694
    "actionEvent",	//695
    "add",	//696
    "add$",	//697
    "alternateKey",	//698
    "annotate",	//699
    "annotate$#",	//700
    "annotate$$#",	//701
    "annotate$$$",	//702
    "annotate$?",	//703
    "annotation",	//704
    "annotation$",	//705
    "annotationDisplay",	//706
    "apiContext",	//707
    "apiContext$$$",	//708
    "apiPreparationCancelled",	//709
    "apiPreparationFinished",	//710
    "apiPreparationStarted",	//711
    "apis",	//712
    "append",	//713
    "append$",	//714
    "autoCompleteFromAPIs",	//715
    "autoCompleteFromAll",	//716
    "autoCompleteFromDocument",	//717
    "autoCompletionCaseSensitivity",	//718
    "autoCompletionFillups",	//719
    "autoCompletionFillupsEnabled",	//720
    "autoCompletionReplaceWord",	//721
    "autoCompletionSelected",	//722
    "autoCompletionSelected$",	//723
    "autoCompletionShowSingle",	//724
    "autoCompletionSource",	//725
    "autoCompletionThreshold",	//726
    "autoCompletionWordSeparators",	//727
    "autoIndent",	//728
    "autoIndentStyle",	//729
    "backslashEscapes",	//730
    "backspaceUnindents",	//731
    "beginUndoAction",	//732
    "blockEnd",	//733
    "blockEnd$",	//734
    "blockLookback",	//735
    "blockStart",	//736
    "blockStart$",	//737
    "blockStartKeyword",	//738
    "blockStartKeyword$",	//739
    "braceMatching",	//740
    "braceStyle",	//741
    "callTip",	//742
    "callTips",	//743
    "callTips?$$?",	//744
    "callTipsStyle",	//745
    "callTipsVisible",	//746
    "cancelList",	//747
    "cancelPreparation",	//748
    "caseSensitive",	//749
    "caseSensitiveTags",	//750
    "changeEvent",	//751
    "changeable",	//752
    "childEvent",	//753
    "clear",	//754
    "clearAlternateKeys",	//755
    "clearAnnotations",	//756
    "clearAnnotations$",	//757
    "clearKeys",	//758
    "clearMarginText",	//759
    "clearMarginText$",	//760
    "clearRegisteredImages",	//761
    "closeEvent",	//762
    "color",	//763
    "color$",	//764
    "colorChanged",	//765
    "colorChanged#$",	//766
    "commands",	//767
    "connectNotify",	//768
    "contextMenuEvent",	//769
    "contextMenuEvent#",	//770
    "convertEols",	//771
    "convertEols$",	//772
    "copy",	//773
    "copyAvailable",	//774
    "copyAvailable$",	//775
    "cursorPositionChanged",	//776
    "cursorPositionChanged$$",	//777
    "customEvent",	//778
    "cut",	//779
    "defaultColor",	//780
    "defaultColor$",	//781
    "defaultEolFill",	//782
    "defaultEolFill$",	//783
    "defaultFont",	//784
    "defaultFont$",	//785
    "defaultPaper",	//786
    "defaultPaper$",	//787
    "defaultPreparedName",	//788
    "defaultStyle",	//789
    "description",	//790
    "description$",	//791
    "devType",	//792
    "disconnectNotify",	//793
    "document",	//794
    "dollarsAllowed",	//795
    "dragEnterEvent",	//796
    "dragEnterEvent#",	//797
    "dragLeaveEvent",	//798
    "dragLeaveEvent#",	//799
    "dragMoveEvent",	//800
    "dragMoveEvent#",	//801
    "dropEvent",	//802
    "dropEvent#",	//803
    "edgeColor",	//804
    "edgeColumn",	//805
    "edgeMode",	//806
    "editor",	//807
    "enabledChange",	//808
    "endRecording",	//809
    "endUndoAction",	//810
    "ensureCursorVisible",	//811
    "ensureLineVisible",	//812
    "ensureLineVisible$",	//813
    "enterEvent",	//814
    "eolFill",	//815
    "eolFill$",	//816
    "eolFillChanged",	//817
    "eolFillChanged$$",	//818
    "eolMode",	//819
    "eolVisibility",	//820
    "event",	//821
    "event#",	//822
    "eventFilter",	//823
    "findFirst",	//824
    "findFirst$$$$$",	//825
    "findFirst$$$$$$",	//826
    "findFirst$$$$$$$",	//827
    "findFirst$$$$$$$$",	//828
    "findFirst$$$$$$$$$",	//829
    "findNext",	//830
    "firstVisibleLine",	//831
    "focusInEvent",	//832
    "focusInEvent#",	//833
    "focusNextPrevChild",	//834
    "focusNextPrevChild$",	//835
    "focusOutEvent",	//836
    "focusOutEvent#",	//837
    "foldAll",	//838
    "foldAll$",	//839
    "foldAtBegin",	//840
    "foldAtElse",	//841
    "foldAtParenthesis",	//842
    "foldComments",	//843
    "foldCompact",	//844
    "foldDirectives",	//845
    "foldLine",	//846
    "foldLine$",	//847
    "foldPODBlocks",	//848
    "foldPackages",	//849
    "foldPreprocessor",	//850
    "foldQuotes",	//851
    "foldScriptComments",	//852
    "foldScriptHeredocs",	//853
    "folding",	//854
    "font",	//855
    "font$",	//856
    "fontChange",	//857
    "fontChanged",	//858
    "fontChanged#$",	//859
    "formatPage",	//860
    "formatPage#$#$",	//861
    "getCursorPosition",	//862
    "getCursorPosition$$",	//863
    "getSelection",	//864
    "getSelection$$$$",	//865
    "hasSelectedText",	//866
    "heightForWidth",	//867
    "hideEvent",	//868
    "hotspot",	//869
    "indent",	//870
    "indent$",	//871
    "indentation",	//872
    "indentation$",	//873
    "indentationGuideView",	//874
    "indentationGuides",	//875
    "indentationWarning",	//876
    "indentationWidth",	//877
    "indentationsUseTabs",	//878
    "inputMethodEvent",	//879
    "inputMethodEvent#",	//880
    "inputMethodQuery",	//881
    "insert",	//882
    "insert$",	//883
    "insertAt",	//884
    "insertAt$$$",	//885
    "installedAPIFiles",	//886
    "isCallTipActive",	//887
    "isListActive",	//888
    "isModified",	//889
    "isPrepared",	//890
    "isPrepared$",	//891
    "isReadOnly",	//892
    "isRedoAvailable",	//893
    "isUndoAvailable",	//894
    "isUtf8",	//895
    "isWordCharacter",	//896
    "isWordCharacter$",	//897
    "key",	//898
    "keyPressEvent",	//899
    "keyPressEvent#",	//900
    "keyReleaseEvent",	//901
    "keywords",	//902
    "keywords$",	//903
    "language",	//904
    "languageChange",	//905
    "leaveEvent",	//906
    "length",	//907
    "level",	//908
    "lexer",	//909
    "lexerId",	//910
    "lineAt",	//911
    "lineAt#",	//912
    "lineIndexFromPosition",	//913
    "lineIndexFromPosition$$$",	//914
    "lineLength",	//915
    "lineLength$",	//916
    "lines",	//917
    "linesChanged",	//918
    "load",	//919
    "load$",	//920
    "loadPrepared",	//921
    "loadPrepared$",	//922
    "magnification",	//923
    "marginClicked",	//924
    "marginClicked$$$",	//925
    "marginLineNumbers",	//926
    "marginLineNumbers$",	//927
    "marginMarkerMask",	//928
    "marginMarkerMask$",	//929
    "marginSensitivity",	//930
    "marginSensitivity$",	//931
    "marginType",	//932
    "marginType$",	//933
    "marginWidth",	//934
    "marginWidth$",	//935
    "markerAdd",	//936
    "markerAdd$$",	//937
    "markerDefine",	//938
    "markerDefine#",	//939
    "markerDefine#$",	//940
    "markerDefine$",	//941
    "markerDefine$$",	//942
    "markerDelete",	//943
    "markerDelete$",	//944
    "markerDelete$$",	//945
    "markerDeleteAll",	//946
    "markerDeleteAll$",	//947
    "markerDeleteHandle",	//948
    "markerDeleteHandle$",	//949
    "markerFindNext",	//950
    "markerFindNext$$",	//951
    "markerFindPrevious",	//952
    "markerFindPrevious$$",	//953
    "markerLine",	//954
    "markerLine$",	//955
    "markersAtLine",	//956
    "markersAtLine$",	//957
    "metaObject",	//958
    "metric",	//959
    "minimumSizeHint",	//960
    "modificationAttempted",	//961
    "modificationChanged",	//962
    "modificationChanged$",	//963
    "mouseDoubleClickEvent",	//964
    "mouseDoubleClickEvent#",	//965
    "mouseMoveEvent",	//966
    "mouseMoveEvent#",	//967
    "mousePressEvent",	//968
    "mousePressEvent#",	//969
    "mouseReleaseEvent",	//970
    "mouseReleaseEvent#",	//971
    "moveEvent",	//972
    "moveToMatchingBrace",	//973
    "operator=",	//974
    "operator=#",	//975
    "paintEngine",	//976
    "paintEvent",	//977
    "paintEvent#",	//978
    "paletteChange",	//979
    "paper",	//980
    "paper$",	//981
    "paperChanged",	//982
    "paperChanged#$",	//983
    "paste",	//984
    "play",	//985
    "pool",	//986
    "positionFromLineIndex",	//987
    "positionFromLineIndex$$",	//988
    "prepare",	//989
    "printRange",	//990
    "printRange#",	//991
    "printRange#$",	//992
    "printRange#$$",	//993
    "propertyChanged",	//994
    "propertyChanged$$",	//995
    "qt_metacall",	//996
    "qt_metacall$$?",	//997
    "qt_metacast",	//998
    "qt_metacast$",	//999
    "read",	//1000
    "read#",	//1001
    "readProperties",	//1002
    "readProperties#$",	//1003
    "readSettings",	//1004
    "readSettings#",	//1005
    "readSettings#$",	//1006
    "recolor",	//1007
    "recolor$",	//1008
    "recolor$$",	//1009
    "redo",	//1010
    "refresh",	//1011
    "refreshProperties",	//1012
    "registerImage",	//1013
    "registerImage$#",	//1014
    "remove",	//1015
    "remove$",	//1016
    "removeSelectedText",	//1017
    "replace",	//1018
    "replace$",	//1019
    "resetFoldMarginColors",	//1020
    "resetSelectionBackgroundColor",	//1021
    "resetSelectionForegroundColor",	//1022
    "resizeEvent",	//1023
    "resizeEvent#",	//1024
    "save",	//1025
    "savePrepared",	//1026
    "savePrepared$",	//1027
    "scriptsStyled",	//1028
    "scrollContentsBy",	//1029
    "scrollContentsBy$$",	//1030
    "selectAll",	//1031
    "selectAll$",	//1032
    "selectToMatchingBrace",	//1033
    "selectedText",	//1034
    "selectionChanged",	//1035
    "selectionToEol",	//1036
    "setAPIs",	//1037
    "setAPIs#",	//1038
    "setAlternateKey",	//1039
    "setAlternateKey$",	//1040
    "setAnnotationDisplay",	//1041
    "setAnnotationDisplay$",	//1042
    "setAutoCompletionCaseSensitivity",	//1043
    "setAutoCompletionCaseSensitivity$",	//1044
    "setAutoCompletionFillups",	//1045
    "setAutoCompletionFillups$",	//1046
    "setAutoCompletionFillupsEnabled",	//1047
    "setAutoCompletionFillupsEnabled$",	//1048
    "setAutoCompletionReplaceWord",	//1049
    "setAutoCompletionReplaceWord$",	//1050
    "setAutoCompletionShowSingle",	//1051
    "setAutoCompletionShowSingle$",	//1052
    "setAutoCompletionSource",	//1053
    "setAutoCompletionSource$",	//1054
    "setAutoCompletionThreshold",	//1055
    "setAutoCompletionThreshold$",	//1056
    "setAutoCompletionWordSeparators",	//1057
    "setAutoCompletionWordSeparators?",	//1058
    "setAutoIndent",	//1059
    "setAutoIndent$",	//1060
    "setAutoIndentStyle",	//1061
    "setAutoIndentStyle$",	//1062
    "setBackslashEscapes",	//1063
    "setBackslashEscapes$",	//1064
    "setBackspaceUnindents",	//1065
    "setBackspaceUnindents$",	//1066
    "setBraceMatching",	//1067
    "setBraceMatching$",	//1068
    "setCallTipsBackgroundColor",	//1069
    "setCallTipsBackgroundColor#",	//1070
    "setCallTipsForegroundColor",	//1071
    "setCallTipsForegroundColor#",	//1072
    "setCallTipsHighlightColor",	//1073
    "setCallTipsHighlightColor#",	//1074
    "setCallTipsStyle",	//1075
    "setCallTipsStyle$",	//1076
    "setCallTipsVisible",	//1077
    "setCallTipsVisible$",	//1078
    "setCaretForegroundColor",	//1079
    "setCaretForegroundColor#",	//1080
    "setCaretLineBackgroundColor",	//1081
    "setCaretLineBackgroundColor#",	//1082
    "setCaretLineVisible",	//1083
    "setCaretLineVisible$",	//1084
    "setCaretWidth",	//1085
    "setCaretWidth$",	//1086
    "setCaseSensitiveTags",	//1087
    "setCaseSensitiveTags$",	//1088
    "setChangeable",	//1089
    "setChangeable$",	//1090
    "setColor",	//1091
    "setColor#",	//1092
    "setColor#$",	//1093
    "setCursorPosition",	//1094
    "setCursorPosition$$",	//1095
    "setDefaultColor",	//1096
    "setDefaultColor#",	//1097
    "setDefaultFont",	//1098
    "setDefaultFont#",	//1099
    "setDefaultPaper",	//1100
    "setDefaultPaper#",	//1101
    "setDescription",	//1102
    "setDescription$",	//1103
    "setDocument",	//1104
    "setDocument#",	//1105
    "setDollarsAllowed",	//1106
    "setDollarsAllowed$",	//1107
    "setEdgeColor",	//1108
    "setEdgeColor#",	//1109
    "setEdgeColumn",	//1110
    "setEdgeColumn$",	//1111
    "setEdgeMode",	//1112
    "setEdgeMode$",	//1113
    "setEditor",	//1114
    "setEditor#",	//1115
    "setEolFill",	//1116
    "setEolFill$",	//1117
    "setEolFill$$",	//1118
    "setEolMode",	//1119
    "setEolMode$",	//1120
    "setEolVisibility",	//1121
    "setEolVisibility$",	//1122
    "setFoldAtBegin",	//1123
    "setFoldAtBegin$",	//1124
    "setFoldAtElse",	//1125
    "setFoldAtElse$",	//1126
    "setFoldAtParenthesis",	//1127
    "setFoldAtParenthesis$",	//1128
    "setFoldComments",	//1129
    "setFoldComments$",	//1130
    "setFoldCompact",	//1131
    "setFoldCompact$",	//1132
    "setFoldDirectives",	//1133
    "setFoldDirectives$",	//1134
    "setFoldMarginColors",	//1135
    "setFoldMarginColors##",	//1136
    "setFoldPODBlocks",	//1137
    "setFoldPODBlocks$",	//1138
    "setFoldPackages",	//1139
    "setFoldPackages$",	//1140
    "setFoldPreprocessor",	//1141
    "setFoldPreprocessor$",	//1142
    "setFoldQuotes",	//1143
    "setFoldQuotes$",	//1144
    "setFoldScriptComments",	//1145
    "setFoldScriptComments$",	//1146
    "setFoldScriptHeredocs",	//1147
    "setFoldScriptHeredocs$",	//1148
    "setFolding",	//1149
    "setFolding$",	//1150
    "setFolding$$",	//1151
    "setFont",	//1152
    "setFont#",	//1153
    "setFont#$",	//1154
    "setHotspot",	//1155
    "setHotspot$",	//1156
    "setIndentation",	//1157
    "setIndentation$$",	//1158
    "setIndentationGuides",	//1159
    "setIndentationGuides$",	//1160
    "setIndentationGuidesBackgroundColor",	//1161
    "setIndentationGuidesBackgroundColor#",	//1162
    "setIndentationGuidesForegroundColor",	//1163
    "setIndentationGuidesForegroundColor#",	//1164
    "setIndentationWarning",	//1165
    "setIndentationWarning$",	//1166
    "setIndentationWidth",	//1167
    "setIndentationWidth$",	//1168
    "setIndentationsUseTabs",	//1169
    "setIndentationsUseTabs$",	//1170
    "setKey",	//1171
    "setKey$",	//1172
    "setLevel",	//1173
    "setLevel$",	//1174
    "setLexer",	//1175
    "setLexer#",	//1176
    "setMagnification",	//1177
    "setMagnification$",	//1178
    "setMarginLineNumbers",	//1179
    "setMarginLineNumbers$$",	//1180
    "setMarginMarkerMask",	//1181
    "setMarginMarkerMask$$",	//1182
    "setMarginSensitivity",	//1183
    "setMarginSensitivity$$",	//1184
    "setMarginText",	//1185
    "setMarginText$#",	//1186
    "setMarginText$$#",	//1187
    "setMarginText$$$",	//1188
    "setMarginText$?",	//1189
    "setMarginType",	//1190
    "setMarginType$$",	//1191
    "setMarginWidth",	//1192
    "setMarginWidth$$",	//1193
    "setMarginsBackgroundColor",	//1194
    "setMarginsBackgroundColor#",	//1195
    "setMarginsFont",	//1196
    "setMarginsFont#",	//1197
    "setMarginsForegroundColor",	//1198
    "setMarginsForegroundColor#",	//1199
    "setMarkerBackgroundColor",	//1200
    "setMarkerBackgroundColor#",	//1201
    "setMarkerBackgroundColor#$",	//1202
    "setMarkerForegroundColor",	//1203
    "setMarkerForegroundColor#",	//1204
    "setMarkerForegroundColor#$",	//1205
    "setMatchedBraceBackgroundColor",	//1206
    "setMatchedBraceBackgroundColor#",	//1207
    "setMatchedBraceForegroundColor",	//1208
    "setMatchedBraceForegroundColor#",	//1209
    "setModified",	//1210
    "setModified$",	//1211
    "setPaper",	//1212
    "setPaper#",	//1213
    "setPaper#$",	//1214
    "setReadOnly",	//1215
    "setReadOnly$",	//1216
    "setScriptsStyled",	//1217
    "setScriptsStyled$",	//1218
    "setSelection",	//1219
    "setSelection$$$$",	//1220
    "setSelectionBackgroundColor",	//1221
    "setSelectionBackgroundColor#",	//1222
    "setSelectionForegroundColor",	//1223
    "setSelectionForegroundColor#",	//1224
    "setSelectionToEol",	//1225
    "setSelectionToEol$",	//1226
    "setSmartHighlighting",	//1227
    "setSmartHighlighting$",	//1228
    "setStylePreprocessor",	//1229
    "setStylePreprocessor$",	//1230
    "setStyling",	//1231
    "setStyling$#",	//1232
    "setStyling$$",	//1233
    "setTabIndents",	//1234
    "setTabIndents$",	//1235
    "setTabWidth",	//1236
    "setTabWidth$",	//1237
    "setText",	//1238
    "setText$",	//1239
    "setTextCase",	//1240
    "setTextCase$",	//1241
    "setTokenize",	//1242
    "setTokenize$",	//1243
    "setUnmatchedBraceBackgroundColor",	//1244
    "setUnmatchedBraceBackgroundColor#",	//1245
    "setUnmatchedBraceForegroundColor",	//1246
    "setUnmatchedBraceForegroundColor#",	//1247
    "setUtf8",	//1248
    "setUtf8$",	//1249
    "setV2UnicodeAllowed",	//1250
    "setV2UnicodeAllowed$",	//1251
    "setV3BinaryOctalAllowed",	//1252
    "setV3BinaryOctalAllowed$",	//1253
    "setV3BytesAllowed",	//1254
    "setV3BytesAllowed$",	//1255
    "setVisible",	//1256
    "setVisible$",	//1257
    "setWhitespaceVisibility",	//1258
    "setWhitespaceVisibility$",	//1259
    "setWrapMode",	//1260
    "setWrapMode$",	//1261
    "setWrapVisualFlags",	//1262
    "setWrapVisualFlags$",	//1263
    "setWrapVisualFlags$$",	//1264
    "setWrapVisualFlags$$$",	//1265
    "showEvent",	//1266
    "showUserList",	//1267
    "showUserList$?",	//1268
    "sizeHint",	//1269
    "smartHighlighting",	//1270
    "standardCommands",	//1271
    "startRecording",	//1272
    "startStyling",	//1273
    "startStyling$",	//1274
    "startStyling$$",	//1275
    "staticMetaObject",	//1276
    "style",	//1277
    "styleBitsNeeded",	//1278
    "styleChange",	//1279
    "stylePreprocessor",	//1280
    "styleText",	//1281
    "styleText$$",	//1282
    "tabIndents",	//1283
    "tabWidth",	//1284
    "tabletEvent",	//1285
    "text",	//1286
    "text$",	//1287
    "textCase",	//1288
    "textChanged",	//1289
    "textHeight",	//1290
    "textHeight$",	//1291
    "timerEvent",	//1292
    "tokenize",	//1293
    "tr",	//1294
    "tr$",	//1295
    "tr$$",	//1296
    "tr$$$",	//1297
    "trUtf8",	//1298
    "trUtf8$",	//1299
    "trUtf8$$",	//1300
    "trUtf8$$$",	//1301
    "undo",	//1302
    "unindent",	//1303
    "unindent$",	//1304
    "updateAutoCompletionList",	//1305
    "updateAutoCompletionList??",	//1306
    "userListActivated",	//1307
    "userListActivated$$",	//1308
    "v2UnicodeAllowed",	//1309
    "v3BinaryOctalAllowed",	//1310
    "v3BytesAllowed",	//1311
    "validKey",	//1312
    "validKey$",	//1313
    "viewportEvent",	//1314
    "visible",	//1315
    "wheelEvent",	//1316
    "whitespaceVisibility",	//1317
    "windowActivationChange",	//1318
    "wordAtPoint",	//1319
    "wordAtPoint#",	//1320
    "wordCharacters",	//1321
    "wrapMode",	//1322
    "write",	//1323
    "write#",	//1324
    "writeProperties",	//1325
    "writeProperties#$",	//1326
    "writeSettings",	//1327
    "writeSettings#",	//1328
    "writeSettings#$",	//1329
    "x11Event",	//1330
    "zoomIn",	//1331
    "zoomIn$",	//1332
    "zoomOut",	//1333
    "zoomOut$",	//1334
    "zoomTo",	//1335
    "zoomTo$",	//1336
    "~QsciAPIs",	//1337
    "~QsciAbstractAPIs",	//1338
    "~QsciCommand",	//1339
    "~QsciDocument",	//1340
    "~QsciLexer",	//1341
    "~QsciLexerBash",	//1342
    "~QsciLexerBatch",	//1343
    "~QsciLexerCMake",	//1344
    "~QsciLexerCPP",	//1345
    "~QsciLexerCSS",	//1346
    "~QsciLexerCSharp",	//1347
    "~QsciLexerCustom",	//1348
    "~QsciLexerD",	//1349
    "~QsciLexerDiff",	//1350
    "~QsciLexerFortran",	//1351
    "~QsciLexerFortran77",	//1352
    "~QsciLexerHTML",	//1353
    "~QsciLexerIDL",	//1354
    "~QsciLexerJava",	//1355
    "~QsciLexerJavaScript",	//1356
    "~QsciLexerLua",	//1357
    "~QsciLexerMakefile",	//1358
    "~QsciLexerPOV",	//1359
    "~QsciLexerPascal",	//1360
    "~QsciLexerPerl",	//1361
    "~QsciLexerPostScript",	//1362
    "~QsciLexerProperties",	//1363
    "~QsciLexerPython",	//1364
    "~QsciLexerRuby",	//1365
    "~QsciLexerSQL",	//1366
    "~QsciLexerTCL",	//1367
    "~QsciLexerTeX",	//1368
    "~QsciLexerVHDL",	//1369
    "~QsciLexerXML",	//1370
    "~QsciLexerYAML",	//1371
    "~QsciMacro",	//1372
    "~QsciPrinter",	//1373
    "~QsciScintilla",	//1374
    "~QsciScintillaBase",	//1375
    "~QsciStyle",	//1376
    "~QsciStyledText",	//1377
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 960, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 35, 0},	//1 QAbstractScrollArea::minimumSizeHint() const
    {1, 1269, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 35, 0},	//2 QAbstractScrollArea::sizeHint() const
    {1, 821, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 178, 0},	//3 QAbstractScrollArea::event(QEvent*)
    {1, 1314, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 178, 0},	//4 QAbstractScrollArea::viewportEvent(QEvent*)
    {1, 1316, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//5 QAbstractScrollArea::wheelEvent(QWheelEvent*)
    {15, 751, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//6 QFrame::changeEvent(QEvent*)
    {16, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1},	//7 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {16, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2},	//8 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {16, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3},	//9 QGlobalSpace::Q_STATIC_TYPE (enum)
    {16, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 4},	//10 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {16, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 5},	//11 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {16, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 6},	//12 QGlobalSpace::QtDebugMsg (enum)
    {16, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 7},	//13 QGlobalSpace::QtWarningMsg (enum)
    {16, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 8},	//14 QGlobalSpace::QtCriticalMsg (enum)
    {16, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 9},	//15 QGlobalSpace::QtFatalMsg (enum)
    {16, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 10},	//16 QGlobalSpace::QtSystemMsg (enum)
    {24, 821, 1, 1, Smoke::mf_virtual, 178, 0},	//17 QObject::event(QEvent*)
    {24, 823, 5, 2, Smoke::mf_virtual, 178, 0},	//18 QObject::eventFilter(QObject*, QEvent*)
    {24, 1292, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//19 QObject::timerEvent(QTimerEvent*)
    {24, 753, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//20 QObject::childEvent(QChildEvent*)
    {24, 778, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//21 QObject::customEvent(QEvent*)
    {24, 768, 12, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//22 QObject::connectNotify(const char*)
    {24, 793, 12, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//23 QObject::disconnectNotify(const char*)
    {31, 792, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 0},	//24 QPrinter::devType() const
    {31, 976, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 25, 0},	//25 QPrinter::paintEngine() const
    {31, 959, 14, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 199, 0},	//26 QPrinter::metric(QPaintDevice::PaintDeviceMetric) const
    {31, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 4},	//27 QPrinter::ScreenResolution (enum)
    {31, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 5},	//28 QPrinter::PrinterResolution (enum)
    {31, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 6},	//29 QPrinter::HighResolution (enum)
    {43, 792, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 0},	//30 QWidget::devType() const
    {43, 1256, 16, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//31 QWidget::setVisible(bool)
    {43, 867, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 0},	//32 QWidget::heightForWidth(int) const
    {43, 976, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 25, 0},	//33 QWidget::paintEngine() const
    {43, 901, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//34 QWidget::keyReleaseEvent(QKeyEvent*)
    {43, 814, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//35 QWidget::enterEvent(QEvent*)
    {43, 906, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//36 QWidget::leaveEvent(QEvent*)
    {43, 972, 22, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//37 QWidget::moveEvent(QMoveEvent*)
    {43, 762, 24, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//38 QWidget::closeEvent(QCloseEvent*)
    {43, 1285, 26, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//39 QWidget::tabletEvent(QTabletEvent*)
    {43, 695, 28, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//40 QWidget::actionEvent(QActionEvent*)
    {43, 1266, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//41 QWidget::showEvent(QShowEvent*)
    {43, 868, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//42 QWidget::hideEvent(QHideEvent*)
    {43, 1330, 34, 1, Smoke::mf_protected|Smoke::mf_virtual, 178, 0},	//43 QWidget::x11Event(_XEvent*)
    {43, 959, 14, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 199, 0},	//44 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {43, 881, 36, 1, Smoke::mf_const|Smoke::mf_virtual, 43, 0},	//45 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {43, 1279, 38, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//46 QWidget::styleChange(QStyle&)
    {43, 808, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//47 QWidget::enabledChange(bool)
    {43, 979, 40, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//48 QWidget::paletteChange(const QPalette&)
    {43, 857, 42, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//49 QWidget::fontChange(const QFont&)
    {43, 1318, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//50 QWidget::windowActivationChange(bool)
    {43, 905, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//51 QWidget::languageChange()
    {44, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//52 QsciAPIs::metaObject() const
    {44, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//53 QsciAPIs::qt_metacast(const char*)
    {44, 1294, 44, 2, Smoke::mf_static, 36, 3},	//54 QsciAPIs::tr(const char*, const char*)
    {44, 1298, 44, 2, Smoke::mf_static, 36, 4},	//55 QsciAPIs::trUtf8(const char*, const char*)
    {44, 1294, 47, 3, Smoke::mf_static, 36, 5},	//56 QsciAPIs::tr(const char*, const char*, int)
    {44, 1298, 47, 3, Smoke::mf_static, 36, 6},	//57 QsciAPIs::trUtf8(const char*, const char*, int)
    {44, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//58 QsciAPIs::qt_metacall(QMetaObject::Call, int, void**)
    {44, 340, 55, 1, Smoke::mf_ctor, 46, 8},	//59 QsciAPIs::QsciAPIs(QsciLexer*)
    {44, 696, 57, 1, 0, 0, 9},	//60 QsciAPIs::add(const QString&)
    {44, 754, 0, 0, 0, 0, 10},	//61 QsciAPIs::clear()
    {44, 919, 57, 1, 0, 178, 11},	//62 QsciAPIs::load(const QString&)
    {44, 1015, 57, 1, 0, 0, 12},	//63 QsciAPIs::remove(const QString&)
    {44, 989, 0, 0, 0, 0, 13},	//64 QsciAPIs::prepare()
    {44, 748, 0, 0, 0, 0, 14},	//65 QsciAPIs::cancelPreparation()
    {44, 788, 0, 0, Smoke::mf_const, 36, 15},	//66 QsciAPIs::defaultPreparedName() const
    {44, 890, 57, 1, Smoke::mf_const, 178, 16},	//67 QsciAPIs::isPrepared(const QString&) const
    {44, 921, 57, 1, 0, 178, 17},	//68 QsciAPIs::loadPrepared(const QString&)
    {44, 1026, 57, 1, Smoke::mf_const, 178, 18},	//69 QsciAPIs::savePrepared(const QString&) const
    {44, 1305, 59, 2, Smoke::mf_virtual, 0, 19},	//70 QsciAPIs::updateAutoCompletionList(const QStringList&, QStringList&)
    {44, 722, 57, 1, Smoke::mf_virtual, 0, 20},	//71 QsciAPIs::autoCompletionSelected(const QString&)
    {44, 743, 62, 4, Smoke::mf_virtual, 37, 21},	//72 QsciAPIs::callTips(const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&)
    {44, 821, 1, 1, Smoke::mf_virtual, 178, 22},	//73 QsciAPIs::event(QEvent*)
    {44, 886, 0, 0, Smoke::mf_const, 37, 23},	//74 QsciAPIs::installedAPIFiles() const
    {44, 709, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//75 QsciAPIs::apiPreparationCancelled()
    {44, 711, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//76 QsciAPIs::apiPreparationStarted()
    {44, 710, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//77 QsciAPIs::apiPreparationFinished()
    {44, 1294, 12, 1, Smoke::mf_static, 36, 27},	//78 QsciAPIs::tr(const char*)
    {44, 1298, 12, 1, Smoke::mf_static, 36, 28},	//79 QsciAPIs::trUtf8(const char*)
    {44, 890, 0, 0, Smoke::mf_const, 178, 29},	//80 QsciAPIs::isPrepared() const
    {44, 921, 0, 0, 0, 178, 30},	//81 QsciAPIs::loadPrepared()
    {44, 1026, 0, 0, Smoke::mf_const, 178, 31},	//82 QsciAPIs::savePrepared() const
    {44, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 32},	//83 QsciAPIs::staticMetaObject() const
    {44, 1337, 0, 0, Smoke::mf_dtor, 0, 33 },	//84 QsciAPIs::~QsciAPIs()
    {45, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//85 QsciAbstractAPIs::metaObject() const
    {45, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//86 QsciAbstractAPIs::qt_metacast(const char*)
    {45, 1294, 44, 2, Smoke::mf_static, 36, 3},	//87 QsciAbstractAPIs::tr(const char*, const char*)
    {45, 1298, 44, 2, Smoke::mf_static, 36, 4},	//88 QsciAbstractAPIs::trUtf8(const char*, const char*)
    {45, 1294, 47, 3, Smoke::mf_static, 36, 5},	//89 QsciAbstractAPIs::tr(const char*, const char*, int)
    {45, 1298, 47, 3, Smoke::mf_static, 36, 6},	//90 QsciAbstractAPIs::trUtf8(const char*, const char*, int)
    {45, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//91 QsciAbstractAPIs::qt_metacall(QMetaObject::Call, int, void**)
    {45, 342, 55, 1, Smoke::mf_ctor, 47, 8},	//92 QsciAbstractAPIs::QsciAbstractAPIs(QsciLexer*)
    {45, 909, 0, 0, Smoke::mf_const, 52, 9},	//93 QsciAbstractAPIs::lexer() const
    {45, 1305, 59, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//94 QsciAbstractAPIs::updateAutoCompletionList(const QStringList&, QStringList&) [pure virtual]
    {45, 722, 57, 1, Smoke::mf_virtual, 0, 11},	//95 QsciAbstractAPIs::autoCompletionSelected(const QString&)
    {45, 743, 62, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 37, 12},	//96 QsciAbstractAPIs::callTips(const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&) [pure virtual]
    {45, 1294, 12, 1, Smoke::mf_static, 36, 13},	//97 QsciAbstractAPIs::tr(const char*)
    {45, 1298, 12, 1, Smoke::mf_static, 36, 14},	//98 QsciAbstractAPIs::trUtf8(const char*)
    {45, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 15},	//99 QsciAbstractAPIs::staticMetaObject() const
    {45, 1338, 0, 0, Smoke::mf_dtor, 0, 16 },	//100 QsciAbstractAPIs::~QsciAbstractAPIs()
    {46, 1171, 18, 1, 0, 0, 1},	//101 QsciCommand::setKey(int)
    {46, 1039, 18, 1, 0, 0, 2},	//102 QsciCommand::setAlternateKey(int)
    {46, 898, 0, 0, Smoke::mf_const, 199, 3},	//103 QsciCommand::key() const
    {46, 698, 0, 0, Smoke::mf_const, 199, 4},	//104 QsciCommand::alternateKey() const
    {46, 1312, 18, 1, Smoke::mf_static, 178, 5},	//105 QsciCommand::validKey(int)
    {46, 790, 0, 0, Smoke::mf_const, 36, 6},	//106 QsciCommand::description() const
    {46, 1339, 0, 0, Smoke::mf_dtor, 0, 7 },	//107 QsciCommand::~QsciCommand()
    {47, 1004, 67, 2, 0, 178, 1},	//108 QsciCommandSet::readSettings(QSettings&, const char*)
    {47, 1327, 67, 2, 0, 178, 2},	//109 QsciCommandSet::writeSettings(QSettings&, const char*)
    {47, 767, 0, 0, 0, 18, 3},	//110 QsciCommandSet::commands()
    {47, 758, 0, 0, 0, 0, 4},	//111 QsciCommandSet::clearKeys()
    {47, 755, 0, 0, 0, 0, 5},	//112 QsciCommandSet::clearAlternateKeys()
    {47, 1004, 70, 1, 0, 178, 6},	//113 QsciCommandSet::readSettings(QSettings&)
    {47, 1327, 70, 1, 0, 178, 7},	//114 QsciCommandSet::writeSettings(QSettings&)
    {48, 344, 0, 0, Smoke::mf_ctor, 51, 1},	//115 QsciDocument::QsciDocument()
    {48, 344, 72, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 51, 2},	//116 QsciDocument::QsciDocument(const QsciDocument&)
    {48, 974, 72, 1, 0, 50, 3},	//117 QsciDocument::operator=(const QsciDocument&)
    {48, 1340, 0, 0, Smoke::mf_dtor, 0, 4 },	//118 QsciDocument::~QsciDocument()
    {49, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//119 QsciLexer::metaObject() const
    {49, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//120 QsciLexer::qt_metacast(const char*)
    {49, 1294, 44, 2, Smoke::mf_static, 36, 3},	//121 QsciLexer::tr(const char*, const char*)
    {49, 1298, 44, 2, Smoke::mf_static, 36, 4},	//122 QsciLexer::trUtf8(const char*, const char*)
    {49, 1294, 47, 3, Smoke::mf_static, 36, 5},	//123 QsciLexer::tr(const char*, const char*, int)
    {49, 1298, 47, 3, Smoke::mf_static, 36, 6},	//124 QsciLexer::trUtf8(const char*, const char*, int)
    {49, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//125 QsciLexer::qt_metacall(QMetaObject::Call, int, void**)
    {49, 346, 74, 1, Smoke::mf_ctor, 52, 8},	//126 QsciLexer::QsciLexer(QObject*)
    {49, 904, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 197, 9},	//127 QsciLexer::language() const [pure virtual]
    {49, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 10},	//128 QsciLexer::lexer() const
    {49, 910, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 11},	//129 QsciLexer::lexerId() const
    {49, 712, 0, 0, Smoke::mf_const, 47, 12},	//130 QsciLexer::apis() const
    {49, 719, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 13},	//131 QsciLexer::autoCompletionFillups() const
    {49, 727, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 37, 14},	//132 QsciLexer::autoCompletionWordSeparators() const
    {49, 729, 0, 0, 0, 199, 15},	//133 QsciLexer::autoIndentStyle()
    {49, 733, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 16},	//134 QsciLexer::blockEnd(int*) const
    {49, 735, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 17},	//135 QsciLexer::blockLookback() const
    {49, 736, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 18},	//136 QsciLexer::blockStart(int*) const
    {49, 738, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 19},	//137 QsciLexer::blockStartKeyword(int*) const
    {49, 741, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 20},	//138 QsciLexer::braceStyle() const
    {49, 749, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 178, 21},	//139 QsciLexer::caseSensitive() const
    {49, 763, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 22},	//140 QsciLexer::color(int) const
    {49, 815, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 178, 23},	//141 QsciLexer::eolFill(int) const
    {49, 855, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 24},	//142 QsciLexer::font(int) const
    {49, 874, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 25},	//143 QsciLexer::indentationGuideView() const
    {49, 902, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 26},	//144 QsciLexer::keywords(int) const
    {49, 789, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 27},	//145 QsciLexer::defaultStyle() const
    {49, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 36, 28},	//146 QsciLexer::description(int) const [pure virtual]
    {49, 980, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 29},	//147 QsciLexer::paper(int) const
    {49, 780, 0, 0, Smoke::mf_const, 5, 30},	//148 QsciLexer::defaultColor() const
    {49, 780, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 31},	//149 QsciLexer::defaultColor(int) const
    {49, 782, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 178, 32},	//150 QsciLexer::defaultEolFill(int) const
    {49, 784, 0, 0, Smoke::mf_const, 13, 33},	//151 QsciLexer::defaultFont() const
    {49, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 34},	//152 QsciLexer::defaultFont(int) const
    {49, 786, 0, 0, Smoke::mf_const, 5, 35},	//153 QsciLexer::defaultPaper() const
    {49, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 36},	//154 QsciLexer::defaultPaper(int) const
    {49, 807, 0, 0, Smoke::mf_const, 86, 37},	//155 QsciLexer::editor() const
    {49, 1037, 78, 1, 0, 0, 38},	//156 QsciLexer::setAPIs(QsciAbstractAPIs*)
    {49, 1096, 80, 1, 0, 0, 39},	//157 QsciLexer::setDefaultColor(const QColor&)
    {49, 1098, 42, 1, 0, 0, 40},	//158 QsciLexer::setDefaultFont(const QFont&)
    {49, 1100, 80, 1, 0, 0, 41},	//159 QsciLexer::setDefaultPaper(const QColor&)
    {49, 1114, 82, 1, Smoke::mf_virtual, 0, 42},	//160 QsciLexer::setEditor(QsciScintilla*)
    {49, 1004, 67, 2, 0, 178, 43},	//161 QsciLexer::readSettings(QSettings&, const char*)
    {49, 1012, 0, 0, Smoke::mf_virtual, 0, 44},	//162 QsciLexer::refreshProperties()
    {49, 1278, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 45},	//163 QsciLexer::styleBitsNeeded() const
    {49, 1321, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 46},	//164 QsciLexer::wordCharacters() const
    {49, 1327, 67, 2, Smoke::mf_const, 178, 47},	//165 QsciLexer::writeSettings(QSettings&, const char*) const
    {49, 1061, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 48},	//166 QsciLexer::setAutoIndentStyle(int)
    {49, 1091, 84, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 49},	//167 QsciLexer::setColor(const QColor&, int)
    {49, 1116, 87, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 50},	//168 QsciLexer::setEolFill(bool, int)
    {49, 1152, 90, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 51},	//169 QsciLexer::setFont(const QFont&, int)
    {49, 1212, 84, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 52},	//170 QsciLexer::setPaper(const QColor&, int)
    {49, 765, 84, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//171 QsciLexer::colorChanged(const QColor&, int)
    {49, 817, 87, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//172 QsciLexer::eolFillChanged(bool, int)
    {49, 858, 90, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//173 QsciLexer::fontChanged(const QFont&, int)
    {49, 982, 84, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//174 QsciLexer::paperChanged(const QColor&, int)
    {49, 994, 44, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//175 QsciLexer::propertyChanged(const char*, const char*)
    {49, 1002, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 178, 58},	//176 QsciLexer::readProperties(QSettings&, const QString&)
    {49, 1325, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 178, 59},	//177 QsciLexer::writeProperties(QSettings&, const QString&) const
    {49, 1294, 12, 1, Smoke::mf_static, 36, 60},	//178 QsciLexer::tr(const char*)
    {49, 1298, 12, 1, Smoke::mf_static, 36, 61},	//179 QsciLexer::trUtf8(const char*)
    {49, 346, 0, 0, Smoke::mf_ctor, 52, 62},	//180 QsciLexer::QsciLexer()
    {49, 733, 0, 0, Smoke::mf_const, 197, 63},	//181 QsciLexer::blockEnd() const
    {49, 736, 0, 0, Smoke::mf_const, 197, 64},	//182 QsciLexer::blockStart() const
    {49, 738, 0, 0, Smoke::mf_const, 197, 65},	//183 QsciLexer::blockStartKeyword() const
    {49, 1004, 70, 1, 0, 178, 66},	//184 QsciLexer::readSettings(QSettings&)
    {49, 1327, 70, 1, Smoke::mf_const, 178, 67},	//185 QsciLexer::writeSettings(QSettings&) const
    {49, 1091, 80, 1, Smoke::mf_slot, 0, 68},	//186 QsciLexer::setColor(const QColor&)
    {49, 1116, 16, 1, Smoke::mf_slot, 0, 69},	//187 QsciLexer::setEolFill(bool)
    {49, 1152, 42, 1, Smoke::mf_slot, 0, 70},	//188 QsciLexer::setFont(const QFont&)
    {49, 1212, 80, 1, Smoke::mf_slot, 0, 71},	//189 QsciLexer::setPaper(const QColor&)
    {49, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 72},	//190 QsciLexer::staticMetaObject() const
    {49, 1341, 0, 0, Smoke::mf_dtor, 0, 73 },	//191 QsciLexer::~QsciLexer()
    {50, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//192 QsciLexerBash::metaObject() const
    {50, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//193 QsciLexerBash::qt_metacast(const char*)
    {50, 1294, 44, 2, Smoke::mf_static, 36, 3},	//194 QsciLexerBash::tr(const char*, const char*)
    {50, 1298, 44, 2, Smoke::mf_static, 36, 4},	//195 QsciLexerBash::trUtf8(const char*, const char*)
    {50, 1294, 47, 3, Smoke::mf_static, 36, 5},	//196 QsciLexerBash::tr(const char*, const char*, int)
    {50, 1298, 47, 3, Smoke::mf_static, 36, 6},	//197 QsciLexerBash::trUtf8(const char*, const char*, int)
    {50, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//198 QsciLexerBash::qt_metacall(QMetaObject::Call, int, void**)
    {50, 348, 74, 1, Smoke::mf_ctor, 53, 8},	//199 QsciLexerBash::QsciLexerBash(QObject*)
    {50, 904, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 9},	//200 QsciLexerBash::language() const
    {50, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 10},	//201 QsciLexerBash::lexer() const
    {50, 741, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 11},	//202 QsciLexerBash::braceStyle() const
    {50, 1321, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 12},	//203 QsciLexerBash::wordCharacters() const
    {50, 780, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//204 QsciLexerBash::defaultColor(int) const
    {50, 782, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 178, 14},	//205 QsciLexerBash::defaultEolFill(int) const
    {50, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 15},	//206 QsciLexerBash::defaultFont(int) const
    {50, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 16},	//207 QsciLexerBash::defaultPaper(int) const
    {50, 902, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 17},	//208 QsciLexerBash::keywords(int) const
    {50, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 18},	//209 QsciLexerBash::description(int) const
    {50, 1012, 0, 0, Smoke::mf_virtual, 0, 19},	//210 QsciLexerBash::refreshProperties()
    {50, 843, 0, 0, Smoke::mf_const, 178, 20},	//211 QsciLexerBash::foldComments() const
    {50, 844, 0, 0, Smoke::mf_const, 178, 21},	//212 QsciLexerBash::foldCompact() const
    {50, 1129, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//213 QsciLexerBash::setFoldComments(bool)
    {50, 1131, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//214 QsciLexerBash::setFoldCompact(bool)
    {50, 1002, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 178, 24},	//215 QsciLexerBash::readProperties(QSettings&, const QString&)
    {50, 1325, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 178, 25},	//216 QsciLexerBash::writeProperties(QSettings&, const QString&) const
    {50, 1294, 12, 1, Smoke::mf_static, 36, 26},	//217 QsciLexerBash::tr(const char*)
    {50, 1298, 12, 1, Smoke::mf_static, 36, 27},	//218 QsciLexerBash::trUtf8(const char*)
    {50, 348, 0, 0, Smoke::mf_ctor, 53, 28},	//219 QsciLexerBash::QsciLexerBash()
    {50, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 29},	//220 QsciLexerBash::staticMetaObject() const
    {50, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 30},	//221 QsciLexerBash::Default (enum)
    {50, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 31},	//222 QsciLexerBash::Error (enum)
    {50, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 32},	//223 QsciLexerBash::Comment (enum)
    {50, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 33},	//224 QsciLexerBash::Number (enum)
    {50, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 34},	//225 QsciLexerBash::Keyword (enum)
    {50, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 35},	//226 QsciLexerBash::DoubleQuotedString (enum)
    {50, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 36},	//227 QsciLexerBash::SingleQuotedString (enum)
    {50, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 37},	//228 QsciLexerBash::Operator (enum)
    {50, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 38},	//229 QsciLexerBash::Identifier (enum)
    {50, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 39},	//230 QsciLexerBash::Scalar (enum)
    {50, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 40},	//231 QsciLexerBash::ParameterExpansion (enum)
    {50, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 41},	//232 QsciLexerBash::Backticks (enum)
    {50, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 42},	//233 QsciLexerBash::HereDocumentDelimiter (enum)
    {50, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 43},	//234 QsciLexerBash::SingleQuotedHereDocument (enum)
    {50, 1342, 0, 0, Smoke::mf_dtor, 0, 44 },	//235 QsciLexerBash::~QsciLexerBash()
    {51, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//236 QsciLexerBatch::metaObject() const
    {51, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//237 QsciLexerBatch::qt_metacast(const char*)
    {51, 1294, 44, 2, Smoke::mf_static, 36, 3},	//238 QsciLexerBatch::tr(const char*, const char*)
    {51, 1298, 44, 2, Smoke::mf_static, 36, 4},	//239 QsciLexerBatch::trUtf8(const char*, const char*)
    {51, 1294, 47, 3, Smoke::mf_static, 36, 5},	//240 QsciLexerBatch::tr(const char*, const char*, int)
    {51, 1298, 47, 3, Smoke::mf_static, 36, 6},	//241 QsciLexerBatch::trUtf8(const char*, const char*, int)
    {51, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//242 QsciLexerBatch::qt_metacall(QMetaObject::Call, int, void**)
    {51, 350, 74, 1, Smoke::mf_ctor, 54, 8},	//243 QsciLexerBatch::QsciLexerBatch(QObject*)
    {51, 904, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 9},	//244 QsciLexerBatch::language() const
    {51, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 10},	//245 QsciLexerBatch::lexer() const
    {51, 1321, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 11},	//246 QsciLexerBatch::wordCharacters() const
    {51, 749, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 178, 12},	//247 QsciLexerBatch::caseSensitive() const
    {51, 780, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//248 QsciLexerBatch::defaultColor(int) const
    {51, 782, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 178, 14},	//249 QsciLexerBatch::defaultEolFill(int) const
    {51, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 15},	//250 QsciLexerBatch::defaultFont(int) const
    {51, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 16},	//251 QsciLexerBatch::defaultPaper(int) const
    {51, 902, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 17},	//252 QsciLexerBatch::keywords(int) const
    {51, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 18},	//253 QsciLexerBatch::description(int) const
    {51, 1294, 12, 1, Smoke::mf_static, 36, 19},	//254 QsciLexerBatch::tr(const char*)
    {51, 1298, 12, 1, Smoke::mf_static, 36, 20},	//255 QsciLexerBatch::trUtf8(const char*)
    {51, 350, 0, 0, Smoke::mf_ctor, 54, 21},	//256 QsciLexerBatch::QsciLexerBatch()
    {51, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 22},	//257 QsciLexerBatch::staticMetaObject() const
    {51, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 23},	//258 QsciLexerBatch::Default (enum)
    {51, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 24},	//259 QsciLexerBatch::Comment (enum)
    {51, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 25},	//260 QsciLexerBatch::Keyword (enum)
    {51, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 26},	//261 QsciLexerBatch::Label (enum)
    {51, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 27},	//262 QsciLexerBatch::HideCommandChar (enum)
    {51, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 28},	//263 QsciLexerBatch::ExternalCommand (enum)
    {51, 679, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 29},	//264 QsciLexerBatch::Variable (enum)
    {51, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 30},	//265 QsciLexerBatch::Operator (enum)
    {51, 1343, 0, 0, Smoke::mf_dtor, 0, 31 },	//266 QsciLexerBatch::~QsciLexerBatch()
    {52, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//267 QsciLexerCMake::metaObject() const
    {52, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//268 QsciLexerCMake::qt_metacast(const char*)
    {52, 1294, 44, 2, Smoke::mf_static, 36, 3},	//269 QsciLexerCMake::tr(const char*, const char*)
    {52, 1298, 44, 2, Smoke::mf_static, 36, 4},	//270 QsciLexerCMake::trUtf8(const char*, const char*)
    {52, 1294, 47, 3, Smoke::mf_static, 36, 5},	//271 QsciLexerCMake::tr(const char*, const char*, int)
    {52, 1298, 47, 3, Smoke::mf_static, 36, 6},	//272 QsciLexerCMake::trUtf8(const char*, const char*, int)
    {52, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//273 QsciLexerCMake::qt_metacall(QMetaObject::Call, int, void**)
    {52, 352, 74, 1, Smoke::mf_ctor, 55, 8},	//274 QsciLexerCMake::QsciLexerCMake(QObject*)
    {52, 904, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 9},	//275 QsciLexerCMake::language() const
    {52, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 10},	//276 QsciLexerCMake::lexer() const
    {52, 780, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 11},	//277 QsciLexerCMake::defaultColor(int) const
    {52, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 12},	//278 QsciLexerCMake::defaultFont(int) const
    {52, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//279 QsciLexerCMake::defaultPaper(int) const
    {52, 902, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 14},	//280 QsciLexerCMake::keywords(int) const
    {52, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 15},	//281 QsciLexerCMake::description(int) const
    {52, 1012, 0, 0, Smoke::mf_virtual, 0, 16},	//282 QsciLexerCMake::refreshProperties()
    {52, 841, 0, 0, Smoke::mf_const, 178, 17},	//283 QsciLexerCMake::foldAtElse() const
    {52, 1125, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 18},	//284 QsciLexerCMake::setFoldAtElse(bool)
    {52, 1002, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 178, 19},	//285 QsciLexerCMake::readProperties(QSettings&, const QString&)
    {52, 1325, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 178, 20},	//286 QsciLexerCMake::writeProperties(QSettings&, const QString&) const
    {52, 1294, 12, 1, Smoke::mf_static, 36, 21},	//287 QsciLexerCMake::tr(const char*)
    {52, 1298, 12, 1, Smoke::mf_static, 36, 22},	//288 QsciLexerCMake::trUtf8(const char*)
    {52, 352, 0, 0, Smoke::mf_ctor, 55, 23},	//289 QsciLexerCMake::QsciLexerCMake()
    {52, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 24},	//290 QsciLexerCMake::staticMetaObject() const
    {52, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 25},	//291 QsciLexerCMake::Default (enum)
    {52, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 26},	//292 QsciLexerCMake::Comment (enum)
    {52, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 27},	//293 QsciLexerCMake::String (enum)
    {52, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 28},	//294 QsciLexerCMake::StringLeftQuote (enum)
    {52, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 29},	//295 QsciLexerCMake::StringRightQuote (enum)
    {52, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 30},	//296 QsciLexerCMake::Function (enum)
    {52, 679, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 31},	//297 QsciLexerCMake::Variable (enum)
    {52, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 32},	//298 QsciLexerCMake::Label (enum)
    {52, 232, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 33},	//299 QsciLexerCMake::KeywordSet3 (enum)
    {52, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 34},	//300 QsciLexerCMake::BlockWhile (enum)
    {52, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 35},	//301 QsciLexerCMake::BlockForeach (enum)
    {52, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 36},	//302 QsciLexerCMake::BlockIf (enum)
    {52, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 37},	//303 QsciLexerCMake::BlockMacro (enum)
    {52, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 38},	//304 QsciLexerCMake::StringVariable (enum)
    {52, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 39},	//305 QsciLexerCMake::Number (enum)
    {52, 1344, 0, 0, Smoke::mf_dtor, 0, 40 },	//306 QsciLexerCMake::~QsciLexerCMake()
    {53, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//307 QsciLexerCPP::metaObject() const
    {53, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//308 QsciLexerCPP::qt_metacast(const char*)
    {53, 1294, 44, 2, Smoke::mf_static, 36, 3},	//309 QsciLexerCPP::tr(const char*, const char*)
    {53, 1298, 44, 2, Smoke::mf_static, 36, 4},	//310 QsciLexerCPP::trUtf8(const char*, const char*)
    {53, 1294, 47, 3, Smoke::mf_static, 36, 5},	//311 QsciLexerCPP::tr(const char*, const char*, int)
    {53, 1298, 47, 3, Smoke::mf_static, 36, 6},	//312 QsciLexerCPP::trUtf8(const char*, const char*, int)
    {53, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//313 QsciLexerCPP::qt_metacall(QMetaObject::Call, int, void**)
    {53, 354, 96, 2, Smoke::mf_ctor, 56, 8},	//314 QsciLexerCPP::QsciLexerCPP(QObject*, bool)
    {53, 904, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 9},	//315 QsciLexerCPP::language() const
    {53, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 10},	//316 QsciLexerCPP::lexer() const
    {53, 727, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 37, 11},	//317 QsciLexerCPP::autoCompletionWordSeparators() const
    {53, 733, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 12},	//318 QsciLexerCPP::blockEnd(int*) const
    {53, 736, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 13},	//319 QsciLexerCPP::blockStart(int*) const
    {53, 738, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 14},	//320 QsciLexerCPP::blockStartKeyword(int*) const
    {53, 741, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 15},	//321 QsciLexerCPP::braceStyle() const
    {53, 1321, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 16},	//322 QsciLexerCPP::wordCharacters() const
    {53, 780, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 17},	//323 QsciLexerCPP::defaultColor(int) const
    {53, 782, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 178, 18},	//324 QsciLexerCPP::defaultEolFill(int) const
    {53, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 19},	//325 QsciLexerCPP::defaultFont(int) const
    {53, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 20},	//326 QsciLexerCPP::defaultPaper(int) const
    {53, 902, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 21},	//327 QsciLexerCPP::keywords(int) const
    {53, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 22},	//328 QsciLexerCPP::description(int) const
    {53, 1012, 0, 0, Smoke::mf_virtual, 0, 23},	//329 QsciLexerCPP::refreshProperties()
    {53, 841, 0, 0, Smoke::mf_const, 178, 24},	//330 QsciLexerCPP::foldAtElse() const
    {53, 843, 0, 0, Smoke::mf_const, 178, 25},	//331 QsciLexerCPP::foldComments() const
    {53, 844, 0, 0, Smoke::mf_const, 178, 26},	//332 QsciLexerCPP::foldCompact() const
    {53, 850, 0, 0, Smoke::mf_const, 178, 27},	//333 QsciLexerCPP::foldPreprocessor() const
    {53, 1280, 0, 0, Smoke::mf_const, 178, 28},	//334 QsciLexerCPP::stylePreprocessor() const
    {53, 1106, 16, 1, 0, 0, 29},	//335 QsciLexerCPP::setDollarsAllowed(bool)
    {53, 795, 0, 0, Smoke::mf_const, 178, 30},	//336 QsciLexerCPP::dollarsAllowed() const
    {53, 1125, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 31},	//337 QsciLexerCPP::setFoldAtElse(bool)
    {53, 1129, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//338 QsciLexerCPP::setFoldComments(bool)
    {53, 1131, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//339 QsciLexerCPP::setFoldCompact(bool)
    {53, 1141, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 34},	//340 QsciLexerCPP::setFoldPreprocessor(bool)
    {53, 1229, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 35},	//341 QsciLexerCPP::setStylePreprocessor(bool)
    {53, 1002, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 178, 36},	//342 QsciLexerCPP::readProperties(QSettings&, const QString&)
    {53, 1325, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 178, 37},	//343 QsciLexerCPP::writeProperties(QSettings&, const QString&) const
    {53, 1294, 12, 1, Smoke::mf_static, 36, 38},	//344 QsciLexerCPP::tr(const char*)
    {53, 1298, 12, 1, Smoke::mf_static, 36, 39},	//345 QsciLexerCPP::trUtf8(const char*)
    {53, 354, 0, 0, Smoke::mf_ctor, 56, 40},	//346 QsciLexerCPP::QsciLexerCPP()
    {53, 354, 74, 1, Smoke::mf_ctor, 56, 41},	//347 QsciLexerCPP::QsciLexerCPP(QObject*)
    {53, 733, 0, 0, Smoke::mf_const, 197, 42},	//348 QsciLexerCPP::blockEnd() const
    {53, 736, 0, 0, Smoke::mf_const, 197, 43},	//349 QsciLexerCPP::blockStart() const
    {53, 738, 0, 0, Smoke::mf_const, 197, 44},	//350 QsciLexerCPP::blockStartKeyword() const
    {53, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 45},	//351 QsciLexerCPP::staticMetaObject() const
    {53, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 46},	//352 QsciLexerCPP::Default (enum)
    {53, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 47},	//353 QsciLexerCPP::Comment (enum)
    {53, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 48},	//354 QsciLexerCPP::CommentLine (enum)
    {53, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 49},	//355 QsciLexerCPP::CommentDoc (enum)
    {53, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 50},	//356 QsciLexerCPP::Number (enum)
    {53, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 51},	//357 QsciLexerCPP::Keyword (enum)
    {53, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 52},	//358 QsciLexerCPP::DoubleQuotedString (enum)
    {53, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 53},	//359 QsciLexerCPP::SingleQuotedString (enum)
    {53, 662, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 54},	//360 QsciLexerCPP::UUID (enum)
    {53, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 55},	//361 QsciLexerCPP::PreProcessor (enum)
    {53, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 56},	//362 QsciLexerCPP::Operator (enum)
    {53, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 57},	//363 QsciLexerCPP::Identifier (enum)
    {53, 663, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 58},	//364 QsciLexerCPP::UnclosedString (enum)
    {53, 680, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 59},	//365 QsciLexerCPP::VerbatimString (enum)
    {53, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 60},	//366 QsciLexerCPP::Regex (enum)
    {53, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 61},	//367 QsciLexerCPP::CommentLineDoc (enum)
    {53, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 62},	//368 QsciLexerCPP::KeywordSet2 (enum)
    {53, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 63},	//369 QsciLexerCPP::CommentDocKeyword (enum)
    {53, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 64},	//370 QsciLexerCPP::CommentDocKeywordError (enum)
    {53, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 65},	//371 QsciLexerCPP::GlobalClass (enum)
    {53, 1345, 0, 0, Smoke::mf_dtor, 0, 66 },	//372 QsciLexerCPP::~QsciLexerCPP()
    {54, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//373 QsciLexerCSS::metaObject() const
    {54, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//374 QsciLexerCSS::qt_metacast(const char*)
    {54, 1294, 44, 2, Smoke::mf_static, 36, 3},	//375 QsciLexerCSS::tr(const char*, const char*)
    {54, 1298, 44, 2, Smoke::mf_static, 36, 4},	//376 QsciLexerCSS::trUtf8(const char*, const char*)
    {54, 1294, 47, 3, Smoke::mf_static, 36, 5},	//377 QsciLexerCSS::tr(const char*, const char*, int)
    {54, 1298, 47, 3, Smoke::mf_static, 36, 6},	//378 QsciLexerCSS::trUtf8(const char*, const char*, int)
    {54, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//379 QsciLexerCSS::qt_metacall(QMetaObject::Call, int, void**)
    {54, 357, 74, 1, Smoke::mf_ctor, 57, 8},	//380 QsciLexerCSS::QsciLexerCSS(QObject*)
    {54, 904, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 9},	//381 QsciLexerCSS::language() const
    {54, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 10},	//382 QsciLexerCSS::lexer() const
    {54, 733, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 11},	//383 QsciLexerCSS::blockEnd(int*) const
    {54, 736, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 12},	//384 QsciLexerCSS::blockStart(int*) const
    {54, 1321, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 13},	//385 QsciLexerCSS::wordCharacters() const
    {54, 780, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//386 QsciLexerCSS::defaultColor(int) const
    {54, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 15},	//387 QsciLexerCSS::defaultFont(int) const
    {54, 902, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 16},	//388 QsciLexerCSS::keywords(int) const
    {54, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 17},	//389 QsciLexerCSS::description(int) const
    {54, 1012, 0, 0, Smoke::mf_virtual, 0, 18},	//390 QsciLexerCSS::refreshProperties()
    {54, 843, 0, 0, Smoke::mf_const, 178, 19},	//391 QsciLexerCSS::foldComments() const
    {54, 844, 0, 0, Smoke::mf_const, 178, 20},	//392 QsciLexerCSS::foldCompact() const
    {54, 1129, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//393 QsciLexerCSS::setFoldComments(bool)
    {54, 1131, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//394 QsciLexerCSS::setFoldCompact(bool)
    {54, 1002, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 178, 23},	//395 QsciLexerCSS::readProperties(QSettings&, const QString&)
    {54, 1325, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 178, 24},	//396 QsciLexerCSS::writeProperties(QSettings&, const QString&) const
    {54, 1294, 12, 1, Smoke::mf_static, 36, 25},	//397 QsciLexerCSS::tr(const char*)
    {54, 1298, 12, 1, Smoke::mf_static, 36, 26},	//398 QsciLexerCSS::trUtf8(const char*)
    {54, 357, 0, 0, Smoke::mf_ctor, 57, 27},	//399 QsciLexerCSS::QsciLexerCSS()
    {54, 733, 0, 0, Smoke::mf_const, 197, 28},	//400 QsciLexerCSS::blockEnd() const
    {54, 736, 0, 0, Smoke::mf_const, 197, 29},	//401 QsciLexerCSS::blockStart() const
    {54, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 30},	//402 QsciLexerCSS::staticMetaObject() const
    {54, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 31},	//403 QsciLexerCSS::Default (enum)
    {54, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 32},	//404 QsciLexerCSS::Tag (enum)
    {54, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 33},	//405 QsciLexerCSS::ClassSelector (enum)
    {54, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 34},	//406 QsciLexerCSS::PseudoClass (enum)
    {54, 666, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 35},	//407 QsciLexerCSS::UnknownPseudoClass (enum)
    {54, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 36},	//408 QsciLexerCSS::Operator (enum)
    {54, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 37},	//409 QsciLexerCSS::CSS1Property (enum)
    {54, 665, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 38},	//410 QsciLexerCSS::UnknownProperty (enum)
    {54, 678, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 39},	//411 QsciLexerCSS::Value (enum)
    {54, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 40},	//412 QsciLexerCSS::Comment (enum)
    {54, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 41},	//413 QsciLexerCSS::IDSelector (enum)
    {54, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 42},	//414 QsciLexerCSS::Important (enum)
    {54, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 43},	//415 QsciLexerCSS::AtRule (enum)
    {54, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 44},	//416 QsciLexerCSS::DoubleQuotedString (enum)
    {54, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 45},	//417 QsciLexerCSS::SingleQuotedString (enum)
    {54, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 46},	//418 QsciLexerCSS::CSS2Property (enum)
    {54, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 47},	//419 QsciLexerCSS::Attribute (enum)
    {54, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 48},	//420 QsciLexerCSS::CSS3Property (enum)
    {54, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 49},	//421 QsciLexerCSS::PseudoElement (enum)
    {54, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 50},	//422 QsciLexerCSS::ExtendedCSSProperty (enum)
    {54, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 51},	//423 QsciLexerCSS::ExtendedPseudoClass (enum)
    {54, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 52},	//424 QsciLexerCSS::ExtendedPseudoElement (enum)
    {54, 1346, 0, 0, Smoke::mf_dtor, 0, 53 },	//425 QsciLexerCSS::~QsciLexerCSS()
    {55, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//426 QsciLexerCSharp::metaObject() const
    {55, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//427 QsciLexerCSharp::qt_metacast(const char*)
    {55, 1294, 44, 2, Smoke::mf_static, 36, 3},	//428 QsciLexerCSharp::tr(const char*, const char*)
    {55, 1298, 44, 2, Smoke::mf_static, 36, 4},	//429 QsciLexerCSharp::trUtf8(const char*, const char*)
    {55, 1294, 47, 3, Smoke::mf_static, 36, 5},	//430 QsciLexerCSharp::tr(const char*, const char*, int)
    {55, 1298, 47, 3, Smoke::mf_static, 36, 6},	//431 QsciLexerCSharp::trUtf8(const char*, const char*, int)
    {55, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//432 QsciLexerCSharp::qt_metacall(QMetaObject::Call, int, void**)
    {55, 359, 74, 1, Smoke::mf_ctor, 58, 8},	//433 QsciLexerCSharp::QsciLexerCSharp(QObject*)
    {55, 904, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 9},	//434 QsciLexerCSharp::language() const
    {55, 780, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 10},	//435 QsciLexerCSharp::defaultColor(int) const
    {55, 782, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 178, 11},	//436 QsciLexerCSharp::defaultEolFill(int) const
    {55, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 12},	//437 QsciLexerCSharp::defaultFont(int) const
    {55, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//438 QsciLexerCSharp::defaultPaper(int) const
    {55, 902, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 14},	//439 QsciLexerCSharp::keywords(int) const
    {55, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 15},	//440 QsciLexerCSharp::description(int) const
    {55, 1294, 12, 1, Smoke::mf_static, 36, 16},	//441 QsciLexerCSharp::tr(const char*)
    {55, 1298, 12, 1, Smoke::mf_static, 36, 17},	//442 QsciLexerCSharp::trUtf8(const char*)
    {55, 359, 0, 0, Smoke::mf_ctor, 58, 18},	//443 QsciLexerCSharp::QsciLexerCSharp()
    {55, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 19},	//444 QsciLexerCSharp::staticMetaObject() const
    {55, 1347, 0, 0, Smoke::mf_dtor, 0, 20 },	//445 QsciLexerCSharp::~QsciLexerCSharp()
    {56, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//446 QsciLexerCustom::metaObject() const
    {56, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//447 QsciLexerCustom::qt_metacast(const char*)
    {56, 1294, 44, 2, Smoke::mf_static, 36, 3},	//448 QsciLexerCustom::tr(const char*, const char*)
    {56, 1298, 44, 2, Smoke::mf_static, 36, 4},	//449 QsciLexerCustom::trUtf8(const char*, const char*)
    {56, 1294, 47, 3, Smoke::mf_static, 36, 5},	//450 QsciLexerCustom::tr(const char*, const char*, int)
    {56, 1298, 47, 3, Smoke::mf_static, 36, 6},	//451 QsciLexerCustom::trUtf8(const char*, const char*, int)
    {56, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//452 QsciLexerCustom::qt_metacall(QMetaObject::Call, int, void**)
    {56, 361, 74, 1, Smoke::mf_ctor, 59, 8},	//453 QsciLexerCustom::QsciLexerCustom(QObject*)
    {56, 1231, 99, 2, 0, 0, 9},	//454 QsciLexerCustom::setStyling(int, int)
    {56, 1231, 102, 2, 0, 0, 10},	//455 QsciLexerCustom::setStyling(int, const QsciStyle&)
    {56, 1273, 99, 2, 0, 0, 11},	//456 QsciLexerCustom::startStyling(int, int)
    {56, 1281, 99, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//457 QsciLexerCustom::styleText(int, int) [pure virtual]
    {56, 1114, 82, 1, Smoke::mf_virtual, 0, 13},	//458 QsciLexerCustom::setEditor(QsciScintilla*)
    {56, 1278, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 14},	//459 QsciLexerCustom::styleBitsNeeded() const
    {56, 1294, 12, 1, Smoke::mf_static, 36, 15},	//460 QsciLexerCustom::tr(const char*)
    {56, 1298, 12, 1, Smoke::mf_static, 36, 16},	//461 QsciLexerCustom::trUtf8(const char*)
    {56, 361, 0, 0, Smoke::mf_ctor, 59, 17},	//462 QsciLexerCustom::QsciLexerCustom()
    {56, 1273, 18, 1, 0, 0, 18},	//463 QsciLexerCustom::startStyling(int)
    {56, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 19},	//464 QsciLexerCustom::staticMetaObject() const
    {56, 1348, 0, 0, Smoke::mf_dtor, 0, 20 },	//465 QsciLexerCustom::~QsciLexerCustom()
    {57, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//466 QsciLexerD::metaObject() const
    {57, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//467 QsciLexerD::qt_metacast(const char*)
    {57, 1294, 44, 2, Smoke::mf_static, 36, 3},	//468 QsciLexerD::tr(const char*, const char*)
    {57, 1298, 44, 2, Smoke::mf_static, 36, 4},	//469 QsciLexerD::trUtf8(const char*, const char*)
    {57, 1294, 47, 3, Smoke::mf_static, 36, 5},	//470 QsciLexerD::tr(const char*, const char*, int)
    {57, 1298, 47, 3, Smoke::mf_static, 36, 6},	//471 QsciLexerD::trUtf8(const char*, const char*, int)
    {57, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//472 QsciLexerD::qt_metacall(QMetaObject::Call, int, void**)
    {57, 363, 74, 1, Smoke::mf_ctor, 60, 8},	//473 QsciLexerD::QsciLexerD(QObject*)
    {57, 904, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 9},	//474 QsciLexerD::language() const
    {57, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 10},	//475 QsciLexerD::lexer() const
    {57, 727, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 37, 11},	//476 QsciLexerD::autoCompletionWordSeparators() const
    {57, 733, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 12},	//477 QsciLexerD::blockEnd(int*) const
    {57, 736, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 13},	//478 QsciLexerD::blockStart(int*) const
    {57, 738, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 14},	//479 QsciLexerD::blockStartKeyword(int*) const
    {57, 741, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 15},	//480 QsciLexerD::braceStyle() const
    {57, 1321, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 16},	//481 QsciLexerD::wordCharacters() const
    {57, 780, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 17},	//482 QsciLexerD::defaultColor(int) const
    {57, 782, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 178, 18},	//483 QsciLexerD::defaultEolFill(int) const
    {57, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 19},	//484 QsciLexerD::defaultFont(int) const
    {57, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 20},	//485 QsciLexerD::defaultPaper(int) const
    {57, 902, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 21},	//486 QsciLexerD::keywords(int) const
    {57, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 22},	//487 QsciLexerD::description(int) const
    {57, 1012, 0, 0, Smoke::mf_virtual, 0, 23},	//488 QsciLexerD::refreshProperties()
    {57, 841, 0, 0, Smoke::mf_const, 178, 24},	//489 QsciLexerD::foldAtElse() const
    {57, 843, 0, 0, Smoke::mf_const, 178, 25},	//490 QsciLexerD::foldComments() const
    {57, 844, 0, 0, Smoke::mf_const, 178, 26},	//491 QsciLexerD::foldCompact() const
    {57, 1125, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//492 QsciLexerD::setFoldAtElse(bool)
    {57, 1129, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//493 QsciLexerD::setFoldComments(bool)
    {57, 1131, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//494 QsciLexerD::setFoldCompact(bool)
    {57, 1002, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 178, 30},	//495 QsciLexerD::readProperties(QSettings&, const QString&)
    {57, 1325, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 178, 31},	//496 QsciLexerD::writeProperties(QSettings&, const QString&) const
    {57, 1294, 12, 1, Smoke::mf_static, 36, 32},	//497 QsciLexerD::tr(const char*)
    {57, 1298, 12, 1, Smoke::mf_static, 36, 33},	//498 QsciLexerD::trUtf8(const char*)
    {57, 363, 0, 0, Smoke::mf_ctor, 60, 34},	//499 QsciLexerD::QsciLexerD()
    {57, 733, 0, 0, Smoke::mf_const, 197, 35},	//500 QsciLexerD::blockEnd() const
    {57, 736, 0, 0, Smoke::mf_const, 197, 36},	//501 QsciLexerD::blockStart() const
    {57, 738, 0, 0, Smoke::mf_const, 197, 37},	//502 QsciLexerD::blockStartKeyword() const
    {57, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 38},	//503 QsciLexerD::staticMetaObject() const
    {57, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 39},	//504 QsciLexerD::Default (enum)
    {57, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 40},	//505 QsciLexerD::Comment (enum)
    {57, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 41},	//506 QsciLexerD::CommentLine (enum)
    {57, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 42},	//507 QsciLexerD::CommentDoc (enum)
    {57, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 43},	//508 QsciLexerD::CommentNested (enum)
    {57, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 44},	//509 QsciLexerD::Number (enum)
    {57, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 45},	//510 QsciLexerD::Keyword (enum)
    {57, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 46},	//511 QsciLexerD::KeywordSecondary (enum)
    {57, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 47},	//512 QsciLexerD::KeywordDoc (enum)
    {57, 660, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 48},	//513 QsciLexerD::Typedefs (enum)
    {57, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 49},	//514 QsciLexerD::String (enum)
    {57, 663, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 50},	//515 QsciLexerD::UnclosedString (enum)
    {57, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 51},	//516 QsciLexerD::Character (enum)
    {57, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 52},	//517 QsciLexerD::Operator (enum)
    {57, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 53},	//518 QsciLexerD::Identifier (enum)
    {57, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 54},	//519 QsciLexerD::CommentLineDoc (enum)
    {57, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 55},	//520 QsciLexerD::CommentDocKeyword (enum)
    {57, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 56},	//521 QsciLexerD::CommentDocKeywordError (enum)
    {57, 1349, 0, 0, Smoke::mf_dtor, 0, 57 },	//522 QsciLexerD::~QsciLexerD()
    {58, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//523 QsciLexerDiff::metaObject() const
    {58, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//524 QsciLexerDiff::qt_metacast(const char*)
    {58, 1294, 44, 2, Smoke::mf_static, 36, 3},	//525 QsciLexerDiff::tr(const char*, const char*)
    {58, 1298, 44, 2, Smoke::mf_static, 36, 4},	//526 QsciLexerDiff::trUtf8(const char*, const char*)
    {58, 1294, 47, 3, Smoke::mf_static, 36, 5},	//527 QsciLexerDiff::tr(const char*, const char*, int)
    {58, 1298, 47, 3, Smoke::mf_static, 36, 6},	//528 QsciLexerDiff::trUtf8(const char*, const char*, int)
    {58, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//529 QsciLexerDiff::qt_metacall(QMetaObject::Call, int, void**)
    {58, 365, 74, 1, Smoke::mf_ctor, 61, 8},	//530 QsciLexerDiff::QsciLexerDiff(QObject*)
    {58, 904, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 9},	//531 QsciLexerDiff::language() const
    {58, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 10},	//532 QsciLexerDiff::lexer() const
    {58, 1321, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 11},	//533 QsciLexerDiff::wordCharacters() const
    {58, 780, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//534 QsciLexerDiff::defaultColor(int) const
    {58, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 13},	//535 QsciLexerDiff::description(int) const
    {58, 1294, 12, 1, Smoke::mf_static, 36, 14},	//536 QsciLexerDiff::tr(const char*)
    {58, 1298, 12, 1, Smoke::mf_static, 36, 15},	//537 QsciLexerDiff::trUtf8(const char*)
    {58, 365, 0, 0, Smoke::mf_ctor, 61, 16},	//538 QsciLexerDiff::QsciLexerDiff()
    {58, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 17},	//539 QsciLexerDiff::staticMetaObject() const
    {58, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 18},	//540 QsciLexerDiff::Default (enum)
    {58, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 19},	//541 QsciLexerDiff::Comment (enum)
    {58, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 20},	//542 QsciLexerDiff::Command (enum)
    {58, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 21},	//543 QsciLexerDiff::Header (enum)
    {58, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 22},	//544 QsciLexerDiff::Position (enum)
    {58, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 23},	//545 QsciLexerDiff::LineRemoved (enum)
    {58, 248, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 24},	//546 QsciLexerDiff::LineAdded (enum)
    {58, 249, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 25},	//547 QsciLexerDiff::LineChanged (enum)
    {58, 1350, 0, 0, Smoke::mf_dtor, 0, 26 },	//548 QsciLexerDiff::~QsciLexerDiff()
    {59, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//549 QsciLexerFortran::metaObject() const
    {59, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//550 QsciLexerFortran::qt_metacast(const char*)
    {59, 1294, 44, 2, Smoke::mf_static, 36, 3},	//551 QsciLexerFortran::tr(const char*, const char*)
    {59, 1298, 44, 2, Smoke::mf_static, 36, 4},	//552 QsciLexerFortran::trUtf8(const char*, const char*)
    {59, 1294, 47, 3, Smoke::mf_static, 36, 5},	//553 QsciLexerFortran::tr(const char*, const char*, int)
    {59, 1298, 47, 3, Smoke::mf_static, 36, 6},	//554 QsciLexerFortran::trUtf8(const char*, const char*, int)
    {59, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//555 QsciLexerFortran::qt_metacall(QMetaObject::Call, int, void**)
    {59, 367, 74, 1, Smoke::mf_ctor, 62, 8},	//556 QsciLexerFortran::QsciLexerFortran(QObject*)
    {59, 904, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 9},	//557 QsciLexerFortran::language() const
    {59, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 10},	//558 QsciLexerFortran::lexer() const
    {59, 902, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 11},	//559 QsciLexerFortran::keywords(int) const
    {59, 1294, 12, 1, Smoke::mf_static, 36, 12},	//560 QsciLexerFortran::tr(const char*)
    {59, 1298, 12, 1, Smoke::mf_static, 36, 13},	//561 QsciLexerFortran::trUtf8(const char*)
    {59, 367, 0, 0, Smoke::mf_ctor, 62, 14},	//562 QsciLexerFortran::QsciLexerFortran()
    {59, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 15},	//563 QsciLexerFortran::staticMetaObject() const
    {59, 1351, 0, 0, Smoke::mf_dtor, 0, 16 },	//564 QsciLexerFortran::~QsciLexerFortran()
    {60, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//565 QsciLexerFortran77::metaObject() const
    {60, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//566 QsciLexerFortran77::qt_metacast(const char*)
    {60, 1294, 44, 2, Smoke::mf_static, 36, 3},	//567 QsciLexerFortran77::tr(const char*, const char*)
    {60, 1298, 44, 2, Smoke::mf_static, 36, 4},	//568 QsciLexerFortran77::trUtf8(const char*, const char*)
    {60, 1294, 47, 3, Smoke::mf_static, 36, 5},	//569 QsciLexerFortran77::tr(const char*, const char*, int)
    {60, 1298, 47, 3, Smoke::mf_static, 36, 6},	//570 QsciLexerFortran77::trUtf8(const char*, const char*, int)
    {60, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//571 QsciLexerFortran77::qt_metacall(QMetaObject::Call, int, void**)
    {60, 369, 74, 1, Smoke::mf_ctor, 63, 8},	//572 QsciLexerFortran77::QsciLexerFortran77(QObject*)
    {60, 904, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 9},	//573 QsciLexerFortran77::language() const
    {60, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 10},	//574 QsciLexerFortran77::lexer() const
    {60, 741, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 11},	//575 QsciLexerFortran77::braceStyle() const
    {60, 780, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//576 QsciLexerFortran77::defaultColor(int) const
    {60, 782, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 178, 13},	//577 QsciLexerFortran77::defaultEolFill(int) const
    {60, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//578 QsciLexerFortran77::defaultFont(int) const
    {60, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//579 QsciLexerFortran77::defaultPaper(int) const
    {60, 902, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 16},	//580 QsciLexerFortran77::keywords(int) const
    {60, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 17},	//581 QsciLexerFortran77::description(int) const
    {60, 1012, 0, 0, Smoke::mf_virtual, 0, 18},	//582 QsciLexerFortran77::refreshProperties()
    {60, 844, 0, 0, Smoke::mf_const, 178, 19},	//583 QsciLexerFortran77::foldCompact() const
    {60, 1131, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//584 QsciLexerFortran77::setFoldCompact(bool)
    {60, 1002, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 178, 21},	//585 QsciLexerFortran77::readProperties(QSettings&, const QString&)
    {60, 1325, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 178, 22},	//586 QsciLexerFortran77::writeProperties(QSettings&, const QString&) const
    {60, 1294, 12, 1, Smoke::mf_static, 36, 23},	//587 QsciLexerFortran77::tr(const char*)
    {60, 1298, 12, 1, Smoke::mf_static, 36, 24},	//588 QsciLexerFortran77::trUtf8(const char*)
    {60, 369, 0, 0, Smoke::mf_ctor, 63, 25},	//589 QsciLexerFortran77::QsciLexerFortran77()
    {60, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 26},	//590 QsciLexerFortran77::staticMetaObject() const
    {60, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 27},	//591 QsciLexerFortran77::Default (enum)
    {60, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 28},	//592 QsciLexerFortran77::Comment (enum)
    {60, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 29},	//593 QsciLexerFortran77::Number (enum)
    {60, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 30},	//594 QsciLexerFortran77::SingleQuotedString (enum)
    {60, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 31},	//595 QsciLexerFortran77::DoubleQuotedString (enum)
    {60, 663, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 32},	//596 QsciLexerFortran77::UnclosedString (enum)
    {60, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 33},	//597 QsciLexerFortran77::Operator (enum)
    {60, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 34},	//598 QsciLexerFortran77::Identifier (enum)
    {60, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 35},	//599 QsciLexerFortran77::Keyword (enum)
    {60, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 36},	//600 QsciLexerFortran77::IntrinsicFunction (enum)
    {60, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 37},	//601 QsciLexerFortran77::ExtendedFunction (enum)
    {60, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 38},	//602 QsciLexerFortran77::PreProcessor (enum)
    {60, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 39},	//603 QsciLexerFortran77::DottedOperator (enum)
    {60, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 40},	//604 QsciLexerFortran77::Label (enum)
    {60, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 41},	//605 QsciLexerFortran77::Continuation (enum)
    {60, 1352, 0, 0, Smoke::mf_dtor, 0, 42 },	//606 QsciLexerFortran77::~QsciLexerFortran77()
    {61, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//607 QsciLexerHTML::metaObject() const
    {61, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//608 QsciLexerHTML::qt_metacast(const char*)
    {61, 1294, 44, 2, Smoke::mf_static, 36, 3},	//609 QsciLexerHTML::tr(const char*, const char*)
    {61, 1298, 44, 2, Smoke::mf_static, 36, 4},	//610 QsciLexerHTML::trUtf8(const char*, const char*)
    {61, 1294, 47, 3, Smoke::mf_static, 36, 5},	//611 QsciLexerHTML::tr(const char*, const char*, int)
    {61, 1298, 47, 3, Smoke::mf_static, 36, 6},	//612 QsciLexerHTML::trUtf8(const char*, const char*, int)
    {61, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//613 QsciLexerHTML::qt_metacall(QMetaObject::Call, int, void**)
    {61, 371, 74, 1, Smoke::mf_ctor, 64, 8},	//614 QsciLexerHTML::QsciLexerHTML(QObject*)
    {61, 904, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 9},	//615 QsciLexerHTML::language() const
    {61, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 10},	//616 QsciLexerHTML::lexer() const
    {61, 1321, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 11},	//617 QsciLexerHTML::wordCharacters() const
    {61, 780, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//618 QsciLexerHTML::defaultColor(int) const
    {61, 782, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 178, 13},	//619 QsciLexerHTML::defaultEolFill(int) const
    {61, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//620 QsciLexerHTML::defaultFont(int) const
    {61, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//621 QsciLexerHTML::defaultPaper(int) const
    {61, 902, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 16},	//622 QsciLexerHTML::keywords(int) const
    {61, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 17},	//623 QsciLexerHTML::description(int) const
    {61, 1012, 0, 0, Smoke::mf_virtual, 0, 18},	//624 QsciLexerHTML::refreshProperties()
    {61, 844, 0, 0, Smoke::mf_const, 178, 19},	//625 QsciLexerHTML::foldCompact() const
    {61, 850, 0, 0, Smoke::mf_const, 178, 20},	//626 QsciLexerHTML::foldPreprocessor() const
    {61, 750, 0, 0, Smoke::mf_const, 178, 21},	//627 QsciLexerHTML::caseSensitiveTags() const
    {61, 1145, 16, 1, 0, 0, 22},	//628 QsciLexerHTML::setFoldScriptComments(bool)
    {61, 852, 0, 0, Smoke::mf_const, 178, 23},	//629 QsciLexerHTML::foldScriptComments() const
    {61, 1147, 16, 1, 0, 0, 24},	//630 QsciLexerHTML::setFoldScriptHeredocs(bool)
    {61, 853, 0, 0, Smoke::mf_const, 178, 25},	//631 QsciLexerHTML::foldScriptHeredocs() const
    {61, 1131, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 26},	//632 QsciLexerHTML::setFoldCompact(bool)
    {61, 1141, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//633 QsciLexerHTML::setFoldPreprocessor(bool)
    {61, 1087, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//634 QsciLexerHTML::setCaseSensitiveTags(bool)
    {61, 1002, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 178, 29},	//635 QsciLexerHTML::readProperties(QSettings&, const QString&)
    {61, 1325, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 178, 30},	//636 QsciLexerHTML::writeProperties(QSettings&, const QString&) const
    {61, 1294, 12, 1, Smoke::mf_static, 36, 31},	//637 QsciLexerHTML::tr(const char*)
    {61, 1298, 12, 1, Smoke::mf_static, 36, 32},	//638 QsciLexerHTML::trUtf8(const char*)
    {61, 371, 0, 0, Smoke::mf_ctor, 64, 33},	//639 QsciLexerHTML::QsciLexerHTML()
    {61, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 34},	//640 QsciLexerHTML::staticMetaObject() const
    {61, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 35},	//641 QsciLexerHTML::Default (enum)
    {61, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 36},	//642 QsciLexerHTML::Tag (enum)
    {61, 667, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 37},	//643 QsciLexerHTML::UnknownTag (enum)
    {61, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 38},	//644 QsciLexerHTML::Attribute (enum)
    {61, 664, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 39},	//645 QsciLexerHTML::UnknownAttribute (enum)
    {61, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 40},	//646 QsciLexerHTML::HTMLNumber (enum)
    {61, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 41},	//647 QsciLexerHTML::HTMLDoubleQuotedString (enum)
    {61, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 42},	//648 QsciLexerHTML::HTMLSingleQuotedString (enum)
    {61, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 43},	//649 QsciLexerHTML::OtherInTag (enum)
    {61, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 44},	//650 QsciLexerHTML::HTMLComment (enum)
    {61, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 45},	//651 QsciLexerHTML::Entity (enum)
    {61, 694, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 46},	//652 QsciLexerHTML::XMLTagEnd (enum)
    {61, 693, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 47},	//653 QsciLexerHTML::XMLStart (enum)
    {61, 692, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 48},	//654 QsciLexerHTML::XMLEnd (enum)
    {61, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 49},	//655 QsciLexerHTML::Script (enum)
    {61, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 50},	//656 QsciLexerHTML::ASPAtStart (enum)
    {61, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 51},	//657 QsciLexerHTML::ASPStart (enum)
    {61, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 52},	//658 QsciLexerHTML::CDATA (enum)
    {61, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 53},	//659 QsciLexerHTML::PHPStart (enum)
    {61, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 54},	//660 QsciLexerHTML::HTMLValue (enum)
    {61, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 55},	//661 QsciLexerHTML::ASPXCComment (enum)
    {61, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 56},	//662 QsciLexerHTML::SGMLDefault (enum)
    {61, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 57},	//663 QsciLexerHTML::SGMLCommand (enum)
    {61, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 58},	//664 QsciLexerHTML::SGMLParameter (enum)
    {61, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 59},	//665 QsciLexerHTML::SGMLDoubleQuotedString (enum)
    {61, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 60},	//666 QsciLexerHTML::SGMLSingleQuotedString (enum)
    {61, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 61},	//667 QsciLexerHTML::SGMLError (enum)
    {61, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 62},	//668 QsciLexerHTML::SGMLSpecial (enum)
    {61, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 63},	//669 QsciLexerHTML::SGMLEntity (enum)
    {61, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 64},	//670 QsciLexerHTML::SGMLComment (enum)
    {61, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 65},	//671 QsciLexerHTML::SGMLParameterComment (enum)
    {61, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 66},	//672 QsciLexerHTML::SGMLBlockDefault (enum)
    {61, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 67},	//673 QsciLexerHTML::JavaScriptStart (enum)
    {61, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 68},	//674 QsciLexerHTML::JavaScriptDefault (enum)
    {61, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 69},	//675 QsciLexerHTML::JavaScriptComment (enum)
    {61, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 70},	//676 QsciLexerHTML::JavaScriptCommentLine (enum)
    {61, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 71},	//677 QsciLexerHTML::JavaScriptCommentDoc (enum)
    {61, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 72},	//678 QsciLexerHTML::JavaScriptNumber (enum)
    {61, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 73},	//679 QsciLexerHTML::JavaScriptWord (enum)
    {61, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 74},	//680 QsciLexerHTML::JavaScriptKeyword (enum)
    {61, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 75},	//681 QsciLexerHTML::JavaScriptDoubleQuotedString (enum)
    {61, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 76},	//682 QsciLexerHTML::JavaScriptSingleQuotedString (enum)
    {61, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 77},	//683 QsciLexerHTML::JavaScriptSymbol (enum)
    {61, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 78},	//684 QsciLexerHTML::JavaScriptUnclosedString (enum)
    {61, 222, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 79},	//685 QsciLexerHTML::JavaScriptRegex (enum)
    {61, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 80},	//686 QsciLexerHTML::ASPJavaScriptStart (enum)
    {61, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 81},	//687 QsciLexerHTML::ASPJavaScriptDefault (enum)
    {61, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 82},	//688 QsciLexerHTML::ASPJavaScriptComment (enum)
    {61, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 83},	//689 QsciLexerHTML::ASPJavaScriptCommentLine (enum)
    {61, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 84},	//690 QsciLexerHTML::ASPJavaScriptCommentDoc (enum)
    {61, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 85},	//691 QsciLexerHTML::ASPJavaScriptNumber (enum)
    {61, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 86},	//692 QsciLexerHTML::ASPJavaScriptWord (enum)
    {61, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 87},	//693 QsciLexerHTML::ASPJavaScriptKeyword (enum)
    {61, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 88},	//694 QsciLexerHTML::ASPJavaScriptDoubleQuotedString (enum)
    {61, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 89},	//695 QsciLexerHTML::ASPJavaScriptSingleQuotedString (enum)
    {61, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 90},	//696 QsciLexerHTML::ASPJavaScriptSymbol (enum)
    {61, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 91},	//697 QsciLexerHTML::ASPJavaScriptUnclosedString (enum)
    {61, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 92},	//698 QsciLexerHTML::ASPJavaScriptRegex (enum)
    {61, 674, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 93},	//699 QsciLexerHTML::VBScriptStart (enum)
    {61, 670, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 94},	//700 QsciLexerHTML::VBScriptDefault (enum)
    {61, 669, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 95},	//701 QsciLexerHTML::VBScriptComment (enum)
    {61, 673, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 96},	//702 QsciLexerHTML::VBScriptNumber (enum)
    {61, 672, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 97},	//703 QsciLexerHTML::VBScriptKeyword (enum)
    {61, 675, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 98},	//704 QsciLexerHTML::VBScriptString (enum)
    {61, 671, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 99},	//705 QsciLexerHTML::VBScriptIdentifier (enum)
    {61, 676, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 100},	//706 QsciLexerHTML::VBScriptUnclosedString (enum)
    {61, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 101},	//707 QsciLexerHTML::ASPVBScriptStart (enum)
    {61, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 102},	//708 QsciLexerHTML::ASPVBScriptDefault (enum)
    {61, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 103},	//709 QsciLexerHTML::ASPVBScriptComment (enum)
    {61, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 104},	//710 QsciLexerHTML::ASPVBScriptNumber (enum)
    {61, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 105},	//711 QsciLexerHTML::ASPVBScriptKeyword (enum)
    {61, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 106},	//712 QsciLexerHTML::ASPVBScriptString (enum)
    {61, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 107},	//713 QsciLexerHTML::ASPVBScriptIdentifier (enum)
    {61, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 108},	//714 QsciLexerHTML::ASPVBScriptUnclosedString (enum)
    {61, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 109},	//715 QsciLexerHTML::PythonStart (enum)
    {61, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 110},	//716 QsciLexerHTML::PythonDefault (enum)
    {61, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 111},	//717 QsciLexerHTML::PythonComment (enum)
    {61, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 112},	//718 QsciLexerHTML::PythonNumber (enum)
    {61, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 113},	//719 QsciLexerHTML::PythonDoubleQuotedString (enum)
    {61, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 114},	//720 QsciLexerHTML::PythonSingleQuotedString (enum)
    {61, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 115},	//721 QsciLexerHTML::PythonKeyword (enum)
    {61, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 116},	//722 QsciLexerHTML::PythonTripleSingleQuotedString (enum)
    {61, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 117},	//723 QsciLexerHTML::PythonTripleDoubleQuotedString (enum)
    {61, 320, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 118},	//724 QsciLexerHTML::PythonClassName (enum)
    {61, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 119},	//725 QsciLexerHTML::PythonFunctionMethodName (enum)
    {61, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 120},	//726 QsciLexerHTML::PythonOperator (enum)
    {61, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 121},	//727 QsciLexerHTML::PythonIdentifier (enum)
    {61, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 122},	//728 QsciLexerHTML::ASPPythonStart (enum)
    {61, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 123},	//729 QsciLexerHTML::ASPPythonDefault (enum)
    {61, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 124},	//730 QsciLexerHTML::ASPPythonComment (enum)
    {61, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 125},	//731 QsciLexerHTML::ASPPythonNumber (enum)
    {61, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 126},	//732 QsciLexerHTML::ASPPythonDoubleQuotedString (enum)
    {61, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 127},	//733 QsciLexerHTML::ASPPythonSingleQuotedString (enum)
    {61, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 128},	//734 QsciLexerHTML::ASPPythonKeyword (enum)
    {61, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 129},	//735 QsciLexerHTML::ASPPythonTripleSingleQuotedString (enum)
    {61, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 130},	//736 QsciLexerHTML::ASPPythonTripleDoubleQuotedString (enum)
    {61, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 131},	//737 QsciLexerHTML::ASPPythonClassName (enum)
    {61, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 132},	//738 QsciLexerHTML::ASPPythonFunctionMethodName (enum)
    {61, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 133},	//739 QsciLexerHTML::ASPPythonOperator (enum)
    {61, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 134},	//740 QsciLexerHTML::ASPPythonIdentifier (enum)
    {61, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 135},	//741 QsciLexerHTML::PHPDefault (enum)
    {61, 281, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 136},	//742 QsciLexerHTML::PHPDoubleQuotedString (enum)
    {61, 286, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 137},	//743 QsciLexerHTML::PHPSingleQuotedString (enum)
    {61, 283, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 138},	//744 QsciLexerHTML::PHPKeyword (enum)
    {61, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 139},	//745 QsciLexerHTML::PHPNumber (enum)
    {61, 288, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 140},	//746 QsciLexerHTML::PHPVariable (enum)
    {61, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 141},	//747 QsciLexerHTML::PHPComment (enum)
    {61, 279, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 142},	//748 QsciLexerHTML::PHPCommentLine (enum)
    {61, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 143},	//749 QsciLexerHTML::PHPDoubleQuotedVariable (enum)
    {61, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 144},	//750 QsciLexerHTML::PHPOperator (enum)
    {61, 1353, 0, 0, Smoke::mf_dtor, 0, 145 },	//751 QsciLexerHTML::~QsciLexerHTML()
    {62, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//752 QsciLexerIDL::metaObject() const
    {62, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//753 QsciLexerIDL::qt_metacast(const char*)
    {62, 1294, 44, 2, Smoke::mf_static, 36, 3},	//754 QsciLexerIDL::tr(const char*, const char*)
    {62, 1298, 44, 2, Smoke::mf_static, 36, 4},	//755 QsciLexerIDL::trUtf8(const char*, const char*)
    {62, 1294, 47, 3, Smoke::mf_static, 36, 5},	//756 QsciLexerIDL::tr(const char*, const char*, int)
    {62, 1298, 47, 3, Smoke::mf_static, 36, 6},	//757 QsciLexerIDL::trUtf8(const char*, const char*, int)
    {62, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//758 QsciLexerIDL::qt_metacall(QMetaObject::Call, int, void**)
    {62, 373, 74, 1, Smoke::mf_ctor, 65, 8},	//759 QsciLexerIDL::QsciLexerIDL(QObject*)
    {62, 904, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 9},	//760 QsciLexerIDL::language() const
    {62, 780, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 10},	//761 QsciLexerIDL::defaultColor(int) const
    {62, 902, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 11},	//762 QsciLexerIDL::keywords(int) const
    {62, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 12},	//763 QsciLexerIDL::description(int) const
    {62, 1294, 12, 1, Smoke::mf_static, 36, 13},	//764 QsciLexerIDL::tr(const char*)
    {62, 1298, 12, 1, Smoke::mf_static, 36, 14},	//765 QsciLexerIDL::trUtf8(const char*)
    {62, 373, 0, 0, Smoke::mf_ctor, 65, 15},	//766 QsciLexerIDL::QsciLexerIDL()
    {62, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 16},	//767 QsciLexerIDL::staticMetaObject() const
    {62, 1354, 0, 0, Smoke::mf_dtor, 0, 17 },	//768 QsciLexerIDL::~QsciLexerIDL()
    {63, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//769 QsciLexerJava::metaObject() const
    {63, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//770 QsciLexerJava::qt_metacast(const char*)
    {63, 1294, 44, 2, Smoke::mf_static, 36, 3},	//771 QsciLexerJava::tr(const char*, const char*)
    {63, 1298, 44, 2, Smoke::mf_static, 36, 4},	//772 QsciLexerJava::trUtf8(const char*, const char*)
    {63, 1294, 47, 3, Smoke::mf_static, 36, 5},	//773 QsciLexerJava::tr(const char*, const char*, int)
    {63, 1298, 47, 3, Smoke::mf_static, 36, 6},	//774 QsciLexerJava::trUtf8(const char*, const char*, int)
    {63, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//775 QsciLexerJava::qt_metacall(QMetaObject::Call, int, void**)
    {63, 375, 74, 1, Smoke::mf_ctor, 66, 8},	//776 QsciLexerJava::QsciLexerJava(QObject*)
    {63, 904, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 9},	//777 QsciLexerJava::language() const
    {63, 902, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 10},	//778 QsciLexerJava::keywords(int) const
    {63, 1294, 12, 1, Smoke::mf_static, 36, 11},	//779 QsciLexerJava::tr(const char*)
    {63, 1298, 12, 1, Smoke::mf_static, 36, 12},	//780 QsciLexerJava::trUtf8(const char*)
    {63, 375, 0, 0, Smoke::mf_ctor, 66, 13},	//781 QsciLexerJava::QsciLexerJava()
    {63, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 14},	//782 QsciLexerJava::staticMetaObject() const
    {63, 1355, 0, 0, Smoke::mf_dtor, 0, 15 },	//783 QsciLexerJava::~QsciLexerJava()
    {64, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//784 QsciLexerJavaScript::metaObject() const
    {64, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//785 QsciLexerJavaScript::qt_metacast(const char*)
    {64, 1294, 44, 2, Smoke::mf_static, 36, 3},	//786 QsciLexerJavaScript::tr(const char*, const char*)
    {64, 1298, 44, 2, Smoke::mf_static, 36, 4},	//787 QsciLexerJavaScript::trUtf8(const char*, const char*)
    {64, 1294, 47, 3, Smoke::mf_static, 36, 5},	//788 QsciLexerJavaScript::tr(const char*, const char*, int)
    {64, 1298, 47, 3, Smoke::mf_static, 36, 6},	//789 QsciLexerJavaScript::trUtf8(const char*, const char*, int)
    {64, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//790 QsciLexerJavaScript::qt_metacall(QMetaObject::Call, int, void**)
    {64, 377, 74, 1, Smoke::mf_ctor, 67, 8},	//791 QsciLexerJavaScript::QsciLexerJavaScript(QObject*)
    {64, 904, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 9},	//792 QsciLexerJavaScript::language() const
    {64, 780, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 10},	//793 QsciLexerJavaScript::defaultColor(int) const
    {64, 782, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 178, 11},	//794 QsciLexerJavaScript::defaultEolFill(int) const
    {64, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 12},	//795 QsciLexerJavaScript::defaultFont(int) const
    {64, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//796 QsciLexerJavaScript::defaultPaper(int) const
    {64, 902, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 14},	//797 QsciLexerJavaScript::keywords(int) const
    {64, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 15},	//798 QsciLexerJavaScript::description(int) const
    {64, 1294, 12, 1, Smoke::mf_static, 36, 16},	//799 QsciLexerJavaScript::tr(const char*)
    {64, 1298, 12, 1, Smoke::mf_static, 36, 17},	//800 QsciLexerJavaScript::trUtf8(const char*)
    {64, 377, 0, 0, Smoke::mf_ctor, 67, 18},	//801 QsciLexerJavaScript::QsciLexerJavaScript()
    {64, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 19},	//802 QsciLexerJavaScript::staticMetaObject() const
    {64, 1356, 0, 0, Smoke::mf_dtor, 0, 20 },	//803 QsciLexerJavaScript::~QsciLexerJavaScript()
    {65, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//804 QsciLexerLua::metaObject() const
    {65, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//805 QsciLexerLua::qt_metacast(const char*)
    {65, 1294, 44, 2, Smoke::mf_static, 36, 3},	//806 QsciLexerLua::tr(const char*, const char*)
    {65, 1298, 44, 2, Smoke::mf_static, 36, 4},	//807 QsciLexerLua::trUtf8(const char*, const char*)
    {65, 1294, 47, 3, Smoke::mf_static, 36, 5},	//808 QsciLexerLua::tr(const char*, const char*, int)
    {65, 1298, 47, 3, Smoke::mf_static, 36, 6},	//809 QsciLexerLua::trUtf8(const char*, const char*, int)
    {65, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//810 QsciLexerLua::qt_metacall(QMetaObject::Call, int, void**)
    {65, 379, 74, 1, Smoke::mf_ctor, 68, 8},	//811 QsciLexerLua::QsciLexerLua(QObject*)
    {65, 904, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 9},	//812 QsciLexerLua::language() const
    {65, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 10},	//813 QsciLexerLua::lexer() const
    {65, 727, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 37, 11},	//814 QsciLexerLua::autoCompletionWordSeparators() const
    {65, 736, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 12},	//815 QsciLexerLua::blockStart(int*) const
    {65, 741, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 13},	//816 QsciLexerLua::braceStyle() const
    {65, 780, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//817 QsciLexerLua::defaultColor(int) const
    {65, 782, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 178, 15},	//818 QsciLexerLua::defaultEolFill(int) const
    {65, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 16},	//819 QsciLexerLua::defaultFont(int) const
    {65, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 17},	//820 QsciLexerLua::defaultPaper(int) const
    {65, 902, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 18},	//821 QsciLexerLua::keywords(int) const
    {65, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 19},	//822 QsciLexerLua::description(int) const
    {65, 1012, 0, 0, Smoke::mf_virtual, 0, 20},	//823 QsciLexerLua::refreshProperties()
    {65, 844, 0, 0, Smoke::mf_const, 178, 21},	//824 QsciLexerLua::foldCompact() const
    {65, 1131, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//825 QsciLexerLua::setFoldCompact(bool)
    {65, 1002, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 178, 23},	//826 QsciLexerLua::readProperties(QSettings&, const QString&)
    {65, 1325, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 178, 24},	//827 QsciLexerLua::writeProperties(QSettings&, const QString&) const
    {65, 1294, 12, 1, Smoke::mf_static, 36, 25},	//828 QsciLexerLua::tr(const char*)
    {65, 1298, 12, 1, Smoke::mf_static, 36, 26},	//829 QsciLexerLua::trUtf8(const char*)
    {65, 379, 0, 0, Smoke::mf_ctor, 68, 27},	//830 QsciLexerLua::QsciLexerLua()
    {65, 736, 0, 0, Smoke::mf_const, 197, 28},	//831 QsciLexerLua::blockStart() const
    {65, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 29},	//832 QsciLexerLua::staticMetaObject() const
    {65, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 30},	//833 QsciLexerLua::Default (enum)
    {65, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 31},	//834 QsciLexerLua::Comment (enum)
    {65, 250, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 32},	//835 QsciLexerLua::LineComment (enum)
    {65, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 33},	//836 QsciLexerLua::Number (enum)
    {65, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 34},	//837 QsciLexerLua::Keyword (enum)
    {65, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 35},	//838 QsciLexerLua::String (enum)
    {65, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 36},	//839 QsciLexerLua::Character (enum)
    {65, 253, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 37},	//840 QsciLexerLua::LiteralString (enum)
    {65, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 38},	//841 QsciLexerLua::Preprocessor (enum)
    {65, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 39},	//842 QsciLexerLua::Operator (enum)
    {65, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 40},	//843 QsciLexerLua::Identifier (enum)
    {65, 663, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 41},	//844 QsciLexerLua::UnclosedString (enum)
    {65, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 42},	//845 QsciLexerLua::BasicFunctions (enum)
    {65, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 43},	//846 QsciLexerLua::StringTableMathsFunctions (enum)
    {65, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 44},	//847 QsciLexerLua::CoroutinesIOSystemFacilities (enum)
    {65, 1357, 0, 0, Smoke::mf_dtor, 0, 45 },	//848 QsciLexerLua::~QsciLexerLua()
    {66, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//849 QsciLexerMakefile::metaObject() const
    {66, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//850 QsciLexerMakefile::qt_metacast(const char*)
    {66, 1294, 44, 2, Smoke::mf_static, 36, 3},	//851 QsciLexerMakefile::tr(const char*, const char*)
    {66, 1298, 44, 2, Smoke::mf_static, 36, 4},	//852 QsciLexerMakefile::trUtf8(const char*, const char*)
    {66, 1294, 47, 3, Smoke::mf_static, 36, 5},	//853 QsciLexerMakefile::tr(const char*, const char*, int)
    {66, 1298, 47, 3, Smoke::mf_static, 36, 6},	//854 QsciLexerMakefile::trUtf8(const char*, const char*, int)
    {66, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//855 QsciLexerMakefile::qt_metacall(QMetaObject::Call, int, void**)
    {66, 381, 74, 1, Smoke::mf_ctor, 69, 8},	//856 QsciLexerMakefile::QsciLexerMakefile(QObject*)
    {66, 904, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 9},	//857 QsciLexerMakefile::language() const
    {66, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 10},	//858 QsciLexerMakefile::lexer() const
    {66, 1321, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 11},	//859 QsciLexerMakefile::wordCharacters() const
    {66, 780, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//860 QsciLexerMakefile::defaultColor(int) const
    {66, 782, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 178, 13},	//861 QsciLexerMakefile::defaultEolFill(int) const
    {66, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//862 QsciLexerMakefile::defaultFont(int) const
    {66, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//863 QsciLexerMakefile::defaultPaper(int) const
    {66, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 16},	//864 QsciLexerMakefile::description(int) const
    {66, 1294, 12, 1, Smoke::mf_static, 36, 17},	//865 QsciLexerMakefile::tr(const char*)
    {66, 1298, 12, 1, Smoke::mf_static, 36, 18},	//866 QsciLexerMakefile::trUtf8(const char*)
    {66, 381, 0, 0, Smoke::mf_ctor, 69, 19},	//867 QsciLexerMakefile::QsciLexerMakefile()
    {66, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 20},	//868 QsciLexerMakefile::staticMetaObject() const
    {66, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 21},	//869 QsciLexerMakefile::Default (enum)
    {66, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 22},	//870 QsciLexerMakefile::Comment (enum)
    {66, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 23},	//871 QsciLexerMakefile::Preprocessor (enum)
    {66, 679, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 24},	//872 QsciLexerMakefile::Variable (enum)
    {66, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 25},	//873 QsciLexerMakefile::Operator (enum)
    {66, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 26},	//874 QsciLexerMakefile::Target (enum)
    {66, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 27},	//875 QsciLexerMakefile::Error (enum)
    {66, 1358, 0, 0, Smoke::mf_dtor, 0, 28 },	//876 QsciLexerMakefile::~QsciLexerMakefile()
    {67, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//877 QsciLexerPOV::metaObject() const
    {67, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//878 QsciLexerPOV::qt_metacast(const char*)
    {67, 1294, 44, 2, Smoke::mf_static, 36, 3},	//879 QsciLexerPOV::tr(const char*, const char*)
    {67, 1298, 44, 2, Smoke::mf_static, 36, 4},	//880 QsciLexerPOV::trUtf8(const char*, const char*)
    {67, 1294, 47, 3, Smoke::mf_static, 36, 5},	//881 QsciLexerPOV::tr(const char*, const char*, int)
    {67, 1298, 47, 3, Smoke::mf_static, 36, 6},	//882 QsciLexerPOV::trUtf8(const char*, const char*, int)
    {67, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//883 QsciLexerPOV::qt_metacall(QMetaObject::Call, int, void**)
    {67, 383, 74, 1, Smoke::mf_ctor, 70, 8},	//884 QsciLexerPOV::QsciLexerPOV(QObject*)
    {67, 904, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 9},	//885 QsciLexerPOV::language() const
    {67, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 10},	//886 QsciLexerPOV::lexer() const
    {67, 741, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 11},	//887 QsciLexerPOV::braceStyle() const
    {67, 1321, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 12},	//888 QsciLexerPOV::wordCharacters() const
    {67, 780, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//889 QsciLexerPOV::defaultColor(int) const
    {67, 782, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 178, 14},	//890 QsciLexerPOV::defaultEolFill(int) const
    {67, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 15},	//891 QsciLexerPOV::defaultFont(int) const
    {67, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 16},	//892 QsciLexerPOV::defaultPaper(int) const
    {67, 902, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 17},	//893 QsciLexerPOV::keywords(int) const
    {67, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 18},	//894 QsciLexerPOV::description(int) const
    {67, 1012, 0, 0, Smoke::mf_virtual, 0, 19},	//895 QsciLexerPOV::refreshProperties()
    {67, 843, 0, 0, Smoke::mf_const, 178, 20},	//896 QsciLexerPOV::foldComments() const
    {67, 844, 0, 0, Smoke::mf_const, 178, 21},	//897 QsciLexerPOV::foldCompact() const
    {67, 845, 0, 0, Smoke::mf_const, 178, 22},	//898 QsciLexerPOV::foldDirectives() const
    {67, 1129, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//899 QsciLexerPOV::setFoldComments(bool)
    {67, 1131, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//900 QsciLexerPOV::setFoldCompact(bool)
    {67, 1133, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//901 QsciLexerPOV::setFoldDirectives(bool)
    {67, 1002, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 178, 26},	//902 QsciLexerPOV::readProperties(QSettings&, const QString&)
    {67, 1325, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 178, 27},	//903 QsciLexerPOV::writeProperties(QSettings&, const QString&) const
    {67, 1294, 12, 1, Smoke::mf_static, 36, 28},	//904 QsciLexerPOV::tr(const char*)
    {67, 1298, 12, 1, Smoke::mf_static, 36, 29},	//905 QsciLexerPOV::trUtf8(const char*)
    {67, 383, 0, 0, Smoke::mf_ctor, 70, 30},	//906 QsciLexerPOV::QsciLexerPOV()
    {67, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 31},	//907 QsciLexerPOV::staticMetaObject() const
    {67, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 32},	//908 QsciLexerPOV::Default (enum)
    {67, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 33},	//909 QsciLexerPOV::Comment (enum)
    {67, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 34},	//910 QsciLexerPOV::CommentLine (enum)
    {67, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 35},	//911 QsciLexerPOV::Number (enum)
    {67, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 36},	//912 QsciLexerPOV::Operator (enum)
    {67, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 37},	//913 QsciLexerPOV::Identifier (enum)
    {67, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 38},	//914 QsciLexerPOV::String (enum)
    {67, 663, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 39},	//915 QsciLexerPOV::UnclosedString (enum)
    {67, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 40},	//916 QsciLexerPOV::Directive (enum)
    {67, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 41},	//917 QsciLexerPOV::BadDirective (enum)
    {67, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 42},	//918 QsciLexerPOV::ObjectsCSGAppearance (enum)
    {67, 661, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 43},	//919 QsciLexerPOV::TypesModifiersItems (enum)
    {67, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 44},	//920 QsciLexerPOV::PredefinedIdentifiers (enum)
    {67, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 45},	//921 QsciLexerPOV::PredefinedFunctions (enum)
    {67, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 46},	//922 QsciLexerPOV::KeywordSet6 (enum)
    {67, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 47},	//923 QsciLexerPOV::KeywordSet7 (enum)
    {67, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 48},	//924 QsciLexerPOV::KeywordSet8 (enum)
    {67, 1359, 0, 0, Smoke::mf_dtor, 0, 49 },	//925 QsciLexerPOV::~QsciLexerPOV()
    {68, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//926 QsciLexerPascal::metaObject() const
    {68, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//927 QsciLexerPascal::qt_metacast(const char*)
    {68, 1294, 44, 2, Smoke::mf_static, 36, 3},	//928 QsciLexerPascal::tr(const char*, const char*)
    {68, 1298, 44, 2, Smoke::mf_static, 36, 4},	//929 QsciLexerPascal::trUtf8(const char*, const char*)
    {68, 1294, 47, 3, Smoke::mf_static, 36, 5},	//930 QsciLexerPascal::tr(const char*, const char*, int)
    {68, 1298, 47, 3, Smoke::mf_static, 36, 6},	//931 QsciLexerPascal::trUtf8(const char*, const char*, int)
    {68, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//932 QsciLexerPascal::qt_metacall(QMetaObject::Call, int, void**)
    {68, 385, 74, 1, Smoke::mf_ctor, 71, 8},	//933 QsciLexerPascal::QsciLexerPascal(QObject*)
    {68, 904, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 9},	//934 QsciLexerPascal::language() const
    {68, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 10},	//935 QsciLexerPascal::lexer() const
    {68, 727, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 37, 11},	//936 QsciLexerPascal::autoCompletionWordSeparators() const
    {68, 733, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 12},	//937 QsciLexerPascal::blockEnd(int*) const
    {68, 736, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 13},	//938 QsciLexerPascal::blockStart(int*) const
    {68, 738, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 14},	//939 QsciLexerPascal::blockStartKeyword(int*) const
    {68, 741, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 15},	//940 QsciLexerPascal::braceStyle() const
    {68, 780, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 16},	//941 QsciLexerPascal::defaultColor(int) const
    {68, 782, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 178, 17},	//942 QsciLexerPascal::defaultEolFill(int) const
    {68, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 18},	//943 QsciLexerPascal::defaultFont(int) const
    {68, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 19},	//944 QsciLexerPascal::defaultPaper(int) const
    {68, 902, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 20},	//945 QsciLexerPascal::keywords(int) const
    {68, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 21},	//946 QsciLexerPascal::description(int) const
    {68, 1012, 0, 0, Smoke::mf_virtual, 0, 22},	//947 QsciLexerPascal::refreshProperties()
    {68, 843, 0, 0, Smoke::mf_const, 178, 23},	//948 QsciLexerPascal::foldComments() const
    {68, 844, 0, 0, Smoke::mf_const, 178, 24},	//949 QsciLexerPascal::foldCompact() const
    {68, 850, 0, 0, Smoke::mf_const, 178, 25},	//950 QsciLexerPascal::foldPreprocessor() const
    {68, 1227, 16, 1, 0, 0, 26},	//951 QsciLexerPascal::setSmartHighlighting(bool)
    {68, 1270, 0, 0, Smoke::mf_const, 178, 27},	//952 QsciLexerPascal::smartHighlighting() const
    {68, 1129, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//953 QsciLexerPascal::setFoldComments(bool)
    {68, 1131, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//954 QsciLexerPascal::setFoldCompact(bool)
    {68, 1141, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 30},	//955 QsciLexerPascal::setFoldPreprocessor(bool)
    {68, 1002, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 178, 31},	//956 QsciLexerPascal::readProperties(QSettings&, const QString&)
    {68, 1325, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 178, 32},	//957 QsciLexerPascal::writeProperties(QSettings&, const QString&) const
    {68, 1294, 12, 1, Smoke::mf_static, 36, 33},	//958 QsciLexerPascal::tr(const char*)
    {68, 1298, 12, 1, Smoke::mf_static, 36, 34},	//959 QsciLexerPascal::trUtf8(const char*)
    {68, 385, 0, 0, Smoke::mf_ctor, 71, 35},	//960 QsciLexerPascal::QsciLexerPascal()
    {68, 733, 0, 0, Smoke::mf_const, 197, 36},	//961 QsciLexerPascal::blockEnd() const
    {68, 736, 0, 0, Smoke::mf_const, 197, 37},	//962 QsciLexerPascal::blockStart() const
    {68, 738, 0, 0, Smoke::mf_const, 197, 38},	//963 QsciLexerPascal::blockStartKeyword() const
    {68, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 39},	//964 QsciLexerPascal::staticMetaObject() const
    {68, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 40},	//965 QsciLexerPascal::Default (enum)
    {68, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 41},	//966 QsciLexerPascal::Identifier (enum)
    {68, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 42},	//967 QsciLexerPascal::Comment (enum)
    {68, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 43},	//968 QsciLexerPascal::CommentParenthesis (enum)
    {68, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 44},	//969 QsciLexerPascal::CommentLine (enum)
    {68, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 45},	//970 QsciLexerPascal::PreProcessor (enum)
    {68, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 46},	//971 QsciLexerPascal::PreProcessorParenthesis (enum)
    {68, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 47},	//972 QsciLexerPascal::Number (enum)
    {68, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 48},	//973 QsciLexerPascal::HexNumber (enum)
    {68, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 49},	//974 QsciLexerPascal::Keyword (enum)
    {68, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 50},	//975 QsciLexerPascal::SingleQuotedString (enum)
    {68, 663, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 51},	//976 QsciLexerPascal::UnclosedString (enum)
    {68, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 52},	//977 QsciLexerPascal::Character (enum)
    {68, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 53},	//978 QsciLexerPascal::Operator (enum)
    {68, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 54},	//979 QsciLexerPascal::Asm (enum)
    {68, 1360, 0, 0, Smoke::mf_dtor, 0, 55 },	//980 QsciLexerPascal::~QsciLexerPascal()
    {69, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//981 QsciLexerPerl::metaObject() const
    {69, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//982 QsciLexerPerl::qt_metacast(const char*)
    {69, 1294, 44, 2, Smoke::mf_static, 36, 3},	//983 QsciLexerPerl::tr(const char*, const char*)
    {69, 1298, 44, 2, Smoke::mf_static, 36, 4},	//984 QsciLexerPerl::trUtf8(const char*, const char*)
    {69, 1294, 47, 3, Smoke::mf_static, 36, 5},	//985 QsciLexerPerl::tr(const char*, const char*, int)
    {69, 1298, 47, 3, Smoke::mf_static, 36, 6},	//986 QsciLexerPerl::trUtf8(const char*, const char*, int)
    {69, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//987 QsciLexerPerl::qt_metacall(QMetaObject::Call, int, void**)
    {69, 387, 74, 1, Smoke::mf_ctor, 72, 8},	//988 QsciLexerPerl::QsciLexerPerl(QObject*)
    {69, 904, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 9},	//989 QsciLexerPerl::language() const
    {69, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 10},	//990 QsciLexerPerl::lexer() const
    {69, 727, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 37, 11},	//991 QsciLexerPerl::autoCompletionWordSeparators() const
    {69, 741, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 12},	//992 QsciLexerPerl::braceStyle() const
    {69, 1321, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 13},	//993 QsciLexerPerl::wordCharacters() const
    {69, 780, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//994 QsciLexerPerl::defaultColor(int) const
    {69, 782, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 178, 15},	//995 QsciLexerPerl::defaultEolFill(int) const
    {69, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 16},	//996 QsciLexerPerl::defaultFont(int) const
    {69, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 17},	//997 QsciLexerPerl::defaultPaper(int) const
    {69, 902, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 18},	//998 QsciLexerPerl::keywords(int) const
    {69, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 19},	//999 QsciLexerPerl::description(int) const
    {69, 1012, 0, 0, Smoke::mf_virtual, 0, 20},	//1000 QsciLexerPerl::refreshProperties()
    {69, 843, 0, 0, Smoke::mf_const, 178, 21},	//1001 QsciLexerPerl::foldComments() const
    {69, 844, 0, 0, Smoke::mf_const, 178, 22},	//1002 QsciLexerPerl::foldCompact() const
    {69, 1139, 16, 1, 0, 0, 23},	//1003 QsciLexerPerl::setFoldPackages(bool)
    {69, 849, 0, 0, Smoke::mf_const, 178, 24},	//1004 QsciLexerPerl::foldPackages() const
    {69, 1137, 16, 1, 0, 0, 25},	//1005 QsciLexerPerl::setFoldPODBlocks(bool)
    {69, 848, 0, 0, Smoke::mf_const, 178, 26},	//1006 QsciLexerPerl::foldPODBlocks() const
    {69, 1129, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//1007 QsciLexerPerl::setFoldComments(bool)
    {69, 1131, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1008 QsciLexerPerl::setFoldCompact(bool)
    {69, 1002, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 178, 29},	//1009 QsciLexerPerl::readProperties(QSettings&, const QString&)
    {69, 1325, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 178, 30},	//1010 QsciLexerPerl::writeProperties(QSettings&, const QString&) const
    {69, 1294, 12, 1, Smoke::mf_static, 36, 31},	//1011 QsciLexerPerl::tr(const char*)
    {69, 1298, 12, 1, Smoke::mf_static, 36, 32},	//1012 QsciLexerPerl::trUtf8(const char*)
    {69, 387, 0, 0, Smoke::mf_ctor, 72, 33},	//1013 QsciLexerPerl::QsciLexerPerl()
    {69, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 34},	//1014 QsciLexerPerl::staticMetaObject() const
    {69, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 35},	//1015 QsciLexerPerl::Default (enum)
    {69, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 36},	//1016 QsciLexerPerl::Error (enum)
    {69, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 37},	//1017 QsciLexerPerl::Comment (enum)
    {69, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 38},	//1018 QsciLexerPerl::POD (enum)
    {69, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 39},	//1019 QsciLexerPerl::Number (enum)
    {69, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 40},	//1020 QsciLexerPerl::Keyword (enum)
    {69, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 41},	//1021 QsciLexerPerl::DoubleQuotedString (enum)
    {69, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 42},	//1022 QsciLexerPerl::SingleQuotedString (enum)
    {69, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 43},	//1023 QsciLexerPerl::Operator (enum)
    {69, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 44},	//1024 QsciLexerPerl::Identifier (enum)
    {69, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 45},	//1025 QsciLexerPerl::Scalar (enum)
    {69, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 46},	//1026 QsciLexerPerl::Array (enum)
    {69, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 47},	//1027 QsciLexerPerl::Hash (enum)
    {69, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 48},	//1028 QsciLexerPerl::SymbolTable (enum)
    {69, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 49},	//1029 QsciLexerPerl::Regex (enum)
    {69, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 50},	//1030 QsciLexerPerl::Substitution (enum)
    {69, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 51},	//1031 QsciLexerPerl::Backticks (enum)
    {69, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 52},	//1032 QsciLexerPerl::DataSection (enum)
    {69, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 53},	//1033 QsciLexerPerl::HereDocumentDelimiter (enum)
    {69, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 54},	//1034 QsciLexerPerl::SingleQuotedHereDocument (enum)
    {69, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 55},	//1035 QsciLexerPerl::DoubleQuotedHereDocument (enum)
    {69, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 56},	//1036 QsciLexerPerl::BacktickHereDocument (enum)
    {69, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 57},	//1037 QsciLexerPerl::QuotedStringQ (enum)
    {69, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 58},	//1038 QsciLexerPerl::QuotedStringQQ (enum)
    {69, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 59},	//1039 QsciLexerPerl::QuotedStringQX (enum)
    {69, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 60},	//1040 QsciLexerPerl::QuotedStringQR (enum)
    {69, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 61},	//1041 QsciLexerPerl::QuotedStringQW (enum)
    {69, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 62},	//1042 QsciLexerPerl::PODVerbatim (enum)
    {69, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 63},	//1043 QsciLexerPerl::SubroutinePrototype (enum)
    {69, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 64},	//1044 QsciLexerPerl::FormatIdentifier (enum)
    {69, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 65},	//1045 QsciLexerPerl::FormatBody (enum)
    {69, 1361, 0, 0, Smoke::mf_dtor, 0, 66 },	//1046 QsciLexerPerl::~QsciLexerPerl()
    {70, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//1047 QsciLexerPostScript::metaObject() const
    {70, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//1048 QsciLexerPostScript::qt_metacast(const char*)
    {70, 1294, 44, 2, Smoke::mf_static, 36, 3},	//1049 QsciLexerPostScript::tr(const char*, const char*)
    {70, 1298, 44, 2, Smoke::mf_static, 36, 4},	//1050 QsciLexerPostScript::trUtf8(const char*, const char*)
    {70, 1294, 47, 3, Smoke::mf_static, 36, 5},	//1051 QsciLexerPostScript::tr(const char*, const char*, int)
    {70, 1298, 47, 3, Smoke::mf_static, 36, 6},	//1052 QsciLexerPostScript::trUtf8(const char*, const char*, int)
    {70, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//1053 QsciLexerPostScript::qt_metacall(QMetaObject::Call, int, void**)
    {70, 389, 74, 1, Smoke::mf_ctor, 73, 8},	//1054 QsciLexerPostScript::QsciLexerPostScript(QObject*)
    {70, 904, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 9},	//1055 QsciLexerPostScript::language() const
    {70, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 10},	//1056 QsciLexerPostScript::lexer() const
    {70, 741, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 11},	//1057 QsciLexerPostScript::braceStyle() const
    {70, 780, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1058 QsciLexerPostScript::defaultColor(int) const
    {70, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 13},	//1059 QsciLexerPostScript::defaultFont(int) const
    {70, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//1060 QsciLexerPostScript::defaultPaper(int) const
    {70, 902, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 15},	//1061 QsciLexerPostScript::keywords(int) const
    {70, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 16},	//1062 QsciLexerPostScript::description(int) const
    {70, 1012, 0, 0, Smoke::mf_virtual, 0, 17},	//1063 QsciLexerPostScript::refreshProperties()
    {70, 1293, 0, 0, Smoke::mf_const, 178, 18},	//1064 QsciLexerPostScript::tokenize() const
    {70, 908, 0, 0, Smoke::mf_const, 199, 19},	//1065 QsciLexerPostScript::level() const
    {70, 844, 0, 0, Smoke::mf_const, 178, 20},	//1066 QsciLexerPostScript::foldCompact() const
    {70, 841, 0, 0, Smoke::mf_const, 178, 21},	//1067 QsciLexerPostScript::foldAtElse() const
    {70, 1242, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//1068 QsciLexerPostScript::setTokenize(bool)
    {70, 1173, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//1069 QsciLexerPostScript::setLevel(int)
    {70, 1131, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1070 QsciLexerPostScript::setFoldCompact(bool)
    {70, 1125, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1071 QsciLexerPostScript::setFoldAtElse(bool)
    {70, 1002, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 178, 26},	//1072 QsciLexerPostScript::readProperties(QSettings&, const QString&)
    {70, 1325, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 178, 27},	//1073 QsciLexerPostScript::writeProperties(QSettings&, const QString&) const
    {70, 1294, 12, 1, Smoke::mf_static, 36, 28},	//1074 QsciLexerPostScript::tr(const char*)
    {70, 1298, 12, 1, Smoke::mf_static, 36, 29},	//1075 QsciLexerPostScript::trUtf8(const char*)
    {70, 389, 0, 0, Smoke::mf_ctor, 73, 30},	//1076 QsciLexerPostScript::QsciLexerPostScript()
    {70, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 31},	//1077 QsciLexerPostScript::staticMetaObject() const
    {70, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 32},	//1078 QsciLexerPostScript::Default (enum)
    {70, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 33},	//1079 QsciLexerPostScript::Comment (enum)
    {70, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 34},	//1080 QsciLexerPostScript::DSCComment (enum)
    {70, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 35},	//1081 QsciLexerPostScript::DSCCommentValue (enum)
    {70, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 36},	//1082 QsciLexerPostScript::Number (enum)
    {70, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 37},	//1083 QsciLexerPostScript::Name (enum)
    {70, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 38},	//1084 QsciLexerPostScript::Keyword (enum)
    {70, 252, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 39},	//1085 QsciLexerPostScript::Literal (enum)
    {70, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 40},	//1086 QsciLexerPostScript::ImmediateEvalLiteral (enum)
    {70, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 41},	//1087 QsciLexerPostScript::ArrayParenthesis (enum)
    {70, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 42},	//1088 QsciLexerPostScript::DictionaryParenthesis (enum)
    {70, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 43},	//1089 QsciLexerPostScript::ProcedureParenthesis (enum)
    {70, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 44},	//1090 QsciLexerPostScript::Text (enum)
    {70, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 45},	//1091 QsciLexerPostScript::HexString (enum)
    {70, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 46},	//1092 QsciLexerPostScript::Base85String (enum)
    {70, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 47},	//1093 QsciLexerPostScript::BadStringCharacter (enum)
    {70, 1362, 0, 0, Smoke::mf_dtor, 0, 48 },	//1094 QsciLexerPostScript::~QsciLexerPostScript()
    {71, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//1095 QsciLexerProperties::metaObject() const
    {71, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//1096 QsciLexerProperties::qt_metacast(const char*)
    {71, 1294, 44, 2, Smoke::mf_static, 36, 3},	//1097 QsciLexerProperties::tr(const char*, const char*)
    {71, 1298, 44, 2, Smoke::mf_static, 36, 4},	//1098 QsciLexerProperties::trUtf8(const char*, const char*)
    {71, 1294, 47, 3, Smoke::mf_static, 36, 5},	//1099 QsciLexerProperties::tr(const char*, const char*, int)
    {71, 1298, 47, 3, Smoke::mf_static, 36, 6},	//1100 QsciLexerProperties::trUtf8(const char*, const char*, int)
    {71, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//1101 QsciLexerProperties::qt_metacall(QMetaObject::Call, int, void**)
    {71, 391, 74, 1, Smoke::mf_ctor, 74, 8},	//1102 QsciLexerProperties::QsciLexerProperties(QObject*)
    {71, 904, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 9},	//1103 QsciLexerProperties::language() const
    {71, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 10},	//1104 QsciLexerProperties::lexer() const
    {71, 1321, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 11},	//1105 QsciLexerProperties::wordCharacters() const
    {71, 780, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1106 QsciLexerProperties::defaultColor(int) const
    {71, 782, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 178, 13},	//1107 QsciLexerProperties::defaultEolFill(int) const
    {71, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//1108 QsciLexerProperties::defaultFont(int) const
    {71, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1109 QsciLexerProperties::defaultPaper(int) const
    {71, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 16},	//1110 QsciLexerProperties::description(int) const
    {71, 1012, 0, 0, Smoke::mf_virtual, 0, 17},	//1111 QsciLexerProperties::refreshProperties()
    {71, 844, 0, 0, Smoke::mf_const, 178, 18},	//1112 QsciLexerProperties::foldCompact() const
    {71, 1131, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1113 QsciLexerProperties::setFoldCompact(bool)
    {71, 1002, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 178, 20},	//1114 QsciLexerProperties::readProperties(QSettings&, const QString&)
    {71, 1325, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 178, 21},	//1115 QsciLexerProperties::writeProperties(QSettings&, const QString&) const
    {71, 1294, 12, 1, Smoke::mf_static, 36, 22},	//1116 QsciLexerProperties::tr(const char*)
    {71, 1298, 12, 1, Smoke::mf_static, 36, 23},	//1117 QsciLexerProperties::trUtf8(const char*)
    {71, 391, 0, 0, Smoke::mf_ctor, 74, 24},	//1118 QsciLexerProperties::QsciLexerProperties()
    {71, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 25},	//1119 QsciLexerProperties::staticMetaObject() const
    {71, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 26},	//1120 QsciLexerProperties::Default (enum)
    {71, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 27},	//1121 QsciLexerProperties::Comment (enum)
    {71, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 28},	//1122 QsciLexerProperties::Section (enum)
    {71, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 29},	//1123 QsciLexerProperties::Assignment (enum)
    {71, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 30},	//1124 QsciLexerProperties::DefaultValue (enum)
    {71, 1363, 0, 0, Smoke::mf_dtor, 0, 31 },	//1125 QsciLexerProperties::~QsciLexerProperties()
    {72, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//1126 QsciLexerPython::metaObject() const
    {72, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//1127 QsciLexerPython::qt_metacast(const char*)
    {72, 1294, 44, 2, Smoke::mf_static, 36, 3},	//1128 QsciLexerPython::tr(const char*, const char*)
    {72, 1298, 44, 2, Smoke::mf_static, 36, 4},	//1129 QsciLexerPython::trUtf8(const char*, const char*)
    {72, 1294, 47, 3, Smoke::mf_static, 36, 5},	//1130 QsciLexerPython::tr(const char*, const char*, int)
    {72, 1298, 47, 3, Smoke::mf_static, 36, 6},	//1131 QsciLexerPython::trUtf8(const char*, const char*, int)
    {72, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//1132 QsciLexerPython::qt_metacall(QMetaObject::Call, int, void**)
    {72, 393, 74, 1, Smoke::mf_ctor, 75, 8},	//1133 QsciLexerPython::QsciLexerPython(QObject*)
    {72, 904, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 9},	//1134 QsciLexerPython::language() const
    {72, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 10},	//1135 QsciLexerPython::lexer() const
    {72, 727, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 37, 11},	//1136 QsciLexerPython::autoCompletionWordSeparators() const
    {72, 735, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 12},	//1137 QsciLexerPython::blockLookback() const
    {72, 736, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 13},	//1138 QsciLexerPython::blockStart(int*) const
    {72, 741, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 14},	//1139 QsciLexerPython::braceStyle() const
    {72, 780, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1140 QsciLexerPython::defaultColor(int) const
    {72, 782, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 178, 16},	//1141 QsciLexerPython::defaultEolFill(int) const
    {72, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 17},	//1142 QsciLexerPython::defaultFont(int) const
    {72, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 18},	//1143 QsciLexerPython::defaultPaper(int) const
    {72, 874, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 19},	//1144 QsciLexerPython::indentationGuideView() const
    {72, 902, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 20},	//1145 QsciLexerPython::keywords(int) const
    {72, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 21},	//1146 QsciLexerPython::description(int) const
    {72, 1012, 0, 0, Smoke::mf_virtual, 0, 22},	//1147 QsciLexerPython::refreshProperties()
    {72, 843, 0, 0, Smoke::mf_const, 178, 23},	//1148 QsciLexerPython::foldComments() const
    {72, 851, 0, 0, Smoke::mf_const, 178, 24},	//1149 QsciLexerPython::foldQuotes() const
    {72, 876, 0, 0, Smoke::mf_const, 76, 25},	//1150 QsciLexerPython::indentationWarning() const
    {72, 1250, 16, 1, 0, 0, 26},	//1151 QsciLexerPython::setV2UnicodeAllowed(bool)
    {72, 1309, 0, 0, Smoke::mf_const, 178, 27},	//1152 QsciLexerPython::v2UnicodeAllowed() const
    {72, 1252, 16, 1, 0, 0, 28},	//1153 QsciLexerPython::setV3BinaryOctalAllowed(bool)
    {72, 1310, 0, 0, Smoke::mf_const, 178, 29},	//1154 QsciLexerPython::v3BinaryOctalAllowed() const
    {72, 1254, 16, 1, 0, 0, 30},	//1155 QsciLexerPython::setV3BytesAllowed(bool)
    {72, 1311, 0, 0, Smoke::mf_const, 178, 31},	//1156 QsciLexerPython::v3BytesAllowed() const
    {72, 1129, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//1157 QsciLexerPython::setFoldComments(bool)
    {72, 1143, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//1158 QsciLexerPython::setFoldQuotes(bool)
    {72, 1165, 105, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 34},	//1159 QsciLexerPython::setIndentationWarning(QsciLexerPython::IndentationWarning)
    {72, 1002, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 178, 35},	//1160 QsciLexerPython::readProperties(QSettings&, const QString&)
    {72, 1325, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 178, 36},	//1161 QsciLexerPython::writeProperties(QSettings&, const QString&) const
    {72, 1294, 12, 1, Smoke::mf_static, 36, 37},	//1162 QsciLexerPython::tr(const char*)
    {72, 1298, 12, 1, Smoke::mf_static, 36, 38},	//1163 QsciLexerPython::trUtf8(const char*)
    {72, 393, 0, 0, Smoke::mf_ctor, 75, 39},	//1164 QsciLexerPython::QsciLexerPython()
    {72, 736, 0, 0, Smoke::mf_const, 197, 40},	//1165 QsciLexerPython::blockStart() const
    {72, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 41},	//1166 QsciLexerPython::staticMetaObject() const
    {72, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 42},	//1167 QsciLexerPython::Default (enum)
    {72, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 43},	//1168 QsciLexerPython::Comment (enum)
    {72, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 44},	//1169 QsciLexerPython::Number (enum)
    {72, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 45},	//1170 QsciLexerPython::DoubleQuotedString (enum)
    {72, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 46},	//1171 QsciLexerPython::SingleQuotedString (enum)
    {72, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 47},	//1172 QsciLexerPython::Keyword (enum)
    {72, 659, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 48},	//1173 QsciLexerPython::TripleSingleQuotedString (enum)
    {72, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 49},	//1174 QsciLexerPython::TripleDoubleQuotedString (enum)
    {72, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 50},	//1175 QsciLexerPython::ClassName (enum)
    {72, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 51},	//1176 QsciLexerPython::FunctionMethodName (enum)
    {72, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 52},	//1177 QsciLexerPython::Operator (enum)
    {72, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 53},	//1178 QsciLexerPython::Identifier (enum)
    {72, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 54},	//1179 QsciLexerPython::CommentBlock (enum)
    {72, 663, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 55},	//1180 QsciLexerPython::UnclosedString (enum)
    {72, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 56},	//1181 QsciLexerPython::HighlightedIdentifier (enum)
    {72, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 57},	//1182 QsciLexerPython::Decorator (enum)
    {72, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 58},	//1183 QsciLexerPython::NoWarning (enum)
    {72, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 59},	//1184 QsciLexerPython::Inconsistent (enum)
    {72, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 60},	//1185 QsciLexerPython::TabsAfterSpaces (enum)
    {72, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 61},	//1186 QsciLexerPython::Spaces (enum)
    {72, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 62},	//1187 QsciLexerPython::Tabs (enum)
    {72, 1364, 0, 0, Smoke::mf_dtor, 0, 63 },	//1188 QsciLexerPython::~QsciLexerPython()
    {73, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//1189 QsciLexerRuby::metaObject() const
    {73, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//1190 QsciLexerRuby::qt_metacast(const char*)
    {73, 1294, 44, 2, Smoke::mf_static, 36, 3},	//1191 QsciLexerRuby::tr(const char*, const char*)
    {73, 1298, 44, 2, Smoke::mf_static, 36, 4},	//1192 QsciLexerRuby::trUtf8(const char*, const char*)
    {73, 1294, 47, 3, Smoke::mf_static, 36, 5},	//1193 QsciLexerRuby::tr(const char*, const char*, int)
    {73, 1298, 47, 3, Smoke::mf_static, 36, 6},	//1194 QsciLexerRuby::trUtf8(const char*, const char*, int)
    {73, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//1195 QsciLexerRuby::qt_metacall(QMetaObject::Call, int, void**)
    {73, 395, 74, 1, Smoke::mf_ctor, 77, 8},	//1196 QsciLexerRuby::QsciLexerRuby(QObject*)
    {73, 904, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 9},	//1197 QsciLexerRuby::language() const
    {73, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 10},	//1198 QsciLexerRuby::lexer() const
    {73, 733, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 11},	//1199 QsciLexerRuby::blockEnd(int*) const
    {73, 736, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 12},	//1200 QsciLexerRuby::blockStart(int*) const
    {73, 738, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 13},	//1201 QsciLexerRuby::blockStartKeyword(int*) const
    {73, 741, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 14},	//1202 QsciLexerRuby::braceStyle() const
    {73, 780, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1203 QsciLexerRuby::defaultColor(int) const
    {73, 782, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 178, 16},	//1204 QsciLexerRuby::defaultEolFill(int) const
    {73, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 17},	//1205 QsciLexerRuby::defaultFont(int) const
    {73, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 18},	//1206 QsciLexerRuby::defaultPaper(int) const
    {73, 902, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 19},	//1207 QsciLexerRuby::keywords(int) const
    {73, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 20},	//1208 QsciLexerRuby::description(int) const
    {73, 1294, 12, 1, Smoke::mf_static, 36, 21},	//1209 QsciLexerRuby::tr(const char*)
    {73, 1298, 12, 1, Smoke::mf_static, 36, 22},	//1210 QsciLexerRuby::trUtf8(const char*)
    {73, 395, 0, 0, Smoke::mf_ctor, 77, 23},	//1211 QsciLexerRuby::QsciLexerRuby()
    {73, 733, 0, 0, Smoke::mf_const, 197, 24},	//1212 QsciLexerRuby::blockEnd() const
    {73, 736, 0, 0, Smoke::mf_const, 197, 25},	//1213 QsciLexerRuby::blockStart() const
    {73, 738, 0, 0, Smoke::mf_const, 197, 26},	//1214 QsciLexerRuby::blockStartKeyword() const
    {73, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 27},	//1215 QsciLexerRuby::staticMetaObject() const
    {73, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 28},	//1216 QsciLexerRuby::Default (enum)
    {73, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 29},	//1217 QsciLexerRuby::Error (enum)
    {73, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 30},	//1218 QsciLexerRuby::Comment (enum)
    {73, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 31},	//1219 QsciLexerRuby::POD (enum)
    {73, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 32},	//1220 QsciLexerRuby::Number (enum)
    {73, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 33},	//1221 QsciLexerRuby::Keyword (enum)
    {73, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 34},	//1222 QsciLexerRuby::DoubleQuotedString (enum)
    {73, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 35},	//1223 QsciLexerRuby::SingleQuotedString (enum)
    {73, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 36},	//1224 QsciLexerRuby::ClassName (enum)
    {73, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 37},	//1225 QsciLexerRuby::FunctionMethodName (enum)
    {73, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 38},	//1226 QsciLexerRuby::Operator (enum)
    {73, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 39},	//1227 QsciLexerRuby::Identifier (enum)
    {73, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 40},	//1228 QsciLexerRuby::Regex (enum)
    {73, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 41},	//1229 QsciLexerRuby::Global (enum)
    {73, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 42},	//1230 QsciLexerRuby::Symbol (enum)
    {73, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 43},	//1231 QsciLexerRuby::ModuleName (enum)
    {73, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 44},	//1232 QsciLexerRuby::InstanceVariable (enum)
    {73, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 45},	//1233 QsciLexerRuby::ClassVariable (enum)
    {73, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 46},	//1234 QsciLexerRuby::Backticks (enum)
    {73, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 47},	//1235 QsciLexerRuby::DataSection (enum)
    {73, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 48},	//1236 QsciLexerRuby::HereDocumentDelimiter (enum)
    {73, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 49},	//1237 QsciLexerRuby::HereDocument (enum)
    {73, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 50},	//1238 QsciLexerRuby::PercentStringq (enum)
    {73, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 51},	//1239 QsciLexerRuby::PercentStringQ (enum)
    {73, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 52},	//1240 QsciLexerRuby::PercentStringx (enum)
    {73, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 53},	//1241 QsciLexerRuby::PercentStringr (enum)
    {73, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 54},	//1242 QsciLexerRuby::PercentStringw (enum)
    {73, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 55},	//1243 QsciLexerRuby::DemotedKeyword (enum)
    {73, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 56},	//1244 QsciLexerRuby::Stdin (enum)
    {73, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 57},	//1245 QsciLexerRuby::Stdout (enum)
    {73, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 58},	//1246 QsciLexerRuby::Stderr (enum)
    {73, 1365, 0, 0, Smoke::mf_dtor, 0, 59 },	//1247 QsciLexerRuby::~QsciLexerRuby()
    {74, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//1248 QsciLexerSQL::metaObject() const
    {74, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//1249 QsciLexerSQL::qt_metacast(const char*)
    {74, 1294, 44, 2, Smoke::mf_static, 36, 3},	//1250 QsciLexerSQL::tr(const char*, const char*)
    {74, 1298, 44, 2, Smoke::mf_static, 36, 4},	//1251 QsciLexerSQL::trUtf8(const char*, const char*)
    {74, 1294, 47, 3, Smoke::mf_static, 36, 5},	//1252 QsciLexerSQL::tr(const char*, const char*, int)
    {74, 1298, 47, 3, Smoke::mf_static, 36, 6},	//1253 QsciLexerSQL::trUtf8(const char*, const char*, int)
    {74, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//1254 QsciLexerSQL::qt_metacall(QMetaObject::Call, int, void**)
    {74, 397, 74, 1, Smoke::mf_ctor, 78, 8},	//1255 QsciLexerSQL::QsciLexerSQL(QObject*)
    {74, 904, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 9},	//1256 QsciLexerSQL::language() const
    {74, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 10},	//1257 QsciLexerSQL::lexer() const
    {74, 741, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 11},	//1258 QsciLexerSQL::braceStyle() const
    {74, 780, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1259 QsciLexerSQL::defaultColor(int) const
    {74, 782, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 178, 13},	//1260 QsciLexerSQL::defaultEolFill(int) const
    {74, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//1261 QsciLexerSQL::defaultFont(int) const
    {74, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1262 QsciLexerSQL::defaultPaper(int) const
    {74, 902, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 16},	//1263 QsciLexerSQL::keywords(int) const
    {74, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 17},	//1264 QsciLexerSQL::description(int) const
    {74, 1012, 0, 0, Smoke::mf_virtual, 0, 18},	//1265 QsciLexerSQL::refreshProperties()
    {74, 843, 0, 0, Smoke::mf_const, 178, 19},	//1266 QsciLexerSQL::foldComments() const
    {74, 844, 0, 0, Smoke::mf_const, 178, 20},	//1267 QsciLexerSQL::foldCompact() const
    {74, 730, 0, 0, Smoke::mf_const, 178, 21},	//1268 QsciLexerSQL::backslashEscapes() const
    {74, 1129, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//1269 QsciLexerSQL::setFoldComments(bool)
    {74, 1131, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//1270 QsciLexerSQL::setFoldCompact(bool)
    {74, 1063, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1271 QsciLexerSQL::setBackslashEscapes(bool)
    {74, 1002, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 178, 25},	//1272 QsciLexerSQL::readProperties(QSettings&, const QString&)
    {74, 1325, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 178, 26},	//1273 QsciLexerSQL::writeProperties(QSettings&, const QString&) const
    {74, 1294, 12, 1, Smoke::mf_static, 36, 27},	//1274 QsciLexerSQL::tr(const char*)
    {74, 1298, 12, 1, Smoke::mf_static, 36, 28},	//1275 QsciLexerSQL::trUtf8(const char*)
    {74, 397, 0, 0, Smoke::mf_ctor, 78, 29},	//1276 QsciLexerSQL::QsciLexerSQL()
    {74, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 30},	//1277 QsciLexerSQL::staticMetaObject() const
    {74, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 31},	//1278 QsciLexerSQL::Default (enum)
    {74, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 32},	//1279 QsciLexerSQL::Comment (enum)
    {74, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 33},	//1280 QsciLexerSQL::CommentLine (enum)
    {74, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 34},	//1281 QsciLexerSQL::CommentDoc (enum)
    {74, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 35},	//1282 QsciLexerSQL::Number (enum)
    {74, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 36},	//1283 QsciLexerSQL::Keyword (enum)
    {74, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 37},	//1284 QsciLexerSQL::DoubleQuotedString (enum)
    {74, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 38},	//1285 QsciLexerSQL::SingleQuotedString (enum)
    {74, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 39},	//1286 QsciLexerSQL::PlusKeyword (enum)
    {74, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 40},	//1287 QsciLexerSQL::PlusPrompt (enum)
    {74, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 41},	//1288 QsciLexerSQL::Operator (enum)
    {74, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 42},	//1289 QsciLexerSQL::Identifier (enum)
    {74, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 43},	//1290 QsciLexerSQL::PlusComment (enum)
    {74, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 44},	//1291 QsciLexerSQL::CommentLineHash (enum)
    {74, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 45},	//1292 QsciLexerSQL::CommentDocKeyword (enum)
    {74, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 46},	//1293 QsciLexerSQL::CommentDocKeywordError (enum)
    {74, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 47},	//1294 QsciLexerSQL::KeywordSet5 (enum)
    {74, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 48},	//1295 QsciLexerSQL::KeywordSet6 (enum)
    {74, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 49},	//1296 QsciLexerSQL::KeywordSet7 (enum)
    {74, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 50},	//1297 QsciLexerSQL::KeywordSet8 (enum)
    {74, 1366, 0, 0, Smoke::mf_dtor, 0, 51 },	//1298 QsciLexerSQL::~QsciLexerSQL()
    {75, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//1299 QsciLexerTCL::metaObject() const
    {75, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//1300 QsciLexerTCL::qt_metacast(const char*)
    {75, 1294, 44, 2, Smoke::mf_static, 36, 3},	//1301 QsciLexerTCL::tr(const char*, const char*)
    {75, 1298, 44, 2, Smoke::mf_static, 36, 4},	//1302 QsciLexerTCL::trUtf8(const char*, const char*)
    {75, 1294, 47, 3, Smoke::mf_static, 36, 5},	//1303 QsciLexerTCL::tr(const char*, const char*, int)
    {75, 1298, 47, 3, Smoke::mf_static, 36, 6},	//1304 QsciLexerTCL::trUtf8(const char*, const char*, int)
    {75, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//1305 QsciLexerTCL::qt_metacall(QMetaObject::Call, int, void**)
    {75, 399, 74, 1, Smoke::mf_ctor, 79, 8},	//1306 QsciLexerTCL::QsciLexerTCL(QObject*)
    {75, 904, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 9},	//1307 QsciLexerTCL::language() const
    {75, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 10},	//1308 QsciLexerTCL::lexer() const
    {75, 741, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 11},	//1309 QsciLexerTCL::braceStyle() const
    {75, 780, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1310 QsciLexerTCL::defaultColor(int) const
    {75, 782, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 178, 13},	//1311 QsciLexerTCL::defaultEolFill(int) const
    {75, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//1312 QsciLexerTCL::defaultFont(int) const
    {75, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1313 QsciLexerTCL::defaultPaper(int) const
    {75, 902, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 16},	//1314 QsciLexerTCL::keywords(int) const
    {75, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 17},	//1315 QsciLexerTCL::description(int) const
    {75, 1012, 0, 0, Smoke::mf_virtual, 0, 18},	//1316 QsciLexerTCL::refreshProperties()
    {75, 844, 0, 0, Smoke::mf_const, 178, 19},	//1317 QsciLexerTCL::foldCompact() const
    {75, 1131, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//1318 QsciLexerTCL::setFoldCompact(bool)
    {75, 1002, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 178, 21},	//1319 QsciLexerTCL::readProperties(QSettings&, const QString&)
    {75, 1325, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 178, 22},	//1320 QsciLexerTCL::writeProperties(QSettings&, const QString&) const
    {75, 1294, 12, 1, Smoke::mf_static, 36, 23},	//1321 QsciLexerTCL::tr(const char*)
    {75, 1298, 12, 1, Smoke::mf_static, 36, 24},	//1322 QsciLexerTCL::trUtf8(const char*)
    {75, 399, 0, 0, Smoke::mf_ctor, 79, 25},	//1323 QsciLexerTCL::QsciLexerTCL()
    {75, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 26},	//1324 QsciLexerTCL::staticMetaObject() const
    {75, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 27},	//1325 QsciLexerTCL::Default (enum)
    {75, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 28},	//1326 QsciLexerTCL::Comment (enum)
    {75, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 29},	//1327 QsciLexerTCL::CommentLine (enum)
    {75, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 30},	//1328 QsciLexerTCL::Number (enum)
    {75, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 31},	//1329 QsciLexerTCL::QuotedKeyword (enum)
    {75, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 32},	//1330 QsciLexerTCL::QuotedString (enum)
    {75, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 33},	//1331 QsciLexerTCL::Operator (enum)
    {75, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 34},	//1332 QsciLexerTCL::Identifier (enum)
    {75, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 35},	//1333 QsciLexerTCL::Substitution (enum)
    {75, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 36},	//1334 QsciLexerTCL::SubstitutionBrace (enum)
    {75, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 37},	//1335 QsciLexerTCL::Modifier (enum)
    {75, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 38},	//1336 QsciLexerTCL::ExpandKeyword (enum)
    {75, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 39},	//1337 QsciLexerTCL::TCLKeyword (enum)
    {75, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 40},	//1338 QsciLexerTCL::TkKeyword (enum)
    {75, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 41},	//1339 QsciLexerTCL::ITCLKeyword (enum)
    {75, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 42},	//1340 QsciLexerTCL::TkCommand (enum)
    {75, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 43},	//1341 QsciLexerTCL::KeywordSet6 (enum)
    {75, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 44},	//1342 QsciLexerTCL::KeywordSet7 (enum)
    {75, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 45},	//1343 QsciLexerTCL::KeywordSet8 (enum)
    {75, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 46},	//1344 QsciLexerTCL::KeywordSet9 (enum)
    {75, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 47},	//1345 QsciLexerTCL::CommentBox (enum)
    {75, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 48},	//1346 QsciLexerTCL::CommentBlock (enum)
    {75, 1367, 0, 0, Smoke::mf_dtor, 0, 49 },	//1347 QsciLexerTCL::~QsciLexerTCL()
    {76, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//1348 QsciLexerTeX::metaObject() const
    {76, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//1349 QsciLexerTeX::qt_metacast(const char*)
    {76, 1294, 44, 2, Smoke::mf_static, 36, 3},	//1350 QsciLexerTeX::tr(const char*, const char*)
    {76, 1298, 44, 2, Smoke::mf_static, 36, 4},	//1351 QsciLexerTeX::trUtf8(const char*, const char*)
    {76, 1294, 47, 3, Smoke::mf_static, 36, 5},	//1352 QsciLexerTeX::tr(const char*, const char*, int)
    {76, 1298, 47, 3, Smoke::mf_static, 36, 6},	//1353 QsciLexerTeX::trUtf8(const char*, const char*, int)
    {76, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//1354 QsciLexerTeX::qt_metacall(QMetaObject::Call, int, void**)
    {76, 401, 74, 1, Smoke::mf_ctor, 80, 8},	//1355 QsciLexerTeX::QsciLexerTeX(QObject*)
    {76, 904, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 9},	//1356 QsciLexerTeX::language() const
    {76, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 10},	//1357 QsciLexerTeX::lexer() const
    {76, 1321, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 11},	//1358 QsciLexerTeX::wordCharacters() const
    {76, 780, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1359 QsciLexerTeX::defaultColor(int) const
    {76, 902, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 13},	//1360 QsciLexerTeX::keywords(int) const
    {76, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 14},	//1361 QsciLexerTeX::description(int) const
    {76, 1294, 12, 1, Smoke::mf_static, 36, 15},	//1362 QsciLexerTeX::tr(const char*)
    {76, 1298, 12, 1, Smoke::mf_static, 36, 16},	//1363 QsciLexerTeX::trUtf8(const char*)
    {76, 401, 0, 0, Smoke::mf_ctor, 80, 17},	//1364 QsciLexerTeX::QsciLexerTeX()
    {76, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 18},	//1365 QsciLexerTeX::staticMetaObject() const
    {76, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 19},	//1366 QsciLexerTeX::Default (enum)
    {76, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 20},	//1367 QsciLexerTeX::Special (enum)
    {76, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 21},	//1368 QsciLexerTeX::Group (enum)
    {76, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 22},	//1369 QsciLexerTeX::Symbol (enum)
    {76, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 23},	//1370 QsciLexerTeX::Command (enum)
    {76, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 24},	//1371 QsciLexerTeX::Text (enum)
    {76, 1368, 0, 0, Smoke::mf_dtor, 0, 25 },	//1372 QsciLexerTeX::~QsciLexerTeX()
    {77, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//1373 QsciLexerVHDL::metaObject() const
    {77, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//1374 QsciLexerVHDL::qt_metacast(const char*)
    {77, 1294, 44, 2, Smoke::mf_static, 36, 3},	//1375 QsciLexerVHDL::tr(const char*, const char*)
    {77, 1298, 44, 2, Smoke::mf_static, 36, 4},	//1376 QsciLexerVHDL::trUtf8(const char*, const char*)
    {77, 1294, 47, 3, Smoke::mf_static, 36, 5},	//1377 QsciLexerVHDL::tr(const char*, const char*, int)
    {77, 1298, 47, 3, Smoke::mf_static, 36, 6},	//1378 QsciLexerVHDL::trUtf8(const char*, const char*, int)
    {77, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//1379 QsciLexerVHDL::qt_metacall(QMetaObject::Call, int, void**)
    {77, 403, 74, 1, Smoke::mf_ctor, 81, 8},	//1380 QsciLexerVHDL::QsciLexerVHDL(QObject*)
    {77, 904, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 9},	//1381 QsciLexerVHDL::language() const
    {77, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 10},	//1382 QsciLexerVHDL::lexer() const
    {77, 741, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 11},	//1383 QsciLexerVHDL::braceStyle() const
    {77, 780, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1384 QsciLexerVHDL::defaultColor(int) const
    {77, 782, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 178, 13},	//1385 QsciLexerVHDL::defaultEolFill(int) const
    {77, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//1386 QsciLexerVHDL::defaultFont(int) const
    {77, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1387 QsciLexerVHDL::defaultPaper(int) const
    {77, 902, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 16},	//1388 QsciLexerVHDL::keywords(int) const
    {77, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 17},	//1389 QsciLexerVHDL::description(int) const
    {77, 1012, 0, 0, Smoke::mf_virtual, 0, 18},	//1390 QsciLexerVHDL::refreshProperties()
    {77, 843, 0, 0, Smoke::mf_const, 178, 19},	//1391 QsciLexerVHDL::foldComments() const
    {77, 844, 0, 0, Smoke::mf_const, 178, 20},	//1392 QsciLexerVHDL::foldCompact() const
    {77, 841, 0, 0, Smoke::mf_const, 178, 21},	//1393 QsciLexerVHDL::foldAtElse() const
    {77, 840, 0, 0, Smoke::mf_const, 178, 22},	//1394 QsciLexerVHDL::foldAtBegin() const
    {77, 842, 0, 0, Smoke::mf_const, 178, 23},	//1395 QsciLexerVHDL::foldAtParenthesis() const
    {77, 1129, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1396 QsciLexerVHDL::setFoldComments(bool)
    {77, 1131, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1397 QsciLexerVHDL::setFoldCompact(bool)
    {77, 1125, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 26},	//1398 QsciLexerVHDL::setFoldAtElse(bool)
    {77, 1123, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//1399 QsciLexerVHDL::setFoldAtBegin(bool)
    {77, 1127, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1400 QsciLexerVHDL::setFoldAtParenthesis(bool)
    {77, 1002, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 178, 29},	//1401 QsciLexerVHDL::readProperties(QSettings&, const QString&)
    {77, 1325, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 178, 30},	//1402 QsciLexerVHDL::writeProperties(QSettings&, const QString&) const
    {77, 1294, 12, 1, Smoke::mf_static, 36, 31},	//1403 QsciLexerVHDL::tr(const char*)
    {77, 1298, 12, 1, Smoke::mf_static, 36, 32},	//1404 QsciLexerVHDL::trUtf8(const char*)
    {77, 403, 0, 0, Smoke::mf_ctor, 81, 33},	//1405 QsciLexerVHDL::QsciLexerVHDL()
    {77, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 34},	//1406 QsciLexerVHDL::staticMetaObject() const
    {77, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 35},	//1407 QsciLexerVHDL::Default (enum)
    {77, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 36},	//1408 QsciLexerVHDL::Comment (enum)
    {77, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 37},	//1409 QsciLexerVHDL::CommentLine (enum)
    {77, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 38},	//1410 QsciLexerVHDL::Number (enum)
    {77, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 39},	//1411 QsciLexerVHDL::String (enum)
    {77, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 40},	//1412 QsciLexerVHDL::Operator (enum)
    {77, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 41},	//1413 QsciLexerVHDL::Identifier (enum)
    {77, 663, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 42},	//1414 QsciLexerVHDL::UnclosedString (enum)
    {77, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 43},	//1415 QsciLexerVHDL::Keyword (enum)
    {77, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 44},	//1416 QsciLexerVHDL::StandardOperator (enum)
    {77, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 45},	//1417 QsciLexerVHDL::Attribute (enum)
    {77, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 46},	//1418 QsciLexerVHDL::StandardFunction (enum)
    {77, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 47},	//1419 QsciLexerVHDL::StandardPackage (enum)
    {77, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 48},	//1420 QsciLexerVHDL::StandardType (enum)
    {77, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 49},	//1421 QsciLexerVHDL::KeywordSet7 (enum)
    {77, 1369, 0, 0, Smoke::mf_dtor, 0, 50 },	//1422 QsciLexerVHDL::~QsciLexerVHDL()
    {78, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//1423 QsciLexerXML::metaObject() const
    {78, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//1424 QsciLexerXML::qt_metacast(const char*)
    {78, 1294, 44, 2, Smoke::mf_static, 36, 3},	//1425 QsciLexerXML::tr(const char*, const char*)
    {78, 1298, 44, 2, Smoke::mf_static, 36, 4},	//1426 QsciLexerXML::trUtf8(const char*, const char*)
    {78, 1294, 47, 3, Smoke::mf_static, 36, 5},	//1427 QsciLexerXML::tr(const char*, const char*, int)
    {78, 1298, 47, 3, Smoke::mf_static, 36, 6},	//1428 QsciLexerXML::trUtf8(const char*, const char*, int)
    {78, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//1429 QsciLexerXML::qt_metacall(QMetaObject::Call, int, void**)
    {78, 405, 74, 1, Smoke::mf_ctor, 82, 8},	//1430 QsciLexerXML::QsciLexerXML(QObject*)
    {78, 904, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 9},	//1431 QsciLexerXML::language() const
    {78, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 10},	//1432 QsciLexerXML::lexer() const
    {78, 780, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 11},	//1433 QsciLexerXML::defaultColor(int) const
    {78, 782, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 178, 12},	//1434 QsciLexerXML::defaultEolFill(int) const
    {78, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 13},	//1435 QsciLexerXML::defaultFont(int) const
    {78, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//1436 QsciLexerXML::defaultPaper(int) const
    {78, 902, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 15},	//1437 QsciLexerXML::keywords(int) const
    {78, 1012, 0, 0, Smoke::mf_virtual, 0, 16},	//1438 QsciLexerXML::refreshProperties()
    {78, 1217, 16, 1, 0, 0, 17},	//1439 QsciLexerXML::setScriptsStyled(bool)
    {78, 1028, 0, 0, Smoke::mf_const, 178, 18},	//1440 QsciLexerXML::scriptsStyled() const
    {78, 1002, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 178, 19},	//1441 QsciLexerXML::readProperties(QSettings&, const QString&)
    {78, 1325, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 178, 20},	//1442 QsciLexerXML::writeProperties(QSettings&, const QString&) const
    {78, 1294, 12, 1, Smoke::mf_static, 36, 21},	//1443 QsciLexerXML::tr(const char*)
    {78, 1298, 12, 1, Smoke::mf_static, 36, 22},	//1444 QsciLexerXML::trUtf8(const char*)
    {78, 405, 0, 0, Smoke::mf_ctor, 82, 23},	//1445 QsciLexerXML::QsciLexerXML()
    {78, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 24},	//1446 QsciLexerXML::staticMetaObject() const
    {78, 1370, 0, 0, Smoke::mf_dtor, 0, 25 },	//1447 QsciLexerXML::~QsciLexerXML()
    {79, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//1448 QsciLexerYAML::metaObject() const
    {79, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//1449 QsciLexerYAML::qt_metacast(const char*)
    {79, 1294, 44, 2, Smoke::mf_static, 36, 3},	//1450 QsciLexerYAML::tr(const char*, const char*)
    {79, 1298, 44, 2, Smoke::mf_static, 36, 4},	//1451 QsciLexerYAML::trUtf8(const char*, const char*)
    {79, 1294, 47, 3, Smoke::mf_static, 36, 5},	//1452 QsciLexerYAML::tr(const char*, const char*, int)
    {79, 1298, 47, 3, Smoke::mf_static, 36, 6},	//1453 QsciLexerYAML::trUtf8(const char*, const char*, int)
    {79, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//1454 QsciLexerYAML::qt_metacall(QMetaObject::Call, int, void**)
    {79, 407, 74, 1, Smoke::mf_ctor, 83, 8},	//1455 QsciLexerYAML::QsciLexerYAML(QObject*)
    {79, 904, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 9},	//1456 QsciLexerYAML::language() const
    {79, 909, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 197, 10},	//1457 QsciLexerYAML::lexer() const
    {79, 780, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 11},	//1458 QsciLexerYAML::defaultColor(int) const
    {79, 782, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 178, 12},	//1459 QsciLexerYAML::defaultEolFill(int) const
    {79, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 13},	//1460 QsciLexerYAML::defaultFont(int) const
    {79, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//1461 QsciLexerYAML::defaultPaper(int) const
    {79, 902, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 197, 15},	//1462 QsciLexerYAML::keywords(int) const
    {79, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 36, 16},	//1463 QsciLexerYAML::description(int) const
    {79, 1012, 0, 0, Smoke::mf_virtual, 0, 17},	//1464 QsciLexerYAML::refreshProperties()
    {79, 843, 0, 0, Smoke::mf_const, 178, 18},	//1465 QsciLexerYAML::foldComments() const
    {79, 1129, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1466 QsciLexerYAML::setFoldComments(bool)
    {79, 1002, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 178, 20},	//1467 QsciLexerYAML::readProperties(QSettings&, const QString&)
    {79, 1325, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 178, 21},	//1468 QsciLexerYAML::writeProperties(QSettings&, const QString&) const
    {79, 1294, 12, 1, Smoke::mf_static, 36, 22},	//1469 QsciLexerYAML::tr(const char*)
    {79, 1298, 12, 1, Smoke::mf_static, 36, 23},	//1470 QsciLexerYAML::trUtf8(const char*)
    {79, 407, 0, 0, Smoke::mf_ctor, 83, 24},	//1471 QsciLexerYAML::QsciLexerYAML()
    {79, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 25},	//1472 QsciLexerYAML::staticMetaObject() const
    {79, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 26},	//1473 QsciLexerYAML::Default (enum)
    {79, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 27},	//1474 QsciLexerYAML::Comment (enum)
    {79, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 28},	//1475 QsciLexerYAML::Identifier (enum)
    {79, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 29},	//1476 QsciLexerYAML::Keyword (enum)
    {79, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 30},	//1477 QsciLexerYAML::Number (enum)
    {79, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 31},	//1478 QsciLexerYAML::Reference (enum)
    {79, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 32},	//1479 QsciLexerYAML::DocumentDelimiter (enum)
    {79, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 33},	//1480 QsciLexerYAML::TextBlockMarker (enum)
    {79, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 34},	//1481 QsciLexerYAML::SyntaxErrorMarker (enum)
    {79, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 35},	//1482 QsciLexerYAML::Operator (enum)
    {79, 1371, 0, 0, Smoke::mf_dtor, 0, 36 },	//1483 QsciLexerYAML::~QsciLexerYAML()
    {80, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//1484 QsciMacro::metaObject() const
    {80, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//1485 QsciMacro::qt_metacast(const char*)
    {80, 1294, 44, 2, Smoke::mf_static, 36, 3},	//1486 QsciMacro::tr(const char*, const char*)
    {80, 1298, 44, 2, Smoke::mf_static, 36, 4},	//1487 QsciMacro::trUtf8(const char*, const char*)
    {80, 1294, 47, 3, Smoke::mf_static, 36, 5},	//1488 QsciMacro::tr(const char*, const char*, int)
    {80, 1298, 47, 3, Smoke::mf_static, 36, 6},	//1489 QsciMacro::trUtf8(const char*, const char*, int)
    {80, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//1490 QsciMacro::qt_metacall(QMetaObject::Call, int, void**)
    {80, 409, 82, 1, Smoke::mf_ctor, 84, 8},	//1491 QsciMacro::QsciMacro(QsciScintilla*)
    {80, 409, 107, 2, Smoke::mf_ctor, 84, 9},	//1492 QsciMacro::QsciMacro(const QString&, QsciScintilla*)
    {80, 754, 0, 0, 0, 0, 10},	//1493 QsciMacro::clear()
    {80, 919, 57, 1, 0, 178, 11},	//1494 QsciMacro::load(const QString&)
    {80, 1025, 0, 0, Smoke::mf_const, 36, 12},	//1495 QsciMacro::save() const
    {80, 985, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 13},	//1496 QsciMacro::play()
    {80, 1272, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 14},	//1497 QsciMacro::startRecording()
    {80, 809, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//1498 QsciMacro::endRecording()
    {80, 1294, 12, 1, Smoke::mf_static, 36, 16},	//1499 QsciMacro::tr(const char*)
    {80, 1298, 12, 1, Smoke::mf_static, 36, 17},	//1500 QsciMacro::trUtf8(const char*)
    {80, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 18},	//1501 QsciMacro::staticMetaObject() const
    {80, 1372, 0, 0, Smoke::mf_dtor, 0, 19 },	//1502 QsciMacro::~QsciMacro()
    {81, 412, 110, 1, Smoke::mf_ctor, 85, 1},	//1503 QsciPrinter::QsciPrinter(QPrinter::PrinterMode)
    {81, 860, 112, 4, Smoke::mf_virtual, 0, 2},	//1504 QsciPrinter::formatPage(QPainter&, bool, QRect&, int)
    {81, 923, 0, 0, Smoke::mf_const, 199, 3},	//1505 QsciPrinter::magnification() const
    {81, 1177, 18, 1, Smoke::mf_virtual, 0, 4},	//1506 QsciPrinter::setMagnification(int)
    {81, 990, 117, 3, Smoke::mf_virtual, 199, 5},	//1507 QsciPrinter::printRange(QsciScintillaBase*, int, int)
    {81, 1322, 0, 0, Smoke::mf_const, 98, 6},	//1508 QsciPrinter::wrapMode() const
    {81, 1260, 121, 1, Smoke::mf_virtual, 0, 7},	//1509 QsciPrinter::setWrapMode(QsciScintilla::WrapMode)
    {81, 412, 0, 0, Smoke::mf_ctor, 85, 8},	//1510 QsciPrinter::QsciPrinter()
    {81, 990, 123, 1, 0, 199, 9},	//1511 QsciPrinter::printRange(QsciScintillaBase*)
    {81, 990, 125, 2, 0, 199, 10},	//1512 QsciPrinter::printRange(QsciScintillaBase*, int)
    {81, 1373, 0, 0, Smoke::mf_dtor, 0, 11 },	//1513 QsciPrinter::~QsciPrinter()
    {82, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//1514 QsciScintilla::metaObject() const
    {82, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//1515 QsciScintilla::qt_metacast(const char*)
    {82, 1294, 44, 2, Smoke::mf_static, 36, 3},	//1516 QsciScintilla::tr(const char*, const char*)
    {82, 1298, 44, 2, Smoke::mf_static, 36, 4},	//1517 QsciScintilla::trUtf8(const char*, const char*)
    {82, 1294, 47, 3, Smoke::mf_static, 36, 5},	//1518 QsciScintilla::tr(const char*, const char*, int)
    {82, 1298, 47, 3, Smoke::mf_static, 36, 6},	//1519 QsciScintilla::trUtf8(const char*, const char*, int)
    {82, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//1520 QsciScintilla::qt_metacall(QMetaObject::Call, int, void**)
    {82, 414, 128, 1, Smoke::mf_ctor, 86, 8},	//1521 QsciScintilla::QsciScintilla(QWidget*)
    {82, 707, 130, 3, Smoke::mf_virtual, 37, 9},	//1522 QsciScintilla::apiContext(int, int&, int&)
    {82, 699, 134, 3, 0, 0, 10},	//1523 QsciScintilla::annotate(int, const QString&, int)
    {82, 699, 138, 3, 0, 0, 11},	//1524 QsciScintilla::annotate(int, const QString&, const QsciStyle&)
    {82, 699, 142, 2, 0, 0, 12},	//1525 QsciScintilla::annotate(int, const QsciStyledText&)
    {82, 699, 145, 2, 0, 0, 13},	//1526 QsciScintilla::annotate(int, const QList<QsciStyledText>&)
    {82, 704, 18, 1, Smoke::mf_const, 36, 14},	//1527 QsciScintilla::annotation(int) const
    {82, 706, 0, 0, Smoke::mf_const, 87, 15},	//1528 QsciScintilla::annotationDisplay() const
    {82, 756, 18, 1, 0, 0, 16},	//1529 QsciScintilla::clearAnnotations(int)
    {82, 718, 0, 0, Smoke::mf_const, 178, 17},	//1530 QsciScintilla::autoCompletionCaseSensitivity() const
    {82, 720, 0, 0, Smoke::mf_const, 178, 18},	//1531 QsciScintilla::autoCompletionFillupsEnabled() const
    {82, 721, 0, 0, Smoke::mf_const, 178, 19},	//1532 QsciScintilla::autoCompletionReplaceWord() const
    {82, 724, 0, 0, Smoke::mf_const, 178, 20},	//1533 QsciScintilla::autoCompletionShowSingle() const
    {82, 725, 0, 0, Smoke::mf_const, 88, 21},	//1534 QsciScintilla::autoCompletionSource() const
    {82, 726, 0, 0, Smoke::mf_const, 199, 22},	//1535 QsciScintilla::autoCompletionThreshold() const
    {82, 728, 0, 0, Smoke::mf_const, 178, 23},	//1536 QsciScintilla::autoIndent() const
    {82, 731, 0, 0, Smoke::mf_const, 178, 24},	//1537 QsciScintilla::backspaceUnindents() const
    {82, 732, 0, 0, 0, 0, 25},	//1538 QsciScintilla::beginUndoAction()
    {82, 740, 0, 0, Smoke::mf_const, 89, 26},	//1539 QsciScintilla::braceMatching() const
    {82, 745, 0, 0, Smoke::mf_const, 90, 27},	//1540 QsciScintilla::callTipsStyle() const
    {82, 746, 0, 0, Smoke::mf_const, 199, 28},	//1541 QsciScintilla::callTipsVisible() const
    {82, 747, 0, 0, 0, 0, 29},	//1542 QsciScintilla::cancelList()
    {82, 749, 0, 0, Smoke::mf_const, 178, 30},	//1543 QsciScintilla::caseSensitive() const
    {82, 761, 0, 0, 0, 0, 31},	//1544 QsciScintilla::clearRegisteredImages()
    {82, 763, 0, 0, Smoke::mf_const, 5, 32},	//1545 QsciScintilla::color() const
    {82, 771, 148, 1, 0, 0, 33},	//1546 QsciScintilla::convertEols(QsciScintilla::EolMode)
    {82, 794, 0, 0, Smoke::mf_const, 49, 34},	//1547 QsciScintilla::document() const
    {82, 810, 0, 0, 0, 0, 35},	//1548 QsciScintilla::endUndoAction()
    {82, 804, 0, 0, Smoke::mf_const, 5, 36},	//1549 QsciScintilla::edgeColor() const
    {82, 805, 0, 0, Smoke::mf_const, 199, 37},	//1550 QsciScintilla::edgeColumn() const
    {82, 806, 0, 0, Smoke::mf_const, 91, 38},	//1551 QsciScintilla::edgeMode() const
    {82, 1152, 42, 1, 0, 0, 39},	//1552 QsciScintilla::setFont(const QFont&)
    {82, 819, 0, 0, Smoke::mf_const, 92, 40},	//1553 QsciScintilla::eolMode() const
    {82, 820, 0, 0, Smoke::mf_const, 178, 41},	//1554 QsciScintilla::eolVisibility() const
    {82, 824, 150, 9, Smoke::mf_virtual, 178, 42},	//1555 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int, bool)
    {82, 830, 0, 0, Smoke::mf_virtual, 178, 43},	//1556 QsciScintilla::findNext()
    {82, 831, 0, 0, Smoke::mf_const, 199, 44},	//1557 QsciScintilla::firstVisibleLine() const
    {82, 854, 0, 0, Smoke::mf_const, 93, 45},	//1558 QsciScintilla::folding() const
    {82, 862, 160, 2, Smoke::mf_const, 0, 46},	//1559 QsciScintilla::getCursorPosition(int*, int*) const
    {82, 864, 163, 4, Smoke::mf_const, 0, 47},	//1560 QsciScintilla::getSelection(int*, int*, int*, int*) const
    {82, 866, 0, 0, Smoke::mf_const, 178, 48},	//1561 QsciScintilla::hasSelectedText() const
    {82, 872, 18, 1, Smoke::mf_const, 199, 49},	//1562 QsciScintilla::indentation(int) const
    {82, 875, 0, 0, Smoke::mf_const, 178, 50},	//1563 QsciScintilla::indentationGuides() const
    {82, 878, 0, 0, Smoke::mf_const, 178, 51},	//1564 QsciScintilla::indentationsUseTabs() const
    {82, 877, 0, 0, Smoke::mf_const, 199, 52},	//1565 QsciScintilla::indentationWidth() const
    {82, 887, 0, 0, Smoke::mf_const, 178, 53},	//1566 QsciScintilla::isCallTipActive() const
    {82, 888, 0, 0, Smoke::mf_const, 178, 54},	//1567 QsciScintilla::isListActive() const
    {82, 889, 0, 0, Smoke::mf_const, 178, 55},	//1568 QsciScintilla::isModified() const
    {82, 892, 0, 0, Smoke::mf_const, 178, 56},	//1569 QsciScintilla::isReadOnly() const
    {82, 893, 0, 0, Smoke::mf_const, 178, 57},	//1570 QsciScintilla::isRedoAvailable() const
    {82, 894, 0, 0, Smoke::mf_const, 178, 58},	//1571 QsciScintilla::isUndoAvailable() const
    {82, 895, 0, 0, Smoke::mf_const, 178, 59},	//1572 QsciScintilla::isUtf8() const
    {82, 896, 168, 1, Smoke::mf_const, 178, 60},	//1573 QsciScintilla::isWordCharacter(char) const
    {82, 911, 170, 1, Smoke::mf_const, 199, 61},	//1574 QsciScintilla::lineAt(const QPoint&) const
    {82, 913, 172, 3, Smoke::mf_const, 0, 62},	//1575 QsciScintilla::lineIndexFromPosition(int, int*, int*) const
    {82, 915, 18, 1, Smoke::mf_const, 199, 63},	//1576 QsciScintilla::lineLength(int) const
    {82, 917, 0, 0, Smoke::mf_const, 199, 64},	//1577 QsciScintilla::lines() const
    {82, 907, 0, 0, Smoke::mf_const, 199, 65},	//1578 QsciScintilla::length() const
    {82, 909, 0, 0, Smoke::mf_const, 52, 66},	//1579 QsciScintilla::lexer() const
    {82, 926, 18, 1, Smoke::mf_const, 178, 67},	//1580 QsciScintilla::marginLineNumbers(int) const
    {82, 928, 18, 1, Smoke::mf_const, 199, 68},	//1581 QsciScintilla::marginMarkerMask(int) const
    {82, 930, 18, 1, Smoke::mf_const, 178, 69},	//1582 QsciScintilla::marginSensitivity(int) const
    {82, 932, 18, 1, Smoke::mf_const, 95, 70},	//1583 QsciScintilla::marginType(int) const
    {82, 934, 18, 1, Smoke::mf_const, 199, 71},	//1584 QsciScintilla::marginWidth(int) const
    {82, 938, 176, 2, 0, 199, 72},	//1585 QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol, int)
    {82, 938, 179, 2, 0, 199, 73},	//1586 QsciScintilla::markerDefine(char, int)
    {82, 938, 182, 2, 0, 199, 74},	//1587 QsciScintilla::markerDefine(const QPixmap&, int)
    {82, 936, 99, 2, 0, 199, 75},	//1588 QsciScintilla::markerAdd(int, int)
    {82, 956, 18, 1, Smoke::mf_const, 203, 76},	//1589 QsciScintilla::markersAtLine(int) const
    {82, 943, 99, 2, 0, 0, 77},	//1590 QsciScintilla::markerDelete(int, int)
    {82, 946, 18, 1, 0, 0, 78},	//1591 QsciScintilla::markerDeleteAll(int)
    {82, 948, 18, 1, 0, 0, 79},	//1592 QsciScintilla::markerDeleteHandle(int)
    {82, 954, 18, 1, Smoke::mf_const, 199, 80},	//1593 QsciScintilla::markerLine(int) const
    {82, 950, 185, 2, Smoke::mf_const, 199, 81},	//1594 QsciScintilla::markerFindNext(int, unsigned int) const
    {82, 952, 185, 2, Smoke::mf_const, 199, 82},	//1595 QsciScintilla::markerFindPrevious(int, unsigned int) const
    {82, 980, 0, 0, Smoke::mf_const, 5, 83},	//1596 QsciScintilla::paper() const
    {82, 987, 99, 2, Smoke::mf_const, 199, 84},	//1597 QsciScintilla::positionFromLineIndex(int, int) const
    {82, 1000, 188, 1, 0, 178, 85},	//1598 QsciScintilla::read(QIODevice*)
    {82, 1007, 99, 2, Smoke::mf_virtual, 0, 86},	//1599 QsciScintilla::recolor(int, int)
    {82, 1013, 190, 2, 0, 0, 87},	//1600 QsciScintilla::registerImage(int, const QPixmap&)
    {82, 1018, 57, 1, Smoke::mf_virtual, 0, 88},	//1601 QsciScintilla::replace(const QString&)
    {82, 1020, 0, 0, 0, 0, 89},	//1602 QsciScintilla::resetFoldMarginColors()
    {82, 1135, 193, 2, 0, 0, 90},	//1603 QsciScintilla::setFoldMarginColors(const QColor&, const QColor&)
    {82, 1041, 196, 1, 0, 0, 91},	//1604 QsciScintilla::setAnnotationDisplay(QsciScintilla::AnnotationDisplay)
    {82, 1047, 16, 1, 0, 0, 92},	//1605 QsciScintilla::setAutoCompletionFillupsEnabled(bool)
    {82, 1045, 12, 1, 0, 0, 93},	//1606 QsciScintilla::setAutoCompletionFillups(const char*)
    {82, 1057, 198, 1, 0, 0, 94},	//1607 QsciScintilla::setAutoCompletionWordSeparators(const QStringList&)
    {82, 1069, 80, 1, 0, 0, 95},	//1608 QsciScintilla::setCallTipsBackgroundColor(const QColor&)
    {82, 1071, 80, 1, 0, 0, 96},	//1609 QsciScintilla::setCallTipsForegroundColor(const QColor&)
    {82, 1073, 80, 1, 0, 0, 97},	//1610 QsciScintilla::setCallTipsHighlightColor(const QColor&)
    {82, 1075, 200, 1, 0, 0, 98},	//1611 QsciScintilla::setCallTipsStyle(QsciScintilla::CallTipsStyle)
    {82, 1077, 18, 1, 0, 0, 99},	//1612 QsciScintilla::setCallTipsVisible(int)
    {82, 1104, 72, 1, 0, 0, 100},	//1613 QsciScintilla::setDocument(const QsciDocument&)
    {82, 1108, 80, 1, 0, 0, 101},	//1614 QsciScintilla::setEdgeColor(const QColor&)
    {82, 1110, 18, 1, 0, 0, 102},	//1615 QsciScintilla::setEdgeColumn(int)
    {82, 1112, 202, 1, 0, 0, 103},	//1616 QsciScintilla::setEdgeMode(QsciScintilla::EdgeMode)
    {82, 1185, 134, 3, 0, 0, 104},	//1617 QsciScintilla::setMarginText(int, const QString&, int)
    {82, 1185, 138, 3, 0, 0, 105},	//1618 QsciScintilla::setMarginText(int, const QString&, const QsciStyle&)
    {82, 1185, 142, 2, 0, 0, 106},	//1619 QsciScintilla::setMarginText(int, const QsciStyledText&)
    {82, 1185, 145, 2, 0, 0, 107},	//1620 QsciScintilla::setMarginText(int, const QList<QsciStyledText>&)
    {82, 1190, 204, 2, 0, 0, 108},	//1621 QsciScintilla::setMarginType(int, QsciScintilla::MarginType)
    {82, 759, 18, 1, 0, 0, 109},	//1622 QsciScintilla::clearMarginText(int)
    {82, 1200, 84, 2, 0, 0, 110},	//1623 QsciScintilla::setMarkerBackgroundColor(const QColor&, int)
    {82, 1203, 84, 2, 0, 0, 111},	//1624 QsciScintilla::setMarkerForegroundColor(const QColor&, int)
    {82, 1206, 80, 1, 0, 0, 112},	//1625 QsciScintilla::setMatchedBraceBackgroundColor(const QColor&)
    {82, 1208, 80, 1, 0, 0, 113},	//1626 QsciScintilla::setMatchedBraceForegroundColor(const QColor&)
    {82, 1244, 80, 1, 0, 0, 114},	//1627 QsciScintilla::setUnmatchedBraceBackgroundColor(const QColor&)
    {82, 1246, 80, 1, 0, 0, 115},	//1628 QsciScintilla::setUnmatchedBraceForegroundColor(const QColor&)
    {82, 1262, 207, 3, 0, 0, 116},	//1629 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag, int)
    {82, 1034, 0, 0, Smoke::mf_const, 36, 117},	//1630 QsciScintilla::selectedText() const
    {82, 1036, 0, 0, Smoke::mf_const, 178, 118},	//1631 QsciScintilla::selectionToEol() const
    {82, 1225, 16, 1, 0, 0, 119},	//1632 QsciScintilla::setSelectionToEol(bool)
    {82, 1267, 211, 2, 0, 0, 120},	//1633 QsciScintilla::showUserList(int, const QStringList&)
    {82, 1271, 0, 0, Smoke::mf_const, 48, 121},	//1634 QsciScintilla::standardCommands() const
    {82, 1283, 0, 0, Smoke::mf_const, 178, 122},	//1635 QsciScintilla::tabIndents() const
    {82, 1284, 0, 0, Smoke::mf_const, 199, 123},	//1636 QsciScintilla::tabWidth() const
    {82, 1286, 0, 0, Smoke::mf_const, 36, 124},	//1637 QsciScintilla::text() const
    {82, 1286, 18, 1, Smoke::mf_const, 36, 125},	//1638 QsciScintilla::text(int) const
    {82, 1290, 18, 1, Smoke::mf_const, 199, 126},	//1639 QsciScintilla::textHeight(int) const
    {82, 1317, 0, 0, Smoke::mf_const, 97, 127},	//1640 QsciScintilla::whitespaceVisibility() const
    {82, 1319, 170, 1, Smoke::mf_const, 36, 128},	//1641 QsciScintilla::wordAtPoint(const QPoint&) const
    {82, 1321, 0, 0, Smoke::mf_const, 197, 129},	//1642 QsciScintilla::wordCharacters() const
    {82, 1322, 0, 0, Smoke::mf_const, 98, 130},	//1643 QsciScintilla::wrapMode() const
    {82, 1323, 188, 1, Smoke::mf_const, 178, 131},	//1644 QsciScintilla::write(QIODevice*) const
    {82, 713, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 132},	//1645 QsciScintilla::append(const QString&)
    {82, 716, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 133},	//1646 QsciScintilla::autoCompleteFromAll()
    {82, 715, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 134},	//1647 QsciScintilla::autoCompleteFromAPIs()
    {82, 717, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 135},	//1648 QsciScintilla::autoCompleteFromDocument()
    {82, 742, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 136},	//1649 QsciScintilla::callTip()
    {82, 754, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 137},	//1650 QsciScintilla::clear()
    {82, 773, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 138},	//1651 QsciScintilla::copy()
    {82, 779, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 139},	//1652 QsciScintilla::cut()
    {82, 811, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 140},	//1653 QsciScintilla::ensureCursorVisible()
    {82, 812, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 141},	//1654 QsciScintilla::ensureLineVisible(int)
    {82, 838, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 142},	//1655 QsciScintilla::foldAll(bool)
    {82, 846, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 143},	//1656 QsciScintilla::foldLine(int)
    {82, 870, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 144},	//1657 QsciScintilla::indent(int)
    {82, 882, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 145},	//1658 QsciScintilla::insert(const QString&)
    {82, 884, 214, 3, Smoke::mf_virtual|Smoke::mf_slot, 0, 146},	//1659 QsciScintilla::insertAt(const QString&, int, int)
    {82, 973, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 147},	//1660 QsciScintilla::moveToMatchingBrace()
    {82, 984, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 148},	//1661 QsciScintilla::paste()
    {82, 1010, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 149},	//1662 QsciScintilla::redo()
    {82, 1017, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 150},	//1663 QsciScintilla::removeSelectedText()
    {82, 1021, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 151},	//1664 QsciScintilla::resetSelectionBackgroundColor()
    {82, 1022, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 152},	//1665 QsciScintilla::resetSelectionForegroundColor()
    {82, 1031, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 153},	//1666 QsciScintilla::selectAll(bool)
    {82, 1033, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 154},	//1667 QsciScintilla::selectToMatchingBrace()
    {82, 1043, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 155},	//1668 QsciScintilla::setAutoCompletionCaseSensitivity(bool)
    {82, 1049, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 156},	//1669 QsciScintilla::setAutoCompletionReplaceWord(bool)
    {82, 1051, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 157},	//1670 QsciScintilla::setAutoCompletionShowSingle(bool)
    {82, 1053, 218, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 158},	//1671 QsciScintilla::setAutoCompletionSource(QsciScintilla::AutoCompletionSource)
    {82, 1055, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 159},	//1672 QsciScintilla::setAutoCompletionThreshold(int)
    {82, 1059, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 160},	//1673 QsciScintilla::setAutoIndent(bool)
    {82, 1067, 220, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 161},	//1674 QsciScintilla::setBraceMatching(QsciScintilla::BraceMatch)
    {82, 1065, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 162},	//1675 QsciScintilla::setBackspaceUnindents(bool)
    {82, 1079, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 163},	//1676 QsciScintilla::setCaretForegroundColor(const QColor&)
    {82, 1081, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 164},	//1677 QsciScintilla::setCaretLineBackgroundColor(const QColor&)
    {82, 1083, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 165},	//1678 QsciScintilla::setCaretLineVisible(bool)
    {82, 1085, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 166},	//1679 QsciScintilla::setCaretWidth(int)
    {82, 1091, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 167},	//1680 QsciScintilla::setColor(const QColor&)
    {82, 1094, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 168},	//1681 QsciScintilla::setCursorPosition(int, int)
    {82, 1119, 148, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 169},	//1682 QsciScintilla::setEolMode(QsciScintilla::EolMode)
    {82, 1121, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 170},	//1683 QsciScintilla::setEolVisibility(bool)
    {82, 1149, 222, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 171},	//1684 QsciScintilla::setFolding(QsciScintilla::FoldStyle, int)
    {82, 1157, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 172},	//1685 QsciScintilla::setIndentation(int, int)
    {82, 1159, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 173},	//1686 QsciScintilla::setIndentationGuides(bool)
    {82, 1161, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 174},	//1687 QsciScintilla::setIndentationGuidesBackgroundColor(const QColor&)
    {82, 1163, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 175},	//1688 QsciScintilla::setIndentationGuidesForegroundColor(const QColor&)
    {82, 1169, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 176},	//1689 QsciScintilla::setIndentationsUseTabs(bool)
    {82, 1167, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 177},	//1690 QsciScintilla::setIndentationWidth(int)
    {82, 1175, 55, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 178},	//1691 QsciScintilla::setLexer(QsciLexer*)
    {82, 1194, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 179},	//1692 QsciScintilla::setMarginsBackgroundColor(const QColor&)
    {82, 1196, 42, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 180},	//1693 QsciScintilla::setMarginsFont(const QFont&)
    {82, 1198, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 181},	//1694 QsciScintilla::setMarginsForegroundColor(const QColor&)
    {82, 1179, 225, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 182},	//1695 QsciScintilla::setMarginLineNumbers(int, bool)
    {82, 1181, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 183},	//1696 QsciScintilla::setMarginMarkerMask(int, int)
    {82, 1183, 225, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 184},	//1697 QsciScintilla::setMarginSensitivity(int, bool)
    {82, 1192, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 185},	//1698 QsciScintilla::setMarginWidth(int, int)
    {82, 1192, 228, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 186},	//1699 QsciScintilla::setMarginWidth(int, const QString&)
    {82, 1210, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 187},	//1700 QsciScintilla::setModified(bool)
    {82, 1212, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 188},	//1701 QsciScintilla::setPaper(const QColor&)
    {82, 1215, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 189},	//1702 QsciScintilla::setReadOnly(bool)
    {82, 1219, 231, 4, Smoke::mf_virtual|Smoke::mf_slot, 0, 190},	//1703 QsciScintilla::setSelection(int, int, int, int)
    {82, 1221, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 191},	//1704 QsciScintilla::setSelectionBackgroundColor(const QColor&)
    {82, 1223, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 192},	//1705 QsciScintilla::setSelectionForegroundColor(const QColor&)
    {82, 1234, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 193},	//1706 QsciScintilla::setTabIndents(bool)
    {82, 1236, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 194},	//1707 QsciScintilla::setTabWidth(int)
    {82, 1238, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 195},	//1708 QsciScintilla::setText(const QString&)
    {82, 1248, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 196},	//1709 QsciScintilla::setUtf8(bool)
    {82, 1258, 236, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 197},	//1710 QsciScintilla::setWhitespaceVisibility(QsciScintilla::WhitespaceVisibility)
    {82, 1260, 121, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 198},	//1711 QsciScintilla::setWrapMode(QsciScintilla::WrapMode)
    {82, 1302, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 199},	//1712 QsciScintilla::undo()
    {82, 1303, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 200},	//1713 QsciScintilla::unindent(int)
    {82, 1331, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 201},	//1714 QsciScintilla::zoomIn(int)
    {82, 1331, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 202},	//1715 QsciScintilla::zoomIn()
    {82, 1333, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 203},	//1716 QsciScintilla::zoomOut(int)
    {82, 1333, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 204},	//1717 QsciScintilla::zoomOut()
    {82, 1335, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 205},	//1718 QsciScintilla::zoomTo(int)
    {82, 776, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 206},	//1719 QsciScintilla::cursorPositionChanged(int, int)
    {82, 774, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 207},	//1720 QsciScintilla::copyAvailable(bool)
    {82, 918, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 208},	//1721 QsciScintilla::linesChanged()
    {82, 924, 238, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 209},	//1722 QsciScintilla::marginClicked(int, int, Qt::KeyboardModifiers)
    {82, 961, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 210},	//1723 QsciScintilla::modificationAttempted()
    {82, 962, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 211},	//1724 QsciScintilla::modificationChanged(bool)
    {82, 1035, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 212},	//1725 QsciScintilla::selectionChanged()
    {82, 1289, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 213},	//1726 QsciScintilla::textChanged()
    {82, 1307, 228, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 214},	//1727 QsciScintilla::userListActivated(int, const QString&)
    {82, 1294, 12, 1, Smoke::mf_static, 36, 215},	//1728 QsciScintilla::tr(const char*)
    {82, 1298, 12, 1, Smoke::mf_static, 36, 216},	//1729 QsciScintilla::trUtf8(const char*)
    {82, 414, 0, 0, Smoke::mf_ctor, 86, 217},	//1730 QsciScintilla::QsciScintilla()
    {82, 756, 0, 0, 0, 0, 218},	//1731 QsciScintilla::clearAnnotations()
    {82, 824, 242, 5, 0, 178, 219},	//1732 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool)
    {82, 824, 248, 6, 0, 178, 220},	//1733 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool)
    {82, 824, 255, 7, 0, 178, 221},	//1734 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int)
    {82, 824, 263, 8, 0, 178, 222},	//1735 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int)
    {82, 938, 272, 1, 0, 199, 223},	//1736 QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol)
    {82, 938, 168, 1, 0, 199, 224},	//1737 QsciScintilla::markerDefine(char)
    {82, 938, 274, 1, 0, 199, 225},	//1738 QsciScintilla::markerDefine(const QPixmap&)
    {82, 943, 18, 1, 0, 0, 226},	//1739 QsciScintilla::markerDelete(int)
    {82, 946, 0, 0, 0, 0, 227},	//1740 QsciScintilla::markerDeleteAll()
    {82, 1007, 0, 0, 0, 0, 228},	//1741 QsciScintilla::recolor()
    {82, 1007, 18, 1, 0, 0, 229},	//1742 QsciScintilla::recolor(int)
    {82, 759, 0, 0, 0, 0, 230},	//1743 QsciScintilla::clearMarginText()
    {82, 1200, 80, 1, 0, 0, 231},	//1744 QsciScintilla::setMarkerBackgroundColor(const QColor&)
    {82, 1203, 80, 1, 0, 0, 232},	//1745 QsciScintilla::setMarkerForegroundColor(const QColor&)
    {82, 1262, 276, 1, 0, 0, 233},	//1746 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag)
    {82, 1262, 278, 2, 0, 0, 234},	//1747 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag)
    {82, 838, 0, 0, Smoke::mf_slot, 0, 235},	//1748 QsciScintilla::foldAll()
    {82, 1031, 0, 0, Smoke::mf_slot, 0, 236},	//1749 QsciScintilla::selectAll()
    {82, 1149, 281, 1, Smoke::mf_slot, 0, 237},	//1750 QsciScintilla::setFolding(QsciScintilla::FoldStyle)
    {82, 1175, 0, 0, Smoke::mf_slot, 0, 238},	//1751 QsciScintilla::setLexer()
    {82, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 239},	//1752 QsciScintilla::staticMetaObject() const
    {82, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 240},	//1753 QsciScintilla::AiMaintain (enum)
    {82, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 241},	//1754 QsciScintilla::AiOpening (enum)
    {82, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 242},	//1755 QsciScintilla::AiClosing (enum)
    {82, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 243},	//1756 QsciScintilla::AnnotationHidden (enum)
    {82, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 244},	//1757 QsciScintilla::AnnotationStandard (enum)
    {82, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 245},	//1758 QsciScintilla::AnnotationBoxed (enum)
    {82, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 246},	//1759 QsciScintilla::AcsNone (enum)
    {82, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 247},	//1760 QsciScintilla::AcsAll (enum)
    {82, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 248},	//1761 QsciScintilla::AcsDocument (enum)
    {82, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 249},	//1762 QsciScintilla::AcsAPIs (enum)
    {82, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 250},	//1763 QsciScintilla::NoBraceMatch (enum)
    {82, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 251},	//1764 QsciScintilla::StrictBraceMatch (enum)
    {82, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 252},	//1765 QsciScintilla::SloppyBraceMatch (enum)
    {82, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 253},	//1766 QsciScintilla::CallTipsNone (enum)
    {82, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 254},	//1767 QsciScintilla::CallTipsNoContext (enum)
    {82, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 255},	//1768 QsciScintilla::CallTipsNoAutoCompletionContext (enum)
    {82, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 256},	//1769 QsciScintilla::CallTipsContext (enum)
    {82, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 257},	//1770 QsciScintilla::EdgeNone (enum)
    {82, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 258},	//1771 QsciScintilla::EdgeLine (enum)
    {82, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 259},	//1772 QsciScintilla::EdgeBackground (enum)
    {82, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 260},	//1773 QsciScintilla::EolWindows (enum)
    {82, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 261},	//1774 QsciScintilla::EolUnix (enum)
    {82, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 262},	//1775 QsciScintilla::EolMac (enum)
    {82, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 263},	//1776 QsciScintilla::NoFoldStyle (enum)
    {82, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 264},	//1777 QsciScintilla::PlainFoldStyle (enum)
    {82, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 265},	//1778 QsciScintilla::CircledFoldStyle (enum)
    {82, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 266},	//1779 QsciScintilla::BoxedFoldStyle (enum)
    {82, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 267},	//1780 QsciScintilla::CircledTreeFoldStyle (enum)
    {82, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 268},	//1781 QsciScintilla::BoxedTreeFoldStyle (enum)
    {82, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 269},	//1782 QsciScintilla::SymbolMargin (enum)
    {82, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 270},	//1783 QsciScintilla::SymbolMarginDefaultForegroundColor (enum)
    {82, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 271},	//1784 QsciScintilla::SymbolMarginDefaultBackgroundColor (enum)
    {82, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 272},	//1785 QsciScintilla::NumberMargin (enum)
    {82, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 273},	//1786 QsciScintilla::TextMargin (enum)
    {82, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 274},	//1787 QsciScintilla::TextMarginRightJustified (enum)
    {82, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 275},	//1788 QsciScintilla::Circle (enum)
    {82, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 276},	//1789 QsciScintilla::Rectangle (enum)
    {82, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 277},	//1790 QsciScintilla::RightTriangle (enum)
    {82, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 278},	//1791 QsciScintilla::SmallRectangle (enum)
    {82, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 279},	//1792 QsciScintilla::RightArrow (enum)
    {82, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 280},	//1793 QsciScintilla::Invisible (enum)
    {82, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 281},	//1794 QsciScintilla::DownTriangle (enum)
    {82, 260, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 282},	//1795 QsciScintilla::Minus (enum)
    {82, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 283},	//1796 QsciScintilla::Plus (enum)
    {82, 681, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 284},	//1797 QsciScintilla::VerticalLine (enum)
    {82, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 285},	//1798 QsciScintilla::BottomLeftCorner (enum)
    {82, 245, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 286},	//1799 QsciScintilla::LeftSideSplitter (enum)
    {82, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 287},	//1800 QsciScintilla::BoxedPlus (enum)
    {82, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 288},	//1801 QsciScintilla::BoxedPlusConnected (enum)
    {82, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 289},	//1802 QsciScintilla::BoxedMinus (enum)
    {82, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 290},	//1803 QsciScintilla::BoxedMinusConnected (enum)
    {82, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 291},	//1804 QsciScintilla::RoundedBottomLeftCorner (enum)
    {82, 244, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 292},	//1805 QsciScintilla::LeftSideRoundedSplitter (enum)
    {82, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 293},	//1806 QsciScintilla::CircledPlus (enum)
    {82, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 294},	//1807 QsciScintilla::CircledPlusConnected (enum)
    {82, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 295},	//1808 QsciScintilla::CircledMinus (enum)
    {82, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 296},	//1809 QsciScintilla::CircledMinusConnected (enum)
    {82, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 297},	//1810 QsciScintilla::Background (enum)
    {82, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 298},	//1811 QsciScintilla::ThreeDots (enum)
    {82, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 299},	//1812 QsciScintilla::ThreeRightArrows (enum)
    {82, 689, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 300},	//1813 QsciScintilla::WsInvisible (enum)
    {82, 690, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 301},	//1814 QsciScintilla::WsVisible (enum)
    {82, 691, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 302},	//1815 QsciScintilla::WsVisibleAfterIndent (enum)
    {82, 687, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 303},	//1816 QsciScintilla::WrapNone (enum)
    {82, 688, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 304},	//1817 QsciScintilla::WrapWord (enum)
    {82, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 305},	//1818 QsciScintilla::WrapCharacter (enum)
    {82, 686, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 306},	//1819 QsciScintilla::WrapFlagNone (enum)
    {82, 685, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 307},	//1820 QsciScintilla::WrapFlagByText (enum)
    {82, 684, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 308},	//1821 QsciScintilla::WrapFlagByBorder (enum)
    {82, 1374, 0, 0, Smoke::mf_dtor, 0, 309 },	//1822 QsciScintilla::~QsciScintilla()
    {83, 958, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 185, 1},	//1823 QsciScintillaBase::metaObject() const
    {83, 998, 12, 1, Smoke::mf_virtual, 205, 2},	//1824 QsciScintillaBase::qt_metacast(const char*)
    {83, 1294, 44, 2, Smoke::mf_static, 36, 3},	//1825 QsciScintillaBase::tr(const char*, const char*)
    {83, 1298, 44, 2, Smoke::mf_static, 36, 4},	//1826 QsciScintillaBase::trUtf8(const char*, const char*)
    {83, 1294, 47, 3, Smoke::mf_static, 36, 5},	//1827 QsciScintillaBase::tr(const char*, const char*, int)
    {83, 1298, 47, 3, Smoke::mf_static, 36, 6},	//1828 QsciScintillaBase::trUtf8(const char*, const char*, int)
    {83, 996, 51, 3, Smoke::mf_virtual, 199, 7},	//1829 QsciScintillaBase::qt_metacall(QMetaObject::Call, int, void**)
    {83, 416, 128, 1, Smoke::mf_ctor, 100, 8},	//1830 QsciScintillaBase::QsciScintillaBase(QWidget*)
    {83, 986, 0, 0, Smoke::mf_static, 100, 9},	//1831 QsciScintillaBase::pool()
    {83, 600, 283, 3, Smoke::mf_const, 202, 10},	//1832 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, long) const
    {83, 600, 287, 3, Smoke::mf_const, 202, 11},	//1833 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, void*) const
    {83, 600, 291, 3, Smoke::mf_const, 202, 12},	//1834 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const char*) const
    {83, 600, 295, 2, Smoke::mf_const, 202, 13},	//1835 QsciScintillaBase::SendScintilla(unsigned int, const char*) const
    {83, 600, 298, 3, Smoke::mf_const, 202, 14},	//1836 QsciScintillaBase::SendScintilla(unsigned int, const char*, const char*) const
    {83, 600, 302, 2, Smoke::mf_const, 202, 15},	//1837 QsciScintillaBase::SendScintilla(unsigned int, long) const
    {83, 600, 305, 2, Smoke::mf_const, 202, 16},	//1838 QsciScintillaBase::SendScintilla(unsigned int, int) const
    {83, 600, 308, 4, Smoke::mf_const, 202, 17},	//1839 QsciScintillaBase::SendScintilla(unsigned int, long, long, char*) const
    {83, 600, 313, 3, Smoke::mf_const, 202, 18},	//1840 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QColor&) const
    {83, 600, 317, 2, Smoke::mf_const, 202, 19},	//1841 QsciScintillaBase::SendScintilla(unsigned int, const QColor&) const
    {83, 600, 320, 6, Smoke::mf_const, 202, 20},	//1842 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, QPainter*, const QRect&, long, long) const
    {83, 600, 327, 3, Smoke::mf_const, 202, 21},	//1843 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QPixmap&) const
    {83, 608, 331, 1, Smoke::mf_const, 205, 22},	//1844 QsciScintillaBase::SendScintillaPtrResult(unsigned int) const
    {83, 333, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//1845 QsciScintillaBase::QSCN_SELCHANGED(bool)
    {83, 544, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//1846 QsciScintillaBase::SCN_AUTOCCANCELLED()
    {83, 545, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//1847 QsciScintillaBase::SCN_AUTOCCHARDELETED()
    {83, 546, 333, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1848 QsciScintillaBase::SCN_AUTOCSELECTION(const char*, int)
    {83, 446, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1849 QsciScintillaBase::SCEN_CHANGE()
    {83, 548, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//1850 QsciScintillaBase::SCN_CALLTIPCLICK(int)
    {83, 550, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1851 QsciScintillaBase::SCN_CHARADDED(int)
    {83, 552, 336, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1852 QsciScintillaBase::SCN_DOUBLECLICK(int, int, int)
    {83, 554, 336, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1853 QsciScintillaBase::SCN_DWELLEND(int, int, int)
    {83, 556, 336, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1854 QsciScintillaBase::SCN_DWELLSTART(int, int, int)
    {83, 558, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1855 QsciScintillaBase::SCN_HOTSPOTCLICK(int, int)
    {83, 560, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1856 QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK(int, int)
    {83, 562, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//1857 QsciScintillaBase::SCN_INDICATORCLICK(int, int)
    {83, 564, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//1858 QsciScintillaBase::SCN_INDICATORRELEASE(int, int)
    {83, 566, 287, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//1859 QsciScintillaBase::SCN_MACRORECORD(unsigned int, unsigned long, void*)
    {83, 568, 336, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1860 QsciScintillaBase::SCN_MARGINCLICK(int, int, int)
    {83, 570, 340, 10, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//1861 QsciScintillaBase::SCN_MODIFIED(int, int, const char*, int, int, int, int, int, int, int)
    {83, 572, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//1862 QsciScintillaBase::SCN_MODIFYATTEMPTRO()
    {83, 573, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//1863 QsciScintillaBase::SCN_NEEDSHOWN(int, int)
    {83, 575, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//1864 QsciScintillaBase::SCN_PAINTED()
    {83, 576, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//1865 QsciScintillaBase::SCN_SAVEPOINTLEFT()
    {83, 577, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//1866 QsciScintillaBase::SCN_SAVEPOINTREACHED()
    {83, 578, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//1867 QsciScintillaBase::SCN_STYLENEEDED(int)
    {83, 580, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//1868 QsciScintillaBase::SCN_UPDATEUI()
    {83, 581, 333, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//1869 QsciScintillaBase::SCN_USERLISTSELECTION(const char*, int)
    {83, 583, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//1870 QsciScintillaBase::SCN_ZOOM()
    {83, 769, 351, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//1871 QsciScintillaBase::contextMenuEvent(QContextMenuEvent*)
    {83, 796, 353, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 50},	//1872 QsciScintillaBase::dragEnterEvent(QDragEnterEvent*)
    {83, 798, 355, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 51},	//1873 QsciScintillaBase::dragLeaveEvent(QDragLeaveEvent*)
    {83, 800, 357, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 52},	//1874 QsciScintillaBase::dragMoveEvent(QDragMoveEvent*)
    {83, 802, 359, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//1875 QsciScintillaBase::dropEvent(QDropEvent*)
    {83, 832, 361, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//1876 QsciScintillaBase::focusInEvent(QFocusEvent*)
    {83, 836, 361, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//1877 QsciScintillaBase::focusOutEvent(QFocusEvent*)
    {83, 834, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 178, 56},	//1878 QsciScintillaBase::focusNextPrevChild(bool)
    {83, 899, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//1879 QsciScintillaBase::keyPressEvent(QKeyEvent*)
    {83, 879, 363, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//1880 QsciScintillaBase::inputMethodEvent(QInputMethodEvent*)
    {83, 964, 365, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 59},	//1881 QsciScintillaBase::mouseDoubleClickEvent(QMouseEvent*)
    {83, 966, 365, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//1882 QsciScintillaBase::mouseMoveEvent(QMouseEvent*)
    {83, 968, 365, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 61},	//1883 QsciScintillaBase::mousePressEvent(QMouseEvent*)
    {83, 970, 365, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//1884 QsciScintillaBase::mouseReleaseEvent(QMouseEvent*)
    {83, 977, 367, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//1885 QsciScintillaBase::paintEvent(QPaintEvent*)
    {83, 1023, 369, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//1886 QsciScintillaBase::resizeEvent(QResizeEvent*)
    {83, 1029, 99, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//1887 QsciScintillaBase::scrollContentsBy(int, int)
    {83, 1294, 12, 1, Smoke::mf_static, 36, 66},	//1888 QsciScintillaBase::tr(const char*)
    {83, 1298, 12, 1, Smoke::mf_static, 36, 67},	//1889 QsciScintillaBase::trUtf8(const char*)
    {83, 416, 0, 0, Smoke::mf_ctor, 100, 68},	//1890 QsciScintillaBase::QsciScintillaBase()
    {83, 600, 331, 1, Smoke::mf_const, 202, 69},	//1891 QsciScintillaBase::SendScintilla(unsigned int) const
    {83, 600, 371, 2, Smoke::mf_const, 202, 70},	//1892 QsciScintillaBase::SendScintilla(unsigned int, unsigned long) const
    {83, 1276, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 184, 71},	//1893 QsciScintillaBase::staticMetaObject() const
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 72},	//1894 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 73},	//1895 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 74},	//1896 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 75},	//1897 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 76},	//1898 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 77},	//1899 QsciScintillaBase::SCLEX_XML (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 78},	//1900 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 79},	//1901 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 80},	//1902 QsciScintillaBase::SCLEX_VB (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 81},	//1903 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 82},	//1904 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 83},	//1905 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 84},	//1906 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 85},	//1907 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 86},	//1908 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 87},	//1909 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 88},	//1910 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 89},	//1911 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 90},	//1912 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 91},	//1913 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 92},	//1914 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 93},	//1915 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 94},	//1916 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 95},	//1917 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 96},	//1918 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 97},	//1919 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 98},	//1920 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 99},	//1921 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 100},	//1922 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 101},	//1923 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 102},	//1924 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 103},	//1925 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 104},	//1926 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 105},	//1927 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 106},	//1928 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 107},	//1929 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 108},	//1930 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 109},	//1931 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 110},	//1932 QsciScintillaBase::SCLEX_POV (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 111},	//1933 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 112},	//1934 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 113},	//1935 QsciScintillaBase::SCLEX_PS (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 114},	//1936 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 115},	//1937 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 116},	//1938 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 117},	//1939 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 118},	//1940 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 119},	//1941 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 120},	//1942 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 121},	//1943 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 122},	//1944 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 123},	//1945 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 124},	//1946 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 125},	//1947 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 126},	//1948 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 127},	//1949 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 128},	//1950 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 129},	//1951 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 130},	//1952 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 131},	//1953 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 132},	//1954 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 133},	//1955 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 134},	//1956 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 135},	//1957 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 136},	//1958 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 137},	//1959 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 138},	//1960 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 139},	//1961 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 140},	//1962 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 141},	//1963 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 142},	//1964 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 143},	//1965 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 144},	//1966 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 145},	//1967 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 146},	//1968 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 147},	//1969 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 148},	//1970 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 149},	//1971 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 150},	//1972 QsciScintillaBase::SCLEX_D (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 151},	//1973 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 152},	//1974 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 153},	//1975 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 154},	//1976 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 155},	//1977 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 156},	//1978 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 157},	//1979 QsciScintillaBase::SCLEX_R (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 158},	//1980 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 159},	//1981 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 160},	//1982 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 161},	//1983 QsciScintillaBase::SCLEX_PO (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 162},	//1984 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 163},	//1985 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 164},	//1986 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 165},	//1987 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 166},	//1988 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 167},	//1989 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 168},	//1990 QsciScintillaBase::SCLEX_SML (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 169},	//1991 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 170},	//1992 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 171},	//1993 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 172},	//1994 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 173},	//1995 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 174},	//1996 QsciScintillaBase::SCLEX_XML (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 175},	//1997 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 176},	//1998 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 177},	//1999 QsciScintillaBase::SCLEX_VB (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 178},	//2000 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 179},	//2001 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 180},	//2002 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 181},	//2003 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 182},	//2004 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 183},	//2005 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 184},	//2006 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 185},	//2007 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 186},	//2008 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 187},	//2009 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 188},	//2010 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 189},	//2011 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 190},	//2012 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 191},	//2013 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 192},	//2014 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 193},	//2015 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 194},	//2016 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 195},	//2017 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 196},	//2018 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 197},	//2019 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 198},	//2020 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 199},	//2021 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 200},	//2022 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 201},	//2023 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 202},	//2024 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 203},	//2025 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 204},	//2026 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 205},	//2027 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 206},	//2028 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 207},	//2029 QsciScintillaBase::SCLEX_POV (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 208},	//2030 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 209},	//2031 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 210},	//2032 QsciScintillaBase::SCLEX_PS (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 211},	//2033 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 212},	//2034 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 213},	//2035 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 214},	//2036 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 215},	//2037 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 216},	//2038 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 217},	//2039 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 218},	//2040 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 219},	//2041 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 220},	//2042 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 221},	//2043 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 222},	//2044 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 223},	//2045 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 224},	//2046 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 225},	//2047 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 226},	//2048 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 227},	//2049 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 228},	//2050 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 229},	//2051 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 230},	//2052 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 231},	//2053 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 232},	//2054 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 233},	//2055 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 234},	//2056 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 235},	//2057 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 236},	//2058 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 237},	//2059 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 238},	//2060 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 239},	//2061 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 240},	//2062 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 241},	//2063 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 242},	//2064 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 243},	//2065 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 244},	//2066 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 245},	//2067 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 246},	//2068 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 247},	//2069 QsciScintillaBase::SCLEX_D (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 248},	//2070 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 249},	//2071 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 250},	//2072 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 251},	//2073 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 252},	//2074 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 253},	//2075 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 254},	//2076 QsciScintillaBase::SCLEX_R (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 255},	//2077 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 256},	//2078 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 257},	//2079 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 258},	//2080 QsciScintillaBase::SCLEX_PO (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 259},	//2081 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 260},	//2082 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 261},	//2083 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 262},	//2084 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 263},	//2085 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 264},	//2086 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 265},	//2087 QsciScintillaBase::SCLEX_SML (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 266},	//2088 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 267},	//2089 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 268},	//2090 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 269},	//2091 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 270},	//2092 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 271},	//2093 QsciScintillaBase::SCLEX_XML (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 272},	//2094 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 273},	//2095 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 274},	//2096 QsciScintillaBase::SCLEX_VB (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 275},	//2097 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 276},	//2098 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 277},	//2099 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 278},	//2100 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 279},	//2101 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 280},	//2102 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 281},	//2103 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 282},	//2104 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 283},	//2105 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 284},	//2106 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 285},	//2107 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 286},	//2108 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 287},	//2109 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 288},	//2110 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 289},	//2111 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 290},	//2112 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 291},	//2113 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 292},	//2114 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 293},	//2115 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 294},	//2116 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 295},	//2117 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 296},	//2118 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 297},	//2119 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 298},	//2120 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 299},	//2121 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 300},	//2122 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 301},	//2123 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 302},	//2124 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 303},	//2125 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 304},	//2126 QsciScintillaBase::SCLEX_POV (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 305},	//2127 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 306},	//2128 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 307},	//2129 QsciScintillaBase::SCLEX_PS (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 308},	//2130 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 309},	//2131 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 310},	//2132 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 311},	//2133 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 312},	//2134 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 313},	//2135 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 314},	//2136 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 315},	//2137 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 316},	//2138 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 317},	//2139 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 318},	//2140 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 319},	//2141 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 320},	//2142 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 321},	//2143 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 322},	//2144 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 323},	//2145 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 324},	//2146 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 325},	//2147 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 326},	//2148 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 327},	//2149 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 328},	//2150 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 329},	//2151 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 330},	//2152 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 331},	//2153 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 332},	//2154 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 333},	//2155 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 334},	//2156 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 335},	//2157 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 336},	//2158 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 337},	//2159 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 338},	//2160 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 339},	//2161 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 340},	//2162 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 341},	//2163 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 342},	//2164 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 343},	//2165 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 344},	//2166 QsciScintillaBase::SCLEX_D (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 345},	//2167 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 346},	//2168 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 347},	//2169 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 348},	//2170 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 349},	//2171 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 350},	//2172 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 351},	//2173 QsciScintillaBase::SCLEX_R (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 352},	//2174 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 353},	//2175 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 354},	//2176 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 355},	//2177 QsciScintillaBase::SCLEX_PO (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 356},	//2178 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 357},	//2179 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 358},	//2180 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 359},	//2181 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 360},	//2182 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 361},	//2183 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 362},	//2184 QsciScintillaBase::SCLEX_SML (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 363},	//2185 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 364},	//2186 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 365},	//2187 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 366},	//2188 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 367},	//2189 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 368},	//2190 QsciScintillaBase::SCLEX_XML (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 369},	//2191 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 370},	//2192 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 371},	//2193 QsciScintillaBase::SCLEX_VB (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 372},	//2194 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 373},	//2195 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 374},	//2196 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 375},	//2197 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 376},	//2198 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 377},	//2199 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 378},	//2200 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 379},	//2201 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 380},	//2202 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 381},	//2203 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 382},	//2204 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 383},	//2205 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 384},	//2206 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 385},	//2207 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 386},	//2208 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 387},	//2209 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 388},	//2210 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 389},	//2211 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 390},	//2212 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 391},	//2213 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 392},	//2214 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 393},	//2215 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 394},	//2216 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 395},	//2217 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 396},	//2218 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 397},	//2219 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 398},	//2220 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 399},	//2221 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 400},	//2222 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 401},	//2223 QsciScintillaBase::SCLEX_POV (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 402},	//2224 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 403},	//2225 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 404},	//2226 QsciScintillaBase::SCLEX_PS (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 405},	//2227 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 406},	//2228 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 407},	//2229 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 408},	//2230 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 409},	//2231 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 410},	//2232 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 411},	//2233 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 412},	//2234 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 413},	//2235 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 414},	//2236 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 415},	//2237 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 416},	//2238 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 417},	//2239 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 418},	//2240 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 419},	//2241 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 420},	//2242 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 421},	//2243 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 422},	//2244 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 423},	//2245 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 424},	//2246 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 425},	//2247 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 426},	//2248 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 427},	//2249 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 428},	//2250 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 429},	//2251 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 430},	//2252 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 431},	//2253 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 432},	//2254 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 433},	//2255 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 434},	//2256 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 435},	//2257 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 436},	//2258 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 437},	//2259 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 438},	//2260 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 439},	//2261 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 440},	//2262 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 441},	//2263 QsciScintillaBase::SCLEX_D (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 442},	//2264 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 443},	//2265 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 444},	//2266 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 445},	//2267 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 446},	//2268 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 447},	//2269 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 448},	//2270 QsciScintillaBase::SCLEX_R (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 449},	//2271 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 450},	//2272 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 451},	//2273 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 452},	//2274 QsciScintillaBase::SCLEX_PO (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 453},	//2275 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 454},	//2276 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 455},	//2277 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 456},	//2278 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 457},	//2279 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 458},	//2280 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 459},	//2281 QsciScintillaBase::SCLEX_SML (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 460},	//2282 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 461},	//2283 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 462},	//2284 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 463},	//2285 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 464},	//2286 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 465},	//2287 QsciScintillaBase::SCLEX_XML (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 466},	//2288 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 467},	//2289 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 468},	//2290 QsciScintillaBase::SCLEX_VB (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 469},	//2291 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 470},	//2292 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 471},	//2293 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 472},	//2294 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 473},	//2295 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 474},	//2296 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 475},	//2297 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 476},	//2298 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 477},	//2299 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 478},	//2300 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 479},	//2301 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 480},	//2302 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 481},	//2303 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 482},	//2304 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 483},	//2305 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 484},	//2306 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 485},	//2307 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 486},	//2308 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 487},	//2309 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 488},	//2310 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 489},	//2311 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 490},	//2312 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 491},	//2313 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 492},	//2314 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 493},	//2315 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 494},	//2316 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 495},	//2317 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 496},	//2318 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 497},	//2319 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 498},	//2320 QsciScintillaBase::SCLEX_POV (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 499},	//2321 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 500},	//2322 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 501},	//2323 QsciScintillaBase::SCLEX_PS (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 502},	//2324 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 503},	//2325 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 504},	//2326 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 505},	//2327 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 506},	//2328 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 507},	//2329 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 508},	//2330 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 509},	//2331 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 510},	//2332 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 511},	//2333 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 512},	//2334 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 513},	//2335 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 514},	//2336 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 515},	//2337 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 516},	//2338 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 517},	//2339 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 518},	//2340 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 519},	//2341 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 520},	//2342 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 521},	//2343 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 522},	//2344 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 523},	//2345 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 524},	//2346 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 525},	//2347 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 526},	//2348 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 527},	//2349 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 528},	//2350 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 529},	//2351 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 530},	//2352 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 531},	//2353 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 532},	//2354 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 533},	//2355 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 534},	//2356 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 535},	//2357 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 536},	//2358 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 537},	//2359 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 538},	//2360 QsciScintillaBase::SCLEX_D (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 539},	//2361 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 540},	//2362 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 541},	//2363 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 542},	//2364 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 543},	//2365 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 544},	//2366 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 545},	//2367 QsciScintillaBase::SCLEX_R (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 546},	//2368 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 547},	//2369 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 548},	//2370 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 549},	//2371 QsciScintillaBase::SCLEX_PO (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 550},	//2372 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 551},	//2373 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 552},	//2374 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 553},	//2375 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 554},	//2376 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 555},	//2377 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 556},	//2378 QsciScintillaBase::SCLEX_SML (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 557},	//2379 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 558},	//2380 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 559},	//2381 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 560},	//2382 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 561},	//2383 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 562},	//2384 QsciScintillaBase::SCLEX_XML (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 563},	//2385 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 564},	//2386 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 565},	//2387 QsciScintillaBase::SCLEX_VB (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 566},	//2388 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 567},	//2389 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 568},	//2390 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 569},	//2391 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 570},	//2392 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 571},	//2393 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 572},	//2394 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 573},	//2395 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 574},	//2396 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 575},	//2397 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 576},	//2398 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 577},	//2399 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 578},	//2400 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 579},	//2401 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 580},	//2402 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 581},	//2403 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 582},	//2404 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 583},	//2405 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 584},	//2406 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 585},	//2407 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 586},	//2408 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 587},	//2409 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 588},	//2410 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 589},	//2411 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 590},	//2412 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 591},	//2413 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 592},	//2414 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 593},	//2415 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 594},	//2416 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 595},	//2417 QsciScintillaBase::SCLEX_POV (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 596},	//2418 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 597},	//2419 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 598},	//2420 QsciScintillaBase::SCLEX_PS (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 599},	//2421 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 600},	//2422 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 601},	//2423 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 602},	//2424 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 603},	//2425 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 604},	//2426 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 605},	//2427 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 606},	//2428 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 607},	//2429 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 608},	//2430 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 609},	//2431 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 610},	//2432 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 611},	//2433 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 612},	//2434 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 613},	//2435 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 614},	//2436 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 615},	//2437 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 616},	//2438 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 617},	//2439 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 618},	//2440 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 619},	//2441 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 620},	//2442 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 621},	//2443 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 622},	//2444 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 623},	//2445 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 624},	//2446 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 625},	//2447 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 626},	//2448 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 627},	//2449 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 628},	//2450 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 629},	//2451 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 630},	//2452 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 631},	//2453 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 632},	//2454 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 633},	//2455 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 634},	//2456 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 635},	//2457 QsciScintillaBase::SCLEX_D (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 636},	//2458 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 637},	//2459 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 638},	//2460 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 639},	//2461 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 640},	//2462 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 641},	//2463 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 642},	//2464 QsciScintillaBase::SCLEX_R (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 643},	//2465 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 644},	//2466 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 645},	//2467 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 646},	//2468 QsciScintillaBase::SCLEX_PO (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 647},	//2469 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 648},	//2470 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 649},	//2471 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 650},	//2472 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 651},	//2473 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 652},	//2474 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 653},	//2475 QsciScintillaBase::SCLEX_SML (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 654},	//2476 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 655},	//2477 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 656},	//2478 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 657},	//2479 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 658},	//2480 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 659},	//2481 QsciScintillaBase::SCLEX_XML (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 660},	//2482 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 661},	//2483 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 662},	//2484 QsciScintillaBase::SCLEX_VB (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 663},	//2485 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 664},	//2486 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 665},	//2487 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 666},	//2488 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 667},	//2489 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 668},	//2490 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 669},	//2491 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 670},	//2492 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 671},	//2493 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 672},	//2494 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 673},	//2495 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 674},	//2496 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 675},	//2497 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 676},	//2498 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 677},	//2499 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 678},	//2500 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 679},	//2501 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 680},	//2502 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 681},	//2503 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 682},	//2504 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 683},	//2505 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 684},	//2506 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 685},	//2507 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 686},	//2508 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 687},	//2509 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 688},	//2510 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 689},	//2511 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 690},	//2512 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 691},	//2513 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 692},	//2514 QsciScintillaBase::SCLEX_POV (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 693},	//2515 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 694},	//2516 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 695},	//2517 QsciScintillaBase::SCLEX_PS (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 696},	//2518 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 697},	//2519 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 698},	//2520 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 699},	//2521 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 700},	//2522 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 701},	//2523 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 702},	//2524 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 703},	//2525 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 704},	//2526 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 705},	//2527 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 706},	//2528 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 707},	//2529 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 708},	//2530 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 709},	//2531 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 710},	//2532 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 711},	//2533 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 712},	//2534 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 713},	//2535 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 714},	//2536 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 715},	//2537 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 716},	//2538 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 717},	//2539 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 718},	//2540 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 719},	//2541 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 720},	//2542 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 721},	//2543 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 722},	//2544 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 723},	//2545 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 724},	//2546 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 725},	//2547 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 726},	//2548 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 727},	//2549 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 728},	//2550 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 729},	//2551 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 730},	//2552 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 731},	//2553 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 732},	//2554 QsciScintillaBase::SCLEX_D (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 733},	//2555 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 734},	//2556 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 735},	//2557 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 736},	//2558 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 737},	//2559 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 738},	//2560 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 739},	//2561 QsciScintillaBase::SCLEX_R (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 740},	//2562 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 741},	//2563 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 742},	//2564 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 743},	//2565 QsciScintillaBase::SCLEX_PO (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 744},	//2566 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 745},	//2567 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 746},	//2568 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 747},	//2569 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 748},	//2570 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 749},	//2571 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 750},	//2572 QsciScintillaBase::SCLEX_SML (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 751},	//2573 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 752},	//2574 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 753},	//2575 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 754},	//2576 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 755},	//2577 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 756},	//2578 QsciScintillaBase::SCLEX_XML (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 757},	//2579 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 758},	//2580 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 759},	//2581 QsciScintillaBase::SCLEX_VB (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 760},	//2582 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 761},	//2583 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 762},	//2584 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 763},	//2585 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 764},	//2586 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 765},	//2587 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 766},	//2588 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 767},	//2589 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 768},	//2590 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 769},	//2591 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 770},	//2592 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 771},	//2593 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 772},	//2594 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 773},	//2595 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 774},	//2596 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 775},	//2597 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 776},	//2598 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 777},	//2599 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 778},	//2600 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 779},	//2601 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 780},	//2602 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 781},	//2603 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 782},	//2604 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 783},	//2605 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 784},	//2606 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 785},	//2607 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 786},	//2608 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 787},	//2609 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 788},	//2610 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 789},	//2611 QsciScintillaBase::SCLEX_POV (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 790},	//2612 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 791},	//2613 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 792},	//2614 QsciScintillaBase::SCLEX_PS (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 793},	//2615 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 794},	//2616 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 795},	//2617 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 796},	//2618 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 797},	//2619 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 798},	//2620 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 799},	//2621 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 800},	//2622 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 801},	//2623 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 802},	//2624 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 803},	//2625 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 804},	//2626 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 805},	//2627 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 806},	//2628 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 807},	//2629 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 808},	//2630 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 809},	//2631 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 810},	//2632 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 811},	//2633 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 812},	//2634 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 813},	//2635 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 814},	//2636 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 815},	//2637 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 816},	//2638 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 817},	//2639 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 818},	//2640 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 819},	//2641 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 820},	//2642 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 821},	//2643 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 822},	//2644 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 823},	//2645 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 824},	//2646 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 825},	//2647 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 826},	//2648 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 827},	//2649 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 828},	//2650 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 829},	//2651 QsciScintillaBase::SCLEX_D (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 830},	//2652 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 831},	//2653 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 832},	//2654 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 833},	//2655 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 834},	//2656 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 835},	//2657 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 836},	//2658 QsciScintillaBase::SCLEX_R (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 837},	//2659 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 838},	//2660 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 839},	//2661 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 840},	//2662 QsciScintillaBase::SCLEX_PO (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 841},	//2663 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 842},	//2664 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 843},	//2665 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 844},	//2666 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 845},	//2667 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 846},	//2668 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 847},	//2669 QsciScintillaBase::SCLEX_SML (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 848},	//2670 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 849},	//2671 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 850},	//2672 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 851},	//2673 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 852},	//2674 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 853},	//2675 QsciScintillaBase::SCLEX_XML (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 854},	//2676 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 855},	//2677 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 856},	//2678 QsciScintillaBase::SCLEX_VB (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 857},	//2679 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 858},	//2680 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 859},	//2681 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 860},	//2682 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 861},	//2683 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 862},	//2684 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 863},	//2685 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 864},	//2686 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 865},	//2687 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 866},	//2688 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 867},	//2689 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 868},	//2690 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 869},	//2691 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 870},	//2692 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 871},	//2693 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 872},	//2694 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 873},	//2695 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 874},	//2696 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 875},	//2697 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 876},	//2698 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 877},	//2699 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 878},	//2700 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 879},	//2701 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 880},	//2702 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 881},	//2703 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 882},	//2704 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 883},	//2705 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 884},	//2706 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 885},	//2707 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 886},	//2708 QsciScintillaBase::SCLEX_POV (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 887},	//2709 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 888},	//2710 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 889},	//2711 QsciScintillaBase::SCLEX_PS (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 890},	//2712 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 891},	//2713 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 892},	//2714 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 893},	//2715 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 894},	//2716 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 895},	//2717 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 896},	//2718 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 897},	//2719 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 898},	//2720 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 899},	//2721 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 900},	//2722 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 901},	//2723 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 902},	//2724 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 903},	//2725 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 904},	//2726 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 905},	//2727 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 906},	//2728 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 907},	//2729 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 908},	//2730 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 909},	//2731 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 910},	//2732 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 911},	//2733 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 912},	//2734 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 913},	//2735 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 914},	//2736 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 915},	//2737 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 916},	//2738 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 917},	//2739 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 918},	//2740 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 919},	//2741 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 920},	//2742 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 921},	//2743 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 922},	//2744 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 923},	//2745 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 924},	//2746 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 925},	//2747 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 926},	//2748 QsciScintillaBase::SCLEX_D (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 927},	//2749 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 928},	//2750 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 929},	//2751 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 930},	//2752 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 931},	//2753 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 932},	//2754 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 933},	//2755 QsciScintillaBase::SCLEX_R (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 934},	//2756 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 935},	//2757 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 936},	//2758 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 937},	//2759 QsciScintillaBase::SCLEX_PO (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 938},	//2760 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 939},	//2761 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 940},	//2762 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 941},	//2763 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 942},	//2764 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 943},	//2765 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 944},	//2766 QsciScintillaBase::SCLEX_SML (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 945},	//2767 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 946},	//2768 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 947},	//2769 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 948},	//2770 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 949},	//2771 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 950},	//2772 QsciScintillaBase::SCLEX_XML (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 951},	//2773 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 952},	//2774 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 953},	//2775 QsciScintillaBase::SCLEX_VB (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 954},	//2776 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 955},	//2777 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 956},	//2778 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 957},	//2779 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 958},	//2780 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 959},	//2781 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 960},	//2782 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 961},	//2783 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 962},	//2784 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 963},	//2785 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 964},	//2786 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 965},	//2787 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 966},	//2788 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 967},	//2789 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 968},	//2790 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 969},	//2791 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 970},	//2792 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 971},	//2793 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 972},	//2794 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 973},	//2795 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 974},	//2796 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 975},	//2797 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 976},	//2798 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 977},	//2799 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 978},	//2800 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 979},	//2801 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 980},	//2802 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 981},	//2803 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 982},	//2804 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 983},	//2805 QsciScintillaBase::SCLEX_POV (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 984},	//2806 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 985},	//2807 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 986},	//2808 QsciScintillaBase::SCLEX_PS (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 987},	//2809 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 988},	//2810 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 989},	//2811 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 990},	//2812 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 991},	//2813 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 992},	//2814 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 993},	//2815 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 994},	//2816 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 995},	//2817 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 996},	//2818 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 997},	//2819 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 998},	//2820 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 999},	//2821 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1000},	//2822 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1001},	//2823 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1002},	//2824 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1003},	//2825 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1004},	//2826 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1005},	//2827 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1006},	//2828 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1007},	//2829 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1008},	//2830 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1009},	//2831 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1010},	//2832 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1011},	//2833 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1012},	//2834 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1013},	//2835 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1014},	//2836 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1015},	//2837 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1016},	//2838 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1017},	//2839 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1018},	//2840 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1019},	//2841 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1020},	//2842 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1021},	//2843 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1022},	//2844 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1023},	//2845 QsciScintillaBase::SCLEX_D (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1024},	//2846 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1025},	//2847 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1026},	//2848 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1027},	//2849 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1028},	//2850 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1029},	//2851 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1030},	//2852 QsciScintillaBase::SCLEX_R (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1031},	//2853 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1032},	//2854 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1033},	//2855 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1034},	//2856 QsciScintillaBase::SCLEX_PO (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1035},	//2857 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1036},	//2858 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1037},	//2859 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1038},	//2860 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1039},	//2861 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1040},	//2862 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1041},	//2863 QsciScintillaBase::SCLEX_SML (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1042},	//2864 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1043},	//2865 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1044},	//2866 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1045},	//2867 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1046},	//2868 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1047},	//2869 QsciScintillaBase::SCLEX_XML (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1048},	//2870 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1049},	//2871 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1050},	//2872 QsciScintillaBase::SCLEX_VB (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1051},	//2873 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1052},	//2874 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1053},	//2875 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1054},	//2876 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1055},	//2877 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1056},	//2878 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1057},	//2879 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1058},	//2880 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1059},	//2881 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1060},	//2882 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1061},	//2883 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1062},	//2884 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1063},	//2885 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1064},	//2886 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1065},	//2887 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1066},	//2888 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1067},	//2889 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1068},	//2890 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1069},	//2891 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1070},	//2892 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1071},	//2893 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1072},	//2894 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1073},	//2895 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1074},	//2896 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1075},	//2897 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1076},	//2898 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1077},	//2899 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1078},	//2900 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1079},	//2901 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1080},	//2902 QsciScintillaBase::SCLEX_POV (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1081},	//2903 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1082},	//2904 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1083},	//2905 QsciScintillaBase::SCLEX_PS (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1084},	//2906 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1085},	//2907 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1086},	//2908 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1087},	//2909 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1088},	//2910 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1089},	//2911 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1090},	//2912 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1091},	//2913 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1092},	//2914 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1093},	//2915 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1094},	//2916 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1095},	//2917 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1096},	//2918 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1097},	//2919 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1098},	//2920 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1099},	//2921 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1100},	//2922 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1101},	//2923 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1102},	//2924 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1103},	//2925 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1104},	//2926 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1105},	//2927 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1106},	//2928 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1107},	//2929 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1108},	//2930 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1109},	//2931 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1110},	//2932 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1111},	//2933 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1112},	//2934 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1113},	//2935 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1114},	//2936 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1115},	//2937 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1116},	//2938 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1117},	//2939 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1118},	//2940 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1119},	//2941 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1120},	//2942 QsciScintillaBase::SCLEX_D (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1121},	//2943 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1122},	//2944 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1123},	//2945 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1124},	//2946 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1125},	//2947 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1126},	//2948 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1127},	//2949 QsciScintillaBase::SCLEX_R (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1128},	//2950 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1129},	//2951 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1130},	//2952 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1131},	//2953 QsciScintillaBase::SCLEX_PO (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1132},	//2954 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1133},	//2955 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1134},	//2956 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1135},	//2957 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1136},	//2958 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1137},	//2959 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1138},	//2960 QsciScintillaBase::SCLEX_SML (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1139},	//2961 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1140},	//2962 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1141},	//2963 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1142},	//2964 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1143},	//2965 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1144},	//2966 QsciScintillaBase::SCLEX_XML (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1145},	//2967 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1146},	//2968 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1147},	//2969 QsciScintillaBase::SCLEX_VB (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1148},	//2970 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1149},	//2971 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1150},	//2972 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1151},	//2973 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1152},	//2974 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1153},	//2975 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1154},	//2976 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1155},	//2977 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1156},	//2978 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1157},	//2979 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1158},	//2980 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1159},	//2981 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1160},	//2982 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1161},	//2983 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1162},	//2984 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1163},	//2985 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1164},	//2986 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1165},	//2987 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1166},	//2988 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1167},	//2989 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1168},	//2990 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1169},	//2991 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1170},	//2992 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1171},	//2993 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1172},	//2994 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1173},	//2995 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1174},	//2996 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1175},	//2997 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1176},	//2998 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1177},	//2999 QsciScintillaBase::SCLEX_POV (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1178},	//3000 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1179},	//3001 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1180},	//3002 QsciScintillaBase::SCLEX_PS (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1181},	//3003 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1182},	//3004 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1183},	//3005 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1184},	//3006 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1185},	//3007 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1186},	//3008 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1187},	//3009 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1188},	//3010 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1189},	//3011 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1190},	//3012 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1191},	//3013 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1192},	//3014 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1193},	//3015 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1194},	//3016 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1195},	//3017 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1196},	//3018 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1197},	//3019 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1198},	//3020 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1199},	//3021 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1200},	//3022 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1201},	//3023 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1202},	//3024 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1203},	//3025 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1204},	//3026 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1205},	//3027 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1206},	//3028 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1207},	//3029 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1208},	//3030 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1209},	//3031 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1210},	//3032 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1211},	//3033 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1212},	//3034 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1213},	//3035 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1214},	//3036 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1215},	//3037 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1216},	//3038 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1217},	//3039 QsciScintillaBase::SCLEX_D (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1218},	//3040 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1219},	//3041 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1220},	//3042 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1221},	//3043 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1222},	//3044 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1223},	//3045 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1224},	//3046 QsciScintillaBase::SCLEX_R (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1225},	//3047 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1226},	//3048 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1227},	//3049 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1228},	//3050 QsciScintillaBase::SCLEX_PO (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1229},	//3051 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1230},	//3052 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1231},	//3053 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1232},	//3054 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1233},	//3055 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1234},	//3056 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1235},	//3057 QsciScintillaBase::SCLEX_SML (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1236},	//3058 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1237},	//3059 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1238},	//3060 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1239},	//3061 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1240},	//3062 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1241},	//3063 QsciScintillaBase::SCLEX_XML (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1242},	//3064 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1243},	//3065 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1244},	//3066 QsciScintillaBase::SCLEX_VB (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1245},	//3067 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1246},	//3068 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1247},	//3069 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1248},	//3070 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1249},	//3071 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1250},	//3072 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1251},	//3073 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1252},	//3074 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1253},	//3075 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1254},	//3076 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1255},	//3077 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1256},	//3078 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1257},	//3079 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1258},	//3080 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1259},	//3081 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1260},	//3082 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1261},	//3083 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1262},	//3084 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1263},	//3085 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1264},	//3086 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1265},	//3087 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1266},	//3088 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1267},	//3089 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1268},	//3090 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1269},	//3091 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1270},	//3092 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1271},	//3093 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1272},	//3094 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1273},	//3095 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1274},	//3096 QsciScintillaBase::SCLEX_POV (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1275},	//3097 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1276},	//3098 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1277},	//3099 QsciScintillaBase::SCLEX_PS (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1278},	//3100 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1279},	//3101 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1280},	//3102 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1281},	//3103 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1282},	//3104 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1283},	//3105 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1284},	//3106 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1285},	//3107 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1286},	//3108 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1287},	//3109 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1288},	//3110 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1289},	//3111 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1290},	//3112 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1291},	//3113 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1292},	//3114 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1293},	//3115 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1294},	//3116 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1295},	//3117 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1296},	//3118 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1297},	//3119 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1298},	//3120 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1299},	//3121 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1300},	//3122 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1301},	//3123 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1302},	//3124 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1303},	//3125 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1304},	//3126 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1305},	//3127 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1306},	//3128 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1307},	//3129 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1308},	//3130 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1309},	//3131 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1310},	//3132 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1311},	//3133 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1312},	//3134 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1313},	//3135 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1314},	//3136 QsciScintillaBase::SCLEX_D (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1315},	//3137 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1316},	//3138 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1317},	//3139 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1318},	//3140 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1319},	//3141 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1320},	//3142 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1321},	//3143 QsciScintillaBase::SCLEX_R (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1322},	//3144 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1323},	//3145 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1324},	//3146 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1325},	//3147 QsciScintillaBase::SCLEX_PO (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1326},	//3148 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1327},	//3149 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1328},	//3150 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1329},	//3151 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1330},	//3152 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1331},	//3153 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1332},	//3154 QsciScintillaBase::SCLEX_SML (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1333},	//3155 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1334},	//3156 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1335},	//3157 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1336},	//3158 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1337},	//3159 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1338},	//3160 QsciScintillaBase::SCLEX_XML (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1339},	//3161 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1340},	//3162 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1341},	//3163 QsciScintillaBase::SCLEX_VB (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1342},	//3164 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1343},	//3165 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1344},	//3166 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1345},	//3167 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1346},	//3168 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1347},	//3169 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1348},	//3170 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1349},	//3171 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1350},	//3172 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1351},	//3173 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1352},	//3174 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1353},	//3175 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1354},	//3176 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1355},	//3177 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1356},	//3178 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1357},	//3179 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1358},	//3180 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1359},	//3181 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1360},	//3182 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1361},	//3183 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1362},	//3184 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1363},	//3185 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1364},	//3186 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1365},	//3187 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1366},	//3188 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1367},	//3189 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1368},	//3190 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1369},	//3191 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1370},	//3192 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1371},	//3193 QsciScintillaBase::SCLEX_POV (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1372},	//3194 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1373},	//3195 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1374},	//3196 QsciScintillaBase::SCLEX_PS (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1375},	//3197 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1376},	//3198 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1377},	//3199 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1378},	//3200 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1379},	//3201 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1380},	//3202 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1381},	//3203 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1382},	//3204 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1383},	//3205 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1384},	//3206 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1385},	//3207 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1386},	//3208 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1387},	//3209 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1388},	//3210 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1389},	//3211 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1390},	//3212 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1391},	//3213 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1392},	//3214 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1393},	//3215 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1394},	//3216 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1395},	//3217 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1396},	//3218 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1397},	//3219 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1398},	//3220 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1399},	//3221 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1400},	//3222 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1401},	//3223 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1402},	//3224 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1403},	//3225 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1404},	//3226 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1405},	//3227 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1406},	//3228 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1407},	//3229 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1408},	//3230 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1409},	//3231 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1410},	//3232 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1411},	//3233 QsciScintillaBase::SCLEX_D (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1412},	//3234 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1413},	//3235 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1414},	//3236 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1415},	//3237 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1416},	//3238 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1417},	//3239 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1418},	//3240 QsciScintillaBase::SCLEX_R (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1419},	//3241 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1420},	//3242 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1421},	//3243 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1422},	//3244 QsciScintillaBase::SCLEX_PO (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1423},	//3245 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1424},	//3246 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1425},	//3247 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1426},	//3248 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1427},	//3249 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1428},	//3250 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1429},	//3251 QsciScintillaBase::SCLEX_SML (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1430},	//3252 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1431},	//3253 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1432},	//3254 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1433},	//3255 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1434},	//3256 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1435},	//3257 QsciScintillaBase::SCLEX_XML (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1436},	//3258 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1437},	//3259 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1438},	//3260 QsciScintillaBase::SCLEX_VB (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1439},	//3261 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1440},	//3262 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1441},	//3263 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1442},	//3264 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1443},	//3265 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1444},	//3266 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1445},	//3267 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1446},	//3268 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1447},	//3269 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1448},	//3270 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1449},	//3271 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1450},	//3272 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1451},	//3273 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1452},	//3274 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1453},	//3275 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1454},	//3276 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1455},	//3277 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1456},	//3278 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1457},	//3279 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1458},	//3280 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1459},	//3281 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1460},	//3282 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1461},	//3283 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1462},	//3284 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1463},	//3285 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1464},	//3286 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1465},	//3287 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1466},	//3288 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1467},	//3289 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1468},	//3290 QsciScintillaBase::SCLEX_POV (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1469},	//3291 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1470},	//3292 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1471},	//3293 QsciScintillaBase::SCLEX_PS (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1472},	//3294 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1473},	//3295 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1474},	//3296 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1475},	//3297 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1476},	//3298 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1477},	//3299 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1478},	//3300 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1479},	//3301 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1480},	//3302 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1481},	//3303 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1482},	//3304 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1483},	//3305 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1484},	//3306 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1485},	//3307 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1486},	//3308 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1487},	//3309 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1488},	//3310 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1489},	//3311 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1490},	//3312 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1491},	//3313 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1492},	//3314 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1493},	//3315 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1494},	//3316 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1495},	//3317 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1496},	//3318 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1497},	//3319 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1498},	//3320 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1499},	//3321 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1500},	//3322 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1501},	//3323 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1502},	//3324 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1503},	//3325 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1504},	//3326 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1505},	//3327 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1506},	//3328 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1507},	//3329 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1508},	//3330 QsciScintillaBase::SCLEX_D (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1509},	//3331 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1510},	//3332 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1511},	//3333 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1512},	//3334 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1513},	//3335 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1514},	//3336 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1515},	//3337 QsciScintillaBase::SCLEX_R (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1516},	//3338 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1517},	//3339 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1518},	//3340 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1519},	//3341 QsciScintillaBase::SCLEX_PO (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1520},	//3342 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1521},	//3343 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1522},	//3344 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1523},	//3345 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1524},	//3346 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1525},	//3347 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1526},	//3348 QsciScintillaBase::SCLEX_SML (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1527},	//3349 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1528},	//3350 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1529},	//3351 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1530},	//3352 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1531},	//3353 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1532},	//3354 QsciScintillaBase::SCLEX_XML (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1533},	//3355 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1534},	//3356 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1535},	//3357 QsciScintillaBase::SCLEX_VB (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1536},	//3358 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1537},	//3359 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1538},	//3360 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1539},	//3361 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1540},	//3362 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1541},	//3363 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1542},	//3364 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1543},	//3365 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1544},	//3366 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1545},	//3367 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1546},	//3368 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1547},	//3369 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1548},	//3370 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1549},	//3371 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1550},	//3372 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1551},	//3373 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1552},	//3374 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1553},	//3375 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1554},	//3376 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1555},	//3377 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1556},	//3378 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1557},	//3379 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1558},	//3380 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1559},	//3381 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1560},	//3382 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1561},	//3383 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1562},	//3384 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1563},	//3385 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1564},	//3386 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1565},	//3387 QsciScintillaBase::SCLEX_POV (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1566},	//3388 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1567},	//3389 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1568},	//3390 QsciScintillaBase::SCLEX_PS (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1569},	//3391 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1570},	//3392 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1571},	//3393 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1572},	//3394 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1573},	//3395 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1574},	//3396 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1575},	//3397 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1576},	//3398 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1577},	//3399 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1578},	//3400 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1579},	//3401 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1580},	//3402 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1581},	//3403 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1582},	//3404 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1583},	//3405 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1584},	//3406 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1585},	//3407 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1586},	//3408 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1587},	//3409 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1588},	//3410 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1589},	//3411 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1590},	//3412 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1591},	//3413 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1592},	//3414 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1593},	//3415 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1594},	//3416 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1595},	//3417 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1596},	//3418 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1597},	//3419 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1598},	//3420 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1599},	//3421 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1600},	//3422 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1601},	//3423 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1602},	//3424 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1603},	//3425 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1604},	//3426 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1605},	//3427 QsciScintillaBase::SCLEX_D (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1606},	//3428 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1607},	//3429 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1608},	//3430 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1609},	//3431 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1610},	//3432 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1611},	//3433 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1612},	//3434 QsciScintillaBase::SCLEX_R (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1613},	//3435 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1614},	//3436 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1615},	//3437 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1616},	//3438 QsciScintillaBase::SCLEX_PO (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1617},	//3439 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1618},	//3440 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1619},	//3441 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1620},	//3442 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1621},	//3443 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1622},	//3444 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1623},	//3445 QsciScintillaBase::SCLEX_SML (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1624},	//3446 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1625},	//3447 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1626},	//3448 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1627},	//3449 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1628},	//3450 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1629},	//3451 QsciScintillaBase::SCLEX_XML (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1630},	//3452 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1631},	//3453 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1632},	//3454 QsciScintillaBase::SCLEX_VB (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1633},	//3455 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1634},	//3456 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1635},	//3457 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1636},	//3458 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1637},	//3459 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1638},	//3460 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1639},	//3461 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1640},	//3462 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1641},	//3463 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1642},	//3464 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1643},	//3465 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1644},	//3466 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1645},	//3467 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1646},	//3468 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1647},	//3469 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1648},	//3470 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1649},	//3471 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1650},	//3472 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1651},	//3473 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1652},	//3474 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1653},	//3475 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1654},	//3476 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1655},	//3477 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1656},	//3478 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1657},	//3479 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1658},	//3480 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1659},	//3481 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1660},	//3482 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1661},	//3483 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1662},	//3484 QsciScintillaBase::SCLEX_POV (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1663},	//3485 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1664},	//3486 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1665},	//3487 QsciScintillaBase::SCLEX_PS (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1666},	//3488 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1667},	//3489 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1668},	//3490 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1669},	//3491 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1670},	//3492 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1671},	//3493 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1672},	//3494 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1673},	//3495 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1674},	//3496 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1675},	//3497 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1676},	//3498 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1677},	//3499 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1678},	//3500 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1679},	//3501 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1680},	//3502 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1681},	//3503 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1682},	//3504 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1683},	//3505 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1684},	//3506 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1685},	//3507 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1686},	//3508 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1687},	//3509 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1688},	//3510 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1689},	//3511 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1690},	//3512 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1691},	//3513 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1692},	//3514 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1693},	//3515 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1694},	//3516 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1695},	//3517 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1696},	//3518 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1697},	//3519 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1698},	//3520 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1699},	//3521 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1700},	//3522 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1701},	//3523 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1702},	//3524 QsciScintillaBase::SCLEX_D (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1703},	//3525 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1704},	//3526 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1705},	//3527 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1706},	//3528 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1707},	//3529 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1708},	//3530 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1709},	//3531 QsciScintillaBase::SCLEX_R (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1710},	//3532 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1711},	//3533 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1712},	//3534 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1713},	//3535 QsciScintillaBase::SCLEX_PO (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1714},	//3536 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1715},	//3537 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1716},	//3538 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1717},	//3539 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1718},	//3540 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1719},	//3541 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1720},	//3542 QsciScintillaBase::SCLEX_SML (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1721},	//3543 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1722},	//3544 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1723},	//3545 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1724},	//3546 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1725},	//3547 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1726},	//3548 QsciScintillaBase::SCLEX_XML (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1727},	//3549 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1728},	//3550 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1729},	//3551 QsciScintillaBase::SCLEX_VB (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1730},	//3552 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1731},	//3553 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1732},	//3554 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1733},	//3555 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1734},	//3556 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1735},	//3557 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1736},	//3558 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1737},	//3559 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1738},	//3560 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1739},	//3561 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1740},	//3562 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1741},	//3563 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1742},	//3564 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1743},	//3565 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1744},	//3566 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1745},	//3567 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1746},	//3568 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1747},	//3569 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1748},	//3570 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1749},	//3571 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1750},	//3572 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1751},	//3573 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1752},	//3574 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1753},	//3575 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1754},	//3576 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1755},	//3577 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1756},	//3578 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1757},	//3579 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1758},	//3580 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1759},	//3581 QsciScintillaBase::SCLEX_POV (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1760},	//3582 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1761},	//3583 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1762},	//3584 QsciScintillaBase::SCLEX_PS (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1763},	//3585 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1764},	//3586 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1765},	//3587 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1766},	//3588 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1767},	//3589 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1768},	//3590 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1769},	//3591 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1770},	//3592 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1771},	//3593 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1772},	//3594 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1773},	//3595 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1774},	//3596 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1775},	//3597 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1776},	//3598 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1777},	//3599 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1778},	//3600 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1779},	//3601 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1780},	//3602 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1781},	//3603 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1782},	//3604 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1783},	//3605 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1784},	//3606 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1785},	//3607 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1786},	//3608 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1787},	//3609 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1788},	//3610 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1789},	//3611 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1790},	//3612 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1791},	//3613 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1792},	//3614 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1793},	//3615 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1794},	//3616 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1795},	//3617 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1796},	//3618 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1797},	//3619 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1798},	//3620 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1799},	//3621 QsciScintillaBase::SCLEX_D (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1800},	//3622 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1801},	//3623 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1802},	//3624 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1803},	//3625 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1804},	//3626 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1805},	//3627 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1806},	//3628 QsciScintillaBase::SCLEX_R (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1807},	//3629 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1808},	//3630 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1809},	//3631 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1810},	//3632 QsciScintillaBase::SCLEX_PO (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1811},	//3633 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1812},	//3634 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1813},	//3635 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1814},	//3636 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1815},	//3637 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1816},	//3638 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1817},	//3639 QsciScintillaBase::SCLEX_SML (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1818},	//3640 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1819},	//3641 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1820},	//3642 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1821},	//3643 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1822},	//3644 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1823},	//3645 QsciScintillaBase::SCLEX_XML (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1824},	//3646 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1825},	//3647 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1826},	//3648 QsciScintillaBase::SCLEX_VB (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1827},	//3649 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1828},	//3650 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1829},	//3651 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1830},	//3652 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1831},	//3653 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1832},	//3654 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1833},	//3655 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1834},	//3656 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1835},	//3657 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1836},	//3658 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1837},	//3659 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1838},	//3660 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1839},	//3661 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1840},	//3662 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1841},	//3663 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1842},	//3664 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1843},	//3665 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1844},	//3666 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1845},	//3667 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1846},	//3668 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1847},	//3669 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1848},	//3670 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1849},	//3671 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1850},	//3672 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1851},	//3673 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1852},	//3674 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1853},	//3675 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1854},	//3676 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1855},	//3677 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1856},	//3678 QsciScintillaBase::SCLEX_POV (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1857},	//3679 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1858},	//3680 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1859},	//3681 QsciScintillaBase::SCLEX_PS (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1860},	//3682 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1861},	//3683 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1862},	//3684 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1863},	//3685 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1864},	//3686 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1865},	//3687 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1866},	//3688 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1867},	//3689 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1868},	//3690 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1869},	//3691 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1870},	//3692 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1871},	//3693 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1872},	//3694 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1873},	//3695 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1874},	//3696 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1875},	//3697 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1876},	//3698 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1877},	//3699 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1878},	//3700 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1879},	//3701 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1880},	//3702 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1881},	//3703 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1882},	//3704 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1883},	//3705 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1884},	//3706 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1885},	//3707 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1886},	//3708 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1887},	//3709 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1888},	//3710 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1889},	//3711 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1890},	//3712 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1891},	//3713 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1892},	//3714 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1893},	//3715 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1894},	//3716 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1895},	//3717 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1896},	//3718 QsciScintillaBase::SCLEX_D (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1897},	//3719 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1898},	//3720 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1899},	//3721 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1900},	//3722 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1901},	//3723 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1902},	//3724 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1903},	//3725 QsciScintillaBase::SCLEX_R (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1904},	//3726 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1905},	//3727 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1906},	//3728 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1907},	//3729 QsciScintillaBase::SCLEX_PO (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1908},	//3730 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1909},	//3731 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1910},	//3732 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1911},	//3733 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1912},	//3734 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1913},	//3735 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1914},	//3736 QsciScintillaBase::SCLEX_SML (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1915},	//3737 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1916},	//3738 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1917},	//3739 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1918},	//3740 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1919},	//3741 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1920},	//3742 QsciScintillaBase::SCLEX_XML (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1921},	//3743 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1922},	//3744 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1923},	//3745 QsciScintillaBase::SCLEX_VB (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1924},	//3746 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1925},	//3747 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1926},	//3748 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1927},	//3749 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1928},	//3750 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1929},	//3751 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1930},	//3752 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1931},	//3753 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1932},	//3754 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1933},	//3755 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1934},	//3756 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1935},	//3757 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1936},	//3758 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1937},	//3759 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1938},	//3760 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1939},	//3761 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1940},	//3762 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1941},	//3763 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1942},	//3764 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1943},	//3765 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1944},	//3766 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1945},	//3767 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1946},	//3768 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1947},	//3769 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1948},	//3770 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1949},	//3771 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1950},	//3772 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1951},	//3773 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1952},	//3774 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1953},	//3775 QsciScintillaBase::SCLEX_POV (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1954},	//3776 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1955},	//3777 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1956},	//3778 QsciScintillaBase::SCLEX_PS (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1957},	//3779 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1958},	//3780 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1959},	//3781 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1960},	//3782 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1961},	//3783 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1962},	//3784 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1963},	//3785 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1964},	//3786 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1965},	//3787 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1966},	//3788 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1967},	//3789 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1968},	//3790 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1969},	//3791 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1970},	//3792 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1971},	//3793 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1972},	//3794 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1973},	//3795 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1974},	//3796 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1975},	//3797 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1976},	//3798 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1977},	//3799 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1978},	//3800 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1979},	//3801 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1980},	//3802 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1981},	//3803 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1982},	//3804 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1983},	//3805 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1984},	//3806 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1985},	//3807 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1986},	//3808 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1987},	//3809 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1988},	//3810 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1989},	//3811 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1990},	//3812 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1991},	//3813 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1992},	//3814 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1993},	//3815 QsciScintillaBase::SCLEX_D (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1994},	//3816 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1995},	//3817 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1996},	//3818 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1997},	//3819 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1998},	//3820 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1999},	//3821 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2000},	//3822 QsciScintillaBase::SCLEX_R (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2001},	//3823 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2002},	//3824 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2003},	//3825 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2004},	//3826 QsciScintillaBase::SCLEX_PO (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2005},	//3827 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2006},	//3828 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2007},	//3829 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2008},	//3830 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2009},	//3831 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2010},	//3832 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2011},	//3833 QsciScintillaBase::SCLEX_SML (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2012},	//3834 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2013},	//3835 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2014},	//3836 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2015},	//3837 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2016},	//3838 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2017},	//3839 QsciScintillaBase::SCLEX_XML (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2018},	//3840 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2019},	//3841 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2020},	//3842 QsciScintillaBase::SCLEX_VB (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2021},	//3843 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2022},	//3844 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2023},	//3845 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2024},	//3846 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2025},	//3847 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2026},	//3848 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2027},	//3849 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2028},	//3850 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2029},	//3851 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2030},	//3852 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2031},	//3853 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2032},	//3854 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2033},	//3855 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2034},	//3856 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2035},	//3857 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2036},	//3858 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2037},	//3859 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2038},	//3860 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2039},	//3861 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2040},	//3862 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2041},	//3863 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2042},	//3864 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2043},	//3865 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2044},	//3866 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2045},	//3867 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2046},	//3868 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2047},	//3869 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2048},	//3870 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2049},	//3871 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2050},	//3872 QsciScintillaBase::SCLEX_POV (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2051},	//3873 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2052},	//3874 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2053},	//3875 QsciScintillaBase::SCLEX_PS (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2054},	//3876 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2055},	//3877 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2056},	//3878 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2057},	//3879 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2058},	//3880 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2059},	//3881 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2060},	//3882 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2061},	//3883 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2062},	//3884 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2063},	//3885 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2064},	//3886 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2065},	//3887 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2066},	//3888 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2067},	//3889 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2068},	//3890 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2069},	//3891 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2070},	//3892 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2071},	//3893 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2072},	//3894 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2073},	//3895 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2074},	//3896 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2075},	//3897 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2076},	//3898 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2077},	//3899 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2078},	//3900 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2079},	//3901 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2080},	//3902 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2081},	//3903 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2082},	//3904 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2083},	//3905 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2084},	//3906 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2085},	//3907 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2086},	//3908 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2087},	//3909 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2088},	//3910 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2089},	//3911 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2090},	//3912 QsciScintillaBase::SCLEX_D (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2091},	//3913 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2092},	//3914 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2093},	//3915 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2094},	//3916 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2095},	//3917 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2096},	//3918 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2097},	//3919 QsciScintillaBase::SCLEX_R (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2098},	//3920 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2099},	//3921 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2100},	//3922 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2101},	//3923 QsciScintillaBase::SCLEX_PO (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2102},	//3924 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2103},	//3925 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2104},	//3926 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2105},	//3927 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2106},	//3928 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2107},	//3929 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2108},	//3930 QsciScintillaBase::SCLEX_SML (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2109},	//3931 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2110},	//3932 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2111},	//3933 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2112},	//3934 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2113},	//3935 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2114},	//3936 QsciScintillaBase::SCLEX_XML (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2115},	//3937 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2116},	//3938 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2117},	//3939 QsciScintillaBase::SCLEX_VB (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2118},	//3940 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2119},	//3941 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2120},	//3942 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2121},	//3943 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2122},	//3944 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2123},	//3945 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2124},	//3946 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2125},	//3947 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2126},	//3948 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2127},	//3949 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2128},	//3950 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2129},	//3951 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2130},	//3952 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2131},	//3953 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2132},	//3954 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2133},	//3955 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2134},	//3956 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2135},	//3957 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2136},	//3958 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2137},	//3959 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2138},	//3960 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2139},	//3961 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2140},	//3962 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2141},	//3963 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2142},	//3964 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2143},	//3965 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2144},	//3966 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2145},	//3967 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2146},	//3968 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2147},	//3969 QsciScintillaBase::SCLEX_POV (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2148},	//3970 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2149},	//3971 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2150},	//3972 QsciScintillaBase::SCLEX_PS (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2151},	//3973 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2152},	//3974 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2153},	//3975 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2154},	//3976 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2155},	//3977 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2156},	//3978 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2157},	//3979 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2158},	//3980 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2159},	//3981 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2160},	//3982 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2161},	//3983 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2162},	//3984 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2163},	//3985 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2164},	//3986 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2165},	//3987 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2166},	//3988 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2167},	//3989 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2168},	//3990 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2169},	//3991 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2170},	//3992 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2171},	//3993 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2172},	//3994 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2173},	//3995 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2174},	//3996 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2175},	//3997 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2176},	//3998 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2177},	//3999 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2178},	//4000 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2179},	//4001 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2180},	//4002 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2181},	//4003 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2182},	//4004 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2183},	//4005 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2184},	//4006 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2185},	//4007 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2186},	//4008 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2187},	//4009 QsciScintillaBase::SCLEX_D (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2188},	//4010 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2189},	//4011 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2190},	//4012 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2191},	//4013 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2192},	//4014 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2193},	//4015 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2194},	//4016 QsciScintillaBase::SCLEX_R (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2195},	//4017 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2196},	//4018 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2197},	//4019 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2198},	//4020 QsciScintillaBase::SCLEX_PO (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2199},	//4021 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2200},	//4022 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2201},	//4023 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2202},	//4024 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2203},	//4025 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2204},	//4026 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2205},	//4027 QsciScintillaBase::SCLEX_SML (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2206},	//4028 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2207},	//4029 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2208},	//4030 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2209},	//4031 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2210},	//4032 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2211},	//4033 QsciScintillaBase::SCLEX_XML (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2212},	//4034 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2213},	//4035 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2214},	//4036 QsciScintillaBase::SCLEX_VB (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2215},	//4037 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2216},	//4038 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2217},	//4039 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2218},	//4040 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2219},	//4041 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2220},	//4042 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2221},	//4043 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2222},	//4044 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2223},	//4045 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2224},	//4046 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2225},	//4047 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2226},	//4048 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2227},	//4049 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2228},	//4050 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2229},	//4051 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2230},	//4052 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2231},	//4053 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2232},	//4054 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2233},	//4055 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2234},	//4056 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2235},	//4057 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2236},	//4058 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2237},	//4059 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2238},	//4060 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2239},	//4061 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2240},	//4062 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2241},	//4063 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2242},	//4064 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2243},	//4065 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2244},	//4066 QsciScintillaBase::SCLEX_POV (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2245},	//4067 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2246},	//4068 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2247},	//4069 QsciScintillaBase::SCLEX_PS (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2248},	//4070 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2249},	//4071 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2250},	//4072 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2251},	//4073 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2252},	//4074 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2253},	//4075 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2254},	//4076 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2255},	//4077 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2256},	//4078 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2257},	//4079 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2258},	//4080 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2259},	//4081 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2260},	//4082 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2261},	//4083 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2262},	//4084 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2263},	//4085 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2264},	//4086 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2265},	//4087 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2266},	//4088 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2267},	//4089 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2268},	//4090 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2269},	//4091 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2270},	//4092 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2271},	//4093 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2272},	//4094 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2273},	//4095 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2274},	//4096 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2275},	//4097 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2276},	//4098 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2277},	//4099 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2278},	//4100 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2279},	//4101 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2280},	//4102 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2281},	//4103 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2282},	//4104 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2283},	//4105 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2284},	//4106 QsciScintillaBase::SCLEX_D (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2285},	//4107 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2286},	//4108 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2287},	//4109 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2288},	//4110 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2289},	//4111 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2290},	//4112 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2291},	//4113 QsciScintillaBase::SCLEX_R (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2292},	//4114 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2293},	//4115 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2294},	//4116 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2295},	//4117 QsciScintillaBase::SCLEX_PO (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2296},	//4118 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2297},	//4119 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2298},	//4120 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2299},	//4121 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2300},	//4122 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2301},	//4123 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2302},	//4124 QsciScintillaBase::SCLEX_SML (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2303},	//4125 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2304},	//4126 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2305},	//4127 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2306},	//4128 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2307},	//4129 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2308},	//4130 QsciScintillaBase::SCLEX_XML (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2309},	//4131 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2310},	//4132 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2311},	//4133 QsciScintillaBase::SCLEX_VB (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2312},	//4134 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2313},	//4135 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2314},	//4136 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2315},	//4137 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2316},	//4138 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2317},	//4139 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2318},	//4140 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2319},	//4141 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2320},	//4142 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2321},	//4143 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2322},	//4144 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2323},	//4145 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2324},	//4146 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2325},	//4147 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2326},	//4148 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2327},	//4149 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2328},	//4150 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2329},	//4151 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2330},	//4152 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2331},	//4153 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2332},	//4154 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2333},	//4155 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2334},	//4156 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2335},	//4157 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2336},	//4158 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2337},	//4159 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2338},	//4160 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2339},	//4161 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2340},	//4162 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2341},	//4163 QsciScintillaBase::SCLEX_POV (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2342},	//4164 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2343},	//4165 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2344},	//4166 QsciScintillaBase::SCLEX_PS (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2345},	//4167 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2346},	//4168 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2347},	//4169 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2348},	//4170 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2349},	//4171 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2350},	//4172 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2351},	//4173 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2352},	//4174 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2353},	//4175 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2354},	//4176 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2355},	//4177 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2356},	//4178 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2357},	//4179 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2358},	//4180 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2359},	//4181 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2360},	//4182 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2361},	//4183 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2362},	//4184 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2363},	//4185 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2364},	//4186 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2365},	//4187 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2366},	//4188 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2367},	//4189 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2368},	//4190 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2369},	//4191 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2370},	//4192 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2371},	//4193 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2372},	//4194 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2373},	//4195 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2374},	//4196 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2375},	//4197 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2376},	//4198 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2377},	//4199 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2378},	//4200 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2379},	//4201 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2380},	//4202 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2381},	//4203 QsciScintillaBase::SCLEX_D (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2382},	//4204 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2383},	//4205 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2384},	//4206 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2385},	//4207 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2386},	//4208 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2387},	//4209 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2388},	//4210 QsciScintillaBase::SCLEX_R (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2389},	//4211 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2390},	//4212 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2391},	//4213 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2392},	//4214 QsciScintillaBase::SCLEX_PO (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2393},	//4215 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2394},	//4216 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2395},	//4217 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2396},	//4218 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2397},	//4219 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2398},	//4220 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2399},	//4221 QsciScintillaBase::SCLEX_SML (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2400},	//4222 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2401},	//4223 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2402},	//4224 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2403},	//4225 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2404},	//4226 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2405},	//4227 QsciScintillaBase::SCLEX_XML (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2406},	//4228 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2407},	//4229 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2408},	//4230 QsciScintillaBase::SCLEX_VB (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2409},	//4231 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2410},	//4232 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2411},	//4233 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2412},	//4234 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2413},	//4235 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2414},	//4236 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2415},	//4237 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2416},	//4238 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2417},	//4239 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2418},	//4240 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2419},	//4241 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2420},	//4242 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2421},	//4243 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2422},	//4244 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2423},	//4245 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2424},	//4246 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2425},	//4247 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2426},	//4248 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2427},	//4249 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2428},	//4250 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2429},	//4251 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2430},	//4252 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2431},	//4253 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2432},	//4254 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2433},	//4255 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2434},	//4256 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2435},	//4257 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2436},	//4258 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2437},	//4259 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2438},	//4260 QsciScintillaBase::SCLEX_POV (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2439},	//4261 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2440},	//4262 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2441},	//4263 QsciScintillaBase::SCLEX_PS (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2442},	//4264 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2443},	//4265 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2444},	//4266 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2445},	//4267 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2446},	//4268 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2447},	//4269 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2448},	//4270 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2449},	//4271 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2450},	//4272 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2451},	//4273 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2452},	//4274 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2453},	//4275 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2454},	//4276 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2455},	//4277 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2456},	//4278 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2457},	//4279 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2458},	//4280 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2459},	//4281 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2460},	//4282 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2461},	//4283 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2462},	//4284 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2463},	//4285 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2464},	//4286 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2465},	//4287 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2466},	//4288 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2467},	//4289 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2468},	//4290 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2469},	//4291 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2470},	//4292 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2471},	//4293 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2472},	//4294 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2473},	//4295 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2474},	//4296 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2475},	//4297 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2476},	//4298 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2477},	//4299 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2478},	//4300 QsciScintillaBase::SCLEX_D (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2479},	//4301 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2480},	//4302 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2481},	//4303 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2482},	//4304 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2483},	//4305 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2484},	//4306 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2485},	//4307 QsciScintillaBase::SCLEX_R (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2486},	//4308 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2487},	//4309 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2488},	//4310 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2489},	//4311 QsciScintillaBase::SCLEX_PO (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2490},	//4312 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2491},	//4313 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2492},	//4314 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2493},	//4315 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2494},	//4316 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2495},	//4317 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2496},	//4318 QsciScintillaBase::SCLEX_SML (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2497},	//4319 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2498},	//4320 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2499},	//4321 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2500},	//4322 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2501},	//4323 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2502},	//4324 QsciScintillaBase::SCLEX_XML (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2503},	//4325 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2504},	//4326 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2505},	//4327 QsciScintillaBase::SCLEX_VB (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2506},	//4328 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2507},	//4329 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2508},	//4330 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2509},	//4331 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2510},	//4332 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2511},	//4333 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2512},	//4334 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2513},	//4335 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2514},	//4336 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2515},	//4337 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2516},	//4338 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2517},	//4339 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2518},	//4340 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2519},	//4341 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2520},	//4342 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2521},	//4343 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2522},	//4344 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2523},	//4345 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2524},	//4346 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2525},	//4347 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2526},	//4348 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2527},	//4349 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2528},	//4350 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2529},	//4351 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2530},	//4352 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2531},	//4353 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2532},	//4354 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2533},	//4355 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2534},	//4356 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2535},	//4357 QsciScintillaBase::SCLEX_POV (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2536},	//4358 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2537},	//4359 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2538},	//4360 QsciScintillaBase::SCLEX_PS (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2539},	//4361 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2540},	//4362 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2541},	//4363 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2542},	//4364 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2543},	//4365 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2544},	//4366 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2545},	//4367 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2546},	//4368 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2547},	//4369 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2548},	//4370 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2549},	//4371 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2550},	//4372 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2551},	//4373 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2552},	//4374 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2553},	//4375 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2554},	//4376 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2555},	//4377 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2556},	//4378 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2557},	//4379 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2558},	//4380 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2559},	//4381 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2560},	//4382 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2561},	//4383 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2562},	//4384 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2563},	//4385 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2564},	//4386 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2565},	//4387 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2566},	//4388 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2567},	//4389 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2568},	//4390 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2569},	//4391 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2570},	//4392 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2571},	//4393 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2572},	//4394 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2573},	//4395 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2574},	//4396 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2575},	//4397 QsciScintillaBase::SCLEX_D (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2576},	//4398 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2577},	//4399 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2578},	//4400 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2579},	//4401 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2580},	//4402 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2581},	//4403 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2582},	//4404 QsciScintillaBase::SCLEX_R (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2583},	//4405 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2584},	//4406 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2585},	//4407 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2586},	//4408 QsciScintillaBase::SCLEX_PO (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2587},	//4409 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2588},	//4410 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2589},	//4411 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2590},	//4412 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2591},	//4413 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2592},	//4414 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2593},	//4415 QsciScintillaBase::SCLEX_SML (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2594},	//4416 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2595},	//4417 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2596},	//4418 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2597},	//4419 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2598},	//4420 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2599},	//4421 QsciScintillaBase::SCLEX_XML (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2600},	//4422 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2601},	//4423 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2602},	//4424 QsciScintillaBase::SCLEX_VB (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2603},	//4425 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2604},	//4426 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2605},	//4427 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2606},	//4428 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2607},	//4429 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2608},	//4430 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2609},	//4431 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2610},	//4432 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2611},	//4433 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2612},	//4434 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2613},	//4435 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2614},	//4436 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2615},	//4437 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2616},	//4438 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2617},	//4439 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2618},	//4440 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2619},	//4441 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2620},	//4442 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2621},	//4443 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2622},	//4444 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2623},	//4445 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2624},	//4446 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2625},	//4447 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2626},	//4448 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2627},	//4449 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2628},	//4450 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2629},	//4451 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2630},	//4452 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2631},	//4453 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2632},	//4454 QsciScintillaBase::SCLEX_POV (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2633},	//4455 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2634},	//4456 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2635},	//4457 QsciScintillaBase::SCLEX_PS (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2636},	//4458 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2637},	//4459 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2638},	//4460 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2639},	//4461 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2640},	//4462 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2641},	//4463 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2642},	//4464 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2643},	//4465 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2644},	//4466 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2645},	//4467 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2646},	//4468 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2647},	//4469 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2648},	//4470 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2649},	//4471 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2650},	//4472 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2651},	//4473 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2652},	//4474 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2653},	//4475 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2654},	//4476 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2655},	//4477 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2656},	//4478 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2657},	//4479 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2658},	//4480 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2659},	//4481 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2660},	//4482 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2661},	//4483 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2662},	//4484 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2663},	//4485 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2664},	//4486 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2665},	//4487 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2666},	//4488 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2667},	//4489 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2668},	//4490 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2669},	//4491 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2670},	//4492 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2671},	//4493 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2672},	//4494 QsciScintillaBase::SCLEX_D (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2673},	//4495 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2674},	//4496 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2675},	//4497 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2676},	//4498 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2677},	//4499 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2678},	//4500 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2679},	//4501 QsciScintillaBase::SCLEX_R (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2680},	//4502 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2681},	//4503 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2682},	//4504 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2683},	//4505 QsciScintillaBase::SCLEX_PO (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2684},	//4506 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2685},	//4507 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2686},	//4508 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2687},	//4509 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2688},	//4510 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2689},	//4511 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2690},	//4512 QsciScintillaBase::SCLEX_SML (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2691},	//4513 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2692},	//4514 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2693},	//4515 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2694},	//4516 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2695},	//4517 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2696},	//4518 QsciScintillaBase::SCLEX_XML (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2697},	//4519 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2698},	//4520 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2699},	//4521 QsciScintillaBase::SCLEX_VB (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2700},	//4522 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2701},	//4523 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2702},	//4524 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2703},	//4525 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2704},	//4526 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2705},	//4527 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2706},	//4528 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2707},	//4529 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2708},	//4530 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2709},	//4531 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2710},	//4532 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2711},	//4533 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2712},	//4534 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2713},	//4535 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2714},	//4536 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2715},	//4537 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2716},	//4538 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2717},	//4539 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2718},	//4540 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2719},	//4541 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2720},	//4542 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2721},	//4543 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2722},	//4544 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2723},	//4545 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2724},	//4546 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2725},	//4547 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2726},	//4548 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2727},	//4549 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2728},	//4550 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2729},	//4551 QsciScintillaBase::SCLEX_POV (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2730},	//4552 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2731},	//4553 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2732},	//4554 QsciScintillaBase::SCLEX_PS (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2733},	//4555 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2734},	//4556 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2735},	//4557 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2736},	//4558 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2737},	//4559 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2738},	//4560 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2739},	//4561 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2740},	//4562 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2741},	//4563 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2742},	//4564 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2743},	//4565 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2744},	//4566 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2745},	//4567 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2746},	//4568 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2747},	//4569 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2748},	//4570 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2749},	//4571 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2750},	//4572 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2751},	//4573 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2752},	//4574 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2753},	//4575 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2754},	//4576 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2755},	//4577 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2756},	//4578 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2757},	//4579 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2758},	//4580 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2759},	//4581 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2760},	//4582 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2761},	//4583 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2762},	//4584 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2763},	//4585 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2764},	//4586 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2765},	//4587 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2766},	//4588 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2767},	//4589 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2768},	//4590 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2769},	//4591 QsciScintillaBase::SCLEX_D (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2770},	//4592 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2771},	//4593 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2772},	//4594 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2773},	//4595 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2774},	//4596 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2775},	//4597 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2776},	//4598 QsciScintillaBase::SCLEX_R (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2777},	//4599 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2778},	//4600 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2779},	//4601 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2780},	//4602 QsciScintillaBase::SCLEX_PO (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2781},	//4603 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2782},	//4604 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2783},	//4605 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2784},	//4606 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2785},	//4607 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2786},	//4608 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2787},	//4609 QsciScintillaBase::SCLEX_SML (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2788},	//4610 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2789},	//4611 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2790},	//4612 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2791},	//4613 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2792},	//4614 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2793},	//4615 QsciScintillaBase::SCLEX_XML (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2794},	//4616 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2795},	//4617 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2796},	//4618 QsciScintillaBase::SCLEX_VB (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2797},	//4619 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2798},	//4620 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2799},	//4621 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2800},	//4622 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2801},	//4623 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2802},	//4624 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2803},	//4625 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2804},	//4626 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2805},	//4627 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2806},	//4628 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2807},	//4629 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2808},	//4630 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2809},	//4631 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2810},	//4632 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2811},	//4633 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2812},	//4634 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2813},	//4635 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2814},	//4636 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2815},	//4637 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2816},	//4638 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2817},	//4639 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2818},	//4640 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2819},	//4641 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2820},	//4642 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2821},	//4643 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2822},	//4644 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2823},	//4645 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2824},	//4646 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2825},	//4647 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2826},	//4648 QsciScintillaBase::SCLEX_POV (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2827},	//4649 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2828},	//4650 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2829},	//4651 QsciScintillaBase::SCLEX_PS (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2830},	//4652 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2831},	//4653 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2832},	//4654 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2833},	//4655 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2834},	//4656 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2835},	//4657 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2836},	//4658 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2837},	//4659 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2838},	//4660 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2839},	//4661 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2840},	//4662 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2841},	//4663 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2842},	//4664 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2843},	//4665 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2844},	//4666 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2845},	//4667 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2846},	//4668 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2847},	//4669 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2848},	//4670 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2849},	//4671 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2850},	//4672 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2851},	//4673 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2852},	//4674 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2853},	//4675 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2854},	//4676 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2855},	//4677 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2856},	//4678 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2857},	//4679 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2858},	//4680 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2859},	//4681 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2860},	//4682 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2861},	//4683 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2862},	//4684 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2863},	//4685 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2864},	//4686 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2865},	//4687 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2866},	//4688 QsciScintillaBase::SCLEX_D (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2867},	//4689 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2868},	//4690 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2869},	//4691 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2870},	//4692 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2871},	//4693 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2872},	//4694 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2873},	//4695 QsciScintillaBase::SCLEX_R (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2874},	//4696 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2875},	//4697 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2876},	//4698 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2877},	//4699 QsciScintillaBase::SCLEX_PO (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2878},	//4700 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2879},	//4701 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2880},	//4702 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2881},	//4703 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2882},	//4704 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2883},	//4705 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2884},	//4706 QsciScintillaBase::SCLEX_SML (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2885},	//4707 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2886},	//4708 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2887},	//4709 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2888},	//4710 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2889},	//4711 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2890},	//4712 QsciScintillaBase::SCLEX_XML (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2891},	//4713 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2892},	//4714 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2893},	//4715 QsciScintillaBase::SCLEX_VB (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2894},	//4716 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2895},	//4717 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2896},	//4718 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2897},	//4719 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2898},	//4720 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2899},	//4721 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2900},	//4722 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2901},	//4723 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2902},	//4724 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2903},	//4725 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2904},	//4726 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2905},	//4727 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2906},	//4728 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2907},	//4729 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2908},	//4730 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2909},	//4731 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2910},	//4732 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2911},	//4733 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2912},	//4734 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2913},	//4735 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2914},	//4736 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2915},	//4737 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2916},	//4738 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2917},	//4739 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2918},	//4740 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2919},	//4741 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2920},	//4742 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2921},	//4743 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2922},	//4744 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2923},	//4745 QsciScintillaBase::SCLEX_POV (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2924},	//4746 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2925},	//4747 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2926},	//4748 QsciScintillaBase::SCLEX_PS (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2927},	//4749 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2928},	//4750 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2929},	//4751 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2930},	//4752 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2931},	//4753 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2932},	//4754 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2933},	//4755 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2934},	//4756 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2935},	//4757 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2936},	//4758 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2937},	//4759 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2938},	//4760 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2939},	//4761 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2940},	//4762 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2941},	//4763 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2942},	//4764 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2943},	//4765 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2944},	//4766 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2945},	//4767 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2946},	//4768 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2947},	//4769 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2948},	//4770 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2949},	//4771 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2950},	//4772 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2951},	//4773 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2952},	//4774 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2953},	//4775 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2954},	//4776 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2955},	//4777 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2956},	//4778 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2957},	//4779 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2958},	//4780 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2959},	//4781 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2960},	//4782 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2961},	//4783 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2962},	//4784 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2963},	//4785 QsciScintillaBase::SCLEX_D (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2964},	//4786 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2965},	//4787 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2966},	//4788 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2967},	//4789 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2968},	//4790 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2969},	//4791 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2970},	//4792 QsciScintillaBase::SCLEX_R (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2971},	//4793 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2972},	//4794 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2973},	//4795 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2974},	//4796 QsciScintillaBase::SCLEX_PO (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2975},	//4797 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2976},	//4798 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2977},	//4799 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2978},	//4800 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2979},	//4801 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2980},	//4802 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2981},	//4803 QsciScintillaBase::SCLEX_SML (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2982},	//4804 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2983},	//4805 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2984},	//4806 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2985},	//4807 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2986},	//4808 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2987},	//4809 QsciScintillaBase::SCLEX_XML (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2988},	//4810 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2989},	//4811 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2990},	//4812 QsciScintillaBase::SCLEX_VB (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2991},	//4813 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2992},	//4814 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2993},	//4815 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2994},	//4816 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2995},	//4817 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2996},	//4818 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2997},	//4819 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2998},	//4820 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2999},	//4821 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3000},	//4822 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3001},	//4823 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3002},	//4824 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3003},	//4825 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3004},	//4826 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3005},	//4827 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3006},	//4828 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3007},	//4829 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3008},	//4830 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3009},	//4831 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3010},	//4832 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3011},	//4833 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3012},	//4834 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3013},	//4835 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3014},	//4836 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3015},	//4837 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3016},	//4838 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3017},	//4839 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3018},	//4840 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3019},	//4841 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3020},	//4842 QsciScintillaBase::SCLEX_POV (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3021},	//4843 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3022},	//4844 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3023},	//4845 QsciScintillaBase::SCLEX_PS (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3024},	//4846 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3025},	//4847 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3026},	//4848 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3027},	//4849 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3028},	//4850 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3029},	//4851 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3030},	//4852 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3031},	//4853 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3032},	//4854 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3033},	//4855 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3034},	//4856 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3035},	//4857 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3036},	//4858 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3037},	//4859 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3038},	//4860 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3039},	//4861 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3040},	//4862 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3041},	//4863 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3042},	//4864 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3043},	//4865 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3044},	//4866 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3045},	//4867 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3046},	//4868 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3047},	//4869 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3048},	//4870 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3049},	//4871 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3050},	//4872 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3051},	//4873 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3052},	//4874 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3053},	//4875 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3054},	//4876 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3055},	//4877 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3056},	//4878 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3057},	//4879 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3058},	//4880 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3059},	//4881 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3060},	//4882 QsciScintillaBase::SCLEX_D (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3061},	//4883 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3062},	//4884 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3063},	//4885 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3064},	//4886 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3065},	//4887 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3066},	//4888 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3067},	//4889 QsciScintillaBase::SCLEX_R (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3068},	//4890 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3069},	//4891 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3070},	//4892 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3071},	//4893 QsciScintillaBase::SCLEX_PO (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3072},	//4894 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3073},	//4895 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3074},	//4896 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3075},	//4897 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3076},	//4898 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3077},	//4899 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3078},	//4900 QsciScintillaBase::SCLEX_SML (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3079},	//4901 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3080},	//4902 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3081},	//4903 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3082},	//4904 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3083},	//4905 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3084},	//4906 QsciScintillaBase::SCLEX_XML (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3085},	//4907 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3086},	//4908 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3087},	//4909 QsciScintillaBase::SCLEX_VB (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3088},	//4910 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3089},	//4911 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3090},	//4912 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3091},	//4913 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3092},	//4914 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3093},	//4915 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3094},	//4916 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3095},	//4917 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3096},	//4918 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3097},	//4919 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3098},	//4920 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3099},	//4921 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3100},	//4922 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3101},	//4923 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3102},	//4924 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3103},	//4925 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3104},	//4926 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3105},	//4927 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3106},	//4928 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3107},	//4929 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3108},	//4930 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3109},	//4931 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3110},	//4932 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3111},	//4933 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3112},	//4934 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3113},	//4935 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3114},	//4936 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3115},	//4937 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3116},	//4938 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3117},	//4939 QsciScintillaBase::SCLEX_POV (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3118},	//4940 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3119},	//4941 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3120},	//4942 QsciScintillaBase::SCLEX_PS (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3121},	//4943 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3122},	//4944 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3123},	//4945 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3124},	//4946 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3125},	//4947 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3126},	//4948 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3127},	//4949 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3128},	//4950 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3129},	//4951 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3130},	//4952 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3131},	//4953 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3132},	//4954 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3133},	//4955 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3134},	//4956 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3135},	//4957 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3136},	//4958 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3137},	//4959 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3138},	//4960 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3139},	//4961 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3140},	//4962 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3141},	//4963 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3142},	//4964 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3143},	//4965 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3144},	//4966 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3145},	//4967 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3146},	//4968 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3147},	//4969 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3148},	//4970 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3149},	//4971 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3150},	//4972 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3151},	//4973 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3152},	//4974 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3153},	//4975 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3154},	//4976 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3155},	//4977 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3156},	//4978 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3157},	//4979 QsciScintillaBase::SCLEX_D (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3158},	//4980 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3159},	//4981 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3160},	//4982 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3161},	//4983 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3162},	//4984 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3163},	//4985 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3164},	//4986 QsciScintillaBase::SCLEX_R (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3165},	//4987 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3166},	//4988 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3167},	//4989 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3168},	//4990 QsciScintillaBase::SCLEX_PO (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3169},	//4991 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3170},	//4992 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3171},	//4993 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3172},	//4994 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3173},	//4995 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3174},	//4996 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3175},	//4997 QsciScintillaBase::SCLEX_SML (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3176},	//4998 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3177},	//4999 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3178},	//5000 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3179},	//5001 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3180},	//5002 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3181},	//5003 QsciScintillaBase::SCLEX_XML (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3182},	//5004 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3183},	//5005 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3184},	//5006 QsciScintillaBase::SCLEX_VB (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3185},	//5007 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3186},	//5008 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3187},	//5009 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3188},	//5010 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3189},	//5011 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3190},	//5012 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3191},	//5013 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3192},	//5014 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3193},	//5015 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3194},	//5016 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3195},	//5017 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3196},	//5018 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3197},	//5019 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3198},	//5020 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3199},	//5021 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3200},	//5022 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3201},	//5023 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3202},	//5024 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3203},	//5025 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3204},	//5026 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3205},	//5027 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3206},	//5028 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3207},	//5029 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3208},	//5030 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3209},	//5031 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3210},	//5032 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3211},	//5033 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3212},	//5034 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3213},	//5035 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3214},	//5036 QsciScintillaBase::SCLEX_POV (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3215},	//5037 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3216},	//5038 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3217},	//5039 QsciScintillaBase::SCLEX_PS (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3218},	//5040 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3219},	//5041 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3220},	//5042 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3221},	//5043 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3222},	//5044 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3223},	//5045 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3224},	//5046 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3225},	//5047 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3226},	//5048 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3227},	//5049 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3228},	//5050 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3229},	//5051 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3230},	//5052 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3231},	//5053 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3232},	//5054 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3233},	//5055 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3234},	//5056 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3235},	//5057 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3236},	//5058 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3237},	//5059 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3238},	//5060 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3239},	//5061 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3240},	//5062 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3241},	//5063 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3242},	//5064 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3243},	//5065 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3244},	//5066 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3245},	//5067 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3246},	//5068 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3247},	//5069 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3248},	//5070 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3249},	//5071 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3250},	//5072 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3251},	//5073 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3252},	//5074 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3253},	//5075 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3254},	//5076 QsciScintillaBase::SCLEX_D (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3255},	//5077 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3256},	//5078 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3257},	//5079 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3258},	//5080 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3259},	//5081 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3260},	//5082 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3261},	//5083 QsciScintillaBase::SCLEX_R (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3262},	//5084 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3263},	//5085 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3264},	//5086 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3265},	//5087 QsciScintillaBase::SCLEX_PO (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3266},	//5088 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3267},	//5089 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3268},	//5090 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3269},	//5091 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3270},	//5092 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3271},	//5093 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3272},	//5094 QsciScintillaBase::SCLEX_SML (enum)
    {83, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3273},	//5095 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {83, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3274},	//5096 QsciScintillaBase::SCLEX_NULL (enum)
    {83, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3275},	//5097 QsciScintillaBase::SCLEX_PYTHON (enum)
    {83, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3276},	//5098 QsciScintillaBase::SCLEX_CPP (enum)
    {83, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3277},	//5099 QsciScintillaBase::SCLEX_HTML (enum)
    {83, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3278},	//5100 QsciScintillaBase::SCLEX_XML (enum)
    {83, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3279},	//5101 QsciScintillaBase::SCLEX_PERL (enum)
    {83, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3280},	//5102 QsciScintillaBase::SCLEX_SQL (enum)
    {83, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3281},	//5103 QsciScintillaBase::SCLEX_VB (enum)
    {83, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3282},	//5104 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {83, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3283},	//5105 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {83, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3284},	//5106 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {83, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3285},	//5107 QsciScintillaBase::SCLEX_BATCH (enum)
    {83, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3286},	//5108 QsciScintillaBase::SCLEX_LATEX (enum)
    {83, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3287},	//5109 QsciScintillaBase::SCLEX_LUA (enum)
    {83, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3288},	//5110 QsciScintillaBase::SCLEX_DIFF (enum)
    {83, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3289},	//5111 QsciScintillaBase::SCLEX_CONF (enum)
    {83, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3290},	//5112 QsciScintillaBase::SCLEX_PASCAL (enum)
    {83, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3291},	//5113 QsciScintillaBase::SCLEX_AVE (enum)
    {83, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3292},	//5114 QsciScintillaBase::SCLEX_ADA (enum)
    {83, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3293},	//5115 QsciScintillaBase::SCLEX_LISP (enum)
    {83, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3294},	//5116 QsciScintillaBase::SCLEX_RUBY (enum)
    {83, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3295},	//5117 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {83, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3296},	//5118 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {83, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3297},	//5119 QsciScintillaBase::SCLEX_TCL (enum)
    {83, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3298},	//5120 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {83, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3299},	//5121 QsciScintillaBase::SCLEX_BULLANT (enum)
    {83, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3300},	//5122 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {83, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3301},	//5123 QsciScintillaBase::SCLEX_ASP (enum)
    {83, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3302},	//5124 QsciScintillaBase::SCLEX_PHP (enum)
    {83, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3303},	//5125 QsciScintillaBase::SCLEX_BAAN (enum)
    {83, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3304},	//5126 QsciScintillaBase::SCLEX_MATLAB (enum)
    {83, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3305},	//5127 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {83, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3306},	//5128 QsciScintillaBase::SCLEX_ASM (enum)
    {83, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3307},	//5129 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {83, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3308},	//5130 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {83, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3309},	//5131 QsciScintillaBase::SCLEX_F77 (enum)
    {83, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3310},	//5132 QsciScintillaBase::SCLEX_CSS (enum)
    {83, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3311},	//5133 QsciScintillaBase::SCLEX_POV (enum)
    {83, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3312},	//5134 QsciScintillaBase::SCLEX_LOUT (enum)
    {83, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3313},	//5135 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {83, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3314},	//5136 QsciScintillaBase::SCLEX_PS (enum)
    {83, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3315},	//5137 QsciScintillaBase::SCLEX_NSIS (enum)
    {83, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3316},	//5138 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {83, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3317},	//5139 QsciScintillaBase::SCLEX_CLW (enum)
    {83, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3318},	//5140 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {83, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3319},	//5141 QsciScintillaBase::SCLEX_LOT (enum)
    {83, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3320},	//5142 QsciScintillaBase::SCLEX_YAML (enum)
    {83, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3321},	//5143 QsciScintillaBase::SCLEX_TEX (enum)
    {83, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3322},	//5144 QsciScintillaBase::SCLEX_METAPOST (enum)
    {83, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3323},	//5145 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {83, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3324},	//5146 QsciScintillaBase::SCLEX_FORTH (enum)
    {83, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3325},	//5147 QsciScintillaBase::SCLEX_ERLANG (enum)
    {83, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3326},	//5148 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {83, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3327},	//5149 QsciScintillaBase::SCLEX_MSSQL (enum)
    {83, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3328},	//5150 QsciScintillaBase::SCLEX_VERILOG (enum)
    {83, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3329},	//5151 QsciScintillaBase::SCLEX_KIX (enum)
    {83, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3330},	//5152 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {83, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3331},	//5153 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {83, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3332},	//5154 QsciScintillaBase::SCLEX_AU3 (enum)
    {83, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3333},	//5155 QsciScintillaBase::SCLEX_APDL (enum)
    {83, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3334},	//5156 QsciScintillaBase::SCLEX_BASH (enum)
    {83, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3335},	//5157 QsciScintillaBase::SCLEX_ASN1 (enum)
    {83, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3336},	//5158 QsciScintillaBase::SCLEX_VHDL (enum)
    {83, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3337},	//5159 QsciScintillaBase::SCLEX_CAML (enum)
    {83, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3338},	//5160 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {83, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3339},	//5161 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {83, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3340},	//5162 QsciScintillaBase::SCLEX_HASKELL (enum)
    {83, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3341},	//5163 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {83, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3342},	//5164 QsciScintillaBase::SCLEX_TADS3 (enum)
    {83, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3343},	//5165 QsciScintillaBase::SCLEX_REBOL (enum)
    {83, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3344},	//5166 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {83, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3345},	//5167 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {83, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3346},	//5168 QsciScintillaBase::SCLEX_CSOUND (enum)
    {83, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3347},	//5169 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {83, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3348},	//5170 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {83, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3349},	//5171 QsciScintillaBase::SCLEX_OPAL (enum)
    {83, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3350},	//5172 QsciScintillaBase::SCLEX_SPICE (enum)
    {83, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3351},	//5173 QsciScintillaBase::SCLEX_D (enum)
    {83, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3352},	//5174 QsciScintillaBase::SCLEX_CMAKE (enum)
    {83, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3353},	//5175 QsciScintillaBase::SCLEX_GAP (enum)
    {83, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3354},	//5176 QsciScintillaBase::SCLEX_PLM (enum)
    {83, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3355},	//5177 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {83, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3356},	//5178 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {83, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3357},	//5179 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {83, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3358},	//5180 QsciScintillaBase::SCLEX_R (enum)
    {83, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3359},	//5181 QsciScintillaBase::SCLEX_MAGIK (enum)
    {83, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3360},	//5182 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {83, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3361},	//5183 QsciScintillaBase::SCLEX_MYSQL (enum)
    {83, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3362},	//5184 QsciScintillaBase::SCLEX_PO (enum)
    {83, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3363},	//5185 QsciScintillaBase::SCLEX_TAL (enum)
    {83, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3364},	//5186 QsciScintillaBase::SCLEX_COBOL (enum)
    {83, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3365},	//5187 QsciScintillaBase::SCLEX_TACL (enum)
    {83, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3366},	//5188 QsciScintillaBase::SCLEX_SORCUS (enum)
    {83, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3367},	//5189 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {83, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3368},	//5190 QsciScintillaBase::SCLEX_NIMROD (enum)
    {83, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3369},	//5191 QsciScintillaBase::SCLEX_SML (enum)
    {83, 1375, 0, 0, Smoke::mf_dtor, 0, 3370 },	//5192 QsciScintillaBase::~QsciScintillaBase()
    {84, 418, 18, 1, Smoke::mf_ctor, 101, 1},	//5193 QsciStyle::QsciStyle(int)
    {84, 418, 374, 6, Smoke::mf_ctor, 101, 2},	//5194 QsciStyle::QsciStyle(int, const QString&, const QColor&, const QColor&, const QFont&, bool)
    {84, 1277, 0, 0, Smoke::mf_const, 199, 3},	//5195 QsciStyle::style() const
    {84, 1102, 57, 1, 0, 0, 4},	//5196 QsciStyle::setDescription(const QString&)
    {84, 790, 0, 0, Smoke::mf_const, 36, 5},	//5197 QsciStyle::description() const
    {84, 1091, 80, 1, 0, 0, 6},	//5198 QsciStyle::setColor(const QColor&)
    {84, 763, 0, 0, Smoke::mf_const, 5, 7},	//5199 QsciStyle::color() const
    {84, 1212, 80, 1, 0, 0, 8},	//5200 QsciStyle::setPaper(const QColor&)
    {84, 980, 0, 0, Smoke::mf_const, 5, 9},	//5201 QsciStyle::paper() const
    {84, 1152, 42, 1, 0, 0, 10},	//5202 QsciStyle::setFont(const QFont&)
    {84, 855, 0, 0, Smoke::mf_const, 13, 11},	//5203 QsciStyle::font() const
    {84, 1116, 16, 1, 0, 0, 12},	//5204 QsciStyle::setEolFill(bool)
    {84, 815, 0, 0, Smoke::mf_const, 178, 13},	//5205 QsciStyle::eolFill() const
    {84, 1240, 381, 1, 0, 0, 14},	//5206 QsciStyle::setTextCase(QsciStyle::TextCase)
    {84, 1288, 0, 0, Smoke::mf_const, 102, 15},	//5207 QsciStyle::textCase() const
    {84, 1256, 16, 1, 0, 0, 16},	//5208 QsciStyle::setVisible(bool)
    {84, 1315, 0, 0, Smoke::mf_const, 178, 17},	//5209 QsciStyle::visible() const
    {84, 1089, 16, 1, 0, 0, 18},	//5210 QsciStyle::setChangeable(bool)
    {84, 752, 0, 0, Smoke::mf_const, 178, 19},	//5211 QsciStyle::changeable() const
    {84, 1155, 16, 1, 0, 0, 20},	//5212 QsciStyle::setHotspot(bool)
    {84, 869, 0, 0, Smoke::mf_const, 178, 21},	//5213 QsciStyle::hotspot() const
    {84, 1011, 0, 0, 0, 0, 22},	//5214 QsciStyle::refresh()
    {84, 418, 383, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 101, 23},	//5215 QsciStyle::QsciStyle(const QsciStyle&)
    {84, 418, 0, 0, Smoke::mf_ctor, 101, 24},	//5216 QsciStyle::QsciStyle()
    {84, 418, 385, 5, Smoke::mf_ctor, 101, 25},	//5217 QsciStyle::QsciStyle(int, const QString&, const QColor&, const QColor&, const QFont&)
    {84, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 26},	//5218 QsciStyle::OriginalCase (enum)
    {84, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 27},	//5219 QsciStyle::UpperCase (enum)
    {84, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 28},	//5220 QsciStyle::LowerCase (enum)
    {84, 1376, 0, 0, Smoke::mf_dtor, 0, 29 },	//5221 QsciStyle::~QsciStyle()
    {85, 423, 391, 2, Smoke::mf_ctor, 103, 1},	//5222 QsciStyledText::QsciStyledText(const QString&, int)
    {85, 423, 394, 2, Smoke::mf_ctor, 103, 2},	//5223 QsciStyledText::QsciStyledText(const QString&, const QsciStyle&)
    {85, 1286, 0, 0, Smoke::mf_const, 191, 3},	//5224 QsciStyledText::text() const
    {85, 1277, 0, 0, Smoke::mf_const, 199, 4},	//5225 QsciStyledText::style() const
    {85, 423, 397, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 103, 5},	//5226 QsciStyledText::QsciStyledText(const QsciStyledText&)
    {85, 1377, 0, 0, Smoke::mf_dtor, 0, 6 },	//5227 QsciStyledText::~QsciStyledText()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    5178,  // QsciScintillaBase::SCLEX_ABAQUS
    5178,  // QsciScintillaBase::SCLEX_ABAQUS
    5178,  // QsciScintillaBase::SCLEX_ABAQUS
    5178,  // QsciScintillaBase::SCLEX_ABAQUS
    5178,  // QsciScintillaBase::SCLEX_ABAQUS
    5178,  // QsciScintillaBase::SCLEX_ABAQUS
    5178,  // QsciScintillaBase::SCLEX_ABAQUS
    5178,  // QsciScintillaBase::SCLEX_ABAQUS
    5178,  // QsciScintillaBase::SCLEX_ABAQUS
    5178,  // QsciScintillaBase::SCLEX_ABAQUS
    5178,  // QsciScintillaBase::SCLEX_ABAQUS
    5178,  // QsciScintillaBase::SCLEX_ABAQUS
    5178,  // QsciScintillaBase::SCLEX_ABAQUS
    5178,  // QsciScintillaBase::SCLEX_ABAQUS
    5178,  // QsciScintillaBase::SCLEX_ABAQUS
    5178,  // QsciScintillaBase::SCLEX_ABAQUS
    5178,  // QsciScintillaBase::SCLEX_ABAQUS
    5178,  // QsciScintillaBase::SCLEX_ABAQUS
    5178,  // QsciScintillaBase::SCLEX_ABAQUS
    5178,  // QsciScintillaBase::SCLEX_ABAQUS
    5178,  // QsciScintillaBase::SCLEX_ABAQUS
    5178,  // QsciScintillaBase::SCLEX_ABAQUS
    5178,  // QsciScintillaBase::SCLEX_ABAQUS
    5178,  // QsciScintillaBase::SCLEX_ABAQUS
    5178,  // QsciScintillaBase::SCLEX_ABAQUS
    5178,  // QsciScintillaBase::SCLEX_ABAQUS
    5178,  // QsciScintillaBase::SCLEX_ABAQUS
    5178,  // QsciScintillaBase::SCLEX_ABAQUS
    5178,  // QsciScintillaBase::SCLEX_ABAQUS
    5178,  // QsciScintillaBase::SCLEX_ABAQUS
    5178,  // QsciScintillaBase::SCLEX_ABAQUS
    5178,  // QsciScintillaBase::SCLEX_ABAQUS
    5178,  // QsciScintillaBase::SCLEX_ABAQUS
    5178,  // QsciScintillaBase::SCLEX_ABAQUS
    0,
    5114,  // QsciScintillaBase::SCLEX_ADA
    5114,  // QsciScintillaBase::SCLEX_ADA
    5114,  // QsciScintillaBase::SCLEX_ADA
    5114,  // QsciScintillaBase::SCLEX_ADA
    5114,  // QsciScintillaBase::SCLEX_ADA
    5114,  // QsciScintillaBase::SCLEX_ADA
    5114,  // QsciScintillaBase::SCLEX_ADA
    5114,  // QsciScintillaBase::SCLEX_ADA
    5114,  // QsciScintillaBase::SCLEX_ADA
    5114,  // QsciScintillaBase::SCLEX_ADA
    5114,  // QsciScintillaBase::SCLEX_ADA
    5114,  // QsciScintillaBase::SCLEX_ADA
    5114,  // QsciScintillaBase::SCLEX_ADA
    5114,  // QsciScintillaBase::SCLEX_ADA
    5114,  // QsciScintillaBase::SCLEX_ADA
    5114,  // QsciScintillaBase::SCLEX_ADA
    5114,  // QsciScintillaBase::SCLEX_ADA
    5114,  // QsciScintillaBase::SCLEX_ADA
    5114,  // QsciScintillaBase::SCLEX_ADA
    5114,  // QsciScintillaBase::SCLEX_ADA
    5114,  // QsciScintillaBase::SCLEX_ADA
    5114,  // QsciScintillaBase::SCLEX_ADA
    5114,  // QsciScintillaBase::SCLEX_ADA
    5114,  // QsciScintillaBase::SCLEX_ADA
    5114,  // QsciScintillaBase::SCLEX_ADA
    5114,  // QsciScintillaBase::SCLEX_ADA
    5114,  // QsciScintillaBase::SCLEX_ADA
    5114,  // QsciScintillaBase::SCLEX_ADA
    5114,  // QsciScintillaBase::SCLEX_ADA
    5114,  // QsciScintillaBase::SCLEX_ADA
    5114,  // QsciScintillaBase::SCLEX_ADA
    5114,  // QsciScintillaBase::SCLEX_ADA
    5114,  // QsciScintillaBase::SCLEX_ADA
    5114,  // QsciScintillaBase::SCLEX_ADA
    0,
    5155,  // QsciScintillaBase::SCLEX_APDL
    5155,  // QsciScintillaBase::SCLEX_APDL
    5155,  // QsciScintillaBase::SCLEX_APDL
    5155,  // QsciScintillaBase::SCLEX_APDL
    5155,  // QsciScintillaBase::SCLEX_APDL
    5155,  // QsciScintillaBase::SCLEX_APDL
    5155,  // QsciScintillaBase::SCLEX_APDL
    5155,  // QsciScintillaBase::SCLEX_APDL
    5155,  // QsciScintillaBase::SCLEX_APDL
    5155,  // QsciScintillaBase::SCLEX_APDL
    5155,  // QsciScintillaBase::SCLEX_APDL
    5155,  // QsciScintillaBase::SCLEX_APDL
    5155,  // QsciScintillaBase::SCLEX_APDL
    5155,  // QsciScintillaBase::SCLEX_APDL
    5155,  // QsciScintillaBase::SCLEX_APDL
    5155,  // QsciScintillaBase::SCLEX_APDL
    5155,  // QsciScintillaBase::SCLEX_APDL
    5155,  // QsciScintillaBase::SCLEX_APDL
    5155,  // QsciScintillaBase::SCLEX_APDL
    5155,  // QsciScintillaBase::SCLEX_APDL
    5155,  // QsciScintillaBase::SCLEX_APDL
    5155,  // QsciScintillaBase::SCLEX_APDL
    5155,  // QsciScintillaBase::SCLEX_APDL
    5155,  // QsciScintillaBase::SCLEX_APDL
    5155,  // QsciScintillaBase::SCLEX_APDL
    5155,  // QsciScintillaBase::SCLEX_APDL
    5155,  // QsciScintillaBase::SCLEX_APDL
    5155,  // QsciScintillaBase::SCLEX_APDL
    5155,  // QsciScintillaBase::SCLEX_APDL
    5155,  // QsciScintillaBase::SCLEX_APDL
    5155,  // QsciScintillaBase::SCLEX_APDL
    5155,  // QsciScintillaBase::SCLEX_APDL
    5155,  // QsciScintillaBase::SCLEX_APDL
    5155,  // QsciScintillaBase::SCLEX_APDL
    0,
    5128,  // QsciScintillaBase::SCLEX_ASM
    5128,  // QsciScintillaBase::SCLEX_ASM
    5128,  // QsciScintillaBase::SCLEX_ASM
    5128,  // QsciScintillaBase::SCLEX_ASM
    5128,  // QsciScintillaBase::SCLEX_ASM
    5128,  // QsciScintillaBase::SCLEX_ASM
    5128,  // QsciScintillaBase::SCLEX_ASM
    5128,  // QsciScintillaBase::SCLEX_ASM
    5128,  // QsciScintillaBase::SCLEX_ASM
    5128,  // QsciScintillaBase::SCLEX_ASM
    5128,  // QsciScintillaBase::SCLEX_ASM
    5128,  // QsciScintillaBase::SCLEX_ASM
    5128,  // QsciScintillaBase::SCLEX_ASM
    5128,  // QsciScintillaBase::SCLEX_ASM
    5128,  // QsciScintillaBase::SCLEX_ASM
    5128,  // QsciScintillaBase::SCLEX_ASM
    5128,  // QsciScintillaBase::SCLEX_ASM
    5128,  // QsciScintillaBase::SCLEX_ASM
    5128,  // QsciScintillaBase::SCLEX_ASM
    5128,  // QsciScintillaBase::SCLEX_ASM
    5128,  // QsciScintillaBase::SCLEX_ASM
    5128,  // QsciScintillaBase::SCLEX_ASM
    5128,  // QsciScintillaBase::SCLEX_ASM
    5128,  // QsciScintillaBase::SCLEX_ASM
    5128,  // QsciScintillaBase::SCLEX_ASM
    5128,  // QsciScintillaBase::SCLEX_ASM
    5128,  // QsciScintillaBase::SCLEX_ASM
    5128,  // QsciScintillaBase::SCLEX_ASM
    5128,  // QsciScintillaBase::SCLEX_ASM
    5128,  // QsciScintillaBase::SCLEX_ASM
    5128,  // QsciScintillaBase::SCLEX_ASM
    5128,  // QsciScintillaBase::SCLEX_ASM
    5128,  // QsciScintillaBase::SCLEX_ASM
    5128,  // QsciScintillaBase::SCLEX_ASM
    0,
    5157,  // QsciScintillaBase::SCLEX_ASN1
    5157,  // QsciScintillaBase::SCLEX_ASN1
    5157,  // QsciScintillaBase::SCLEX_ASN1
    5157,  // QsciScintillaBase::SCLEX_ASN1
    5157,  // QsciScintillaBase::SCLEX_ASN1
    5157,  // QsciScintillaBase::SCLEX_ASN1
    5157,  // QsciScintillaBase::SCLEX_ASN1
    5157,  // QsciScintillaBase::SCLEX_ASN1
    5157,  // QsciScintillaBase::SCLEX_ASN1
    5157,  // QsciScintillaBase::SCLEX_ASN1
    5157,  // QsciScintillaBase::SCLEX_ASN1
    5157,  // QsciScintillaBase::SCLEX_ASN1
    5157,  // QsciScintillaBase::SCLEX_ASN1
    5157,  // QsciScintillaBase::SCLEX_ASN1
    5157,  // QsciScintillaBase::SCLEX_ASN1
    5157,  // QsciScintillaBase::SCLEX_ASN1
    5157,  // QsciScintillaBase::SCLEX_ASN1
    5157,  // QsciScintillaBase::SCLEX_ASN1
    5157,  // QsciScintillaBase::SCLEX_ASN1
    5157,  // QsciScintillaBase::SCLEX_ASN1
    5157,  // QsciScintillaBase::SCLEX_ASN1
    5157,  // QsciScintillaBase::SCLEX_ASN1
    5157,  // QsciScintillaBase::SCLEX_ASN1
    5157,  // QsciScintillaBase::SCLEX_ASN1
    5157,  // QsciScintillaBase::SCLEX_ASN1
    5157,  // QsciScintillaBase::SCLEX_ASN1
    5157,  // QsciScintillaBase::SCLEX_ASN1
    5157,  // QsciScintillaBase::SCLEX_ASN1
    5157,  // QsciScintillaBase::SCLEX_ASN1
    5157,  // QsciScintillaBase::SCLEX_ASN1
    5157,  // QsciScintillaBase::SCLEX_ASN1
    5157,  // QsciScintillaBase::SCLEX_ASN1
    5157,  // QsciScintillaBase::SCLEX_ASN1
    5157,  // QsciScintillaBase::SCLEX_ASN1
    0,
    5123,  // QsciScintillaBase::SCLEX_ASP
    5123,  // QsciScintillaBase::SCLEX_ASP
    5123,  // QsciScintillaBase::SCLEX_ASP
    5123,  // QsciScintillaBase::SCLEX_ASP
    5123,  // QsciScintillaBase::SCLEX_ASP
    5123,  // QsciScintillaBase::SCLEX_ASP
    5123,  // QsciScintillaBase::SCLEX_ASP
    5123,  // QsciScintillaBase::SCLEX_ASP
    5123,  // QsciScintillaBase::SCLEX_ASP
    5123,  // QsciScintillaBase::SCLEX_ASP
    5123,  // QsciScintillaBase::SCLEX_ASP
    5123,  // QsciScintillaBase::SCLEX_ASP
    5123,  // QsciScintillaBase::SCLEX_ASP
    5123,  // QsciScintillaBase::SCLEX_ASP
    5123,  // QsciScintillaBase::SCLEX_ASP
    5123,  // QsciScintillaBase::SCLEX_ASP
    5123,  // QsciScintillaBase::SCLEX_ASP
    5123,  // QsciScintillaBase::SCLEX_ASP
    5123,  // QsciScintillaBase::SCLEX_ASP
    5123,  // QsciScintillaBase::SCLEX_ASP
    5123,  // QsciScintillaBase::SCLEX_ASP
    5123,  // QsciScintillaBase::SCLEX_ASP
    5123,  // QsciScintillaBase::SCLEX_ASP
    5123,  // QsciScintillaBase::SCLEX_ASP
    5123,  // QsciScintillaBase::SCLEX_ASP
    5123,  // QsciScintillaBase::SCLEX_ASP
    5123,  // QsciScintillaBase::SCLEX_ASP
    5123,  // QsciScintillaBase::SCLEX_ASP
    5123,  // QsciScintillaBase::SCLEX_ASP
    5123,  // QsciScintillaBase::SCLEX_ASP
    5123,  // QsciScintillaBase::SCLEX_ASP
    5123,  // QsciScintillaBase::SCLEX_ASP
    5123,  // QsciScintillaBase::SCLEX_ASP
    5123,  // QsciScintillaBase::SCLEX_ASP
    0,
    5179,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5179,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5179,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5179,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5179,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5179,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5179,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5179,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5179,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5179,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5179,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5179,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5179,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5179,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5179,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5179,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5179,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5179,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5179,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5179,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5179,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5179,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5179,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5179,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5179,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5179,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5179,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5179,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5179,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5179,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5179,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5179,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5179,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5179,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    0,
    5154,  // QsciScintillaBase::SCLEX_AU3
    5154,  // QsciScintillaBase::SCLEX_AU3
    5154,  // QsciScintillaBase::SCLEX_AU3
    5154,  // QsciScintillaBase::SCLEX_AU3
    5154,  // QsciScintillaBase::SCLEX_AU3
    5154,  // QsciScintillaBase::SCLEX_AU3
    5154,  // QsciScintillaBase::SCLEX_AU3
    5154,  // QsciScintillaBase::SCLEX_AU3
    5154,  // QsciScintillaBase::SCLEX_AU3
    5154,  // QsciScintillaBase::SCLEX_AU3
    5154,  // QsciScintillaBase::SCLEX_AU3
    5154,  // QsciScintillaBase::SCLEX_AU3
    5154,  // QsciScintillaBase::SCLEX_AU3
    5154,  // QsciScintillaBase::SCLEX_AU3
    5154,  // QsciScintillaBase::SCLEX_AU3
    5154,  // QsciScintillaBase::SCLEX_AU3
    5154,  // QsciScintillaBase::SCLEX_AU3
    5154,  // QsciScintillaBase::SCLEX_AU3
    5154,  // QsciScintillaBase::SCLEX_AU3
    5154,  // QsciScintillaBase::SCLEX_AU3
    5154,  // QsciScintillaBase::SCLEX_AU3
    5154,  // QsciScintillaBase::SCLEX_AU3
    5154,  // QsciScintillaBase::SCLEX_AU3
    5154,  // QsciScintillaBase::SCLEX_AU3
    5154,  // QsciScintillaBase::SCLEX_AU3
    5154,  // QsciScintillaBase::SCLEX_AU3
    5154,  // QsciScintillaBase::SCLEX_AU3
    5154,  // QsciScintillaBase::SCLEX_AU3
    5154,  // QsciScintillaBase::SCLEX_AU3
    5154,  // QsciScintillaBase::SCLEX_AU3
    5154,  // QsciScintillaBase::SCLEX_AU3
    5154,  // QsciScintillaBase::SCLEX_AU3
    5154,  // QsciScintillaBase::SCLEX_AU3
    5154,  // QsciScintillaBase::SCLEX_AU3
    0,
    5113,  // QsciScintillaBase::SCLEX_AVE
    5113,  // QsciScintillaBase::SCLEX_AVE
    5113,  // QsciScintillaBase::SCLEX_AVE
    5113,  // QsciScintillaBase::SCLEX_AVE
    5113,  // QsciScintillaBase::SCLEX_AVE
    5113,  // QsciScintillaBase::SCLEX_AVE
    5113,  // QsciScintillaBase::SCLEX_AVE
    5113,  // QsciScintillaBase::SCLEX_AVE
    5113,  // QsciScintillaBase::SCLEX_AVE
    5113,  // QsciScintillaBase::SCLEX_AVE
    5113,  // QsciScintillaBase::SCLEX_AVE
    5113,  // QsciScintillaBase::SCLEX_AVE
    5113,  // QsciScintillaBase::SCLEX_AVE
    5113,  // QsciScintillaBase::SCLEX_AVE
    5113,  // QsciScintillaBase::SCLEX_AVE
    5113,  // QsciScintillaBase::SCLEX_AVE
    5113,  // QsciScintillaBase::SCLEX_AVE
    5113,  // QsciScintillaBase::SCLEX_AVE
    5113,  // QsciScintillaBase::SCLEX_AVE
    5113,  // QsciScintillaBase::SCLEX_AVE
    5113,  // QsciScintillaBase::SCLEX_AVE
    5113,  // QsciScintillaBase::SCLEX_AVE
    5113,  // QsciScintillaBase::SCLEX_AVE
    5113,  // QsciScintillaBase::SCLEX_AVE
    5113,  // QsciScintillaBase::SCLEX_AVE
    5113,  // QsciScintillaBase::SCLEX_AVE
    5113,  // QsciScintillaBase::SCLEX_AVE
    5113,  // QsciScintillaBase::SCLEX_AVE
    5113,  // QsciScintillaBase::SCLEX_AVE
    5113,  // QsciScintillaBase::SCLEX_AVE
    5113,  // QsciScintillaBase::SCLEX_AVE
    5113,  // QsciScintillaBase::SCLEX_AVE
    5113,  // QsciScintillaBase::SCLEX_AVE
    5113,  // QsciScintillaBase::SCLEX_AVE
    0,
    5125,  // QsciScintillaBase::SCLEX_BAAN
    5125,  // QsciScintillaBase::SCLEX_BAAN
    5125,  // QsciScintillaBase::SCLEX_BAAN
    5125,  // QsciScintillaBase::SCLEX_BAAN
    5125,  // QsciScintillaBase::SCLEX_BAAN
    5125,  // QsciScintillaBase::SCLEX_BAAN
    5125,  // QsciScintillaBase::SCLEX_BAAN
    5125,  // QsciScintillaBase::SCLEX_BAAN
    5125,  // QsciScintillaBase::SCLEX_BAAN
    5125,  // QsciScintillaBase::SCLEX_BAAN
    5125,  // QsciScintillaBase::SCLEX_BAAN
    5125,  // QsciScintillaBase::SCLEX_BAAN
    5125,  // QsciScintillaBase::SCLEX_BAAN
    5125,  // QsciScintillaBase::SCLEX_BAAN
    5125,  // QsciScintillaBase::SCLEX_BAAN
    5125,  // QsciScintillaBase::SCLEX_BAAN
    5125,  // QsciScintillaBase::SCLEX_BAAN
    5125,  // QsciScintillaBase::SCLEX_BAAN
    5125,  // QsciScintillaBase::SCLEX_BAAN
    5125,  // QsciScintillaBase::SCLEX_BAAN
    5125,  // QsciScintillaBase::SCLEX_BAAN
    5125,  // QsciScintillaBase::SCLEX_BAAN
    5125,  // QsciScintillaBase::SCLEX_BAAN
    5125,  // QsciScintillaBase::SCLEX_BAAN
    5125,  // QsciScintillaBase::SCLEX_BAAN
    5125,  // QsciScintillaBase::SCLEX_BAAN
    5125,  // QsciScintillaBase::SCLEX_BAAN
    5125,  // QsciScintillaBase::SCLEX_BAAN
    5125,  // QsciScintillaBase::SCLEX_BAAN
    5125,  // QsciScintillaBase::SCLEX_BAAN
    5125,  // QsciScintillaBase::SCLEX_BAAN
    5125,  // QsciScintillaBase::SCLEX_BAAN
    5125,  // QsciScintillaBase::SCLEX_BAAN
    5125,  // QsciScintillaBase::SCLEX_BAAN
    0,
    5156,  // QsciScintillaBase::SCLEX_BASH
    5156,  // QsciScintillaBase::SCLEX_BASH
    5156,  // QsciScintillaBase::SCLEX_BASH
    5156,  // QsciScintillaBase::SCLEX_BASH
    5156,  // QsciScintillaBase::SCLEX_BASH
    5156,  // QsciScintillaBase::SCLEX_BASH
    5156,  // QsciScintillaBase::SCLEX_BASH
    5156,  // QsciScintillaBase::SCLEX_BASH
    5156,  // QsciScintillaBase::SCLEX_BASH
    5156,  // QsciScintillaBase::SCLEX_BASH
    5156,  // QsciScintillaBase::SCLEX_BASH
    5156,  // QsciScintillaBase::SCLEX_BASH
    5156,  // QsciScintillaBase::SCLEX_BASH
    5156,  // QsciScintillaBase::SCLEX_BASH
    5156,  // QsciScintillaBase::SCLEX_BASH
    5156,  // QsciScintillaBase::SCLEX_BASH
    5156,  // QsciScintillaBase::SCLEX_BASH
    5156,  // QsciScintillaBase::SCLEX_BASH
    5156,  // QsciScintillaBase::SCLEX_BASH
    5156,  // QsciScintillaBase::SCLEX_BASH
    5156,  // QsciScintillaBase::SCLEX_BASH
    5156,  // QsciScintillaBase::SCLEX_BASH
    5156,  // QsciScintillaBase::SCLEX_BASH
    5156,  // QsciScintillaBase::SCLEX_BASH
    5156,  // QsciScintillaBase::SCLEX_BASH
    5156,  // QsciScintillaBase::SCLEX_BASH
    5156,  // QsciScintillaBase::SCLEX_BASH
    5156,  // QsciScintillaBase::SCLEX_BASH
    5156,  // QsciScintillaBase::SCLEX_BASH
    5156,  // QsciScintillaBase::SCLEX_BASH
    5156,  // QsciScintillaBase::SCLEX_BASH
    5156,  // QsciScintillaBase::SCLEX_BASH
    5156,  // QsciScintillaBase::SCLEX_BASH
    5156,  // QsciScintillaBase::SCLEX_BASH
    0,
    5107,  // QsciScintillaBase::SCLEX_BATCH
    5107,  // QsciScintillaBase::SCLEX_BATCH
    5107,  // QsciScintillaBase::SCLEX_BATCH
    5107,  // QsciScintillaBase::SCLEX_BATCH
    5107,  // QsciScintillaBase::SCLEX_BATCH
    5107,  // QsciScintillaBase::SCLEX_BATCH
    5107,  // QsciScintillaBase::SCLEX_BATCH
    5107,  // QsciScintillaBase::SCLEX_BATCH
    5107,  // QsciScintillaBase::SCLEX_BATCH
    5107,  // QsciScintillaBase::SCLEX_BATCH
    5107,  // QsciScintillaBase::SCLEX_BATCH
    5107,  // QsciScintillaBase::SCLEX_BATCH
    5107,  // QsciScintillaBase::SCLEX_BATCH
    5107,  // QsciScintillaBase::SCLEX_BATCH
    5107,  // QsciScintillaBase::SCLEX_BATCH
    5107,  // QsciScintillaBase::SCLEX_BATCH
    5107,  // QsciScintillaBase::SCLEX_BATCH
    5107,  // QsciScintillaBase::SCLEX_BATCH
    5107,  // QsciScintillaBase::SCLEX_BATCH
    5107,  // QsciScintillaBase::SCLEX_BATCH
    5107,  // QsciScintillaBase::SCLEX_BATCH
    5107,  // QsciScintillaBase::SCLEX_BATCH
    5107,  // QsciScintillaBase::SCLEX_BATCH
    5107,  // QsciScintillaBase::SCLEX_BATCH
    5107,  // QsciScintillaBase::SCLEX_BATCH
    5107,  // QsciScintillaBase::SCLEX_BATCH
    5107,  // QsciScintillaBase::SCLEX_BATCH
    5107,  // QsciScintillaBase::SCLEX_BATCH
    5107,  // QsciScintillaBase::SCLEX_BATCH
    5107,  // QsciScintillaBase::SCLEX_BATCH
    5107,  // QsciScintillaBase::SCLEX_BATCH
    5107,  // QsciScintillaBase::SCLEX_BATCH
    5107,  // QsciScintillaBase::SCLEX_BATCH
    5107,  // QsciScintillaBase::SCLEX_BATCH
    0,
    5160,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5160,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5160,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5160,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5160,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5160,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5160,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5160,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5160,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5160,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5160,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5160,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5160,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5160,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5160,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5160,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5160,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5160,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5160,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5160,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5160,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5160,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5160,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5160,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5160,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5160,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5160,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5160,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5160,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5160,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5160,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5160,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5160,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5160,  // QsciScintillaBase::SCLEX_BLITZBASIC
    0,
    5121,  // QsciScintillaBase::SCLEX_BULLANT
    5121,  // QsciScintillaBase::SCLEX_BULLANT
    5121,  // QsciScintillaBase::SCLEX_BULLANT
    5121,  // QsciScintillaBase::SCLEX_BULLANT
    5121,  // QsciScintillaBase::SCLEX_BULLANT
    5121,  // QsciScintillaBase::SCLEX_BULLANT
    5121,  // QsciScintillaBase::SCLEX_BULLANT
    5121,  // QsciScintillaBase::SCLEX_BULLANT
    5121,  // QsciScintillaBase::SCLEX_BULLANT
    5121,  // QsciScintillaBase::SCLEX_BULLANT
    5121,  // QsciScintillaBase::SCLEX_BULLANT
    5121,  // QsciScintillaBase::SCLEX_BULLANT
    5121,  // QsciScintillaBase::SCLEX_BULLANT
    5121,  // QsciScintillaBase::SCLEX_BULLANT
    5121,  // QsciScintillaBase::SCLEX_BULLANT
    5121,  // QsciScintillaBase::SCLEX_BULLANT
    5121,  // QsciScintillaBase::SCLEX_BULLANT
    5121,  // QsciScintillaBase::SCLEX_BULLANT
    5121,  // QsciScintillaBase::SCLEX_BULLANT
    5121,  // QsciScintillaBase::SCLEX_BULLANT
    5121,  // QsciScintillaBase::SCLEX_BULLANT
    5121,  // QsciScintillaBase::SCLEX_BULLANT
    5121,  // QsciScintillaBase::SCLEX_BULLANT
    5121,  // QsciScintillaBase::SCLEX_BULLANT
    5121,  // QsciScintillaBase::SCLEX_BULLANT
    5121,  // QsciScintillaBase::SCLEX_BULLANT
    5121,  // QsciScintillaBase::SCLEX_BULLANT
    5121,  // QsciScintillaBase::SCLEX_BULLANT
    5121,  // QsciScintillaBase::SCLEX_BULLANT
    5121,  // QsciScintillaBase::SCLEX_BULLANT
    5121,  // QsciScintillaBase::SCLEX_BULLANT
    5121,  // QsciScintillaBase::SCLEX_BULLANT
    5121,  // QsciScintillaBase::SCLEX_BULLANT
    5121,  // QsciScintillaBase::SCLEX_BULLANT
    0,
    5159,  // QsciScintillaBase::SCLEX_CAML
    5159,  // QsciScintillaBase::SCLEX_CAML
    5159,  // QsciScintillaBase::SCLEX_CAML
    5159,  // QsciScintillaBase::SCLEX_CAML
    5159,  // QsciScintillaBase::SCLEX_CAML
    5159,  // QsciScintillaBase::SCLEX_CAML
    5159,  // QsciScintillaBase::SCLEX_CAML
    5159,  // QsciScintillaBase::SCLEX_CAML
    5159,  // QsciScintillaBase::SCLEX_CAML
    5159,  // QsciScintillaBase::SCLEX_CAML
    5159,  // QsciScintillaBase::SCLEX_CAML
    5159,  // QsciScintillaBase::SCLEX_CAML
    5159,  // QsciScintillaBase::SCLEX_CAML
    5159,  // QsciScintillaBase::SCLEX_CAML
    5159,  // QsciScintillaBase::SCLEX_CAML
    5159,  // QsciScintillaBase::SCLEX_CAML
    5159,  // QsciScintillaBase::SCLEX_CAML
    5159,  // QsciScintillaBase::SCLEX_CAML
    5159,  // QsciScintillaBase::SCLEX_CAML
    5159,  // QsciScintillaBase::SCLEX_CAML
    5159,  // QsciScintillaBase::SCLEX_CAML
    5159,  // QsciScintillaBase::SCLEX_CAML
    5159,  // QsciScintillaBase::SCLEX_CAML
    5159,  // QsciScintillaBase::SCLEX_CAML
    5159,  // QsciScintillaBase::SCLEX_CAML
    5159,  // QsciScintillaBase::SCLEX_CAML
    5159,  // QsciScintillaBase::SCLEX_CAML
    5159,  // QsciScintillaBase::SCLEX_CAML
    5159,  // QsciScintillaBase::SCLEX_CAML
    5159,  // QsciScintillaBase::SCLEX_CAML
    5159,  // QsciScintillaBase::SCLEX_CAML
    5159,  // QsciScintillaBase::SCLEX_CAML
    5159,  // QsciScintillaBase::SCLEX_CAML
    5159,  // QsciScintillaBase::SCLEX_CAML
    0,
    5139,  // QsciScintillaBase::SCLEX_CLW
    5139,  // QsciScintillaBase::SCLEX_CLW
    5139,  // QsciScintillaBase::SCLEX_CLW
    5139,  // QsciScintillaBase::SCLEX_CLW
    5139,  // QsciScintillaBase::SCLEX_CLW
    5139,  // QsciScintillaBase::SCLEX_CLW
    5139,  // QsciScintillaBase::SCLEX_CLW
    5139,  // QsciScintillaBase::SCLEX_CLW
    5139,  // QsciScintillaBase::SCLEX_CLW
    5139,  // QsciScintillaBase::SCLEX_CLW
    5139,  // QsciScintillaBase::SCLEX_CLW
    5139,  // QsciScintillaBase::SCLEX_CLW
    5139,  // QsciScintillaBase::SCLEX_CLW
    5139,  // QsciScintillaBase::SCLEX_CLW
    5139,  // QsciScintillaBase::SCLEX_CLW
    5139,  // QsciScintillaBase::SCLEX_CLW
    5139,  // QsciScintillaBase::SCLEX_CLW
    5139,  // QsciScintillaBase::SCLEX_CLW
    5139,  // QsciScintillaBase::SCLEX_CLW
    5139,  // QsciScintillaBase::SCLEX_CLW
    5139,  // QsciScintillaBase::SCLEX_CLW
    5139,  // QsciScintillaBase::SCLEX_CLW
    5139,  // QsciScintillaBase::SCLEX_CLW
    5139,  // QsciScintillaBase::SCLEX_CLW
    5139,  // QsciScintillaBase::SCLEX_CLW
    5139,  // QsciScintillaBase::SCLEX_CLW
    5139,  // QsciScintillaBase::SCLEX_CLW
    5139,  // QsciScintillaBase::SCLEX_CLW
    5139,  // QsciScintillaBase::SCLEX_CLW
    5139,  // QsciScintillaBase::SCLEX_CLW
    5139,  // QsciScintillaBase::SCLEX_CLW
    5139,  // QsciScintillaBase::SCLEX_CLW
    5139,  // QsciScintillaBase::SCLEX_CLW
    5139,  // QsciScintillaBase::SCLEX_CLW
    0,
    5140,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5140,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5140,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5140,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5140,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5140,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5140,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5140,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5140,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5140,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5140,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5140,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5140,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5140,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5140,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5140,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5140,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5140,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5140,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5140,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5140,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5140,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5140,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5140,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5140,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5140,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5140,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5140,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5140,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5140,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5140,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5140,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5140,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5140,  // QsciScintillaBase::SCLEX_CLWNOCASE
    0,
    5174,  // QsciScintillaBase::SCLEX_CMAKE
    5174,  // QsciScintillaBase::SCLEX_CMAKE
    5174,  // QsciScintillaBase::SCLEX_CMAKE
    5174,  // QsciScintillaBase::SCLEX_CMAKE
    5174,  // QsciScintillaBase::SCLEX_CMAKE
    5174,  // QsciScintillaBase::SCLEX_CMAKE
    5174,  // QsciScintillaBase::SCLEX_CMAKE
    5174,  // QsciScintillaBase::SCLEX_CMAKE
    5174,  // QsciScintillaBase::SCLEX_CMAKE
    5174,  // QsciScintillaBase::SCLEX_CMAKE
    5174,  // QsciScintillaBase::SCLEX_CMAKE
    5174,  // QsciScintillaBase::SCLEX_CMAKE
    5174,  // QsciScintillaBase::SCLEX_CMAKE
    5174,  // QsciScintillaBase::SCLEX_CMAKE
    5174,  // QsciScintillaBase::SCLEX_CMAKE
    5174,  // QsciScintillaBase::SCLEX_CMAKE
    5174,  // QsciScintillaBase::SCLEX_CMAKE
    5174,  // QsciScintillaBase::SCLEX_CMAKE
    5174,  // QsciScintillaBase::SCLEX_CMAKE
    5174,  // QsciScintillaBase::SCLEX_CMAKE
    5174,  // QsciScintillaBase::SCLEX_CMAKE
    5174,  // QsciScintillaBase::SCLEX_CMAKE
    5174,  // QsciScintillaBase::SCLEX_CMAKE
    5174,  // QsciScintillaBase::SCLEX_CMAKE
    5174,  // QsciScintillaBase::SCLEX_CMAKE
    5174,  // QsciScintillaBase::SCLEX_CMAKE
    5174,  // QsciScintillaBase::SCLEX_CMAKE
    5174,  // QsciScintillaBase::SCLEX_CMAKE
    5174,  // QsciScintillaBase::SCLEX_CMAKE
    5174,  // QsciScintillaBase::SCLEX_CMAKE
    5174,  // QsciScintillaBase::SCLEX_CMAKE
    5174,  // QsciScintillaBase::SCLEX_CMAKE
    5174,  // QsciScintillaBase::SCLEX_CMAKE
    5174,  // QsciScintillaBase::SCLEX_CMAKE
    0,
    5186,  // QsciScintillaBase::SCLEX_COBOL
    5186,  // QsciScintillaBase::SCLEX_COBOL
    5186,  // QsciScintillaBase::SCLEX_COBOL
    5186,  // QsciScintillaBase::SCLEX_COBOL
    5186,  // QsciScintillaBase::SCLEX_COBOL
    5186,  // QsciScintillaBase::SCLEX_COBOL
    5186,  // QsciScintillaBase::SCLEX_COBOL
    5186,  // QsciScintillaBase::SCLEX_COBOL
    5186,  // QsciScintillaBase::SCLEX_COBOL
    5186,  // QsciScintillaBase::SCLEX_COBOL
    5186,  // QsciScintillaBase::SCLEX_COBOL
    5186,  // QsciScintillaBase::SCLEX_COBOL
    5186,  // QsciScintillaBase::SCLEX_COBOL
    5186,  // QsciScintillaBase::SCLEX_COBOL
    5186,  // QsciScintillaBase::SCLEX_COBOL
    5186,  // QsciScintillaBase::SCLEX_COBOL
    5186,  // QsciScintillaBase::SCLEX_COBOL
    5186,  // QsciScintillaBase::SCLEX_COBOL
    5186,  // QsciScintillaBase::SCLEX_COBOL
    5186,  // QsciScintillaBase::SCLEX_COBOL
    5186,  // QsciScintillaBase::SCLEX_COBOL
    5186,  // QsciScintillaBase::SCLEX_COBOL
    5186,  // QsciScintillaBase::SCLEX_COBOL
    5186,  // QsciScintillaBase::SCLEX_COBOL
    5186,  // QsciScintillaBase::SCLEX_COBOL
    5186,  // QsciScintillaBase::SCLEX_COBOL
    5186,  // QsciScintillaBase::SCLEX_COBOL
    5186,  // QsciScintillaBase::SCLEX_COBOL
    5186,  // QsciScintillaBase::SCLEX_COBOL
    5186,  // QsciScintillaBase::SCLEX_COBOL
    5186,  // QsciScintillaBase::SCLEX_COBOL
    5186,  // QsciScintillaBase::SCLEX_COBOL
    5186,  // QsciScintillaBase::SCLEX_COBOL
    5186,  // QsciScintillaBase::SCLEX_COBOL
    0,
    5111,  // QsciScintillaBase::SCLEX_CONF
    5111,  // QsciScintillaBase::SCLEX_CONF
    5111,  // QsciScintillaBase::SCLEX_CONF
    5111,  // QsciScintillaBase::SCLEX_CONF
    5111,  // QsciScintillaBase::SCLEX_CONF
    5111,  // QsciScintillaBase::SCLEX_CONF
    5111,  // QsciScintillaBase::SCLEX_CONF
    5111,  // QsciScintillaBase::SCLEX_CONF
    5111,  // QsciScintillaBase::SCLEX_CONF
    5111,  // QsciScintillaBase::SCLEX_CONF
    5111,  // QsciScintillaBase::SCLEX_CONF
    5111,  // QsciScintillaBase::SCLEX_CONF
    5111,  // QsciScintillaBase::SCLEX_CONF
    5111,  // QsciScintillaBase::SCLEX_CONF
    5111,  // QsciScintillaBase::SCLEX_CONF
    5111,  // QsciScintillaBase::SCLEX_CONF
    5111,  // QsciScintillaBase::SCLEX_CONF
    5111,  // QsciScintillaBase::SCLEX_CONF
    5111,  // QsciScintillaBase::SCLEX_CONF
    5111,  // QsciScintillaBase::SCLEX_CONF
    5111,  // QsciScintillaBase::SCLEX_CONF
    5111,  // QsciScintillaBase::SCLEX_CONF
    5111,  // QsciScintillaBase::SCLEX_CONF
    5111,  // QsciScintillaBase::SCLEX_CONF
    5111,  // QsciScintillaBase::SCLEX_CONF
    5111,  // QsciScintillaBase::SCLEX_CONF
    5111,  // QsciScintillaBase::SCLEX_CONF
    5111,  // QsciScintillaBase::SCLEX_CONF
    5111,  // QsciScintillaBase::SCLEX_CONF
    5111,  // QsciScintillaBase::SCLEX_CONF
    5111,  // QsciScintillaBase::SCLEX_CONF
    5111,  // QsciScintillaBase::SCLEX_CONF
    5111,  // QsciScintillaBase::SCLEX_CONF
    5111,  // QsciScintillaBase::SCLEX_CONF
    0,
    5095,  // QsciScintillaBase::SCLEX_CONTAINER
    5095,  // QsciScintillaBase::SCLEX_CONTAINER
    5095,  // QsciScintillaBase::SCLEX_CONTAINER
    5095,  // QsciScintillaBase::SCLEX_CONTAINER
    5095,  // QsciScintillaBase::SCLEX_CONTAINER
    5095,  // QsciScintillaBase::SCLEX_CONTAINER
    5095,  // QsciScintillaBase::SCLEX_CONTAINER
    5095,  // QsciScintillaBase::SCLEX_CONTAINER
    5095,  // QsciScintillaBase::SCLEX_CONTAINER
    5095,  // QsciScintillaBase::SCLEX_CONTAINER
    5095,  // QsciScintillaBase::SCLEX_CONTAINER
    5095,  // QsciScintillaBase::SCLEX_CONTAINER
    5095,  // QsciScintillaBase::SCLEX_CONTAINER
    5095,  // QsciScintillaBase::SCLEX_CONTAINER
    5095,  // QsciScintillaBase::SCLEX_CONTAINER
    5095,  // QsciScintillaBase::SCLEX_CONTAINER
    5095,  // QsciScintillaBase::SCLEX_CONTAINER
    5095,  // QsciScintillaBase::SCLEX_CONTAINER
    5095,  // QsciScintillaBase::SCLEX_CONTAINER
    5095,  // QsciScintillaBase::SCLEX_CONTAINER
    5095,  // QsciScintillaBase::SCLEX_CONTAINER
    5095,  // QsciScintillaBase::SCLEX_CONTAINER
    5095,  // QsciScintillaBase::SCLEX_CONTAINER
    5095,  // QsciScintillaBase::SCLEX_CONTAINER
    5095,  // QsciScintillaBase::SCLEX_CONTAINER
    5095,  // QsciScintillaBase::SCLEX_CONTAINER
    5095,  // QsciScintillaBase::SCLEX_CONTAINER
    5095,  // QsciScintillaBase::SCLEX_CONTAINER
    5095,  // QsciScintillaBase::SCLEX_CONTAINER
    5095,  // QsciScintillaBase::SCLEX_CONTAINER
    5095,  // QsciScintillaBase::SCLEX_CONTAINER
    5095,  // QsciScintillaBase::SCLEX_CONTAINER
    5095,  // QsciScintillaBase::SCLEX_CONTAINER
    5095,  // QsciScintillaBase::SCLEX_CONTAINER
    0,
    5098,  // QsciScintillaBase::SCLEX_CPP
    5098,  // QsciScintillaBase::SCLEX_CPP
    5098,  // QsciScintillaBase::SCLEX_CPP
    5098,  // QsciScintillaBase::SCLEX_CPP
    5098,  // QsciScintillaBase::SCLEX_CPP
    5098,  // QsciScintillaBase::SCLEX_CPP
    5098,  // QsciScintillaBase::SCLEX_CPP
    5098,  // QsciScintillaBase::SCLEX_CPP
    5098,  // QsciScintillaBase::SCLEX_CPP
    5098,  // QsciScintillaBase::SCLEX_CPP
    5098,  // QsciScintillaBase::SCLEX_CPP
    5098,  // QsciScintillaBase::SCLEX_CPP
    5098,  // QsciScintillaBase::SCLEX_CPP
    5098,  // QsciScintillaBase::SCLEX_CPP
    5098,  // QsciScintillaBase::SCLEX_CPP
    5098,  // QsciScintillaBase::SCLEX_CPP
    5098,  // QsciScintillaBase::SCLEX_CPP
    5098,  // QsciScintillaBase::SCLEX_CPP
    5098,  // QsciScintillaBase::SCLEX_CPP
    5098,  // QsciScintillaBase::SCLEX_CPP
    5098,  // QsciScintillaBase::SCLEX_CPP
    5098,  // QsciScintillaBase::SCLEX_CPP
    5098,  // QsciScintillaBase::SCLEX_CPP
    5098,  // QsciScintillaBase::SCLEX_CPP
    5098,  // QsciScintillaBase::SCLEX_CPP
    5098,  // QsciScintillaBase::SCLEX_CPP
    5098,  // QsciScintillaBase::SCLEX_CPP
    5098,  // QsciScintillaBase::SCLEX_CPP
    5098,  // QsciScintillaBase::SCLEX_CPP
    5098,  // QsciScintillaBase::SCLEX_CPP
    5098,  // QsciScintillaBase::SCLEX_CPP
    5098,  // QsciScintillaBase::SCLEX_CPP
    5098,  // QsciScintillaBase::SCLEX_CPP
    5098,  // QsciScintillaBase::SCLEX_CPP
    0,
    5129,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5129,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5129,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5129,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5129,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5129,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5129,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5129,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5129,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5129,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5129,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5129,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5129,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5129,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5129,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5129,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5129,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5129,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5129,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5129,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5129,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5129,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5129,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5129,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5129,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5129,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5129,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5129,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5129,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5129,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5129,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5129,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5129,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5129,  // QsciScintillaBase::SCLEX_CPPNOCASE
    0,
    5168,  // QsciScintillaBase::SCLEX_CSOUND
    5168,  // QsciScintillaBase::SCLEX_CSOUND
    5168,  // QsciScintillaBase::SCLEX_CSOUND
    5168,  // QsciScintillaBase::SCLEX_CSOUND
    5168,  // QsciScintillaBase::SCLEX_CSOUND
    5168,  // QsciScintillaBase::SCLEX_CSOUND
    5168,  // QsciScintillaBase::SCLEX_CSOUND
    5168,  // QsciScintillaBase::SCLEX_CSOUND
    5168,  // QsciScintillaBase::SCLEX_CSOUND
    5168,  // QsciScintillaBase::SCLEX_CSOUND
    5168,  // QsciScintillaBase::SCLEX_CSOUND
    5168,  // QsciScintillaBase::SCLEX_CSOUND
    5168,  // QsciScintillaBase::SCLEX_CSOUND
    5168,  // QsciScintillaBase::SCLEX_CSOUND
    5168,  // QsciScintillaBase::SCLEX_CSOUND
    5168,  // QsciScintillaBase::SCLEX_CSOUND
    5168,  // QsciScintillaBase::SCLEX_CSOUND
    5168,  // QsciScintillaBase::SCLEX_CSOUND
    5168,  // QsciScintillaBase::SCLEX_CSOUND
    5168,  // QsciScintillaBase::SCLEX_CSOUND
    5168,  // QsciScintillaBase::SCLEX_CSOUND
    5168,  // QsciScintillaBase::SCLEX_CSOUND
    5168,  // QsciScintillaBase::SCLEX_CSOUND
    5168,  // QsciScintillaBase::SCLEX_CSOUND
    5168,  // QsciScintillaBase::SCLEX_CSOUND
    5168,  // QsciScintillaBase::SCLEX_CSOUND
    5168,  // QsciScintillaBase::SCLEX_CSOUND
    5168,  // QsciScintillaBase::SCLEX_CSOUND
    5168,  // QsciScintillaBase::SCLEX_CSOUND
    5168,  // QsciScintillaBase::SCLEX_CSOUND
    5168,  // QsciScintillaBase::SCLEX_CSOUND
    5168,  // QsciScintillaBase::SCLEX_CSOUND
    5168,  // QsciScintillaBase::SCLEX_CSOUND
    5168,  // QsciScintillaBase::SCLEX_CSOUND
    0,
    5132,  // QsciScintillaBase::SCLEX_CSS
    5132,  // QsciScintillaBase::SCLEX_CSS
    5132,  // QsciScintillaBase::SCLEX_CSS
    5132,  // QsciScintillaBase::SCLEX_CSS
    5132,  // QsciScintillaBase::SCLEX_CSS
    5132,  // QsciScintillaBase::SCLEX_CSS
    5132,  // QsciScintillaBase::SCLEX_CSS
    5132,  // QsciScintillaBase::SCLEX_CSS
    5132,  // QsciScintillaBase::SCLEX_CSS
    5132,  // QsciScintillaBase::SCLEX_CSS
    5132,  // QsciScintillaBase::SCLEX_CSS
    5132,  // QsciScintillaBase::SCLEX_CSS
    5132,  // QsciScintillaBase::SCLEX_CSS
    5132,  // QsciScintillaBase::SCLEX_CSS
    5132,  // QsciScintillaBase::SCLEX_CSS
    5132,  // QsciScintillaBase::SCLEX_CSS
    5132,  // QsciScintillaBase::SCLEX_CSS
    5132,  // QsciScintillaBase::SCLEX_CSS
    5132,  // QsciScintillaBase::SCLEX_CSS
    5132,  // QsciScintillaBase::SCLEX_CSS
    5132,  // QsciScintillaBase::SCLEX_CSS
    5132,  // QsciScintillaBase::SCLEX_CSS
    5132,  // QsciScintillaBase::SCLEX_CSS
    5132,  // QsciScintillaBase::SCLEX_CSS
    5132,  // QsciScintillaBase::SCLEX_CSS
    5132,  // QsciScintillaBase::SCLEX_CSS
    5132,  // QsciScintillaBase::SCLEX_CSS
    5132,  // QsciScintillaBase::SCLEX_CSS
    5132,  // QsciScintillaBase::SCLEX_CSS
    5132,  // QsciScintillaBase::SCLEX_CSS
    5132,  // QsciScintillaBase::SCLEX_CSS
    5132,  // QsciScintillaBase::SCLEX_CSS
    5132,  // QsciScintillaBase::SCLEX_CSS
    5132,  // QsciScintillaBase::SCLEX_CSS
    0,
    5173,  // QsciScintillaBase::SCLEX_D
    5173,  // QsciScintillaBase::SCLEX_D
    5173,  // QsciScintillaBase::SCLEX_D
    5173,  // QsciScintillaBase::SCLEX_D
    5173,  // QsciScintillaBase::SCLEX_D
    5173,  // QsciScintillaBase::SCLEX_D
    5173,  // QsciScintillaBase::SCLEX_D
    5173,  // QsciScintillaBase::SCLEX_D
    5173,  // QsciScintillaBase::SCLEX_D
    5173,  // QsciScintillaBase::SCLEX_D
    5173,  // QsciScintillaBase::SCLEX_D
    5173,  // QsciScintillaBase::SCLEX_D
    5173,  // QsciScintillaBase::SCLEX_D
    5173,  // QsciScintillaBase::SCLEX_D
    5173,  // QsciScintillaBase::SCLEX_D
    5173,  // QsciScintillaBase::SCLEX_D
    5173,  // QsciScintillaBase::SCLEX_D
    5173,  // QsciScintillaBase::SCLEX_D
    5173,  // QsciScintillaBase::SCLEX_D
    5173,  // QsciScintillaBase::SCLEX_D
    5173,  // QsciScintillaBase::SCLEX_D
    5173,  // QsciScintillaBase::SCLEX_D
    5173,  // QsciScintillaBase::SCLEX_D
    5173,  // QsciScintillaBase::SCLEX_D
    5173,  // QsciScintillaBase::SCLEX_D
    5173,  // QsciScintillaBase::SCLEX_D
    5173,  // QsciScintillaBase::SCLEX_D
    5173,  // QsciScintillaBase::SCLEX_D
    5173,  // QsciScintillaBase::SCLEX_D
    5173,  // QsciScintillaBase::SCLEX_D
    5173,  // QsciScintillaBase::SCLEX_D
    5173,  // QsciScintillaBase::SCLEX_D
    5173,  // QsciScintillaBase::SCLEX_D
    5173,  // QsciScintillaBase::SCLEX_D
    0,
    5110,  // QsciScintillaBase::SCLEX_DIFF
    5110,  // QsciScintillaBase::SCLEX_DIFF
    5110,  // QsciScintillaBase::SCLEX_DIFF
    5110,  // QsciScintillaBase::SCLEX_DIFF
    5110,  // QsciScintillaBase::SCLEX_DIFF
    5110,  // QsciScintillaBase::SCLEX_DIFF
    5110,  // QsciScintillaBase::SCLEX_DIFF
    5110,  // QsciScintillaBase::SCLEX_DIFF
    5110,  // QsciScintillaBase::SCLEX_DIFF
    5110,  // QsciScintillaBase::SCLEX_DIFF
    5110,  // QsciScintillaBase::SCLEX_DIFF
    5110,  // QsciScintillaBase::SCLEX_DIFF
    5110,  // QsciScintillaBase::SCLEX_DIFF
    5110,  // QsciScintillaBase::SCLEX_DIFF
    5110,  // QsciScintillaBase::SCLEX_DIFF
    5110,  // QsciScintillaBase::SCLEX_DIFF
    5110,  // QsciScintillaBase::SCLEX_DIFF
    5110,  // QsciScintillaBase::SCLEX_DIFF
    5110,  // QsciScintillaBase::SCLEX_DIFF
    5110,  // QsciScintillaBase::SCLEX_DIFF
    5110,  // QsciScintillaBase::SCLEX_DIFF
    5110,  // QsciScintillaBase::SCLEX_DIFF
    5110,  // QsciScintillaBase::SCLEX_DIFF
    5110,  // QsciScintillaBase::SCLEX_DIFF
    5110,  // QsciScintillaBase::SCLEX_DIFF
    5110,  // QsciScintillaBase::SCLEX_DIFF
    5110,  // QsciScintillaBase::SCLEX_DIFF
    5110,  // QsciScintillaBase::SCLEX_DIFF
    5110,  // QsciScintillaBase::SCLEX_DIFF
    5110,  // QsciScintillaBase::SCLEX_DIFF
    5110,  // QsciScintillaBase::SCLEX_DIFF
    5110,  // QsciScintillaBase::SCLEX_DIFF
    5110,  // QsciScintillaBase::SCLEX_DIFF
    5110,  // QsciScintillaBase::SCLEX_DIFF
    0,
    5117,  // QsciScintillaBase::SCLEX_EIFFEL
    5117,  // QsciScintillaBase::SCLEX_EIFFEL
    5117,  // QsciScintillaBase::SCLEX_EIFFEL
    5117,  // QsciScintillaBase::SCLEX_EIFFEL
    5117,  // QsciScintillaBase::SCLEX_EIFFEL
    5117,  // QsciScintillaBase::SCLEX_EIFFEL
    5117,  // QsciScintillaBase::SCLEX_EIFFEL
    5117,  // QsciScintillaBase::SCLEX_EIFFEL
    5117,  // QsciScintillaBase::SCLEX_EIFFEL
    5117,  // QsciScintillaBase::SCLEX_EIFFEL
    5117,  // QsciScintillaBase::SCLEX_EIFFEL
    5117,  // QsciScintillaBase::SCLEX_EIFFEL
    5117,  // QsciScintillaBase::SCLEX_EIFFEL
    5117,  // QsciScintillaBase::SCLEX_EIFFEL
    5117,  // QsciScintillaBase::SCLEX_EIFFEL
    5117,  // QsciScintillaBase::SCLEX_EIFFEL
    5117,  // QsciScintillaBase::SCLEX_EIFFEL
    5117,  // QsciScintillaBase::SCLEX_EIFFEL
    5117,  // QsciScintillaBase::SCLEX_EIFFEL
    5117,  // QsciScintillaBase::SCLEX_EIFFEL
    5117,  // QsciScintillaBase::SCLEX_EIFFEL
    5117,  // QsciScintillaBase::SCLEX_EIFFEL
    5117,  // QsciScintillaBase::SCLEX_EIFFEL
    5117,  // QsciScintillaBase::SCLEX_EIFFEL
    5117,  // QsciScintillaBase::SCLEX_EIFFEL
    5117,  // QsciScintillaBase::SCLEX_EIFFEL
    5117,  // QsciScintillaBase::SCLEX_EIFFEL
    5117,  // QsciScintillaBase::SCLEX_EIFFEL
    5117,  // QsciScintillaBase::SCLEX_EIFFEL
    5117,  // QsciScintillaBase::SCLEX_EIFFEL
    5117,  // QsciScintillaBase::SCLEX_EIFFEL
    5117,  // QsciScintillaBase::SCLEX_EIFFEL
    5117,  // QsciScintillaBase::SCLEX_EIFFEL
    5117,  // QsciScintillaBase::SCLEX_EIFFEL
    0,
    5118,  // QsciScintillaBase::SCLEX_EIFFELKW
    5118,  // QsciScintillaBase::SCLEX_EIFFELKW
    5118,  // QsciScintillaBase::SCLEX_EIFFELKW
    5118,  // QsciScintillaBase::SCLEX_EIFFELKW
    5118,  // QsciScintillaBase::SCLEX_EIFFELKW
    5118,  // QsciScintillaBase::SCLEX_EIFFELKW
    5118,  // QsciScintillaBase::SCLEX_EIFFELKW
    5118,  // QsciScintillaBase::SCLEX_EIFFELKW
    5118,  // QsciScintillaBase::SCLEX_EIFFELKW
    5118,  // QsciScintillaBase::SCLEX_EIFFELKW
    5118,  // QsciScintillaBase::SCLEX_EIFFELKW
    5118,  // QsciScintillaBase::SCLEX_EIFFELKW
    5118,  // QsciScintillaBase::SCLEX_EIFFELKW
    5118,  // QsciScintillaBase::SCLEX_EIFFELKW
    5118,  // QsciScintillaBase::SCLEX_EIFFELKW
    5118,  // QsciScintillaBase::SCLEX_EIFFELKW
    5118,  // QsciScintillaBase::SCLEX_EIFFELKW
    5118,  // QsciScintillaBase::SCLEX_EIFFELKW
    5118,  // QsciScintillaBase::SCLEX_EIFFELKW
    5118,  // QsciScintillaBase::SCLEX_EIFFELKW
    5118,  // QsciScintillaBase::SCLEX_EIFFELKW
    5118,  // QsciScintillaBase::SCLEX_EIFFELKW
    5118,  // QsciScintillaBase::SCLEX_EIFFELKW
    5118,  // QsciScintillaBase::SCLEX_EIFFELKW
    5118,  // QsciScintillaBase::SCLEX_EIFFELKW
    5118,  // QsciScintillaBase::SCLEX_EIFFELKW
    5118,  // QsciScintillaBase::SCLEX_EIFFELKW
    5118,  // QsciScintillaBase::SCLEX_EIFFELKW
    5118,  // QsciScintillaBase::SCLEX_EIFFELKW
    5118,  // QsciScintillaBase::SCLEX_EIFFELKW
    5118,  // QsciScintillaBase::SCLEX_EIFFELKW
    5118,  // QsciScintillaBase::SCLEX_EIFFELKW
    5118,  // QsciScintillaBase::SCLEX_EIFFELKW
    5118,  // QsciScintillaBase::SCLEX_EIFFELKW
    0,
    5147,  // QsciScintillaBase::SCLEX_ERLANG
    5147,  // QsciScintillaBase::SCLEX_ERLANG
    5147,  // QsciScintillaBase::SCLEX_ERLANG
    5147,  // QsciScintillaBase::SCLEX_ERLANG
    5147,  // QsciScintillaBase::SCLEX_ERLANG
    5147,  // QsciScintillaBase::SCLEX_ERLANG
    5147,  // QsciScintillaBase::SCLEX_ERLANG
    5147,  // QsciScintillaBase::SCLEX_ERLANG
    5147,  // QsciScintillaBase::SCLEX_ERLANG
    5147,  // QsciScintillaBase::SCLEX_ERLANG
    5147,  // QsciScintillaBase::SCLEX_ERLANG
    5147,  // QsciScintillaBase::SCLEX_ERLANG
    5147,  // QsciScintillaBase::SCLEX_ERLANG
    5147,  // QsciScintillaBase::SCLEX_ERLANG
    5147,  // QsciScintillaBase::SCLEX_ERLANG
    5147,  // QsciScintillaBase::SCLEX_ERLANG
    5147,  // QsciScintillaBase::SCLEX_ERLANG
    5147,  // QsciScintillaBase::SCLEX_ERLANG
    5147,  // QsciScintillaBase::SCLEX_ERLANG
    5147,  // QsciScintillaBase::SCLEX_ERLANG
    5147,  // QsciScintillaBase::SCLEX_ERLANG
    5147,  // QsciScintillaBase::SCLEX_ERLANG
    5147,  // QsciScintillaBase::SCLEX_ERLANG
    5147,  // QsciScintillaBase::SCLEX_ERLANG
    5147,  // QsciScintillaBase::SCLEX_ERLANG
    5147,  // QsciScintillaBase::SCLEX_ERLANG
    5147,  // QsciScintillaBase::SCLEX_ERLANG
    5147,  // QsciScintillaBase::SCLEX_ERLANG
    5147,  // QsciScintillaBase::SCLEX_ERLANG
    5147,  // QsciScintillaBase::SCLEX_ERLANG
    5147,  // QsciScintillaBase::SCLEX_ERLANG
    5147,  // QsciScintillaBase::SCLEX_ERLANG
    5147,  // QsciScintillaBase::SCLEX_ERLANG
    5147,  // QsciScintillaBase::SCLEX_ERLANG
    0,
    5105,  // QsciScintillaBase::SCLEX_ERRORLIST
    5105,  // QsciScintillaBase::SCLEX_ERRORLIST
    5105,  // QsciScintillaBase::SCLEX_ERRORLIST
    5105,  // QsciScintillaBase::SCLEX_ERRORLIST
    5105,  // QsciScintillaBase::SCLEX_ERRORLIST
    5105,  // QsciScintillaBase::SCLEX_ERRORLIST
    5105,  // QsciScintillaBase::SCLEX_ERRORLIST
    5105,  // QsciScintillaBase::SCLEX_ERRORLIST
    5105,  // QsciScintillaBase::SCLEX_ERRORLIST
    5105,  // QsciScintillaBase::SCLEX_ERRORLIST
    5105,  // QsciScintillaBase::SCLEX_ERRORLIST
    5105,  // QsciScintillaBase::SCLEX_ERRORLIST
    5105,  // QsciScintillaBase::SCLEX_ERRORLIST
    5105,  // QsciScintillaBase::SCLEX_ERRORLIST
    5105,  // QsciScintillaBase::SCLEX_ERRORLIST
    5105,  // QsciScintillaBase::SCLEX_ERRORLIST
    5105,  // QsciScintillaBase::SCLEX_ERRORLIST
    5105,  // QsciScintillaBase::SCLEX_ERRORLIST
    5105,  // QsciScintillaBase::SCLEX_ERRORLIST
    5105,  // QsciScintillaBase::SCLEX_ERRORLIST
    5105,  // QsciScintillaBase::SCLEX_ERRORLIST
    5105,  // QsciScintillaBase::SCLEX_ERRORLIST
    5105,  // QsciScintillaBase::SCLEX_ERRORLIST
    5105,  // QsciScintillaBase::SCLEX_ERRORLIST
    5105,  // QsciScintillaBase::SCLEX_ERRORLIST
    5105,  // QsciScintillaBase::SCLEX_ERRORLIST
    5105,  // QsciScintillaBase::SCLEX_ERRORLIST
    5105,  // QsciScintillaBase::SCLEX_ERRORLIST
    5105,  // QsciScintillaBase::SCLEX_ERRORLIST
    5105,  // QsciScintillaBase::SCLEX_ERRORLIST
    5105,  // QsciScintillaBase::SCLEX_ERRORLIST
    5105,  // QsciScintillaBase::SCLEX_ERRORLIST
    5105,  // QsciScintillaBase::SCLEX_ERRORLIST
    5105,  // QsciScintillaBase::SCLEX_ERRORLIST
    0,
    5135,  // QsciScintillaBase::SCLEX_ESCRIPT
    5135,  // QsciScintillaBase::SCLEX_ESCRIPT
    5135,  // QsciScintillaBase::SCLEX_ESCRIPT
    5135,  // QsciScintillaBase::SCLEX_ESCRIPT
    5135,  // QsciScintillaBase::SCLEX_ESCRIPT
    5135,  // QsciScintillaBase::SCLEX_ESCRIPT
    5135,  // QsciScintillaBase::SCLEX_ESCRIPT
    5135,  // QsciScintillaBase::SCLEX_ESCRIPT
    5135,  // QsciScintillaBase::SCLEX_ESCRIPT
    5135,  // QsciScintillaBase::SCLEX_ESCRIPT
    5135,  // QsciScintillaBase::SCLEX_ESCRIPT
    5135,  // QsciScintillaBase::SCLEX_ESCRIPT
    5135,  // QsciScintillaBase::SCLEX_ESCRIPT
    5135,  // QsciScintillaBase::SCLEX_ESCRIPT
    5135,  // QsciScintillaBase::SCLEX_ESCRIPT
    5135,  // QsciScintillaBase::SCLEX_ESCRIPT
    5135,  // QsciScintillaBase::SCLEX_ESCRIPT
    5135,  // QsciScintillaBase::SCLEX_ESCRIPT
    5135,  // QsciScintillaBase::SCLEX_ESCRIPT
    5135,  // QsciScintillaBase::SCLEX_ESCRIPT
    5135,  // QsciScintillaBase::SCLEX_ESCRIPT
    5135,  // QsciScintillaBase::SCLEX_ESCRIPT
    5135,  // QsciScintillaBase::SCLEX_ESCRIPT
    5135,  // QsciScintillaBase::SCLEX_ESCRIPT
    5135,  // QsciScintillaBase::SCLEX_ESCRIPT
    5135,  // QsciScintillaBase::SCLEX_ESCRIPT
    5135,  // QsciScintillaBase::SCLEX_ESCRIPT
    5135,  // QsciScintillaBase::SCLEX_ESCRIPT
    5135,  // QsciScintillaBase::SCLEX_ESCRIPT
    5135,  // QsciScintillaBase::SCLEX_ESCRIPT
    5135,  // QsciScintillaBase::SCLEX_ESCRIPT
    5135,  // QsciScintillaBase::SCLEX_ESCRIPT
    5135,  // QsciScintillaBase::SCLEX_ESCRIPT
    5135,  // QsciScintillaBase::SCLEX_ESCRIPT
    0,
    5131,  // QsciScintillaBase::SCLEX_F77
    5131,  // QsciScintillaBase::SCLEX_F77
    5131,  // QsciScintillaBase::SCLEX_F77
    5131,  // QsciScintillaBase::SCLEX_F77
    5131,  // QsciScintillaBase::SCLEX_F77
    5131,  // QsciScintillaBase::SCLEX_F77
    5131,  // QsciScintillaBase::SCLEX_F77
    5131,  // QsciScintillaBase::SCLEX_F77
    5131,  // QsciScintillaBase::SCLEX_F77
    5131,  // QsciScintillaBase::SCLEX_F77
    5131,  // QsciScintillaBase::SCLEX_F77
    5131,  // QsciScintillaBase::SCLEX_F77
    5131,  // QsciScintillaBase::SCLEX_F77
    5131,  // QsciScintillaBase::SCLEX_F77
    5131,  // QsciScintillaBase::SCLEX_F77
    5131,  // QsciScintillaBase::SCLEX_F77
    5131,  // QsciScintillaBase::SCLEX_F77
    5131,  // QsciScintillaBase::SCLEX_F77
    5131,  // QsciScintillaBase::SCLEX_F77
    5131,  // QsciScintillaBase::SCLEX_F77
    5131,  // QsciScintillaBase::SCLEX_F77
    5131,  // QsciScintillaBase::SCLEX_F77
    5131,  // QsciScintillaBase::SCLEX_F77
    5131,  // QsciScintillaBase::SCLEX_F77
    5131,  // QsciScintillaBase::SCLEX_F77
    5131,  // QsciScintillaBase::SCLEX_F77
    5131,  // QsciScintillaBase::SCLEX_F77
    5131,  // QsciScintillaBase::SCLEX_F77
    5131,  // QsciScintillaBase::SCLEX_F77
    5131,  // QsciScintillaBase::SCLEX_F77
    5131,  // QsciScintillaBase::SCLEX_F77
    5131,  // QsciScintillaBase::SCLEX_F77
    5131,  // QsciScintillaBase::SCLEX_F77
    5131,  // QsciScintillaBase::SCLEX_F77
    0,
    5167,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5167,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5167,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5167,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5167,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5167,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5167,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5167,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5167,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5167,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5167,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5167,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5167,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5167,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5167,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5167,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5167,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5167,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5167,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5167,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5167,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5167,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5167,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5167,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5167,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5167,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5167,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5167,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5167,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5167,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5167,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5167,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5167,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5167,  // QsciScintillaBase::SCLEX_FLAGSHIP
    0,
    5146,  // QsciScintillaBase::SCLEX_FORTH
    5146,  // QsciScintillaBase::SCLEX_FORTH
    5146,  // QsciScintillaBase::SCLEX_FORTH
    5146,  // QsciScintillaBase::SCLEX_FORTH
    5146,  // QsciScintillaBase::SCLEX_FORTH
    5146,  // QsciScintillaBase::SCLEX_FORTH
    5146,  // QsciScintillaBase::SCLEX_FORTH
    5146,  // QsciScintillaBase::SCLEX_FORTH
    5146,  // QsciScintillaBase::SCLEX_FORTH
    5146,  // QsciScintillaBase::SCLEX_FORTH
    5146,  // QsciScintillaBase::SCLEX_FORTH
    5146,  // QsciScintillaBase::SCLEX_FORTH
    5146,  // QsciScintillaBase::SCLEX_FORTH
    5146,  // QsciScintillaBase::SCLEX_FORTH
    5146,  // QsciScintillaBase::SCLEX_FORTH
    5146,  // QsciScintillaBase::SCLEX_FORTH
    5146,  // QsciScintillaBase::SCLEX_FORTH
    5146,  // QsciScintillaBase::SCLEX_FORTH
    5146,  // QsciScintillaBase::SCLEX_FORTH
    5146,  // QsciScintillaBase::SCLEX_FORTH
    5146,  // QsciScintillaBase::SCLEX_FORTH
    5146,  // QsciScintillaBase::SCLEX_FORTH
    5146,  // QsciScintillaBase::SCLEX_FORTH
    5146,  // QsciScintillaBase::SCLEX_FORTH
    5146,  // QsciScintillaBase::SCLEX_FORTH
    5146,  // QsciScintillaBase::SCLEX_FORTH
    5146,  // QsciScintillaBase::SCLEX_FORTH
    5146,  // QsciScintillaBase::SCLEX_FORTH
    5146,  // QsciScintillaBase::SCLEX_FORTH
    5146,  // QsciScintillaBase::SCLEX_FORTH
    5146,  // QsciScintillaBase::SCLEX_FORTH
    5146,  // QsciScintillaBase::SCLEX_FORTH
    5146,  // QsciScintillaBase::SCLEX_FORTH
    5146,  // QsciScintillaBase::SCLEX_FORTH
    0,
    5130,  // QsciScintillaBase::SCLEX_FORTRAN
    5130,  // QsciScintillaBase::SCLEX_FORTRAN
    5130,  // QsciScintillaBase::SCLEX_FORTRAN
    5130,  // QsciScintillaBase::SCLEX_FORTRAN
    5130,  // QsciScintillaBase::SCLEX_FORTRAN
    5130,  // QsciScintillaBase::SCLEX_FORTRAN
    5130,  // QsciScintillaBase::SCLEX_FORTRAN
    5130,  // QsciScintillaBase::SCLEX_FORTRAN
    5130,  // QsciScintillaBase::SCLEX_FORTRAN
    5130,  // QsciScintillaBase::SCLEX_FORTRAN
    5130,  // QsciScintillaBase::SCLEX_FORTRAN
    5130,  // QsciScintillaBase::SCLEX_FORTRAN
    5130,  // QsciScintillaBase::SCLEX_FORTRAN
    5130,  // QsciScintillaBase::SCLEX_FORTRAN
    5130,  // QsciScintillaBase::SCLEX_FORTRAN
    5130,  // QsciScintillaBase::SCLEX_FORTRAN
    5130,  // QsciScintillaBase::SCLEX_FORTRAN
    5130,  // QsciScintillaBase::SCLEX_FORTRAN
    5130,  // QsciScintillaBase::SCLEX_FORTRAN
    5130,  // QsciScintillaBase::SCLEX_FORTRAN
    5130,  // QsciScintillaBase::SCLEX_FORTRAN
    5130,  // QsciScintillaBase::SCLEX_FORTRAN
    5130,  // QsciScintillaBase::SCLEX_FORTRAN
    5130,  // QsciScintillaBase::SCLEX_FORTRAN
    5130,  // QsciScintillaBase::SCLEX_FORTRAN
    5130,  // QsciScintillaBase::SCLEX_FORTRAN
    5130,  // QsciScintillaBase::SCLEX_FORTRAN
    5130,  // QsciScintillaBase::SCLEX_FORTRAN
    5130,  // QsciScintillaBase::SCLEX_FORTRAN
    5130,  // QsciScintillaBase::SCLEX_FORTRAN
    5130,  // QsciScintillaBase::SCLEX_FORTRAN
    5130,  // QsciScintillaBase::SCLEX_FORTRAN
    5130,  // QsciScintillaBase::SCLEX_FORTRAN
    5130,  // QsciScintillaBase::SCLEX_FORTRAN
    0,
    5169,  // QsciScintillaBase::SCLEX_FREEBASIC
    5169,  // QsciScintillaBase::SCLEX_FREEBASIC
    5169,  // QsciScintillaBase::SCLEX_FREEBASIC
    5169,  // QsciScintillaBase::SCLEX_FREEBASIC
    5169,  // QsciScintillaBase::SCLEX_FREEBASIC
    5169,  // QsciScintillaBase::SCLEX_FREEBASIC
    5169,  // QsciScintillaBase::SCLEX_FREEBASIC
    5169,  // QsciScintillaBase::SCLEX_FREEBASIC
    5169,  // QsciScintillaBase::SCLEX_FREEBASIC
    5169,  // QsciScintillaBase::SCLEX_FREEBASIC
    5169,  // QsciScintillaBase::SCLEX_FREEBASIC
    5169,  // QsciScintillaBase::SCLEX_FREEBASIC
    5169,  // QsciScintillaBase::SCLEX_FREEBASIC
    5169,  // QsciScintillaBase::SCLEX_FREEBASIC
    5169,  // QsciScintillaBase::SCLEX_FREEBASIC
    5169,  // QsciScintillaBase::SCLEX_FREEBASIC
    5169,  // QsciScintillaBase::SCLEX_FREEBASIC
    5169,  // QsciScintillaBase::SCLEX_FREEBASIC
    5169,  // QsciScintillaBase::SCLEX_FREEBASIC
    5169,  // QsciScintillaBase::SCLEX_FREEBASIC
    5169,  // QsciScintillaBase::SCLEX_FREEBASIC
    5169,  // QsciScintillaBase::SCLEX_FREEBASIC
    5169,  // QsciScintillaBase::SCLEX_FREEBASIC
    5169,  // QsciScintillaBase::SCLEX_FREEBASIC
    5169,  // QsciScintillaBase::SCLEX_FREEBASIC
    5169,  // QsciScintillaBase::SCLEX_FREEBASIC
    5169,  // QsciScintillaBase::SCLEX_FREEBASIC
    5169,  // QsciScintillaBase::SCLEX_FREEBASIC
    5169,  // QsciScintillaBase::SCLEX_FREEBASIC
    5169,  // QsciScintillaBase::SCLEX_FREEBASIC
    5169,  // QsciScintillaBase::SCLEX_FREEBASIC
    5169,  // QsciScintillaBase::SCLEX_FREEBASIC
    5169,  // QsciScintillaBase::SCLEX_FREEBASIC
    5169,  // QsciScintillaBase::SCLEX_FREEBASIC
    0,
    5175,  // QsciScintillaBase::SCLEX_GAP
    5175,  // QsciScintillaBase::SCLEX_GAP
    5175,  // QsciScintillaBase::SCLEX_GAP
    5175,  // QsciScintillaBase::SCLEX_GAP
    5175,  // QsciScintillaBase::SCLEX_GAP
    5175,  // QsciScintillaBase::SCLEX_GAP
    5175,  // QsciScintillaBase::SCLEX_GAP
    5175,  // QsciScintillaBase::SCLEX_GAP
    5175,  // QsciScintillaBase::SCLEX_GAP
    5175,  // QsciScintillaBase::SCLEX_GAP
    5175,  // QsciScintillaBase::SCLEX_GAP
    5175,  // QsciScintillaBase::SCLEX_GAP
    5175,  // QsciScintillaBase::SCLEX_GAP
    5175,  // QsciScintillaBase::SCLEX_GAP
    5175,  // QsciScintillaBase::SCLEX_GAP
    5175,  // QsciScintillaBase::SCLEX_GAP
    5175,  // QsciScintillaBase::SCLEX_GAP
    5175,  // QsciScintillaBase::SCLEX_GAP
    5175,  // QsciScintillaBase::SCLEX_GAP
    5175,  // QsciScintillaBase::SCLEX_GAP
    5175,  // QsciScintillaBase::SCLEX_GAP
    5175,  // QsciScintillaBase::SCLEX_GAP
    5175,  // QsciScintillaBase::SCLEX_GAP
    5175,  // QsciScintillaBase::SCLEX_GAP
    5175,  // QsciScintillaBase::SCLEX_GAP
    5175,  // QsciScintillaBase::SCLEX_GAP
    5175,  // QsciScintillaBase::SCLEX_GAP
    5175,  // QsciScintillaBase::SCLEX_GAP
    5175,  // QsciScintillaBase::SCLEX_GAP
    5175,  // QsciScintillaBase::SCLEX_GAP
    5175,  // QsciScintillaBase::SCLEX_GAP
    5175,  // QsciScintillaBase::SCLEX_GAP
    5175,  // QsciScintillaBase::SCLEX_GAP
    5175,  // QsciScintillaBase::SCLEX_GAP
    0,
    5152,  // QsciScintillaBase::SCLEX_GUI4CLI
    5152,  // QsciScintillaBase::SCLEX_GUI4CLI
    5152,  // QsciScintillaBase::SCLEX_GUI4CLI
    5152,  // QsciScintillaBase::SCLEX_GUI4CLI
    5152,  // QsciScintillaBase::SCLEX_GUI4CLI
    5152,  // QsciScintillaBase::SCLEX_GUI4CLI
    5152,  // QsciScintillaBase::SCLEX_GUI4CLI
    5152,  // QsciScintillaBase::SCLEX_GUI4CLI
    5152,  // QsciScintillaBase::SCLEX_GUI4CLI
    5152,  // QsciScintillaBase::SCLEX_GUI4CLI
    5152,  // QsciScintillaBase::SCLEX_GUI4CLI
    5152,  // QsciScintillaBase::SCLEX_GUI4CLI
    5152,  // QsciScintillaBase::SCLEX_GUI4CLI
    5152,  // QsciScintillaBase::SCLEX_GUI4CLI
    5152,  // QsciScintillaBase::SCLEX_GUI4CLI
    5152,  // QsciScintillaBase::SCLEX_GUI4CLI
    5152,  // QsciScintillaBase::SCLEX_GUI4CLI
    5152,  // QsciScintillaBase::SCLEX_GUI4CLI
    5152,  // QsciScintillaBase::SCLEX_GUI4CLI
    5152,  // QsciScintillaBase::SCLEX_GUI4CLI
    5152,  // QsciScintillaBase::SCLEX_GUI4CLI
    5152,  // QsciScintillaBase::SCLEX_GUI4CLI
    5152,  // QsciScintillaBase::SCLEX_GUI4CLI
    5152,  // QsciScintillaBase::SCLEX_GUI4CLI
    5152,  // QsciScintillaBase::SCLEX_GUI4CLI
    5152,  // QsciScintillaBase::SCLEX_GUI4CLI
    5152,  // QsciScintillaBase::SCLEX_GUI4CLI
    5152,  // QsciScintillaBase::SCLEX_GUI4CLI
    5152,  // QsciScintillaBase::SCLEX_GUI4CLI
    5152,  // QsciScintillaBase::SCLEX_GUI4CLI
    5152,  // QsciScintillaBase::SCLEX_GUI4CLI
    5152,  // QsciScintillaBase::SCLEX_GUI4CLI
    5152,  // QsciScintillaBase::SCLEX_GUI4CLI
    5152,  // QsciScintillaBase::SCLEX_GUI4CLI
    0,
    5162,  // QsciScintillaBase::SCLEX_HASKELL
    5162,  // QsciScintillaBase::SCLEX_HASKELL
    5162,  // QsciScintillaBase::SCLEX_HASKELL
    5162,  // QsciScintillaBase::SCLEX_HASKELL
    5162,  // QsciScintillaBase::SCLEX_HASKELL
    5162,  // QsciScintillaBase::SCLEX_HASKELL
    5162,  // QsciScintillaBase::SCLEX_HASKELL
    5162,  // QsciScintillaBase::SCLEX_HASKELL
    5162,  // QsciScintillaBase::SCLEX_HASKELL
    5162,  // QsciScintillaBase::SCLEX_HASKELL
    5162,  // QsciScintillaBase::SCLEX_HASKELL
    5162,  // QsciScintillaBase::SCLEX_HASKELL
    5162,  // QsciScintillaBase::SCLEX_HASKELL
    5162,  // QsciScintillaBase::SCLEX_HASKELL
    5162,  // QsciScintillaBase::SCLEX_HASKELL
    5162,  // QsciScintillaBase::SCLEX_HASKELL
    5162,  // QsciScintillaBase::SCLEX_HASKELL
    5162,  // QsciScintillaBase::SCLEX_HASKELL
    5162,  // QsciScintillaBase::SCLEX_HASKELL
    5162,  // QsciScintillaBase::SCLEX_HASKELL
    5162,  // QsciScintillaBase::SCLEX_HASKELL
    5162,  // QsciScintillaBase::SCLEX_HASKELL
    5162,  // QsciScintillaBase::SCLEX_HASKELL
    5162,  // QsciScintillaBase::SCLEX_HASKELL
    5162,  // QsciScintillaBase::SCLEX_HASKELL
    5162,  // QsciScintillaBase::SCLEX_HASKELL
    5162,  // QsciScintillaBase::SCLEX_HASKELL
    5162,  // QsciScintillaBase::SCLEX_HASKELL
    5162,  // QsciScintillaBase::SCLEX_HASKELL
    5162,  // QsciScintillaBase::SCLEX_HASKELL
    5162,  // QsciScintillaBase::SCLEX_HASKELL
    5162,  // QsciScintillaBase::SCLEX_HASKELL
    5162,  // QsciScintillaBase::SCLEX_HASKELL
    5162,  // QsciScintillaBase::SCLEX_HASKELL
    0,
    5099,  // QsciScintillaBase::SCLEX_HTML
    5099,  // QsciScintillaBase::SCLEX_HTML
    5099,  // QsciScintillaBase::SCLEX_HTML
    5099,  // QsciScintillaBase::SCLEX_HTML
    5099,  // QsciScintillaBase::SCLEX_HTML
    5099,  // QsciScintillaBase::SCLEX_HTML
    5099,  // QsciScintillaBase::SCLEX_HTML
    5099,  // QsciScintillaBase::SCLEX_HTML
    5099,  // QsciScintillaBase::SCLEX_HTML
    5099,  // QsciScintillaBase::SCLEX_HTML
    5099,  // QsciScintillaBase::SCLEX_HTML
    5099,  // QsciScintillaBase::SCLEX_HTML
    5099,  // QsciScintillaBase::SCLEX_HTML
    5099,  // QsciScintillaBase::SCLEX_HTML
    5099,  // QsciScintillaBase::SCLEX_HTML
    5099,  // QsciScintillaBase::SCLEX_HTML
    5099,  // QsciScintillaBase::SCLEX_HTML
    5099,  // QsciScintillaBase::SCLEX_HTML
    5099,  // QsciScintillaBase::SCLEX_HTML
    5099,  // QsciScintillaBase::SCLEX_HTML
    5099,  // QsciScintillaBase::SCLEX_HTML
    5099,  // QsciScintillaBase::SCLEX_HTML
    5099,  // QsciScintillaBase::SCLEX_HTML
    5099,  // QsciScintillaBase::SCLEX_HTML
    5099,  // QsciScintillaBase::SCLEX_HTML
    5099,  // QsciScintillaBase::SCLEX_HTML
    5099,  // QsciScintillaBase::SCLEX_HTML
    5099,  // QsciScintillaBase::SCLEX_HTML
    5099,  // QsciScintillaBase::SCLEX_HTML
    5099,  // QsciScintillaBase::SCLEX_HTML
    5099,  // QsciScintillaBase::SCLEX_HTML
    5099,  // QsciScintillaBase::SCLEX_HTML
    5099,  // QsciScintillaBase::SCLEX_HTML
    5099,  // QsciScintillaBase::SCLEX_HTML
    0,
    5170,  // QsciScintillaBase::SCLEX_INNOSETUP
    5170,  // QsciScintillaBase::SCLEX_INNOSETUP
    5170,  // QsciScintillaBase::SCLEX_INNOSETUP
    5170,  // QsciScintillaBase::SCLEX_INNOSETUP
    5170,  // QsciScintillaBase::SCLEX_INNOSETUP
    5170,  // QsciScintillaBase::SCLEX_INNOSETUP
    5170,  // QsciScintillaBase::SCLEX_INNOSETUP
    5170,  // QsciScintillaBase::SCLEX_INNOSETUP
    5170,  // QsciScintillaBase::SCLEX_INNOSETUP
    5170,  // QsciScintillaBase::SCLEX_INNOSETUP
    5170,  // QsciScintillaBase::SCLEX_INNOSETUP
    5170,  // QsciScintillaBase::SCLEX_INNOSETUP
    5170,  // QsciScintillaBase::SCLEX_INNOSETUP
    5170,  // QsciScintillaBase::SCLEX_INNOSETUP
    5170,  // QsciScintillaBase::SCLEX_INNOSETUP
    5170,  // QsciScintillaBase::SCLEX_INNOSETUP
    5170,  // QsciScintillaBase::SCLEX_INNOSETUP
    5170,  // QsciScintillaBase::SCLEX_INNOSETUP
    5170,  // QsciScintillaBase::SCLEX_INNOSETUP
    5170,  // QsciScintillaBase::SCLEX_INNOSETUP
    5170,  // QsciScintillaBase::SCLEX_INNOSETUP
    5170,  // QsciScintillaBase::SCLEX_INNOSETUP
    5170,  // QsciScintillaBase::SCLEX_INNOSETUP
    5170,  // QsciScintillaBase::SCLEX_INNOSETUP
    5170,  // QsciScintillaBase::SCLEX_INNOSETUP
    5170,  // QsciScintillaBase::SCLEX_INNOSETUP
    5170,  // QsciScintillaBase::SCLEX_INNOSETUP
    5170,  // QsciScintillaBase::SCLEX_INNOSETUP
    5170,  // QsciScintillaBase::SCLEX_INNOSETUP
    5170,  // QsciScintillaBase::SCLEX_INNOSETUP
    5170,  // QsciScintillaBase::SCLEX_INNOSETUP
    5170,  // QsciScintillaBase::SCLEX_INNOSETUP
    5170,  // QsciScintillaBase::SCLEX_INNOSETUP
    5170,  // QsciScintillaBase::SCLEX_INNOSETUP
    0,
    5151,  // QsciScintillaBase::SCLEX_KIX
    5151,  // QsciScintillaBase::SCLEX_KIX
    5151,  // QsciScintillaBase::SCLEX_KIX
    5151,  // QsciScintillaBase::SCLEX_KIX
    5151,  // QsciScintillaBase::SCLEX_KIX
    5151,  // QsciScintillaBase::SCLEX_KIX
    5151,  // QsciScintillaBase::SCLEX_KIX
    5151,  // QsciScintillaBase::SCLEX_KIX
    5151,  // QsciScintillaBase::SCLEX_KIX
    5151,  // QsciScintillaBase::SCLEX_KIX
    5151,  // QsciScintillaBase::SCLEX_KIX
    5151,  // QsciScintillaBase::SCLEX_KIX
    5151,  // QsciScintillaBase::SCLEX_KIX
    5151,  // QsciScintillaBase::SCLEX_KIX
    5151,  // QsciScintillaBase::SCLEX_KIX
    5151,  // QsciScintillaBase::SCLEX_KIX
    5151,  // QsciScintillaBase::SCLEX_KIX
    5151,  // QsciScintillaBase::SCLEX_KIX
    5151,  // QsciScintillaBase::SCLEX_KIX
    5151,  // QsciScintillaBase::SCLEX_KIX
    5151,  // QsciScintillaBase::SCLEX_KIX
    5151,  // QsciScintillaBase::SCLEX_KIX
    5151,  // QsciScintillaBase::SCLEX_KIX
    5151,  // QsciScintillaBase::SCLEX_KIX
    5151,  // QsciScintillaBase::SCLEX_KIX
    5151,  // QsciScintillaBase::SCLEX_KIX
    5151,  // QsciScintillaBase::SCLEX_KIX
    5151,  // QsciScintillaBase::SCLEX_KIX
    5151,  // QsciScintillaBase::SCLEX_KIX
    5151,  // QsciScintillaBase::SCLEX_KIX
    5151,  // QsciScintillaBase::SCLEX_KIX
    5151,  // QsciScintillaBase::SCLEX_KIX
    5151,  // QsciScintillaBase::SCLEX_KIX
    5151,  // QsciScintillaBase::SCLEX_KIX
    0,
    5108,  // QsciScintillaBase::SCLEX_LATEX
    5108,  // QsciScintillaBase::SCLEX_LATEX
    5108,  // QsciScintillaBase::SCLEX_LATEX
    5108,  // QsciScintillaBase::SCLEX_LATEX
    5108,  // QsciScintillaBase::SCLEX_LATEX
    5108,  // QsciScintillaBase::SCLEX_LATEX
    5108,  // QsciScintillaBase::SCLEX_LATEX
    5108,  // QsciScintillaBase::SCLEX_LATEX
    5108,  // QsciScintillaBase::SCLEX_LATEX
    5108,  // QsciScintillaBase::SCLEX_LATEX
    5108,  // QsciScintillaBase::SCLEX_LATEX
    5108,  // QsciScintillaBase::SCLEX_LATEX
    5108,  // QsciScintillaBase::SCLEX_LATEX
    5108,  // QsciScintillaBase::SCLEX_LATEX
    5108,  // QsciScintillaBase::SCLEX_LATEX
    5108,  // QsciScintillaBase::SCLEX_LATEX
    5108,  // QsciScintillaBase::SCLEX_LATEX
    5108,  // QsciScintillaBase::SCLEX_LATEX
    5108,  // QsciScintillaBase::SCLEX_LATEX
    5108,  // QsciScintillaBase::SCLEX_LATEX
    5108,  // QsciScintillaBase::SCLEX_LATEX
    5108,  // QsciScintillaBase::SCLEX_LATEX
    5108,  // QsciScintillaBase::SCLEX_LATEX
    5108,  // QsciScintillaBase::SCLEX_LATEX
    5108,  // QsciScintillaBase::SCLEX_LATEX
    5108,  // QsciScintillaBase::SCLEX_LATEX
    5108,  // QsciScintillaBase::SCLEX_LATEX
    5108,  // QsciScintillaBase::SCLEX_LATEX
    5108,  // QsciScintillaBase::SCLEX_LATEX
    5108,  // QsciScintillaBase::SCLEX_LATEX
    5108,  // QsciScintillaBase::SCLEX_LATEX
    5108,  // QsciScintillaBase::SCLEX_LATEX
    5108,  // QsciScintillaBase::SCLEX_LATEX
    5108,  // QsciScintillaBase::SCLEX_LATEX
    0,
    5115,  // QsciScintillaBase::SCLEX_LISP
    5115,  // QsciScintillaBase::SCLEX_LISP
    5115,  // QsciScintillaBase::SCLEX_LISP
    5115,  // QsciScintillaBase::SCLEX_LISP
    5115,  // QsciScintillaBase::SCLEX_LISP
    5115,  // QsciScintillaBase::SCLEX_LISP
    5115,  // QsciScintillaBase::SCLEX_LISP
    5115,  // QsciScintillaBase::SCLEX_LISP
    5115,  // QsciScintillaBase::SCLEX_LISP
    5115,  // QsciScintillaBase::SCLEX_LISP
    5115,  // QsciScintillaBase::SCLEX_LISP
    5115,  // QsciScintillaBase::SCLEX_LISP
    5115,  // QsciScintillaBase::SCLEX_LISP
    5115,  // QsciScintillaBase::SCLEX_LISP
    5115,  // QsciScintillaBase::SCLEX_LISP
    5115,  // QsciScintillaBase::SCLEX_LISP
    5115,  // QsciScintillaBase::SCLEX_LISP
    5115,  // QsciScintillaBase::SCLEX_LISP
    5115,  // QsciScintillaBase::SCLEX_LISP
    5115,  // QsciScintillaBase::SCLEX_LISP
    5115,  // QsciScintillaBase::SCLEX_LISP
    5115,  // QsciScintillaBase::SCLEX_LISP
    5115,  // QsciScintillaBase::SCLEX_LISP
    5115,  // QsciScintillaBase::SCLEX_LISP
    5115,  // QsciScintillaBase::SCLEX_LISP
    5115,  // QsciScintillaBase::SCLEX_LISP
    5115,  // QsciScintillaBase::SCLEX_LISP
    5115,  // QsciScintillaBase::SCLEX_LISP
    5115,  // QsciScintillaBase::SCLEX_LISP
    5115,  // QsciScintillaBase::SCLEX_LISP
    5115,  // QsciScintillaBase::SCLEX_LISP
    5115,  // QsciScintillaBase::SCLEX_LISP
    5115,  // QsciScintillaBase::SCLEX_LISP
    5115,  // QsciScintillaBase::SCLEX_LISP
    0,
    5141,  // QsciScintillaBase::SCLEX_LOT
    5141,  // QsciScintillaBase::SCLEX_LOT
    5141,  // QsciScintillaBase::SCLEX_LOT
    5141,  // QsciScintillaBase::SCLEX_LOT
    5141,  // QsciScintillaBase::SCLEX_LOT
    5141,  // QsciScintillaBase::SCLEX_LOT
    5141,  // QsciScintillaBase::SCLEX_LOT
    5141,  // QsciScintillaBase::SCLEX_LOT
    5141,  // QsciScintillaBase::SCLEX_LOT
    5141,  // QsciScintillaBase::SCLEX_LOT
    5141,  // QsciScintillaBase::SCLEX_LOT
    5141,  // QsciScintillaBase::SCLEX_LOT
    5141,  // QsciScintillaBase::SCLEX_LOT
    5141,  // QsciScintillaBase::SCLEX_LOT
    5141,  // QsciScintillaBase::SCLEX_LOT
    5141,  // QsciScintillaBase::SCLEX_LOT
    5141,  // QsciScintillaBase::SCLEX_LOT
    5141,  // QsciScintillaBase::SCLEX_LOT
    5141,  // QsciScintillaBase::SCLEX_LOT
    5141,  // QsciScintillaBase::SCLEX_LOT
    5141,  // QsciScintillaBase::SCLEX_LOT
    5141,  // QsciScintillaBase::SCLEX_LOT
    5141,  // QsciScintillaBase::SCLEX_LOT
    5141,  // QsciScintillaBase::SCLEX_LOT
    5141,  // QsciScintillaBase::SCLEX_LOT
    5141,  // QsciScintillaBase::SCLEX_LOT
    5141,  // QsciScintillaBase::SCLEX_LOT
    5141,  // QsciScintillaBase::SCLEX_LOT
    5141,  // QsciScintillaBase::SCLEX_LOT
    5141,  // QsciScintillaBase::SCLEX_LOT
    5141,  // QsciScintillaBase::SCLEX_LOT
    5141,  // QsciScintillaBase::SCLEX_LOT
    5141,  // QsciScintillaBase::SCLEX_LOT
    5141,  // QsciScintillaBase::SCLEX_LOT
    0,
    5134,  // QsciScintillaBase::SCLEX_LOUT
    5134,  // QsciScintillaBase::SCLEX_LOUT
    5134,  // QsciScintillaBase::SCLEX_LOUT
    5134,  // QsciScintillaBase::SCLEX_LOUT
    5134,  // QsciScintillaBase::SCLEX_LOUT
    5134,  // QsciScintillaBase::SCLEX_LOUT
    5134,  // QsciScintillaBase::SCLEX_LOUT
    5134,  // QsciScintillaBase::SCLEX_LOUT
    5134,  // QsciScintillaBase::SCLEX_LOUT
    5134,  // QsciScintillaBase::SCLEX_LOUT
    5134,  // QsciScintillaBase::SCLEX_LOUT
    5134,  // QsciScintillaBase::SCLEX_LOUT
    5134,  // QsciScintillaBase::SCLEX_LOUT
    5134,  // QsciScintillaBase::SCLEX_LOUT
    5134,  // QsciScintillaBase::SCLEX_LOUT
    5134,  // QsciScintillaBase::SCLEX_LOUT
    5134,  // QsciScintillaBase::SCLEX_LOUT
    5134,  // QsciScintillaBase::SCLEX_LOUT
    5134,  // QsciScintillaBase::SCLEX_LOUT
    5134,  // QsciScintillaBase::SCLEX_LOUT
    5134,  // QsciScintillaBase::SCLEX_LOUT
    5134,  // QsciScintillaBase::SCLEX_LOUT
    5134,  // QsciScintillaBase::SCLEX_LOUT
    5134,  // QsciScintillaBase::SCLEX_LOUT
    5134,  // QsciScintillaBase::SCLEX_LOUT
    5134,  // QsciScintillaBase::SCLEX_LOUT
    5134,  // QsciScintillaBase::SCLEX_LOUT
    5134,  // QsciScintillaBase::SCLEX_LOUT
    5134,  // QsciScintillaBase::SCLEX_LOUT
    5134,  // QsciScintillaBase::SCLEX_LOUT
    5134,  // QsciScintillaBase::SCLEX_LOUT
    5134,  // QsciScintillaBase::SCLEX_LOUT
    5134,  // QsciScintillaBase::SCLEX_LOUT
    5134,  // QsciScintillaBase::SCLEX_LOUT
    0,
    5109,  // QsciScintillaBase::SCLEX_LUA
    5109,  // QsciScintillaBase::SCLEX_LUA
    5109,  // QsciScintillaBase::SCLEX_LUA
    5109,  // QsciScintillaBase::SCLEX_LUA
    5109,  // QsciScintillaBase::SCLEX_LUA
    5109,  // QsciScintillaBase::SCLEX_LUA
    5109,  // QsciScintillaBase::SCLEX_LUA
    5109,  // QsciScintillaBase::SCLEX_LUA
    5109,  // QsciScintillaBase::SCLEX_LUA
    5109,  // QsciScintillaBase::SCLEX_LUA
    5109,  // QsciScintillaBase::SCLEX_LUA
    5109,  // QsciScintillaBase::SCLEX_LUA
    5109,  // QsciScintillaBase::SCLEX_LUA
    5109,  // QsciScintillaBase::SCLEX_LUA
    5109,  // QsciScintillaBase::SCLEX_LUA
    5109,  // QsciScintillaBase::SCLEX_LUA
    5109,  // QsciScintillaBase::SCLEX_LUA
    5109,  // QsciScintillaBase::SCLEX_LUA
    5109,  // QsciScintillaBase::SCLEX_LUA
    5109,  // QsciScintillaBase::SCLEX_LUA
    5109,  // QsciScintillaBase::SCLEX_LUA
    5109,  // QsciScintillaBase::SCLEX_LUA
    5109,  // QsciScintillaBase::SCLEX_LUA
    5109,  // QsciScintillaBase::SCLEX_LUA
    5109,  // QsciScintillaBase::SCLEX_LUA
    5109,  // QsciScintillaBase::SCLEX_LUA
    5109,  // QsciScintillaBase::SCLEX_LUA
    5109,  // QsciScintillaBase::SCLEX_LUA
    5109,  // QsciScintillaBase::SCLEX_LUA
    5109,  // QsciScintillaBase::SCLEX_LUA
    5109,  // QsciScintillaBase::SCLEX_LUA
    5109,  // QsciScintillaBase::SCLEX_LUA
    5109,  // QsciScintillaBase::SCLEX_LUA
    5109,  // QsciScintillaBase::SCLEX_LUA
    0,
    5181,  // QsciScintillaBase::SCLEX_MAGIK
    5181,  // QsciScintillaBase::SCLEX_MAGIK
    5181,  // QsciScintillaBase::SCLEX_MAGIK
    5181,  // QsciScintillaBase::SCLEX_MAGIK
    5181,  // QsciScintillaBase::SCLEX_MAGIK
    5181,  // QsciScintillaBase::SCLEX_MAGIK
    5181,  // QsciScintillaBase::SCLEX_MAGIK
    5181,  // QsciScintillaBase::SCLEX_MAGIK
    5181,  // QsciScintillaBase::SCLEX_MAGIK
    5181,  // QsciScintillaBase::SCLEX_MAGIK
    5181,  // QsciScintillaBase::SCLEX_MAGIK
    5181,  // QsciScintillaBase::SCLEX_MAGIK
    5181,  // QsciScintillaBase::SCLEX_MAGIK
    5181,  // QsciScintillaBase::SCLEX_MAGIK
    5181,  // QsciScintillaBase::SCLEX_MAGIK
    5181,  // QsciScintillaBase::SCLEX_MAGIK
    5181,  // QsciScintillaBase::SCLEX_MAGIK
    5181,  // QsciScintillaBase::SCLEX_MAGIK
    5181,  // QsciScintillaBase::SCLEX_MAGIK
    5181,  // QsciScintillaBase::SCLEX_MAGIK
    5181,  // QsciScintillaBase::SCLEX_MAGIK
    5181,  // QsciScintillaBase::SCLEX_MAGIK
    5181,  // QsciScintillaBase::SCLEX_MAGIK
    5181,  // QsciScintillaBase::SCLEX_MAGIK
    5181,  // QsciScintillaBase::SCLEX_MAGIK
    5181,  // QsciScintillaBase::SCLEX_MAGIK
    5181,  // QsciScintillaBase::SCLEX_MAGIK
    5181,  // QsciScintillaBase::SCLEX_MAGIK
    5181,  // QsciScintillaBase::SCLEX_MAGIK
    5181,  // QsciScintillaBase::SCLEX_MAGIK
    5181,  // QsciScintillaBase::SCLEX_MAGIK
    5181,  // QsciScintillaBase::SCLEX_MAGIK
    5181,  // QsciScintillaBase::SCLEX_MAGIK
    5181,  // QsciScintillaBase::SCLEX_MAGIK
    0,
    5106,  // QsciScintillaBase::SCLEX_MAKEFILE
    5106,  // QsciScintillaBase::SCLEX_MAKEFILE
    5106,  // QsciScintillaBase::SCLEX_MAKEFILE
    5106,  // QsciScintillaBase::SCLEX_MAKEFILE
    5106,  // QsciScintillaBase::SCLEX_MAKEFILE
    5106,  // QsciScintillaBase::SCLEX_MAKEFILE
    5106,  // QsciScintillaBase::SCLEX_MAKEFILE
    5106,  // QsciScintillaBase::SCLEX_MAKEFILE
    5106,  // QsciScintillaBase::SCLEX_MAKEFILE
    5106,  // QsciScintillaBase::SCLEX_MAKEFILE
    5106,  // QsciScintillaBase::SCLEX_MAKEFILE
    5106,  // QsciScintillaBase::SCLEX_MAKEFILE
    5106,  // QsciScintillaBase::SCLEX_MAKEFILE
    5106,  // QsciScintillaBase::SCLEX_MAKEFILE
    5106,  // QsciScintillaBase::SCLEX_MAKEFILE
    5106,  // QsciScintillaBase::SCLEX_MAKEFILE
    5106,  // QsciScintillaBase::SCLEX_MAKEFILE
    5106,  // QsciScintillaBase::SCLEX_MAKEFILE
    5106,  // QsciScintillaBase::SCLEX_MAKEFILE
    5106,  // QsciScintillaBase::SCLEX_MAKEFILE
    5106,  // QsciScintillaBase::SCLEX_MAKEFILE
    5106,  // QsciScintillaBase::SCLEX_MAKEFILE
    5106,  // QsciScintillaBase::SCLEX_MAKEFILE
    5106,  // QsciScintillaBase::SCLEX_MAKEFILE
    5106,  // QsciScintillaBase::SCLEX_MAKEFILE
    5106,  // QsciScintillaBase::SCLEX_MAKEFILE
    5106,  // QsciScintillaBase::SCLEX_MAKEFILE
    5106,  // QsciScintillaBase::SCLEX_MAKEFILE
    5106,  // QsciScintillaBase::SCLEX_MAKEFILE
    5106,  // QsciScintillaBase::SCLEX_MAKEFILE
    5106,  // QsciScintillaBase::SCLEX_MAKEFILE
    5106,  // QsciScintillaBase::SCLEX_MAKEFILE
    5106,  // QsciScintillaBase::SCLEX_MAKEFILE
    5106,  // QsciScintillaBase::SCLEX_MAKEFILE
    0,
    5126,  // QsciScintillaBase::SCLEX_MATLAB
    5126,  // QsciScintillaBase::SCLEX_MATLAB
    5126,  // QsciScintillaBase::SCLEX_MATLAB
    5126,  // QsciScintillaBase::SCLEX_MATLAB
    5126,  // QsciScintillaBase::SCLEX_MATLAB
    5126,  // QsciScintillaBase::SCLEX_MATLAB
    5126,  // QsciScintillaBase::SCLEX_MATLAB
    5126,  // QsciScintillaBase::SCLEX_MATLAB
    5126,  // QsciScintillaBase::SCLEX_MATLAB
    5126,  // QsciScintillaBase::SCLEX_MATLAB
    5126,  // QsciScintillaBase::SCLEX_MATLAB
    5126,  // QsciScintillaBase::SCLEX_MATLAB
    5126,  // QsciScintillaBase::SCLEX_MATLAB
    5126,  // QsciScintillaBase::SCLEX_MATLAB
    5126,  // QsciScintillaBase::SCLEX_MATLAB
    5126,  // QsciScintillaBase::SCLEX_MATLAB
    5126,  // QsciScintillaBase::SCLEX_MATLAB
    5126,  // QsciScintillaBase::SCLEX_MATLAB
    5126,  // QsciScintillaBase::SCLEX_MATLAB
    5126,  // QsciScintillaBase::SCLEX_MATLAB
    5126,  // QsciScintillaBase::SCLEX_MATLAB
    5126,  // QsciScintillaBase::SCLEX_MATLAB
    5126,  // QsciScintillaBase::SCLEX_MATLAB
    5126,  // QsciScintillaBase::SCLEX_MATLAB
    5126,  // QsciScintillaBase::SCLEX_MATLAB
    5126,  // QsciScintillaBase::SCLEX_MATLAB
    5126,  // QsciScintillaBase::SCLEX_MATLAB
    5126,  // QsciScintillaBase::SCLEX_MATLAB
    5126,  // QsciScintillaBase::SCLEX_MATLAB
    5126,  // QsciScintillaBase::SCLEX_MATLAB
    5126,  // QsciScintillaBase::SCLEX_MATLAB
    5126,  // QsciScintillaBase::SCLEX_MATLAB
    5126,  // QsciScintillaBase::SCLEX_MATLAB
    5126,  // QsciScintillaBase::SCLEX_MATLAB
    0,
    5144,  // QsciScintillaBase::SCLEX_METAPOST
    5144,  // QsciScintillaBase::SCLEX_METAPOST
    5144,  // QsciScintillaBase::SCLEX_METAPOST
    5144,  // QsciScintillaBase::SCLEX_METAPOST
    5144,  // QsciScintillaBase::SCLEX_METAPOST
    5144,  // QsciScintillaBase::SCLEX_METAPOST
    5144,  // QsciScintillaBase::SCLEX_METAPOST
    5144,  // QsciScintillaBase::SCLEX_METAPOST
    5144,  // QsciScintillaBase::SCLEX_METAPOST
    5144,  // QsciScintillaBase::SCLEX_METAPOST
    5144,  // QsciScintillaBase::SCLEX_METAPOST
    5144,  // QsciScintillaBase::SCLEX_METAPOST
    5144,  // QsciScintillaBase::SCLEX_METAPOST
    5144,  // QsciScintillaBase::SCLEX_METAPOST
    5144,  // QsciScintillaBase::SCLEX_METAPOST
    5144,  // QsciScintillaBase::SCLEX_METAPOST
    5144,  // QsciScintillaBase::SCLEX_METAPOST
    5144,  // QsciScintillaBase::SCLEX_METAPOST
    5144,  // QsciScintillaBase::SCLEX_METAPOST
    5144,  // QsciScintillaBase::SCLEX_METAPOST
    5144,  // QsciScintillaBase::SCLEX_METAPOST
    5144,  // QsciScintillaBase::SCLEX_METAPOST
    5144,  // QsciScintillaBase::SCLEX_METAPOST
    5144,  // QsciScintillaBase::SCLEX_METAPOST
    5144,  // QsciScintillaBase::SCLEX_METAPOST
    5144,  // QsciScintillaBase::SCLEX_METAPOST
    5144,  // QsciScintillaBase::SCLEX_METAPOST
    5144,  // QsciScintillaBase::SCLEX_METAPOST
    5144,  // QsciScintillaBase::SCLEX_METAPOST
    5144,  // QsciScintillaBase::SCLEX_METAPOST
    5144,  // QsciScintillaBase::SCLEX_METAPOST
    5144,  // QsciScintillaBase::SCLEX_METAPOST
    5144,  // QsciScintillaBase::SCLEX_METAPOST
    5144,  // QsciScintillaBase::SCLEX_METAPOST
    0,
    5138,  // QsciScintillaBase::SCLEX_MMIXAL
    5138,  // QsciScintillaBase::SCLEX_MMIXAL
    5138,  // QsciScintillaBase::SCLEX_MMIXAL
    5138,  // QsciScintillaBase::SCLEX_MMIXAL
    5138,  // QsciScintillaBase::SCLEX_MMIXAL
    5138,  // QsciScintillaBase::SCLEX_MMIXAL
    5138,  // QsciScintillaBase::SCLEX_MMIXAL
    5138,  // QsciScintillaBase::SCLEX_MMIXAL
    5138,  // QsciScintillaBase::SCLEX_MMIXAL
    5138,  // QsciScintillaBase::SCLEX_MMIXAL
    5138,  // QsciScintillaBase::SCLEX_MMIXAL
    5138,  // QsciScintillaBase::SCLEX_MMIXAL
    5138,  // QsciScintillaBase::SCLEX_MMIXAL
    5138,  // QsciScintillaBase::SCLEX_MMIXAL
    5138,  // QsciScintillaBase::SCLEX_MMIXAL
    5138,  // QsciScintillaBase::SCLEX_MMIXAL
    5138,  // QsciScintillaBase::SCLEX_MMIXAL
    5138,  // QsciScintillaBase::SCLEX_MMIXAL
    5138,  // QsciScintillaBase::SCLEX_MMIXAL
    5138,  // QsciScintillaBase::SCLEX_MMIXAL
    5138,  // QsciScintillaBase::SCLEX_MMIXAL
    5138,  // QsciScintillaBase::SCLEX_MMIXAL
    5138,  // QsciScintillaBase::SCLEX_MMIXAL
    5138,  // QsciScintillaBase::SCLEX_MMIXAL
    5138,  // QsciScintillaBase::SCLEX_MMIXAL
    5138,  // QsciScintillaBase::SCLEX_MMIXAL
    5138,  // QsciScintillaBase::SCLEX_MMIXAL
    5138,  // QsciScintillaBase::SCLEX_MMIXAL
    5138,  // QsciScintillaBase::SCLEX_MMIXAL
    5138,  // QsciScintillaBase::SCLEX_MMIXAL
    5138,  // QsciScintillaBase::SCLEX_MMIXAL
    5138,  // QsciScintillaBase::SCLEX_MMIXAL
    5138,  // QsciScintillaBase::SCLEX_MMIXAL
    5138,  // QsciScintillaBase::SCLEX_MMIXAL
    0,
    5149,  // QsciScintillaBase::SCLEX_MSSQL
    5149,  // QsciScintillaBase::SCLEX_MSSQL
    5149,  // QsciScintillaBase::SCLEX_MSSQL
    5149,  // QsciScintillaBase::SCLEX_MSSQL
    5149,  // QsciScintillaBase::SCLEX_MSSQL
    5149,  // QsciScintillaBase::SCLEX_MSSQL
    5149,  // QsciScintillaBase::SCLEX_MSSQL
    5149,  // QsciScintillaBase::SCLEX_MSSQL
    5149,  // QsciScintillaBase::SCLEX_MSSQL
    5149,  // QsciScintillaBase::SCLEX_MSSQL
    5149,  // QsciScintillaBase::SCLEX_MSSQL
    5149,  // QsciScintillaBase::SCLEX_MSSQL
    5149,  // QsciScintillaBase::SCLEX_MSSQL
    5149,  // QsciScintillaBase::SCLEX_MSSQL
    5149,  // QsciScintillaBase::SCLEX_MSSQL
    5149,  // QsciScintillaBase::SCLEX_MSSQL
    5149,  // QsciScintillaBase::SCLEX_MSSQL
    5149,  // QsciScintillaBase::SCLEX_MSSQL
    5149,  // QsciScintillaBase::SCLEX_MSSQL
    5149,  // QsciScintillaBase::SCLEX_MSSQL
    5149,  // QsciScintillaBase::SCLEX_MSSQL
    5149,  // QsciScintillaBase::SCLEX_MSSQL
    5149,  // QsciScintillaBase::SCLEX_MSSQL
    5149,  // QsciScintillaBase::SCLEX_MSSQL
    5149,  // QsciScintillaBase::SCLEX_MSSQL
    5149,  // QsciScintillaBase::SCLEX_MSSQL
    5149,  // QsciScintillaBase::SCLEX_MSSQL
    5149,  // QsciScintillaBase::SCLEX_MSSQL
    5149,  // QsciScintillaBase::SCLEX_MSSQL
    5149,  // QsciScintillaBase::SCLEX_MSSQL
    5149,  // QsciScintillaBase::SCLEX_MSSQL
    5149,  // QsciScintillaBase::SCLEX_MSSQL
    5149,  // QsciScintillaBase::SCLEX_MSSQL
    5149,  // QsciScintillaBase::SCLEX_MSSQL
    0,
    5183,  // QsciScintillaBase::SCLEX_MYSQL
    5183,  // QsciScintillaBase::SCLEX_MYSQL
    5183,  // QsciScintillaBase::SCLEX_MYSQL
    5183,  // QsciScintillaBase::SCLEX_MYSQL
    5183,  // QsciScintillaBase::SCLEX_MYSQL
    5183,  // QsciScintillaBase::SCLEX_MYSQL
    5183,  // QsciScintillaBase::SCLEX_MYSQL
    5183,  // QsciScintillaBase::SCLEX_MYSQL
    5183,  // QsciScintillaBase::SCLEX_MYSQL
    5183,  // QsciScintillaBase::SCLEX_MYSQL
    5183,  // QsciScintillaBase::SCLEX_MYSQL
    5183,  // QsciScintillaBase::SCLEX_MYSQL
    5183,  // QsciScintillaBase::SCLEX_MYSQL
    5183,  // QsciScintillaBase::SCLEX_MYSQL
    5183,  // QsciScintillaBase::SCLEX_MYSQL
    5183,  // QsciScintillaBase::SCLEX_MYSQL
    5183,  // QsciScintillaBase::SCLEX_MYSQL
    5183,  // QsciScintillaBase::SCLEX_MYSQL
    5183,  // QsciScintillaBase::SCLEX_MYSQL
    5183,  // QsciScintillaBase::SCLEX_MYSQL
    5183,  // QsciScintillaBase::SCLEX_MYSQL
    5183,  // QsciScintillaBase::SCLEX_MYSQL
    5183,  // QsciScintillaBase::SCLEX_MYSQL
    5183,  // QsciScintillaBase::SCLEX_MYSQL
    5183,  // QsciScintillaBase::SCLEX_MYSQL
    5183,  // QsciScintillaBase::SCLEX_MYSQL
    5183,  // QsciScintillaBase::SCLEX_MYSQL
    5183,  // QsciScintillaBase::SCLEX_MYSQL
    5183,  // QsciScintillaBase::SCLEX_MYSQL
    5183,  // QsciScintillaBase::SCLEX_MYSQL
    5183,  // QsciScintillaBase::SCLEX_MYSQL
    5183,  // QsciScintillaBase::SCLEX_MYSQL
    5183,  // QsciScintillaBase::SCLEX_MYSQL
    5183,  // QsciScintillaBase::SCLEX_MYSQL
    0,
    5190,  // QsciScintillaBase::SCLEX_NIMROD
    5190,  // QsciScintillaBase::SCLEX_NIMROD
    5190,  // QsciScintillaBase::SCLEX_NIMROD
    5190,  // QsciScintillaBase::SCLEX_NIMROD
    5190,  // QsciScintillaBase::SCLEX_NIMROD
    5190,  // QsciScintillaBase::SCLEX_NIMROD
    5190,  // QsciScintillaBase::SCLEX_NIMROD
    5190,  // QsciScintillaBase::SCLEX_NIMROD
    5190,  // QsciScintillaBase::SCLEX_NIMROD
    5190,  // QsciScintillaBase::SCLEX_NIMROD
    5190,  // QsciScintillaBase::SCLEX_NIMROD
    5190,  // QsciScintillaBase::SCLEX_NIMROD
    5190,  // QsciScintillaBase::SCLEX_NIMROD
    5190,  // QsciScintillaBase::SCLEX_NIMROD
    5190,  // QsciScintillaBase::SCLEX_NIMROD
    5190,  // QsciScintillaBase::SCLEX_NIMROD
    5190,  // QsciScintillaBase::SCLEX_NIMROD
    5190,  // QsciScintillaBase::SCLEX_NIMROD
    5190,  // QsciScintillaBase::SCLEX_NIMROD
    5190,  // QsciScintillaBase::SCLEX_NIMROD
    5190,  // QsciScintillaBase::SCLEX_NIMROD
    5190,  // QsciScintillaBase::SCLEX_NIMROD
    5190,  // QsciScintillaBase::SCLEX_NIMROD
    5190,  // QsciScintillaBase::SCLEX_NIMROD
    5190,  // QsciScintillaBase::SCLEX_NIMROD
    5190,  // QsciScintillaBase::SCLEX_NIMROD
    5190,  // QsciScintillaBase::SCLEX_NIMROD
    5190,  // QsciScintillaBase::SCLEX_NIMROD
    5190,  // QsciScintillaBase::SCLEX_NIMROD
    5190,  // QsciScintillaBase::SCLEX_NIMROD
    5190,  // QsciScintillaBase::SCLEX_NIMROD
    5190,  // QsciScintillaBase::SCLEX_NIMROD
    5190,  // QsciScintillaBase::SCLEX_NIMROD
    5190,  // QsciScintillaBase::SCLEX_NIMROD
    0,
    5120,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5120,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5120,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5120,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5120,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5120,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5120,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5120,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5120,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5120,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5120,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5120,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5120,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5120,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5120,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5120,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5120,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5120,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5120,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5120,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5120,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5120,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5120,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5120,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5120,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5120,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5120,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5120,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5120,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5120,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5120,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5120,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5120,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5120,  // QsciScintillaBase::SCLEX_NNCRONTAB
    0,
    5137,  // QsciScintillaBase::SCLEX_NSIS
    5137,  // QsciScintillaBase::SCLEX_NSIS
    5137,  // QsciScintillaBase::SCLEX_NSIS
    5137,  // QsciScintillaBase::SCLEX_NSIS
    5137,  // QsciScintillaBase::SCLEX_NSIS
    5137,  // QsciScintillaBase::SCLEX_NSIS
    5137,  // QsciScintillaBase::SCLEX_NSIS
    5137,  // QsciScintillaBase::SCLEX_NSIS
    5137,  // QsciScintillaBase::SCLEX_NSIS
    5137,  // QsciScintillaBase::SCLEX_NSIS
    5137,  // QsciScintillaBase::SCLEX_NSIS
    5137,  // QsciScintillaBase::SCLEX_NSIS
    5137,  // QsciScintillaBase::SCLEX_NSIS
    5137,  // QsciScintillaBase::SCLEX_NSIS
    5137,  // QsciScintillaBase::SCLEX_NSIS
    5137,  // QsciScintillaBase::SCLEX_NSIS
    5137,  // QsciScintillaBase::SCLEX_NSIS
    5137,  // QsciScintillaBase::SCLEX_NSIS
    5137,  // QsciScintillaBase::SCLEX_NSIS
    5137,  // QsciScintillaBase::SCLEX_NSIS
    5137,  // QsciScintillaBase::SCLEX_NSIS
    5137,  // QsciScintillaBase::SCLEX_NSIS
    5137,  // QsciScintillaBase::SCLEX_NSIS
    5137,  // QsciScintillaBase::SCLEX_NSIS
    5137,  // QsciScintillaBase::SCLEX_NSIS
    5137,  // QsciScintillaBase::SCLEX_NSIS
    5137,  // QsciScintillaBase::SCLEX_NSIS
    5137,  // QsciScintillaBase::SCLEX_NSIS
    5137,  // QsciScintillaBase::SCLEX_NSIS
    5137,  // QsciScintillaBase::SCLEX_NSIS
    5137,  // QsciScintillaBase::SCLEX_NSIS
    5137,  // QsciScintillaBase::SCLEX_NSIS
    5137,  // QsciScintillaBase::SCLEX_NSIS
    5137,  // QsciScintillaBase::SCLEX_NSIS
    0,
    5096,  // QsciScintillaBase::SCLEX_NULL
    5096,  // QsciScintillaBase::SCLEX_NULL
    5096,  // QsciScintillaBase::SCLEX_NULL
    5096,  // QsciScintillaBase::SCLEX_NULL
    5096,  // QsciScintillaBase::SCLEX_NULL
    5096,  // QsciScintillaBase::SCLEX_NULL
    5096,  // QsciScintillaBase::SCLEX_NULL
    5096,  // QsciScintillaBase::SCLEX_NULL
    5096,  // QsciScintillaBase::SCLEX_NULL
    5096,  // QsciScintillaBase::SCLEX_NULL
    5096,  // QsciScintillaBase::SCLEX_NULL
    5096,  // QsciScintillaBase::SCLEX_NULL
    5096,  // QsciScintillaBase::SCLEX_NULL
    5096,  // QsciScintillaBase::SCLEX_NULL
    5096,  // QsciScintillaBase::SCLEX_NULL
    5096,  // QsciScintillaBase::SCLEX_NULL
    5096,  // QsciScintillaBase::SCLEX_NULL
    5096,  // QsciScintillaBase::SCLEX_NULL
    5096,  // QsciScintillaBase::SCLEX_NULL
    5096,  // QsciScintillaBase::SCLEX_NULL
    5096,  // QsciScintillaBase::SCLEX_NULL
    5096,  // QsciScintillaBase::SCLEX_NULL
    5096,  // QsciScintillaBase::SCLEX_NULL
    5096,  // QsciScintillaBase::SCLEX_NULL
    5096,  // QsciScintillaBase::SCLEX_NULL
    5096,  // QsciScintillaBase::SCLEX_NULL
    5096,  // QsciScintillaBase::SCLEX_NULL
    5096,  // QsciScintillaBase::SCLEX_NULL
    5096,  // QsciScintillaBase::SCLEX_NULL
    5096,  // QsciScintillaBase::SCLEX_NULL
    5096,  // QsciScintillaBase::SCLEX_NULL
    5096,  // QsciScintillaBase::SCLEX_NULL
    5096,  // QsciScintillaBase::SCLEX_NULL
    5096,  // QsciScintillaBase::SCLEX_NULL
    0,
    5148,  // QsciScintillaBase::SCLEX_OCTAVE
    5148,  // QsciScintillaBase::SCLEX_OCTAVE
    5148,  // QsciScintillaBase::SCLEX_OCTAVE
    5148,  // QsciScintillaBase::SCLEX_OCTAVE
    5148,  // QsciScintillaBase::SCLEX_OCTAVE
    5148,  // QsciScintillaBase::SCLEX_OCTAVE
    5148,  // QsciScintillaBase::SCLEX_OCTAVE
    5148,  // QsciScintillaBase::SCLEX_OCTAVE
    5148,  // QsciScintillaBase::SCLEX_OCTAVE
    5148,  // QsciScintillaBase::SCLEX_OCTAVE
    5148,  // QsciScintillaBase::SCLEX_OCTAVE
    5148,  // QsciScintillaBase::SCLEX_OCTAVE
    5148,  // QsciScintillaBase::SCLEX_OCTAVE
    5148,  // QsciScintillaBase::SCLEX_OCTAVE
    5148,  // QsciScintillaBase::SCLEX_OCTAVE
    5148,  // QsciScintillaBase::SCLEX_OCTAVE
    5148,  // QsciScintillaBase::SCLEX_OCTAVE
    5148,  // QsciScintillaBase::SCLEX_OCTAVE
    5148,  // QsciScintillaBase::SCLEX_OCTAVE
    5148,  // QsciScintillaBase::SCLEX_OCTAVE
    5148,  // QsciScintillaBase::SCLEX_OCTAVE
    5148,  // QsciScintillaBase::SCLEX_OCTAVE
    5148,  // QsciScintillaBase::SCLEX_OCTAVE
    5148,  // QsciScintillaBase::SCLEX_OCTAVE
    5148,  // QsciScintillaBase::SCLEX_OCTAVE
    5148,  // QsciScintillaBase::SCLEX_OCTAVE
    5148,  // QsciScintillaBase::SCLEX_OCTAVE
    5148,  // QsciScintillaBase::SCLEX_OCTAVE
    5148,  // QsciScintillaBase::SCLEX_OCTAVE
    5148,  // QsciScintillaBase::SCLEX_OCTAVE
    5148,  // QsciScintillaBase::SCLEX_OCTAVE
    5148,  // QsciScintillaBase::SCLEX_OCTAVE
    5148,  // QsciScintillaBase::SCLEX_OCTAVE
    5148,  // QsciScintillaBase::SCLEX_OCTAVE
    0,
    5171,  // QsciScintillaBase::SCLEX_OPAL
    5171,  // QsciScintillaBase::SCLEX_OPAL
    5171,  // QsciScintillaBase::SCLEX_OPAL
    5171,  // QsciScintillaBase::SCLEX_OPAL
    5171,  // QsciScintillaBase::SCLEX_OPAL
    5171,  // QsciScintillaBase::SCLEX_OPAL
    5171,  // QsciScintillaBase::SCLEX_OPAL
    5171,  // QsciScintillaBase::SCLEX_OPAL
    5171,  // QsciScintillaBase::SCLEX_OPAL
    5171,  // QsciScintillaBase::SCLEX_OPAL
    5171,  // QsciScintillaBase::SCLEX_OPAL
    5171,  // QsciScintillaBase::SCLEX_OPAL
    5171,  // QsciScintillaBase::SCLEX_OPAL
    5171,  // QsciScintillaBase::SCLEX_OPAL
    5171,  // QsciScintillaBase::SCLEX_OPAL
    5171,  // QsciScintillaBase::SCLEX_OPAL
    5171,  // QsciScintillaBase::SCLEX_OPAL
    5171,  // QsciScintillaBase::SCLEX_OPAL
    5171,  // QsciScintillaBase::SCLEX_OPAL
    5171,  // QsciScintillaBase::SCLEX_OPAL
    5171,  // QsciScintillaBase::SCLEX_OPAL
    5171,  // QsciScintillaBase::SCLEX_OPAL
    5171,  // QsciScintillaBase::SCLEX_OPAL
    5171,  // QsciScintillaBase::SCLEX_OPAL
    5171,  // QsciScintillaBase::SCLEX_OPAL
    5171,  // QsciScintillaBase::SCLEX_OPAL
    5171,  // QsciScintillaBase::SCLEX_OPAL
    5171,  // QsciScintillaBase::SCLEX_OPAL
    5171,  // QsciScintillaBase::SCLEX_OPAL
    5171,  // QsciScintillaBase::SCLEX_OPAL
    5171,  // QsciScintillaBase::SCLEX_OPAL
    5171,  // QsciScintillaBase::SCLEX_OPAL
    5171,  // QsciScintillaBase::SCLEX_OPAL
    5171,  // QsciScintillaBase::SCLEX_OPAL
    0,
    5112,  // QsciScintillaBase::SCLEX_PASCAL
    5112,  // QsciScintillaBase::SCLEX_PASCAL
    5112,  // QsciScintillaBase::SCLEX_PASCAL
    5112,  // QsciScintillaBase::SCLEX_PASCAL
    5112,  // QsciScintillaBase::SCLEX_PASCAL
    5112,  // QsciScintillaBase::SCLEX_PASCAL
    5112,  // QsciScintillaBase::SCLEX_PASCAL
    5112,  // QsciScintillaBase::SCLEX_PASCAL
    5112,  // QsciScintillaBase::SCLEX_PASCAL
    5112,  // QsciScintillaBase::SCLEX_PASCAL
    5112,  // QsciScintillaBase::SCLEX_PASCAL
    5112,  // QsciScintillaBase::SCLEX_PASCAL
    5112,  // QsciScintillaBase::SCLEX_PASCAL
    5112,  // QsciScintillaBase::SCLEX_PASCAL
    5112,  // QsciScintillaBase::SCLEX_PASCAL
    5112,  // QsciScintillaBase::SCLEX_PASCAL
    5112,  // QsciScintillaBase::SCLEX_PASCAL
    5112,  // QsciScintillaBase::SCLEX_PASCAL
    5112,  // QsciScintillaBase::SCLEX_PASCAL
    5112,  // QsciScintillaBase::SCLEX_PASCAL
    5112,  // QsciScintillaBase::SCLEX_PASCAL
    5112,  // QsciScintillaBase::SCLEX_PASCAL
    5112,  // QsciScintillaBase::SCLEX_PASCAL
    5112,  // QsciScintillaBase::SCLEX_PASCAL
    5112,  // QsciScintillaBase::SCLEX_PASCAL
    5112,  // QsciScintillaBase::SCLEX_PASCAL
    5112,  // QsciScintillaBase::SCLEX_PASCAL
    5112,  // QsciScintillaBase::SCLEX_PASCAL
    5112,  // QsciScintillaBase::SCLEX_PASCAL
    5112,  // QsciScintillaBase::SCLEX_PASCAL
    5112,  // QsciScintillaBase::SCLEX_PASCAL
    5112,  // QsciScintillaBase::SCLEX_PASCAL
    5112,  // QsciScintillaBase::SCLEX_PASCAL
    5112,  // QsciScintillaBase::SCLEX_PASCAL
    0,
    5101,  // QsciScintillaBase::SCLEX_PERL
    5101,  // QsciScintillaBase::SCLEX_PERL
    5101,  // QsciScintillaBase::SCLEX_PERL
    5101,  // QsciScintillaBase::SCLEX_PERL
    5101,  // QsciScintillaBase::SCLEX_PERL
    5101,  // QsciScintillaBase::SCLEX_PERL
    5101,  // QsciScintillaBase::SCLEX_PERL
    5101,  // QsciScintillaBase::SCLEX_PERL
    5101,  // QsciScintillaBase::SCLEX_PERL
    5101,  // QsciScintillaBase::SCLEX_PERL
    5101,  // QsciScintillaBase::SCLEX_PERL
    5101,  // QsciScintillaBase::SCLEX_PERL
    5101,  // QsciScintillaBase::SCLEX_PERL
    5101,  // QsciScintillaBase::SCLEX_PERL
    5101,  // QsciScintillaBase::SCLEX_PERL
    5101,  // QsciScintillaBase::SCLEX_PERL
    5101,  // QsciScintillaBase::SCLEX_PERL
    5101,  // QsciScintillaBase::SCLEX_PERL
    5101,  // QsciScintillaBase::SCLEX_PERL
    5101,  // QsciScintillaBase::SCLEX_PERL
    5101,  // QsciScintillaBase::SCLEX_PERL
    5101,  // QsciScintillaBase::SCLEX_PERL
    5101,  // QsciScintillaBase::SCLEX_PERL
    5101,  // QsciScintillaBase::SCLEX_PERL
    5101,  // QsciScintillaBase::SCLEX_PERL
    5101,  // QsciScintillaBase::SCLEX_PERL
    5101,  // QsciScintillaBase::SCLEX_PERL
    5101,  // QsciScintillaBase::SCLEX_PERL
    5101,  // QsciScintillaBase::SCLEX_PERL
    5101,  // QsciScintillaBase::SCLEX_PERL
    5101,  // QsciScintillaBase::SCLEX_PERL
    5101,  // QsciScintillaBase::SCLEX_PERL
    5101,  // QsciScintillaBase::SCLEX_PERL
    5101,  // QsciScintillaBase::SCLEX_PERL
    0,
    5124,  // QsciScintillaBase::SCLEX_PHP
    5124,  // QsciScintillaBase::SCLEX_PHP
    5124,  // QsciScintillaBase::SCLEX_PHP
    5124,  // QsciScintillaBase::SCLEX_PHP
    5124,  // QsciScintillaBase::SCLEX_PHP
    5124,  // QsciScintillaBase::SCLEX_PHP
    5124,  // QsciScintillaBase::SCLEX_PHP
    5124,  // QsciScintillaBase::SCLEX_PHP
    5124,  // QsciScintillaBase::SCLEX_PHP
    5124,  // QsciScintillaBase::SCLEX_PHP
    5124,  // QsciScintillaBase::SCLEX_PHP
    5124,  // QsciScintillaBase::SCLEX_PHP
    5124,  // QsciScintillaBase::SCLEX_PHP
    5124,  // QsciScintillaBase::SCLEX_PHP
    5124,  // QsciScintillaBase::SCLEX_PHP
    5124,  // QsciScintillaBase::SCLEX_PHP
    5124,  // QsciScintillaBase::SCLEX_PHP
    5124,  // QsciScintillaBase::SCLEX_PHP
    5124,  // QsciScintillaBase::SCLEX_PHP
    5124,  // QsciScintillaBase::SCLEX_PHP
    5124,  // QsciScintillaBase::SCLEX_PHP
    5124,  // QsciScintillaBase::SCLEX_PHP
    5124,  // QsciScintillaBase::SCLEX_PHP
    5124,  // QsciScintillaBase::SCLEX_PHP
    5124,  // QsciScintillaBase::SCLEX_PHP
    5124,  // QsciScintillaBase::SCLEX_PHP
    5124,  // QsciScintillaBase::SCLEX_PHP
    5124,  // QsciScintillaBase::SCLEX_PHP
    5124,  // QsciScintillaBase::SCLEX_PHP
    5124,  // QsciScintillaBase::SCLEX_PHP
    5124,  // QsciScintillaBase::SCLEX_PHP
    5124,  // QsciScintillaBase::SCLEX_PHP
    5124,  // QsciScintillaBase::SCLEX_PHP
    5124,  // QsciScintillaBase::SCLEX_PHP
    0,
    5163,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5163,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5163,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5163,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5163,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5163,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5163,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5163,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5163,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5163,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5163,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5163,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5163,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5163,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5163,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5163,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5163,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5163,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5163,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5163,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5163,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5163,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5163,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5163,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5163,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5163,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5163,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5163,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5163,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5163,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5163,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5163,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5163,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5163,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    0,
    5176,  // QsciScintillaBase::SCLEX_PLM
    5176,  // QsciScintillaBase::SCLEX_PLM
    5176,  // QsciScintillaBase::SCLEX_PLM
    5176,  // QsciScintillaBase::SCLEX_PLM
    5176,  // QsciScintillaBase::SCLEX_PLM
    5176,  // QsciScintillaBase::SCLEX_PLM
    5176,  // QsciScintillaBase::SCLEX_PLM
    5176,  // QsciScintillaBase::SCLEX_PLM
    5176,  // QsciScintillaBase::SCLEX_PLM
    5176,  // QsciScintillaBase::SCLEX_PLM
    5176,  // QsciScintillaBase::SCLEX_PLM
    5176,  // QsciScintillaBase::SCLEX_PLM
    5176,  // QsciScintillaBase::SCLEX_PLM
    5176,  // QsciScintillaBase::SCLEX_PLM
    5176,  // QsciScintillaBase::SCLEX_PLM
    5176,  // QsciScintillaBase::SCLEX_PLM
    5176,  // QsciScintillaBase::SCLEX_PLM
    5176,  // QsciScintillaBase::SCLEX_PLM
    5176,  // QsciScintillaBase::SCLEX_PLM
    5176,  // QsciScintillaBase::SCLEX_PLM
    5176,  // QsciScintillaBase::SCLEX_PLM
    5176,  // QsciScintillaBase::SCLEX_PLM
    5176,  // QsciScintillaBase::SCLEX_PLM
    5176,  // QsciScintillaBase::SCLEX_PLM
    5176,  // QsciScintillaBase::SCLEX_PLM
    5176,  // QsciScintillaBase::SCLEX_PLM
    5176,  // QsciScintillaBase::SCLEX_PLM
    5176,  // QsciScintillaBase::SCLEX_PLM
    5176,  // QsciScintillaBase::SCLEX_PLM
    5176,  // QsciScintillaBase::SCLEX_PLM
    5176,  // QsciScintillaBase::SCLEX_PLM
    5176,  // QsciScintillaBase::SCLEX_PLM
    5176,  // QsciScintillaBase::SCLEX_PLM
    5176,  // QsciScintillaBase::SCLEX_PLM
    0,
    5184,  // QsciScintillaBase::SCLEX_PO
    5184,  // QsciScintillaBase::SCLEX_PO
    5184,  // QsciScintillaBase::SCLEX_PO
    5184,  // QsciScintillaBase::SCLEX_PO
    5184,  // QsciScintillaBase::SCLEX_PO
    5184,  // QsciScintillaBase::SCLEX_PO
    5184,  // QsciScintillaBase::SCLEX_PO
    5184,  // QsciScintillaBase::SCLEX_PO
    5184,  // QsciScintillaBase::SCLEX_PO
    5184,  // QsciScintillaBase::SCLEX_PO
    5184,  // QsciScintillaBase::SCLEX_PO
    5184,  // QsciScintillaBase::SCLEX_PO
    5184,  // QsciScintillaBase::SCLEX_PO
    5184,  // QsciScintillaBase::SCLEX_PO
    5184,  // QsciScintillaBase::SCLEX_PO
    5184,  // QsciScintillaBase::SCLEX_PO
    5184,  // QsciScintillaBase::SCLEX_PO
    5184,  // QsciScintillaBase::SCLEX_PO
    5184,  // QsciScintillaBase::SCLEX_PO
    5184,  // QsciScintillaBase::SCLEX_PO
    5184,  // QsciScintillaBase::SCLEX_PO
    5184,  // QsciScintillaBase::SCLEX_PO
    5184,  // QsciScintillaBase::SCLEX_PO
    5184,  // QsciScintillaBase::SCLEX_PO
    5184,  // QsciScintillaBase::SCLEX_PO
    5184,  // QsciScintillaBase::SCLEX_PO
    5184,  // QsciScintillaBase::SCLEX_PO
    5184,  // QsciScintillaBase::SCLEX_PO
    5184,  // QsciScintillaBase::SCLEX_PO
    5184,  // QsciScintillaBase::SCLEX_PO
    5184,  // QsciScintillaBase::SCLEX_PO
    5184,  // QsciScintillaBase::SCLEX_PO
    5184,  // QsciScintillaBase::SCLEX_PO
    5184,  // QsciScintillaBase::SCLEX_PO
    0,
    5133,  // QsciScintillaBase::SCLEX_POV
    5133,  // QsciScintillaBase::SCLEX_POV
    5133,  // QsciScintillaBase::SCLEX_POV
    5133,  // QsciScintillaBase::SCLEX_POV
    5133,  // QsciScintillaBase::SCLEX_POV
    5133,  // QsciScintillaBase::SCLEX_POV
    5133,  // QsciScintillaBase::SCLEX_POV
    5133,  // QsciScintillaBase::SCLEX_POV
    5133,  // QsciScintillaBase::SCLEX_POV
    5133,  // QsciScintillaBase::SCLEX_POV
    5133,  // QsciScintillaBase::SCLEX_POV
    5133,  // QsciScintillaBase::SCLEX_POV
    5133,  // QsciScintillaBase::SCLEX_POV
    5133,  // QsciScintillaBase::SCLEX_POV
    5133,  // QsciScintillaBase::SCLEX_POV
    5133,  // QsciScintillaBase::SCLEX_POV
    5133,  // QsciScintillaBase::SCLEX_POV
    5133,  // QsciScintillaBase::SCLEX_POV
    5133,  // QsciScintillaBase::SCLEX_POV
    5133,  // QsciScintillaBase::SCLEX_POV
    5133,  // QsciScintillaBase::SCLEX_POV
    5133,  // QsciScintillaBase::SCLEX_POV
    5133,  // QsciScintillaBase::SCLEX_POV
    5133,  // QsciScintillaBase::SCLEX_POV
    5133,  // QsciScintillaBase::SCLEX_POV
    5133,  // QsciScintillaBase::SCLEX_POV
    5133,  // QsciScintillaBase::SCLEX_POV
    5133,  // QsciScintillaBase::SCLEX_POV
    5133,  // QsciScintillaBase::SCLEX_POV
    5133,  // QsciScintillaBase::SCLEX_POV
    5133,  // QsciScintillaBase::SCLEX_POV
    5133,  // QsciScintillaBase::SCLEX_POV
    5133,  // QsciScintillaBase::SCLEX_POV
    5133,  // QsciScintillaBase::SCLEX_POV
    0,
    5145,  // QsciScintillaBase::SCLEX_POWERBASIC
    5145,  // QsciScintillaBase::SCLEX_POWERBASIC
    5145,  // QsciScintillaBase::SCLEX_POWERBASIC
    5145,  // QsciScintillaBase::SCLEX_POWERBASIC
    5145,  // QsciScintillaBase::SCLEX_POWERBASIC
    5145,  // QsciScintillaBase::SCLEX_POWERBASIC
    5145,  // QsciScintillaBase::SCLEX_POWERBASIC
    5145,  // QsciScintillaBase::SCLEX_POWERBASIC
    5145,  // QsciScintillaBase::SCLEX_POWERBASIC
    5145,  // QsciScintillaBase::SCLEX_POWERBASIC
    5145,  // QsciScintillaBase::SCLEX_POWERBASIC
    5145,  // QsciScintillaBase::SCLEX_POWERBASIC
    5145,  // QsciScintillaBase::SCLEX_POWERBASIC
    5145,  // QsciScintillaBase::SCLEX_POWERBASIC
    5145,  // QsciScintillaBase::SCLEX_POWERBASIC
    5145,  // QsciScintillaBase::SCLEX_POWERBASIC
    5145,  // QsciScintillaBase::SCLEX_POWERBASIC
    5145,  // QsciScintillaBase::SCLEX_POWERBASIC
    5145,  // QsciScintillaBase::SCLEX_POWERBASIC
    5145,  // QsciScintillaBase::SCLEX_POWERBASIC
    5145,  // QsciScintillaBase::SCLEX_POWERBASIC
    5145,  // QsciScintillaBase::SCLEX_POWERBASIC
    5145,  // QsciScintillaBase::SCLEX_POWERBASIC
    5145,  // QsciScintillaBase::SCLEX_POWERBASIC
    5145,  // QsciScintillaBase::SCLEX_POWERBASIC
    5145,  // QsciScintillaBase::SCLEX_POWERBASIC
    5145,  // QsciScintillaBase::SCLEX_POWERBASIC
    5145,  // QsciScintillaBase::SCLEX_POWERBASIC
    5145,  // QsciScintillaBase::SCLEX_POWERBASIC
    5145,  // QsciScintillaBase::SCLEX_POWERBASIC
    5145,  // QsciScintillaBase::SCLEX_POWERBASIC
    5145,  // QsciScintillaBase::SCLEX_POWERBASIC
    5145,  // QsciScintillaBase::SCLEX_POWERBASIC
    5145,  // QsciScintillaBase::SCLEX_POWERBASIC
    0,
    5189,  // QsciScintillaBase::SCLEX_POWERPRO
    5189,  // QsciScintillaBase::SCLEX_POWERPRO
    5189,  // QsciScintillaBase::SCLEX_POWERPRO
    5189,  // QsciScintillaBase::SCLEX_POWERPRO
    5189,  // QsciScintillaBase::SCLEX_POWERPRO
    5189,  // QsciScintillaBase::SCLEX_POWERPRO
    5189,  // QsciScintillaBase::SCLEX_POWERPRO
    5189,  // QsciScintillaBase::SCLEX_POWERPRO
    5189,  // QsciScintillaBase::SCLEX_POWERPRO
    5189,  // QsciScintillaBase::SCLEX_POWERPRO
    5189,  // QsciScintillaBase::SCLEX_POWERPRO
    5189,  // QsciScintillaBase::SCLEX_POWERPRO
    5189,  // QsciScintillaBase::SCLEX_POWERPRO
    5189,  // QsciScintillaBase::SCLEX_POWERPRO
    5189,  // QsciScintillaBase::SCLEX_POWERPRO
    5189,  // QsciScintillaBase::SCLEX_POWERPRO
    5189,  // QsciScintillaBase::SCLEX_POWERPRO
    5189,  // QsciScintillaBase::SCLEX_POWERPRO
    5189,  // QsciScintillaBase::SCLEX_POWERPRO
    5189,  // QsciScintillaBase::SCLEX_POWERPRO
    5189,  // QsciScintillaBase::SCLEX_POWERPRO
    5189,  // QsciScintillaBase::SCLEX_POWERPRO
    5189,  // QsciScintillaBase::SCLEX_POWERPRO
    5189,  // QsciScintillaBase::SCLEX_POWERPRO
    5189,  // QsciScintillaBase::SCLEX_POWERPRO
    5189,  // QsciScintillaBase::SCLEX_POWERPRO
    5189,  // QsciScintillaBase::SCLEX_POWERPRO
    5189,  // QsciScintillaBase::SCLEX_POWERPRO
    5189,  // QsciScintillaBase::SCLEX_POWERPRO
    5189,  // QsciScintillaBase::SCLEX_POWERPRO
    5189,  // QsciScintillaBase::SCLEX_POWERPRO
    5189,  // QsciScintillaBase::SCLEX_POWERPRO
    5189,  // QsciScintillaBase::SCLEX_POWERPRO
    5189,  // QsciScintillaBase::SCLEX_POWERPRO
    0,
    5182,  // QsciScintillaBase::SCLEX_POWERSHELL
    5182,  // QsciScintillaBase::SCLEX_POWERSHELL
    5182,  // QsciScintillaBase::SCLEX_POWERSHELL
    5182,  // QsciScintillaBase::SCLEX_POWERSHELL
    5182,  // QsciScintillaBase::SCLEX_POWERSHELL
    5182,  // QsciScintillaBase::SCLEX_POWERSHELL
    5182,  // QsciScintillaBase::SCLEX_POWERSHELL
    5182,  // QsciScintillaBase::SCLEX_POWERSHELL
    5182,  // QsciScintillaBase::SCLEX_POWERSHELL
    5182,  // QsciScintillaBase::SCLEX_POWERSHELL
    5182,  // QsciScintillaBase::SCLEX_POWERSHELL
    5182,  // QsciScintillaBase::SCLEX_POWERSHELL
    5182,  // QsciScintillaBase::SCLEX_POWERSHELL
    5182,  // QsciScintillaBase::SCLEX_POWERSHELL
    5182,  // QsciScintillaBase::SCLEX_POWERSHELL
    5182,  // QsciScintillaBase::SCLEX_POWERSHELL
    5182,  // QsciScintillaBase::SCLEX_POWERSHELL
    5182,  // QsciScintillaBase::SCLEX_POWERSHELL
    5182,  // QsciScintillaBase::SCLEX_POWERSHELL
    5182,  // QsciScintillaBase::SCLEX_POWERSHELL
    5182,  // QsciScintillaBase::SCLEX_POWERSHELL
    5182,  // QsciScintillaBase::SCLEX_POWERSHELL
    5182,  // QsciScintillaBase::SCLEX_POWERSHELL
    5182,  // QsciScintillaBase::SCLEX_POWERSHELL
    5182,  // QsciScintillaBase::SCLEX_POWERSHELL
    5182,  // QsciScintillaBase::SCLEX_POWERSHELL
    5182,  // QsciScintillaBase::SCLEX_POWERSHELL
    5182,  // QsciScintillaBase::SCLEX_POWERSHELL
    5182,  // QsciScintillaBase::SCLEX_POWERSHELL
    5182,  // QsciScintillaBase::SCLEX_POWERSHELL
    5182,  // QsciScintillaBase::SCLEX_POWERSHELL
    5182,  // QsciScintillaBase::SCLEX_POWERSHELL
    5182,  // QsciScintillaBase::SCLEX_POWERSHELL
    5182,  // QsciScintillaBase::SCLEX_POWERSHELL
    0,
    5177,  // QsciScintillaBase::SCLEX_PROGRESS
    5177,  // QsciScintillaBase::SCLEX_PROGRESS
    5177,  // QsciScintillaBase::SCLEX_PROGRESS
    5177,  // QsciScintillaBase::SCLEX_PROGRESS
    5177,  // QsciScintillaBase::SCLEX_PROGRESS
    5177,  // QsciScintillaBase::SCLEX_PROGRESS
    5177,  // QsciScintillaBase::SCLEX_PROGRESS
    5177,  // QsciScintillaBase::SCLEX_PROGRESS
    5177,  // QsciScintillaBase::SCLEX_PROGRESS
    5177,  // QsciScintillaBase::SCLEX_PROGRESS
    5177,  // QsciScintillaBase::SCLEX_PROGRESS
    5177,  // QsciScintillaBase::SCLEX_PROGRESS
    5177,  // QsciScintillaBase::SCLEX_PROGRESS
    5177,  // QsciScintillaBase::SCLEX_PROGRESS
    5177,  // QsciScintillaBase::SCLEX_PROGRESS
    5177,  // QsciScintillaBase::SCLEX_PROGRESS
    5177,  // QsciScintillaBase::SCLEX_PROGRESS
    5177,  // QsciScintillaBase::SCLEX_PROGRESS
    5177,  // QsciScintillaBase::SCLEX_PROGRESS
    5177,  // QsciScintillaBase::SCLEX_PROGRESS
    5177,  // QsciScintillaBase::SCLEX_PROGRESS
    5177,  // QsciScintillaBase::SCLEX_PROGRESS
    5177,  // QsciScintillaBase::SCLEX_PROGRESS
    5177,  // QsciScintillaBase::SCLEX_PROGRESS
    5177,  // QsciScintillaBase::SCLEX_PROGRESS
    5177,  // QsciScintillaBase::SCLEX_PROGRESS
    5177,  // QsciScintillaBase::SCLEX_PROGRESS
    5177,  // QsciScintillaBase::SCLEX_PROGRESS
    5177,  // QsciScintillaBase::SCLEX_PROGRESS
    5177,  // QsciScintillaBase::SCLEX_PROGRESS
    5177,  // QsciScintillaBase::SCLEX_PROGRESS
    5177,  // QsciScintillaBase::SCLEX_PROGRESS
    5177,  // QsciScintillaBase::SCLEX_PROGRESS
    5177,  // QsciScintillaBase::SCLEX_PROGRESS
    0,
    5104,  // QsciScintillaBase::SCLEX_PROPERTIES
    5104,  // QsciScintillaBase::SCLEX_PROPERTIES
    5104,  // QsciScintillaBase::SCLEX_PROPERTIES
    5104,  // QsciScintillaBase::SCLEX_PROPERTIES
    5104,  // QsciScintillaBase::SCLEX_PROPERTIES
    5104,  // QsciScintillaBase::SCLEX_PROPERTIES
    5104,  // QsciScintillaBase::SCLEX_PROPERTIES
    5104,  // QsciScintillaBase::SCLEX_PROPERTIES
    5104,  // QsciScintillaBase::SCLEX_PROPERTIES
    5104,  // QsciScintillaBase::SCLEX_PROPERTIES
    5104,  // QsciScintillaBase::SCLEX_PROPERTIES
    5104,  // QsciScintillaBase::SCLEX_PROPERTIES
    5104,  // QsciScintillaBase::SCLEX_PROPERTIES
    5104,  // QsciScintillaBase::SCLEX_PROPERTIES
    5104,  // QsciScintillaBase::SCLEX_PROPERTIES
    5104,  // QsciScintillaBase::SCLEX_PROPERTIES
    5104,  // QsciScintillaBase::SCLEX_PROPERTIES
    5104,  // QsciScintillaBase::SCLEX_PROPERTIES
    5104,  // QsciScintillaBase::SCLEX_PROPERTIES
    5104,  // QsciScintillaBase::SCLEX_PROPERTIES
    5104,  // QsciScintillaBase::SCLEX_PROPERTIES
    5104,  // QsciScintillaBase::SCLEX_PROPERTIES
    5104,  // QsciScintillaBase::SCLEX_PROPERTIES
    5104,  // QsciScintillaBase::SCLEX_PROPERTIES
    5104,  // QsciScintillaBase::SCLEX_PROPERTIES
    5104,  // QsciScintillaBase::SCLEX_PROPERTIES
    5104,  // QsciScintillaBase::SCLEX_PROPERTIES
    5104,  // QsciScintillaBase::SCLEX_PROPERTIES
    5104,  // QsciScintillaBase::SCLEX_PROPERTIES
    5104,  // QsciScintillaBase::SCLEX_PROPERTIES
    5104,  // QsciScintillaBase::SCLEX_PROPERTIES
    5104,  // QsciScintillaBase::SCLEX_PROPERTIES
    5104,  // QsciScintillaBase::SCLEX_PROPERTIES
    5104,  // QsciScintillaBase::SCLEX_PROPERTIES
    0,
    5136,  // QsciScintillaBase::SCLEX_PS
    5136,  // QsciScintillaBase::SCLEX_PS
    5136,  // QsciScintillaBase::SCLEX_PS
    5136,  // QsciScintillaBase::SCLEX_PS
    5136,  // QsciScintillaBase::SCLEX_PS
    5136,  // QsciScintillaBase::SCLEX_PS
    5136,  // QsciScintillaBase::SCLEX_PS
    5136,  // QsciScintillaBase::SCLEX_PS
    5136,  // QsciScintillaBase::SCLEX_PS
    5136,  // QsciScintillaBase::SCLEX_PS
    5136,  // QsciScintillaBase::SCLEX_PS
    5136,  // QsciScintillaBase::SCLEX_PS
    5136,  // QsciScintillaBase::SCLEX_PS
    5136,  // QsciScintillaBase::SCLEX_PS
    5136,  // QsciScintillaBase::SCLEX_PS
    5136,  // QsciScintillaBase::SCLEX_PS
    5136,  // QsciScintillaBase::SCLEX_PS
    5136,  // QsciScintillaBase::SCLEX_PS
    5136,  // QsciScintillaBase::SCLEX_PS
    5136,  // QsciScintillaBase::SCLEX_PS
    5136,  // QsciScintillaBase::SCLEX_PS
    5136,  // QsciScintillaBase::SCLEX_PS
    5136,  // QsciScintillaBase::SCLEX_PS
    5136,  // QsciScintillaBase::SCLEX_PS
    5136,  // QsciScintillaBase::SCLEX_PS
    5136,  // QsciScintillaBase::SCLEX_PS
    5136,  // QsciScintillaBase::SCLEX_PS
    5136,  // QsciScintillaBase::SCLEX_PS
    5136,  // QsciScintillaBase::SCLEX_PS
    5136,  // QsciScintillaBase::SCLEX_PS
    5136,  // QsciScintillaBase::SCLEX_PS
    5136,  // QsciScintillaBase::SCLEX_PS
    5136,  // QsciScintillaBase::SCLEX_PS
    5136,  // QsciScintillaBase::SCLEX_PS
    0,
    5161,  // QsciScintillaBase::SCLEX_PUREBASIC
    5161,  // QsciScintillaBase::SCLEX_PUREBASIC
    5161,  // QsciScintillaBase::SCLEX_PUREBASIC
    5161,  // QsciScintillaBase::SCLEX_PUREBASIC
    5161,  // QsciScintillaBase::SCLEX_PUREBASIC
    5161,  // QsciScintillaBase::SCLEX_PUREBASIC
    5161,  // QsciScintillaBase::SCLEX_PUREBASIC
    5161,  // QsciScintillaBase::SCLEX_PUREBASIC
    5161,  // QsciScintillaBase::SCLEX_PUREBASIC
    5161,  // QsciScintillaBase::SCLEX_PUREBASIC
    5161,  // QsciScintillaBase::SCLEX_PUREBASIC
    5161,  // QsciScintillaBase::SCLEX_PUREBASIC
    5161,  // QsciScintillaBase::SCLEX_PUREBASIC
    5161,  // QsciScintillaBase::SCLEX_PUREBASIC
    5161,  // QsciScintillaBase::SCLEX_PUREBASIC
    5161,  // QsciScintillaBase::SCLEX_PUREBASIC
    5161,  // QsciScintillaBase::SCLEX_PUREBASIC
    5161,  // QsciScintillaBase::SCLEX_PUREBASIC
    5161,  // QsciScintillaBase::SCLEX_PUREBASIC
    5161,  // QsciScintillaBase::SCLEX_PUREBASIC
    5161,  // QsciScintillaBase::SCLEX_PUREBASIC
    5161,  // QsciScintillaBase::SCLEX_PUREBASIC
    5161,  // QsciScintillaBase::SCLEX_PUREBASIC
    5161,  // QsciScintillaBase::SCLEX_PUREBASIC
    5161,  // QsciScintillaBase::SCLEX_PUREBASIC
    5161,  // QsciScintillaBase::SCLEX_PUREBASIC
    5161,  // QsciScintillaBase::SCLEX_PUREBASIC
    5161,  // QsciScintillaBase::SCLEX_PUREBASIC
    5161,  // QsciScintillaBase::SCLEX_PUREBASIC
    5161,  // QsciScintillaBase::SCLEX_PUREBASIC
    5161,  // QsciScintillaBase::SCLEX_PUREBASIC
    5161,  // QsciScintillaBase::SCLEX_PUREBASIC
    5161,  // QsciScintillaBase::SCLEX_PUREBASIC
    5161,  // QsciScintillaBase::SCLEX_PUREBASIC
    0,
    5097,  // QsciScintillaBase::SCLEX_PYTHON
    5097,  // QsciScintillaBase::SCLEX_PYTHON
    5097,  // QsciScintillaBase::SCLEX_PYTHON
    5097,  // QsciScintillaBase::SCLEX_PYTHON
    5097,  // QsciScintillaBase::SCLEX_PYTHON
    5097,  // QsciScintillaBase::SCLEX_PYTHON
    5097,  // QsciScintillaBase::SCLEX_PYTHON
    5097,  // QsciScintillaBase::SCLEX_PYTHON
    5097,  // QsciScintillaBase::SCLEX_PYTHON
    5097,  // QsciScintillaBase::SCLEX_PYTHON
    5097,  // QsciScintillaBase::SCLEX_PYTHON
    5097,  // QsciScintillaBase::SCLEX_PYTHON
    5097,  // QsciScintillaBase::SCLEX_PYTHON
    5097,  // QsciScintillaBase::SCLEX_PYTHON
    5097,  // QsciScintillaBase::SCLEX_PYTHON
    5097,  // QsciScintillaBase::SCLEX_PYTHON
    5097,  // QsciScintillaBase::SCLEX_PYTHON
    5097,  // QsciScintillaBase::SCLEX_PYTHON
    5097,  // QsciScintillaBase::SCLEX_PYTHON
    5097,  // QsciScintillaBase::SCLEX_PYTHON
    5097,  // QsciScintillaBase::SCLEX_PYTHON
    5097,  // QsciScintillaBase::SCLEX_PYTHON
    5097,  // QsciScintillaBase::SCLEX_PYTHON
    5097,  // QsciScintillaBase::SCLEX_PYTHON
    5097,  // QsciScintillaBase::SCLEX_PYTHON
    5097,  // QsciScintillaBase::SCLEX_PYTHON
    5097,  // QsciScintillaBase::SCLEX_PYTHON
    5097,  // QsciScintillaBase::SCLEX_PYTHON
    5097,  // QsciScintillaBase::SCLEX_PYTHON
    5097,  // QsciScintillaBase::SCLEX_PYTHON
    5097,  // QsciScintillaBase::SCLEX_PYTHON
    5097,  // QsciScintillaBase::SCLEX_PYTHON
    5097,  // QsciScintillaBase::SCLEX_PYTHON
    5097,  // QsciScintillaBase::SCLEX_PYTHON
    0,
    5180,  // QsciScintillaBase::SCLEX_R
    5180,  // QsciScintillaBase::SCLEX_R
    5180,  // QsciScintillaBase::SCLEX_R
    5180,  // QsciScintillaBase::SCLEX_R
    5180,  // QsciScintillaBase::SCLEX_R
    5180,  // QsciScintillaBase::SCLEX_R
    5180,  // QsciScintillaBase::SCLEX_R
    5180,  // QsciScintillaBase::SCLEX_R
    5180,  // QsciScintillaBase::SCLEX_R
    5180,  // QsciScintillaBase::SCLEX_R
    5180,  // QsciScintillaBase::SCLEX_R
    5180,  // QsciScintillaBase::SCLEX_R
    5180,  // QsciScintillaBase::SCLEX_R
    5180,  // QsciScintillaBase::SCLEX_R
    5180,  // QsciScintillaBase::SCLEX_R
    5180,  // QsciScintillaBase::SCLEX_R
    5180,  // QsciScintillaBase::SCLEX_R
    5180,  // QsciScintillaBase::SCLEX_R
    5180,  // QsciScintillaBase::SCLEX_R
    5180,  // QsciScintillaBase::SCLEX_R
    5180,  // QsciScintillaBase::SCLEX_R
    5180,  // QsciScintillaBase::SCLEX_R
    5180,  // QsciScintillaBase::SCLEX_R
    5180,  // QsciScintillaBase::SCLEX_R
    5180,  // QsciScintillaBase::SCLEX_R
    5180,  // QsciScintillaBase::SCLEX_R
    5180,  // QsciScintillaBase::SCLEX_R
    5180,  // QsciScintillaBase::SCLEX_R
    5180,  // QsciScintillaBase::SCLEX_R
    5180,  // QsciScintillaBase::SCLEX_R
    5180,  // QsciScintillaBase::SCLEX_R
    5180,  // QsciScintillaBase::SCLEX_R
    5180,  // QsciScintillaBase::SCLEX_R
    5180,  // QsciScintillaBase::SCLEX_R
    0,
    5165,  // QsciScintillaBase::SCLEX_REBOL
    5165,  // QsciScintillaBase::SCLEX_REBOL
    5165,  // QsciScintillaBase::SCLEX_REBOL
    5165,  // QsciScintillaBase::SCLEX_REBOL
    5165,  // QsciScintillaBase::SCLEX_REBOL
    5165,  // QsciScintillaBase::SCLEX_REBOL
    5165,  // QsciScintillaBase::SCLEX_REBOL
    5165,  // QsciScintillaBase::SCLEX_REBOL
    5165,  // QsciScintillaBase::SCLEX_REBOL
    5165,  // QsciScintillaBase::SCLEX_REBOL
    5165,  // QsciScintillaBase::SCLEX_REBOL
    5165,  // QsciScintillaBase::SCLEX_REBOL
    5165,  // QsciScintillaBase::SCLEX_REBOL
    5165,  // QsciScintillaBase::SCLEX_REBOL
    5165,  // QsciScintillaBase::SCLEX_REBOL
    5165,  // QsciScintillaBase::SCLEX_REBOL
    5165,  // QsciScintillaBase::SCLEX_REBOL
    5165,  // QsciScintillaBase::SCLEX_REBOL
    5165,  // QsciScintillaBase::SCLEX_REBOL
    5165,  // QsciScintillaBase::SCLEX_REBOL
    5165,  // QsciScintillaBase::SCLEX_REBOL
    5165,  // QsciScintillaBase::SCLEX_REBOL
    5165,  // QsciScintillaBase::SCLEX_REBOL
    5165,  // QsciScintillaBase::SCLEX_REBOL
    5165,  // QsciScintillaBase::SCLEX_REBOL
    5165,  // QsciScintillaBase::SCLEX_REBOL
    5165,  // QsciScintillaBase::SCLEX_REBOL
    5165,  // QsciScintillaBase::SCLEX_REBOL
    5165,  // QsciScintillaBase::SCLEX_REBOL
    5165,  // QsciScintillaBase::SCLEX_REBOL
    5165,  // QsciScintillaBase::SCLEX_REBOL
    5165,  // QsciScintillaBase::SCLEX_REBOL
    5165,  // QsciScintillaBase::SCLEX_REBOL
    5165,  // QsciScintillaBase::SCLEX_REBOL
    0,
    5116,  // QsciScintillaBase::SCLEX_RUBY
    5116,  // QsciScintillaBase::SCLEX_RUBY
    5116,  // QsciScintillaBase::SCLEX_RUBY
    5116,  // QsciScintillaBase::SCLEX_RUBY
    5116,  // QsciScintillaBase::SCLEX_RUBY
    5116,  // QsciScintillaBase::SCLEX_RUBY
    5116,  // QsciScintillaBase::SCLEX_RUBY
    5116,  // QsciScintillaBase::SCLEX_RUBY
    5116,  // QsciScintillaBase::SCLEX_RUBY
    5116,  // QsciScintillaBase::SCLEX_RUBY
    5116,  // QsciScintillaBase::SCLEX_RUBY
    5116,  // QsciScintillaBase::SCLEX_RUBY
    5116,  // QsciScintillaBase::SCLEX_RUBY
    5116,  // QsciScintillaBase::SCLEX_RUBY
    5116,  // QsciScintillaBase::SCLEX_RUBY
    5116,  // QsciScintillaBase::SCLEX_RUBY
    5116,  // QsciScintillaBase::SCLEX_RUBY
    5116,  // QsciScintillaBase::SCLEX_RUBY
    5116,  // QsciScintillaBase::SCLEX_RUBY
    5116,  // QsciScintillaBase::SCLEX_RUBY
    5116,  // QsciScintillaBase::SCLEX_RUBY
    5116,  // QsciScintillaBase::SCLEX_RUBY
    5116,  // QsciScintillaBase::SCLEX_RUBY
    5116,  // QsciScintillaBase::SCLEX_RUBY
    5116,  // QsciScintillaBase::SCLEX_RUBY
    5116,  // QsciScintillaBase::SCLEX_RUBY
    5116,  // QsciScintillaBase::SCLEX_RUBY
    5116,  // QsciScintillaBase::SCLEX_RUBY
    5116,  // QsciScintillaBase::SCLEX_RUBY
    5116,  // QsciScintillaBase::SCLEX_RUBY
    5116,  // QsciScintillaBase::SCLEX_RUBY
    5116,  // QsciScintillaBase::SCLEX_RUBY
    5116,  // QsciScintillaBase::SCLEX_RUBY
    5116,  // QsciScintillaBase::SCLEX_RUBY
    0,
    5127,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5127,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5127,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5127,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5127,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5127,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5127,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5127,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5127,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5127,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5127,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5127,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5127,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5127,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5127,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5127,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5127,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5127,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5127,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5127,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5127,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5127,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5127,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5127,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5127,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5127,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5127,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5127,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5127,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5127,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5127,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5127,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5127,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5127,  // QsciScintillaBase::SCLEX_SCRIPTOL
    0,
    5166,  // QsciScintillaBase::SCLEX_SMALLTALK
    5166,  // QsciScintillaBase::SCLEX_SMALLTALK
    5166,  // QsciScintillaBase::SCLEX_SMALLTALK
    5166,  // QsciScintillaBase::SCLEX_SMALLTALK
    5166,  // QsciScintillaBase::SCLEX_SMALLTALK
    5166,  // QsciScintillaBase::SCLEX_SMALLTALK
    5166,  // QsciScintillaBase::SCLEX_SMALLTALK
    5166,  // QsciScintillaBase::SCLEX_SMALLTALK
    5166,  // QsciScintillaBase::SCLEX_SMALLTALK
    5166,  // QsciScintillaBase::SCLEX_SMALLTALK
    5166,  // QsciScintillaBase::SCLEX_SMALLTALK
    5166,  // QsciScintillaBase::SCLEX_SMALLTALK
    5166,  // QsciScintillaBase::SCLEX_SMALLTALK
    5166,  // QsciScintillaBase::SCLEX_SMALLTALK
    5166,  // QsciScintillaBase::SCLEX_SMALLTALK
    5166,  // QsciScintillaBase::SCLEX_SMALLTALK
    5166,  // QsciScintillaBase::SCLEX_SMALLTALK
    5166,  // QsciScintillaBase::SCLEX_SMALLTALK
    5166,  // QsciScintillaBase::SCLEX_SMALLTALK
    5166,  // QsciScintillaBase::SCLEX_SMALLTALK
    5166,  // QsciScintillaBase::SCLEX_SMALLTALK
    5166,  // QsciScintillaBase::SCLEX_SMALLTALK
    5166,  // QsciScintillaBase::SCLEX_SMALLTALK
    5166,  // QsciScintillaBase::SCLEX_SMALLTALK
    5166,  // QsciScintillaBase::SCLEX_SMALLTALK
    5166,  // QsciScintillaBase::SCLEX_SMALLTALK
    5166,  // QsciScintillaBase::SCLEX_SMALLTALK
    5166,  // QsciScintillaBase::SCLEX_SMALLTALK
    5166,  // QsciScintillaBase::SCLEX_SMALLTALK
    5166,  // QsciScintillaBase::SCLEX_SMALLTALK
    5166,  // QsciScintillaBase::SCLEX_SMALLTALK
    5166,  // QsciScintillaBase::SCLEX_SMALLTALK
    5166,  // QsciScintillaBase::SCLEX_SMALLTALK
    5166,  // QsciScintillaBase::SCLEX_SMALLTALK
    0,
    5191,  // QsciScintillaBase::SCLEX_SML
    5191,  // QsciScintillaBase::SCLEX_SML
    5191,  // QsciScintillaBase::SCLEX_SML
    5191,  // QsciScintillaBase::SCLEX_SML
    5191,  // QsciScintillaBase::SCLEX_SML
    5191,  // QsciScintillaBase::SCLEX_SML
    5191,  // QsciScintillaBase::SCLEX_SML
    5191,  // QsciScintillaBase::SCLEX_SML
    5191,  // QsciScintillaBase::SCLEX_SML
    5191,  // QsciScintillaBase::SCLEX_SML
    5191,  // QsciScintillaBase::SCLEX_SML
    5191,  // QsciScintillaBase::SCLEX_SML
    5191,  // QsciScintillaBase::SCLEX_SML
    5191,  // QsciScintillaBase::SCLEX_SML
    5191,  // QsciScintillaBase::SCLEX_SML
    5191,  // QsciScintillaBase::SCLEX_SML
    5191,  // QsciScintillaBase::SCLEX_SML
    5191,  // QsciScintillaBase::SCLEX_SML
    5191,  // QsciScintillaBase::SCLEX_SML
    5191,  // QsciScintillaBase::SCLEX_SML
    5191,  // QsciScintillaBase::SCLEX_SML
    5191,  // QsciScintillaBase::SCLEX_SML
    5191,  // QsciScintillaBase::SCLEX_SML
    5191,  // QsciScintillaBase::SCLEX_SML
    5191,  // QsciScintillaBase::SCLEX_SML
    5191,  // QsciScintillaBase::SCLEX_SML
    5191,  // QsciScintillaBase::SCLEX_SML
    5191,  // QsciScintillaBase::SCLEX_SML
    5191,  // QsciScintillaBase::SCLEX_SML
    5191,  // QsciScintillaBase::SCLEX_SML
    5191,  // QsciScintillaBase::SCLEX_SML
    5191,  // QsciScintillaBase::SCLEX_SML
    5191,  // QsciScintillaBase::SCLEX_SML
    5191,  // QsciScintillaBase::SCLEX_SML
    0,
    5188,  // QsciScintillaBase::SCLEX_SORCUS
    5188,  // QsciScintillaBase::SCLEX_SORCUS
    5188,  // QsciScintillaBase::SCLEX_SORCUS
    5188,  // QsciScintillaBase::SCLEX_SORCUS
    5188,  // QsciScintillaBase::SCLEX_SORCUS
    5188,  // QsciScintillaBase::SCLEX_SORCUS
    5188,  // QsciScintillaBase::SCLEX_SORCUS
    5188,  // QsciScintillaBase::SCLEX_SORCUS
    5188,  // QsciScintillaBase::SCLEX_SORCUS
    5188,  // QsciScintillaBase::SCLEX_SORCUS
    5188,  // QsciScintillaBase::SCLEX_SORCUS
    5188,  // QsciScintillaBase::SCLEX_SORCUS
    5188,  // QsciScintillaBase::SCLEX_SORCUS
    5188,  // QsciScintillaBase::SCLEX_SORCUS
    5188,  // QsciScintillaBase::SCLEX_SORCUS
    5188,  // QsciScintillaBase::SCLEX_SORCUS
    5188,  // QsciScintillaBase::SCLEX_SORCUS
    5188,  // QsciScintillaBase::SCLEX_SORCUS
    5188,  // QsciScintillaBase::SCLEX_SORCUS
    5188,  // QsciScintillaBase::SCLEX_SORCUS
    5188,  // QsciScintillaBase::SCLEX_SORCUS
    5188,  // QsciScintillaBase::SCLEX_SORCUS
    5188,  // QsciScintillaBase::SCLEX_SORCUS
    5188,  // QsciScintillaBase::SCLEX_SORCUS
    5188,  // QsciScintillaBase::SCLEX_SORCUS
    5188,  // QsciScintillaBase::SCLEX_SORCUS
    5188,  // QsciScintillaBase::SCLEX_SORCUS
    5188,  // QsciScintillaBase::SCLEX_SORCUS
    5188,  // QsciScintillaBase::SCLEX_SORCUS
    5188,  // QsciScintillaBase::SCLEX_SORCUS
    5188,  // QsciScintillaBase::SCLEX_SORCUS
    5188,  // QsciScintillaBase::SCLEX_SORCUS
    5188,  // QsciScintillaBase::SCLEX_SORCUS
    5188,  // QsciScintillaBase::SCLEX_SORCUS
    0,
    5153,  // QsciScintillaBase::SCLEX_SPECMAN
    5153,  // QsciScintillaBase::SCLEX_SPECMAN
    5153,  // QsciScintillaBase::SCLEX_SPECMAN
    5153,  // QsciScintillaBase::SCLEX_SPECMAN
    5153,  // QsciScintillaBase::SCLEX_SPECMAN
    5153,  // QsciScintillaBase::SCLEX_SPECMAN
    5153,  // QsciScintillaBase::SCLEX_SPECMAN
    5153,  // QsciScintillaBase::SCLEX_SPECMAN
    5153,  // QsciScintillaBase::SCLEX_SPECMAN
    5153,  // QsciScintillaBase::SCLEX_SPECMAN
    5153,  // QsciScintillaBase::SCLEX_SPECMAN
    5153,  // QsciScintillaBase::SCLEX_SPECMAN
    5153,  // QsciScintillaBase::SCLEX_SPECMAN
    5153,  // QsciScintillaBase::SCLEX_SPECMAN
    5153,  // QsciScintillaBase::SCLEX_SPECMAN
    5153,  // QsciScintillaBase::SCLEX_SPECMAN
    5153,  // QsciScintillaBase::SCLEX_SPECMAN
    5153,  // QsciScintillaBase::SCLEX_SPECMAN
    5153,  // QsciScintillaBase::SCLEX_SPECMAN
    5153,  // QsciScintillaBase::SCLEX_SPECMAN
    5153,  // QsciScintillaBase::SCLEX_SPECMAN
    5153,  // QsciScintillaBase::SCLEX_SPECMAN
    5153,  // QsciScintillaBase::SCLEX_SPECMAN
    5153,  // QsciScintillaBase::SCLEX_SPECMAN
    5153,  // QsciScintillaBase::SCLEX_SPECMAN
    5153,  // QsciScintillaBase::SCLEX_SPECMAN
    5153,  // QsciScintillaBase::SCLEX_SPECMAN
    5153,  // QsciScintillaBase::SCLEX_SPECMAN
    5153,  // QsciScintillaBase::SCLEX_SPECMAN
    5153,  // QsciScintillaBase::SCLEX_SPECMAN
    5153,  // QsciScintillaBase::SCLEX_SPECMAN
    5153,  // QsciScintillaBase::SCLEX_SPECMAN
    5153,  // QsciScintillaBase::SCLEX_SPECMAN
    5153,  // QsciScintillaBase::SCLEX_SPECMAN
    0,
    5172,  // QsciScintillaBase::SCLEX_SPICE
    5172,  // QsciScintillaBase::SCLEX_SPICE
    5172,  // QsciScintillaBase::SCLEX_SPICE
    5172,  // QsciScintillaBase::SCLEX_SPICE
    5172,  // QsciScintillaBase::SCLEX_SPICE
    5172,  // QsciScintillaBase::SCLEX_SPICE
    5172,  // QsciScintillaBase::SCLEX_SPICE
    5172,  // QsciScintillaBase::SCLEX_SPICE
    5172,  // QsciScintillaBase::SCLEX_SPICE
    5172,  // QsciScintillaBase::SCLEX_SPICE
    5172,  // QsciScintillaBase::SCLEX_SPICE
    5172,  // QsciScintillaBase::SCLEX_SPICE
    5172,  // QsciScintillaBase::SCLEX_SPICE
    5172,  // QsciScintillaBase::SCLEX_SPICE
    5172,  // QsciScintillaBase::SCLEX_SPICE
    5172,  // QsciScintillaBase::SCLEX_SPICE
    5172,  // QsciScintillaBase::SCLEX_SPICE
    5172,  // QsciScintillaBase::SCLEX_SPICE
    5172,  // QsciScintillaBase::SCLEX_SPICE
    5172,  // QsciScintillaBase::SCLEX_SPICE
    5172,  // QsciScintillaBase::SCLEX_SPICE
    5172,  // QsciScintillaBase::SCLEX_SPICE
    5172,  // QsciScintillaBase::SCLEX_SPICE
    5172,  // QsciScintillaBase::SCLEX_SPICE
    5172,  // QsciScintillaBase::SCLEX_SPICE
    5172,  // QsciScintillaBase::SCLEX_SPICE
    5172,  // QsciScintillaBase::SCLEX_SPICE
    5172,  // QsciScintillaBase::SCLEX_SPICE
    5172,  // QsciScintillaBase::SCLEX_SPICE
    5172,  // QsciScintillaBase::SCLEX_SPICE
    5172,  // QsciScintillaBase::SCLEX_SPICE
    5172,  // QsciScintillaBase::SCLEX_SPICE
    5172,  // QsciScintillaBase::SCLEX_SPICE
    5172,  // QsciScintillaBase::SCLEX_SPICE
    0,
    5102,  // QsciScintillaBase::SCLEX_SQL
    5102,  // QsciScintillaBase::SCLEX_SQL
    5102,  // QsciScintillaBase::SCLEX_SQL
    5102,  // QsciScintillaBase::SCLEX_SQL
    5102,  // QsciScintillaBase::SCLEX_SQL
    5102,  // QsciScintillaBase::SCLEX_SQL
    5102,  // QsciScintillaBase::SCLEX_SQL
    5102,  // QsciScintillaBase::SCLEX_SQL
    5102,  // QsciScintillaBase::SCLEX_SQL
    5102,  // QsciScintillaBase::SCLEX_SQL
    5102,  // QsciScintillaBase::SCLEX_SQL
    5102,  // QsciScintillaBase::SCLEX_SQL
    5102,  // QsciScintillaBase::SCLEX_SQL
    5102,  // QsciScintillaBase::SCLEX_SQL
    5102,  // QsciScintillaBase::SCLEX_SQL
    5102,  // QsciScintillaBase::SCLEX_SQL
    5102,  // QsciScintillaBase::SCLEX_SQL
    5102,  // QsciScintillaBase::SCLEX_SQL
    5102,  // QsciScintillaBase::SCLEX_SQL
    5102,  // QsciScintillaBase::SCLEX_SQL
    5102,  // QsciScintillaBase::SCLEX_SQL
    5102,  // QsciScintillaBase::SCLEX_SQL
    5102,  // QsciScintillaBase::SCLEX_SQL
    5102,  // QsciScintillaBase::SCLEX_SQL
    5102,  // QsciScintillaBase::SCLEX_SQL
    5102,  // QsciScintillaBase::SCLEX_SQL
    5102,  // QsciScintillaBase::SCLEX_SQL
    5102,  // QsciScintillaBase::SCLEX_SQL
    5102,  // QsciScintillaBase::SCLEX_SQL
    5102,  // QsciScintillaBase::SCLEX_SQL
    5102,  // QsciScintillaBase::SCLEX_SQL
    5102,  // QsciScintillaBase::SCLEX_SQL
    5102,  // QsciScintillaBase::SCLEX_SQL
    5102,  // QsciScintillaBase::SCLEX_SQL
    0,
    5187,  // QsciScintillaBase::SCLEX_TACL
    5187,  // QsciScintillaBase::SCLEX_TACL
    5187,  // QsciScintillaBase::SCLEX_TACL
    5187,  // QsciScintillaBase::SCLEX_TACL
    5187,  // QsciScintillaBase::SCLEX_TACL
    5187,  // QsciScintillaBase::SCLEX_TACL
    5187,  // QsciScintillaBase::SCLEX_TACL
    5187,  // QsciScintillaBase::SCLEX_TACL
    5187,  // QsciScintillaBase::SCLEX_TACL
    5187,  // QsciScintillaBase::SCLEX_TACL
    5187,  // QsciScintillaBase::SCLEX_TACL
    5187,  // QsciScintillaBase::SCLEX_TACL
    5187,  // QsciScintillaBase::SCLEX_TACL
    5187,  // QsciScintillaBase::SCLEX_TACL
    5187,  // QsciScintillaBase::SCLEX_TACL
    5187,  // QsciScintillaBase::SCLEX_TACL
    5187,  // QsciScintillaBase::SCLEX_TACL
    5187,  // QsciScintillaBase::SCLEX_TACL
    5187,  // QsciScintillaBase::SCLEX_TACL
    5187,  // QsciScintillaBase::SCLEX_TACL
    5187,  // QsciScintillaBase::SCLEX_TACL
    5187,  // QsciScintillaBase::SCLEX_TACL
    5187,  // QsciScintillaBase::SCLEX_TACL
    5187,  // QsciScintillaBase::SCLEX_TACL
    5187,  // QsciScintillaBase::SCLEX_TACL
    5187,  // QsciScintillaBase::SCLEX_TACL
    5187,  // QsciScintillaBase::SCLEX_TACL
    5187,  // QsciScintillaBase::SCLEX_TACL
    5187,  // QsciScintillaBase::SCLEX_TACL
    5187,  // QsciScintillaBase::SCLEX_TACL
    5187,  // QsciScintillaBase::SCLEX_TACL
    5187,  // QsciScintillaBase::SCLEX_TACL
    5187,  // QsciScintillaBase::SCLEX_TACL
    5187,  // QsciScintillaBase::SCLEX_TACL
    0,
    5164,  // QsciScintillaBase::SCLEX_TADS3
    5164,  // QsciScintillaBase::SCLEX_TADS3
    5164,  // QsciScintillaBase::SCLEX_TADS3
    5164,  // QsciScintillaBase::SCLEX_TADS3
    5164,  // QsciScintillaBase::SCLEX_TADS3
    5164,  // QsciScintillaBase::SCLEX_TADS3
    5164,  // QsciScintillaBase::SCLEX_TADS3
    5164,  // QsciScintillaBase::SCLEX_TADS3
    5164,  // QsciScintillaBase::SCLEX_TADS3
    5164,  // QsciScintillaBase::SCLEX_TADS3
    5164,  // QsciScintillaBase::SCLEX_TADS3
    5164,  // QsciScintillaBase::SCLEX_TADS3
    5164,  // QsciScintillaBase::SCLEX_TADS3
    5164,  // QsciScintillaBase::SCLEX_TADS3
    5164,  // QsciScintillaBase::SCLEX_TADS3
    5164,  // QsciScintillaBase::SCLEX_TADS3
    5164,  // QsciScintillaBase::SCLEX_TADS3
    5164,  // QsciScintillaBase::SCLEX_TADS3
    5164,  // QsciScintillaBase::SCLEX_TADS3
    5164,  // QsciScintillaBase::SCLEX_TADS3
    5164,  // QsciScintillaBase::SCLEX_TADS3
    5164,  // QsciScintillaBase::SCLEX_TADS3
    5164,  // QsciScintillaBase::SCLEX_TADS3
    5164,  // QsciScintillaBase::SCLEX_TADS3
    5164,  // QsciScintillaBase::SCLEX_TADS3
    5164,  // QsciScintillaBase::SCLEX_TADS3
    5164,  // QsciScintillaBase::SCLEX_TADS3
    5164,  // QsciScintillaBase::SCLEX_TADS3
    5164,  // QsciScintillaBase::SCLEX_TADS3
    5164,  // QsciScintillaBase::SCLEX_TADS3
    5164,  // QsciScintillaBase::SCLEX_TADS3
    5164,  // QsciScintillaBase::SCLEX_TADS3
    5164,  // QsciScintillaBase::SCLEX_TADS3
    5164,  // QsciScintillaBase::SCLEX_TADS3
    0,
    5185,  // QsciScintillaBase::SCLEX_TAL
    5185,  // QsciScintillaBase::SCLEX_TAL
    5185,  // QsciScintillaBase::SCLEX_TAL
    5185,  // QsciScintillaBase::SCLEX_TAL
    5185,  // QsciScintillaBase::SCLEX_TAL
    5185,  // QsciScintillaBase::SCLEX_TAL
    5185,  // QsciScintillaBase::SCLEX_TAL
    5185,  // QsciScintillaBase::SCLEX_TAL
    5185,  // QsciScintillaBase::SCLEX_TAL
    5185,  // QsciScintillaBase::SCLEX_TAL
    5185,  // QsciScintillaBase::SCLEX_TAL
    5185,  // QsciScintillaBase::SCLEX_TAL
    5185,  // QsciScintillaBase::SCLEX_TAL
    5185,  // QsciScintillaBase::SCLEX_TAL
    5185,  // QsciScintillaBase::SCLEX_TAL
    5185,  // QsciScintillaBase::SCLEX_TAL
    5185,  // QsciScintillaBase::SCLEX_TAL
    5185,  // QsciScintillaBase::SCLEX_TAL
    5185,  // QsciScintillaBase::SCLEX_TAL
    5185,  // QsciScintillaBase::SCLEX_TAL
    5185,  // QsciScintillaBase::SCLEX_TAL
    5185,  // QsciScintillaBase::SCLEX_TAL
    5185,  // QsciScintillaBase::SCLEX_TAL
    5185,  // QsciScintillaBase::SCLEX_TAL
    5185,  // QsciScintillaBase::SCLEX_TAL
    5185,  // QsciScintillaBase::SCLEX_TAL
    5185,  // QsciScintillaBase::SCLEX_TAL
    5185,  // QsciScintillaBase::SCLEX_TAL
    5185,  // QsciScintillaBase::SCLEX_TAL
    5185,  // QsciScintillaBase::SCLEX_TAL
    5185,  // QsciScintillaBase::SCLEX_TAL
    5185,  // QsciScintillaBase::SCLEX_TAL
    5185,  // QsciScintillaBase::SCLEX_TAL
    5185,  // QsciScintillaBase::SCLEX_TAL
    0,
    5119,  // QsciScintillaBase::SCLEX_TCL
    5119,  // QsciScintillaBase::SCLEX_TCL
    5119,  // QsciScintillaBase::SCLEX_TCL
    5119,  // QsciScintillaBase::SCLEX_TCL
    5119,  // QsciScintillaBase::SCLEX_TCL
    5119,  // QsciScintillaBase::SCLEX_TCL
    5119,  // QsciScintillaBase::SCLEX_TCL
    5119,  // QsciScintillaBase::SCLEX_TCL
    5119,  // QsciScintillaBase::SCLEX_TCL
    5119,  // QsciScintillaBase::SCLEX_TCL
    5119,  // QsciScintillaBase::SCLEX_TCL
    5119,  // QsciScintillaBase::SCLEX_TCL
    5119,  // QsciScintillaBase::SCLEX_TCL
    5119,  // QsciScintillaBase::SCLEX_TCL
    5119,  // QsciScintillaBase::SCLEX_TCL
    5119,  // QsciScintillaBase::SCLEX_TCL
    5119,  // QsciScintillaBase::SCLEX_TCL
    5119,  // QsciScintillaBase::SCLEX_TCL
    5119,  // QsciScintillaBase::SCLEX_TCL
    5119,  // QsciScintillaBase::SCLEX_TCL
    5119,  // QsciScintillaBase::SCLEX_TCL
    5119,  // QsciScintillaBase::SCLEX_TCL
    5119,  // QsciScintillaBase::SCLEX_TCL
    5119,  // QsciScintillaBase::SCLEX_TCL
    5119,  // QsciScintillaBase::SCLEX_TCL
    5119,  // QsciScintillaBase::SCLEX_TCL
    5119,  // QsciScintillaBase::SCLEX_TCL
    5119,  // QsciScintillaBase::SCLEX_TCL
    5119,  // QsciScintillaBase::SCLEX_TCL
    5119,  // QsciScintillaBase::SCLEX_TCL
    5119,  // QsciScintillaBase::SCLEX_TCL
    5119,  // QsciScintillaBase::SCLEX_TCL
    5119,  // QsciScintillaBase::SCLEX_TCL
    5119,  // QsciScintillaBase::SCLEX_TCL
    0,
    5143,  // QsciScintillaBase::SCLEX_TEX
    5143,  // QsciScintillaBase::SCLEX_TEX
    5143,  // QsciScintillaBase::SCLEX_TEX
    5143,  // QsciScintillaBase::SCLEX_TEX
    5143,  // QsciScintillaBase::SCLEX_TEX
    5143,  // QsciScintillaBase::SCLEX_TEX
    5143,  // QsciScintillaBase::SCLEX_TEX
    5143,  // QsciScintillaBase::SCLEX_TEX
    5143,  // QsciScintillaBase::SCLEX_TEX
    5143,  // QsciScintillaBase::SCLEX_TEX
    5143,  // QsciScintillaBase::SCLEX_TEX
    5143,  // QsciScintillaBase::SCLEX_TEX
    5143,  // QsciScintillaBase::SCLEX_TEX
    5143,  // QsciScintillaBase::SCLEX_TEX
    5143,  // QsciScintillaBase::SCLEX_TEX
    5143,  // QsciScintillaBase::SCLEX_TEX
    5143,  // QsciScintillaBase::SCLEX_TEX
    5143,  // QsciScintillaBase::SCLEX_TEX
    5143,  // QsciScintillaBase::SCLEX_TEX
    5143,  // QsciScintillaBase::SCLEX_TEX
    5143,  // QsciScintillaBase::SCLEX_TEX
    5143,  // QsciScintillaBase::SCLEX_TEX
    5143,  // QsciScintillaBase::SCLEX_TEX
    5143,  // QsciScintillaBase::SCLEX_TEX
    5143,  // QsciScintillaBase::SCLEX_TEX
    5143,  // QsciScintillaBase::SCLEX_TEX
    5143,  // QsciScintillaBase::SCLEX_TEX
    5143,  // QsciScintillaBase::SCLEX_TEX
    5143,  // QsciScintillaBase::SCLEX_TEX
    5143,  // QsciScintillaBase::SCLEX_TEX
    5143,  // QsciScintillaBase::SCLEX_TEX
    5143,  // QsciScintillaBase::SCLEX_TEX
    5143,  // QsciScintillaBase::SCLEX_TEX
    5143,  // QsciScintillaBase::SCLEX_TEX
    0,
    5103,  // QsciScintillaBase::SCLEX_VB
    5103,  // QsciScintillaBase::SCLEX_VB
    5103,  // QsciScintillaBase::SCLEX_VB
    5103,  // QsciScintillaBase::SCLEX_VB
    5103,  // QsciScintillaBase::SCLEX_VB
    5103,  // QsciScintillaBase::SCLEX_VB
    5103,  // QsciScintillaBase::SCLEX_VB
    5103,  // QsciScintillaBase::SCLEX_VB
    5103,  // QsciScintillaBase::SCLEX_VB
    5103,  // QsciScintillaBase::SCLEX_VB
    5103,  // QsciScintillaBase::SCLEX_VB
    5103,  // QsciScintillaBase::SCLEX_VB
    5103,  // QsciScintillaBase::SCLEX_VB
    5103,  // QsciScintillaBase::SCLEX_VB
    5103,  // QsciScintillaBase::SCLEX_VB
    5103,  // QsciScintillaBase::SCLEX_VB
    5103,  // QsciScintillaBase::SCLEX_VB
    5103,  // QsciScintillaBase::SCLEX_VB
    5103,  // QsciScintillaBase::SCLEX_VB
    5103,  // QsciScintillaBase::SCLEX_VB
    5103,  // QsciScintillaBase::SCLEX_VB
    5103,  // QsciScintillaBase::SCLEX_VB
    5103,  // QsciScintillaBase::SCLEX_VB
    5103,  // QsciScintillaBase::SCLEX_VB
    5103,  // QsciScintillaBase::SCLEX_VB
    5103,  // QsciScintillaBase::SCLEX_VB
    5103,  // QsciScintillaBase::SCLEX_VB
    5103,  // QsciScintillaBase::SCLEX_VB
    5103,  // QsciScintillaBase::SCLEX_VB
    5103,  // QsciScintillaBase::SCLEX_VB
    5103,  // QsciScintillaBase::SCLEX_VB
    5103,  // QsciScintillaBase::SCLEX_VB
    5103,  // QsciScintillaBase::SCLEX_VB
    5103,  // QsciScintillaBase::SCLEX_VB
    0,
    5122,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5122,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5122,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5122,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5122,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5122,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5122,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5122,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5122,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5122,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5122,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5122,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5122,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5122,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5122,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5122,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5122,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5122,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5122,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5122,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5122,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5122,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5122,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5122,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5122,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5122,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5122,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5122,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5122,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5122,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5122,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5122,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5122,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5122,  // QsciScintillaBase::SCLEX_VBSCRIPT
    0,
    5150,  // QsciScintillaBase::SCLEX_VERILOG
    5150,  // QsciScintillaBase::SCLEX_VERILOG
    5150,  // QsciScintillaBase::SCLEX_VERILOG
    5150,  // QsciScintillaBase::SCLEX_VERILOG
    5150,  // QsciScintillaBase::SCLEX_VERILOG
    5150,  // QsciScintillaBase::SCLEX_VERILOG
    5150,  // QsciScintillaBase::SCLEX_VERILOG
    5150,  // QsciScintillaBase::SCLEX_VERILOG
    5150,  // QsciScintillaBase::SCLEX_VERILOG
    5150,  // QsciScintillaBase::SCLEX_VERILOG
    5150,  // QsciScintillaBase::SCLEX_VERILOG
    5150,  // QsciScintillaBase::SCLEX_VERILOG
    5150,  // QsciScintillaBase::SCLEX_VERILOG
    5150,  // QsciScintillaBase::SCLEX_VERILOG
    5150,  // QsciScintillaBase::SCLEX_VERILOG
    5150,  // QsciScintillaBase::SCLEX_VERILOG
    5150,  // QsciScintillaBase::SCLEX_VERILOG
    5150,  // QsciScintillaBase::SCLEX_VERILOG
    5150,  // QsciScintillaBase::SCLEX_VERILOG
    5150,  // QsciScintillaBase::SCLEX_VERILOG
    5150,  // QsciScintillaBase::SCLEX_VERILOG
    5150,  // QsciScintillaBase::SCLEX_VERILOG
    5150,  // QsciScintillaBase::SCLEX_VERILOG
    5150,  // QsciScintillaBase::SCLEX_VERILOG
    5150,  // QsciScintillaBase::SCLEX_VERILOG
    5150,  // QsciScintillaBase::SCLEX_VERILOG
    5150,  // QsciScintillaBase::SCLEX_VERILOG
    5150,  // QsciScintillaBase::SCLEX_VERILOG
    5150,  // QsciScintillaBase::SCLEX_VERILOG
    5150,  // QsciScintillaBase::SCLEX_VERILOG
    5150,  // QsciScintillaBase::SCLEX_VERILOG
    5150,  // QsciScintillaBase::SCLEX_VERILOG
    5150,  // QsciScintillaBase::SCLEX_VERILOG
    5150,  // QsciScintillaBase::SCLEX_VERILOG
    0,
    5158,  // QsciScintillaBase::SCLEX_VHDL
    5158,  // QsciScintillaBase::SCLEX_VHDL
    5158,  // QsciScintillaBase::SCLEX_VHDL
    5158,  // QsciScintillaBase::SCLEX_VHDL
    5158,  // QsciScintillaBase::SCLEX_VHDL
    5158,  // QsciScintillaBase::SCLEX_VHDL
    5158,  // QsciScintillaBase::SCLEX_VHDL
    5158,  // QsciScintillaBase::SCLEX_VHDL
    5158,  // QsciScintillaBase::SCLEX_VHDL
    5158,  // QsciScintillaBase::SCLEX_VHDL
    5158,  // QsciScintillaBase::SCLEX_VHDL
    5158,  // QsciScintillaBase::SCLEX_VHDL
    5158,  // QsciScintillaBase::SCLEX_VHDL
    5158,  // QsciScintillaBase::SCLEX_VHDL
    5158,  // QsciScintillaBase::SCLEX_VHDL
    5158,  // QsciScintillaBase::SCLEX_VHDL
    5158,  // QsciScintillaBase::SCLEX_VHDL
    5158,  // QsciScintillaBase::SCLEX_VHDL
    5158,  // QsciScintillaBase::SCLEX_VHDL
    5158,  // QsciScintillaBase::SCLEX_VHDL
    5158,  // QsciScintillaBase::SCLEX_VHDL
    5158,  // QsciScintillaBase::SCLEX_VHDL
    5158,  // QsciScintillaBase::SCLEX_VHDL
    5158,  // QsciScintillaBase::SCLEX_VHDL
    5158,  // QsciScintillaBase::SCLEX_VHDL
    5158,  // QsciScintillaBase::SCLEX_VHDL
    5158,  // QsciScintillaBase::SCLEX_VHDL
    5158,  // QsciScintillaBase::SCLEX_VHDL
    5158,  // QsciScintillaBase::SCLEX_VHDL
    5158,  // QsciScintillaBase::SCLEX_VHDL
    5158,  // QsciScintillaBase::SCLEX_VHDL
    5158,  // QsciScintillaBase::SCLEX_VHDL
    5158,  // QsciScintillaBase::SCLEX_VHDL
    5158,  // QsciScintillaBase::SCLEX_VHDL
    0,
    5100,  // QsciScintillaBase::SCLEX_XML
    5100,  // QsciScintillaBase::SCLEX_XML
    5100,  // QsciScintillaBase::SCLEX_XML
    5100,  // QsciScintillaBase::SCLEX_XML
    5100,  // QsciScintillaBase::SCLEX_XML
    5100,  // QsciScintillaBase::SCLEX_XML
    5100,  // QsciScintillaBase::SCLEX_XML
    5100,  // QsciScintillaBase::SCLEX_XML
    5100,  // QsciScintillaBase::SCLEX_XML
    5100,  // QsciScintillaBase::SCLEX_XML
    5100,  // QsciScintillaBase::SCLEX_XML
    5100,  // QsciScintillaBase::SCLEX_XML
    5100,  // QsciScintillaBase::SCLEX_XML
    5100,  // QsciScintillaBase::SCLEX_XML
    5100,  // QsciScintillaBase::SCLEX_XML
    5100,  // QsciScintillaBase::SCLEX_XML
    5100,  // QsciScintillaBase::SCLEX_XML
    5100,  // QsciScintillaBase::SCLEX_XML
    5100,  // QsciScintillaBase::SCLEX_XML
    5100,  // QsciScintillaBase::SCLEX_XML
    5100,  // QsciScintillaBase::SCLEX_XML
    5100,  // QsciScintillaBase::SCLEX_XML
    5100,  // QsciScintillaBase::SCLEX_XML
    5100,  // QsciScintillaBase::SCLEX_XML
    5100,  // QsciScintillaBase::SCLEX_XML
    5100,  // QsciScintillaBase::SCLEX_XML
    5100,  // QsciScintillaBase::SCLEX_XML
    5100,  // QsciScintillaBase::SCLEX_XML
    5100,  // QsciScintillaBase::SCLEX_XML
    5100,  // QsciScintillaBase::SCLEX_XML
    5100,  // QsciScintillaBase::SCLEX_XML
    5100,  // QsciScintillaBase::SCLEX_XML
    5100,  // QsciScintillaBase::SCLEX_XML
    5100,  // QsciScintillaBase::SCLEX_XML
    0,
    5142,  // QsciScintillaBase::SCLEX_YAML
    5142,  // QsciScintillaBase::SCLEX_YAML
    5142,  // QsciScintillaBase::SCLEX_YAML
    5142,  // QsciScintillaBase::SCLEX_YAML
    5142,  // QsciScintillaBase::SCLEX_YAML
    5142,  // QsciScintillaBase::SCLEX_YAML
    5142,  // QsciScintillaBase::SCLEX_YAML
    5142,  // QsciScintillaBase::SCLEX_YAML
    5142,  // QsciScintillaBase::SCLEX_YAML
    5142,  // QsciScintillaBase::SCLEX_YAML
    5142,  // QsciScintillaBase::SCLEX_YAML
    5142,  // QsciScintillaBase::SCLEX_YAML
    5142,  // QsciScintillaBase::SCLEX_YAML
    5142,  // QsciScintillaBase::SCLEX_YAML
    5142,  // QsciScintillaBase::SCLEX_YAML
    5142,  // QsciScintillaBase::SCLEX_YAML
    5142,  // QsciScintillaBase::SCLEX_YAML
    5142,  // QsciScintillaBase::SCLEX_YAML
    5142,  // QsciScintillaBase::SCLEX_YAML
    5142,  // QsciScintillaBase::SCLEX_YAML
    5142,  // QsciScintillaBase::SCLEX_YAML
    5142,  // QsciScintillaBase::SCLEX_YAML
    5142,  // QsciScintillaBase::SCLEX_YAML
    5142,  // QsciScintillaBase::SCLEX_YAML
    5142,  // QsciScintillaBase::SCLEX_YAML
    5142,  // QsciScintillaBase::SCLEX_YAML
    5142,  // QsciScintillaBase::SCLEX_YAML
    5142,  // QsciScintillaBase::SCLEX_YAML
    5142,  // QsciScintillaBase::SCLEX_YAML
    5142,  // QsciScintillaBase::SCLEX_YAML
    5142,  // QsciScintillaBase::SCLEX_YAML
    5142,  // QsciScintillaBase::SCLEX_YAML
    5142,  // QsciScintillaBase::SCLEX_YAML
    5142,  // QsciScintillaBase::SCLEX_YAML
    0,
    1835,  // QsciScintillaBase::SendScintilla(unsigned int, const char*) const
    1837,  // QsciScintillaBase::SendScintilla(unsigned int, long) const
    1838,  // QsciScintillaBase::SendScintilla(unsigned int, int) const
    1892,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long) const
    0,
    1840,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QColor&) const
    1843,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QPixmap&) const
    0,
    1832,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, long) const
    1833,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, void*) const
    1834,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const char*) const
    1836,  // QsciScintillaBase::SendScintilla(unsigned int, const char*, const char*) const
    0,
    1736,  // QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol)
    1737,  // QsciScintilla::markerDefine(char)
    0,
    1585,  // QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol, int)
    1586,  // QsciScintilla::markerDefine(char, int)
    0,
    1698,  // QsciScintilla::setMarginWidth(int, int)
    1699,  // QsciScintilla::setMarginWidth(int, const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {16, 335, 7},	// QGlobalSpace::Q_COMPLEX_TYPE
    {16, 336, 11},	// QGlobalSpace::Q_DUMMY_TYPE
    {16, 337, 10},	// QGlobalSpace::Q_MOVABLE_TYPE
    {16, 338, 8},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {16, 339, 9},	// QGlobalSpace::Q_STATIC_TYPE
    {16, 427, 14},	// QGlobalSpace::QtCriticalMsg
    {16, 428, 12},	// QGlobalSpace::QtDebugMsg
    {16, 429, 15},	// QGlobalSpace::QtFatalMsg
    {16, 430, 16},	// QGlobalSpace::QtSystemMsg
    {16, 431, 13},	// QGlobalSpace::QtWarningMsg
    {44, 341, 59},	// QsciAPIs::QsciAPIs#
    {44, 697, 60},	// QsciAPIs::add$
    {44, 709, 75},	// QsciAPIs::apiPreparationCancelled
    {44, 710, 77},	// QsciAPIs::apiPreparationFinished
    {44, 711, 76},	// QsciAPIs::apiPreparationStarted
    {44, 723, 71},	// QsciAPIs::autoCompletionSelected$
    {44, 744, 72},	// QsciAPIs::callTips?$$?
    {44, 748, 65},	// QsciAPIs::cancelPreparation
    {44, 754, 61},	// QsciAPIs::clear
    {44, 788, 66},	// QsciAPIs::defaultPreparedName
    {44, 822, 73},	// QsciAPIs::event#
    {44, 886, 74},	// QsciAPIs::installedAPIFiles
    {44, 890, 80},	// QsciAPIs::isPrepared
    {44, 891, 67},	// QsciAPIs::isPrepared$
    {44, 920, 62},	// QsciAPIs::load$
    {44, 921, 81},	// QsciAPIs::loadPrepared
    {44, 922, 68},	// QsciAPIs::loadPrepared$
    {44, 958, 52},	// QsciAPIs::metaObject
    {44, 989, 64},	// QsciAPIs::prepare
    {44, 997, 58},	// QsciAPIs::qt_metacall$$?
    {44, 999, 53},	// QsciAPIs::qt_metacast$
    {44, 1016, 63},	// QsciAPIs::remove$
    {44, 1026, 82},	// QsciAPIs::savePrepared
    {44, 1027, 69},	// QsciAPIs::savePrepared$
    {44, 1276, 83},	// QsciAPIs::staticMetaObject
    {44, 1295, 78},	// QsciAPIs::tr$
    {44, 1296, 54},	// QsciAPIs::tr$$
    {44, 1297, 56},	// QsciAPIs::tr$$$
    {44, 1299, 79},	// QsciAPIs::trUtf8$
    {44, 1300, 55},	// QsciAPIs::trUtf8$$
    {44, 1301, 57},	// QsciAPIs::trUtf8$$$
    {44, 1306, 70},	// QsciAPIs::updateAutoCompletionList??
    {44, 1337, 84},	// QsciAPIs::~QsciAPIs
    {45, 343, 92},	// QsciAbstractAPIs::QsciAbstractAPIs#
    {45, 723, 95},	// QsciAbstractAPIs::autoCompletionSelected$
    {45, 744, 96},	// QsciAbstractAPIs::callTips?$$?
    {45, 909, 93},	// QsciAbstractAPIs::lexer
    {45, 958, 85},	// QsciAbstractAPIs::metaObject
    {45, 997, 91},	// QsciAbstractAPIs::qt_metacall$$?
    {45, 999, 86},	// QsciAbstractAPIs::qt_metacast$
    {45, 1276, 99},	// QsciAbstractAPIs::staticMetaObject
    {45, 1295, 97},	// QsciAbstractAPIs::tr$
    {45, 1296, 87},	// QsciAbstractAPIs::tr$$
    {45, 1297, 89},	// QsciAbstractAPIs::tr$$$
    {45, 1299, 98},	// QsciAbstractAPIs::trUtf8$
    {45, 1300, 88},	// QsciAbstractAPIs::trUtf8$$
    {45, 1301, 90},	// QsciAbstractAPIs::trUtf8$$$
    {45, 1306, 94},	// QsciAbstractAPIs::updateAutoCompletionList??
    {45, 1338, 100},	// QsciAbstractAPIs::~QsciAbstractAPIs
    {46, 698, 104},	// QsciCommand::alternateKey
    {46, 790, 106},	// QsciCommand::description
    {46, 898, 103},	// QsciCommand::key
    {46, 1040, 102},	// QsciCommand::setAlternateKey$
    {46, 1172, 101},	// QsciCommand::setKey$
    {46, 1313, 105},	// QsciCommand::validKey$
    {46, 1339, 107},	// QsciCommand::~QsciCommand
    {47, 755, 112},	// QsciCommandSet::clearAlternateKeys
    {47, 758, 111},	// QsciCommandSet::clearKeys
    {47, 767, 110},	// QsciCommandSet::commands
    {47, 1005, 113},	// QsciCommandSet::readSettings#
    {47, 1006, 108},	// QsciCommandSet::readSettings#$
    {47, 1328, 114},	// QsciCommandSet::writeSettings#
    {47, 1329, 109},	// QsciCommandSet::writeSettings#$
    {48, 344, 115},	// QsciDocument::QsciDocument
    {48, 345, 116},	// QsciDocument::QsciDocument#
    {48, 975, 117},	// QsciDocument::operator=#
    {48, 1340, 118},	// QsciDocument::~QsciDocument
    {49, 346, 180},	// QsciLexer::QsciLexer
    {49, 347, 126},	// QsciLexer::QsciLexer#
    {49, 712, 130},	// QsciLexer::apis
    {49, 719, 131},	// QsciLexer::autoCompletionFillups
    {49, 727, 132},	// QsciLexer::autoCompletionWordSeparators
    {49, 729, 133},	// QsciLexer::autoIndentStyle
    {49, 733, 181},	// QsciLexer::blockEnd
    {49, 734, 134},	// QsciLexer::blockEnd$
    {49, 735, 135},	// QsciLexer::blockLookback
    {49, 736, 182},	// QsciLexer::blockStart
    {49, 737, 136},	// QsciLexer::blockStart$
    {49, 738, 183},	// QsciLexer::blockStartKeyword
    {49, 739, 137},	// QsciLexer::blockStartKeyword$
    {49, 741, 138},	// QsciLexer::braceStyle
    {49, 749, 139},	// QsciLexer::caseSensitive
    {49, 764, 140},	// QsciLexer::color$
    {49, 766, 171},	// QsciLexer::colorChanged#$
    {49, 780, 148},	// QsciLexer::defaultColor
    {49, 781, 149},	// QsciLexer::defaultColor$
    {49, 783, 150},	// QsciLexer::defaultEolFill$
    {49, 784, 151},	// QsciLexer::defaultFont
    {49, 785, 152},	// QsciLexer::defaultFont$
    {49, 786, 153},	// QsciLexer::defaultPaper
    {49, 787, 154},	// QsciLexer::defaultPaper$
    {49, 789, 145},	// QsciLexer::defaultStyle
    {49, 791, 146},	// QsciLexer::description$
    {49, 807, 155},	// QsciLexer::editor
    {49, 816, 141},	// QsciLexer::eolFill$
    {49, 818, 172},	// QsciLexer::eolFillChanged$$
    {49, 856, 142},	// QsciLexer::font$
    {49, 859, 173},	// QsciLexer::fontChanged#$
    {49, 874, 143},	// QsciLexer::indentationGuideView
    {49, 903, 144},	// QsciLexer::keywords$
    {49, 904, 127},	// QsciLexer::language
    {49, 909, 128},	// QsciLexer::lexer
    {49, 910, 129},	// QsciLexer::lexerId
    {49, 958, 119},	// QsciLexer::metaObject
    {49, 981, 147},	// QsciLexer::paper$
    {49, 983, 174},	// QsciLexer::paperChanged#$
    {49, 995, 175},	// QsciLexer::propertyChanged$$
    {49, 997, 125},	// QsciLexer::qt_metacall$$?
    {49, 999, 120},	// QsciLexer::qt_metacast$
    {49, 1003, 176},	// QsciLexer::readProperties#$
    {49, 1005, 184},	// QsciLexer::readSettings#
    {49, 1006, 161},	// QsciLexer::readSettings#$
    {49, 1012, 162},	// QsciLexer::refreshProperties
    {49, 1038, 156},	// QsciLexer::setAPIs#
    {49, 1062, 166},	// QsciLexer::setAutoIndentStyle$
    {49, 1092, 186},	// QsciLexer::setColor#
    {49, 1093, 167},	// QsciLexer::setColor#$
    {49, 1097, 157},	// QsciLexer::setDefaultColor#
    {49, 1099, 158},	// QsciLexer::setDefaultFont#
    {49, 1101, 159},	// QsciLexer::setDefaultPaper#
    {49, 1115, 160},	// QsciLexer::setEditor#
    {49, 1117, 187},	// QsciLexer::setEolFill$
    {49, 1118, 168},	// QsciLexer::setEolFill$$
    {49, 1153, 188},	// QsciLexer::setFont#
    {49, 1154, 169},	// QsciLexer::setFont#$
    {49, 1213, 189},	// QsciLexer::setPaper#
    {49, 1214, 170},	// QsciLexer::setPaper#$
    {49, 1276, 190},	// QsciLexer::staticMetaObject
    {49, 1278, 163},	// QsciLexer::styleBitsNeeded
    {49, 1295, 178},	// QsciLexer::tr$
    {49, 1296, 121},	// QsciLexer::tr$$
    {49, 1297, 123},	// QsciLexer::tr$$$
    {49, 1299, 179},	// QsciLexer::trUtf8$
    {49, 1300, 122},	// QsciLexer::trUtf8$$
    {49, 1301, 124},	// QsciLexer::trUtf8$$$
    {49, 1321, 164},	// QsciLexer::wordCharacters
    {49, 1326, 177},	// QsciLexer::writeProperties#$
    {49, 1328, 185},	// QsciLexer::writeSettings#
    {49, 1329, 165},	// QsciLexer::writeSettings#$
    {49, 1341, 191},	// QsciLexer::~QsciLexer
    {50, 81, 232},	// QsciLexerBash::Backticks
    {50, 123, 223},	// QsciLexerBash::Comment
    {50, 142, 221},	// QsciLexerBash::Default
    {50, 152, 226},	// QsciLexerBash::DoubleQuotedString
    {50, 169, 222},	// QsciLexerBash::Error
    {50, 197, 233},	// QsciLexerBash::HereDocumentDelimiter
    {50, 205, 229},	// QsciLexerBash::Identifier
    {50, 228, 225},	// QsciLexerBash::Keyword
    {50, 271, 224},	// QsciLexerBash::Number
    {50, 275, 228},	// QsciLexerBash::Operator
    {50, 293, 231},	// QsciLexerBash::ParameterExpansion
    {50, 348, 219},	// QsciLexerBash::QsciLexerBash
    {50, 349, 199},	// QsciLexerBash::QsciLexerBash#
    {50, 595, 230},	// QsciLexerBash::Scalar
    {50, 612, 234},	// QsciLexerBash::SingleQuotedHereDocument
    {50, 613, 227},	// QsciLexerBash::SingleQuotedString
    {50, 741, 202},	// QsciLexerBash::braceStyle
    {50, 781, 204},	// QsciLexerBash::defaultColor$
    {50, 783, 205},	// QsciLexerBash::defaultEolFill$
    {50, 785, 206},	// QsciLexerBash::defaultFont$
    {50, 787, 207},	// QsciLexerBash::defaultPaper$
    {50, 791, 209},	// QsciLexerBash::description$
    {50, 843, 211},	// QsciLexerBash::foldComments
    {50, 844, 212},	// QsciLexerBash::foldCompact
    {50, 903, 208},	// QsciLexerBash::keywords$
    {50, 904, 200},	// QsciLexerBash::language
    {50, 909, 201},	// QsciLexerBash::lexer
    {50, 958, 192},	// QsciLexerBash::metaObject
    {50, 997, 198},	// QsciLexerBash::qt_metacall$$?
    {50, 999, 193},	// QsciLexerBash::qt_metacast$
    {50, 1003, 215},	// QsciLexerBash::readProperties#$
    {50, 1012, 210},	// QsciLexerBash::refreshProperties
    {50, 1130, 213},	// QsciLexerBash::setFoldComments$
    {50, 1132, 214},	// QsciLexerBash::setFoldCompact$
    {50, 1276, 220},	// QsciLexerBash::staticMetaObject
    {50, 1295, 217},	// QsciLexerBash::tr$
    {50, 1296, 194},	// QsciLexerBash::tr$$
    {50, 1297, 196},	// QsciLexerBash::tr$$$
    {50, 1299, 218},	// QsciLexerBash::trUtf8$
    {50, 1300, 195},	// QsciLexerBash::trUtf8$$
    {50, 1301, 197},	// QsciLexerBash::trUtf8$$$
    {50, 1321, 203},	// QsciLexerBash::wordCharacters
    {50, 1326, 216},	// QsciLexerBash::writeProperties#$
    {50, 1342, 235},	// QsciLexerBash::~QsciLexerBash
    {51, 123, 259},	// QsciLexerBatch::Comment
    {51, 142, 258},	// QsciLexerBatch::Default
    {51, 176, 263},	// QsciLexerBatch::ExternalCommand
    {51, 200, 262},	// QsciLexerBatch::HideCommandChar
    {51, 228, 260},	// QsciLexerBatch::Keyword
    {51, 238, 261},	// QsciLexerBatch::Label
    {51, 275, 265},	// QsciLexerBatch::Operator
    {51, 350, 256},	// QsciLexerBatch::QsciLexerBatch
    {51, 351, 243},	// QsciLexerBatch::QsciLexerBatch#
    {51, 679, 264},	// QsciLexerBatch::Variable
    {51, 749, 247},	// QsciLexerBatch::caseSensitive
    {51, 781, 248},	// QsciLexerBatch::defaultColor$
    {51, 783, 249},	// QsciLexerBatch::defaultEolFill$
    {51, 785, 250},	// QsciLexerBatch::defaultFont$
    {51, 787, 251},	// QsciLexerBatch::defaultPaper$
    {51, 791, 253},	// QsciLexerBatch::description$
    {51, 903, 252},	// QsciLexerBatch::keywords$
    {51, 904, 244},	// QsciLexerBatch::language
    {51, 909, 245},	// QsciLexerBatch::lexer
    {51, 958, 236},	// QsciLexerBatch::metaObject
    {51, 997, 242},	// QsciLexerBatch::qt_metacall$$?
    {51, 999, 237},	// QsciLexerBatch::qt_metacast$
    {51, 1276, 257},	// QsciLexerBatch::staticMetaObject
    {51, 1295, 254},	// QsciLexerBatch::tr$
    {51, 1296, 238},	// QsciLexerBatch::tr$$
    {51, 1297, 240},	// QsciLexerBatch::tr$$$
    {51, 1299, 255},	// QsciLexerBatch::trUtf8$
    {51, 1300, 239},	// QsciLexerBatch::trUtf8$$
    {51, 1301, 241},	// QsciLexerBatch::trUtf8$$$
    {51, 1321, 246},	// QsciLexerBatch::wordCharacters
    {51, 1343, 266},	// QsciLexerBatch::~QsciLexerBatch
    {52, 86, 301},	// QsciLexerCMake::BlockForeach
    {52, 87, 302},	// QsciLexerCMake::BlockIf
    {52, 88, 303},	// QsciLexerCMake::BlockMacro
    {52, 89, 300},	// QsciLexerCMake::BlockWhile
    {52, 123, 292},	// QsciLexerCMake::Comment
    {52, 142, 291},	// QsciLexerCMake::Default
    {52, 182, 296},	// QsciLexerCMake::Function
    {52, 232, 299},	// QsciLexerCMake::KeywordSet3
    {52, 238, 298},	// QsciLexerCMake::Label
    {52, 271, 305},	// QsciLexerCMake::Number
    {52, 352, 289},	// QsciLexerCMake::QsciLexerCMake
    {52, 353, 274},	// QsciLexerCMake::QsciLexerCMake#
    {52, 627, 293},	// QsciLexerCMake::String
    {52, 628, 294},	// QsciLexerCMake::StringLeftQuote
    {52, 629, 295},	// QsciLexerCMake::StringRightQuote
    {52, 631, 304},	// QsciLexerCMake::StringVariable
    {52, 679, 297},	// QsciLexerCMake::Variable
    {52, 781, 277},	// QsciLexerCMake::defaultColor$
    {52, 785, 278},	// QsciLexerCMake::defaultFont$
    {52, 787, 279},	// QsciLexerCMake::defaultPaper$
    {52, 791, 281},	// QsciLexerCMake::description$
    {52, 841, 283},	// QsciLexerCMake::foldAtElse
    {52, 903, 280},	// QsciLexerCMake::keywords$
    {52, 904, 275},	// QsciLexerCMake::language
    {52, 909, 276},	// QsciLexerCMake::lexer
    {52, 958, 267},	// QsciLexerCMake::metaObject
    {52, 997, 273},	// QsciLexerCMake::qt_metacall$$?
    {52, 999, 268},	// QsciLexerCMake::qt_metacast$
    {52, 1003, 285},	// QsciLexerCMake::readProperties#$
    {52, 1012, 282},	// QsciLexerCMake::refreshProperties
    {52, 1126, 284},	// QsciLexerCMake::setFoldAtElse$
    {52, 1276, 290},	// QsciLexerCMake::staticMetaObject
    {52, 1295, 287},	// QsciLexerCMake::tr$
    {52, 1296, 269},	// QsciLexerCMake::tr$$
    {52, 1297, 271},	// QsciLexerCMake::tr$$$
    {52, 1299, 288},	// QsciLexerCMake::trUtf8$
    {52, 1300, 270},	// QsciLexerCMake::trUtf8$$
    {52, 1301, 272},	// QsciLexerCMake::trUtf8$$$
    {52, 1326, 286},	// QsciLexerCMake::writeProperties#$
    {52, 1344, 306},	// QsciLexerCMake::~QsciLexerCMake
    {53, 123, 353},	// QsciLexerCPP::Comment
    {53, 126, 355},	// QsciLexerCPP::CommentDoc
    {53, 127, 369},	// QsciLexerCPP::CommentDocKeyword
    {53, 128, 370},	// QsciLexerCPP::CommentDocKeywordError
    {53, 129, 354},	// QsciLexerCPP::CommentLine
    {53, 130, 367},	// QsciLexerCPP::CommentLineDoc
    {53, 142, 352},	// QsciLexerCPP::Default
    {53, 152, 358},	// QsciLexerCPP::DoubleQuotedString
    {53, 185, 371},	// QsciLexerCPP::GlobalClass
    {53, 205, 363},	// QsciLexerCPP::Identifier
    {53, 228, 357},	// QsciLexerCPP::Keyword
    {53, 231, 368},	// QsciLexerCPP::KeywordSet2
    {53, 271, 356},	// QsciLexerCPP::Number
    {53, 275, 362},	// QsciLexerCPP::Operator
    {53, 311, 361},	// QsciLexerCPP::PreProcessor
    {53, 354, 346},	// QsciLexerCPP::QsciLexerCPP
    {53, 355, 347},	// QsciLexerCPP::QsciLexerCPP#
    {53, 356, 314},	// QsciLexerCPP::QsciLexerCPP#$
    {53, 442, 366},	// QsciLexerCPP::Regex
    {53, 613, 359},	// QsciLexerCPP::SingleQuotedString
    {53, 662, 360},	// QsciLexerCPP::UUID
    {53, 663, 364},	// QsciLexerCPP::UnclosedString
    {53, 680, 365},	// QsciLexerCPP::VerbatimString
    {53, 727, 317},	// QsciLexerCPP::autoCompletionWordSeparators
    {53, 733, 348},	// QsciLexerCPP::blockEnd
    {53, 734, 318},	// QsciLexerCPP::blockEnd$
    {53, 736, 349},	// QsciLexerCPP::blockStart
    {53, 737, 319},	// QsciLexerCPP::blockStart$
    {53, 738, 350},	// QsciLexerCPP::blockStartKeyword
    {53, 739, 320},	// QsciLexerCPP::blockStartKeyword$
    {53, 741, 321},	// QsciLexerCPP::braceStyle
    {53, 781, 323},	// QsciLexerCPP::defaultColor$
    {53, 783, 324},	// QsciLexerCPP::defaultEolFill$
    {53, 785, 325},	// QsciLexerCPP::defaultFont$
    {53, 787, 326},	// QsciLexerCPP::defaultPaper$
    {53, 791, 328},	// QsciLexerCPP::description$
    {53, 795, 336},	// QsciLexerCPP::dollarsAllowed
    {53, 841, 330},	// QsciLexerCPP::foldAtElse
    {53, 843, 331},	// QsciLexerCPP::foldComments
    {53, 844, 332},	// QsciLexerCPP::foldCompact
    {53, 850, 333},	// QsciLexerCPP::foldPreprocessor
    {53, 903, 327},	// QsciLexerCPP::keywords$
    {53, 904, 315},	// QsciLexerCPP::language
    {53, 909, 316},	// QsciLexerCPP::lexer
    {53, 958, 307},	// QsciLexerCPP::metaObject
    {53, 997, 313},	// QsciLexerCPP::qt_metacall$$?
    {53, 999, 308},	// QsciLexerCPP::qt_metacast$
    {53, 1003, 342},	// QsciLexerCPP::readProperties#$
    {53, 1012, 329},	// QsciLexerCPP::refreshProperties
    {53, 1107, 335},	// QsciLexerCPP::setDollarsAllowed$
    {53, 1126, 337},	// QsciLexerCPP::setFoldAtElse$
    {53, 1130, 338},	// QsciLexerCPP::setFoldComments$
    {53, 1132, 339},	// QsciLexerCPP::setFoldCompact$
    {53, 1142, 340},	// QsciLexerCPP::setFoldPreprocessor$
    {53, 1230, 341},	// QsciLexerCPP::setStylePreprocessor$
    {53, 1276, 351},	// QsciLexerCPP::staticMetaObject
    {53, 1280, 334},	// QsciLexerCPP::stylePreprocessor
    {53, 1295, 344},	// QsciLexerCPP::tr$
    {53, 1296, 309},	// QsciLexerCPP::tr$$
    {53, 1297, 311},	// QsciLexerCPP::tr$$$
    {53, 1299, 345},	// QsciLexerCPP::trUtf8$
    {53, 1300, 310},	// QsciLexerCPP::trUtf8$$
    {53, 1301, 312},	// QsciLexerCPP::trUtf8$$$
    {53, 1321, 322},	// QsciLexerCPP::wordCharacters
    {53, 1326, 343},	// QsciLexerCPP::writeProperties#$
    {53, 1345, 372},	// QsciLexerCPP::~QsciLexerCPP
    {54, 65, 415},	// QsciLexerCSS::AtRule
    {54, 66, 419},	// QsciLexerCSS::Attribute
    {54, 100, 409},	// QsciLexerCSS::CSS1Property
    {54, 101, 418},	// QsciLexerCSS::CSS2Property
    {54, 102, 420},	// QsciLexerCSS::CSS3Property
    {54, 118, 405},	// QsciLexerCSS::ClassSelector
    {54, 123, 412},	// QsciLexerCSS::Comment
    {54, 142, 403},	// QsciLexerCSS::Default
    {54, 152, 416},	// QsciLexerCSS::DoubleQuotedString
    {54, 172, 422},	// QsciLexerCSS::ExtendedCSSProperty
    {54, 174, 423},	// QsciLexerCSS::ExtendedPseudoClass
    {54, 175, 424},	// QsciLexerCSS::ExtendedPseudoElement
    {54, 203, 413},	// QsciLexerCSS::IDSelector
    {54, 209, 414},	// QsciLexerCSS::Important
    {54, 275, 408},	// QsciLexerCSS::Operator
    {54, 318, 406},	// QsciLexerCSS::PseudoClass
    {54, 319, 421},	// QsciLexerCSS::PseudoElement
    {54, 357, 399},	// QsciLexerCSS::QsciLexerCSS
    {54, 358, 380},	// QsciLexerCSS::QsciLexerCSS#
    {54, 613, 417},	// QsciLexerCSS::SingleQuotedString
    {54, 647, 404},	// QsciLexerCSS::Tag
    {54, 665, 410},	// QsciLexerCSS::UnknownProperty
    {54, 666, 407},	// QsciLexerCSS::UnknownPseudoClass
    {54, 678, 411},	// QsciLexerCSS::Value
    {54, 733, 400},	// QsciLexerCSS::blockEnd
    {54, 734, 383},	// QsciLexerCSS::blockEnd$
    {54, 736, 401},	// QsciLexerCSS::blockStart
    {54, 737, 384},	// QsciLexerCSS::blockStart$
    {54, 781, 386},	// QsciLexerCSS::defaultColor$
    {54, 785, 387},	// QsciLexerCSS::defaultFont$
    {54, 791, 389},	// QsciLexerCSS::description$
    {54, 843, 391},	// QsciLexerCSS::foldComments
    {54, 844, 392},	// QsciLexerCSS::foldCompact
    {54, 903, 388},	// QsciLexerCSS::keywords$
    {54, 904, 381},	// QsciLexerCSS::language
    {54, 909, 382},	// QsciLexerCSS::lexer
    {54, 958, 373},	// QsciLexerCSS::metaObject
    {54, 997, 379},	// QsciLexerCSS::qt_metacall$$?
    {54, 999, 374},	// QsciLexerCSS::qt_metacast$
    {54, 1003, 395},	// QsciLexerCSS::readProperties#$
    {54, 1012, 390},	// QsciLexerCSS::refreshProperties
    {54, 1130, 393},	// QsciLexerCSS::setFoldComments$
    {54, 1132, 394},	// QsciLexerCSS::setFoldCompact$
    {54, 1276, 402},	// QsciLexerCSS::staticMetaObject
    {54, 1295, 397},	// QsciLexerCSS::tr$
    {54, 1296, 375},	// QsciLexerCSS::tr$$
    {54, 1297, 377},	// QsciLexerCSS::tr$$$
    {54, 1299, 398},	// QsciLexerCSS::trUtf8$
    {54, 1300, 376},	// QsciLexerCSS::trUtf8$$
    {54, 1301, 378},	// QsciLexerCSS::trUtf8$$$
    {54, 1321, 385},	// QsciLexerCSS::wordCharacters
    {54, 1326, 396},	// QsciLexerCSS::writeProperties#$
    {54, 1346, 425},	// QsciLexerCSS::~QsciLexerCSS
    {55, 359, 443},	// QsciLexerCSharp::QsciLexerCSharp
    {55, 360, 433},	// QsciLexerCSharp::QsciLexerCSharp#
    {55, 781, 435},	// QsciLexerCSharp::defaultColor$
    {55, 783, 436},	// QsciLexerCSharp::defaultEolFill$
    {55, 785, 437},	// QsciLexerCSharp::defaultFont$
    {55, 787, 438},	// QsciLexerCSharp::defaultPaper$
    {55, 791, 440},	// QsciLexerCSharp::description$
    {55, 903, 439},	// QsciLexerCSharp::keywords$
    {55, 904, 434},	// QsciLexerCSharp::language
    {55, 958, 426},	// QsciLexerCSharp::metaObject
    {55, 997, 432},	// QsciLexerCSharp::qt_metacall$$?
    {55, 999, 427},	// QsciLexerCSharp::qt_metacast$
    {55, 1276, 444},	// QsciLexerCSharp::staticMetaObject
    {55, 1295, 441},	// QsciLexerCSharp::tr$
    {55, 1296, 428},	// QsciLexerCSharp::tr$$
    {55, 1297, 430},	// QsciLexerCSharp::tr$$$
    {55, 1299, 442},	// QsciLexerCSharp::trUtf8$
    {55, 1300, 429},	// QsciLexerCSharp::trUtf8$$
    {55, 1301, 431},	// QsciLexerCSharp::trUtf8$$$
    {55, 1347, 445},	// QsciLexerCSharp::~QsciLexerCSharp
    {56, 361, 462},	// QsciLexerCustom::QsciLexerCustom
    {56, 362, 453},	// QsciLexerCustom::QsciLexerCustom#
    {56, 958, 446},	// QsciLexerCustom::metaObject
    {56, 997, 452},	// QsciLexerCustom::qt_metacall$$?
    {56, 999, 447},	// QsciLexerCustom::qt_metacast$
    {56, 1115, 458},	// QsciLexerCustom::setEditor#
    {56, 1232, 455},	// QsciLexerCustom::setStyling$#
    {56, 1233, 454},	// QsciLexerCustom::setStyling$$
    {56, 1274, 463},	// QsciLexerCustom::startStyling$
    {56, 1275, 456},	// QsciLexerCustom::startStyling$$
    {56, 1276, 464},	// QsciLexerCustom::staticMetaObject
    {56, 1278, 459},	// QsciLexerCustom::styleBitsNeeded
    {56, 1282, 457},	// QsciLexerCustom::styleText$$
    {56, 1295, 460},	// QsciLexerCustom::tr$
    {56, 1296, 448},	// QsciLexerCustom::tr$$
    {56, 1297, 450},	// QsciLexerCustom::tr$$$
    {56, 1299, 461},	// QsciLexerCustom::trUtf8$
    {56, 1300, 449},	// QsciLexerCustom::trUtf8$$
    {56, 1301, 451},	// QsciLexerCustom::trUtf8$$$
    {56, 1348, 465},	// QsciLexerCustom::~QsciLexerCustom
    {57, 108, 516},	// QsciLexerD::Character
    {57, 123, 505},	// QsciLexerD::Comment
    {57, 126, 507},	// QsciLexerD::CommentDoc
    {57, 127, 520},	// QsciLexerD::CommentDocKeyword
    {57, 128, 521},	// QsciLexerD::CommentDocKeywordError
    {57, 129, 506},	// QsciLexerD::CommentLine
    {57, 130, 519},	// QsciLexerD::CommentLineDoc
    {57, 132, 508},	// QsciLexerD::CommentNested
    {57, 142, 504},	// QsciLexerD::Default
    {57, 205, 518},	// QsciLexerD::Identifier
    {57, 228, 510},	// QsciLexerD::Keyword
    {57, 229, 512},	// QsciLexerD::KeywordDoc
    {57, 230, 511},	// QsciLexerD::KeywordSecondary
    {57, 271, 509},	// QsciLexerD::Number
    {57, 275, 517},	// QsciLexerD::Operator
    {57, 363, 499},	// QsciLexerD::QsciLexerD
    {57, 364, 473},	// QsciLexerD::QsciLexerD#
    {57, 627, 514},	// QsciLexerD::String
    {57, 660, 513},	// QsciLexerD::Typedefs
    {57, 663, 515},	// QsciLexerD::UnclosedString
    {57, 727, 476},	// QsciLexerD::autoCompletionWordSeparators
    {57, 733, 500},	// QsciLexerD::blockEnd
    {57, 734, 477},	// QsciLexerD::blockEnd$
    {57, 736, 501},	// QsciLexerD::blockStart
    {57, 737, 478},	// QsciLexerD::blockStart$
    {57, 738, 502},	// QsciLexerD::blockStartKeyword
    {57, 739, 479},	// QsciLexerD::blockStartKeyword$
    {57, 741, 480},	// QsciLexerD::braceStyle
    {57, 781, 482},	// QsciLexerD::defaultColor$
    {57, 783, 483},	// QsciLexerD::defaultEolFill$
    {57, 785, 484},	// QsciLexerD::defaultFont$
    {57, 787, 485},	// QsciLexerD::defaultPaper$
    {57, 791, 487},	// QsciLexerD::description$
    {57, 841, 489},	// QsciLexerD::foldAtElse
    {57, 843, 490},	// QsciLexerD::foldComments
    {57, 844, 491},	// QsciLexerD::foldCompact
    {57, 903, 486},	// QsciLexerD::keywords$
    {57, 904, 474},	// QsciLexerD::language
    {57, 909, 475},	// QsciLexerD::lexer
    {57, 958, 466},	// QsciLexerD::metaObject
    {57, 997, 472},	// QsciLexerD::qt_metacall$$?
    {57, 999, 467},	// QsciLexerD::qt_metacast$
    {57, 1003, 495},	// QsciLexerD::readProperties#$
    {57, 1012, 488},	// QsciLexerD::refreshProperties
    {57, 1126, 492},	// QsciLexerD::setFoldAtElse$
    {57, 1130, 493},	// QsciLexerD::setFoldComments$
    {57, 1132, 494},	// QsciLexerD::setFoldCompact$
    {57, 1276, 503},	// QsciLexerD::staticMetaObject
    {57, 1295, 497},	// QsciLexerD::tr$
    {57, 1296, 468},	// QsciLexerD::tr$$
    {57, 1297, 470},	// QsciLexerD::tr$$$
    {57, 1299, 498},	// QsciLexerD::trUtf8$
    {57, 1300, 469},	// QsciLexerD::trUtf8$$
    {57, 1301, 471},	// QsciLexerD::trUtf8$$$
    {57, 1321, 481},	// QsciLexerD::wordCharacters
    {57, 1326, 496},	// QsciLexerD::writeProperties#$
    {57, 1349, 522},	// QsciLexerD::~QsciLexerD
    {58, 122, 542},	// QsciLexerDiff::Command
    {58, 123, 541},	// QsciLexerDiff::Comment
    {58, 142, 540},	// QsciLexerDiff::Default
    {58, 195, 543},	// QsciLexerDiff::Header
    {58, 248, 546},	// QsciLexerDiff::LineAdded
    {58, 249, 547},	// QsciLexerDiff::LineChanged
    {58, 251, 545},	// QsciLexerDiff::LineRemoved
    {58, 309, 544},	// QsciLexerDiff::Position
    {58, 365, 538},	// QsciLexerDiff::QsciLexerDiff
    {58, 366, 530},	// QsciLexerDiff::QsciLexerDiff#
    {58, 781, 534},	// QsciLexerDiff::defaultColor$
    {58, 791, 535},	// QsciLexerDiff::description$
    {58, 904, 531},	// QsciLexerDiff::language
    {58, 909, 532},	// QsciLexerDiff::lexer
    {58, 958, 523},	// QsciLexerDiff::metaObject
    {58, 997, 529},	// QsciLexerDiff::qt_metacall$$?
    {58, 999, 524},	// QsciLexerDiff::qt_metacast$
    {58, 1276, 539},	// QsciLexerDiff::staticMetaObject
    {58, 1295, 536},	// QsciLexerDiff::tr$
    {58, 1296, 525},	// QsciLexerDiff::tr$$
    {58, 1297, 527},	// QsciLexerDiff::tr$$$
    {58, 1299, 537},	// QsciLexerDiff::trUtf8$
    {58, 1300, 526},	// QsciLexerDiff::trUtf8$$
    {58, 1301, 528},	// QsciLexerDiff::trUtf8$$$
    {58, 1321, 533},	// QsciLexerDiff::wordCharacters
    {58, 1350, 548},	// QsciLexerDiff::~QsciLexerDiff
    {59, 367, 562},	// QsciLexerFortran::QsciLexerFortran
    {59, 368, 556},	// QsciLexerFortran::QsciLexerFortran#
    {59, 903, 559},	// QsciLexerFortran::keywords$
    {59, 904, 557},	// QsciLexerFortran::language
    {59, 909, 558},	// QsciLexerFortran::lexer
    {59, 958, 549},	// QsciLexerFortran::metaObject
    {59, 997, 555},	// QsciLexerFortran::qt_metacall$$?
    {59, 999, 550},	// QsciLexerFortran::qt_metacast$
    {59, 1276, 563},	// QsciLexerFortran::staticMetaObject
    {59, 1295, 560},	// QsciLexerFortran::tr$
    {59, 1296, 551},	// QsciLexerFortran::tr$$
    {59, 1297, 553},	// QsciLexerFortran::tr$$$
    {59, 1299, 561},	// QsciLexerFortran::trUtf8$
    {59, 1300, 552},	// QsciLexerFortran::trUtf8$$
    {59, 1301, 554},	// QsciLexerFortran::trUtf8$$$
    {59, 1351, 564},	// QsciLexerFortran::~QsciLexerFortran
    {60, 123, 592},	// QsciLexerFortran77::Comment
    {60, 134, 605},	// QsciLexerFortran77::Continuation
    {60, 142, 591},	// QsciLexerFortran77::Default
    {60, 150, 603},	// QsciLexerFortran77::DottedOperator
    {60, 152, 595},	// QsciLexerFortran77::DoubleQuotedString
    {60, 173, 601},	// QsciLexerFortran77::ExtendedFunction
    {60, 205, 598},	// QsciLexerFortran77::Identifier
    {60, 213, 600},	// QsciLexerFortran77::IntrinsicFunction
    {60, 228, 599},	// QsciLexerFortran77::Keyword
    {60, 238, 604},	// QsciLexerFortran77::Label
    {60, 271, 593},	// QsciLexerFortran77::Number
    {60, 275, 597},	// QsciLexerFortran77::Operator
    {60, 311, 602},	// QsciLexerFortran77::PreProcessor
    {60, 369, 589},	// QsciLexerFortran77::QsciLexerFortran77
    {60, 370, 572},	// QsciLexerFortran77::QsciLexerFortran77#
    {60, 613, 594},	// QsciLexerFortran77::SingleQuotedString
    {60, 663, 596},	// QsciLexerFortran77::UnclosedString
    {60, 741, 575},	// QsciLexerFortran77::braceStyle
    {60, 781, 576},	// QsciLexerFortran77::defaultColor$
    {60, 783, 577},	// QsciLexerFortran77::defaultEolFill$
    {60, 785, 578},	// QsciLexerFortran77::defaultFont$
    {60, 787, 579},	// QsciLexerFortran77::defaultPaper$
    {60, 791, 581},	// QsciLexerFortran77::description$
    {60, 844, 583},	// QsciLexerFortran77::foldCompact
    {60, 903, 580},	// QsciLexerFortran77::keywords$
    {60, 904, 573},	// QsciLexerFortran77::language
    {60, 909, 574},	// QsciLexerFortran77::lexer
    {60, 958, 565},	// QsciLexerFortran77::metaObject
    {60, 997, 571},	// QsciLexerFortran77::qt_metacall$$?
    {60, 999, 566},	// QsciLexerFortran77::qt_metacast$
    {60, 1003, 585},	// QsciLexerFortran77::readProperties#$
    {60, 1012, 582},	// QsciLexerFortran77::refreshProperties
    {60, 1132, 584},	// QsciLexerFortran77::setFoldCompact$
    {60, 1276, 590},	// QsciLexerFortran77::staticMetaObject
    {60, 1295, 587},	// QsciLexerFortran77::tr$
    {60, 1296, 567},	// QsciLexerFortran77::tr$$
    {60, 1297, 569},	// QsciLexerFortran77::tr$$$
    {60, 1299, 588},	// QsciLexerFortran77::trUtf8$
    {60, 1300, 568},	// QsciLexerFortran77::trUtf8$$
    {60, 1301, 570},	// QsciLexerFortran77::trUtf8$$$
    {60, 1326, 586},	// QsciLexerFortran77::writeProperties#$
    {60, 1352, 606},	// QsciLexerFortran77::~QsciLexerFortran77
    {61, 11, 656},	// QsciLexerHTML::ASPAtStart
    {61, 12, 688},	// QsciLexerHTML::ASPJavaScriptComment
    {61, 13, 690},	// QsciLexerHTML::ASPJavaScriptCommentDoc
    {61, 14, 689},	// QsciLexerHTML::ASPJavaScriptCommentLine
    {61, 15, 687},	// QsciLexerHTML::ASPJavaScriptDefault
    {61, 16, 694},	// QsciLexerHTML::ASPJavaScriptDoubleQuotedString
    {61, 17, 693},	// QsciLexerHTML::ASPJavaScriptKeyword
    {61, 18, 691},	// QsciLexerHTML::ASPJavaScriptNumber
    {61, 19, 698},	// QsciLexerHTML::ASPJavaScriptRegex
    {61, 20, 695},	// QsciLexerHTML::ASPJavaScriptSingleQuotedString
    {61, 21, 686},	// QsciLexerHTML::ASPJavaScriptStart
    {61, 22, 696},	// QsciLexerHTML::ASPJavaScriptSymbol
    {61, 23, 697},	// QsciLexerHTML::ASPJavaScriptUnclosedString
    {61, 24, 692},	// QsciLexerHTML::ASPJavaScriptWord
    {61, 25, 737},	// QsciLexerHTML::ASPPythonClassName
    {61, 26, 730},	// QsciLexerHTML::ASPPythonComment
    {61, 27, 729},	// QsciLexerHTML::ASPPythonDefault
    {61, 28, 732},	// QsciLexerHTML::ASPPythonDoubleQuotedString
    {61, 29, 738},	// QsciLexerHTML::ASPPythonFunctionMethodName
    {61, 30, 740},	// QsciLexerHTML::ASPPythonIdentifier
    {61, 31, 734},	// QsciLexerHTML::ASPPythonKeyword
    {61, 32, 731},	// QsciLexerHTML::ASPPythonNumber
    {61, 33, 739},	// QsciLexerHTML::ASPPythonOperator
    {61, 34, 733},	// QsciLexerHTML::ASPPythonSingleQuotedString
    {61, 35, 728},	// QsciLexerHTML::ASPPythonStart
    {61, 36, 736},	// QsciLexerHTML::ASPPythonTripleDoubleQuotedString
    {61, 37, 735},	// QsciLexerHTML::ASPPythonTripleSingleQuotedString
    {61, 38, 657},	// QsciLexerHTML::ASPStart
    {61, 39, 709},	// QsciLexerHTML::ASPVBScriptComment
    {61, 40, 708},	// QsciLexerHTML::ASPVBScriptDefault
    {61, 41, 713},	// QsciLexerHTML::ASPVBScriptIdentifier
    {61, 42, 711},	// QsciLexerHTML::ASPVBScriptKeyword
    {61, 43, 710},	// QsciLexerHTML::ASPVBScriptNumber
    {61, 44, 707},	// QsciLexerHTML::ASPVBScriptStart
    {61, 45, 712},	// QsciLexerHTML::ASPVBScriptString
    {61, 46, 714},	// QsciLexerHTML::ASPVBScriptUnclosedString
    {61, 47, 661},	// QsciLexerHTML::ASPXCComment
    {61, 66, 644},	// QsciLexerHTML::Attribute
    {61, 99, 658},	// QsciLexerHTML::CDATA
    {61, 142, 641},	// QsciLexerHTML::Default
    {61, 163, 651},	// QsciLexerHTML::Entity
    {61, 189, 650},	// QsciLexerHTML::HTMLComment
    {61, 190, 647},	// QsciLexerHTML::HTMLDoubleQuotedString
    {61, 191, 646},	// QsciLexerHTML::HTMLNumber
    {61, 192, 648},	// QsciLexerHTML::HTMLSingleQuotedString
    {61, 193, 660},	// QsciLexerHTML::HTMLValue
    {61, 215, 675},	// QsciLexerHTML::JavaScriptComment
    {61, 216, 677},	// QsciLexerHTML::JavaScriptCommentDoc
    {61, 217, 676},	// QsciLexerHTML::JavaScriptCommentLine
    {61, 218, 674},	// QsciLexerHTML::JavaScriptDefault
    {61, 219, 681},	// QsciLexerHTML::JavaScriptDoubleQuotedString
    {61, 220, 680},	// QsciLexerHTML::JavaScriptKeyword
    {61, 221, 678},	// QsciLexerHTML::JavaScriptNumber
    {61, 222, 685},	// QsciLexerHTML::JavaScriptRegex
    {61, 223, 682},	// QsciLexerHTML::JavaScriptSingleQuotedString
    {61, 224, 673},	// QsciLexerHTML::JavaScriptStart
    {61, 225, 683},	// QsciLexerHTML::JavaScriptSymbol
    {61, 226, 684},	// QsciLexerHTML::JavaScriptUnclosedString
    {61, 227, 679},	// QsciLexerHTML::JavaScriptWord
    {61, 277, 649},	// QsciLexerHTML::OtherInTag
    {61, 278, 747},	// QsciLexerHTML::PHPComment
    {61, 279, 748},	// QsciLexerHTML::PHPCommentLine
    {61, 280, 741},	// QsciLexerHTML::PHPDefault
    {61, 281, 742},	// QsciLexerHTML::PHPDoubleQuotedString
    {61, 282, 749},	// QsciLexerHTML::PHPDoubleQuotedVariable
    {61, 283, 744},	// QsciLexerHTML::PHPKeyword
    {61, 284, 745},	// QsciLexerHTML::PHPNumber
    {61, 285, 750},	// QsciLexerHTML::PHPOperator
    {61, 286, 743},	// QsciLexerHTML::PHPSingleQuotedString
    {61, 287, 659},	// QsciLexerHTML::PHPStart
    {61, 288, 746},	// QsciLexerHTML::PHPVariable
    {61, 320, 724},	// QsciLexerHTML::PythonClassName
    {61, 321, 717},	// QsciLexerHTML::PythonComment
    {61, 322, 716},	// QsciLexerHTML::PythonDefault
    {61, 323, 719},	// QsciLexerHTML::PythonDoubleQuotedString
    {61, 324, 725},	// QsciLexerHTML::PythonFunctionMethodName
    {61, 325, 727},	// QsciLexerHTML::PythonIdentifier
    {61, 326, 721},	// QsciLexerHTML::PythonKeyword
    {61, 327, 718},	// QsciLexerHTML::PythonNumber
    {61, 328, 726},	// QsciLexerHTML::PythonOperator
    {61, 329, 720},	// QsciLexerHTML::PythonSingleQuotedString
    {61, 330, 715},	// QsciLexerHTML::PythonStart
    {61, 331, 723},	// QsciLexerHTML::PythonTripleDoubleQuotedString
    {61, 332, 722},	// QsciLexerHTML::PythonTripleSingleQuotedString
    {61, 371, 639},	// QsciLexerHTML::QsciLexerHTML
    {61, 372, 614},	// QsciLexerHTML::QsciLexerHTML#
    {61, 584, 672},	// QsciLexerHTML::SGMLBlockDefault
    {61, 585, 663},	// QsciLexerHTML::SGMLCommand
    {61, 586, 670},	// QsciLexerHTML::SGMLComment
    {61, 587, 662},	// QsciLexerHTML::SGMLDefault
    {61, 588, 665},	// QsciLexerHTML::SGMLDoubleQuotedString
    {61, 589, 669},	// QsciLexerHTML::SGMLEntity
    {61, 590, 667},	// QsciLexerHTML::SGMLError
    {61, 591, 664},	// QsciLexerHTML::SGMLParameter
    {61, 592, 671},	// QsciLexerHTML::SGMLParameterComment
    {61, 593, 666},	// QsciLexerHTML::SGMLSingleQuotedString
    {61, 594, 668},	// QsciLexerHTML::SGMLSpecial
    {61, 597, 655},	// QsciLexerHTML::Script
    {61, 647, 642},	// QsciLexerHTML::Tag
    {61, 664, 645},	// QsciLexerHTML::UnknownAttribute
    {61, 667, 643},	// QsciLexerHTML::UnknownTag
    {61, 669, 701},	// QsciLexerHTML::VBScriptComment
    {61, 670, 700},	// QsciLexerHTML::VBScriptDefault
    {61, 671, 705},	// QsciLexerHTML::VBScriptIdentifier
    {61, 672, 703},	// QsciLexerHTML::VBScriptKeyword
    {61, 673, 702},	// QsciLexerHTML::VBScriptNumber
    {61, 674, 699},	// QsciLexerHTML::VBScriptStart
    {61, 675, 704},	// QsciLexerHTML::VBScriptString
    {61, 676, 706},	// QsciLexerHTML::VBScriptUnclosedString
    {61, 692, 654},	// QsciLexerHTML::XMLEnd
    {61, 693, 653},	// QsciLexerHTML::XMLStart
    {61, 694, 652},	// QsciLexerHTML::XMLTagEnd
    {61, 750, 627},	// QsciLexerHTML::caseSensitiveTags
    {61, 781, 618},	// QsciLexerHTML::defaultColor$
    {61, 783, 619},	// QsciLexerHTML::defaultEolFill$
    {61, 785, 620},	// QsciLexerHTML::defaultFont$
    {61, 787, 621},	// QsciLexerHTML::defaultPaper$
    {61, 791, 623},	// QsciLexerHTML::description$
    {61, 844, 625},	// QsciLexerHTML::foldCompact
    {61, 850, 626},	// QsciLexerHTML::foldPreprocessor
    {61, 852, 629},	// QsciLexerHTML::foldScriptComments
    {61, 853, 631},	// QsciLexerHTML::foldScriptHeredocs
    {61, 903, 622},	// QsciLexerHTML::keywords$
    {61, 904, 615},	// QsciLexerHTML::language
    {61, 909, 616},	// QsciLexerHTML::lexer
    {61, 958, 607},	// QsciLexerHTML::metaObject
    {61, 997, 613},	// QsciLexerHTML::qt_metacall$$?
    {61, 999, 608},	// QsciLexerHTML::qt_metacast$
    {61, 1003, 635},	// QsciLexerHTML::readProperties#$
    {61, 1012, 624},	// QsciLexerHTML::refreshProperties
    {61, 1088, 634},	// QsciLexerHTML::setCaseSensitiveTags$
    {61, 1132, 632},	// QsciLexerHTML::setFoldCompact$
    {61, 1142, 633},	// QsciLexerHTML::setFoldPreprocessor$
    {61, 1146, 628},	// QsciLexerHTML::setFoldScriptComments$
    {61, 1148, 630},	// QsciLexerHTML::setFoldScriptHeredocs$
    {61, 1276, 640},	// QsciLexerHTML::staticMetaObject
    {61, 1295, 637},	// QsciLexerHTML::tr$
    {61, 1296, 609},	// QsciLexerHTML::tr$$
    {61, 1297, 611},	// QsciLexerHTML::tr$$$
    {61, 1299, 638},	// QsciLexerHTML::trUtf8$
    {61, 1300, 610},	// QsciLexerHTML::trUtf8$$
    {61, 1301, 612},	// QsciLexerHTML::trUtf8$$$
    {61, 1321, 617},	// QsciLexerHTML::wordCharacters
    {61, 1326, 636},	// QsciLexerHTML::writeProperties#$
    {61, 1353, 751},	// QsciLexerHTML::~QsciLexerHTML
    {62, 373, 766},	// QsciLexerIDL::QsciLexerIDL
    {62, 374, 759},	// QsciLexerIDL::QsciLexerIDL#
    {62, 781, 761},	// QsciLexerIDL::defaultColor$
    {62, 791, 763},	// QsciLexerIDL::description$
    {62, 903, 762},	// QsciLexerIDL::keywords$
    {62, 904, 760},	// QsciLexerIDL::language
    {62, 958, 752},	// QsciLexerIDL::metaObject
    {62, 997, 758},	// QsciLexerIDL::qt_metacall$$?
    {62, 999, 753},	// QsciLexerIDL::qt_metacast$
    {62, 1276, 767},	// QsciLexerIDL::staticMetaObject
    {62, 1295, 764},	// QsciLexerIDL::tr$
    {62, 1296, 754},	// QsciLexerIDL::tr$$
    {62, 1297, 756},	// QsciLexerIDL::tr$$$
    {62, 1299, 765},	// QsciLexerIDL::trUtf8$
    {62, 1300, 755},	// QsciLexerIDL::trUtf8$$
    {62, 1301, 757},	// QsciLexerIDL::trUtf8$$$
    {62, 1354, 768},	// QsciLexerIDL::~QsciLexerIDL
    {63, 375, 781},	// QsciLexerJava::QsciLexerJava
    {63, 376, 776},	// QsciLexerJava::QsciLexerJava#
    {63, 903, 778},	// QsciLexerJava::keywords$
    {63, 904, 777},	// QsciLexerJava::language
    {63, 958, 769},	// QsciLexerJava::metaObject
    {63, 997, 775},	// QsciLexerJava::qt_metacall$$?
    {63, 999, 770},	// QsciLexerJava::qt_metacast$
    {63, 1276, 782},	// QsciLexerJava::staticMetaObject
    {63, 1295, 779},	// QsciLexerJava::tr$
    {63, 1296, 771},	// QsciLexerJava::tr$$
    {63, 1297, 773},	// QsciLexerJava::tr$$$
    {63, 1299, 780},	// QsciLexerJava::trUtf8$
    {63, 1300, 772},	// QsciLexerJava::trUtf8$$
    {63, 1301, 774},	// QsciLexerJava::trUtf8$$$
    {63, 1355, 783},	// QsciLexerJava::~QsciLexerJava
    {64, 377, 801},	// QsciLexerJavaScript::QsciLexerJavaScript
    {64, 378, 791},	// QsciLexerJavaScript::QsciLexerJavaScript#
    {64, 781, 793},	// QsciLexerJavaScript::defaultColor$
    {64, 783, 794},	// QsciLexerJavaScript::defaultEolFill$
    {64, 785, 795},	// QsciLexerJavaScript::defaultFont$
    {64, 787, 796},	// QsciLexerJavaScript::defaultPaper$
    {64, 791, 798},	// QsciLexerJavaScript::description$
    {64, 903, 797},	// QsciLexerJavaScript::keywords$
    {64, 904, 792},	// QsciLexerJavaScript::language
    {64, 958, 784},	// QsciLexerJavaScript::metaObject
    {64, 997, 790},	// QsciLexerJavaScript::qt_metacall$$?
    {64, 999, 785},	// QsciLexerJavaScript::qt_metacast$
    {64, 1276, 802},	// QsciLexerJavaScript::staticMetaObject
    {64, 1295, 799},	// QsciLexerJavaScript::tr$
    {64, 1296, 786},	// QsciLexerJavaScript::tr$$
    {64, 1297, 788},	// QsciLexerJavaScript::tr$$$
    {64, 1299, 800},	// QsciLexerJavaScript::trUtf8$
    {64, 1300, 787},	// QsciLexerJavaScript::trUtf8$$
    {64, 1301, 789},	// QsciLexerJavaScript::trUtf8$$$
    {64, 1356, 803},	// QsciLexerJavaScript::~QsciLexerJavaScript
    {65, 85, 845},	// QsciLexerLua::BasicFunctions
    {65, 108, 839},	// QsciLexerLua::Character
    {65, 123, 834},	// QsciLexerLua::Comment
    {65, 135, 847},	// QsciLexerLua::CoroutinesIOSystemFacilities
    {65, 142, 833},	// QsciLexerLua::Default
    {65, 205, 843},	// QsciLexerLua::Identifier
    {65, 228, 837},	// QsciLexerLua::Keyword
    {65, 250, 835},	// QsciLexerLua::LineComment
    {65, 253, 840},	// QsciLexerLua::LiteralString
    {65, 271, 836},	// QsciLexerLua::Number
    {65, 275, 842},	// QsciLexerLua::Operator
    {65, 315, 841},	// QsciLexerLua::Preprocessor
    {65, 379, 830},	// QsciLexerLua::QsciLexerLua
    {65, 380, 811},	// QsciLexerLua::QsciLexerLua#
    {65, 627, 838},	// QsciLexerLua::String
    {65, 630, 846},	// QsciLexerLua::StringTableMathsFunctions
    {65, 663, 844},	// QsciLexerLua::UnclosedString
    {65, 727, 814},	// QsciLexerLua::autoCompletionWordSeparators
    {65, 736, 831},	// QsciLexerLua::blockStart
    {65, 737, 815},	// QsciLexerLua::blockStart$
    {65, 741, 816},	// QsciLexerLua::braceStyle
    {65, 781, 817},	// QsciLexerLua::defaultColor$
    {65, 783, 818},	// QsciLexerLua::defaultEolFill$
    {65, 785, 819},	// QsciLexerLua::defaultFont$
    {65, 787, 820},	// QsciLexerLua::defaultPaper$
    {65, 791, 822},	// QsciLexerLua::description$
    {65, 844, 824},	// QsciLexerLua::foldCompact
    {65, 903, 821},	// QsciLexerLua::keywords$
    {65, 904, 812},	// QsciLexerLua::language
    {65, 909, 813},	// QsciLexerLua::lexer
    {65, 958, 804},	// QsciLexerLua::metaObject
    {65, 997, 810},	// QsciLexerLua::qt_metacall$$?
    {65, 999, 805},	// QsciLexerLua::qt_metacast$
    {65, 1003, 826},	// QsciLexerLua::readProperties#$
    {65, 1012, 823},	// QsciLexerLua::refreshProperties
    {65, 1132, 825},	// QsciLexerLua::setFoldCompact$
    {65, 1276, 832},	// QsciLexerLua::staticMetaObject
    {65, 1295, 828},	// QsciLexerLua::tr$
    {65, 1296, 806},	// QsciLexerLua::tr$$
    {65, 1297, 808},	// QsciLexerLua::tr$$$
    {65, 1299, 829},	// QsciLexerLua::trUtf8$
    {65, 1300, 807},	// QsciLexerLua::trUtf8$$
    {65, 1301, 809},	// QsciLexerLua::trUtf8$$$
    {65, 1326, 827},	// QsciLexerLua::writeProperties#$
    {65, 1357, 848},	// QsciLexerLua::~QsciLexerLua
    {66, 123, 870},	// QsciLexerMakefile::Comment
    {66, 142, 869},	// QsciLexerMakefile::Default
    {66, 169, 875},	// QsciLexerMakefile::Error
    {66, 275, 873},	// QsciLexerMakefile::Operator
    {66, 315, 871},	// QsciLexerMakefile::Preprocessor
    {66, 381, 867},	// QsciLexerMakefile::QsciLexerMakefile
    {66, 382, 856},	// QsciLexerMakefile::QsciLexerMakefile#
    {66, 648, 874},	// QsciLexerMakefile::Target
    {66, 679, 872},	// QsciLexerMakefile::Variable
    {66, 781, 860},	// QsciLexerMakefile::defaultColor$
    {66, 783, 861},	// QsciLexerMakefile::defaultEolFill$
    {66, 785, 862},	// QsciLexerMakefile::defaultFont$
    {66, 787, 863},	// QsciLexerMakefile::defaultPaper$
    {66, 791, 864},	// QsciLexerMakefile::description$
    {66, 904, 857},	// QsciLexerMakefile::language
    {66, 909, 858},	// QsciLexerMakefile::lexer
    {66, 958, 849},	// QsciLexerMakefile::metaObject
    {66, 997, 855},	// QsciLexerMakefile::qt_metacall$$?
    {66, 999, 850},	// QsciLexerMakefile::qt_metacast$
    {66, 1276, 868},	// QsciLexerMakefile::staticMetaObject
    {66, 1295, 865},	// QsciLexerMakefile::tr$
    {66, 1296, 851},	// QsciLexerMakefile::tr$$
    {66, 1297, 853},	// QsciLexerMakefile::tr$$$
    {66, 1299, 866},	// QsciLexerMakefile::trUtf8$
    {66, 1300, 852},	// QsciLexerMakefile::trUtf8$$
    {66, 1301, 854},	// QsciLexerMakefile::trUtf8$$$
    {66, 1321, 859},	// QsciLexerMakefile::wordCharacters
    {66, 1358, 876},	// QsciLexerMakefile::~QsciLexerMakefile
    {67, 82, 917},	// QsciLexerPOV::BadDirective
    {67, 123, 909},	// QsciLexerPOV::Comment
    {67, 129, 910},	// QsciLexerPOV::CommentLine
    {67, 142, 908},	// QsciLexerPOV::Default
    {67, 148, 916},	// QsciLexerPOV::Directive
    {67, 205, 913},	// QsciLexerPOV::Identifier
    {67, 234, 922},	// QsciLexerPOV::KeywordSet6
    {67, 235, 923},	// QsciLexerPOV::KeywordSet7
    {67, 236, 924},	// QsciLexerPOV::KeywordSet8
    {67, 271, 911},	// QsciLexerPOV::Number
    {67, 273, 918},	// QsciLexerPOV::ObjectsCSGAppearance
    {67, 275, 912},	// QsciLexerPOV::Operator
    {67, 313, 921},	// QsciLexerPOV::PredefinedFunctions
    {67, 314, 920},	// QsciLexerPOV::PredefinedIdentifiers
    {67, 383, 906},	// QsciLexerPOV::QsciLexerPOV
    {67, 384, 884},	// QsciLexerPOV::QsciLexerPOV#
    {67, 627, 914},	// QsciLexerPOV::String
    {67, 661, 919},	// QsciLexerPOV::TypesModifiersItems
    {67, 663, 915},	// QsciLexerPOV::UnclosedString
    {67, 741, 887},	// QsciLexerPOV::braceStyle
    {67, 781, 889},	// QsciLexerPOV::defaultColor$
    {67, 783, 890},	// QsciLexerPOV::defaultEolFill$
    {67, 785, 891},	// QsciLexerPOV::defaultFont$
    {67, 787, 892},	// QsciLexerPOV::defaultPaper$
    {67, 791, 894},	// QsciLexerPOV::description$
    {67, 843, 896},	// QsciLexerPOV::foldComments
    {67, 844, 897},	// QsciLexerPOV::foldCompact
    {67, 845, 898},	// QsciLexerPOV::foldDirectives
    {67, 903, 893},	// QsciLexerPOV::keywords$
    {67, 904, 885},	// QsciLexerPOV::language
    {67, 909, 886},	// QsciLexerPOV::lexer
    {67, 958, 877},	// QsciLexerPOV::metaObject
    {67, 997, 883},	// QsciLexerPOV::qt_metacall$$?
    {67, 999, 878},	// QsciLexerPOV::qt_metacast$
    {67, 1003, 902},	// QsciLexerPOV::readProperties#$
    {67, 1012, 895},	// QsciLexerPOV::refreshProperties
    {67, 1130, 899},	// QsciLexerPOV::setFoldComments$
    {67, 1132, 900},	// QsciLexerPOV::setFoldCompact$
    {67, 1134, 901},	// QsciLexerPOV::setFoldDirectives$
    {67, 1276, 907},	// QsciLexerPOV::staticMetaObject
    {67, 1295, 904},	// QsciLexerPOV::tr$
    {67, 1296, 879},	// QsciLexerPOV::tr$$
    {67, 1297, 881},	// QsciLexerPOV::tr$$$
    {67, 1299, 905},	// QsciLexerPOV::trUtf8$
    {67, 1300, 880},	// QsciLexerPOV::trUtf8$$
    {67, 1301, 882},	// QsciLexerPOV::trUtf8$$$
    {67, 1321, 888},	// QsciLexerPOV::wordCharacters
    {67, 1326, 903},	// QsciLexerPOV::writeProperties#$
    {67, 1359, 925},	// QsciLexerPOV::~QsciLexerPOV
    {68, 63, 979},	// QsciLexerPascal::Asm
    {68, 108, 977},	// QsciLexerPascal::Character
    {68, 123, 967},	// QsciLexerPascal::Comment
    {68, 129, 969},	// QsciLexerPascal::CommentLine
    {68, 133, 968},	// QsciLexerPascal::CommentParenthesis
    {68, 142, 965},	// QsciLexerPascal::Default
    {68, 198, 973},	// QsciLexerPascal::HexNumber
    {68, 205, 966},	// QsciLexerPascal::Identifier
    {68, 228, 974},	// QsciLexerPascal::Keyword
    {68, 271, 972},	// QsciLexerPascal::Number
    {68, 275, 978},	// QsciLexerPascal::Operator
    {68, 311, 970},	// QsciLexerPascal::PreProcessor
    {68, 312, 971},	// QsciLexerPascal::PreProcessorParenthesis
    {68, 385, 960},	// QsciLexerPascal::QsciLexerPascal
    {68, 386, 933},	// QsciLexerPascal::QsciLexerPascal#
    {68, 613, 975},	// QsciLexerPascal::SingleQuotedString
    {68, 663, 976},	// QsciLexerPascal::UnclosedString
    {68, 727, 936},	// QsciLexerPascal::autoCompletionWordSeparators
    {68, 733, 961},	// QsciLexerPascal::blockEnd
    {68, 734, 937},	// QsciLexerPascal::blockEnd$
    {68, 736, 962},	// QsciLexerPascal::blockStart
    {68, 737, 938},	// QsciLexerPascal::blockStart$
    {68, 738, 963},	// QsciLexerPascal::blockStartKeyword
    {68, 739, 939},	// QsciLexerPascal::blockStartKeyword$
    {68, 741, 940},	// QsciLexerPascal::braceStyle
    {68, 781, 941},	// QsciLexerPascal::defaultColor$
    {68, 783, 942},	// QsciLexerPascal::defaultEolFill$
    {68, 785, 943},	// QsciLexerPascal::defaultFont$
    {68, 787, 944},	// QsciLexerPascal::defaultPaper$
    {68, 791, 946},	// QsciLexerPascal::description$
    {68, 843, 948},	// QsciLexerPascal::foldComments
    {68, 844, 949},	// QsciLexerPascal::foldCompact
    {68, 850, 950},	// QsciLexerPascal::foldPreprocessor
    {68, 903, 945},	// QsciLexerPascal::keywords$
    {68, 904, 934},	// QsciLexerPascal::language
    {68, 909, 935},	// QsciLexerPascal::lexer
    {68, 958, 926},	// QsciLexerPascal::metaObject
    {68, 997, 932},	// QsciLexerPascal::qt_metacall$$?
    {68, 999, 927},	// QsciLexerPascal::qt_metacast$
    {68, 1003, 956},	// QsciLexerPascal::readProperties#$
    {68, 1012, 947},	// QsciLexerPascal::refreshProperties
    {68, 1130, 953},	// QsciLexerPascal::setFoldComments$
    {68, 1132, 954},	// QsciLexerPascal::setFoldCompact$
    {68, 1142, 955},	// QsciLexerPascal::setFoldPreprocessor$
    {68, 1228, 951},	// QsciLexerPascal::setSmartHighlighting$
    {68, 1270, 952},	// QsciLexerPascal::smartHighlighting
    {68, 1276, 964},	// QsciLexerPascal::staticMetaObject
    {68, 1295, 958},	// QsciLexerPascal::tr$
    {68, 1296, 928},	// QsciLexerPascal::tr$$
    {68, 1297, 930},	// QsciLexerPascal::tr$$$
    {68, 1299, 959},	// QsciLexerPascal::trUtf8$
    {68, 1300, 929},	// QsciLexerPascal::trUtf8$$
    {68, 1301, 931},	// QsciLexerPascal::trUtf8$$$
    {68, 1326, 957},	// QsciLexerPascal::writeProperties#$
    {68, 1360, 980},	// QsciLexerPascal::~QsciLexerPascal
    {69, 61, 1026},	// QsciLexerPerl::Array
    {69, 80, 1036},	// QsciLexerPerl::BacktickHereDocument
    {69, 81, 1031},	// QsciLexerPerl::Backticks
    {69, 123, 1017},	// QsciLexerPerl::Comment
    {69, 140, 1032},	// QsciLexerPerl::DataSection
    {69, 142, 1015},	// QsciLexerPerl::Default
    {69, 151, 1035},	// QsciLexerPerl::DoubleQuotedHereDocument
    {69, 152, 1021},	// QsciLexerPerl::DoubleQuotedString
    {69, 169, 1016},	// QsciLexerPerl::Error
    {69, 180, 1045},	// QsciLexerPerl::FormatBody
    {69, 181, 1044},	// QsciLexerPerl::FormatIdentifier
    {69, 194, 1027},	// QsciLexerPerl::Hash
    {69, 197, 1033},	// QsciLexerPerl::HereDocumentDelimiter
    {69, 205, 1024},	// QsciLexerPerl::Identifier
    {69, 228, 1020},	// QsciLexerPerl::Keyword
    {69, 271, 1019},	// QsciLexerPerl::Number
    {69, 275, 1023},	// QsciLexerPerl::Operator
    {69, 289, 1018},	// QsciLexerPerl::POD
    {69, 290, 1042},	// QsciLexerPerl::PODVerbatim
    {69, 387, 1013},	// QsciLexerPerl::QsciLexerPerl
    {69, 388, 988},	// QsciLexerPerl::QsciLexerPerl#
    {69, 434, 1037},	// QsciLexerPerl::QuotedStringQ
    {69, 435, 1038},	// QsciLexerPerl::QuotedStringQQ
    {69, 436, 1040},	// QsciLexerPerl::QuotedStringQR
    {69, 437, 1041},	// QsciLexerPerl::QuotedStringQW
    {69, 438, 1039},	// QsciLexerPerl::QuotedStringQX
    {69, 442, 1029},	// QsciLexerPerl::Regex
    {69, 595, 1025},	// QsciLexerPerl::Scalar
    {69, 612, 1034},	// QsciLexerPerl::SingleQuotedHereDocument
    {69, 613, 1022},	// QsciLexerPerl::SingleQuotedString
    {69, 633, 1043},	// QsciLexerPerl::SubroutinePrototype
    {69, 634, 1030},	// QsciLexerPerl::Substitution
    {69, 641, 1028},	// QsciLexerPerl::SymbolTable
    {69, 727, 991},	// QsciLexerPerl::autoCompletionWordSeparators
    {69, 741, 992},	// QsciLexerPerl::braceStyle
    {69, 781, 994},	// QsciLexerPerl::defaultColor$
    {69, 783, 995},	// QsciLexerPerl::defaultEolFill$
    {69, 785, 996},	// QsciLexerPerl::defaultFont$
    {69, 787, 997},	// QsciLexerPerl::defaultPaper$
    {69, 791, 999},	// QsciLexerPerl::description$
    {69, 843, 1001},	// QsciLexerPerl::foldComments
    {69, 844, 1002},	// QsciLexerPerl::foldCompact
    {69, 848, 1006},	// QsciLexerPerl::foldPODBlocks
    {69, 849, 1004},	// QsciLexerPerl::foldPackages
    {69, 903, 998},	// QsciLexerPerl::keywords$
    {69, 904, 989},	// QsciLexerPerl::language
    {69, 909, 990},	// QsciLexerPerl::lexer
    {69, 958, 981},	// QsciLexerPerl::metaObject
    {69, 997, 987},	// QsciLexerPerl::qt_metacall$$?
    {69, 999, 982},	// QsciLexerPerl::qt_metacast$
    {69, 1003, 1009},	// QsciLexerPerl::readProperties#$
    {69, 1012, 1000},	// QsciLexerPerl::refreshProperties
    {69, 1130, 1007},	// QsciLexerPerl::setFoldComments$
    {69, 1132, 1008},	// QsciLexerPerl::setFoldCompact$
    {69, 1138, 1005},	// QsciLexerPerl::setFoldPODBlocks$
    {69, 1140, 1003},	// QsciLexerPerl::setFoldPackages$
    {69, 1276, 1014},	// QsciLexerPerl::staticMetaObject
    {69, 1295, 1011},	// QsciLexerPerl::tr$
    {69, 1296, 983},	// QsciLexerPerl::tr$$
    {69, 1297, 985},	// QsciLexerPerl::tr$$$
    {69, 1299, 1012},	// QsciLexerPerl::trUtf8$
    {69, 1300, 984},	// QsciLexerPerl::trUtf8$$
    {69, 1301, 986},	// QsciLexerPerl::trUtf8$$$
    {69, 1321, 993},	// QsciLexerPerl::wordCharacters
    {69, 1326, 1010},	// QsciLexerPerl::writeProperties#$
    {69, 1361, 1046},	// QsciLexerPerl::~QsciLexerPerl
    {70, 62, 1087},	// QsciLexerPostScript::ArrayParenthesis
    {70, 83, 1093},	// QsciLexerPostScript::BadStringCharacter
    {70, 84, 1092},	// QsciLexerPostScript::Base85String
    {70, 123, 1079},	// QsciLexerPostScript::Comment
    {70, 138, 1080},	// QsciLexerPostScript::DSCComment
    {70, 139, 1081},	// QsciLexerPostScript::DSCCommentValue
    {70, 142, 1078},	// QsciLexerPostScript::Default
    {70, 146, 1088},	// QsciLexerPostScript::DictionaryParenthesis
    {70, 199, 1091},	// QsciLexerPostScript::HexString
    {70, 208, 1086},	// QsciLexerPostScript::ImmediateEvalLiteral
    {70, 228, 1084},	// QsciLexerPostScript::Keyword
    {70, 252, 1085},	// QsciLexerPostScript::Literal
    {70, 265, 1083},	// QsciLexerPostScript::Name
    {70, 271, 1082},	// QsciLexerPostScript::Number
    {70, 317, 1089},	// QsciLexerPostScript::ProcedureParenthesis
    {70, 389, 1076},	// QsciLexerPostScript::QsciLexerPostScript
    {70, 390, 1054},	// QsciLexerPostScript::QsciLexerPostScript#
    {70, 649, 1090},	// QsciLexerPostScript::Text
    {70, 741, 1057},	// QsciLexerPostScript::braceStyle
    {70, 781, 1058},	// QsciLexerPostScript::defaultColor$
    {70, 785, 1059},	// QsciLexerPostScript::defaultFont$
    {70, 787, 1060},	// QsciLexerPostScript::defaultPaper$
    {70, 791, 1062},	// QsciLexerPostScript::description$
    {70, 841, 1067},	// QsciLexerPostScript::foldAtElse
    {70, 844, 1066},	// QsciLexerPostScript::foldCompact
    {70, 903, 1061},	// QsciLexerPostScript::keywords$
    {70, 904, 1055},	// QsciLexerPostScript::language
    {70, 908, 1065},	// QsciLexerPostScript::level
    {70, 909, 1056},	// QsciLexerPostScript::lexer
    {70, 958, 1047},	// QsciLexerPostScript::metaObject
    {70, 997, 1053},	// QsciLexerPostScript::qt_metacall$$?
    {70, 999, 1048},	// QsciLexerPostScript::qt_metacast$
    {70, 1003, 1072},	// QsciLexerPostScript::readProperties#$
    {70, 1012, 1063},	// QsciLexerPostScript::refreshProperties
    {70, 1126, 1071},	// QsciLexerPostScript::setFoldAtElse$
    {70, 1132, 1070},	// QsciLexerPostScript::setFoldCompact$
    {70, 1174, 1069},	// QsciLexerPostScript::setLevel$
    {70, 1243, 1068},	// QsciLexerPostScript::setTokenize$
    {70, 1276, 1077},	// QsciLexerPostScript::staticMetaObject
    {70, 1293, 1064},	// QsciLexerPostScript::tokenize
    {70, 1295, 1074},	// QsciLexerPostScript::tr$
    {70, 1296, 1049},	// QsciLexerPostScript::tr$$
    {70, 1297, 1051},	// QsciLexerPostScript::tr$$$
    {70, 1299, 1075},	// QsciLexerPostScript::trUtf8$
    {70, 1300, 1050},	// QsciLexerPostScript::trUtf8$$
    {70, 1301, 1052},	// QsciLexerPostScript::trUtf8$$$
    {70, 1326, 1073},	// QsciLexerPostScript::writeProperties#$
    {70, 1362, 1094},	// QsciLexerPostScript::~QsciLexerPostScript
    {71, 64, 1123},	// QsciLexerProperties::Assignment
    {71, 123, 1121},	// QsciLexerProperties::Comment
    {71, 142, 1120},	// QsciLexerProperties::Default
    {71, 143, 1124},	// QsciLexerProperties::DefaultValue
    {71, 391, 1118},	// QsciLexerProperties::QsciLexerProperties
    {71, 392, 1102},	// QsciLexerProperties::QsciLexerProperties#
    {71, 598, 1122},	// QsciLexerProperties::Section
    {71, 781, 1106},	// QsciLexerProperties::defaultColor$
    {71, 783, 1107},	// QsciLexerProperties::defaultEolFill$
    {71, 785, 1108},	// QsciLexerProperties::defaultFont$
    {71, 787, 1109},	// QsciLexerProperties::defaultPaper$
    {71, 791, 1110},	// QsciLexerProperties::description$
    {71, 844, 1112},	// QsciLexerProperties::foldCompact
    {71, 904, 1103},	// QsciLexerProperties::language
    {71, 909, 1104},	// QsciLexerProperties::lexer
    {71, 958, 1095},	// QsciLexerProperties::metaObject
    {71, 997, 1101},	// QsciLexerProperties::qt_metacall$$?
    {71, 999, 1096},	// QsciLexerProperties::qt_metacast$
    {71, 1003, 1114},	// QsciLexerProperties::readProperties#$
    {71, 1012, 1111},	// QsciLexerProperties::refreshProperties
    {71, 1132, 1113},	// QsciLexerProperties::setFoldCompact$
    {71, 1276, 1119},	// QsciLexerProperties::staticMetaObject
    {71, 1295, 1116},	// QsciLexerProperties::tr$
    {71, 1296, 1097},	// QsciLexerProperties::tr$$
    {71, 1297, 1099},	// QsciLexerProperties::tr$$$
    {71, 1299, 1117},	// QsciLexerProperties::trUtf8$
    {71, 1300, 1098},	// QsciLexerProperties::trUtf8$$
    {71, 1301, 1100},	// QsciLexerProperties::trUtf8$$$
    {71, 1321, 1105},	// QsciLexerProperties::wordCharacters
    {71, 1326, 1115},	// QsciLexerProperties::writeProperties#$
    {71, 1363, 1125},	// QsciLexerProperties::~QsciLexerProperties
    {72, 117, 1175},	// QsciLexerPython::ClassName
    {72, 123, 1168},	// QsciLexerPython::Comment
    {72, 124, 1179},	// QsciLexerPython::CommentBlock
    {72, 141, 1182},	// QsciLexerPython::Decorator
    {72, 142, 1167},	// QsciLexerPython::Default
    {72, 152, 1170},	// QsciLexerPython::DoubleQuotedString
    {72, 183, 1176},	// QsciLexerPython::FunctionMethodName
    {72, 202, 1181},	// QsciLexerPython::HighlightedIdentifier
    {72, 205, 1178},	// QsciLexerPython::Identifier
    {72, 211, 1184},	// QsciLexerPython::Inconsistent
    {72, 228, 1172},	// QsciLexerPython::Keyword
    {72, 270, 1183},	// QsciLexerPython::NoWarning
    {72, 271, 1169},	// QsciLexerPython::Number
    {72, 275, 1177},	// QsciLexerPython::Operator
    {72, 393, 1164},	// QsciLexerPython::QsciLexerPython
    {72, 394, 1133},	// QsciLexerPython::QsciLexerPython#
    {72, 613, 1171},	// QsciLexerPython::SingleQuotedString
    {72, 617, 1186},	// QsciLexerPython::Spaces
    {72, 645, 1187},	// QsciLexerPython::Tabs
    {72, 646, 1185},	// QsciLexerPython::TabsAfterSpaces
    {72, 658, 1174},	// QsciLexerPython::TripleDoubleQuotedString
    {72, 659, 1173},	// QsciLexerPython::TripleSingleQuotedString
    {72, 663, 1180},	// QsciLexerPython::UnclosedString
    {72, 727, 1136},	// QsciLexerPython::autoCompletionWordSeparators
    {72, 735, 1137},	// QsciLexerPython::blockLookback
    {72, 736, 1165},	// QsciLexerPython::blockStart
    {72, 737, 1138},	// QsciLexerPython::blockStart$
    {72, 741, 1139},	// QsciLexerPython::braceStyle
    {72, 781, 1140},	// QsciLexerPython::defaultColor$
    {72, 783, 1141},	// QsciLexerPython::defaultEolFill$
    {72, 785, 1142},	// QsciLexerPython::defaultFont$
    {72, 787, 1143},	// QsciLexerPython::defaultPaper$
    {72, 791, 1146},	// QsciLexerPython::description$
    {72, 843, 1148},	// QsciLexerPython::foldComments
    {72, 851, 1149},	// QsciLexerPython::foldQuotes
    {72, 874, 1144},	// QsciLexerPython::indentationGuideView
    {72, 876, 1150},	// QsciLexerPython::indentationWarning
    {72, 903, 1145},	// QsciLexerPython::keywords$
    {72, 904, 1134},	// QsciLexerPython::language
    {72, 909, 1135},	// QsciLexerPython::lexer
    {72, 958, 1126},	// QsciLexerPython::metaObject
    {72, 997, 1132},	// QsciLexerPython::qt_metacall$$?
    {72, 999, 1127},	// QsciLexerPython::qt_metacast$
    {72, 1003, 1160},	// QsciLexerPython::readProperties#$
    {72, 1012, 1147},	// QsciLexerPython::refreshProperties
    {72, 1130, 1157},	// QsciLexerPython::setFoldComments$
    {72, 1144, 1158},	// QsciLexerPython::setFoldQuotes$
    {72, 1166, 1159},	// QsciLexerPython::setIndentationWarning$
    {72, 1251, 1151},	// QsciLexerPython::setV2UnicodeAllowed$
    {72, 1253, 1153},	// QsciLexerPython::setV3BinaryOctalAllowed$
    {72, 1255, 1155},	// QsciLexerPython::setV3BytesAllowed$
    {72, 1276, 1166},	// QsciLexerPython::staticMetaObject
    {72, 1295, 1162},	// QsciLexerPython::tr$
    {72, 1296, 1128},	// QsciLexerPython::tr$$
    {72, 1297, 1130},	// QsciLexerPython::tr$$$
    {72, 1299, 1163},	// QsciLexerPython::trUtf8$
    {72, 1300, 1129},	// QsciLexerPython::trUtf8$$
    {72, 1301, 1131},	// QsciLexerPython::trUtf8$$$
    {72, 1309, 1152},	// QsciLexerPython::v2UnicodeAllowed
    {72, 1310, 1154},	// QsciLexerPython::v3BinaryOctalAllowed
    {72, 1311, 1156},	// QsciLexerPython::v3BytesAllowed
    {72, 1326, 1161},	// QsciLexerPython::writeProperties#$
    {72, 1364, 1188},	// QsciLexerPython::~QsciLexerPython
    {73, 81, 1234},	// QsciLexerRuby::Backticks
    {73, 117, 1224},	// QsciLexerRuby::ClassName
    {73, 119, 1233},	// QsciLexerRuby::ClassVariable
    {73, 123, 1218},	// QsciLexerRuby::Comment
    {73, 140, 1235},	// QsciLexerRuby::DataSection
    {73, 142, 1216},	// QsciLexerRuby::Default
    {73, 144, 1243},	// QsciLexerRuby::DemotedKeyword
    {73, 152, 1222},	// QsciLexerRuby::DoubleQuotedString
    {73, 169, 1217},	// QsciLexerRuby::Error
    {73, 183, 1225},	// QsciLexerRuby::FunctionMethodName
    {73, 184, 1229},	// QsciLexerRuby::Global
    {73, 196, 1237},	// QsciLexerRuby::HereDocument
    {73, 197, 1236},	// QsciLexerRuby::HereDocumentDelimiter
    {73, 205, 1227},	// QsciLexerRuby::Identifier
    {73, 212, 1232},	// QsciLexerRuby::InstanceVariable
    {73, 228, 1221},	// QsciLexerRuby::Keyword
    {73, 262, 1231},	// QsciLexerRuby::ModuleName
    {73, 271, 1220},	// QsciLexerRuby::Number
    {73, 275, 1226},	// QsciLexerRuby::Operator
    {73, 289, 1219},	// QsciLexerRuby::POD
    {73, 295, 1239},	// QsciLexerRuby::PercentStringQ
    {73, 296, 1238},	// QsciLexerRuby::PercentStringq
    {73, 297, 1241},	// QsciLexerRuby::PercentStringr
    {73, 298, 1242},	// QsciLexerRuby::PercentStringw
    {73, 299, 1240},	// QsciLexerRuby::PercentStringx
    {73, 395, 1211},	// QsciLexerRuby::QsciLexerRuby
    {73, 396, 1196},	// QsciLexerRuby::QsciLexerRuby#
    {73, 442, 1228},	// QsciLexerRuby::Regex
    {73, 613, 1223},	// QsciLexerRuby::SingleQuotedString
    {73, 623, 1246},	// QsciLexerRuby::Stderr
    {73, 624, 1244},	// QsciLexerRuby::Stdin
    {73, 625, 1245},	// QsciLexerRuby::Stdout
    {73, 637, 1230},	// QsciLexerRuby::Symbol
    {73, 733, 1212},	// QsciLexerRuby::blockEnd
    {73, 734, 1199},	// QsciLexerRuby::blockEnd$
    {73, 736, 1213},	// QsciLexerRuby::blockStart
    {73, 737, 1200},	// QsciLexerRuby::blockStart$
    {73, 738, 1214},	// QsciLexerRuby::blockStartKeyword
    {73, 739, 1201},	// QsciLexerRuby::blockStartKeyword$
    {73, 741, 1202},	// QsciLexerRuby::braceStyle
    {73, 781, 1203},	// QsciLexerRuby::defaultColor$
    {73, 783, 1204},	// QsciLexerRuby::defaultEolFill$
    {73, 785, 1205},	// QsciLexerRuby::defaultFont$
    {73, 787, 1206},	// QsciLexerRuby::defaultPaper$
    {73, 791, 1208},	// QsciLexerRuby::description$
    {73, 903, 1207},	// QsciLexerRuby::keywords$
    {73, 904, 1197},	// QsciLexerRuby::language
    {73, 909, 1198},	// QsciLexerRuby::lexer
    {73, 958, 1189},	// QsciLexerRuby::metaObject
    {73, 997, 1195},	// QsciLexerRuby::qt_metacall$$?
    {73, 999, 1190},	// QsciLexerRuby::qt_metacast$
    {73, 1276, 1215},	// QsciLexerRuby::staticMetaObject
    {73, 1295, 1209},	// QsciLexerRuby::tr$
    {73, 1296, 1191},	// QsciLexerRuby::tr$$
    {73, 1297, 1193},	// QsciLexerRuby::tr$$$
    {73, 1299, 1210},	// QsciLexerRuby::trUtf8$
    {73, 1300, 1192},	// QsciLexerRuby::trUtf8$$
    {73, 1301, 1194},	// QsciLexerRuby::trUtf8$$$
    {73, 1365, 1247},	// QsciLexerRuby::~QsciLexerRuby
    {74, 123, 1279},	// QsciLexerSQL::Comment
    {74, 126, 1281},	// QsciLexerSQL::CommentDoc
    {74, 127, 1292},	// QsciLexerSQL::CommentDocKeyword
    {74, 128, 1293},	// QsciLexerSQL::CommentDocKeywordError
    {74, 129, 1280},	// QsciLexerSQL::CommentLine
    {74, 131, 1291},	// QsciLexerSQL::CommentLineHash
    {74, 142, 1278},	// QsciLexerSQL::Default
    {74, 152, 1284},	// QsciLexerSQL::DoubleQuotedString
    {74, 205, 1289},	// QsciLexerSQL::Identifier
    {74, 228, 1283},	// QsciLexerSQL::Keyword
    {74, 233, 1294},	// QsciLexerSQL::KeywordSet5
    {74, 234, 1295},	// QsciLexerSQL::KeywordSet6
    {74, 235, 1296},	// QsciLexerSQL::KeywordSet7
    {74, 236, 1297},	// QsciLexerSQL::KeywordSet8
    {74, 271, 1282},	// QsciLexerSQL::Number
    {74, 275, 1288},	// QsciLexerSQL::Operator
    {74, 304, 1290},	// QsciLexerSQL::PlusComment
    {74, 305, 1286},	// QsciLexerSQL::PlusKeyword
    {74, 306, 1287},	// QsciLexerSQL::PlusPrompt
    {74, 397, 1276},	// QsciLexerSQL::QsciLexerSQL
    {74, 398, 1255},	// QsciLexerSQL::QsciLexerSQL#
    {74, 613, 1285},	// QsciLexerSQL::SingleQuotedString
    {74, 730, 1268},	// QsciLexerSQL::backslashEscapes
    {74, 741, 1258},	// QsciLexerSQL::braceStyle
    {74, 781, 1259},	// QsciLexerSQL::defaultColor$
    {74, 783, 1260},	// QsciLexerSQL::defaultEolFill$
    {74, 785, 1261},	// QsciLexerSQL::defaultFont$
    {74, 787, 1262},	// QsciLexerSQL::defaultPaper$
    {74, 791, 1264},	// QsciLexerSQL::description$
    {74, 843, 1266},	// QsciLexerSQL::foldComments
    {74, 844, 1267},	// QsciLexerSQL::foldCompact
    {74, 903, 1263},	// QsciLexerSQL::keywords$
    {74, 904, 1256},	// QsciLexerSQL::language
    {74, 909, 1257},	// QsciLexerSQL::lexer
    {74, 958, 1248},	// QsciLexerSQL::metaObject
    {74, 997, 1254},	// QsciLexerSQL::qt_metacall$$?
    {74, 999, 1249},	// QsciLexerSQL::qt_metacast$
    {74, 1003, 1272},	// QsciLexerSQL::readProperties#$
    {74, 1012, 1265},	// QsciLexerSQL::refreshProperties
    {74, 1064, 1271},	// QsciLexerSQL::setBackslashEscapes$
    {74, 1130, 1269},	// QsciLexerSQL::setFoldComments$
    {74, 1132, 1270},	// QsciLexerSQL::setFoldCompact$
    {74, 1276, 1277},	// QsciLexerSQL::staticMetaObject
    {74, 1295, 1274},	// QsciLexerSQL::tr$
    {74, 1296, 1250},	// QsciLexerSQL::tr$$
    {74, 1297, 1252},	// QsciLexerSQL::tr$$$
    {74, 1299, 1275},	// QsciLexerSQL::trUtf8$
    {74, 1300, 1251},	// QsciLexerSQL::trUtf8$$
    {74, 1301, 1253},	// QsciLexerSQL::trUtf8$$$
    {74, 1326, 1273},	// QsciLexerSQL::writeProperties#$
    {74, 1366, 1298},	// QsciLexerSQL::~QsciLexerSQL
    {75, 123, 1326},	// QsciLexerTCL::Comment
    {75, 124, 1346},	// QsciLexerTCL::CommentBlock
    {75, 125, 1345},	// QsciLexerTCL::CommentBox
    {75, 129, 1327},	// QsciLexerTCL::CommentLine
    {75, 142, 1325},	// QsciLexerTCL::Default
    {75, 171, 1336},	// QsciLexerTCL::ExpandKeyword
    {75, 204, 1339},	// QsciLexerTCL::ITCLKeyword
    {75, 205, 1332},	// QsciLexerTCL::Identifier
    {75, 234, 1341},	// QsciLexerTCL::KeywordSet6
    {75, 235, 1342},	// QsciLexerTCL::KeywordSet7
    {75, 236, 1343},	// QsciLexerTCL::KeywordSet8
    {75, 237, 1344},	// QsciLexerTCL::KeywordSet9
    {75, 261, 1335},	// QsciLexerTCL::Modifier
    {75, 271, 1328},	// QsciLexerTCL::Number
    {75, 275, 1331},	// QsciLexerTCL::Operator
    {75, 399, 1323},	// QsciLexerTCL::QsciLexerTCL
    {75, 400, 1306},	// QsciLexerTCL::QsciLexerTCL#
    {75, 432, 1329},	// QsciLexerTCL::QuotedKeyword
    {75, 433, 1330},	// QsciLexerTCL::QuotedString
    {75, 634, 1333},	// QsciLexerTCL::Substitution
    {75, 635, 1334},	// QsciLexerTCL::SubstitutionBrace
    {75, 643, 1337},	// QsciLexerTCL::TCLKeyword
    {75, 655, 1340},	// QsciLexerTCL::TkCommand
    {75, 656, 1338},	// QsciLexerTCL::TkKeyword
    {75, 741, 1309},	// QsciLexerTCL::braceStyle
    {75, 781, 1310},	// QsciLexerTCL::defaultColor$
    {75, 783, 1311},	// QsciLexerTCL::defaultEolFill$
    {75, 785, 1312},	// QsciLexerTCL::defaultFont$
    {75, 787, 1313},	// QsciLexerTCL::defaultPaper$
    {75, 791, 1315},	// QsciLexerTCL::description$
    {75, 844, 1317},	// QsciLexerTCL::foldCompact
    {75, 903, 1314},	// QsciLexerTCL::keywords$
    {75, 904, 1307},	// QsciLexerTCL::language
    {75, 909, 1308},	// QsciLexerTCL::lexer
    {75, 958, 1299},	// QsciLexerTCL::metaObject
    {75, 997, 1305},	// QsciLexerTCL::qt_metacall$$?
    {75, 999, 1300},	// QsciLexerTCL::qt_metacast$
    {75, 1003, 1319},	// QsciLexerTCL::readProperties#$
    {75, 1012, 1316},	// QsciLexerTCL::refreshProperties
    {75, 1132, 1318},	// QsciLexerTCL::setFoldCompact$
    {75, 1276, 1324},	// QsciLexerTCL::staticMetaObject
    {75, 1295, 1321},	// QsciLexerTCL::tr$
    {75, 1296, 1301},	// QsciLexerTCL::tr$$
    {75, 1297, 1303},	// QsciLexerTCL::tr$$$
    {75, 1299, 1322},	// QsciLexerTCL::trUtf8$
    {75, 1300, 1302},	// QsciLexerTCL::trUtf8$$
    {75, 1301, 1304},	// QsciLexerTCL::trUtf8$$$
    {75, 1326, 1320},	// QsciLexerTCL::writeProperties#$
    {75, 1367, 1347},	// QsciLexerTCL::~QsciLexerTCL
    {76, 122, 1370},	// QsciLexerTeX::Command
    {76, 142, 1366},	// QsciLexerTeX::Default
    {76, 187, 1368},	// QsciLexerTeX::Group
    {76, 401, 1364},	// QsciLexerTeX::QsciLexerTeX
    {76, 402, 1355},	// QsciLexerTeX::QsciLexerTeX#
    {76, 618, 1367},	// QsciLexerTeX::Special
    {76, 637, 1369},	// QsciLexerTeX::Symbol
    {76, 649, 1371},	// QsciLexerTeX::Text
    {76, 781, 1359},	// QsciLexerTeX::defaultColor$
    {76, 791, 1361},	// QsciLexerTeX::description$
    {76, 903, 1360},	// QsciLexerTeX::keywords$
    {76, 904, 1356},	// QsciLexerTeX::language
    {76, 909, 1357},	// QsciLexerTeX::lexer
    {76, 958, 1348},	// QsciLexerTeX::metaObject
    {76, 997, 1354},	// QsciLexerTeX::qt_metacall$$?
    {76, 999, 1349},	// QsciLexerTeX::qt_metacast$
    {76, 1276, 1365},	// QsciLexerTeX::staticMetaObject
    {76, 1295, 1362},	// QsciLexerTeX::tr$
    {76, 1296, 1350},	// QsciLexerTeX::tr$$
    {76, 1297, 1352},	// QsciLexerTeX::tr$$$
    {76, 1299, 1363},	// QsciLexerTeX::trUtf8$
    {76, 1300, 1351},	// QsciLexerTeX::trUtf8$$
    {76, 1301, 1353},	// QsciLexerTeX::trUtf8$$$
    {76, 1321, 1358},	// QsciLexerTeX::wordCharacters
    {76, 1368, 1372},	// QsciLexerTeX::~QsciLexerTeX
    {77, 66, 1417},	// QsciLexerVHDL::Attribute
    {77, 123, 1408},	// QsciLexerVHDL::Comment
    {77, 129, 1409},	// QsciLexerVHDL::CommentLine
    {77, 142, 1407},	// QsciLexerVHDL::Default
    {77, 205, 1413},	// QsciLexerVHDL::Identifier
    {77, 228, 1415},	// QsciLexerVHDL::Keyword
    {77, 235, 1421},	// QsciLexerVHDL::KeywordSet7
    {77, 271, 1410},	// QsciLexerVHDL::Number
    {77, 275, 1412},	// QsciLexerVHDL::Operator
    {77, 403, 1405},	// QsciLexerVHDL::QsciLexerVHDL
    {77, 404, 1380},	// QsciLexerVHDL::QsciLexerVHDL#
    {77, 619, 1418},	// QsciLexerVHDL::StandardFunction
    {77, 620, 1416},	// QsciLexerVHDL::StandardOperator
    {77, 621, 1419},	// QsciLexerVHDL::StandardPackage
    {77, 622, 1420},	// QsciLexerVHDL::StandardType
    {77, 627, 1411},	// QsciLexerVHDL::String
    {77, 663, 1414},	// QsciLexerVHDL::UnclosedString
    {77, 741, 1383},	// QsciLexerVHDL::braceStyle
    {77, 781, 1384},	// QsciLexerVHDL::defaultColor$
    {77, 783, 1385},	// QsciLexerVHDL::defaultEolFill$
    {77, 785, 1386},	// QsciLexerVHDL::defaultFont$
    {77, 787, 1387},	// QsciLexerVHDL::defaultPaper$
    {77, 791, 1389},	// QsciLexerVHDL::description$
    {77, 840, 1394},	// QsciLexerVHDL::foldAtBegin
    {77, 841, 1393},	// QsciLexerVHDL::foldAtElse
    {77, 842, 1395},	// QsciLexerVHDL::foldAtParenthesis
    {77, 843, 1391},	// QsciLexerVHDL::foldComments
    {77, 844, 1392},	// QsciLexerVHDL::foldCompact
    {77, 903, 1388},	// QsciLexerVHDL::keywords$
    {77, 904, 1381},	// QsciLexerVHDL::language
    {77, 909, 1382},	// QsciLexerVHDL::lexer
    {77, 958, 1373},	// QsciLexerVHDL::metaObject
    {77, 997, 1379},	// QsciLexerVHDL::qt_metacall$$?
    {77, 999, 1374},	// QsciLexerVHDL::qt_metacast$
    {77, 1003, 1401},	// QsciLexerVHDL::readProperties#$
    {77, 1012, 1390},	// QsciLexerVHDL::refreshProperties
    {77, 1124, 1399},	// QsciLexerVHDL::setFoldAtBegin$
    {77, 1126, 1398},	// QsciLexerVHDL::setFoldAtElse$
    {77, 1128, 1400},	// QsciLexerVHDL::setFoldAtParenthesis$
    {77, 1130, 1396},	// QsciLexerVHDL::setFoldComments$
    {77, 1132, 1397},	// QsciLexerVHDL::setFoldCompact$
    {77, 1276, 1406},	// QsciLexerVHDL::staticMetaObject
    {77, 1295, 1403},	// QsciLexerVHDL::tr$
    {77, 1296, 1375},	// QsciLexerVHDL::tr$$
    {77, 1297, 1377},	// QsciLexerVHDL::tr$$$
    {77, 1299, 1404},	// QsciLexerVHDL::trUtf8$
    {77, 1300, 1376},	// QsciLexerVHDL::trUtf8$$
    {77, 1301, 1378},	// QsciLexerVHDL::trUtf8$$$
    {77, 1326, 1402},	// QsciLexerVHDL::writeProperties#$
    {77, 1369, 1422},	// QsciLexerVHDL::~QsciLexerVHDL
    {78, 405, 1445},	// QsciLexerXML::QsciLexerXML
    {78, 406, 1430},	// QsciLexerXML::QsciLexerXML#
    {78, 781, 1433},	// QsciLexerXML::defaultColor$
    {78, 783, 1434},	// QsciLexerXML::defaultEolFill$
    {78, 785, 1435},	// QsciLexerXML::defaultFont$
    {78, 787, 1436},	// QsciLexerXML::defaultPaper$
    {78, 903, 1437},	// QsciLexerXML::keywords$
    {78, 904, 1431},	// QsciLexerXML::language
    {78, 909, 1432},	// QsciLexerXML::lexer
    {78, 958, 1423},	// QsciLexerXML::metaObject
    {78, 997, 1429},	// QsciLexerXML::qt_metacall$$?
    {78, 999, 1424},	// QsciLexerXML::qt_metacast$
    {78, 1003, 1441},	// QsciLexerXML::readProperties#$
    {78, 1012, 1438},	// QsciLexerXML::refreshProperties
    {78, 1028, 1440},	// QsciLexerXML::scriptsStyled
    {78, 1218, 1439},	// QsciLexerXML::setScriptsStyled$
    {78, 1276, 1446},	// QsciLexerXML::staticMetaObject
    {78, 1295, 1443},	// QsciLexerXML::tr$
    {78, 1296, 1425},	// QsciLexerXML::tr$$
    {78, 1297, 1427},	// QsciLexerXML::tr$$$
    {78, 1299, 1444},	// QsciLexerXML::trUtf8$
    {78, 1300, 1426},	// QsciLexerXML::trUtf8$$
    {78, 1301, 1428},	// QsciLexerXML::trUtf8$$$
    {78, 1326, 1442},	// QsciLexerXML::writeProperties#$
    {78, 1370, 1447},	// QsciLexerXML::~QsciLexerXML
    {79, 123, 1474},	// QsciLexerYAML::Comment
    {79, 142, 1473},	// QsciLexerYAML::Default
    {79, 149, 1479},	// QsciLexerYAML::DocumentDelimiter
    {79, 205, 1475},	// QsciLexerYAML::Identifier
    {79, 228, 1476},	// QsciLexerYAML::Keyword
    {79, 271, 1477},	// QsciLexerYAML::Number
    {79, 275, 1482},	// QsciLexerYAML::Operator
    {79, 407, 1471},	// QsciLexerYAML::QsciLexerYAML
    {79, 408, 1455},	// QsciLexerYAML::QsciLexerYAML#
    {79, 441, 1478},	// QsciLexerYAML::Reference
    {79, 642, 1481},	// QsciLexerYAML::SyntaxErrorMarker
    {79, 650, 1480},	// QsciLexerYAML::TextBlockMarker
    {79, 781, 1458},	// QsciLexerYAML::defaultColor$
    {79, 783, 1459},	// QsciLexerYAML::defaultEolFill$
    {79, 785, 1460},	// QsciLexerYAML::defaultFont$
    {79, 787, 1461},	// QsciLexerYAML::defaultPaper$
    {79, 791, 1463},	// QsciLexerYAML::description$
    {79, 843, 1465},	// QsciLexerYAML::foldComments
    {79, 903, 1462},	// QsciLexerYAML::keywords$
    {79, 904, 1456},	// QsciLexerYAML::language
    {79, 909, 1457},	// QsciLexerYAML::lexer
    {79, 958, 1448},	// QsciLexerYAML::metaObject
    {79, 997, 1454},	// QsciLexerYAML::qt_metacall$$?
    {79, 999, 1449},	// QsciLexerYAML::qt_metacast$
    {79, 1003, 1467},	// QsciLexerYAML::readProperties#$
    {79, 1012, 1464},	// QsciLexerYAML::refreshProperties
    {79, 1130, 1466},	// QsciLexerYAML::setFoldComments$
    {79, 1276, 1472},	// QsciLexerYAML::staticMetaObject
    {79, 1295, 1469},	// QsciLexerYAML::tr$
    {79, 1296, 1450},	// QsciLexerYAML::tr$$
    {79, 1297, 1452},	// QsciLexerYAML::tr$$$
    {79, 1299, 1470},	// QsciLexerYAML::trUtf8$
    {79, 1300, 1451},	// QsciLexerYAML::trUtf8$$
    {79, 1301, 1453},	// QsciLexerYAML::trUtf8$$$
    {79, 1326, 1468},	// QsciLexerYAML::writeProperties#$
    {79, 1371, 1483},	// QsciLexerYAML::~QsciLexerYAML
    {80, 410, 1491},	// QsciMacro::QsciMacro#
    {80, 411, 1492},	// QsciMacro::QsciMacro$#
    {80, 754, 1493},	// QsciMacro::clear
    {80, 809, 1498},	// QsciMacro::endRecording
    {80, 920, 1494},	// QsciMacro::load$
    {80, 958, 1484},	// QsciMacro::metaObject
    {80, 985, 1496},	// QsciMacro::play
    {80, 997, 1490},	// QsciMacro::qt_metacall$$?
    {80, 999, 1485},	// QsciMacro::qt_metacast$
    {80, 1025, 1495},	// QsciMacro::save
    {80, 1272, 1497},	// QsciMacro::startRecording
    {80, 1276, 1501},	// QsciMacro::staticMetaObject
    {80, 1295, 1499},	// QsciMacro::tr$
    {80, 1296, 1486},	// QsciMacro::tr$$
    {80, 1297, 1488},	// QsciMacro::tr$$$
    {80, 1299, 1500},	// QsciMacro::trUtf8$
    {80, 1300, 1487},	// QsciMacro::trUtf8$$
    {80, 1301, 1489},	// QsciMacro::trUtf8$$$
    {80, 1372, 1502},	// QsciMacro::~QsciMacro
    {81, 412, 1510},	// QsciPrinter::QsciPrinter
    {81, 413, 1503},	// QsciPrinter::QsciPrinter$
    {81, 861, 1504},	// QsciPrinter::formatPage#$#$
    {81, 923, 1505},	// QsciPrinter::magnification
    {81, 991, 1511},	// QsciPrinter::printRange#
    {81, 992, 1512},	// QsciPrinter::printRange#$
    {81, 993, 1507},	// QsciPrinter::printRange#$$
    {81, 1178, 1506},	// QsciPrinter::setMagnification$
    {81, 1261, 1509},	// QsciPrinter::setWrapMode$
    {81, 1322, 1508},	// QsciPrinter::wrapMode
    {81, 1373, 1513},	// QsciPrinter::~QsciPrinter
    {82, 49, 1762},	// QsciScintilla::AcsAPIs
    {82, 50, 1760},	// QsciScintilla::AcsAll
    {82, 51, 1761},	// QsciScintilla::AcsDocument
    {82, 52, 1759},	// QsciScintilla::AcsNone
    {82, 54, 1755},	// QsciScintilla::AiClosing
    {82, 55, 1753},	// QsciScintilla::AiMaintain
    {82, 56, 1754},	// QsciScintilla::AiOpening
    {82, 58, 1758},	// QsciScintilla::AnnotationBoxed
    {82, 59, 1756},	// QsciScintilla::AnnotationHidden
    {82, 60, 1757},	// QsciScintilla::AnnotationStandard
    {82, 79, 1810},	// QsciScintilla::Background
    {82, 90, 1798},	// QsciScintilla::BottomLeftCorner
    {82, 92, 1779},	// QsciScintilla::BoxedFoldStyle
    {82, 93, 1802},	// QsciScintilla::BoxedMinus
    {82, 94, 1803},	// QsciScintilla::BoxedMinusConnected
    {82, 95, 1800},	// QsciScintilla::BoxedPlus
    {82, 96, 1801},	// QsciScintilla::BoxedPlusConnected
    {82, 97, 1781},	// QsciScintilla::BoxedTreeFoldStyle
    {82, 103, 1769},	// QsciScintilla::CallTipsContext
    {82, 104, 1768},	// QsciScintilla::CallTipsNoAutoCompletionContext
    {82, 105, 1767},	// QsciScintilla::CallTipsNoContext
    {82, 106, 1766},	// QsciScintilla::CallTipsNone
    {82, 110, 1788},	// QsciScintilla::Circle
    {82, 111, 1778},	// QsciScintilla::CircledFoldStyle
    {82, 112, 1808},	// QsciScintilla::CircledMinus
    {82, 113, 1809},	// QsciScintilla::CircledMinusConnected
    {82, 114, 1806},	// QsciScintilla::CircledPlus
    {82, 115, 1807},	// QsciScintilla::CircledPlusConnected
    {82, 116, 1780},	// QsciScintilla::CircledTreeFoldStyle
    {82, 153, 1794},	// QsciScintilla::DownTriangle
    {82, 160, 1772},	// QsciScintilla::EdgeBackground
    {82, 161, 1771},	// QsciScintilla::EdgeLine
    {82, 162, 1770},	// QsciScintilla::EdgeNone
    {82, 166, 1775},	// QsciScintilla::EolMac
    {82, 167, 1774},	// QsciScintilla::EolUnix
    {82, 168, 1773},	// QsciScintilla::EolWindows
    {82, 214, 1793},	// QsciScintilla::Invisible
    {82, 244, 1805},	// QsciScintilla::LeftSideRoundedSplitter
    {82, 245, 1799},	// QsciScintilla::LeftSideSplitter
    {82, 260, 1795},	// QsciScintilla::Minus
    {82, 267, 1763},	// QsciScintilla::NoBraceMatch
    {82, 268, 1776},	// QsciScintilla::NoFoldStyle
    {82, 272, 1785},	// QsciScintilla::NumberMargin
    {82, 302, 1777},	// QsciScintilla::PlainFoldStyle
    {82, 303, 1796},	// QsciScintilla::Plus
    {82, 414, 1730},	// QsciScintilla::QsciScintilla
    {82, 415, 1521},	// QsciScintilla::QsciScintilla#
    {82, 440, 1789},	// QsciScintilla::Rectangle
    {82, 443, 1792},	// QsciScintilla::RightArrow
    {82, 444, 1790},	// QsciScintilla::RightTriangle
    {82, 445, 1804},	// QsciScintilla::RoundedBottomLeftCorner
    {82, 614, 1765},	// QsciScintilla::SloppyBraceMatch
    {82, 616, 1791},	// QsciScintilla::SmallRectangle
    {82, 626, 1764},	// QsciScintilla::StrictBraceMatch
    {82, 638, 1782},	// QsciScintilla::SymbolMargin
    {82, 639, 1784},	// QsciScintilla::SymbolMarginDefaultBackgroundColor
    {82, 640, 1783},	// QsciScintilla::SymbolMarginDefaultForegroundColor
    {82, 651, 1786},	// QsciScintilla::TextMargin
    {82, 652, 1787},	// QsciScintilla::TextMarginRightJustified
    {82, 653, 1811},	// QsciScintilla::ThreeDots
    {82, 654, 1812},	// QsciScintilla::ThreeRightArrows
    {82, 681, 1797},	// QsciScintilla::VerticalLine
    {82, 683, 1818},	// QsciScintilla::WrapCharacter
    {82, 684, 1821},	// QsciScintilla::WrapFlagByBorder
    {82, 685, 1820},	// QsciScintilla::WrapFlagByText
    {82, 686, 1819},	// QsciScintilla::WrapFlagNone
    {82, 687, 1816},	// QsciScintilla::WrapNone
    {82, 688, 1817},	// QsciScintilla::WrapWord
    {82, 689, 1813},	// QsciScintilla::WsInvisible
    {82, 690, 1814},	// QsciScintilla::WsVisible
    {82, 691, 1815},	// QsciScintilla::WsVisibleAfterIndent
    {82, 700, 1525},	// QsciScintilla::annotate$#
    {82, 701, 1524},	// QsciScintilla::annotate$$#
    {82, 702, 1523},	// QsciScintilla::annotate$$$
    {82, 703, 1526},	// QsciScintilla::annotate$?
    {82, 705, 1527},	// QsciScintilla::annotation$
    {82, 706, 1528},	// QsciScintilla::annotationDisplay
    {82, 708, 1522},	// QsciScintilla::apiContext$$$
    {82, 714, 1645},	// QsciScintilla::append$
    {82, 715, 1647},	// QsciScintilla::autoCompleteFromAPIs
    {82, 716, 1646},	// QsciScintilla::autoCompleteFromAll
    {82, 717, 1648},	// QsciScintilla::autoCompleteFromDocument
    {82, 718, 1530},	// QsciScintilla::autoCompletionCaseSensitivity
    {82, 720, 1531},	// QsciScintilla::autoCompletionFillupsEnabled
    {82, 721, 1532},	// QsciScintilla::autoCompletionReplaceWord
    {82, 724, 1533},	// QsciScintilla::autoCompletionShowSingle
    {82, 725, 1534},	// QsciScintilla::autoCompletionSource
    {82, 726, 1535},	// QsciScintilla::autoCompletionThreshold
    {82, 728, 1536},	// QsciScintilla::autoIndent
    {82, 731, 1537},	// QsciScintilla::backspaceUnindents
    {82, 732, 1538},	// QsciScintilla::beginUndoAction
    {82, 740, 1539},	// QsciScintilla::braceMatching
    {82, 742, 1649},	// QsciScintilla::callTip
    {82, 745, 1540},	// QsciScintilla::callTipsStyle
    {82, 746, 1541},	// QsciScintilla::callTipsVisible
    {82, 747, 1542},	// QsciScintilla::cancelList
    {82, 749, 1543},	// QsciScintilla::caseSensitive
    {82, 754, 1650},	// QsciScintilla::clear
    {82, 756, 1731},	// QsciScintilla::clearAnnotations
    {82, 757, 1529},	// QsciScintilla::clearAnnotations$
    {82, 759, 1743},	// QsciScintilla::clearMarginText
    {82, 760, 1622},	// QsciScintilla::clearMarginText$
    {82, 761, 1544},	// QsciScintilla::clearRegisteredImages
    {82, 763, 1545},	// QsciScintilla::color
    {82, 772, 1546},	// QsciScintilla::convertEols$
    {82, 773, 1651},	// QsciScintilla::copy
    {82, 775, 1720},	// QsciScintilla::copyAvailable$
    {82, 777, 1719},	// QsciScintilla::cursorPositionChanged$$
    {82, 779, 1652},	// QsciScintilla::cut
    {82, 794, 1547},	// QsciScintilla::document
    {82, 804, 1549},	// QsciScintilla::edgeColor
    {82, 805, 1550},	// QsciScintilla::edgeColumn
    {82, 806, 1551},	// QsciScintilla::edgeMode
    {82, 810, 1548},	// QsciScintilla::endUndoAction
    {82, 811, 1653},	// QsciScintilla::ensureCursorVisible
    {82, 813, 1654},	// QsciScintilla::ensureLineVisible$
    {82, 819, 1553},	// QsciScintilla::eolMode
    {82, 820, 1554},	// QsciScintilla::eolVisibility
    {82, 825, 1732},	// QsciScintilla::findFirst$$$$$
    {82, 826, 1733},	// QsciScintilla::findFirst$$$$$$
    {82, 827, 1734},	// QsciScintilla::findFirst$$$$$$$
    {82, 828, 1735},	// QsciScintilla::findFirst$$$$$$$$
    {82, 829, 1555},	// QsciScintilla::findFirst$$$$$$$$$
    {82, 830, 1556},	// QsciScintilla::findNext
    {82, 831, 1557},	// QsciScintilla::firstVisibleLine
    {82, 838, 1748},	// QsciScintilla::foldAll
    {82, 839, 1655},	// QsciScintilla::foldAll$
    {82, 847, 1656},	// QsciScintilla::foldLine$
    {82, 854, 1558},	// QsciScintilla::folding
    {82, 863, 1559},	// QsciScintilla::getCursorPosition$$
    {82, 865, 1560},	// QsciScintilla::getSelection$$$$
    {82, 866, 1561},	// QsciScintilla::hasSelectedText
    {82, 871, 1657},	// QsciScintilla::indent$
    {82, 873, 1562},	// QsciScintilla::indentation$
    {82, 875, 1563},	// QsciScintilla::indentationGuides
    {82, 877, 1565},	// QsciScintilla::indentationWidth
    {82, 878, 1564},	// QsciScintilla::indentationsUseTabs
    {82, 883, 1658},	// QsciScintilla::insert$
    {82, 885, 1659},	// QsciScintilla::insertAt$$$
    {82, 887, 1566},	// QsciScintilla::isCallTipActive
    {82, 888, 1567},	// QsciScintilla::isListActive
    {82, 889, 1568},	// QsciScintilla::isModified
    {82, 892, 1569},	// QsciScintilla::isReadOnly
    {82, 893, 1570},	// QsciScintilla::isRedoAvailable
    {82, 894, 1571},	// QsciScintilla::isUndoAvailable
    {82, 895, 1572},	// QsciScintilla::isUtf8
    {82, 897, 1573},	// QsciScintilla::isWordCharacter$
    {82, 907, 1578},	// QsciScintilla::length
    {82, 909, 1579},	// QsciScintilla::lexer
    {82, 912, 1574},	// QsciScintilla::lineAt#
    {82, 914, 1575},	// QsciScintilla::lineIndexFromPosition$$$
    {82, 916, 1576},	// QsciScintilla::lineLength$
    {82, 917, 1577},	// QsciScintilla::lines
    {82, 918, 1721},	// QsciScintilla::linesChanged
    {82, 925, 1722},	// QsciScintilla::marginClicked$$$
    {82, 927, 1580},	// QsciScintilla::marginLineNumbers$
    {82, 929, 1581},	// QsciScintilla::marginMarkerMask$
    {82, 931, 1582},	// QsciScintilla::marginSensitivity$
    {82, 933, 1583},	// QsciScintilla::marginType$
    {82, 935, 1584},	// QsciScintilla::marginWidth$
    {82, 937, 1588},	// QsciScintilla::markerAdd$$
    {82, 939, 1738},	// QsciScintilla::markerDefine#
    {82, 940, 1587},	// QsciScintilla::markerDefine#$
    {82, 941, -3409},	// QsciScintilla::markerDefine$
    {82, 942, -3412},	// QsciScintilla::markerDefine$$
    {82, 944, 1739},	// QsciScintilla::markerDelete$
    {82, 945, 1590},	// QsciScintilla::markerDelete$$
    {82, 946, 1740},	// QsciScintilla::markerDeleteAll
    {82, 947, 1591},	// QsciScintilla::markerDeleteAll$
    {82, 949, 1592},	// QsciScintilla::markerDeleteHandle$
    {82, 951, 1594},	// QsciScintilla::markerFindNext$$
    {82, 953, 1595},	// QsciScintilla::markerFindPrevious$$
    {82, 955, 1593},	// QsciScintilla::markerLine$
    {82, 957, 1589},	// QsciScintilla::markersAtLine$
    {82, 958, 1514},	// QsciScintilla::metaObject
    {82, 961, 1723},	// QsciScintilla::modificationAttempted
    {82, 963, 1724},	// QsciScintilla::modificationChanged$
    {82, 973, 1660},	// QsciScintilla::moveToMatchingBrace
    {82, 980, 1596},	// QsciScintilla::paper
    {82, 984, 1661},	// QsciScintilla::paste
    {82, 988, 1597},	// QsciScintilla::positionFromLineIndex$$
    {82, 997, 1520},	// QsciScintilla::qt_metacall$$?
    {82, 999, 1515},	// QsciScintilla::qt_metacast$
    {82, 1001, 1598},	// QsciScintilla::read#
    {82, 1007, 1741},	// QsciScintilla::recolor
    {82, 1008, 1742},	// QsciScintilla::recolor$
    {82, 1009, 1599},	// QsciScintilla::recolor$$
    {82, 1010, 1662},	// QsciScintilla::redo
    {82, 1014, 1600},	// QsciScintilla::registerImage$#
    {82, 1017, 1663},	// QsciScintilla::removeSelectedText
    {82, 1019, 1601},	// QsciScintilla::replace$
    {82, 1020, 1602},	// QsciScintilla::resetFoldMarginColors
    {82, 1021, 1664},	// QsciScintilla::resetSelectionBackgroundColor
    {82, 1022, 1665},	// QsciScintilla::resetSelectionForegroundColor
    {82, 1031, 1749},	// QsciScintilla::selectAll
    {82, 1032, 1666},	// QsciScintilla::selectAll$
    {82, 1033, 1667},	// QsciScintilla::selectToMatchingBrace
    {82, 1034, 1630},	// QsciScintilla::selectedText
    {82, 1035, 1725},	// QsciScintilla::selectionChanged
    {82, 1036, 1631},	// QsciScintilla::selectionToEol
    {82, 1042, 1604},	// QsciScintilla::setAnnotationDisplay$
    {82, 1044, 1668},	// QsciScintilla::setAutoCompletionCaseSensitivity$
    {82, 1046, 1606},	// QsciScintilla::setAutoCompletionFillups$
    {82, 1048, 1605},	// QsciScintilla::setAutoCompletionFillupsEnabled$
    {82, 1050, 1669},	// QsciScintilla::setAutoCompletionReplaceWord$
    {82, 1052, 1670},	// QsciScintilla::setAutoCompletionShowSingle$
    {82, 1054, 1671},	// QsciScintilla::setAutoCompletionSource$
    {82, 1056, 1672},	// QsciScintilla::setAutoCompletionThreshold$
    {82, 1058, 1607},	// QsciScintilla::setAutoCompletionWordSeparators?
    {82, 1060, 1673},	// QsciScintilla::setAutoIndent$
    {82, 1066, 1675},	// QsciScintilla::setBackspaceUnindents$
    {82, 1068, 1674},	// QsciScintilla::setBraceMatching$
    {82, 1070, 1608},	// QsciScintilla::setCallTipsBackgroundColor#
    {82, 1072, 1609},	// QsciScintilla::setCallTipsForegroundColor#
    {82, 1074, 1610},	// QsciScintilla::setCallTipsHighlightColor#
    {82, 1076, 1611},	// QsciScintilla::setCallTipsStyle$
    {82, 1078, 1612},	// QsciScintilla::setCallTipsVisible$
    {82, 1080, 1676},	// QsciScintilla::setCaretForegroundColor#
    {82, 1082, 1677},	// QsciScintilla::setCaretLineBackgroundColor#
    {82, 1084, 1678},	// QsciScintilla::setCaretLineVisible$
    {82, 1086, 1679},	// QsciScintilla::setCaretWidth$
    {82, 1092, 1680},	// QsciScintilla::setColor#
    {82, 1095, 1681},	// QsciScintilla::setCursorPosition$$
    {82, 1105, 1613},	// QsciScintilla::setDocument#
    {82, 1109, 1614},	// QsciScintilla::setEdgeColor#
    {82, 1111, 1615},	// QsciScintilla::setEdgeColumn$
    {82, 1113, 1616},	// QsciScintilla::setEdgeMode$
    {82, 1120, 1682},	// QsciScintilla::setEolMode$
    {82, 1122, 1683},	// QsciScintilla::setEolVisibility$
    {82, 1136, 1603},	// QsciScintilla::setFoldMarginColors##
    {82, 1150, 1750},	// QsciScintilla::setFolding$
    {82, 1151, 1684},	// QsciScintilla::setFolding$$
    {82, 1153, 1552},	// QsciScintilla::setFont#
    {82, 1158, 1685},	// QsciScintilla::setIndentation$$
    {82, 1160, 1686},	// QsciScintilla::setIndentationGuides$
    {82, 1162, 1687},	// QsciScintilla::setIndentationGuidesBackgroundColor#
    {82, 1164, 1688},	// QsciScintilla::setIndentationGuidesForegroundColor#
    {82, 1168, 1690},	// QsciScintilla::setIndentationWidth$
    {82, 1170, 1689},	// QsciScintilla::setIndentationsUseTabs$
    {82, 1175, 1751},	// QsciScintilla::setLexer
    {82, 1176, 1691},	// QsciScintilla::setLexer#
    {82, 1180, 1695},	// QsciScintilla::setMarginLineNumbers$$
    {82, 1182, 1696},	// QsciScintilla::setMarginMarkerMask$$
    {82, 1184, 1697},	// QsciScintilla::setMarginSensitivity$$
    {82, 1186, 1619},	// QsciScintilla::setMarginText$#
    {82, 1187, 1618},	// QsciScintilla::setMarginText$$#
    {82, 1188, 1617},	// QsciScintilla::setMarginText$$$
    {82, 1189, 1620},	// QsciScintilla::setMarginText$?
    {82, 1191, 1621},	// QsciScintilla::setMarginType$$
    {82, 1193, -3415},	// QsciScintilla::setMarginWidth$$
    {82, 1195, 1692},	// QsciScintilla::setMarginsBackgroundColor#
    {82, 1197, 1693},	// QsciScintilla::setMarginsFont#
    {82, 1199, 1694},	// QsciScintilla::setMarginsForegroundColor#
    {82, 1201, 1744},	// QsciScintilla::setMarkerBackgroundColor#
    {82, 1202, 1623},	// QsciScintilla::setMarkerBackgroundColor#$
    {82, 1204, 1745},	// QsciScintilla::setMarkerForegroundColor#
    {82, 1205, 1624},	// QsciScintilla::setMarkerForegroundColor#$
    {82, 1207, 1625},	// QsciScintilla::setMatchedBraceBackgroundColor#
    {82, 1209, 1626},	// QsciScintilla::setMatchedBraceForegroundColor#
    {82, 1211, 1700},	// QsciScintilla::setModified$
    {82, 1213, 1701},	// QsciScintilla::setPaper#
    {82, 1216, 1702},	// QsciScintilla::setReadOnly$
    {82, 1220, 1703},	// QsciScintilla::setSelection$$$$
    {82, 1222, 1704},	// QsciScintilla::setSelectionBackgroundColor#
    {82, 1224, 1705},	// QsciScintilla::setSelectionForegroundColor#
    {82, 1226, 1632},	// QsciScintilla::setSelectionToEol$
    {82, 1235, 1706},	// QsciScintilla::setTabIndents$
    {82, 1237, 1707},	// QsciScintilla::setTabWidth$
    {82, 1239, 1708},	// QsciScintilla::setText$
    {82, 1245, 1627},	// QsciScintilla::setUnmatchedBraceBackgroundColor#
    {82, 1247, 1628},	// QsciScintilla::setUnmatchedBraceForegroundColor#
    {82, 1249, 1709},	// QsciScintilla::setUtf8$
    {82, 1259, 1710},	// QsciScintilla::setWhitespaceVisibility$
    {82, 1261, 1711},	// QsciScintilla::setWrapMode$
    {82, 1263, 1746},	// QsciScintilla::setWrapVisualFlags$
    {82, 1264, 1747},	// QsciScintilla::setWrapVisualFlags$$
    {82, 1265, 1629},	// QsciScintilla::setWrapVisualFlags$$$
    {82, 1268, 1633},	// QsciScintilla::showUserList$?
    {82, 1271, 1634},	// QsciScintilla::standardCommands
    {82, 1276, 1752},	// QsciScintilla::staticMetaObject
    {82, 1283, 1635},	// QsciScintilla::tabIndents
    {82, 1284, 1636},	// QsciScintilla::tabWidth
    {82, 1286, 1637},	// QsciScintilla::text
    {82, 1287, 1638},	// QsciScintilla::text$
    {82, 1289, 1726},	// QsciScintilla::textChanged
    {82, 1291, 1639},	// QsciScintilla::textHeight$
    {82, 1295, 1728},	// QsciScintilla::tr$
    {82, 1296, 1516},	// QsciScintilla::tr$$
    {82, 1297, 1518},	// QsciScintilla::tr$$$
    {82, 1299, 1729},	// QsciScintilla::trUtf8$
    {82, 1300, 1517},	// QsciScintilla::trUtf8$$
    {82, 1301, 1519},	// QsciScintilla::trUtf8$$$
    {82, 1302, 1712},	// QsciScintilla::undo
    {82, 1304, 1713},	// QsciScintilla::unindent$
    {82, 1308, 1727},	// QsciScintilla::userListActivated$$
    {82, 1317, 1640},	// QsciScintilla::whitespaceVisibility
    {82, 1320, 1641},	// QsciScintilla::wordAtPoint#
    {82, 1321, 1642},	// QsciScintilla::wordCharacters
    {82, 1322, 1643},	// QsciScintilla::wrapMode
    {82, 1324, 1644},	// QsciScintilla::write#
    {82, 1331, 1715},	// QsciScintilla::zoomIn
    {82, 1332, 1714},	// QsciScintilla::zoomIn$
    {82, 1333, 1717},	// QsciScintilla::zoomOut
    {82, 1334, 1716},	// QsciScintilla::zoomOut$
    {82, 1336, 1718},	// QsciScintilla::zoomTo$
    {82, 1374, 1822},	// QsciScintilla::~QsciScintilla
    {83, 334, 1845},	// QsciScintillaBase::QSCN_SELCHANGED$
    {83, 416, 1890},	// QsciScintillaBase::QsciScintillaBase
    {83, 417, 1830},	// QsciScintillaBase::QsciScintillaBase#
    {83, 446, 1849},	// QsciScintillaBase::SCEN_CHANGE
    {83, 447, -1},	// QsciScintillaBase::SCLEX_ABAQUS
    {83, 448, -36},	// QsciScintillaBase::SCLEX_ADA
    {83, 449, -71},	// QsciScintillaBase::SCLEX_APDL
    {83, 450, -106},	// QsciScintillaBase::SCLEX_ASM
    {83, 451, -141},	// QsciScintillaBase::SCLEX_ASN1
    {83, 452, -176},	// QsciScintillaBase::SCLEX_ASP
    {83, 453, -211},	// QsciScintillaBase::SCLEX_ASYMPTOTE
    {83, 454, -246},	// QsciScintillaBase::SCLEX_AU3
    {83, 455, -281},	// QsciScintillaBase::SCLEX_AVE
    {83, 456, -316},	// QsciScintillaBase::SCLEX_BAAN
    {83, 457, -351},	// QsciScintillaBase::SCLEX_BASH
    {83, 458, -386},	// QsciScintillaBase::SCLEX_BATCH
    {83, 459, -421},	// QsciScintillaBase::SCLEX_BLITZBASIC
    {83, 460, -456},	// QsciScintillaBase::SCLEX_BULLANT
    {83, 461, -491},	// QsciScintillaBase::SCLEX_CAML
    {83, 462, -526},	// QsciScintillaBase::SCLEX_CLW
    {83, 463, -561},	// QsciScintillaBase::SCLEX_CLWNOCASE
    {83, 464, -596},	// QsciScintillaBase::SCLEX_CMAKE
    {83, 465, -631},	// QsciScintillaBase::SCLEX_COBOL
    {83, 466, -666},	// QsciScintillaBase::SCLEX_CONF
    {83, 467, -701},	// QsciScintillaBase::SCLEX_CONTAINER
    {83, 468, -736},	// QsciScintillaBase::SCLEX_CPP
    {83, 469, -771},	// QsciScintillaBase::SCLEX_CPPNOCASE
    {83, 470, -806},	// QsciScintillaBase::SCLEX_CSOUND
    {83, 471, -841},	// QsciScintillaBase::SCLEX_CSS
    {83, 472, -876},	// QsciScintillaBase::SCLEX_D
    {83, 473, -911},	// QsciScintillaBase::SCLEX_DIFF
    {83, 474, -946},	// QsciScintillaBase::SCLEX_EIFFEL
    {83, 475, -981},	// QsciScintillaBase::SCLEX_EIFFELKW
    {83, 476, -1016},	// QsciScintillaBase::SCLEX_ERLANG
    {83, 477, -1051},	// QsciScintillaBase::SCLEX_ERRORLIST
    {83, 478, -1086},	// QsciScintillaBase::SCLEX_ESCRIPT
    {83, 479, -1121},	// QsciScintillaBase::SCLEX_F77
    {83, 480, -1156},	// QsciScintillaBase::SCLEX_FLAGSHIP
    {83, 481, -1191},	// QsciScintillaBase::SCLEX_FORTH
    {83, 482, -1226},	// QsciScintillaBase::SCLEX_FORTRAN
    {83, 483, -1261},	// QsciScintillaBase::SCLEX_FREEBASIC
    {83, 484, -1296},	// QsciScintillaBase::SCLEX_GAP
    {83, 485, -1331},	// QsciScintillaBase::SCLEX_GUI4CLI
    {83, 486, -1366},	// QsciScintillaBase::SCLEX_HASKELL
    {83, 487, -1401},	// QsciScintillaBase::SCLEX_HTML
    {83, 488, -1436},	// QsciScintillaBase::SCLEX_INNOSETUP
    {83, 489, -1471},	// QsciScintillaBase::SCLEX_KIX
    {83, 490, -1506},	// QsciScintillaBase::SCLEX_LATEX
    {83, 491, -1541},	// QsciScintillaBase::SCLEX_LISP
    {83, 492, -1576},	// QsciScintillaBase::SCLEX_LOT
    {83, 493, -1611},	// QsciScintillaBase::SCLEX_LOUT
    {83, 494, -1646},	// QsciScintillaBase::SCLEX_LUA
    {83, 495, -1681},	// QsciScintillaBase::SCLEX_MAGIK
    {83, 496, -1716},	// QsciScintillaBase::SCLEX_MAKEFILE
    {83, 497, -1751},	// QsciScintillaBase::SCLEX_MATLAB
    {83, 498, -1786},	// QsciScintillaBase::SCLEX_METAPOST
    {83, 499, -1821},	// QsciScintillaBase::SCLEX_MMIXAL
    {83, 500, -1856},	// QsciScintillaBase::SCLEX_MSSQL
    {83, 501, -1891},	// QsciScintillaBase::SCLEX_MYSQL
    {83, 502, -1926},	// QsciScintillaBase::SCLEX_NIMROD
    {83, 503, -1961},	// QsciScintillaBase::SCLEX_NNCRONTAB
    {83, 504, -1996},	// QsciScintillaBase::SCLEX_NSIS
    {83, 505, -2031},	// QsciScintillaBase::SCLEX_NULL
    {83, 506, -2066},	// QsciScintillaBase::SCLEX_OCTAVE
    {83, 507, -2101},	// QsciScintillaBase::SCLEX_OPAL
    {83, 508, -2136},	// QsciScintillaBase::SCLEX_PASCAL
    {83, 509, -2171},	// QsciScintillaBase::SCLEX_PERL
    {83, 510, -2206},	// QsciScintillaBase::SCLEX_PHP
    {83, 511, -2241},	// QsciScintillaBase::SCLEX_PHPSCRIPT
    {83, 512, -2276},	// QsciScintillaBase::SCLEX_PLM
    {83, 513, -2311},	// QsciScintillaBase::SCLEX_PO
    {83, 514, -2346},	// QsciScintillaBase::SCLEX_POV
    {83, 515, -2381},	// QsciScintillaBase::SCLEX_POWERBASIC
    {83, 516, -2416},	// QsciScintillaBase::SCLEX_POWERPRO
    {83, 517, -2451},	// QsciScintillaBase::SCLEX_POWERSHELL
    {83, 518, -2486},	// QsciScintillaBase::SCLEX_PROGRESS
    {83, 519, -2521},	// QsciScintillaBase::SCLEX_PROPERTIES
    {83, 520, -2556},	// QsciScintillaBase::SCLEX_PS
    {83, 521, -2591},	// QsciScintillaBase::SCLEX_PUREBASIC
    {83, 522, -2626},	// QsciScintillaBase::SCLEX_PYTHON
    {83, 523, -2661},	// QsciScintillaBase::SCLEX_R
    {83, 524, -2696},	// QsciScintillaBase::SCLEX_REBOL
    {83, 525, -2731},	// QsciScintillaBase::SCLEX_RUBY
    {83, 526, -2766},	// QsciScintillaBase::SCLEX_SCRIPTOL
    {83, 527, -2801},	// QsciScintillaBase::SCLEX_SMALLTALK
    {83, 528, -2836},	// QsciScintillaBase::SCLEX_SML
    {83, 529, -2871},	// QsciScintillaBase::SCLEX_SORCUS
    {83, 530, -2906},	// QsciScintillaBase::SCLEX_SPECMAN
    {83, 531, -2941},	// QsciScintillaBase::SCLEX_SPICE
    {83, 532, -2976},	// QsciScintillaBase::SCLEX_SQL
    {83, 533, -3011},	// QsciScintillaBase::SCLEX_TACL
    {83, 534, -3046},	// QsciScintillaBase::SCLEX_TADS3
    {83, 535, -3081},	// QsciScintillaBase::SCLEX_TAL
    {83, 536, -3116},	// QsciScintillaBase::SCLEX_TCL
    {83, 537, -3151},	// QsciScintillaBase::SCLEX_TEX
    {83, 538, -3186},	// QsciScintillaBase::SCLEX_VB
    {83, 539, -3221},	// QsciScintillaBase::SCLEX_VBSCRIPT
    {83, 540, -3256},	// QsciScintillaBase::SCLEX_VERILOG
    {83, 541, -3291},	// QsciScintillaBase::SCLEX_VHDL
    {83, 542, -3326},	// QsciScintillaBase::SCLEX_XML
    {83, 543, -3361},	// QsciScintillaBase::SCLEX_YAML
    {83, 544, 1846},	// QsciScintillaBase::SCN_AUTOCCANCELLED
    {83, 545, 1847},	// QsciScintillaBase::SCN_AUTOCCHARDELETED
    {83, 547, 1848},	// QsciScintillaBase::SCN_AUTOCSELECTION$$
    {83, 549, 1850},	// QsciScintillaBase::SCN_CALLTIPCLICK$
    {83, 551, 1851},	// QsciScintillaBase::SCN_CHARADDED$
    {83, 553, 1852},	// QsciScintillaBase::SCN_DOUBLECLICK$$$
    {83, 555, 1853},	// QsciScintillaBase::SCN_DWELLEND$$$
    {83, 557, 1854},	// QsciScintillaBase::SCN_DWELLSTART$$$
    {83, 559, 1855},	// QsciScintillaBase::SCN_HOTSPOTCLICK$$
    {83, 561, 1856},	// QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK$$
    {83, 563, 1857},	// QsciScintillaBase::SCN_INDICATORCLICK$$
    {83, 565, 1858},	// QsciScintillaBase::SCN_INDICATORRELEASE$$
    {83, 567, 1859},	// QsciScintillaBase::SCN_MACRORECORD$$$
    {83, 569, 1860},	// QsciScintillaBase::SCN_MARGINCLICK$$$
    {83, 571, 1861},	// QsciScintillaBase::SCN_MODIFIED$$$$$$$$$$
    {83, 572, 1862},	// QsciScintillaBase::SCN_MODIFYATTEMPTRO
    {83, 574, 1863},	// QsciScintillaBase::SCN_NEEDSHOWN$$
    {83, 575, 1864},	// QsciScintillaBase::SCN_PAINTED
    {83, 576, 1865},	// QsciScintillaBase::SCN_SAVEPOINTLEFT
    {83, 577, 1866},	// QsciScintillaBase::SCN_SAVEPOINTREACHED
    {83, 579, 1867},	// QsciScintillaBase::SCN_STYLENEEDED$
    {83, 580, 1868},	// QsciScintillaBase::SCN_UPDATEUI
    {83, 582, 1869},	// QsciScintillaBase::SCN_USERLISTSELECTION$$
    {83, 583, 1870},	// QsciScintillaBase::SCN_ZOOM
    {83, 601, 1891},	// QsciScintillaBase::SendScintilla$
    {83, 602, 1841},	// QsciScintillaBase::SendScintilla$#
    {83, 603, -3396},	// QsciScintillaBase::SendScintilla$$
    {83, 604, -3401},	// QsciScintillaBase::SendScintilla$$#
    {83, 605, 1842},	// QsciScintillaBase::SendScintilla$$##$$
    {83, 606, -3404},	// QsciScintillaBase::SendScintilla$$$
    {83, 607, 1839},	// QsciScintillaBase::SendScintilla$$$$
    {83, 609, 1844},	// QsciScintillaBase::SendScintillaPtrResult$
    {83, 770, 1871},	// QsciScintillaBase::contextMenuEvent#
    {83, 797, 1872},	// QsciScintillaBase::dragEnterEvent#
    {83, 799, 1873},	// QsciScintillaBase::dragLeaveEvent#
    {83, 801, 1874},	// QsciScintillaBase::dragMoveEvent#
    {83, 803, 1875},	// QsciScintillaBase::dropEvent#
    {83, 833, 1876},	// QsciScintillaBase::focusInEvent#
    {83, 835, 1878},	// QsciScintillaBase::focusNextPrevChild$
    {83, 837, 1877},	// QsciScintillaBase::focusOutEvent#
    {83, 880, 1880},	// QsciScintillaBase::inputMethodEvent#
    {83, 900, 1879},	// QsciScintillaBase::keyPressEvent#
    {83, 958, 1823},	// QsciScintillaBase::metaObject
    {83, 965, 1881},	// QsciScintillaBase::mouseDoubleClickEvent#
    {83, 967, 1882},	// QsciScintillaBase::mouseMoveEvent#
    {83, 969, 1883},	// QsciScintillaBase::mousePressEvent#
    {83, 971, 1884},	// QsciScintillaBase::mouseReleaseEvent#
    {83, 978, 1885},	// QsciScintillaBase::paintEvent#
    {83, 986, 1831},	// QsciScintillaBase::pool
    {83, 997, 1829},	// QsciScintillaBase::qt_metacall$$?
    {83, 999, 1824},	// QsciScintillaBase::qt_metacast$
    {83, 1024, 1886},	// QsciScintillaBase::resizeEvent#
    {83, 1030, 1887},	// QsciScintillaBase::scrollContentsBy$$
    {83, 1276, 1893},	// QsciScintillaBase::staticMetaObject
    {83, 1295, 1888},	// QsciScintillaBase::tr$
    {83, 1296, 1825},	// QsciScintillaBase::tr$$
    {83, 1297, 1827},	// QsciScintillaBase::tr$$$
    {83, 1299, 1889},	// QsciScintillaBase::trUtf8$
    {83, 1300, 1826},	// QsciScintillaBase::trUtf8$$
    {83, 1301, 1828},	// QsciScintillaBase::trUtf8$$$
    {83, 1375, 5192},	// QsciScintillaBase::~QsciScintillaBase
    {84, 255, 5220},	// QsciStyle::LowerCase
    {84, 276, 5218},	// QsciStyle::OriginalCase
    {84, 418, 5216},	// QsciStyle::QsciStyle
    {84, 419, 5215},	// QsciStyle::QsciStyle#
    {84, 420, 5193},	// QsciStyle::QsciStyle$
    {84, 421, 5217},	// QsciStyle::QsciStyle$$###
    {84, 422, 5194},	// QsciStyle::QsciStyle$$###$
    {84, 668, 5219},	// QsciStyle::UpperCase
    {84, 752, 5211},	// QsciStyle::changeable
    {84, 763, 5199},	// QsciStyle::color
    {84, 790, 5197},	// QsciStyle::description
    {84, 815, 5205},	// QsciStyle::eolFill
    {84, 855, 5203},	// QsciStyle::font
    {84, 869, 5213},	// QsciStyle::hotspot
    {84, 980, 5201},	// QsciStyle::paper
    {84, 1011, 5214},	// QsciStyle::refresh
    {84, 1090, 5210},	// QsciStyle::setChangeable$
    {84, 1092, 5198},	// QsciStyle::setColor#
    {84, 1103, 5196},	// QsciStyle::setDescription$
    {84, 1117, 5204},	// QsciStyle::setEolFill$
    {84, 1153, 5202},	// QsciStyle::setFont#
    {84, 1156, 5212},	// QsciStyle::setHotspot$
    {84, 1213, 5200},	// QsciStyle::setPaper#
    {84, 1241, 5206},	// QsciStyle::setTextCase$
    {84, 1257, 5208},	// QsciStyle::setVisible$
    {84, 1277, 5195},	// QsciStyle::style
    {84, 1288, 5207},	// QsciStyle::textCase
    {84, 1315, 5209},	// QsciStyle::visible
    {84, 1376, 5221},	// QsciStyle::~QsciStyle
    {85, 424, 5226},	// QsciStyledText::QsciStyledText#
    {85, 425, 5223},	// QsciStyledText::QsciStyledText$#
    {85, 426, 5222},	// QsciStyledText::QsciStyledText$$
    {85, 1277, 5225},	// QsciStyledText::style
    {85, 1286, 5224},	// QsciStyledText::text
    {85, 1377, 5227},	// QsciStyledText::~QsciStyledText
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qsci_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qsci_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qsci_Smoke = new Smoke(
        "qsci",
        __smokeqsci::classes, 85,
        __smokeqsci::methods, 5228,
        __smokeqsci::methodMaps, 1976,
        __smokeqsci::methodNames, 1377,
        __smokeqsci::types, 207,
        __smokeqsci::inheritanceList,
        __smokeqsci::argumentList,
        __smokeqsci::ambiguousMethodList,
        __smokeqsci::cast );
    initialized = true;
}

void delete_qsci_Smoke() { delete qsci_Smoke; }

}
