#include <qtdbus_includes.h>

#include <smoke.h>
#include <qtdbus_smoke.h>

namespace __smokeqtdbus {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //DBusError
      switch(to) {
        case 1: return (void*)(DBusError*)xptr;
        default: return xptr;
      }
    case 2:   //QBitArray
      switch(to) {
        case 2: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChar
      switch(to) {
        case 5: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 6:   //QChildEvent
      switch(to) {
        case 30: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 6: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDBusAbstractAdaptor
      switch(to) {
        case 41: return (void*)(QObject*)(QDBusAbstractAdaptor*)xptr;
        case 8: return (void*)(QDBusAbstractAdaptor*)xptr;
        default: return xptr;
      }
    case 9:   //QDBusAbstractInterface
      switch(to) {
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QDBusAbstractInterface*)xptr;
        case 41: return (void*)(QObject*)(QDBusAbstractInterface*)xptr;
        case 9: return (void*)(QDBusAbstractInterface*)xptr;
        case 16: return (void*)(QDBusInterface*)(QDBusAbstractInterface*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)(QDBusAbstractInterface*)xptr;
        default: return xptr;
      }
    case 10:   //QDBusAbstractInterfaceBase
      switch(to) {
        case 41: return (void*)(QObject*)(QDBusAbstractInterfaceBase*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)xptr;
        case 9: return (void*)(QDBusAbstractInterface*)(QDBusAbstractInterfaceBase*)xptr;
        case 16: return (void*)(QDBusInterface*)(QDBusAbstractInterfaceBase*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)(QDBusAbstractInterfaceBase*)xptr;
        default: return xptr;
      }
    case 11:   //QDBusArgument
      switch(to) {
        case 11: return (void*)(QDBusArgument*)xptr;
        default: return xptr;
      }
    case 12:   //QDBusConnection
      switch(to) {
        case 12: return (void*)(QDBusConnection*)xptr;
        default: return xptr;
      }
    case 13:   //QDBusConnectionInterface
      switch(to) {
        case 9: return (void*)(QDBusAbstractInterface*)(QDBusConnectionInterface*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QDBusConnectionInterface*)xptr;
        case 41: return (void*)(QObject*)(QDBusConnectionInterface*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)xptr;
        default: return xptr;
      }
    case 14:   //QDBusContext
      switch(to) {
        case 14: return (void*)(QDBusContext*)xptr;
        default: return xptr;
      }
    case 15:   //QDBusError
      switch(to) {
        case 15: return (void*)(QDBusError*)xptr;
        default: return xptr;
      }
    case 16:   //QDBusInterface
      switch(to) {
        case 9: return (void*)(QDBusAbstractInterface*)(QDBusInterface*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QDBusInterface*)xptr;
        case 41: return (void*)(QObject*)(QDBusInterface*)xptr;
        case 16: return (void*)(QDBusInterface*)xptr;
        default: return xptr;
      }
    case 17:   //QDBusMessage
      switch(to) {
        case 17: return (void*)(QDBusMessage*)xptr;
        default: return xptr;
      }
    case 18:   //QDBusMetaType
      switch(to) {
        case 18: return (void*)(QDBusMetaType*)xptr;
        default: return xptr;
      }
    case 19:   //QDBusPendingCall
      switch(to) {
        case 19: return (void*)(QDBusPendingCall*)xptr;
        case 20: return (void*)(QDBusPendingCallWatcher*)(QDBusPendingCall*)xptr;
        default: return xptr;
      }
    case 20:   //QDBusPendingCallWatcher
      switch(to) {
        case 41: return (void*)(QObject*)(QDBusPendingCallWatcher*)xptr;
        case 19: return (void*)(QDBusPendingCall*)(QDBusPendingCallWatcher*)xptr;
        case 20: return (void*)(QDBusPendingCallWatcher*)xptr;
        default: return xptr;
      }
    case 21:   //QDBusServer
      switch(to) {
        case 41: return (void*)(QObject*)(QDBusServer*)xptr;
        case 21: return (void*)(QDBusServer*)xptr;
        default: return xptr;
      }
    case 22:   //QDBusServiceWatcher
      switch(to) {
        case 41: return (void*)(QObject*)(QDBusServiceWatcher*)xptr;
        case 22: return (void*)(QDBusServiceWatcher*)xptr;
        default: return xptr;
      }
    case 23:   //QDBusVariant
      switch(to) {
        case 58: return (void*)(QVariant*)(QDBusVariant*)xptr;
        case 23: return (void*)(QDBusVariant*)xptr;
        default: return xptr;
      }
    case 24:   //QDataStream
      switch(to) {
        case 24: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 25:   //QDate
      switch(to) {
        case 25: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 26:   //QDateTime
      switch(to) {
        case 26: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 27:   //QDebug
      switch(to) {
        case 27: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 28:   //QDir
      switch(to) {
        case 28: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 29:   //QEasingCurve
      switch(to) {
        case 29: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 30:   //QEvent
      switch(to) {
        case 30: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QHashDummyValue
      switch(to) {
        case 32: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 33:   //QIncompatibleFlag
      switch(to) {
        case 33: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 34:   //QLatin1String
      switch(to) {
        case 34: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 35:   //QLine
      switch(to) {
        case 35: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 36:   //QLineF
      switch(to) {
        case 36: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 37:   //QLocale
      switch(to) {
        case 37: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 38:   //QMargins
      switch(to) {
        case 38: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 39:   //QMetaObject
      switch(to) {
        case 39: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 40:   //QModelIndex
      switch(to) {
        case 40: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 41:   //QObject
      switch(to) {
        case 41: return (void*)(QObject*)xptr;
        case 8: return (void*)(QDBusAbstractAdaptor*)(QObject*)xptr;
        case 9: return (void*)(QDBusAbstractInterface*)(QObject*)xptr;
        case 20: return (void*)(QDBusPendingCallWatcher*)(QObject*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QObject*)xptr;
        case 22: return (void*)(QDBusServiceWatcher*)(QObject*)xptr;
        case 16: return (void*)(QDBusInterface*)(QObject*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)(QObject*)xptr;
        case 21: return (void*)(QDBusServer*)(QObject*)xptr;
        default: return xptr;
      }
    case 42:   //QPersistentModelIndex
      switch(to) {
        case 42: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 43:   //QPoint
      switch(to) {
        case 43: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 44:   //QPointF
      switch(to) {
        case 44: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 45:   //QRect
      switch(to) {
        case 45: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 46:   //QRectF
      switch(to) {
        case 46: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 47:   //QRegExp
      switch(to) {
        case 47: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 48:   //QSize
      switch(to) {
        case 48: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 49:   //QSizeF
      switch(to) {
        case 49: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 50:   //QString::Null
      switch(to) {
        case 50: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 51:   //QStringRef
      switch(to) {
        case 51: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 52:   //QTextStream
      switch(to) {
        case 52: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 53:   //QTextStreamManipulator
      switch(to) {
        case 53: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 54:   //QTime
      switch(to) {
        case 54: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 55:   //QTimerEvent
      switch(to) {
        case 30: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 55: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 56:   //QUrl
      switch(to) {
        case 56: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 57:   //QUuid
      switch(to) {
        case 57: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 58:   //QVariant
      switch(to) {
        case 58: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 59:   //QVariantComparisonHelper
      switch(to) {
        case 59: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    41, 0,	// 1: QObject
    10, 0,	// 3: QDBusAbstractInterfaceBase
    9, 0,	// 5: QDBusAbstractInterface
    41, 19, 0,	// 7: QObject, QDBusPendingCall
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusConnection(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusConnectionInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBus(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusArgument(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusServiceWatcher(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusMessage(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QDBus(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusAbstractAdaptor(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusAbstractInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusAbstractInterfaceBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusArgument(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusConnection(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusConnectionInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusContext(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusError(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusMessage(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusMetaType(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusPendingCall(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusPendingCallWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusServiceWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "DBusError", true, 0, 0, 0, 0, 0 },	//1
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChar", true, 0, 0, 0, 0, 0 },	//5
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QDBus", false, 0, xcall_QDBus, xenum_QDBus, Smoke::cf_namespace, 0 },	//7
    { "QDBusAbstractAdaptor", false, 1, xcall_QDBusAbstractAdaptor, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusAbstractAdaptor) },	//8
    { "QDBusAbstractInterface", false, 3, xcall_QDBusAbstractInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusAbstractInterface) },	//9
    { "QDBusAbstractInterfaceBase", false, 1, xcall_QDBusAbstractInterfaceBase, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusAbstractInterfaceBase) },	//10
    { "QDBusArgument", false, 0, xcall_QDBusArgument, xenum_QDBusArgument, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusArgument) },	//11
    { "QDBusConnection", false, 0, xcall_QDBusConnection, xenum_QDBusConnection, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusConnection) },	//12
    { "QDBusConnectionInterface", false, 5, xcall_QDBusConnectionInterface, xenum_QDBusConnectionInterface, Smoke::cf_virtual, sizeof(QDBusConnectionInterface) },	//13
    { "QDBusContext", false, 0, xcall_QDBusContext, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusContext) },	//14
    { "QDBusError", false, 0, xcall_QDBusError, xenum_QDBusError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusError) },	//15
    { "QDBusInterface", false, 5, xcall_QDBusInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusInterface) },	//16
    { "QDBusMessage", false, 0, xcall_QDBusMessage, xenum_QDBusMessage, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusMessage) },	//17
    { "QDBusMetaType", false, 0, xcall_QDBusMetaType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusMetaType) },	//18
    { "QDBusPendingCall", false, 0, xcall_QDBusPendingCall, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusPendingCall) },	//19
    { "QDBusPendingCallWatcher", false, 7, xcall_QDBusPendingCallWatcher, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusPendingCallWatcher) },	//20
    { "QDBusServer", false, 1, xcall_QDBusServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusServer) },	//21
    { "QDBusServiceWatcher", false, 1, xcall_QDBusServiceWatcher, xenum_QDBusServiceWatcher, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusServiceWatcher) },	//22
    { "QDBusVariant", true, 0, 0, 0, 0, 0 },	//23
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//24
    { "QDate", true, 0, 0, 0, 0, 0 },	//25
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//26
    { "QDebug", true, 0, 0, 0, 0, 0 },	//27
    { "QDir", true, 0, 0, 0, 0, 0 },	//28
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//29
    { "QEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//31
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//32
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//33
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//34
    { "QLine", true, 0, 0, 0, 0, 0 },	//35
    { "QLineF", true, 0, 0, 0, 0, 0 },	//36
    { "QLocale", true, 0, 0, 0, 0, 0 },	//37
    { "QMargins", true, 0, 0, 0, 0, 0 },	//38
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//39
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//40
    { "QObject", true, 0, 0, 0, 0, 0 },	//41
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//42
    { "QPoint", true, 0, 0, 0, 0, 0 },	//43
    { "QPointF", true, 0, 0, 0, 0, 0 },	//44
    { "QRect", true, 0, 0, 0, 0, 0 },	//45
    { "QRectF", true, 0, 0, 0, 0, 0 },	//46
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//47
    { "QSize", true, 0, 0, 0, 0, 0 },	//48
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//49
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//50
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//51
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//52
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//53
    { "QTime", true, 0, 0, 0, 0, 0 },	//54
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//55
    { "QUrl", true, 0, 0, 0, 0, 0 },	//56
    { "QUuid", true, 0, 0, 0, 0, 0 },	//57
    { "QVariant", true, 0, 0, 0, 0, 0 },	//58
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//59
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QBitArray", 2, Smoke::t_class|Smoke::tf_stack },	//2
    { "QBitArray&", 2, Smoke::t_class|Smoke::tf_ref },	//3
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//4
    { "QByteArray", 4, Smoke::t_class|Smoke::tf_stack },	//5
    { "QByteArray&", 4, Smoke::t_class|Smoke::tf_ref },	//6
    { "QChar", 5, Smoke::t_class|Smoke::tf_stack },	//7
    { "QChar&", 5, Smoke::t_class|Smoke::tf_ref },	//8
    { "QChildEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDBus::CallMode", 7, Smoke::t_enum|Smoke::tf_stack },	//10
    { "QDBusAbstractAdaptor*", 8, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QDBusAbstractInterface*", 9, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QDBusArgument&", 11, Smoke::t_class|Smoke::tf_ref },	//13
    { "QDBusArgument*", 11, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QDBusArgument::ElementType", 11, Smoke::t_enum|Smoke::tf_stack },	//15
    { "QDBusConnection", 12, Smoke::t_class|Smoke::tf_stack },	//16
    { "QDBusConnection&", 12, Smoke::t_class|Smoke::tf_ref },	//17
    { "QDBusConnection*", 12, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QDBusConnection::BusType", 12, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QDBusConnection::RegisterOption", 12, Smoke::t_enum|Smoke::tf_stack },	//20
    { "QDBusConnection::UnregisterMode", 12, Smoke::t_enum|Smoke::tf_stack },	//21
    { "QDBusConnectionInterface*", 13, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QDBusConnectionInterface::RegisterServiceReply", 13, Smoke::t_enum|Smoke::tf_stack },	//23
    { "QDBusConnectionInterface::ServiceQueueOptions", 13, Smoke::t_enum|Smoke::tf_stack },	//24
    { "QDBusConnectionInterface::ServiceReplacementOptions", 13, Smoke::t_enum|Smoke::tf_stack },	//25
    { "QDBusContext*", 14, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QDBusError", 15, Smoke::t_class|Smoke::tf_stack },	//27
    { "QDBusError&", 15, Smoke::t_class|Smoke::tf_ref },	//28
    { "QDBusError*", 15, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QDBusError::ErrorType", 15, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QDBusInterface*", 16, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QDBusMessage", 17, Smoke::t_class|Smoke::tf_stack },	//32
    { "QDBusMessage&", 17, Smoke::t_class|Smoke::tf_ref },	//33
    { "QDBusMessage*", 17, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QDBusMessage::MessageType", 17, Smoke::t_enum|Smoke::tf_stack },	//35
    { "QDBusMetaType*", 18, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QDBusObjectPath&", 0, Smoke::t_voidp|Smoke::tf_ref },	//37
    { "QDBusPendingCall", 19, Smoke::t_class|Smoke::tf_stack },	//38
    { "QDBusPendingCall&", 19, Smoke::t_class|Smoke::tf_ref },	//39
    { "QDBusPendingCall*", 19, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QDBusPendingCallWatcher*", 20, Smoke::t_class|Smoke::tf_ptr },	//41
    { "QDBusReply<QDBusConnectionInterface::RegisterServiceReply>", 0, Smoke::t_voidp|Smoke::tf_stack },	//42
    { "QDBusReply<QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//43
    { "QDBusReply<QStringList>", 0, Smoke::t_voidp|Smoke::tf_stack },	//44
    { "QDBusReply<bool>", 0, Smoke::t_voidp|Smoke::tf_stack },	//45
    { "QDBusReply<uint>", 0, Smoke::t_voidp|Smoke::tf_stack },	//46
    { "QDBusReply<void>", 0, Smoke::t_voidp|Smoke::tf_stack },	//47
    { "QDBusServer*", 21, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QDBusServiceWatcher*", 22, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QDBusServiceWatcher::WatchModeFlag", 22, Smoke::t_enum|Smoke::tf_stack },	//50
    { "QDBusSignature&", 0, Smoke::t_voidp|Smoke::tf_ref },	//51
    { "QDBusVariant&", 23, Smoke::t_class|Smoke::tf_ref },	//52
    { "QDataStream&", 24, Smoke::t_class|Smoke::tf_ref },	//53
    { "QDate&", 25, Smoke::t_class|Smoke::tf_ref },	//54
    { "QDateTime&", 26, Smoke::t_class|Smoke::tf_ref },	//55
    { "QDebug", 27, Smoke::t_class|Smoke::tf_stack },	//56
    { "QDir::Filter", 28, Smoke::t_enum|Smoke::tf_stack },	//57
    { "QDir::SortFlag", 28, Smoke::t_enum|Smoke::tf_stack },	//58
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "QEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//60
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<QDBusConnection::RegisterOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<QDBusServiceWatcher::WatchModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "QIncompatibleFlag", 33, Smoke::t_class|Smoke::tf_stack },	//95
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QLine&", 35, Smoke::t_class|Smoke::tf_ref },	//97
    { "QLineF&", 36, Smoke::t_class|Smoke::tf_ref },	//98
    { "QList<QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//99
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//100
    { "QLocale&", 37, Smoke::t_class|Smoke::tf_ref },	//101
    { "QLocale::NumberOption", 37, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QMetaObject::Call", 39, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QObject*", 41, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QObject*(*)()", 41, Smoke::t_class|Smoke::tf_ptr },	//105
    { "QPoint&", 43, Smoke::t_class|Smoke::tf_ref },	//106
    { "QPointF&", 44, Smoke::t_class|Smoke::tf_ref },	//107
    { "QRect&", 45, Smoke::t_class|Smoke::tf_ref },	//108
    { "QRectF&", 46, Smoke::t_class|Smoke::tf_ref },	//109
    { "QRegExp&", 47, Smoke::t_class|Smoke::tf_ref },	//110
    { "QSize&", 48, Smoke::t_class|Smoke::tf_ref },	//111
    { "QSizeF&", 49, Smoke::t_class|Smoke::tf_ref },	//112
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//113
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//114
    { "QString::Null", 50, Smoke::t_class|Smoke::tf_stack },	//115
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//117
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//118
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//119
    { "QTextCodec::ConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "QTextStream&", 52, Smoke::t_class|Smoke::tf_ref },	//121
    { "QTextStream&(*)(QTextStream&)", 52, Smoke::t_class|Smoke::tf_ref },	//122
    { "QTextStream::NumberFlag", 52, Smoke::t_enum|Smoke::tf_stack },	//123
    { "QTextStreamManipulator", 53, Smoke::t_class|Smoke::tf_stack },	//124
    { "QTime&", 54, Smoke::t_class|Smoke::tf_ref },	//125
    { "QTimerEvent*", 55, Smoke::t_class|Smoke::tf_ptr },	//126
    { "QUrl&", 56, Smoke::t_class|Smoke::tf_ref },	//127
    { "QUrl::FormattingOption", 56, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QUuid&", 57, Smoke::t_class|Smoke::tf_ref },	//129
    { "QVariant", 58, Smoke::t_class|Smoke::tf_stack },	//130
    { "QVariant&", 58, Smoke::t_class|Smoke::tf_ref },	//131
    { "QVariant::Type", 58, Smoke::t_enum|Smoke::tf_stack },	//132
    { "QVariant::Type&", 58, Smoke::t_enum|Smoke::tf_ref },	//133
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QtMsgType", 31, Smoke::t_enum|Smoke::tf_stack },	//207
    { "_LIB_VERSION_TYPE", 31, Smoke::t_enum|Smoke::tf_stack },	//208
    { "__codecvt_result", 31, Smoke::t_enum|Smoke::tf_stack },	//209
    { "__compar_fn_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//210
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//211
    { "bool&", 0, Smoke::t_voidp|Smoke::tf_ref },	//212
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//213
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//214
    { "const DBusError*", 1, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//215
    { "const QBitArray&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//216
    { "const QByteArray", 4, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//217
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//218
    { "const QChar&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//219
    { "const QDBusArgument&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//220
    { "const QDBusConnection&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//221
    { "const QDBusContext&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//222
    { "const QDBusError&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//223
    { "const QDBusMessage&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//224
    { "const QDBusMetaType&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//225
    { "const QDBusObjectPath&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//226
    { "const QDBusPendingCall&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//227
    { "const QDBusSignature&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//228
    { "const QDBusVariant&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//229
    { "const QDate&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//230
    { "const QDateTime&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const QDir&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//232
    { "const QEasingCurve&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const QHashDummyValue&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//234
    { "const QLatin1String&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const QLine&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const QLineF&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QLocale&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QMap<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QMargins&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QMetaObject&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QMetaObject*", 39, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//243
    { "const QModelIndex&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QObject*", 41, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//245
    { "const QPersistentModelIndex&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QPoint", 43, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//247
    { "const QPoint&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QPointF", 44, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//249
    { "const QPointF&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QRect&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QRectF&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QRegExp&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QRegExp*", 47, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//254
    { "const QSize", 48, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//255
    { "const QSize&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QSizeF", 49, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//257
    { "const QSizeF&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//259
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//262
    { "const QStringRef&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QTime&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QUrl&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QUuid&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QVariant&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QVariant::Type", 58, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//268
    { "const QVariantComparisonHelper&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//270
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//271
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//272
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//273
    { "double&", 0, Smoke::t_voidp|Smoke::tf_ref },	//274
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//275
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//276
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//277
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//278
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//279
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//280
    { "long long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//281
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//282
    { "short&", 0, Smoke::t_voidp|Smoke::tf_ref },	//283
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//284
    { "size_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//285
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//286
    { "unsigned char&", 0, Smoke::t_voidp|Smoke::tf_ref },	//287
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//288
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//289
    { "unsigned int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//290
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//291
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//292
    { "unsigned long long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//293
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//294
    { "unsigned short&", 0, Smoke::t_voidp|Smoke::tf_ref },	//295
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//296
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//297
    { "void(*)(QDBusArgument&,const void*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//298
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//299
    { "void(*)(const QDBusArgument&,void*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//300
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//301
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//302
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//303
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    270, 0,	//1  const char*
    270, 270, 0,	//3  const char*, const char*
    270, 270, 276, 0,	//6  const char*, const char*, int
    103, 276, 302, 0,	//10  QMetaObject::Call, int, void**
    104, 0,	//14  QObject*
    211, 0,	//16  bool
    260, 267, 267, 267, 267, 267, 267, 267, 267, 0,	//18  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 260, 267, 267, 267, 267, 267, 267, 267, 267, 0,	//28  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 260, 238, 0,	//39  QDBus::CallMode, const QString&, const QList<QVariant>&
    260, 238, 104, 270, 270, 0,	//43  const QString&, const QList<QVariant>&, QObject*, const char*, const char*
    260, 238, 104, 270, 0,	//49  const QString&, const QList<QVariant>&, QObject*, const char*
    260, 238, 0,	//54  const QString&, const QList<QVariant>&
    260, 260, 270, 221, 104, 0,	//57  const QString&, const QString&, const char*, const QDBusConnection&, QObject*
    270, 267, 0,	//63  const char*, const QVariant&
    260, 0,	//66  const QString&
    260, 267, 0,	//68  const QString&, const QVariant&
    260, 267, 267, 0,	//71  const QString&, const QVariant&, const QVariant&
    260, 267, 267, 267, 0,	//75  const QString&, const QVariant&, const QVariant&, const QVariant&
    260, 267, 267, 267, 267, 0,	//80  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    260, 267, 267, 267, 267, 267, 0,	//86  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    260, 267, 267, 267, 267, 267, 267, 0,	//93  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    260, 267, 267, 267, 267, 267, 267, 267, 0,	//101  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 260, 0,	//110  QDBus::CallMode, const QString&
    10, 260, 267, 0,	//113  QDBus::CallMode, const QString&, const QVariant&
    10, 260, 267, 267, 0,	//117  QDBus::CallMode, const QString&, const QVariant&, const QVariant&
    10, 260, 267, 267, 267, 0,	//122  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&
    10, 260, 267, 267, 267, 267, 0,	//128  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 260, 267, 267, 267, 267, 267, 0,	//135  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 260, 267, 267, 267, 267, 267, 267, 0,	//143  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 260, 267, 267, 267, 267, 267, 267, 267, 0,	//152  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    220, 0,	//162  const QDBusArgument&
    286, 0,	//164  unsigned char
    282, 0,	//166  short
    294, 0,	//168  unsigned short
    276, 0,	//170  int
    289, 0,	//172  unsigned int
    280, 0,	//174  long long
    292, 0,	//176  unsigned long long
    273, 0,	//178  double
    229, 0,	//180  const QDBusVariant&
    226, 0,	//182  const QDBusObjectPath&
    228, 0,	//184  const QDBusSignature&
    261, 0,	//186  const QStringList&
    218, 0,	//188  const QByteArray&
    276, 276, 0,	//190  int, int
    267, 0,	//193  const QVariant&
    287, 0,	//195  unsigned char&
    212, 0,	//197  bool&
    283, 0,	//199  short&
    295, 0,	//201  unsigned short&
    277, 0,	//203  int&
    290, 0,	//205  unsigned int&
    281, 0,	//207  long long&
    293, 0,	//209  unsigned long long&
    274, 0,	//211  double&
    114, 0,	//213  QString&
    52, 0,	//215  QDBusVariant&
    37, 0,	//217  QDBusObjectPath&
    51, 0,	//219  QDBusSignature&
    118, 0,	//221  QStringList&
    6, 0,	//223  QByteArray&
    221, 0,	//225  const QDBusConnection&
    224, 0,	//227  const QDBusMessage&
    224, 104, 270, 270, 276, 0,	//229  const QDBusMessage&, QObject*, const char*, const char*, int
    224, 104, 270, 276, 0,	//235  const QDBusMessage&, QObject*, const char*, int
    224, 10, 276, 0,	//240  const QDBusMessage&, QDBus::CallMode, int
    224, 276, 0,	//244  const QDBusMessage&, int
    260, 260, 260, 260, 104, 270, 0,	//247  const QString&, const QString&, const QString&, const QString&, QObject*, const char*
    260, 260, 260, 260, 260, 104, 270, 0,	//254  const QString&, const QString&, const QString&, const QString&, const QString&, QObject*, const char*
    260, 260, 260, 260, 261, 260, 104, 270, 0,	//262  const QString&, const QString&, const QString&, const QString&, const QStringList&, const QString&, QObject*, const char*
    260, 104, 64, 0,	//271  const QString&, QObject*, QFlags<QDBusConnection::RegisterOption>
    260, 21, 0,	//275  const QString&, QDBusConnection::UnregisterMode
    19, 260, 0,	//278  QDBusConnection::BusType, const QString&
    260, 260, 0,	//281  const QString&, const QString&
    224, 104, 270, 270, 0,	//284  const QDBusMessage&, QObject*, const char*, const char*
    224, 104, 270, 0,	//289  const QDBusMessage&, QObject*, const char*
    224, 10, 0,	//293  const QDBusMessage&, QDBus::CallMode
    260, 104, 0,	//296  const QString&, QObject*
    260, 24, 25, 0,	//299  const QString&, QDBusConnectionInterface::ServiceQueueOptions, QDBusConnectionInterface::ServiceReplacementOptions
    260, 260, 260, 0,	//303  const QString&, const QString&, const QString&
    223, 224, 0,	//307  const QDBusError&, const QDBusMessage&
    260, 24, 0,	//310  const QString&, QDBusConnectionInterface::ServiceQueueOptions
    30, 260, 0,	//313  QDBusError::ErrorType, const QString&
    222, 0,	//316  const QDBusContext&
    30, 0,	//318  QDBusError::ErrorType
    215, 0,	//320  const DBusError*
    223, 0,	//322  const QDBusError&
    260, 260, 260, 221, 104, 0,	//324  const QString&, const QString&, const QString&, const QDBusConnection&, QObject*
    260, 260, 260, 221, 0,	//330  const QString&, const QString&, const QString&, const QDBusConnection&
    260, 260, 260, 260, 0,	//335  const QString&, const QString&, const QString&, const QString&
    238, 0,	//340  const QList<QVariant>&
    259, 260, 0,	//342  const QString, const QString&
    276, 298, 300, 0,	//345  int, void(*)(QDBusArgument&,const void*), void(*)(const QDBusArgument&,void*)
    13, 276, 272, 0,	//349  QDBusArgument&, int, const void*
    220, 276, 301, 0,	//353  const QDBusArgument&, int, void*
    225, 0,	//357  const QDBusMetaType&
    227, 0,	//359  const QDBusPendingCall&
    227, 104, 0,	//361  const QDBusPendingCall&, QObject*
    41, 0,	//364  QDBusPendingCallWatcher*
    260, 221, 65, 104, 0,	//366  const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>, QObject*
    65, 0,	//371  QFlags<QDBusServiceWatcher::WatchModeFlag>
    260, 221, 0,	//373  const QString&, const QDBusConnection&
    260, 221, 65, 0,	//376  const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>
    263, 263, 0,	//380  const QStringRef&, const QStringRef&
    120, 276, 0,	//383  QTextCodec::ConversionFlag, int
    164, 276, 0,	//386  Qt::ImageConversionFlag, int
    270, 289, 0,	//389  const char*, unsigned int
    301, 272, 285, 0,	//392  void*, const void*, size_t
    270, 235, 0,	//396  const char*, const QLatin1String&
    56, 71, 0,	//399  QDebug, QFlags<QIODevice::OpenModeFlag>
    263, 260, 0,	//402  const QStringRef&, const QString&
    256, 256, 0,	//405  const QSize&, const QSize&
    270, 218, 0,	//408  const char*, const QByteArray&
    62, 70, 0,	//411  QFile::Permission, QFlags<QFile::Permission>
    260, 270, 0,	//414  const QString&, const char*
    250, 250, 0,	//417  const QPointF&, const QPointF&
    273, 273, 0,	//420  double, double
    53, 112, 0,	//423  QDataStream&, QSizeF&
    218, 270, 0,	//426  const QByteArray&, const char*
    275, 0,	//429  float
    284, 0,	//431  signed char
    260, 263, 0,	//433  const QString&, const QStringRef&
    7, 0,	//436  QChar
    263, 235, 0,	//438  const QStringRef&, const QLatin1String&
    7, 7, 0,	//441  QChar, QChar
    229, 229, 0,	//444  const QDBusVariant&, const QDBusVariant&
    197, 197, 0,	//447  Qt::TouchPointState, Qt::TouchPointState
    13, 237, 0,	//450  QDBusArgument&, const QLineF&
    13, 250, 0,	//453  QDBusArgument&, const QPointF&
    56, 265, 0,	//456  QDebug, const QUrl&
    115, 260, 0,	//459  QString::Null, const QString&
    13, 238, 0,	//462  QDBusArgument&, const QList<QVariant>&
    194, 194, 0,	//465  Qt::ToolBarArea, Qt::ToolBarArea
    102, 102, 0,	//468  QLocale::NumberOption, QLocale::NumberOption
    13, 252, 0,	//471  QDBusArgument&, const QRectF&
    204, 204, 0,	//474  Qt::WindowType, Qt::WindowType
    273, 258, 0,	//477  double, const QSizeF&
    57, 276, 0,	//480  QDir::Filter, int
    248, 248, 0,	//483  const QPoint&, const QPoint&
    220, 98, 0,	//486  const QDBusArgument&, QLineF&
    53, 252, 0,	//489  QDataStream&, const QRectF&
    172, 276, 0,	//492  Qt::KeyboardModifier, int
    191, 89, 0,	//495  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    13, 231, 0,	//498  QDBusArgument&, const QDateTime&
    213, 0,	//501  char
    123, 76, 0,	//503  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    56, 241, 0,	//506  QDebug, const QMargins&
    128, 276, 0,	//509  QUrl::FormattingOption, int
    62, 276, 0,	//512  QFile::Permission, int
    248, 273, 0,	//515  const QPoint&, double
    59, 68, 0,	//518  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    260, 218, 0,	//521  const QString&, const QByteArray&
    258, 258, 0,	//524  const QSizeF&, const QSizeF&
    56, 250, 0,	//527  QDebug, const QPointF&
    172, 85, 0,	//530  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    56, 237, 0,	//533  QDebug, const QLineF&
    56, 231, 0,	//536  QDebug, const QDateTime&
    270, 260, 0,	//539  const char*, const QString&
    128, 128, 0,	//542  QUrl::FormattingOption, QUrl::FormattingOption
    197, 91, 0,	//545  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    164, 164, 0,	//548  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    102, 276, 0,	//551  QLocale::NumberOption, int
    235, 235, 0,	//554  const QLatin1String&, const QLatin1String&
    271, 276, 0,	//557  const unsigned char*, int
    270, 270, 289, 0,	//560  const char*, const char*, unsigned int
    235, 263, 0,	//564  const QLatin1String&, const QStringRef&
    228, 228, 0,	//567  const QDBusSignature&, const QDBusSignature&
    155, 155, 0,	//570  Qt::DropAction, Qt::DropAction
    56, 248, 0,	//573  QDebug, const QPoint&
    53, 101, 0,	//576  QDataStream&, QLocale&
    260, 7, 0,	//579  const QString&, QChar
    115, 115, 0,	//582  QString::Null, QString::Null
    271, 288, 276, 0,	//585  const unsigned char*, unsigned char*, int
    120, 120, 0,	//589  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    179, 179, 0,	//592  Qt::Orientation, Qt::Orientation
    301, 285, 285, 285, 0,	//595  void*, size_t, size_t, size_t
    218, 260, 0,	//600  const QByteArray&, const QString&
    194, 90, 0,	//603  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    251, 251, 0,	//606  const QRect&, const QRect&
    61, 69, 0,	//609  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    216, 216, 0,	//612  const QBitArray&, const QBitArray&
    218, 218, 0,	//615  const QByteArray&, const QByteArray&
    301, 285, 0,	//618  void*, size_t
    53, 239, 0,	//621  QDataStream&, const QLocale&
    56, 233, 0,	//624  QDebug, const QEasingCurve&
    299, 0,	//627  void(*)(QtMsgType,const char*)
    244, 0,	//629  const QModelIndex&
    53, 55, 0,	//631  QDataStream&, QDateTime&
    4, 4, 0,	//634  QBool, QBool
    270, 263, 0,	//637  const char*, const QStringRef&
    194, 276, 0,	//640  Qt::ToolBarArea, int
    56, 224, 0,	//643  QDebug, const QDBusMessage&
    166, 276, 0,	//646  Qt::InputMethodHint, int
    7, 260, 0,	//649  QChar, const QString&
    116, 276, 0,	//652  QString::SectionFlag, int
    96, 276, 0,	//655  QLibrary::LoadHint, int
    53, 127, 0,	//658  QDataStream&, QUrl&
    260, 115, 0,	//661  const QString&, QString::Null
    1, 276, 0,	//664  QAbstractFileEngine::FileFlag, int
    120, 75, 0,	//667  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    260, 213, 0,	//670  const QString&, char
    220, 54, 0,	//673  const QDBusArgument&, QDate&
    166, 83, 0,	//676  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    204, 93, 0,	//679  Qt::WindowType, QFlags<Qt::WindowType>
    13, 264, 0,	//682  QDBusArgument&, const QTime&
    13, 236, 0,	//685  QDBusArgument&, const QLine&
    177, 177, 0,	//688  Qt::MouseButton, Qt::MouseButton
    214, 270, 0,	//691  char*, const char*
    134, 134, 0,	//694  Qt::AlignmentFlag, Qt::AlignmentFlag
    248, 0,	//697  const QPoint&
    155, 276, 0,	//699  Qt::DropAction, int
    53, 264, 0,	//702  QDataStream&, const QTime&
    58, 276, 0,	//705  QDir::SortFlag, int
    241, 241, 0,	//708  const QMargins&, const QMargins&
    50, 65, 0,	//711  QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>
    105, 0,	//714  QObject*(*)()
    175, 175, 0,	//716  Qt::MatchFlag, Qt::MatchFlag
    285, 0,	//719  size_t
    153, 79, 0,	//721  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    53, 118, 0,	//724  QDataStream&, QStringList&
    56, 268, 0,	//727  QDebug, const QVariant::Type
    153, 276, 0,	//730  Qt::DockWidgetArea, int
    278, 0,	//733  long
    13, 251, 0,	//735  QDBusArgument&, const QRect&
    53, 98, 0,	//738  QDataStream&, QLineF&
    62, 62, 0,	//741  QFile::Permission, QFile::Permission
    213, 260, 0,	//744  char, const QString&
    226, 226, 0,	//747  const QDBusObjectPath&, const QDBusObjectPath&
    53, 111, 0,	//750  QDataStream&, QSize&
    246, 0,	//753  const QPersistentModelIndex&
    53, 260, 0,	//755  QDataStream&, const QString&
    53, 231, 0,	//758  QDataStream&, const QDateTime&
    245, 260, 242, 0,	//761  const QObject*, const QString&, const QMetaObject&
    116, 116, 0,	//765  QString::SectionFlag, QString::SectionFlag
    50, 50, 0,	//768  QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag
    250, 273, 0,	//771  const QPointF&, double
    211, 4, 0,	//774  bool, QBool
    214, 270, 289, 0,	//777  char*, const char*, unsigned int
    220, 107, 0,	//781  const QDBusArgument&, QPointF&
    53, 248, 0,	//784  QDataStream&, const QPoint&
    53, 131, 0,	//787  QDataStream&, QVariant&
    177, 276, 0,	//790  Qt::MouseButton, int
    250, 0,	//793  const QPointF&
    20, 64, 0,	//795  QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>
    56, 246, 0,	//798  QDebug, const QPersistentModelIndex&
    270, 270, 270, 276, 0,	//801  const char*, const char*, const char*, int
    224, 28, 131, 0,	//806  const QDBusMessage&, QDBusError&, QVariant&
    179, 88, 0,	//810  Qt::Orientation, QFlags<Qt::Orientation>
    61, 276, 0,	//813  QEventLoop::ProcessEventsFlag, int
    252, 252, 0,	//816  const QRectF&, const QRectF&
    301, 285, 285, 210, 0,	//819  void*, size_t, size_t, __compar_fn_t
    13, 256, 0,	//824  QDBusArgument&, const QSize&
    164, 82, 0,	//827  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    53, 261, 0,	//830  QDataStream&, const QStringList&
    218, 213, 0,	//833  const QByteArray&, char
    59, 59, 0,	//836  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    57, 66, 0,	//839  QDir::Filter, QFlags<QDir::Filter>
    53, 106, 0,	//842  QDataStream&, QPoint&
    56, 223, 0,	//845  QDebug, const QDBusError&
    258, 273, 0,	//848  const QSizeF&, double
    53, 230, 0,	//851  QDataStream&, const QDate&
    297, 0,	//854  void(*)()
    271, 276, 276, 0,	//856  const unsigned char*, int, int
    53, 236, 0,	//860  QDataStream&, const QLine&
    53, 114, 0,	//863  QDataStream&, QString&
    220, 55, 0,	//866  const QDBusArgument&, QDateTime&
    220, 109, 0,	//869  const QDBusArgument&, QRectF&
    301, 0,	//872  void*
    169, 276, 0,	//874  Qt::ItemFlag, int
    56, 232, 0,	//877  QDebug, const QDir&
    121, 122, 0,	//880  QTextStream&, QTextStream&(*)(QTextStream&)
    56, 244, 0,	//883  QDebug, const QModelIndex&
    220, 125, 0,	//886  const QDBusArgument&, QTime&
    61, 61, 0,	//889  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    216, 0,	//892  const QBitArray&
    56, 264, 0,	//894  QDebug, const QTime&
    121, 124, 0,	//897  QTextStream&, QTextStreamManipulator
    160, 81, 0,	//900  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    263, 270, 0,	//903  const QStringRef&, const char*
    20, 20, 0,	//906  QDBusConnection::RegisterOption, QDBusConnection::RegisterOption
    53, 3, 0,	//909  QDataStream&, QBitArray&
    13, 240, 0,	//912  QDBusArgument&, const QMap<QString,QVariant>&
    285, 285, 0,	//915  size_t, size_t
    220, 106, 0,	//918  const QDBusArgument&, QPoint&
    56, 258, 0,	//921  QDebug, const QSizeF&
    160, 276, 0,	//924  Qt::GestureFlag, int
    213, 218, 0,	//927  char, const QByteArray&
    53, 267, 0,	//930  QDataStream&, const QVariant&
    220, 112, 0,	//933  const QDBusArgument&, QSizeF&
    220, 111, 0,	//936  const QDBusArgument&, QSize&
    56, 267, 0,	//939  QDebug, const QVariant&
    203, 276, 0,	//942  Qt::WindowState, int
    53, 125, 0,	//945  QDataStream&, QTime&
    56, 66, 0,	//948  QDebug, QFlags<QDir::Filter>
    172, 172, 0,	//951  Qt::KeyboardModifier, Qt::KeyboardModifier
    273, 250, 0,	//954  double, const QPointF&
    155, 80, 0,	//957  Qt::DropAction, QFlags<Qt::DropAction>
    256, 273, 0,	//960  const QSize&, double
    56, 230, 0,	//963  QDebug, const QDate&
    57, 57, 0,	//966  QDir::Filter, QDir::Filter
    214, 285, 270, 296, 0,	//969  char*, size_t, const char*, va_list
    273, 248, 0,	//974  double, const QPoint&
    301, 276, 285, 0,	//977  void*, int, size_t
    53, 237, 0,	//981  QDataStream&, const QLineF&
    270, 276, 0,	//984  const char*, int
    94, 94, 0,	//987  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    153, 153, 0,	//990  Qt::DockWidgetArea, Qt::DockWidgetArea
    58, 67, 0,	//993  QDir::SortFlag, QFlags<QDir::SortFlag>
    275, 275, 0,	//996  float, float
    267, 269, 0,	//999  const QVariant&, const QVariantComparisonHelper&
    96, 96, 0,	//1002  QLibrary::LoadHint, QLibrary::LoadHint
    279, 276, 214, 0,	//1005  long double, int, char*
    59, 276, 0,	//1009  QDirIterator::IteratorFlag, int
    166, 166, 0,	//1012  Qt::InputMethodHint, Qt::InputMethodHint
    220, 108, 0,	//1015  const QDBusArgument&, QRect&
    56, 236, 0,	//1018  QDebug, const QLine&
    191, 191, 0,	//1021  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    197, 276, 0,	//1024  Qt::TouchPointState, int
    218, 276, 0,	//1027  const QByteArray&, int
    128, 77, 0,	//1030  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    191, 276, 0,	//1033  Qt::TextInteractionFlag, int
    203, 203, 0,	//1036  Qt::WindowState, Qt::WindowState
    1, 63, 0,	//1039  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    53, 218, 0,	//1042  QDataStream&, const QByteArray&
    53, 265, 0,	//1045  QDataStream&, const QUrl&
    56, 251, 0,	//1048  QDebug, const QRect&
    220, 131, 0,	//1051  const QDBusArgument&, QVariant&
    58, 58, 0,	//1054  QDir::SortFlag, QDir::SortFlag
    123, 276, 0,	//1057  QTextStream::NumberFlag, int
    53, 108, 0,	//1060  QDataStream&, QRect&
    53, 256, 0,	//1063  QDataStream&, const QSize&
    53, 219, 0,	//1066  QDataStream&, const QChar&
    134, 276, 0,	//1069  Qt::AlignmentFlag, int
    53, 253, 0,	//1072  QDataStream&, const QRegExp&
    56, 252, 0,	//1075  QDebug, const QRectF&
    220, 97, 0,	//1078  const QDBusArgument&, QLine&
    203, 92, 0,	//1081  Qt::WindowState, QFlags<Qt::WindowState>
    169, 169, 0,	//1084  Qt::ItemFlag, Qt::ItemFlag
    53, 129, 0,	//1087  QDataStream&, QUuid&
    53, 133, 0,	//1090  QDataStream&, QVariant::Type&
    267, 132, 301, 0,	//1093  const QVariant&, QVariant::Type, void*
    13, 230, 0,	//1097  QDBusArgument&, const QDate&
    245, 260, 254, 242, 100, 0,	//1100  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    234, 234, 0,	//1106  const QHashDummyValue&, const QHashDummyValue&
    53, 107, 0,	//1109  QDataStream&, QPointF&
    179, 276, 0,	//1112  Qt::Orientation, int
    160, 160, 0,	//1115  Qt::GestureFlag, Qt::GestureFlag
    94, 71, 0,	//1118  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    20, 276, 0,	//1121  QDBusConnection::RegisterOption, int
    273, 256, 0,	//1124  double, const QSize&
    13, 258, 0,	//1127  QDBusArgument&, const QSizeF&
    4, 211, 0,	//1130  QBool, bool
    53, 97, 0,	//1133  QDataStream&, QLine&
    56, 256, 0,	//1136  QDebug, const QSize&
    123, 123, 0,	//1139  QTextStream::NumberFlag, QTextStream::NumberFlag
    177, 87, 0,	//1142  Qt::MouseButton, QFlags<Qt::MouseButton>
    53, 268, 0,	//1145  QDataStream&, const QVariant::Type
    169, 84, 0,	//1148  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    53, 266, 0,	//1151  QDataStream&, const QUuid&
    96, 72, 0,	//1154  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    204, 276, 0,	//1157  Qt::WindowType, int
    53, 109, 0,	//1160  QDataStream&, QRectF&
    53, 251, 0,	//1163  QDataStream&, const QRect&
    175, 86, 0,	//1166  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    50, 276, 0,	//1169  QDBusServiceWatcher::WatchModeFlag, int
    134, 78, 0,	//1172  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    53, 8, 0,	//1175  QDataStream&, QChar&
    53, 110, 0,	//1178  QDataStream&, QRegExp&
    291, 0,	//1181  unsigned long
    53, 250, 0,	//1183  QDataStream&, const QPointF&
    53, 258, 0,	//1186  QDataStream&, const QSizeF&
    102, 73, 0,	//1189  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    116, 74, 0,	//1192  QString::SectionFlag, QFlags<QString::SectionFlag>
    1, 1, 0,	//1195  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    207, 270, 0,	//1198  QtMsgType, const char*
    263, 0,	//1201  const QStringRef&
    94, 276, 0,	//1203  QIODevice::OpenModeFlag, int
    53, 6, 0,	//1206  QDataStream&, QByteArray&
    56, 245, 0,	//1209  QDebug, const QObject*
    175, 276, 0,	//1212  Qt::MatchFlag, int
    13, 248, 0,	//1215  QDBusArgument&, const QPoint&
    53, 54, 0,	//1218  QDataStream&, QDate&
    53, 216, 0,	//1221  QDataStream&, const QBitArray&
    60, 0,	//1224  QEvent*
    104, 60, 0,	//1226  QObject*, QEvent*
    126, 0,	//1229  QTimerEvent*
    9, 0,	//1231  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccessDenied",	//1
    "ActivationBus",	//2
    "AddressInUse",	//3
    "AllowReplacement",	//4
    "ArrayType",	//5
    "AutoDetect",	//6
    "BadAddress",	//7
    "BasicType",	//8
    "Block",	//9
    "BlockWithGui",	//10
    "Disconnected",	//11
    "DontAllowReplacement",	//12
    "DontQueueService",	//13
    "ErrorMessage",	//14
    "ExportAdaptors",	//15
    "ExportAllContents",	//16
    "ExportAllProperties",	//17
    "ExportAllSignal",	//18
    "ExportAllSignals",	//19
    "ExportAllSlots",	//20
    "ExportChildObjects",	//21
    "ExportNonScriptableContents",	//22
    "ExportNonScriptableProperties",	//23
    "ExportNonScriptableSignals",	//24
    "ExportNonScriptableSlots",	//25
    "ExportScriptableContents",	//26
    "ExportScriptableProperties",	//27
    "ExportScriptableSignals",	//28
    "ExportScriptableSlots",	//29
    "Failed",	//30
    "InternalError",	//31
    "InvalidArgs",	//32
    "InvalidInterface",	//33
    "InvalidMember",	//34
    "InvalidMessage",	//35
    "InvalidObjectPath",	//36
    "InvalidService",	//37
    "InvalidSignature",	//38
    "LastErrorType",	//39
    "LimitsExceeded",	//40
    "MapEntryType",	//41
    "MapType",	//42
    "MethodCallMessage",	//43
    "NameAcquired",	//44
    "NameAcquired$",	//45
    "NameLost",	//46
    "NameLost$",	//47
    "NameOwnerChanged",	//48
    "NameOwnerChanged$$$",	//49
    "NoBlock",	//50
    "NoError",	//51
    "NoMemory",	//52
    "NoNetwork",	//53
    "NoReply",	//54
    "NoServer",	//55
    "NotSupported",	//56
    "Other",	//57
    "QDBusAbstractAdaptor",	//58
    "QDBusAbstractAdaptor#",	//59
    "QDBusAbstractInterface",	//60
    "QDBusAbstractInterface$$$##",	//61
    "QDBusArgument",	//62
    "QDBusArgument#",	//63
    "QDBusConnection",	//64
    "QDBusConnection#",	//65
    "QDBusConnection$",	//66
    "QDBusContext",	//67
    "QDBusContext#",	//68
    "QDBusError",	//69
    "QDBusError#",	//70
    "QDBusError$$",	//71
    "QDBusInterface",	//72
    "QDBusInterface$$",	//73
    "QDBusInterface$$$",	//74
    "QDBusInterface$$$#",	//75
    "QDBusInterface$$$##",	//76
    "QDBusMessage",	//77
    "QDBusMessage#",	//78
    "QDBusMetaType",	//79
    "QDBusMetaType#",	//80
    "QDBusPendingCall",	//81
    "QDBusPendingCall#",	//82
    "QDBusPendingCallWatcher",	//83
    "QDBusPendingCallWatcher#",	//84
    "QDBusPendingCallWatcher##",	//85
    "QDBusServer",	//86
    "QDBusServer$",	//87
    "QDBusServer$#",	//88
    "QDBusServiceWatcher",	//89
    "QDBusServiceWatcher#",	//90
    "QDBusServiceWatcher$#",	//91
    "QDBusServiceWatcher$#$",	//92
    "QDBusServiceWatcher$#$#",	//93
    "QtCriticalMsg",	//94
    "QtDebugMsg",	//95
    "QtFatalMsg",	//96
    "QtSystemMsg",	//97
    "QtWarningMsg",	//98
    "QueueService",	//99
    "ReplaceExistingService",	//100
    "ReplyMessage",	//101
    "ServiceNotRegistered",	//102
    "ServiceQueued",	//103
    "ServiceRegistered",	//104
    "ServiceUnknown",	//105
    "SessionBus",	//106
    "SignalMessage",	//107
    "StructureType",	//108
    "SystemBus",	//109
    "TimedOut",	//110
    "Timeout",	//111
    "UnknownInterface",	//112
    "UnknownMethod",	//113
    "UnknownObject",	//114
    "UnknownType",	//115
    "UnregisterNode",	//116
    "UnregisterTree",	//117
    "VariantType",	//118
    "WatchForOwnerChange",	//119
    "WatchForRegistration",	//120
    "WatchForUnregistration",	//121
    "_IEEE_",	//122
    "_ISOC_",	//123
    "_POSIX_",	//124
    "_SVID_",	//125
    "_XOPEN_",	//126
    "__codecvt_error",	//127
    "__codecvt_noconv",	//128
    "__codecvt_ok",	//129
    "__codecvt_partial",	//130
    "addWatchedService",	//131
    "addWatchedService$",	//132
    "address",	//133
    "appendVariant",	//134
    "appendVariant#",	//135
    "arguments",	//136
    "asVariant",	//137
    "asyncCall",	//138
    "asyncCall#",	//139
    "asyncCall#$",	//140
    "asyncCall$",	//141
    "asyncCall$#",	//142
    "asyncCall$##",	//143
    "asyncCall$###",	//144
    "asyncCall$####",	//145
    "asyncCall$#####",	//146
    "asyncCall$######",	//147
    "asyncCall$#######",	//148
    "asyncCall$########",	//149
    "asyncCallWithArgumentList",	//150
    "asyncCallWithArgumentList$?",	//151
    "atEnd",	//152
    "autoRelaySignals",	//153
    "baseService",	//154
    "beginArray",	//155
    "beginArray$",	//156
    "beginMap",	//157
    "beginMap$$",	//158
    "beginMapEntry",	//159
    "beginStructure",	//160
    "call",	//161
    "call#",	//162
    "call#$",	//163
    "call#$$",	//164
    "call$",	//165
    "call$#",	//166
    "call$##",	//167
    "call$###",	//168
    "call$####",	//169
    "call$#####",	//170
    "call$######",	//171
    "call$#######",	//172
    "call$########",	//173
    "call$$",	//174
    "call$$#",	//175
    "call$$##",	//176
    "call$$###",	//177
    "call$$####",	//178
    "call$$#####",	//179
    "call$$######",	//180
    "call$$#######",	//181
    "call$$########",	//182
    "callWithArgumentList",	//183
    "callWithArgumentList$$?",	//184
    "callWithCallback",	//185
    "callWithCallback##$",	//186
    "callWithCallback##$$",	//187
    "callWithCallback##$$$",	//188
    "callWithCallback$?#$",	//189
    "callWithCallback$?#$$",	//190
    "callWithCallbackFailed",	//191
    "callWithCallbackFailed##",	//192
    "calledFromDBus",	//193
    "childEvent",	//194
    "connect",	//195
    "connect$$$$#$",	//196
    "connect$$$$$#$",	//197
    "connect$$$$?$#$",	//198
    "connectNotify",	//199
    "connectNotify$",	//200
    "connectToBus",	//201
    "connectToBus$$",	//202
    "connection",	//203
    "createError",	//204
    "createError#",	//205
    "createError$$",	//206
    "createErrorReply",	//207
    "createErrorReply#",	//208
    "createErrorReply$$",	//209
    "createMethodCall",	//210
    "createMethodCall$$$$",	//211
    "createReply",	//212
    "createReply#",	//213
    "createReply?",	//214
    "createSignal",	//215
    "createSignal$$$",	//216
    "currentSignature",	//217
    "currentType",	//218
    "customEvent",	//219
    "demarshall",	//220
    "demarshall#$$",	//221
    "disconnect",	//222
    "disconnect$$$$#$",	//223
    "disconnect$$$$$#$",	//224
    "disconnect$$$$?$#$",	//225
    "disconnectFromBus",	//226
    "disconnectFromBus$",	//227
    "disconnectNotify",	//228
    "disconnectNotify$",	//229
    "endArray",	//230
    "endMap",	//231
    "endMapEntry",	//232
    "endStructure",	//233
    "error",	//234
    "errorMessage",	//235
    "errorName",	//236
    "errorString",	//237
    "errorString$",	//238
    "event",	//239
    "eventFilter",	//240
    "finished",	//241
    "finished#",	//242
    "fromCompletedCall",	//243
    "fromCompletedCall#",	//244
    "fromError",	//245
    "fromError#",	//246
    "interface",	//247
    "internalConstCall",	//248
    "internalConstCall$$",	//249
    "internalConstCall$$?",	//250
    "internalPropGet",	//251
    "internalPropGet$",	//252
    "internalPropSet",	//253
    "internalPropSet$#",	//254
    "isConnected",	//255
    "isDelayedReply",	//256
    "isError",	//257
    "isFinished",	//258
    "isReplyRequired",	//259
    "isServiceRegistered",	//260
    "isServiceRegistered$",	//261
    "isValid",	//262
    "lastError",	//263
    "marshall",	//264
    "marshall#$$",	//265
    "member",	//266
    "message",	//267
    "metaObject",	//268
    "name",	//269
    "newConnection",	//270
    "newConnection#",	//271
    "objectRegisteredAt",	//272
    "objectRegisteredAt$",	//273
    "operator!=",	//274
    "operator!=##",	//275
    "operator!=#$",	//276
    "operator!=$#",	//277
    "operator!=$$",	//278
    "operator&",	//279
    "operator&##",	//280
    "operator*",	//281
    "operator*#$",	//282
    "operator*$#",	//283
    "operator+",	//284
    "operator+##",	//285
    "operator+#$",	//286
    "operator+$#",	//287
    "operator+$$",	//288
    "operator-",	//289
    "operator-#",	//290
    "operator-##",	//291
    "operator/",	//292
    "operator/#$",	//293
    "operator<",	//294
    "operator<##",	//295
    "operator<#$",	//296
    "operator<$#",	//297
    "operator<$$",	//298
    "operator<<",	//299
    "operator<<#",	//300
    "operator<<##",	//301
    "operator<<#$",	//302
    "operator<<#?",	//303
    "operator<<$",	//304
    "operator<<?",	//305
    "operator<=",	//306
    "operator<=##",	//307
    "operator<=#$",	//308
    "operator<=$#",	//309
    "operator<=$$",	//310
    "operator=",	//311
    "operator=#",	//312
    "operator==",	//313
    "operator==##",	//314
    "operator==#$",	//315
    "operator==$#",	//316
    "operator==$$",	//317
    "operator>",	//318
    "operator>##",	//319
    "operator>#$",	//320
    "operator>$#",	//321
    "operator>$$",	//322
    "operator>=",	//323
    "operator>=##",	//324
    "operator>=#$",	//325
    "operator>=$#",	//326
    "operator>=$$",	//327
    "operator>>",	//328
    "operator>>#",	//329
    "operator>>##",	//330
    "operator>>#$",	//331
    "operator>>#?",	//332
    "operator>>$",	//333
    "operator>>?",	//334
    "operator^",	//335
    "operator^##",	//336
    "operator|",	//337
    "operator|##",	//338
    "operator|$$",	//339
    "path",	//340
    "qAcos",	//341
    "qAcos$",	//342
    "qAddPostRoutine",	//343
    "qAddPostRoutine$",	//344
    "qAppName",	//345
    "qAsin",	//346
    "qAsin$",	//347
    "qAtan",	//348
    "qAtan$",	//349
    "qAtan2",	//350
    "qAtan2$$",	//351
    "qBadAlloc",	//352
    "qCeil",	//353
    "qCeil$",	//354
    "qChecksum",	//355
    "qChecksum$$",	//356
    "qCompress",	//357
    "qCompress#",	//358
    "qCompress#$",	//359
    "qCompress$$",	//360
    "qCompress$$$",	//361
    "qCos",	//362
    "qCos$",	//363
    "qCritical",	//364
    "qDBusReplyFill",	//365
    "qDBusReplyFill###",	//366
    "qDebug",	//367
    "qExp",	//368
    "qExp$",	//369
    "qFabs",	//370
    "qFabs$",	//371
    "qFastCos",	//372
    "qFastCos$",	//373
    "qFastSin",	//374
    "qFastSin$",	//375
    "qFlagLocation",	//376
    "qFlagLocation$",	//377
    "qFloor",	//378
    "qFloor$",	//379
    "qFree",	//380
    "qFree$",	//381
    "qFreeAligned",	//382
    "qFreeAligned$",	//383
    "qFuzzyCompare",	//384
    "qFuzzyCompare$$",	//385
    "qFuzzyIsNull",	//386
    "qFuzzyIsNull$",	//387
    "qHash",	//388
    "qHash#",	//389
    "qHash$",	//390
    "qInf",	//391
    "qInstallMsgHandler",	//392
    "qInstallMsgHandler$",	//393
    "qIntCast",	//394
    "qIntCast$",	//395
    "qIsFinite",	//396
    "qIsFinite$",	//397
    "qIsInf",	//398
    "qIsInf$",	//399
    "qIsNaN",	//400
    "qIsNaN$",	//401
    "qIsNull",	//402
    "qIsNull$",	//403
    "qLn",	//404
    "qLn$",	//405
    "qMalloc",	//406
    "qMalloc$",	//407
    "qMallocAligned",	//408
    "qMallocAligned$$",	//409
    "qMemCopy",	//410
    "qMemCopy$$$",	//411
    "qMemSet",	//412
    "qMemSet$$$",	//413
    "qPow",	//414
    "qPow$$",	//415
    "qQNaN",	//416
    "qRealloc",	//417
    "qRealloc$$",	//418
    "qReallocAligned",	//419
    "qReallocAligned$$$$",	//420
    "qRegisterStaticPluginInstanceFunction",	//421
    "qRegisterStaticPluginInstanceFunction#",	//422
    "qRemovePostRoutine",	//423
    "qRemovePostRoutine$",	//424
    "qRound",	//425
    "qRound$",	//426
    "qRound64",	//427
    "qRound64$",	//428
    "qSNaN",	//429
    "qSetFieldWidth",	//430
    "qSetFieldWidth$",	//431
    "qSetPadChar",	//432
    "qSetPadChar#",	//433
    "qSetRealNumberPrecision",	//434
    "qSetRealNumberPrecision$",	//435
    "qSharedBuild",	//436
    "qSin",	//437
    "qSin$",	//438
    "qSqrt",	//439
    "qSqrt$",	//440
    "qStringComparisonHelper",	//441
    "qStringComparisonHelper#$",	//442
    "qStringComparisonHelper$$",	//443
    "qTan",	//444
    "qTan$",	//445
    "qUncompress",	//446
    "qUncompress#",	//447
    "qUncompress$$",	//448
    "qVersion",	//449
    "qWarning",	//450
    "qbswap_helper",	//451
    "qbswap_helper$$$",	//452
    "qgcvt",	//453
    "qgcvt$$$",	//454
    "qgetenv",	//455
    "qgetenv$",	//456
    "qputenv",	//457
    "qputenv$#",	//458
    "qrand",	//459
    "qsort",	//460
    "qsort$$$?",	//461
    "qsrand",	//462
    "qsrand$",	//463
    "qstrcmp",	//464
    "qstrcmp##",	//465
    "qstrcmp#$",	//466
    "qstrcmp$#",	//467
    "qstrcmp$$",	//468
    "qstrcpy",	//469
    "qstrcpy$$",	//470
    "qstrdup",	//471
    "qstrdup$",	//472
    "qstricmp",	//473
    "qstricmp$$",	//474
    "qstrlen",	//475
    "qstrlen$",	//476
    "qstrncmp",	//477
    "qstrncmp$$$",	//478
    "qstrncpy",	//479
    "qstrncpy$$$",	//480
    "qstrnicmp",	//481
    "qstrnicmp$$$",	//482
    "qstrnlen",	//483
    "qstrnlen$$",	//484
    "qtTrId",	//485
    "qtTrId$",	//486
    "qtTrId$$",	//487
    "qt_assert",	//488
    "qt_assert$$$",	//489
    "qt_assert_x",	//490
    "qt_assert_x$$$$",	//491
    "qt_check_pointer",	//492
    "qt_check_pointer$$",	//493
    "qt_error_string",	//494
    "qt_error_string$",	//495
    "qt_message_output",	//496
    "qt_message_output$$",	//497
    "qt_metacall",	//498
    "qt_metacall$$?",	//499
    "qt_metacast",	//500
    "qt_metacast$",	//501
    "qt_noop",	//502
    "qt_qFindChild_helper",	//503
    "qt_qFindChild_helper#$#",	//504
    "qt_qFindChildren_helper",	//505
    "qt_qFindChildren_helper#$##?",	//506
    "qvariant_cast_helper",	//507
    "qvariant_cast_helper#$$",	//508
    "qvsnprintf",	//509
    "qvsnprintf$$$?",	//510
    "registerMarshallOperators",	//511
    "registerMarshallOperators$$$",	//512
    "registerObject",	//513
    "registerObject$#",	//514
    "registerObject$#$",	//515
    "registerService",	//516
    "registerService$",	//517
    "registerService$$",	//518
    "registerService$$$",	//519
    "registeredServiceNames",	//520
    "removeWatchedService",	//521
    "removeWatchedService$",	//522
    "reply",	//523
    "send",	//524
    "send#",	//525
    "sendErrorReply",	//526
    "sendErrorReply$",	//527
    "sendErrorReply$$",	//528
    "sender",	//529
    "service",	//530
    "serviceOwner",	//531
    "serviceOwner$",	//532
    "serviceOwnerChanged",	//533
    "serviceOwnerChanged$$$",	//534
    "servicePid",	//535
    "servicePid$",	//536
    "serviceRegistered",	//537
    "serviceRegistered$",	//538
    "serviceUid",	//539
    "serviceUid$",	//540
    "serviceUnregistered",	//541
    "serviceUnregistered$",	//542
    "sessionBus",	//543
    "setArguments",	//544
    "setArguments?",	//545
    "setAutoRelaySignals",	//546
    "setAutoRelaySignals$",	//547
    "setConnection",	//548
    "setConnection#",	//549
    "setDelayedReply",	//550
    "setDelayedReply$",	//551
    "setWatchMode",	//552
    "setWatchMode$",	//553
    "setWatchedServices",	//554
    "setWatchedServices?",	//555
    "signature",	//556
    "signatureToType",	//557
    "signatureToType$",	//558
    "startService",	//559
    "startService$",	//560
    "staticMetaObject",	//561
    "systemBus",	//562
    "timerEvent",	//563
    "tr",	//564
    "tr$",	//565
    "tr$$",	//566
    "tr$$$",	//567
    "trUtf8",	//568
    "trUtf8$",	//569
    "trUtf8$$",	//570
    "trUtf8$$$",	//571
    "type",	//572
    "typeToSignature",	//573
    "typeToSignature$",	//574
    "unregisterObject",	//575
    "unregisterObject$",	//576
    "unregisterObject$$",	//577
    "unregisterService",	//578
    "unregisterService$",	//579
    "waitForFinished",	//580
    "watchMode",	//581
    "watchedServices",	//582
    "~QDBusAbstractAdaptor",	//583
    "~QDBusAbstractInterface",	//584
    "~QDBusAbstractInterfaceBase",	//585
    "~QDBusArgument",	//586
    "~QDBusConnection",	//587
    "~QDBusContext",	//588
    "~QDBusError",	//589
    "~QDBusInterface",	//590
    "~QDBusMessage",	//591
    "~QDBusMetaType",	//592
    "~QDBusPendingCall",	//593
    "~QDBusPendingCallWatcher",	//594
    "~QDBusServer",	//595
    "~QDBusServiceWatcher",	//596
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {7, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 1},	//1 QDBus::NoBlock (enum)
    {7, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 2},	//2 QDBus::Block (enum)
    {7, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 3},	//3 QDBus::BlockWithGui (enum)
    {7, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 4},	//4 QDBus::AutoDetect (enum)
    {8, 268, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 243, 1},	//5 QDBusAbstractAdaptor::metaObject() const
    {8, 500, 1, 1, Smoke::mf_virtual, 301, 2},	//6 QDBusAbstractAdaptor::qt_metacast(const char*)
    {8, 564, 3, 2, Smoke::mf_static, 113, 3},	//7 QDBusAbstractAdaptor::tr(const char*, const char*)
    {8, 568, 3, 2, Smoke::mf_static, 113, 4},	//8 QDBusAbstractAdaptor::trUtf8(const char*, const char*)
    {8, 564, 6, 3, Smoke::mf_static, 113, 5},	//9 QDBusAbstractAdaptor::tr(const char*, const char*, int)
    {8, 568, 6, 3, Smoke::mf_static, 113, 6},	//10 QDBusAbstractAdaptor::trUtf8(const char*, const char*, int)
    {8, 498, 10, 3, Smoke::mf_virtual, 276, 7},	//11 QDBusAbstractAdaptor::qt_metacall(QMetaObject::Call, int, void**)
    {8, 58, 14, 1, Smoke::mf_ctor|Smoke::mf_protected, 11, 8},	//12 QDBusAbstractAdaptor::QDBusAbstractAdaptor(QObject*)
    {8, 546, 16, 1, Smoke::mf_protected, 0, 9},	//13 QDBusAbstractAdaptor::setAutoRelaySignals(bool)
    {8, 153, 0, 0, Smoke::mf_const|Smoke::mf_protected, 211, 10},	//14 QDBusAbstractAdaptor::autoRelaySignals() const
    {8, 564, 1, 1, Smoke::mf_static, 113, 11},	//15 QDBusAbstractAdaptor::tr(const char*)
    {8, 568, 1, 1, Smoke::mf_static, 113, 12},	//16 QDBusAbstractAdaptor::trUtf8(const char*)
    {8, 561, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 242, 13},	//17 QDBusAbstractAdaptor::staticMetaObject() const
    {8, 583, 0, 0, Smoke::mf_dtor, 0, 14 },	//18 QDBusAbstractAdaptor::~QDBusAbstractAdaptor()
    {9, 268, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 243, 1},	//19 QDBusAbstractInterface::metaObject() const
    {9, 500, 1, 1, Smoke::mf_virtual, 301, 2},	//20 QDBusAbstractInterface::qt_metacast(const char*)
    {9, 564, 3, 2, Smoke::mf_static, 113, 3},	//21 QDBusAbstractInterface::tr(const char*, const char*)
    {9, 568, 3, 2, Smoke::mf_static, 113, 4},	//22 QDBusAbstractInterface::trUtf8(const char*, const char*)
    {9, 564, 6, 3, Smoke::mf_static, 113, 5},	//23 QDBusAbstractInterface::tr(const char*, const char*, int)
    {9, 568, 6, 3, Smoke::mf_static, 113, 6},	//24 QDBusAbstractInterface::trUtf8(const char*, const char*, int)
    {9, 498, 10, 3, Smoke::mf_virtual, 276, 7},	//25 QDBusAbstractInterface::qt_metacall(QMetaObject::Call, int, void**)
    {9, 262, 0, 0, Smoke::mf_const, 211, 8},	//26 QDBusAbstractInterface::isValid() const
    {9, 203, 0, 0, Smoke::mf_const, 16, 9},	//27 QDBusAbstractInterface::connection() const
    {9, 530, 0, 0, Smoke::mf_const, 113, 10},	//28 QDBusAbstractInterface::service() const
    {9, 340, 0, 0, Smoke::mf_const, 113, 11},	//29 QDBusAbstractInterface::path() const
    {9, 247, 0, 0, Smoke::mf_const, 113, 12},	//30 QDBusAbstractInterface::interface() const
    {9, 263, 0, 0, Smoke::mf_const, 27, 13},	//31 QDBusAbstractInterface::lastError() const
    {9, 161, 18, 9, 0, 32, 14},	//32 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 161, 28, 10, 0, 32, 15},	//33 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 183, 39, 3, 0, 32, 16},	//34 QDBusAbstractInterface::callWithArgumentList(QDBus::CallMode, const QString&, const QList<QVariant>&)
    {9, 185, 43, 5, 0, 211, 17},	//35 QDBusAbstractInterface::callWithCallback(const QString&, const QList<QVariant>&, QObject*, const char*, const char*)
    {9, 185, 49, 4, 0, 211, 18},	//36 QDBusAbstractInterface::callWithCallback(const QString&, const QList<QVariant>&, QObject*, const char*)
    {9, 138, 18, 9, 0, 38, 19},	//37 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 150, 54, 2, 0, 38, 20},	//38 QDBusAbstractInterface::asyncCallWithArgumentList(const QString&, const QList<QVariant>&)
    {9, 60, 57, 5, Smoke::mf_ctor|Smoke::mf_protected, 12, 21},	//39 QDBusAbstractInterface::QDBusAbstractInterface(const QString&, const QString&, const char*, const QDBusConnection&, QObject*)
    {9, 199, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//40 QDBusAbstractInterface::connectNotify(const char*)
    {9, 228, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//41 QDBusAbstractInterface::disconnectNotify(const char*)
    {9, 251, 1, 1, Smoke::mf_const|Smoke::mf_protected, 130, 24},	//42 QDBusAbstractInterface::internalPropGet(const char*) const
    {9, 253, 63, 2, Smoke::mf_protected, 0, 25},	//43 QDBusAbstractInterface::internalPropSet(const char*, const QVariant&)
    {9, 248, 39, 3, Smoke::mf_const|Smoke::mf_protected, 32, 26},	//44 QDBusAbstractInterface::internalConstCall(QDBus::CallMode, const QString&, const QList<QVariant>&) const
    {9, 564, 1, 1, Smoke::mf_static, 113, 27},	//45 QDBusAbstractInterface::tr(const char*)
    {9, 568, 1, 1, Smoke::mf_static, 113, 28},	//46 QDBusAbstractInterface::trUtf8(const char*)
    {9, 161, 66, 1, 0, 32, 29},	//47 QDBusAbstractInterface::call(const QString&)
    {9, 161, 68, 2, 0, 32, 30},	//48 QDBusAbstractInterface::call(const QString&, const QVariant&)
    {9, 161, 71, 3, 0, 32, 31},	//49 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&)
    {9, 161, 75, 4, 0, 32, 32},	//50 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&)
    {9, 161, 80, 5, 0, 32, 33},	//51 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 161, 86, 6, 0, 32, 34},	//52 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 161, 93, 7, 0, 32, 35},	//53 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 161, 101, 8, 0, 32, 36},	//54 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 161, 110, 2, 0, 32, 37},	//55 QDBusAbstractInterface::call(QDBus::CallMode, const QString&)
    {9, 161, 113, 3, 0, 32, 38},	//56 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&)
    {9, 161, 117, 4, 0, 32, 39},	//57 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&)
    {9, 161, 122, 5, 0, 32, 40},	//58 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&)
    {9, 161, 128, 6, 0, 32, 41},	//59 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 161, 135, 7, 0, 32, 42},	//60 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 161, 143, 8, 0, 32, 43},	//61 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 161, 152, 9, 0, 32, 44},	//62 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 138, 66, 1, 0, 38, 45},	//63 QDBusAbstractInterface::asyncCall(const QString&)
    {9, 138, 68, 2, 0, 38, 46},	//64 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&)
    {9, 138, 71, 3, 0, 38, 47},	//65 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&)
    {9, 138, 75, 4, 0, 38, 48},	//66 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&)
    {9, 138, 80, 5, 0, 38, 49},	//67 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 138, 86, 6, 0, 38, 50},	//68 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 138, 93, 7, 0, 38, 51},	//69 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 138, 101, 8, 0, 38, 52},	//70 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 248, 110, 2, Smoke::mf_const|Smoke::mf_protected, 32, 53},	//71 QDBusAbstractInterface::internalConstCall(QDBus::CallMode, const QString&) const
    {9, 561, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 242, 54},	//72 QDBusAbstractInterface::staticMetaObject() const
    {9, 584, 0, 0, Smoke::mf_dtor, 0, 55 },	//73 QDBusAbstractInterface::~QDBusAbstractInterface()
    {10, 498, 10, 3, Smoke::mf_virtual, 276, 1},	//74 QDBusAbstractInterfaceBase::qt_metacall(QMetaObject::Call, int, void**)
    {10, 585, 0, 0, Smoke::mf_dtor, 0, 2 },	//75 QDBusAbstractInterfaceBase::~QDBusAbstractInterfaceBase()
    {11, 62, 0, 0, Smoke::mf_ctor, 14, 1},	//76 QDBusArgument::QDBusArgument()
    {11, 62, 162, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 14, 2},	//77 QDBusArgument::QDBusArgument(const QDBusArgument&)
    {11, 311, 162, 1, 0, 13, 3},	//78 QDBusArgument::operator=(const QDBusArgument&)
    {11, 299, 164, 1, 0, 13, 4},	//79 QDBusArgument::operator<<(unsigned char)
    {11, 299, 16, 1, 0, 13, 5},	//80 QDBusArgument::operator<<(bool)
    {11, 299, 166, 1, 0, 13, 6},	//81 QDBusArgument::operator<<(short)
    {11, 299, 168, 1, 0, 13, 7},	//82 QDBusArgument::operator<<(unsigned short)
    {11, 299, 170, 1, 0, 13, 8},	//83 QDBusArgument::operator<<(int)
    {11, 299, 172, 1, 0, 13, 9},	//84 QDBusArgument::operator<<(unsigned int)
    {11, 299, 174, 1, 0, 13, 10},	//85 QDBusArgument::operator<<(long long)
    {11, 299, 176, 1, 0, 13, 11},	//86 QDBusArgument::operator<<(unsigned long long)
    {11, 299, 178, 1, 0, 13, 12},	//87 QDBusArgument::operator<<(double)
    {11, 299, 66, 1, 0, 13, 13},	//88 QDBusArgument::operator<<(const QString&)
    {11, 299, 180, 1, 0, 13, 14},	//89 QDBusArgument::operator<<(const QDBusVariant&)
    {11, 299, 182, 1, 0, 13, 15},	//90 QDBusArgument::operator<<(const QDBusObjectPath&)
    {11, 299, 184, 1, 0, 13, 16},	//91 QDBusArgument::operator<<(const QDBusSignature&)
    {11, 299, 186, 1, 0, 13, 17},	//92 QDBusArgument::operator<<(const QStringList&)
    {11, 299, 188, 1, 0, 13, 18},	//93 QDBusArgument::operator<<(const QByteArray&)
    {11, 160, 0, 0, 0, 0, 19},	//94 QDBusArgument::beginStructure()
    {11, 233, 0, 0, 0, 0, 20},	//95 QDBusArgument::endStructure()
    {11, 155, 170, 1, 0, 0, 21},	//96 QDBusArgument::beginArray(int)
    {11, 230, 0, 0, 0, 0, 22},	//97 QDBusArgument::endArray()
    {11, 157, 190, 2, 0, 0, 23},	//98 QDBusArgument::beginMap(int, int)
    {11, 231, 0, 0, 0, 0, 24},	//99 QDBusArgument::endMap()
    {11, 159, 0, 0, 0, 0, 25},	//100 QDBusArgument::beginMapEntry()
    {11, 232, 0, 0, 0, 0, 26},	//101 QDBusArgument::endMapEntry()
    {11, 134, 193, 1, 0, 0, 27},	//102 QDBusArgument::appendVariant(const QVariant&)
    {11, 217, 0, 0, Smoke::mf_const, 113, 28},	//103 QDBusArgument::currentSignature() const
    {11, 218, 0, 0, Smoke::mf_const, 15, 29},	//104 QDBusArgument::currentType() const
    {11, 328, 195, 1, Smoke::mf_const, 220, 30},	//105 QDBusArgument::operator>>(unsigned char&) const
    {11, 328, 197, 1, Smoke::mf_const, 220, 31},	//106 QDBusArgument::operator>>(bool&) const
    {11, 328, 199, 1, Smoke::mf_const, 220, 32},	//107 QDBusArgument::operator>>(short&) const
    {11, 328, 201, 1, Smoke::mf_const, 220, 33},	//108 QDBusArgument::operator>>(unsigned short&) const
    {11, 328, 203, 1, Smoke::mf_const, 220, 34},	//109 QDBusArgument::operator>>(int&) const
    {11, 328, 205, 1, Smoke::mf_const, 220, 35},	//110 QDBusArgument::operator>>(unsigned int&) const
    {11, 328, 207, 1, Smoke::mf_const, 220, 36},	//111 QDBusArgument::operator>>(long long&) const
    {11, 328, 209, 1, Smoke::mf_const, 220, 37},	//112 QDBusArgument::operator>>(unsigned long long&) const
    {11, 328, 211, 1, Smoke::mf_const, 220, 38},	//113 QDBusArgument::operator>>(double&) const
    {11, 328, 213, 1, Smoke::mf_const, 220, 39},	//114 QDBusArgument::operator>>(QString&) const
    {11, 328, 215, 1, Smoke::mf_const, 220, 40},	//115 QDBusArgument::operator>>(QDBusVariant&) const
    {11, 328, 217, 1, Smoke::mf_const, 220, 41},	//116 QDBusArgument::operator>>(QDBusObjectPath&) const
    {11, 328, 219, 1, Smoke::mf_const, 220, 42},	//117 QDBusArgument::operator>>(QDBusSignature&) const
    {11, 328, 221, 1, Smoke::mf_const, 220, 43},	//118 QDBusArgument::operator>>(QStringList&) const
    {11, 328, 223, 1, Smoke::mf_const, 220, 44},	//119 QDBusArgument::operator>>(QByteArray&) const
    {11, 160, 0, 0, Smoke::mf_const, 0, 45},	//120 QDBusArgument::beginStructure() const
    {11, 233, 0, 0, Smoke::mf_const, 0, 46},	//121 QDBusArgument::endStructure() const
    {11, 155, 0, 0, Smoke::mf_const, 0, 47},	//122 QDBusArgument::beginArray() const
    {11, 230, 0, 0, Smoke::mf_const, 0, 48},	//123 QDBusArgument::endArray() const
    {11, 157, 0, 0, Smoke::mf_const, 0, 49},	//124 QDBusArgument::beginMap() const
    {11, 231, 0, 0, Smoke::mf_const, 0, 50},	//125 QDBusArgument::endMap() const
    {11, 159, 0, 0, Smoke::mf_const, 0, 51},	//126 QDBusArgument::beginMapEntry() const
    {11, 232, 0, 0, Smoke::mf_const, 0, 52},	//127 QDBusArgument::endMapEntry() const
    {11, 152, 0, 0, Smoke::mf_const, 211, 53},	//128 QDBusArgument::atEnd() const
    {11, 137, 0, 0, Smoke::mf_const, 130, 54},	//129 QDBusArgument::asVariant() const
    {11, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 55},	//130 QDBusArgument::BasicType (enum)
    {11, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 56},	//131 QDBusArgument::VariantType (enum)
    {11, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 57},	//132 QDBusArgument::ArrayType (enum)
    {11, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 58},	//133 QDBusArgument::StructureType (enum)
    {11, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 59},	//134 QDBusArgument::MapType (enum)
    {11, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 60},	//135 QDBusArgument::MapEntryType (enum)
    {11, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 61},	//136 QDBusArgument::UnknownType (enum)
    {11, 586, 0, 0, Smoke::mf_dtor, 0, 62 },	//137 QDBusArgument::~QDBusArgument()
    {12, 64, 66, 1, Smoke::mf_ctor, 18, 1},	//138 QDBusConnection::QDBusConnection(const QString&)
    {12, 64, 225, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 18, 2},	//139 QDBusConnection::QDBusConnection(const QDBusConnection&)
    {12, 311, 225, 1, 0, 17, 3},	//140 QDBusConnection::operator=(const QDBusConnection&)
    {12, 255, 0, 0, Smoke::mf_const, 211, 4},	//141 QDBusConnection::isConnected() const
    {12, 154, 0, 0, Smoke::mf_const, 113, 5},	//142 QDBusConnection::baseService() const
    {12, 263, 0, 0, Smoke::mf_const, 27, 6},	//143 QDBusConnection::lastError() const
    {12, 269, 0, 0, Smoke::mf_const, 113, 7},	//144 QDBusConnection::name() const
    {12, 524, 227, 1, Smoke::mf_const, 211, 8},	//145 QDBusConnection::send(const QDBusMessage&) const
    {12, 185, 229, 5, Smoke::mf_const, 211, 9},	//146 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, const char*, int) const
    {12, 185, 235, 4, Smoke::mf_const, 211, 10},	//147 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, int) const
    {12, 161, 240, 3, Smoke::mf_const, 32, 11},	//148 QDBusConnection::call(const QDBusMessage&, QDBus::CallMode, int) const
    {12, 138, 244, 2, Smoke::mf_const, 38, 12},	//149 QDBusConnection::asyncCall(const QDBusMessage&, int) const
    {12, 195, 247, 6, 0, 211, 13},	//150 QDBusConnection::connect(const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 195, 254, 7, 0, 211, 14},	//151 QDBusConnection::connect(const QString&, const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 195, 262, 8, 0, 211, 15},	//152 QDBusConnection::connect(const QString&, const QString&, const QString&, const QString&, const QStringList&, const QString&, QObject*, const char*)
    {12, 222, 247, 6, 0, 211, 16},	//153 QDBusConnection::disconnect(const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 222, 254, 7, 0, 211, 17},	//154 QDBusConnection::disconnect(const QString&, const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 222, 262, 8, 0, 211, 18},	//155 QDBusConnection::disconnect(const QString&, const QString&, const QString&, const QString&, const QStringList&, const QString&, QObject*, const char*)
    {12, 513, 271, 3, 0, 211, 19},	//156 QDBusConnection::registerObject(const QString&, QObject*, QFlags<QDBusConnection::RegisterOption>)
    {12, 575, 275, 2, 0, 0, 20},	//157 QDBusConnection::unregisterObject(const QString&, QDBusConnection::UnregisterMode)
    {12, 272, 66, 1, Smoke::mf_const, 104, 21},	//158 QDBusConnection::objectRegisteredAt(const QString&) const
    {12, 516, 66, 1, 0, 211, 22},	//159 QDBusConnection::registerService(const QString&)
    {12, 578, 66, 1, 0, 211, 23},	//160 QDBusConnection::unregisterService(const QString&)
    {12, 247, 0, 0, Smoke::mf_const, 22, 24},	//161 QDBusConnection::interface() const
    {12, 201, 278, 2, Smoke::mf_static, 16, 25},	//162 QDBusConnection::connectToBus(QDBusConnection::BusType, const QString&)
    {12, 201, 281, 2, Smoke::mf_static, 16, 26},	//163 QDBusConnection::connectToBus(const QString&, const QString&)
    {12, 226, 66, 1, Smoke::mf_static, 0, 27},	//164 QDBusConnection::disconnectFromBus(const QString&)
    {12, 543, 0, 0, Smoke::mf_static, 16, 28},	//165 QDBusConnection::sessionBus()
    {12, 562, 0, 0, Smoke::mf_static, 16, 29},	//166 QDBusConnection::systemBus()
    {12, 529, 0, 0, Smoke::mf_static, 16, 30},	//167 QDBusConnection::sender()
    {12, 185, 284, 4, Smoke::mf_const, 211, 31},	//168 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, const char*) const
    {12, 185, 289, 3, Smoke::mf_const, 211, 32},	//169 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*) const
    {12, 161, 227, 1, Smoke::mf_const, 32, 33},	//170 QDBusConnection::call(const QDBusMessage&) const
    {12, 161, 293, 2, Smoke::mf_const, 32, 34},	//171 QDBusConnection::call(const QDBusMessage&, QDBus::CallMode) const
    {12, 138, 227, 1, Smoke::mf_const, 38, 35},	//172 QDBusConnection::asyncCall(const QDBusMessage&) const
    {12, 513, 296, 2, 0, 211, 36},	//173 QDBusConnection::registerObject(const QString&, QObject*)
    {12, 575, 66, 1, 0, 0, 37},	//174 QDBusConnection::unregisterObject(const QString&)
    {12, 561, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 242, 38},	//175 QDBusConnection::staticMetaObject() const
    {12, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 39},	//176 QDBusConnection::SessionBus (enum)
    {12, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 40},	//177 QDBusConnection::SystemBus (enum)
    {12, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 41},	//178 QDBusConnection::ActivationBus (enum)
    {12, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 42},	//179 QDBusConnection::ExportAdaptors (enum)
    {12, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 43},	//180 QDBusConnection::ExportScriptableSlots (enum)
    {12, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 44},	//181 QDBusConnection::ExportScriptableSignals (enum)
    {12, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 45},	//182 QDBusConnection::ExportScriptableProperties (enum)
    {12, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 46},	//183 QDBusConnection::ExportScriptableContents (enum)
    {12, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 47},	//184 QDBusConnection::ExportNonScriptableSlots (enum)
    {12, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 48},	//185 QDBusConnection::ExportNonScriptableSignals (enum)
    {12, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 49},	//186 QDBusConnection::ExportNonScriptableProperties (enum)
    {12, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 50},	//187 QDBusConnection::ExportNonScriptableContents (enum)
    {12, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 51},	//188 QDBusConnection::ExportAllSlots (enum)
    {12, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 52},	//189 QDBusConnection::ExportAllSignals (enum)
    {12, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 53},	//190 QDBusConnection::ExportAllProperties (enum)
    {12, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 54},	//191 QDBusConnection::ExportAllContents (enum)
    {12, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 55},	//192 QDBusConnection::ExportAllSignal (enum)
    {12, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 56},	//193 QDBusConnection::ExportChildObjects (enum)
    {12, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 57},	//194 QDBusConnection::UnregisterNode (enum)
    {12, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 58},	//195 QDBusConnection::UnregisterTree (enum)
    {12, 587, 0, 0, Smoke::mf_dtor, 0, 59 },	//196 QDBusConnection::~QDBusConnection()
    {13, 268, 0, 0, Smoke::mf_const, 243, 1},	//197 QDBusConnectionInterface::metaObject() const
    {13, 500, 1, 1, 0, 301, 2},	//198 QDBusConnectionInterface::qt_metacast(const char*)
    {13, 564, 3, 2, Smoke::mf_static, 113, 3},	//199 QDBusConnectionInterface::tr(const char*, const char*)
    {13, 568, 3, 2, Smoke::mf_static, 113, 4},	//200 QDBusConnectionInterface::trUtf8(const char*, const char*)
    {13, 564, 6, 3, Smoke::mf_static, 113, 5},	//201 QDBusConnectionInterface::tr(const char*, const char*, int)
    {13, 568, 6, 3, Smoke::mf_static, 113, 6},	//202 QDBusConnectionInterface::trUtf8(const char*, const char*, int)
    {13, 498, 10, 3, 0, 276, 7},	//203 QDBusConnectionInterface::qt_metacall(QMetaObject::Call, int, void**)
    {13, 520, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_slot, 44, 8},	//204 QDBusConnectionInterface::registeredServiceNames() const
    {13, 260, 66, 1, Smoke::mf_const|Smoke::mf_slot, 45, 9},	//205 QDBusConnectionInterface::isServiceRegistered(const QString&) const
    {13, 531, 66, 1, Smoke::mf_const|Smoke::mf_slot, 43, 10},	//206 QDBusConnectionInterface::serviceOwner(const QString&) const
    {13, 578, 66, 1, Smoke::mf_slot, 45, 11},	//207 QDBusConnectionInterface::unregisterService(const QString&)
    {13, 516, 299, 3, Smoke::mf_slot, 42, 12},	//208 QDBusConnectionInterface::registerService(const QString&, QDBusConnectionInterface::ServiceQueueOptions, QDBusConnectionInterface::ServiceReplacementOptions)
    {13, 535, 66, 1, Smoke::mf_const|Smoke::mf_slot, 46, 13},	//209 QDBusConnectionInterface::servicePid(const QString&) const
    {13, 539, 66, 1, Smoke::mf_const|Smoke::mf_slot, 46, 14},	//210 QDBusConnectionInterface::serviceUid(const QString&) const
    {13, 559, 66, 1, Smoke::mf_slot, 47, 15},	//211 QDBusConnectionInterface::startService(const QString&)
    {13, 537, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//212 QDBusConnectionInterface::serviceRegistered(const QString&)
    {13, 541, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//213 QDBusConnectionInterface::serviceUnregistered(const QString&)
    {13, 533, 303, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//214 QDBusConnectionInterface::serviceOwnerChanged(const QString&, const QString&, const QString&)
    {13, 191, 307, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//215 QDBusConnectionInterface::callWithCallbackFailed(const QDBusError&, const QDBusMessage&)
    {13, 44, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//216 QDBusConnectionInterface::NameAcquired(const QString&)
    {13, 46, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//217 QDBusConnectionInterface::NameLost(const QString&)
    {13, 48, 303, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//218 QDBusConnectionInterface::NameOwnerChanged(const QString&, const QString&, const QString&)
    {13, 199, 1, 1, Smoke::mf_protected, 0, 23},	//219 QDBusConnectionInterface::connectNotify(const char*)
    {13, 228, 1, 1, Smoke::mf_protected, 0, 24},	//220 QDBusConnectionInterface::disconnectNotify(const char*)
    {13, 564, 1, 1, Smoke::mf_static, 113, 25},	//221 QDBusConnectionInterface::tr(const char*)
    {13, 568, 1, 1, Smoke::mf_static, 113, 26},	//222 QDBusConnectionInterface::trUtf8(const char*)
    {13, 516, 66, 1, Smoke::mf_slot, 42, 27},	//223 QDBusConnectionInterface::registerService(const QString&)
    {13, 516, 310, 2, Smoke::mf_slot, 42, 28},	//224 QDBusConnectionInterface::registerService(const QString&, QDBusConnectionInterface::ServiceQueueOptions)
    {13, 561, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 242, 29},	//225 QDBusConnectionInterface::staticMetaObject() const
    {13, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 30},	//226 QDBusConnectionInterface::DontQueueService (enum)
    {13, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 31},	//227 QDBusConnectionInterface::QueueService (enum)
    {13, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 32},	//228 QDBusConnectionInterface::ReplaceExistingService (enum)
    {13, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 33},	//229 QDBusConnectionInterface::DontAllowReplacement (enum)
    {13, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 34},	//230 QDBusConnectionInterface::AllowReplacement (enum)
    {13, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 35},	//231 QDBusConnectionInterface::ServiceNotRegistered (enum)
    {13, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 36},	//232 QDBusConnectionInterface::ServiceRegistered (enum)
    {13, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 37},	//233 QDBusConnectionInterface::ServiceQueued (enum)
    {14, 67, 0, 0, Smoke::mf_ctor, 26, 1},	//234 QDBusContext::QDBusContext()
    {14, 193, 0, 0, Smoke::mf_const, 211, 2},	//235 QDBusContext::calledFromDBus() const
    {14, 203, 0, 0, Smoke::mf_const, 16, 3},	//236 QDBusContext::connection() const
    {14, 267, 0, 0, Smoke::mf_const, 224, 4},	//237 QDBusContext::message() const
    {14, 256, 0, 0, Smoke::mf_const, 211, 5},	//238 QDBusContext::isDelayedReply() const
    {14, 550, 16, 1, Smoke::mf_const, 0, 6},	//239 QDBusContext::setDelayedReply(bool) const
    {14, 526, 281, 2, Smoke::mf_const, 0, 7},	//240 QDBusContext::sendErrorReply(const QString&, const QString&) const
    {14, 526, 313, 2, Smoke::mf_const, 0, 8},	//241 QDBusContext::sendErrorReply(QDBusError::ErrorType, const QString&) const
    {14, 67, 316, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 26, 9},	//242 QDBusContext::QDBusContext(const QDBusContext&)
    {14, 526, 66, 1, Smoke::mf_const, 0, 10},	//243 QDBusContext::sendErrorReply(const QString&) const
    {14, 526, 318, 1, Smoke::mf_const, 0, 11},	//244 QDBusContext::sendErrorReply(QDBusError::ErrorType) const
    {14, 588, 0, 0, Smoke::mf_dtor, 0, 12 },	//245 QDBusContext::~QDBusContext()
    {15, 69, 320, 1, Smoke::mf_ctor, 29, 1},	//246 QDBusError::QDBusError(const DBusError*)
    {15, 69, 227, 1, Smoke::mf_ctor, 29, 2},	//247 QDBusError::QDBusError(const QDBusMessage&)
    {15, 69, 313, 2, Smoke::mf_ctor, 29, 3},	//248 QDBusError::QDBusError(QDBusError::ErrorType, const QString&)
    {15, 69, 322, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 29, 4},	//249 QDBusError::QDBusError(const QDBusError&)
    {15, 311, 322, 1, 0, 28, 5},	//250 QDBusError::operator=(const QDBusError&)
    {15, 572, 0, 0, Smoke::mf_const, 30, 6},	//251 QDBusError::type() const
    {15, 269, 0, 0, Smoke::mf_const, 113, 7},	//252 QDBusError::name() const
    {15, 267, 0, 0, Smoke::mf_const, 113, 8},	//253 QDBusError::message() const
    {15, 262, 0, 0, Smoke::mf_const, 211, 9},	//254 QDBusError::isValid() const
    {15, 237, 318, 1, Smoke::mf_static, 113, 10},	//255 QDBusError::errorString(QDBusError::ErrorType)
    {15, 69, 0, 0, Smoke::mf_ctor, 29, 11},	//256 QDBusError::QDBusError()
    {15, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 12},	//257 QDBusError::NoError (enum)
    {15, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 13},	//258 QDBusError::Other (enum)
    {15, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 14},	//259 QDBusError::Failed (enum)
    {15, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 15},	//260 QDBusError::NoMemory (enum)
    {15, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 16},	//261 QDBusError::ServiceUnknown (enum)
    {15, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 17},	//262 QDBusError::NoReply (enum)
    {15, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 18},	//263 QDBusError::BadAddress (enum)
    {15, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 19},	//264 QDBusError::NotSupported (enum)
    {15, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 20},	//265 QDBusError::LimitsExceeded (enum)
    {15, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 21},	//266 QDBusError::AccessDenied (enum)
    {15, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 22},	//267 QDBusError::NoServer (enum)
    {15, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 23},	//268 QDBusError::Timeout (enum)
    {15, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 24},	//269 QDBusError::NoNetwork (enum)
    {15, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 25},	//270 QDBusError::AddressInUse (enum)
    {15, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 26},	//271 QDBusError::Disconnected (enum)
    {15, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 27},	//272 QDBusError::InvalidArgs (enum)
    {15, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 28},	//273 QDBusError::UnknownMethod (enum)
    {15, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 29},	//274 QDBusError::TimedOut (enum)
    {15, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 30},	//275 QDBusError::InvalidSignature (enum)
    {15, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 31},	//276 QDBusError::UnknownInterface (enum)
    {15, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 32},	//277 QDBusError::InternalError (enum)
    {15, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 33},	//278 QDBusError::UnknownObject (enum)
    {15, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 34},	//279 QDBusError::InvalidService (enum)
    {15, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 35},	//280 QDBusError::InvalidObjectPath (enum)
    {15, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 36},	//281 QDBusError::InvalidInterface (enum)
    {15, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 37},	//282 QDBusError::InvalidMember (enum)
    {15, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 38},	//283 QDBusError::LastErrorType (enum)
    {15, 589, 0, 0, Smoke::mf_dtor, 0, 39 },	//284 QDBusError::~QDBusError()
    {16, 72, 324, 5, Smoke::mf_ctor, 31, 1},	//285 QDBusInterface::QDBusInterface(const QString&, const QString&, const QString&, const QDBusConnection&, QObject*)
    {16, 268, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 243, 2},	//286 QDBusInterface::metaObject() const
    {16, 500, 1, 1, Smoke::mf_virtual, 301, 3},	//287 QDBusInterface::qt_metacast(const char*)
    {16, 498, 10, 3, Smoke::mf_virtual, 276, 4},	//288 QDBusInterface::qt_metacall(QMetaObject::Call, int, void**)
    {16, 72, 281, 2, Smoke::mf_ctor, 31, 5},	//289 QDBusInterface::QDBusInterface(const QString&, const QString&)
    {16, 72, 303, 3, Smoke::mf_ctor, 31, 6},	//290 QDBusInterface::QDBusInterface(const QString&, const QString&, const QString&)
    {16, 72, 330, 4, Smoke::mf_ctor, 31, 7},	//291 QDBusInterface::QDBusInterface(const QString&, const QString&, const QString&, const QDBusConnection&)
    {16, 590, 0, 0, Smoke::mf_dtor, 0, 8 },	//292 QDBusInterface::~QDBusInterface()
    {17, 77, 0, 0, Smoke::mf_ctor, 34, 1},	//293 QDBusMessage::QDBusMessage()
    {17, 77, 227, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 34, 2},	//294 QDBusMessage::QDBusMessage(const QDBusMessage&)
    {17, 311, 227, 1, 0, 33, 3},	//295 QDBusMessage::operator=(const QDBusMessage&)
    {17, 215, 303, 3, Smoke::mf_static, 32, 4},	//296 QDBusMessage::createSignal(const QString&, const QString&, const QString&)
    {17, 210, 335, 4, Smoke::mf_static, 32, 5},	//297 QDBusMessage::createMethodCall(const QString&, const QString&, const QString&, const QString&)
    {17, 204, 281, 2, Smoke::mf_static, 32, 6},	//298 QDBusMessage::createError(const QString&, const QString&)
    {17, 204, 322, 1, Smoke::mf_static, 32, 7},	//299 QDBusMessage::createError(const QDBusError&)
    {17, 204, 313, 2, Smoke::mf_static, 32, 8},	//300 QDBusMessage::createError(QDBusError::ErrorType, const QString&)
    {17, 212, 340, 1, Smoke::mf_const, 32, 9},	//301 QDBusMessage::createReply(const QList<QVariant>&) const
    {17, 212, 193, 1, Smoke::mf_const, 32, 10},	//302 QDBusMessage::createReply(const QVariant&) const
    {17, 207, 342, 2, Smoke::mf_const, 32, 11},	//303 QDBusMessage::createErrorReply(const QString, const QString&) const
    {17, 207, 322, 1, Smoke::mf_const, 32, 12},	//304 QDBusMessage::createErrorReply(const QDBusError&) const
    {17, 207, 313, 2, Smoke::mf_const, 32, 13},	//305 QDBusMessage::createErrorReply(QDBusError::ErrorType, const QString&) const
    {17, 530, 0, 0, Smoke::mf_const, 113, 14},	//306 QDBusMessage::service() const
    {17, 340, 0, 0, Smoke::mf_const, 113, 15},	//307 QDBusMessage::path() const
    {17, 247, 0, 0, Smoke::mf_const, 113, 16},	//308 QDBusMessage::interface() const
    {17, 266, 0, 0, Smoke::mf_const, 113, 17},	//309 QDBusMessage::member() const
    {17, 236, 0, 0, Smoke::mf_const, 113, 18},	//310 QDBusMessage::errorName() const
    {17, 235, 0, 0, Smoke::mf_const, 113, 19},	//311 QDBusMessage::errorMessage() const
    {17, 572, 0, 0, Smoke::mf_const, 35, 20},	//312 QDBusMessage::type() const
    {17, 556, 0, 0, Smoke::mf_const, 113, 21},	//313 QDBusMessage::signature() const
    {17, 259, 0, 0, Smoke::mf_const, 211, 22},	//314 QDBusMessage::isReplyRequired() const
    {17, 550, 16, 1, Smoke::mf_const, 0, 23},	//315 QDBusMessage::setDelayedReply(bool) const
    {17, 256, 0, 0, Smoke::mf_const, 211, 24},	//316 QDBusMessage::isDelayedReply() const
    {17, 544, 340, 1, 0, 0, 25},	//317 QDBusMessage::setArguments(const QList<QVariant>&)
    {17, 136, 0, 0, Smoke::mf_const, 99, 26},	//318 QDBusMessage::arguments() const
    {17, 299, 193, 1, 0, 33, 27},	//319 QDBusMessage::operator<<(const QVariant&)
    {17, 212, 0, 0, Smoke::mf_const, 32, 28},	//320 QDBusMessage::createReply() const
    {17, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 29},	//321 QDBusMessage::InvalidMessage (enum)
    {17, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 30},	//322 QDBusMessage::MethodCallMessage (enum)
    {17, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 31},	//323 QDBusMessage::ReplyMessage (enum)
    {17, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 32},	//324 QDBusMessage::ErrorMessage (enum)
    {17, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 33},	//325 QDBusMessage::SignalMessage (enum)
    {17, 591, 0, 0, Smoke::mf_dtor, 0, 34 },	//326 QDBusMessage::~QDBusMessage()
    {18, 511, 345, 3, Smoke::mf_static, 0, 1},	//327 QDBusMetaType::registerMarshallOperators(int, void(*)(QDBusArgument&,const void*), void(*)(const QDBusArgument&,void*))
    {18, 264, 349, 3, Smoke::mf_static, 211, 2},	//328 QDBusMetaType::marshall(QDBusArgument&, int, const void*)
    {18, 220, 353, 3, Smoke::mf_static, 211, 3},	//329 QDBusMetaType::demarshall(const QDBusArgument&, int, void*)
    {18, 557, 1, 1, Smoke::mf_static, 276, 4},	//330 QDBusMetaType::signatureToType(const char*)
    {18, 573, 170, 1, Smoke::mf_static, 270, 5},	//331 QDBusMetaType::typeToSignature(int)
    {18, 79, 0, 0, Smoke::mf_ctor, 36, 6},	//332 QDBusMetaType::QDBusMetaType()
    {18, 79, 357, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 36, 7},	//333 QDBusMetaType::QDBusMetaType(const QDBusMetaType&)
    {18, 592, 0, 0, Smoke::mf_dtor, 0, 8 },	//334 QDBusMetaType::~QDBusMetaType()
    {19, 81, 359, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 40, 1},	//335 QDBusPendingCall::QDBusPendingCall(const QDBusPendingCall&)
    {19, 311, 359, 1, 0, 39, 2},	//336 QDBusPendingCall::operator=(const QDBusPendingCall&)
    {19, 258, 0, 0, Smoke::mf_const, 211, 3},	//337 QDBusPendingCall::isFinished() const
    {19, 580, 0, 0, 0, 0, 4},	//338 QDBusPendingCall::waitForFinished()
    {19, 257, 0, 0, Smoke::mf_const, 211, 5},	//339 QDBusPendingCall::isError() const
    {19, 262, 0, 0, Smoke::mf_const, 211, 6},	//340 QDBusPendingCall::isValid() const
    {19, 234, 0, 0, Smoke::mf_const, 27, 7},	//341 QDBusPendingCall::error() const
    {19, 523, 0, 0, Smoke::mf_const, 32, 8},	//342 QDBusPendingCall::reply() const
    {19, 245, 322, 1, Smoke::mf_static, 38, 9},	//343 QDBusPendingCall::fromError(const QDBusError&)
    {19, 243, 227, 1, Smoke::mf_static, 38, 10},	//344 QDBusPendingCall::fromCompletedCall(const QDBusMessage&)
    {19, 593, 0, 0, Smoke::mf_dtor, 0, 11 },	//345 QDBusPendingCall::~QDBusPendingCall()
    {20, 268, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 243, 1},	//346 QDBusPendingCallWatcher::metaObject() const
    {20, 500, 1, 1, Smoke::mf_virtual, 301, 2},	//347 QDBusPendingCallWatcher::qt_metacast(const char*)
    {20, 564, 3, 2, Smoke::mf_static, 113, 3},	//348 QDBusPendingCallWatcher::tr(const char*, const char*)
    {20, 568, 3, 2, Smoke::mf_static, 113, 4},	//349 QDBusPendingCallWatcher::trUtf8(const char*, const char*)
    {20, 564, 6, 3, Smoke::mf_static, 113, 5},	//350 QDBusPendingCallWatcher::tr(const char*, const char*, int)
    {20, 568, 6, 3, Smoke::mf_static, 113, 6},	//351 QDBusPendingCallWatcher::trUtf8(const char*, const char*, int)
    {20, 498, 10, 3, Smoke::mf_virtual, 276, 7},	//352 QDBusPendingCallWatcher::qt_metacall(QMetaObject::Call, int, void**)
    {20, 83, 361, 2, Smoke::mf_ctor, 41, 8},	//353 QDBusPendingCallWatcher::QDBusPendingCallWatcher(const QDBusPendingCall&, QObject*)
    {20, 580, 0, 0, 0, 0, 9},	//354 QDBusPendingCallWatcher::waitForFinished()
    {20, 241, 364, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//355 QDBusPendingCallWatcher::finished(QDBusPendingCallWatcher*)
    {20, 564, 1, 1, Smoke::mf_static, 113, 11},	//356 QDBusPendingCallWatcher::tr(const char*)
    {20, 568, 1, 1, Smoke::mf_static, 113, 12},	//357 QDBusPendingCallWatcher::trUtf8(const char*)
    {20, 83, 359, 1, Smoke::mf_ctor, 41, 13},	//358 QDBusPendingCallWatcher::QDBusPendingCallWatcher(const QDBusPendingCall&)
    {20, 561, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 242, 14},	//359 QDBusPendingCallWatcher::staticMetaObject() const
    {20, 594, 0, 0, Smoke::mf_dtor, 0, 15 },	//360 QDBusPendingCallWatcher::~QDBusPendingCallWatcher()
    {21, 268, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 243, 1},	//361 QDBusServer::metaObject() const
    {21, 500, 1, 1, Smoke::mf_virtual, 301, 2},	//362 QDBusServer::qt_metacast(const char*)
    {21, 564, 3, 2, Smoke::mf_static, 113, 3},	//363 QDBusServer::tr(const char*, const char*)
    {21, 568, 3, 2, Smoke::mf_static, 113, 4},	//364 QDBusServer::trUtf8(const char*, const char*)
    {21, 564, 6, 3, Smoke::mf_static, 113, 5},	//365 QDBusServer::tr(const char*, const char*, int)
    {21, 568, 6, 3, Smoke::mf_static, 113, 6},	//366 QDBusServer::trUtf8(const char*, const char*, int)
    {21, 498, 10, 3, Smoke::mf_virtual, 276, 7},	//367 QDBusServer::qt_metacall(QMetaObject::Call, int, void**)
    {21, 86, 296, 2, Smoke::mf_ctor, 48, 8},	//368 QDBusServer::QDBusServer(const QString&, QObject*)
    {21, 255, 0, 0, Smoke::mf_const, 211, 9},	//369 QDBusServer::isConnected() const
    {21, 263, 0, 0, Smoke::mf_const, 27, 10},	//370 QDBusServer::lastError() const
    {21, 133, 0, 0, Smoke::mf_const, 113, 11},	//371 QDBusServer::address() const
    {21, 270, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//372 QDBusServer::newConnection(const QDBusConnection&)
    {21, 564, 1, 1, Smoke::mf_static, 113, 13},	//373 QDBusServer::tr(const char*)
    {21, 568, 1, 1, Smoke::mf_static, 113, 14},	//374 QDBusServer::trUtf8(const char*)
    {21, 86, 66, 1, Smoke::mf_ctor, 48, 15},	//375 QDBusServer::QDBusServer(const QString&)
    {21, 561, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 242, 16},	//376 QDBusServer::staticMetaObject() const
    {21, 595, 0, 0, Smoke::mf_dtor, 0, 17 },	//377 QDBusServer::~QDBusServer()
    {22, 268, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 243, 1},	//378 QDBusServiceWatcher::metaObject() const
    {22, 500, 1, 1, Smoke::mf_virtual, 301, 2},	//379 QDBusServiceWatcher::qt_metacast(const char*)
    {22, 564, 3, 2, Smoke::mf_static, 113, 3},	//380 QDBusServiceWatcher::tr(const char*, const char*)
    {22, 568, 3, 2, Smoke::mf_static, 113, 4},	//381 QDBusServiceWatcher::trUtf8(const char*, const char*)
    {22, 564, 6, 3, Smoke::mf_static, 113, 5},	//382 QDBusServiceWatcher::tr(const char*, const char*, int)
    {22, 568, 6, 3, Smoke::mf_static, 113, 6},	//383 QDBusServiceWatcher::trUtf8(const char*, const char*, int)
    {22, 498, 10, 3, Smoke::mf_virtual, 276, 7},	//384 QDBusServiceWatcher::qt_metacall(QMetaObject::Call, int, void**)
    {22, 89, 14, 1, Smoke::mf_ctor, 49, 8},	//385 QDBusServiceWatcher::QDBusServiceWatcher(QObject*)
    {22, 89, 366, 4, Smoke::mf_ctor, 49, 9},	//386 QDBusServiceWatcher::QDBusServiceWatcher(const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>, QObject*)
    {22, 582, 0, 0, Smoke::mf_const|Smoke::mf_property, 117, 10},	//387 QDBusServiceWatcher::watchedServices() const
    {22, 554, 186, 1, Smoke::mf_property, 0, 11},	//388 QDBusServiceWatcher::setWatchedServices(const QStringList&)
    {22, 131, 66, 1, 0, 0, 12},	//389 QDBusServiceWatcher::addWatchedService(const QString&)
    {22, 521, 66, 1, 0, 211, 13},	//390 QDBusServiceWatcher::removeWatchedService(const QString&)
    {22, 581, 0, 0, Smoke::mf_const, 65, 14},	//391 QDBusServiceWatcher::watchMode() const
    {22, 552, 371, 1, 0, 0, 15},	//392 QDBusServiceWatcher::setWatchMode(QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {22, 203, 0, 0, Smoke::mf_const, 16, 16},	//393 QDBusServiceWatcher::connection() const
    {22, 548, 225, 1, 0, 0, 17},	//394 QDBusServiceWatcher::setConnection(const QDBusConnection&)
    {22, 537, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//395 QDBusServiceWatcher::serviceRegistered(const QString&)
    {22, 541, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//396 QDBusServiceWatcher::serviceUnregistered(const QString&)
    {22, 533, 303, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//397 QDBusServiceWatcher::serviceOwnerChanged(const QString&, const QString&, const QString&)
    {22, 564, 1, 1, Smoke::mf_static, 113, 21},	//398 QDBusServiceWatcher::tr(const char*)
    {22, 568, 1, 1, Smoke::mf_static, 113, 22},	//399 QDBusServiceWatcher::trUtf8(const char*)
    {22, 89, 0, 0, Smoke::mf_ctor, 49, 23},	//400 QDBusServiceWatcher::QDBusServiceWatcher()
    {22, 89, 373, 2, Smoke::mf_ctor, 49, 24},	//401 QDBusServiceWatcher::QDBusServiceWatcher(const QString&, const QDBusConnection&)
    {22, 89, 376, 3, Smoke::mf_ctor, 49, 25},	//402 QDBusServiceWatcher::QDBusServiceWatcher(const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {22, 561, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 242, 26},	//403 QDBusServiceWatcher::staticMetaObject() const
    {22, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 27},	//404 QDBusServiceWatcher::WatchForRegistration (enum)
    {22, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 28},	//405 QDBusServiceWatcher::WatchForUnregistration (enum)
    {22, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 29},	//406 QDBusServiceWatcher::WatchForOwnerChange (enum)
    {22, 596, 0, 0, Smoke::mf_dtor, 0, 30 },	//407 QDBusServiceWatcher::~QDBusServiceWatcher()
    {31, 323, 380, 2, Smoke::mf_static, 211, 1},	//408 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {31, 388, 176, 1, Smoke::mf_static, 289, 2},	//409 QGlobalSpace::qHash(unsigned long long)
    {31, 398, 178, 1, Smoke::mf_static, 211, 3},	//410 QGlobalSpace::qIsInf(double)
    {31, 337, 383, 2, Smoke::mf_static, 95, 4},	//411 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {31, 337, 386, 2, Smoke::mf_static, 95, 5},	//412 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {31, 483, 389, 2, Smoke::mf_static, 289, 6},	//413 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {31, 410, 392, 3, Smoke::mf_static, 301, 7},	//414 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {31, 502, 0, 0, Smoke::mf_static, 0, 8},	//415 QGlobalSpace::qt_noop()
    {31, 313, 396, 2, Smoke::mf_static, 211, 9},	//416 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {31, 299, 399, 2, Smoke::mf_static, 56, 10},	//417 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {31, 313, 402, 2, Smoke::mf_static, 211, 11},	//418 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {31, 313, 405, 2, Smoke::mf_static, 211, 12},	//419 QGlobalSpace::operator==(const QSize&, const QSize&)
    {31, 284, 408, 2, Smoke::mf_static, 217, 13},	//420 QGlobalSpace::operator+(const char*, const QByteArray&)
    {31, 337, 411, 2, Smoke::mf_static, 70, 14},	//421 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {31, 441, 414, 2, Smoke::mf_static, 211, 15},	//422 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {31, 464, 408, 2, Smoke::mf_static, 276, 16},	//423 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {31, 313, 417, 2, Smoke::mf_static, 211, 17},	//424 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {31, 350, 420, 2, Smoke::mf_static, 273, 18},	//425 QGlobalSpace::qAtan2(double, double)
    {31, 328, 423, 2, Smoke::mf_static, 53, 19},	//426 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {31, 323, 426, 2, Smoke::mf_static, 211, 20},	//427 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {31, 398, 429, 1, Smoke::mf_static, 211, 21},	//428 QGlobalSpace::qIsInf(float)
    {31, 455, 1, 1, Smoke::mf_static, 5, 22},	//429 QGlobalSpace::qgetenv(const char*)
    {31, 388, 431, 1, Smoke::mf_static, 289, 23},	//430 QGlobalSpace::qHash(signed char)
    {31, 313, 433, 2, Smoke::mf_static, 211, 24},	//431 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {31, 318, 408, 2, Smoke::mf_static, 211, 25},	//432 QGlobalSpace::operator>(const char*, const QByteArray&)
    {31, 394, 178, 1, Smoke::mf_static, 276, 26},	//433 QGlobalSpace::qIntCast(double)
    {31, 432, 436, 1, Smoke::mf_static, 124, 27},	//434 QGlobalSpace::qSetPadChar(QChar)
    {31, 313, 438, 2, Smoke::mf_static, 211, 28},	//435 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {31, 313, 441, 2, Smoke::mf_static, 211, 29},	//436 QGlobalSpace::operator==(QChar, QChar)
    {31, 313, 444, 2, Smoke::mf_static, 211, 30},	//437 QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    {31, 337, 447, 2, Smoke::mf_static, 91, 31},	//438 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {31, 299, 450, 2, Smoke::mf_static, 13, 32},	//439 QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    {31, 388, 188, 1, Smoke::mf_static, 289, 33},	//440 QGlobalSpace::qHash(const QByteArray&)
    {31, 299, 453, 2, Smoke::mf_static, 13, 34},	//441 QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    {31, 299, 456, 2, Smoke::mf_static, 56, 35},	//442 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {31, 294, 441, 2, Smoke::mf_static, 211, 36},	//443 QGlobalSpace::operator<(QChar, QChar)
    {31, 323, 441, 2, Smoke::mf_static, 211, 37},	//444 QGlobalSpace::operator>=(QChar, QChar)
    {31, 274, 459, 2, Smoke::mf_static, 211, 38},	//445 QGlobalSpace::operator!=(QString::Null, const QString&)
    {31, 299, 462, 2, Smoke::mf_static, 13, 39},	//446 QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    {31, 294, 408, 2, Smoke::mf_static, 211, 40},	//447 QGlobalSpace::operator<(const char*, const QByteArray&)
    {31, 337, 465, 2, Smoke::mf_static, 90, 41},	//448 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {31, 464, 3, 2, Smoke::mf_static, 276, 42},	//449 QGlobalSpace::qstrcmp(const char*, const char*)
    {31, 362, 178, 1, Smoke::mf_static, 273, 43},	//450 QGlobalSpace::qCos(double)
    {31, 337, 468, 2, Smoke::mf_static, 73, 44},	//451 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {31, 318, 441, 2, Smoke::mf_static, 211, 45},	//452 QGlobalSpace::operator>(QChar, QChar)
    {31, 299, 471, 2, Smoke::mf_static, 13, 46},	//453 QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    {31, 337, 474, 2, Smoke::mf_static, 93, 47},	//454 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {31, 281, 477, 2, Smoke::mf_static, 257, 48},	//455 QGlobalSpace::operator*(double, const QSizeF&)
    {31, 436, 0, 0, Smoke::mf_static, 211, 49},	//456 QGlobalSpace::qSharedBuild()
    {31, 337, 480, 2, Smoke::mf_static, 95, 50},	//457 QGlobalSpace::operator|(QDir::Filter, int)
    {31, 274, 380, 2, Smoke::mf_static, 211, 51},	//458 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {31, 289, 483, 2, Smoke::mf_static, 247, 52},	//459 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {31, 328, 486, 2, Smoke::mf_static, 220, 53},	//460 QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    {31, 299, 489, 2, Smoke::mf_static, 53, 54},	//461 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {31, 337, 492, 2, Smoke::mf_static, 95, 55},	//462 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {31, 337, 495, 2, Smoke::mf_static, 89, 56},	//463 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {31, 299, 498, 2, Smoke::mf_static, 13, 57},	//464 QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    {31, 388, 501, 1, Smoke::mf_static, 289, 58},	//465 QGlobalSpace::qHash(char)
    {31, 274, 402, 2, Smoke::mf_static, 211, 59},	//466 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {31, 337, 503, 2, Smoke::mf_static, 76, 60},	//467 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {31, 299, 506, 2, Smoke::mf_static, 56, 61},	//468 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {31, 337, 509, 2, Smoke::mf_static, 95, 62},	//469 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {31, 337, 512, 2, Smoke::mf_static, 95, 63},	//470 QGlobalSpace::operator|(QFile::Permission, int)
    {31, 292, 515, 2, Smoke::mf_static, 247, 64},	//471 QGlobalSpace::operator/(const QPoint&, double)
    {31, 284, 483, 2, Smoke::mf_static, 247, 65},	//472 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {31, 337, 518, 2, Smoke::mf_static, 68, 66},	//473 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {31, 284, 521, 2, Smoke::mf_static, 259, 67},	//474 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {31, 289, 524, 2, Smoke::mf_static, 257, 68},	//475 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {31, 299, 527, 2, Smoke::mf_static, 56, 69},	//476 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {31, 396, 178, 1, Smoke::mf_static, 211, 70},	//477 QGlobalSpace::qIsFinite(double)
    {31, 274, 426, 2, Smoke::mf_static, 211, 71},	//478 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {31, 337, 530, 2, Smoke::mf_static, 85, 72},	//479 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {31, 299, 533, 2, Smoke::mf_static, 56, 73},	//480 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {31, 299, 536, 2, Smoke::mf_static, 56, 74},	//481 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {31, 294, 539, 2, Smoke::mf_static, 211, 75},	//482 QGlobalSpace::operator<(const char*, const QString&)
    {31, 337, 542, 2, Smoke::mf_static, 77, 76},	//483 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {31, 284, 405, 2, Smoke::mf_static, 255, 77},	//484 QGlobalSpace::operator+(const QSize&, const QSize&)
    {31, 337, 545, 2, Smoke::mf_static, 91, 78},	//485 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {31, 337, 548, 2, Smoke::mf_static, 82, 79},	//486 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {31, 494, 170, 1, Smoke::mf_static, 113, 80},	//487 QGlobalSpace::qt_error_string(int)
    {31, 494, 0, 0, Smoke::mf_static, 113, 81},	//488 QGlobalSpace::qt_error_string()
    {31, 284, 524, 2, Smoke::mf_static, 257, 82},	//489 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {31, 337, 551, 2, Smoke::mf_static, 95, 83},	//490 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {31, 294, 554, 2, Smoke::mf_static, 211, 84},	//491 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {31, 446, 557, 2, Smoke::mf_static, 5, 85},	//492 QGlobalSpace::qUncompress(const unsigned char*, int)
    {31, 477, 560, 3, Smoke::mf_static, 276, 86},	//493 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {31, 444, 178, 1, Smoke::mf_static, 273, 87},	//494 QGlobalSpace::qTan(double)
    {31, 318, 396, 2, Smoke::mf_static, 211, 88},	//495 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {31, 274, 564, 2, Smoke::mf_static, 211, 89},	//496 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {31, 430, 170, 1, Smoke::mf_static, 124, 90},	//497 QGlobalSpace::qSetFieldWidth(int)
    {31, 274, 567, 2, Smoke::mf_static, 211, 91},	//498 QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    {31, 337, 570, 2, Smoke::mf_static, 80, 92},	//499 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {31, 294, 567, 2, Smoke::mf_static, 211, 93},	//500 QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    {31, 378, 178, 1, Smoke::mf_static, 276, 94},	//501 QGlobalSpace::qFloor(double)
    {31, 299, 573, 2, Smoke::mf_static, 56, 95},	//502 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {31, 328, 576, 2, Smoke::mf_static, 53, 96},	//503 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {31, 396, 429, 1, Smoke::mf_static, 211, 97},	//504 QGlobalSpace::qIsFinite(float)
    {31, 284, 579, 2, Smoke::mf_static, 259, 98},	//505 QGlobalSpace::operator+(const QString&, QChar)
    {31, 274, 582, 2, Smoke::mf_static, 211, 99},	//506 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {31, 451, 585, 3, Smoke::mf_static, 0, 100},	//507 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {31, 284, 426, 2, Smoke::mf_static, 217, 101},	//508 QGlobalSpace::operator+(const QByteArray&, const char*)
    {31, 337, 589, 2, Smoke::mf_static, 75, 102},	//509 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {31, 284, 414, 2, Smoke::mf_static, 259, 103},	//510 QGlobalSpace::operator+(const QString&, const char*)
    {31, 318, 554, 2, Smoke::mf_static, 211, 104},	//511 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {31, 337, 592, 2, Smoke::mf_static, 88, 105},	//512 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {31, 419, 595, 4, Smoke::mf_static, 301, 106},	//513 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {31, 284, 600, 2, Smoke::mf_static, 259, 107},	//514 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {31, 388, 172, 1, Smoke::mf_static, 289, 108},	//515 QGlobalSpace::qHash(unsigned int)
    {31, 337, 603, 2, Smoke::mf_static, 90, 109},	//516 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {31, 388, 436, 1, Smoke::mf_static, 289, 110},	//517 QGlobalSpace::qHash(QChar)
    {31, 306, 426, 2, Smoke::mf_static, 211, 111},	//518 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {31, 394, 429, 1, Smoke::mf_static, 276, 112},	//519 QGlobalSpace::qIntCast(float)
    {31, 313, 606, 2, Smoke::mf_static, 211, 113},	//520 QGlobalSpace::operator==(const QRect&, const QRect&)
    {31, 337, 609, 2, Smoke::mf_static, 69, 114},	//521 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {31, 335, 612, 2, Smoke::mf_static, 2, 115},	//522 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {31, 318, 615, 2, Smoke::mf_static, 211, 116},	//523 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {31, 417, 618, 2, Smoke::mf_static, 301, 117},	//524 QGlobalSpace::qRealloc(void*, size_t)
    {31, 388, 66, 1, Smoke::mf_static, 289, 118},	//525 QGlobalSpace::qHash(const QString&)
    {31, 306, 554, 2, Smoke::mf_static, 211, 119},	//526 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {31, 299, 621, 2, Smoke::mf_static, 53, 120},	//527 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {31, 299, 624, 2, Smoke::mf_static, 56, 121},	//528 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {31, 427, 178, 1, Smoke::mf_static, 280, 122},	//529 QGlobalSpace::qRound64(double)
    {31, 392, 627, 1, Smoke::mf_static, 299, 123},	//530 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {31, 439, 178, 1, Smoke::mf_static, 273, 124},	//531 QGlobalSpace::qSqrt(double)
    {31, 388, 629, 1, Smoke::mf_static, 289, 125},	//532 QGlobalSpace::qHash(const QModelIndex&)
    {31, 372, 178, 1, Smoke::mf_static, 273, 126},	//533 QGlobalSpace::qFastCos(double)
    {31, 328, 631, 2, Smoke::mf_static, 53, 127},	//534 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {31, 313, 634, 2, Smoke::mf_static, 211, 128},	//535 QGlobalSpace::operator==(QBool, QBool)
    {31, 313, 637, 2, Smoke::mf_static, 211, 129},	//536 QGlobalSpace::operator==(const char*, const QStringRef&)
    {31, 337, 640, 2, Smoke::mf_static, 95, 130},	//537 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {31, 274, 539, 2, Smoke::mf_static, 211, 131},	//538 QGlobalSpace::operator!=(const char*, const QString&)
    {31, 400, 429, 1, Smoke::mf_static, 211, 132},	//539 QGlobalSpace::qIsNaN(float)
    {31, 388, 184, 1, Smoke::mf_static, 289, 133},	//540 QGlobalSpace::qHash(const QDBusSignature&)
    {31, 306, 615, 2, Smoke::mf_static, 211, 134},	//541 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {31, 376, 1, 1, Smoke::mf_static, 270, 135},	//542 QGlobalSpace::qFlagLocation(const char*)
    {31, 299, 643, 2, Smoke::mf_static, 56, 136},	//543 QGlobalSpace::operator<<(QDebug, const QDBusMessage&)
    {31, 337, 646, 2, Smoke::mf_static, 95, 137},	//544 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {31, 400, 178, 1, Smoke::mf_static, 211, 138},	//545 QGlobalSpace::qIsNaN(double)
    {31, 284, 649, 2, Smoke::mf_static, 259, 139},	//546 QGlobalSpace::operator+(QChar, const QString&)
    {31, 337, 652, 2, Smoke::mf_static, 95, 140},	//547 QGlobalSpace::operator|(QString::SectionFlag, int)
    {31, 337, 655, 2, Smoke::mf_static, 95, 141},	//548 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {31, 328, 658, 2, Smoke::mf_static, 53, 142},	//549 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {31, 488, 6, 3, Smoke::mf_static, 0, 143},	//550 QGlobalSpace::qt_assert(const char*, const char*, int)
    {31, 388, 174, 1, Smoke::mf_static, 289, 144},	//551 QGlobalSpace::qHash(long long)
    {31, 274, 661, 2, Smoke::mf_static, 211, 145},	//552 QGlobalSpace::operator!=(const QString&, QString::Null)
    {31, 337, 664, 2, Smoke::mf_static, 95, 146},	//553 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {31, 337, 667, 2, Smoke::mf_static, 75, 147},	//554 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {31, 284, 670, 2, Smoke::mf_static, 259, 148},	//555 QGlobalSpace::operator+(const QString&, char)
    {31, 328, 673, 2, Smoke::mf_static, 220, 149},	//556 QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    {31, 274, 438, 2, Smoke::mf_static, 211, 150},	//557 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {31, 289, 417, 2, Smoke::mf_static, 249, 151},	//558 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {31, 313, 582, 2, Smoke::mf_static, 211, 152},	//559 QGlobalSpace::operator==(QString::Null, QString::Null)
    {31, 337, 676, 2, Smoke::mf_static, 83, 153},	//560 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {31, 294, 615, 2, Smoke::mf_static, 211, 154},	//561 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {31, 337, 679, 2, Smoke::mf_static, 93, 155},	//562 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {31, 386, 429, 1, Smoke::mf_static, 211, 156},	//563 QGlobalSpace::qFuzzyIsNull(float)
    {31, 299, 682, 2, Smoke::mf_static, 13, 157},	//564 QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    {31, 299, 685, 2, Smoke::mf_static, 13, 158},	//565 QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    {31, 337, 688, 2, Smoke::mf_static, 87, 159},	//566 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {31, 469, 691, 2, Smoke::mf_static, 214, 160},	//567 QGlobalSpace::qstrcpy(char*, const char*)
    {31, 388, 170, 1, Smoke::mf_static, 289, 161},	//568 QGlobalSpace::qHash(int)
    {31, 284, 417, 2, Smoke::mf_static, 249, 162},	//569 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {31, 337, 694, 2, Smoke::mf_static, 78, 163},	//570 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {31, 313, 524, 2, Smoke::mf_static, 211, 164},	//571 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {31, 289, 697, 1, Smoke::mf_static, 247, 165},	//572 QGlobalSpace::operator-(const QPoint&)
    {31, 337, 699, 2, Smoke::mf_static, 95, 166},	//573 QGlobalSpace::operator|(Qt::DropAction, int)
    {31, 299, 702, 2, Smoke::mf_static, 53, 167},	//574 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {31, 337, 705, 2, Smoke::mf_static, 95, 168},	//575 QGlobalSpace::operator|(QDir::SortFlag, int)
    {31, 368, 178, 1, Smoke::mf_static, 273, 169},	//576 QGlobalSpace::qExp(double)
    {31, 434, 170, 1, Smoke::mf_static, 124, 170},	//577 QGlobalSpace::qSetRealNumberPrecision(int)
    {31, 313, 708, 2, Smoke::mf_static, 211, 171},	//578 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {31, 337, 711, 2, Smoke::mf_static, 65, 172},	//579 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {31, 404, 178, 1, Smoke::mf_static, 273, 173},	//580 QGlobalSpace::qLn(double)
    {31, 274, 524, 2, Smoke::mf_static, 211, 174},	//581 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {31, 421, 714, 1, Smoke::mf_static, 0, 175},	//582 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {31, 355, 389, 2, Smoke::mf_static, 294, 176},	//583 QGlobalSpace::qChecksum(const char*, unsigned int)
    {31, 337, 716, 2, Smoke::mf_static, 86, 177},	//584 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {31, 406, 719, 1, Smoke::mf_static, 301, 178},	//585 QGlobalSpace::qMalloc(size_t)
    {31, 416, 0, 0, Smoke::mf_static, 273, 179},	//586 QGlobalSpace::qQNaN()
    {31, 337, 721, 2, Smoke::mf_static, 79, 180},	//587 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {31, 328, 724, 2, Smoke::mf_static, 53, 181},	//588 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {31, 457, 408, 2, Smoke::mf_static, 211, 182},	//589 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {31, 299, 727, 2, Smoke::mf_static, 56, 183},	//590 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {31, 337, 730, 2, Smoke::mf_static, 95, 184},	//591 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {31, 462, 172, 1, Smoke::mf_static, 0, 185},	//592 QGlobalSpace::qsrand(unsigned int)
    {31, 388, 733, 1, Smoke::mf_static, 289, 186},	//593 QGlobalSpace::qHash(long)
    {31, 299, 735, 2, Smoke::mf_static, 13, 187},	//594 QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    {31, 313, 567, 2, Smoke::mf_static, 211, 188},	//595 QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    {31, 318, 380, 2, Smoke::mf_static, 211, 189},	//596 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {31, 388, 168, 1, Smoke::mf_static, 289, 190},	//597 QGlobalSpace::qHash(unsigned short)
    {31, 328, 738, 2, Smoke::mf_static, 53, 191},	//598 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {31, 274, 417, 2, Smoke::mf_static, 211, 192},	//599 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {31, 337, 741, 2, Smoke::mf_static, 70, 193},	//600 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {31, 481, 560, 3, Smoke::mf_static, 276, 194},	//601 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {31, 284, 744, 2, Smoke::mf_static, 259, 195},	//602 QGlobalSpace::operator+(char, const QString&)
    {31, 274, 747, 2, Smoke::mf_static, 211, 196},	//603 QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    {31, 328, 750, 2, Smoke::mf_static, 53, 197},	//604 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {31, 313, 459, 2, Smoke::mf_static, 211, 198},	//605 QGlobalSpace::operator==(QString::Null, const QString&)
    {31, 313, 564, 2, Smoke::mf_static, 211, 199},	//606 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {31, 284, 615, 2, Smoke::mf_static, 217, 200},	//607 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {31, 388, 753, 1, Smoke::mf_static, 289, 201},	//608 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {31, 318, 539, 2, Smoke::mf_static, 211, 202},	//609 QGlobalSpace::operator>(const char*, const QString&)
    {31, 299, 755, 2, Smoke::mf_static, 53, 203},	//610 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {31, 299, 758, 2, Smoke::mf_static, 53, 204},	//611 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {31, 503, 761, 3, Smoke::mf_static, 104, 205},	//612 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {31, 337, 765, 2, Smoke::mf_static, 74, 206},	//613 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {31, 337, 768, 2, Smoke::mf_static, 65, 207},	//614 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag)
    {31, 292, 771, 2, Smoke::mf_static, 249, 208},	//615 QGlobalSpace::operator/(const QPointF&, double)
    {31, 274, 774, 2, Smoke::mf_static, 211, 209},	//616 QGlobalSpace::operator!=(bool, QBool)
    {31, 313, 554, 2, Smoke::mf_static, 211, 210},	//617 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {31, 479, 777, 3, Smoke::mf_static, 214, 211},	//618 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {31, 328, 781, 2, Smoke::mf_static, 220, 212},	//619 QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    {31, 446, 188, 1, Smoke::mf_static, 5, 213},	//620 QGlobalSpace::qUncompress(const QByteArray&)
    {31, 299, 784, 2, Smoke::mf_static, 53, 214},	//621 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {31, 328, 787, 2, Smoke::mf_static, 53, 215},	//622 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {31, 337, 790, 2, Smoke::mf_static, 95, 216},	//623 QGlobalSpace::operator|(Qt::MouseButton, int)
    {31, 289, 793, 1, Smoke::mf_static, 249, 217},	//624 QGlobalSpace::operator-(const QPointF&)
    {31, 313, 774, 2, Smoke::mf_static, 211, 218},	//625 QGlobalSpace::operator==(bool, QBool)
    {31, 459, 0, 0, Smoke::mf_static, 276, 219},	//626 QGlobalSpace::qrand()
    {31, 337, 795, 2, Smoke::mf_static, 64, 220},	//627 QGlobalSpace::operator|(QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>)
    {31, 299, 798, 2, Smoke::mf_static, 56, 221},	//628 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {31, 490, 801, 4, Smoke::mf_static, 0, 222},	//629 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {31, 365, 806, 3, Smoke::mf_static, 0, 223},	//630 QGlobalSpace::qDBusReplyFill(const QDBusMessage&, QDBusError&, QVariant&)
    {31, 279, 612, 2, Smoke::mf_static, 2, 224},	//631 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {31, 323, 408, 2, Smoke::mf_static, 211, 225},	//632 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {31, 337, 810, 2, Smoke::mf_static, 88, 226},	//633 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {31, 337, 813, 2, Smoke::mf_static, 95, 227},	//634 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {31, 274, 816, 2, Smoke::mf_static, 211, 228},	//635 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {31, 460, 819, 4, Smoke::mf_static, 0, 229},	//636 QGlobalSpace::qsort(void*, size_t, size_t, __compar_fn_t)
    {31, 364, 0, 0, Smoke::mf_static, 56, 230},	//637 QGlobalSpace::qCritical()
    {31, 299, 824, 2, Smoke::mf_static, 13, 231},	//638 QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    {31, 337, 827, 2, Smoke::mf_static, 82, 232},	//639 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {31, 274, 408, 2, Smoke::mf_static, 211, 233},	//640 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {31, 274, 483, 2, Smoke::mf_static, 211, 234},	//641 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {31, 294, 396, 2, Smoke::mf_static, 211, 235},	//642 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {31, 313, 816, 2, Smoke::mf_static, 211, 236},	//643 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {31, 299, 830, 2, Smoke::mf_static, 53, 237},	//644 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {31, 284, 833, 2, Smoke::mf_static, 217, 238},	//645 QGlobalSpace::operator+(const QByteArray&, char)
    {31, 337, 836, 2, Smoke::mf_static, 68, 239},	//646 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {31, 337, 839, 2, Smoke::mf_static, 66, 240},	//647 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {31, 328, 842, 2, Smoke::mf_static, 53, 241},	//648 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {31, 299, 845, 2, Smoke::mf_static, 56, 242},	//649 QGlobalSpace::operator<<(QDebug, const QDBusError&)
    {31, 292, 848, 2, Smoke::mf_static, 257, 243},	//650 QGlobalSpace::operator/(const QSizeF&, double)
    {31, 323, 554, 2, Smoke::mf_static, 211, 244},	//651 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {31, 299, 851, 2, Smoke::mf_static, 53, 245},	//652 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {31, 313, 483, 2, Smoke::mf_static, 211, 246},	//653 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {31, 343, 854, 1, Smoke::mf_static, 0, 247},	//654 QGlobalSpace::qAddPostRoutine(void(*)())
    {31, 357, 856, 3, Smoke::mf_static, 5, 248},	//655 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {31, 357, 557, 2, Smoke::mf_static, 5, 249},	//656 QGlobalSpace::qCompress(const unsigned char*, int)
    {31, 306, 408, 2, Smoke::mf_static, 211, 250},	//657 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {31, 374, 178, 1, Smoke::mf_static, 273, 251},	//658 QGlobalSpace::qFastSin(double)
    {31, 306, 380, 2, Smoke::mf_static, 211, 252},	//659 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {31, 299, 860, 2, Smoke::mf_static, 53, 253},	//660 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {31, 328, 863, 2, Smoke::mf_static, 53, 254},	//661 QGlobalSpace::operator>>(QDataStream&, QString&)
    {31, 345, 0, 0, Smoke::mf_static, 113, 255},	//662 QGlobalSpace::qAppName()
    {31, 449, 0, 0, Smoke::mf_static, 270, 256},	//663 QGlobalSpace::qVersion()
    {31, 328, 866, 2, Smoke::mf_static, 220, 257},	//664 QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    {31, 328, 869, 2, Smoke::mf_static, 220, 258},	//665 QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    {31, 380, 872, 1, Smoke::mf_static, 0, 259},	//666 QGlobalSpace::qFree(void*)
    {31, 337, 874, 2, Smoke::mf_static, 95, 260},	//667 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {31, 382, 872, 1, Smoke::mf_static, 0, 261},	//668 QGlobalSpace::qFreeAligned(void*)
    {31, 313, 661, 2, Smoke::mf_static, 211, 262},	//669 QGlobalSpace::operator==(const QString&, QString::Null)
    {31, 299, 877, 2, Smoke::mf_static, 56, 263},	//670 QGlobalSpace::operator<<(QDebug, const QDir&)
    {31, 299, 880, 2, Smoke::mf_static, 121, 264},	//671 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {31, 294, 426, 2, Smoke::mf_static, 211, 265},	//672 QGlobalSpace::operator<(const QByteArray&, const char*)
    {31, 299, 883, 2, Smoke::mf_static, 56, 266},	//673 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {31, 328, 886, 2, Smoke::mf_static, 220, 267},	//674 QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    {31, 337, 889, 2, Smoke::mf_static, 69, 268},	//675 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {31, 388, 892, 1, Smoke::mf_static, 289, 269},	//676 QGlobalSpace::qHash(const QBitArray&)
    {31, 299, 894, 2, Smoke::mf_static, 56, 270},	//677 QGlobalSpace::operator<<(QDebug, const QTime&)
    {31, 299, 897, 2, Smoke::mf_static, 121, 271},	//678 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {31, 353, 178, 1, Smoke::mf_static, 276, 272},	//679 QGlobalSpace::qCeil(double)
    {31, 274, 441, 2, Smoke::mf_static, 211, 273},	//680 QGlobalSpace::operator!=(QChar, QChar)
    {31, 337, 900, 2, Smoke::mf_static, 81, 274},	//681 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {31, 441, 903, 2, Smoke::mf_static, 211, 275},	//682 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {31, 471, 1, 1, Smoke::mf_static, 214, 276},	//683 QGlobalSpace::qstrdup(const char*)
    {31, 337, 906, 2, Smoke::mf_static, 64, 277},	//684 QGlobalSpace::operator|(QDBusConnection::RegisterOption, QDBusConnection::RegisterOption)
    {31, 328, 909, 2, Smoke::mf_static, 53, 278},	//685 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {31, 306, 539, 2, Smoke::mf_static, 211, 279},	//686 QGlobalSpace::operator<=(const char*, const QString&)
    {31, 274, 637, 2, Smoke::mf_static, 211, 280},	//687 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {31, 367, 0, 0, Smoke::mf_static, 56, 281},	//688 QGlobalSpace::qDebug()
    {31, 299, 912, 2, Smoke::mf_static, 13, 282},	//689 QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    {31, 408, 915, 2, Smoke::mf_static, 301, 283},	//690 QGlobalSpace::qMallocAligned(size_t, size_t)
    {31, 274, 903, 2, Smoke::mf_static, 211, 284},	//691 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {31, 388, 182, 1, Smoke::mf_static, 289, 285},	//692 QGlobalSpace::qHash(const QDBusObjectPath&)
    {31, 328, 918, 2, Smoke::mf_static, 220, 286},	//693 QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    {31, 414, 420, 2, Smoke::mf_static, 273, 287},	//694 QGlobalSpace::qPow(double, double)
    {31, 306, 396, 2, Smoke::mf_static, 211, 288},	//695 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {31, 299, 921, 2, Smoke::mf_static, 56, 289},	//696 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {31, 337, 924, 2, Smoke::mf_static, 95, 290},	//697 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {31, 328, 880, 2, Smoke::mf_static, 121, 291},	//698 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {31, 284, 927, 2, Smoke::mf_static, 217, 292},	//699 QGlobalSpace::operator+(char, const QByteArray&)
    {31, 313, 408, 2, Smoke::mf_static, 211, 293},	//700 QGlobalSpace::operator==(const char*, const QByteArray&)
    {31, 299, 930, 2, Smoke::mf_static, 53, 294},	//701 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {31, 328, 933, 2, Smoke::mf_static, 220, 295},	//702 QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    {31, 289, 405, 2, Smoke::mf_static, 255, 296},	//703 QGlobalSpace::operator-(const QSize&, const QSize&)
    {31, 328, 936, 2, Smoke::mf_static, 220, 297},	//704 QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    {31, 299, 939, 2, Smoke::mf_static, 56, 298},	//705 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {31, 284, 539, 2, Smoke::mf_static, 259, 299},	//706 QGlobalSpace::operator+(const char*, const QString&)
    {31, 337, 942, 2, Smoke::mf_static, 95, 300},	//707 QGlobalSpace::operator|(Qt::WindowState, int)
    {31, 328, 945, 2, Smoke::mf_static, 53, 301},	//708 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {31, 274, 708, 2, Smoke::mf_static, 211, 302},	//709 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {31, 299, 948, 2, Smoke::mf_static, 56, 303},	//710 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {31, 337, 951, 2, Smoke::mf_static, 85, 304},	//711 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {31, 281, 954, 2, Smoke::mf_static, 249, 305},	//712 QGlobalSpace::operator*(double, const QPointF&)
    {31, 337, 957, 2, Smoke::mf_static, 80, 306},	//713 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {31, 313, 380, 2, Smoke::mf_static, 211, 307},	//714 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {31, 281, 960, 2, Smoke::mf_static, 255, 308},	//715 QGlobalSpace::operator*(const QSize&, double)
    {31, 299, 963, 2, Smoke::mf_static, 56, 309},	//716 QGlobalSpace::operator<<(QDebug, const QDate&)
    {31, 337, 966, 2, Smoke::mf_static, 66, 310},	//717 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {31, 509, 969, 4, Smoke::mf_static, 276, 311},	//718 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {31, 281, 974, 2, Smoke::mf_static, 247, 312},	//719 QGlobalSpace::operator*(double, const QPoint&)
    {31, 412, 977, 3, Smoke::mf_static, 301, 313},	//720 QGlobalSpace::qMemSet(void*, int, size_t)
    {31, 299, 981, 2, Smoke::mf_static, 53, 314},	//721 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {31, 492, 984, 2, Smoke::mf_static, 0, 315},	//722 QGlobalSpace::qt_check_pointer(const char*, int)
    {31, 388, 166, 1, Smoke::mf_static, 289, 316},	//723 QGlobalSpace::qHash(short)
    {31, 337, 987, 2, Smoke::mf_static, 71, 317},	//724 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {31, 370, 178, 1, Smoke::mf_static, 273, 318},	//725 QGlobalSpace::qFabs(double)
    {31, 337, 990, 2, Smoke::mf_static, 79, 319},	//726 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {31, 337, 993, 2, Smoke::mf_static, 67, 320},	//727 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {31, 464, 615, 2, Smoke::mf_static, 276, 321},	//728 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {31, 384, 996, 2, Smoke::mf_static, 211, 322},	//729 QGlobalSpace::qFuzzyCompare(float, float)
    {31, 313, 999, 2, Smoke::mf_static, 211, 323},	//730 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {31, 337, 1002, 2, Smoke::mf_static, 72, 324},	//731 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {31, 453, 1005, 3, Smoke::mf_static, 214, 325},	//732 QGlobalSpace::qgcvt(long double, int, char*)
    {31, 341, 178, 1, Smoke::mf_static, 273, 326},	//733 QGlobalSpace::qAcos(double)
    {31, 337, 1009, 2, Smoke::mf_static, 95, 327},	//734 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {31, 337, 1012, 2, Smoke::mf_static, 83, 328},	//735 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {31, 328, 1015, 2, Smoke::mf_static, 220, 329},	//736 QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    {31, 323, 615, 2, Smoke::mf_static, 211, 330},	//737 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {31, 352, 0, 0, Smoke::mf_static, 0, 331},	//738 QGlobalSpace::qBadAlloc()
    {31, 299, 1018, 2, Smoke::mf_static, 56, 332},	//739 QGlobalSpace::operator<<(QDebug, const QLine&)
    {31, 337, 1021, 2, Smoke::mf_static, 89, 333},	//740 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {31, 337, 1024, 2, Smoke::mf_static, 95, 334},	//741 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {31, 386, 178, 1, Smoke::mf_static, 211, 335},	//742 QGlobalSpace::qFuzzyIsNull(double)
    {31, 357, 1027, 2, Smoke::mf_static, 5, 336},	//743 QGlobalSpace::qCompress(const QByteArray&, int)
    {31, 357, 188, 1, Smoke::mf_static, 5, 337},	//744 QGlobalSpace::qCompress(const QByteArray&)
    {31, 337, 1030, 2, Smoke::mf_static, 77, 338},	//745 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {31, 337, 1033, 2, Smoke::mf_static, 95, 339},	//746 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {31, 337, 1036, 2, Smoke::mf_static, 92, 340},	//747 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {31, 337, 1039, 2, Smoke::mf_static, 63, 341},	//748 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {31, 299, 1042, 2, Smoke::mf_static, 53, 342},	//749 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {31, 299, 1045, 2, Smoke::mf_static, 53, 343},	//750 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {31, 346, 178, 1, Smoke::mf_static, 273, 344},	//751 QGlobalSpace::qAsin(double)
    {31, 299, 1048, 2, Smoke::mf_static, 56, 345},	//752 QGlobalSpace::operator<<(QDebug, const QRect&)
    {31, 328, 1051, 2, Smoke::mf_static, 220, 346},	//753 QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    {31, 337, 1054, 2, Smoke::mf_static, 67, 347},	//754 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {31, 274, 606, 2, Smoke::mf_static, 211, 348},	//755 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {31, 437, 178, 1, Smoke::mf_static, 273, 349},	//756 QGlobalSpace::qSin(double)
    {31, 337, 1057, 2, Smoke::mf_static, 95, 350},	//757 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {31, 313, 615, 2, Smoke::mf_static, 211, 351},	//758 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {31, 328, 1060, 2, Smoke::mf_static, 53, 352},	//759 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {31, 337, 612, 2, Smoke::mf_static, 2, 353},	//760 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {31, 299, 1063, 2, Smoke::mf_static, 53, 354},	//761 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {31, 299, 1066, 2, Smoke::mf_static, 53, 355},	//762 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {31, 337, 1069, 2, Smoke::mf_static, 95, 356},	//763 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {31, 299, 1072, 2, Smoke::mf_static, 53, 357},	//764 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {31, 485, 984, 2, Smoke::mf_static, 113, 358},	//765 QGlobalSpace::qtTrId(const char*, int)
    {31, 485, 1, 1, Smoke::mf_static, 113, 359},	//766 QGlobalSpace::qtTrId(const char*)
    {31, 299, 1075, 2, Smoke::mf_static, 56, 360},	//767 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {31, 306, 441, 2, Smoke::mf_static, 211, 361},	//768 QGlobalSpace::operator<=(QChar, QChar)
    {31, 328, 1078, 2, Smoke::mf_static, 220, 362},	//769 QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    {31, 337, 1081, 2, Smoke::mf_static, 92, 363},	//770 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {31, 274, 999, 2, Smoke::mf_static, 211, 364},	//771 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {31, 337, 1084, 2, Smoke::mf_static, 84, 365},	//772 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {31, 328, 1087, 2, Smoke::mf_static, 53, 366},	//773 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {31, 328, 1090, 2, Smoke::mf_static, 53, 367},	//774 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {31, 507, 1093, 3, Smoke::mf_static, 211, 368},	//775 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {31, 292, 960, 2, Smoke::mf_static, 255, 369},	//776 QGlobalSpace::operator/(const QSize&, double)
    {31, 402, 429, 1, Smoke::mf_static, 211, 370},	//777 QGlobalSpace::qIsNull(float)
    {31, 299, 1097, 2, Smoke::mf_static, 13, 371},	//778 QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    {31, 505, 1100, 5, Smoke::mf_static, 0, 372},	//779 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {31, 313, 1106, 2, Smoke::mf_static, 211, 373},	//780 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {31, 348, 178, 1, Smoke::mf_static, 273, 374},	//781 QGlobalSpace::qAtan(double)
    {31, 328, 1109, 2, Smoke::mf_static, 53, 375},	//782 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {31, 337, 1112, 2, Smoke::mf_static, 95, 376},	//783 QGlobalSpace::operator|(Qt::Orientation, int)
    {31, 384, 420, 2, Smoke::mf_static, 211, 377},	//784 QGlobalSpace::qFuzzyCompare(double, double)
    {31, 274, 396, 2, Smoke::mf_static, 211, 378},	//785 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {31, 281, 515, 2, Smoke::mf_static, 247, 379},	//786 QGlobalSpace::operator*(const QPoint&, double)
    {31, 337, 1115, 2, Smoke::mf_static, 81, 380},	//787 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {31, 337, 1118, 2, Smoke::mf_static, 71, 381},	//788 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {31, 429, 0, 0, Smoke::mf_static, 273, 382},	//789 QGlobalSpace::qSNaN()
    {31, 313, 747, 2, Smoke::mf_static, 211, 383},	//790 QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    {31, 313, 426, 2, Smoke::mf_static, 211, 384},	//791 QGlobalSpace::operator==(const QByteArray&, const char*)
    {31, 281, 848, 2, Smoke::mf_static, 257, 385},	//792 QGlobalSpace::operator*(const QSizeF&, double)
    {31, 313, 903, 2, Smoke::mf_static, 211, 386},	//793 QGlobalSpace::operator==(const QStringRef&, const char*)
    {31, 337, 1121, 2, Smoke::mf_static, 95, 387},	//794 QGlobalSpace::operator|(QDBusConnection::RegisterOption, int)
    {31, 281, 1124, 2, Smoke::mf_static, 255, 388},	//795 QGlobalSpace::operator*(double, const QSize&)
    {31, 299, 1127, 2, Smoke::mf_static, 13, 389},	//796 QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    {31, 294, 380, 2, Smoke::mf_static, 211, 390},	//797 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {31, 274, 1130, 2, Smoke::mf_static, 211, 391},	//798 QGlobalSpace::operator!=(QBool, bool)
    {31, 274, 405, 2, Smoke::mf_static, 211, 392},	//799 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {31, 328, 1133, 2, Smoke::mf_static, 53, 393},	//800 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {31, 299, 1136, 2, Smoke::mf_static, 56, 394},	//801 QGlobalSpace::operator<<(QDebug, const QSize&)
    {31, 274, 554, 2, Smoke::mf_static, 211, 395},	//802 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {31, 337, 1139, 2, Smoke::mf_static, 76, 396},	//803 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {31, 281, 771, 2, Smoke::mf_static, 249, 397},	//804 QGlobalSpace::operator*(const QPointF&, double)
    {31, 473, 3, 2, Smoke::mf_static, 276, 398},	//805 QGlobalSpace::qstricmp(const char*, const char*)
    {31, 337, 1142, 2, Smoke::mf_static, 87, 399},	//806 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {31, 294, 747, 2, Smoke::mf_static, 211, 400},	//807 QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    {31, 274, 433, 2, Smoke::mf_static, 211, 401},	//808 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {31, 425, 178, 1, Smoke::mf_static, 276, 402},	//809 QGlobalSpace::qRound(double)
    {31, 391, 0, 0, Smoke::mf_static, 273, 403},	//810 QGlobalSpace::qInf()
    {31, 299, 1145, 2, Smoke::mf_static, 53, 404},	//811 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {31, 337, 1148, 2, Smoke::mf_static, 84, 405},	//812 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {31, 299, 1151, 2, Smoke::mf_static, 53, 406},	//813 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {31, 337, 1154, 2, Smoke::mf_static, 72, 407},	//814 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {31, 337, 1157, 2, Smoke::mf_static, 95, 408},	//815 QGlobalSpace::operator|(Qt::WindowType, int)
    {31, 464, 426, 2, Smoke::mf_static, 276, 409},	//816 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {31, 423, 854, 1, Smoke::mf_static, 0, 410},	//817 QGlobalSpace::qRemovePostRoutine(void(*)())
    {31, 328, 1160, 2, Smoke::mf_static, 53, 411},	//818 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {31, 299, 1163, 2, Smoke::mf_static, 53, 412},	//819 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {31, 337, 1166, 2, Smoke::mf_static, 86, 413},	//820 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {31, 337, 1169, 2, Smoke::mf_static, 95, 414},	//821 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, int)
    {31, 337, 1172, 2, Smoke::mf_static, 78, 415},	//822 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {31, 450, 0, 0, Smoke::mf_static, 56, 416},	//823 QGlobalSpace::qWarning()
    {31, 475, 1, 1, Smoke::mf_static, 289, 417},	//824 QGlobalSpace::qstrlen(const char*)
    {31, 313, 1130, 2, Smoke::mf_static, 211, 418},	//825 QGlobalSpace::operator==(QBool, bool)
    {31, 328, 1175, 2, Smoke::mf_static, 53, 419},	//826 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {31, 328, 1178, 2, Smoke::mf_static, 53, 420},	//827 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {31, 388, 1181, 1, Smoke::mf_static, 289, 421},	//828 QGlobalSpace::qHash(unsigned long)
    {31, 299, 1183, 2, Smoke::mf_static, 53, 422},	//829 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {31, 299, 1186, 2, Smoke::mf_static, 53, 423},	//830 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {31, 337, 1189, 2, Smoke::mf_static, 73, 424},	//831 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {31, 313, 539, 2, Smoke::mf_static, 211, 425},	//832 QGlobalSpace::operator==(const char*, const QString&)
    {31, 337, 1192, 2, Smoke::mf_static, 74, 426},	//833 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {31, 284, 281, 2, Smoke::mf_static, 259, 427},	//834 QGlobalSpace::operator+(const QString&, const QString&)
    {31, 274, 634, 2, Smoke::mf_static, 211, 428},	//835 QGlobalSpace::operator!=(QBool, QBool)
    {31, 337, 1195, 2, Smoke::mf_static, 63, 429},	//836 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {31, 496, 1198, 2, Smoke::mf_static, 0, 430},	//837 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {31, 323, 539, 2, Smoke::mf_static, 211, 431},	//838 QGlobalSpace::operator>=(const char*, const QString&)
    {31, 388, 1201, 1, Smoke::mf_static, 289, 432},	//839 QGlobalSpace::qHash(const QStringRef&)
    {31, 402, 178, 1, Smoke::mf_static, 211, 433},	//840 QGlobalSpace::qIsNull(double)
    {31, 337, 1203, 2, Smoke::mf_static, 95, 434},	//841 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {31, 323, 396, 2, Smoke::mf_static, 211, 435},	//842 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {31, 318, 426, 2, Smoke::mf_static, 211, 436},	//843 QGlobalSpace::operator>(const QByteArray&, const char*)
    {31, 388, 164, 1, Smoke::mf_static, 289, 437},	//844 QGlobalSpace::qHash(unsigned char)
    {31, 328, 1206, 2, Smoke::mf_static, 53, 438},	//845 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {31, 299, 1209, 2, Smoke::mf_static, 56, 439},	//846 QGlobalSpace::operator<<(QDebug, const QObject*)
    {31, 337, 1212, 2, Smoke::mf_static, 95, 440},	//847 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {31, 274, 615, 2, Smoke::mf_static, 211, 441},	//848 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {31, 299, 1215, 2, Smoke::mf_static, 13, 442},	//849 QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    {31, 328, 1218, 2, Smoke::mf_static, 53, 443},	//850 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {31, 299, 1221, 2, Smoke::mf_static, 53, 444},	//851 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {31, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 445},	//852 QGlobalSpace::_IEEE_ (enum)
    {31, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 446},	//853 QGlobalSpace::_SVID_ (enum)
    {31, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 447},	//854 QGlobalSpace::_XOPEN_ (enum)
    {31, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 448},	//855 QGlobalSpace::_POSIX_ (enum)
    {31, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 449},	//856 QGlobalSpace::_ISOC_ (enum)
    {31, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 450},	//857 QGlobalSpace::QtDebugMsg (enum)
    {31, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 451},	//858 QGlobalSpace::QtWarningMsg (enum)
    {31, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 452},	//859 QGlobalSpace::QtCriticalMsg (enum)
    {31, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 453},	//860 QGlobalSpace::QtFatalMsg (enum)
    {31, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 454},	//861 QGlobalSpace::QtSystemMsg (enum)
    {31, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 455},	//862 QGlobalSpace::__codecvt_ok (enum)
    {31, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 456},	//863 QGlobalSpace::__codecvt_partial (enum)
    {31, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 457},	//864 QGlobalSpace::__codecvt_error (enum)
    {31, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 458},	//865 QGlobalSpace::__codecvt_noconv (enum)
    {41, 268, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 243, 0},	//866 QObject::metaObject() const
    {41, 500, 1, 1, Smoke::mf_virtual, 301, 0},	//867 QObject::qt_metacast(const char*)
    {41, 239, 1224, 1, Smoke::mf_virtual, 211, 0},	//868 QObject::event(QEvent*)
    {41, 240, 1226, 2, Smoke::mf_virtual, 211, 0},	//869 QObject::eventFilter(QObject*, QEvent*)
    {41, 563, 1229, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//870 QObject::timerEvent(QTimerEvent*)
    {41, 194, 1231, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//871 QObject::childEvent(QChildEvent*)
    {41, 219, 1224, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//872 QObject::customEvent(QEvent*)
    {41, 199, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//873 QObject::connectNotify(const char*)
    {41, 228, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//874 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    298,  // QDBusMessage::createError(const QString&, const QString&)
    300,  // QDBusMessage::createError(QDBusError::ErrorType, const QString&)
    0,
    303,  // QDBusMessage::createErrorReply(const QString, const QString&) const
    305,  // QDBusMessage::createErrorReply(QDBusError::ErrorType, const QString&) const
    0,
    246,  // QDBusError::QDBusError(const DBusError*)
    247,  // QDBusError::QDBusError(const QDBusMessage&)
    249,  // QDBusError::QDBusError(const QDBusError&)
    0,
    243,  // QDBusContext::sendErrorReply(const QString&) const
    244,  // QDBusContext::sendErrorReply(QDBusError::ErrorType) const
    0,
    240,  // QDBusContext::sendErrorReply(const QString&, const QString&) const
    241,  // QDBusContext::sendErrorReply(QDBusError::ErrorType, const QString&) const
    0,
    147,  // QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, int) const
    168,  // QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, const char*) const
    0,
    162,  // QDBusConnection::connectToBus(QDBusConnection::BusType, const QString&)
    163,  // QDBusConnection::connectToBus(const QString&, const QString&)
    0,
    100,  // QDBusArgument::beginMapEntry()
    126,  // QDBusArgument::beginMapEntry() const
    0,
    94,  // QDBusArgument::beginStructure()
    120,  // QDBusArgument::beginStructure() const
    0,
    97,  // QDBusArgument::endArray()
    123,  // QDBusArgument::endArray() const
    0,
    99,  // QDBusArgument::endMap()
    125,  // QDBusArgument::endMap() const
    0,
    101,  // QDBusArgument::endMapEntry()
    127,  // QDBusArgument::endMapEntry() const
    0,
    95,  // QDBusArgument::endStructure()
    121,  // QDBusArgument::endStructure() const
    0,
    89,  // QDBusArgument::operator<<(const QDBusVariant&)
    93,  // QDBusArgument::operator<<(const QByteArray&)
    0,
    79,  // QDBusArgument::operator<<(unsigned char)
    80,  // QDBusArgument::operator<<(bool)
    81,  // QDBusArgument::operator<<(short)
    82,  // QDBusArgument::operator<<(unsigned short)
    83,  // QDBusArgument::operator<<(int)
    84,  // QDBusArgument::operator<<(unsigned int)
    85,  // QDBusArgument::operator<<(long long)
    86,  // QDBusArgument::operator<<(unsigned long long)
    87,  // QDBusArgument::operator<<(double)
    88,  // QDBusArgument::operator<<(const QString&)
    90,  // QDBusArgument::operator<<(const QDBusObjectPath&)
    91,  // QDBusArgument::operator<<(const QDBusSignature&)
    0,
    115,  // QDBusArgument::operator>>(QDBusVariant&) const
    119,  // QDBusArgument::operator>>(QByteArray&) const
    0,
    105,  // QDBusArgument::operator>>(unsigned char&) const
    106,  // QDBusArgument::operator>>(bool&) const
    107,  // QDBusArgument::operator>>(short&) const
    108,  // QDBusArgument::operator>>(unsigned short&) const
    109,  // QDBusArgument::operator>>(int&) const
    110,  // QDBusArgument::operator>>(unsigned int&) const
    111,  // QDBusArgument::operator>>(long long&) const
    112,  // QDBusArgument::operator>>(unsigned long long&) const
    113,  // QDBusArgument::operator>>(double&) const
    114,  // QDBusArgument::operator>>(QString&) const
    116,  // QDBusArgument::operator>>(QDBusObjectPath&) const
    117,  // QDBusArgument::operator>>(QDBusSignature&) const
    0,
    458,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    496,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    506,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    557,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    581,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    599,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    635,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    641,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    680,  // QGlobalSpace::operator!=(QChar, QChar)
    709,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    755,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    771,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    799,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    802,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    835,  // QGlobalSpace::operator!=(QBool, QBool)
    848,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    445,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    466,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    478,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    691,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    798,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    552,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    616,  // QGlobalSpace::operator!=(bool, QBool)
    640,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    687,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    785,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    808,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    498,  // QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    538,  // QGlobalSpace::operator!=(const char*, const QString&)
    603,  // QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    0,
    715,  // QGlobalSpace::operator*(const QSize&, double)
    786,  // QGlobalSpace::operator*(const QPoint&, double)
    792,  // QGlobalSpace::operator*(const QSizeF&, double)
    804,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    455,  // QGlobalSpace::operator*(double, const QSizeF&)
    712,  // QGlobalSpace::operator*(double, const QPointF&)
    719,  // QGlobalSpace::operator*(double, const QPoint&)
    795,  // QGlobalSpace::operator*(double, const QSize&)
    0,
    472,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    484,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    489,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    569,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    607,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    0,
    508,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    514,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    546,  // QGlobalSpace::operator+(QChar, const QString&)
    645,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    420,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    474,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    505,  // QGlobalSpace::operator+(const QString&, QChar)
    699,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    510,  // QGlobalSpace::operator+(const QString&, const char*)
    555,  // QGlobalSpace::operator+(const QString&, char)
    602,  // QGlobalSpace::operator+(char, const QString&)
    706,  // QGlobalSpace::operator+(const char*, const QString&)
    834,  // QGlobalSpace::operator+(const QString&, const QString&)
    0,
    572,  // QGlobalSpace::operator-(const QPoint&)
    624,  // QGlobalSpace::operator-(const QPointF&)
    0,
    459,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    475,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    558,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    703,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    471,  // QGlobalSpace::operator/(const QPoint&, double)
    615,  // QGlobalSpace::operator/(const QPointF&, double)
    650,  // QGlobalSpace::operator/(const QSizeF&, double)
    776,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    443,  // QGlobalSpace::operator<(QChar, QChar)
    491,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    561,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    797,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    447,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    642,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    482,  // QGlobalSpace::operator<(const char*, const QString&)
    500,  // QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    807,  // QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    0,
    439,  // QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    441,  // QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    442,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    453,  // QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    461,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    464,  // QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    468,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    476,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    480,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    481,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    502,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    527,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    528,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    543,  // QGlobalSpace::operator<<(QDebug, const QDBusMessage&)
    564,  // QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    565,  // QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    574,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    594,  // QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    611,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    621,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    628,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    638,  // QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    649,  // QGlobalSpace::operator<<(QDebug, const QDBusError&)
    652,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    660,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    670,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    671,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    673,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    677,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    678,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    696,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    701,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    705,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    716,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    721,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    739,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    749,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    750,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    752,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    761,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    762,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    764,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    767,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    778,  // QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    796,  // QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    801,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    813,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    819,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    829,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    830,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    846,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    849,  // QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    851,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    417,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    590,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    610,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    710,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    811,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    446,  // QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    644,  // QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    689,  // QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    0,
    526,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    541,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    659,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    768,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    657,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    695,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    0,
    419,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    424,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    435,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    436,  // QGlobalSpace::operator==(QChar, QChar)
    437,  // QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    520,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    535,  // QGlobalSpace::operator==(QBool, QBool)
    559,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    571,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    578,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    606,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    617,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    643,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    653,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    714,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    730,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    758,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    780,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    0,
    418,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    605,  // QGlobalSpace::operator==(QString::Null, const QString&)
    791,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    793,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    825,  // QGlobalSpace::operator==(QBool, bool)
    0,
    416,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    431,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    536,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    625,  // QGlobalSpace::operator==(bool, QBool)
    669,  // QGlobalSpace::operator==(const QString&, QString::Null)
    700,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    0,
    595,  // QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    790,  // QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    832,  // QGlobalSpace::operator==(const char*, const QString&)
    0,
    452,  // QGlobalSpace::operator>(QChar, QChar)
    511,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    523,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    596,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    432,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    495,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    0,
    408,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    444,  // QGlobalSpace::operator>=(QChar, QChar)
    651,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    737,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    632,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    842,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    0,
    426,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    460,  // QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    503,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    534,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    549,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    556,  // QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    598,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    604,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    619,  // QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    622,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    648,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    664,  // QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    665,  // QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    674,  // QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    685,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    693,  // QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    698,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    702,  // QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    704,  // QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    708,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    736,  // QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    753,  // QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    759,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    769,  // QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    773,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    782,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    800,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    818,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    826,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    827,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    845,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    850,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    661,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    774,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    411,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    412,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    421,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    438,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    448,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    451,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    454,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    457,  // QGlobalSpace::operator|(QDir::Filter, int)
    462,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    463,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    467,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    469,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    470,  // QGlobalSpace::operator|(QFile::Permission, int)
    473,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    479,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    483,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    485,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    486,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    490,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    499,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    509,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    512,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    516,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    521,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    537,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    544,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    547,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    548,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    553,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    554,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    560,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    562,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    566,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    570,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    573,  // QGlobalSpace::operator|(Qt::DropAction, int)
    575,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    579,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    584,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    587,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    591,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    600,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    613,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    614,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag)
    623,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    627,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>)
    633,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    634,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    639,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    646,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    647,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    667,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    675,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    681,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    684,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, QDBusConnection::RegisterOption)
    697,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    707,  // QGlobalSpace::operator|(Qt::WindowState, int)
    711,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    713,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    717,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    724,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    726,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    727,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    731,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    734,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    735,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    740,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    741,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    745,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    746,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    747,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    748,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    754,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    757,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    763,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    770,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    772,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    783,  // QGlobalSpace::operator|(Qt::Orientation, int)
    787,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    788,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    794,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, int)
    803,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    806,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    812,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    814,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    815,  // QGlobalSpace::operator|(Qt::WindowType, int)
    820,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    821,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, int)
    822,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    831,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    833,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    836,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    841,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    847,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
    729,  // QGlobalSpace::qFuzzyCompare(float, float)
    784,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    563,  // QGlobalSpace::qFuzzyIsNull(float)
    742,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    440,  // QGlobalSpace::qHash(const QByteArray&)
    517,  // QGlobalSpace::qHash(QChar)
    532,  // QGlobalSpace::qHash(const QModelIndex&)
    608,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    676,  // QGlobalSpace::qHash(const QBitArray&)
    839,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    409,  // QGlobalSpace::qHash(unsigned long long)
    430,  // QGlobalSpace::qHash(signed char)
    465,  // QGlobalSpace::qHash(char)
    515,  // QGlobalSpace::qHash(unsigned int)
    525,  // QGlobalSpace::qHash(const QString&)
    540,  // QGlobalSpace::qHash(const QDBusSignature&)
    551,  // QGlobalSpace::qHash(long long)
    568,  // QGlobalSpace::qHash(int)
    593,  // QGlobalSpace::qHash(long)
    597,  // QGlobalSpace::qHash(unsigned short)
    692,  // QGlobalSpace::qHash(const QDBusObjectPath&)
    723,  // QGlobalSpace::qHash(short)
    828,  // QGlobalSpace::qHash(unsigned long)
    844,  // QGlobalSpace::qHash(unsigned char)
    0,
    433,  // QGlobalSpace::qIntCast(double)
    519,  // QGlobalSpace::qIntCast(float)
    0,
    477,  // QGlobalSpace::qIsFinite(double)
    504,  // QGlobalSpace::qIsFinite(float)
    0,
    410,  // QGlobalSpace::qIsInf(double)
    428,  // QGlobalSpace::qIsInf(float)
    0,
    539,  // QGlobalSpace::qIsNaN(float)
    545,  // QGlobalSpace::qIsNaN(double)
    0,
    777,  // QGlobalSpace::qIsNull(float)
    840,  // QGlobalSpace::qIsNull(double)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {7, 6, 4},	// QDBus::AutoDetect
    {7, 9, 2},	// QDBus::Block
    {7, 10, 3},	// QDBus::BlockWithGui
    {7, 50, 1},	// QDBus::NoBlock
    {8, 59, 12},	// QDBusAbstractAdaptor::QDBusAbstractAdaptor#
    {8, 153, 14},	// QDBusAbstractAdaptor::autoRelaySignals
    {8, 268, 5},	// QDBusAbstractAdaptor::metaObject
    {8, 499, 11},	// QDBusAbstractAdaptor::qt_metacall$$?
    {8, 501, 6},	// QDBusAbstractAdaptor::qt_metacast$
    {8, 547, 13},	// QDBusAbstractAdaptor::setAutoRelaySignals$
    {8, 561, 17},	// QDBusAbstractAdaptor::staticMetaObject
    {8, 565, 15},	// QDBusAbstractAdaptor::tr$
    {8, 566, 7},	// QDBusAbstractAdaptor::tr$$
    {8, 567, 9},	// QDBusAbstractAdaptor::tr$$$
    {8, 569, 16},	// QDBusAbstractAdaptor::trUtf8$
    {8, 570, 8},	// QDBusAbstractAdaptor::trUtf8$$
    {8, 571, 10},	// QDBusAbstractAdaptor::trUtf8$$$
    {8, 583, 18},	// QDBusAbstractAdaptor::~QDBusAbstractAdaptor
    {9, 61, 39},	// QDBusAbstractInterface::QDBusAbstractInterface$$$##
    {9, 141, 63},	// QDBusAbstractInterface::asyncCall$
    {9, 142, 64},	// QDBusAbstractInterface::asyncCall$#
    {9, 143, 65},	// QDBusAbstractInterface::asyncCall$##
    {9, 144, 66},	// QDBusAbstractInterface::asyncCall$###
    {9, 145, 67},	// QDBusAbstractInterface::asyncCall$####
    {9, 146, 68},	// QDBusAbstractInterface::asyncCall$#####
    {9, 147, 69},	// QDBusAbstractInterface::asyncCall$######
    {9, 148, 70},	// QDBusAbstractInterface::asyncCall$#######
    {9, 149, 37},	// QDBusAbstractInterface::asyncCall$########
    {9, 151, 38},	// QDBusAbstractInterface::asyncCallWithArgumentList$?
    {9, 165, 47},	// QDBusAbstractInterface::call$
    {9, 166, 48},	// QDBusAbstractInterface::call$#
    {9, 167, 49},	// QDBusAbstractInterface::call$##
    {9, 168, 50},	// QDBusAbstractInterface::call$###
    {9, 169, 51},	// QDBusAbstractInterface::call$####
    {9, 170, 52},	// QDBusAbstractInterface::call$#####
    {9, 171, 53},	// QDBusAbstractInterface::call$######
    {9, 172, 54},	// QDBusAbstractInterface::call$#######
    {9, 173, 32},	// QDBusAbstractInterface::call$########
    {9, 174, 55},	// QDBusAbstractInterface::call$$
    {9, 175, 56},	// QDBusAbstractInterface::call$$#
    {9, 176, 57},	// QDBusAbstractInterface::call$$##
    {9, 177, 58},	// QDBusAbstractInterface::call$$###
    {9, 178, 59},	// QDBusAbstractInterface::call$$####
    {9, 179, 60},	// QDBusAbstractInterface::call$$#####
    {9, 180, 61},	// QDBusAbstractInterface::call$$######
    {9, 181, 62},	// QDBusAbstractInterface::call$$#######
    {9, 182, 33},	// QDBusAbstractInterface::call$$########
    {9, 184, 34},	// QDBusAbstractInterface::callWithArgumentList$$?
    {9, 189, 36},	// QDBusAbstractInterface::callWithCallback$?#$
    {9, 190, 35},	// QDBusAbstractInterface::callWithCallback$?#$$
    {9, 200, 40},	// QDBusAbstractInterface::connectNotify$
    {9, 203, 27},	// QDBusAbstractInterface::connection
    {9, 229, 41},	// QDBusAbstractInterface::disconnectNotify$
    {9, 247, 30},	// QDBusAbstractInterface::interface
    {9, 249, 71},	// QDBusAbstractInterface::internalConstCall$$
    {9, 250, 44},	// QDBusAbstractInterface::internalConstCall$$?
    {9, 252, 42},	// QDBusAbstractInterface::internalPropGet$
    {9, 254, 43},	// QDBusAbstractInterface::internalPropSet$#
    {9, 262, 26},	// QDBusAbstractInterface::isValid
    {9, 263, 31},	// QDBusAbstractInterface::lastError
    {9, 268, 19},	// QDBusAbstractInterface::metaObject
    {9, 340, 29},	// QDBusAbstractInterface::path
    {9, 499, 25},	// QDBusAbstractInterface::qt_metacall$$?
    {9, 501, 20},	// QDBusAbstractInterface::qt_metacast$
    {9, 530, 28},	// QDBusAbstractInterface::service
    {9, 561, 72},	// QDBusAbstractInterface::staticMetaObject
    {9, 565, 45},	// QDBusAbstractInterface::tr$
    {9, 566, 21},	// QDBusAbstractInterface::tr$$
    {9, 567, 23},	// QDBusAbstractInterface::tr$$$
    {9, 569, 46},	// QDBusAbstractInterface::trUtf8$
    {9, 570, 22},	// QDBusAbstractInterface::trUtf8$$
    {9, 571, 24},	// QDBusAbstractInterface::trUtf8$$$
    {9, 584, 73},	// QDBusAbstractInterface::~QDBusAbstractInterface
    {10, 499, 74},	// QDBusAbstractInterfaceBase::qt_metacall$$?
    {10, 585, 75},	// QDBusAbstractInterfaceBase::~QDBusAbstractInterfaceBase
    {11, 5, 132},	// QDBusArgument::ArrayType
    {11, 8, 130},	// QDBusArgument::BasicType
    {11, 41, 135},	// QDBusArgument::MapEntryType
    {11, 42, 134},	// QDBusArgument::MapType
    {11, 62, 76},	// QDBusArgument::QDBusArgument
    {11, 63, 77},	// QDBusArgument::QDBusArgument#
    {11, 108, 133},	// QDBusArgument::StructureType
    {11, 115, 136},	// QDBusArgument::UnknownType
    {11, 118, 131},	// QDBusArgument::VariantType
    {11, 135, 102},	// QDBusArgument::appendVariant#
    {11, 137, 129},	// QDBusArgument::asVariant
    {11, 152, 128},	// QDBusArgument::atEnd
    {11, 155, 122},	// QDBusArgument::beginArray
    {11, 156, 96},	// QDBusArgument::beginArray$
    {11, 157, 124},	// QDBusArgument::beginMap
    {11, 158, 98},	// QDBusArgument::beginMap$$
    {11, 159, -23},	// QDBusArgument::beginMapEntry
    {11, 160, -26},	// QDBusArgument::beginStructure
    {11, 217, 103},	// QDBusArgument::currentSignature
    {11, 218, 104},	// QDBusArgument::currentType
    {11, 230, -29},	// QDBusArgument::endArray
    {11, 231, -32},	// QDBusArgument::endMap
    {11, 232, -35},	// QDBusArgument::endMapEntry
    {11, 233, -38},	// QDBusArgument::endStructure
    {11, 300, -41},	// QDBusArgument::operator<<#
    {11, 304, -44},	// QDBusArgument::operator<<$
    {11, 305, 92},	// QDBusArgument::operator<<?
    {11, 312, 78},	// QDBusArgument::operator=#
    {11, 329, -57},	// QDBusArgument::operator>>#
    {11, 333, -60},	// QDBusArgument::operator>>$
    {11, 334, 118},	// QDBusArgument::operator>>?
    {11, 586, 137},	// QDBusArgument::~QDBusArgument
    {12, 2, 178},	// QDBusConnection::ActivationBus
    {12, 15, 179},	// QDBusConnection::ExportAdaptors
    {12, 16, 191},	// QDBusConnection::ExportAllContents
    {12, 17, 190},	// QDBusConnection::ExportAllProperties
    {12, 18, 192},	// QDBusConnection::ExportAllSignal
    {12, 19, 189},	// QDBusConnection::ExportAllSignals
    {12, 20, 188},	// QDBusConnection::ExportAllSlots
    {12, 21, 193},	// QDBusConnection::ExportChildObjects
    {12, 22, 187},	// QDBusConnection::ExportNonScriptableContents
    {12, 23, 186},	// QDBusConnection::ExportNonScriptableProperties
    {12, 24, 185},	// QDBusConnection::ExportNonScriptableSignals
    {12, 25, 184},	// QDBusConnection::ExportNonScriptableSlots
    {12, 26, 183},	// QDBusConnection::ExportScriptableContents
    {12, 27, 182},	// QDBusConnection::ExportScriptableProperties
    {12, 28, 181},	// QDBusConnection::ExportScriptableSignals
    {12, 29, 180},	// QDBusConnection::ExportScriptableSlots
    {12, 65, 139},	// QDBusConnection::QDBusConnection#
    {12, 66, 138},	// QDBusConnection::QDBusConnection$
    {12, 106, 176},	// QDBusConnection::SessionBus
    {12, 109, 177},	// QDBusConnection::SystemBus
    {12, 116, 194},	// QDBusConnection::UnregisterNode
    {12, 117, 195},	// QDBusConnection::UnregisterTree
    {12, 139, 172},	// QDBusConnection::asyncCall#
    {12, 140, 149},	// QDBusConnection::asyncCall#$
    {12, 154, 142},	// QDBusConnection::baseService
    {12, 162, 170},	// QDBusConnection::call#
    {12, 163, 171},	// QDBusConnection::call#$
    {12, 164, 148},	// QDBusConnection::call#$$
    {12, 186, 169},	// QDBusConnection::callWithCallback##$
    {12, 187, -17},	// QDBusConnection::callWithCallback##$$
    {12, 188, 146},	// QDBusConnection::callWithCallback##$$$
    {12, 196, 150},	// QDBusConnection::connect$$$$#$
    {12, 197, 151},	// QDBusConnection::connect$$$$$#$
    {12, 198, 152},	// QDBusConnection::connect$$$$?$#$
    {12, 202, -20},	// QDBusConnection::connectToBus$$
    {12, 223, 153},	// QDBusConnection::disconnect$$$$#$
    {12, 224, 154},	// QDBusConnection::disconnect$$$$$#$
    {12, 225, 155},	// QDBusConnection::disconnect$$$$?$#$
    {12, 227, 164},	// QDBusConnection::disconnectFromBus$
    {12, 247, 161},	// QDBusConnection::interface
    {12, 255, 141},	// QDBusConnection::isConnected
    {12, 263, 143},	// QDBusConnection::lastError
    {12, 269, 144},	// QDBusConnection::name
    {12, 273, 158},	// QDBusConnection::objectRegisteredAt$
    {12, 312, 140},	// QDBusConnection::operator=#
    {12, 514, 173},	// QDBusConnection::registerObject$#
    {12, 515, 156},	// QDBusConnection::registerObject$#$
    {12, 517, 159},	// QDBusConnection::registerService$
    {12, 525, 145},	// QDBusConnection::send#
    {12, 529, 167},	// QDBusConnection::sender
    {12, 543, 165},	// QDBusConnection::sessionBus
    {12, 561, 175},	// QDBusConnection::staticMetaObject
    {12, 562, 166},	// QDBusConnection::systemBus
    {12, 576, 174},	// QDBusConnection::unregisterObject$
    {12, 577, 157},	// QDBusConnection::unregisterObject$$
    {12, 579, 160},	// QDBusConnection::unregisterService$
    {12, 587, 196},	// QDBusConnection::~QDBusConnection
    {13, 4, 230},	// QDBusConnectionInterface::AllowReplacement
    {13, 12, 229},	// QDBusConnectionInterface::DontAllowReplacement
    {13, 13, 226},	// QDBusConnectionInterface::DontQueueService
    {13, 45, 216},	// QDBusConnectionInterface::NameAcquired$
    {13, 47, 217},	// QDBusConnectionInterface::NameLost$
    {13, 49, 218},	// QDBusConnectionInterface::NameOwnerChanged$$$
    {13, 99, 227},	// QDBusConnectionInterface::QueueService
    {13, 100, 228},	// QDBusConnectionInterface::ReplaceExistingService
    {13, 102, 231},	// QDBusConnectionInterface::ServiceNotRegistered
    {13, 103, 233},	// QDBusConnectionInterface::ServiceQueued
    {13, 104, 232},	// QDBusConnectionInterface::ServiceRegistered
    {13, 192, 215},	// QDBusConnectionInterface::callWithCallbackFailed##
    {13, 200, 219},	// QDBusConnectionInterface::connectNotify$
    {13, 229, 220},	// QDBusConnectionInterface::disconnectNotify$
    {13, 261, 205},	// QDBusConnectionInterface::isServiceRegistered$
    {13, 268, 197},	// QDBusConnectionInterface::metaObject
    {13, 499, 203},	// QDBusConnectionInterface::qt_metacall$$?
    {13, 501, 198},	// QDBusConnectionInterface::qt_metacast$
    {13, 517, 223},	// QDBusConnectionInterface::registerService$
    {13, 518, 224},	// QDBusConnectionInterface::registerService$$
    {13, 519, 208},	// QDBusConnectionInterface::registerService$$$
    {13, 520, 204},	// QDBusConnectionInterface::registeredServiceNames
    {13, 532, 206},	// QDBusConnectionInterface::serviceOwner$
    {13, 534, 214},	// QDBusConnectionInterface::serviceOwnerChanged$$$
    {13, 536, 209},	// QDBusConnectionInterface::servicePid$
    {13, 538, 212},	// QDBusConnectionInterface::serviceRegistered$
    {13, 540, 210},	// QDBusConnectionInterface::serviceUid$
    {13, 542, 213},	// QDBusConnectionInterface::serviceUnregistered$
    {13, 560, 211},	// QDBusConnectionInterface::startService$
    {13, 561, 225},	// QDBusConnectionInterface::staticMetaObject
    {13, 565, 221},	// QDBusConnectionInterface::tr$
    {13, 566, 199},	// QDBusConnectionInterface::tr$$
    {13, 567, 201},	// QDBusConnectionInterface::tr$$$
    {13, 569, 222},	// QDBusConnectionInterface::trUtf8$
    {13, 570, 200},	// QDBusConnectionInterface::trUtf8$$
    {13, 571, 202},	// QDBusConnectionInterface::trUtf8$$$
    {13, 579, 207},	// QDBusConnectionInterface::unregisterService$
    {14, 67, 234},	// QDBusContext::QDBusContext
    {14, 68, 242},	// QDBusContext::QDBusContext#
    {14, 193, 235},	// QDBusContext::calledFromDBus
    {14, 203, 236},	// QDBusContext::connection
    {14, 256, 238},	// QDBusContext::isDelayedReply
    {14, 267, 237},	// QDBusContext::message
    {14, 527, -11},	// QDBusContext::sendErrorReply$
    {14, 528, -14},	// QDBusContext::sendErrorReply$$
    {14, 551, 239},	// QDBusContext::setDelayedReply$
    {14, 588, 245},	// QDBusContext::~QDBusContext
    {15, 1, 266},	// QDBusError::AccessDenied
    {15, 3, 270},	// QDBusError::AddressInUse
    {15, 7, 263},	// QDBusError::BadAddress
    {15, 11, 271},	// QDBusError::Disconnected
    {15, 30, 259},	// QDBusError::Failed
    {15, 31, 277},	// QDBusError::InternalError
    {15, 32, 272},	// QDBusError::InvalidArgs
    {15, 33, 281},	// QDBusError::InvalidInterface
    {15, 34, 282},	// QDBusError::InvalidMember
    {15, 36, 280},	// QDBusError::InvalidObjectPath
    {15, 37, 279},	// QDBusError::InvalidService
    {15, 38, 275},	// QDBusError::InvalidSignature
    {15, 39, 283},	// QDBusError::LastErrorType
    {15, 40, 265},	// QDBusError::LimitsExceeded
    {15, 51, 257},	// QDBusError::NoError
    {15, 52, 260},	// QDBusError::NoMemory
    {15, 53, 269},	// QDBusError::NoNetwork
    {15, 54, 262},	// QDBusError::NoReply
    {15, 55, 267},	// QDBusError::NoServer
    {15, 56, 264},	// QDBusError::NotSupported
    {15, 57, 258},	// QDBusError::Other
    {15, 69, 256},	// QDBusError::QDBusError
    {15, 70, -7},	// QDBusError::QDBusError#
    {15, 71, 248},	// QDBusError::QDBusError$$
    {15, 105, 261},	// QDBusError::ServiceUnknown
    {15, 110, 274},	// QDBusError::TimedOut
    {15, 111, 268},	// QDBusError::Timeout
    {15, 112, 276},	// QDBusError::UnknownInterface
    {15, 113, 273},	// QDBusError::UnknownMethod
    {15, 114, 278},	// QDBusError::UnknownObject
    {15, 238, 255},	// QDBusError::errorString$
    {15, 262, 254},	// QDBusError::isValid
    {15, 267, 253},	// QDBusError::message
    {15, 269, 252},	// QDBusError::name
    {15, 312, 250},	// QDBusError::operator=#
    {15, 572, 251},	// QDBusError::type
    {15, 589, 284},	// QDBusError::~QDBusError
    {16, 73, 289},	// QDBusInterface::QDBusInterface$$
    {16, 74, 290},	// QDBusInterface::QDBusInterface$$$
    {16, 75, 291},	// QDBusInterface::QDBusInterface$$$#
    {16, 76, 285},	// QDBusInterface::QDBusInterface$$$##
    {16, 268, 286},	// QDBusInterface::metaObject
    {16, 499, 288},	// QDBusInterface::qt_metacall$$?
    {16, 501, 287},	// QDBusInterface::qt_metacast$
    {16, 590, 292},	// QDBusInterface::~QDBusInterface
    {17, 14, 324},	// QDBusMessage::ErrorMessage
    {17, 35, 321},	// QDBusMessage::InvalidMessage
    {17, 43, 322},	// QDBusMessage::MethodCallMessage
    {17, 77, 293},	// QDBusMessage::QDBusMessage
    {17, 78, 294},	// QDBusMessage::QDBusMessage#
    {17, 101, 323},	// QDBusMessage::ReplyMessage
    {17, 107, 325},	// QDBusMessage::SignalMessage
    {17, 136, 318},	// QDBusMessage::arguments
    {17, 205, 299},	// QDBusMessage::createError#
    {17, 206, -1},	// QDBusMessage::createError$$
    {17, 208, 304},	// QDBusMessage::createErrorReply#
    {17, 209, -4},	// QDBusMessage::createErrorReply$$
    {17, 211, 297},	// QDBusMessage::createMethodCall$$$$
    {17, 212, 320},	// QDBusMessage::createReply
    {17, 213, 302},	// QDBusMessage::createReply#
    {17, 214, 301},	// QDBusMessage::createReply?
    {17, 216, 296},	// QDBusMessage::createSignal$$$
    {17, 235, 311},	// QDBusMessage::errorMessage
    {17, 236, 310},	// QDBusMessage::errorName
    {17, 247, 308},	// QDBusMessage::interface
    {17, 256, 316},	// QDBusMessage::isDelayedReply
    {17, 259, 314},	// QDBusMessage::isReplyRequired
    {17, 266, 309},	// QDBusMessage::member
    {17, 300, 319},	// QDBusMessage::operator<<#
    {17, 312, 295},	// QDBusMessage::operator=#
    {17, 340, 307},	// QDBusMessage::path
    {17, 530, 306},	// QDBusMessage::service
    {17, 545, 317},	// QDBusMessage::setArguments?
    {17, 551, 315},	// QDBusMessage::setDelayedReply$
    {17, 556, 313},	// QDBusMessage::signature
    {17, 572, 312},	// QDBusMessage::type
    {17, 591, 326},	// QDBusMessage::~QDBusMessage
    {18, 79, 332},	// QDBusMetaType::QDBusMetaType
    {18, 80, 333},	// QDBusMetaType::QDBusMetaType#
    {18, 221, 329},	// QDBusMetaType::demarshall#$$
    {18, 265, 328},	// QDBusMetaType::marshall#$$
    {18, 512, 327},	// QDBusMetaType::registerMarshallOperators$$$
    {18, 558, 330},	// QDBusMetaType::signatureToType$
    {18, 574, 331},	// QDBusMetaType::typeToSignature$
    {18, 592, 334},	// QDBusMetaType::~QDBusMetaType
    {19, 82, 335},	// QDBusPendingCall::QDBusPendingCall#
    {19, 234, 341},	// QDBusPendingCall::error
    {19, 244, 344},	// QDBusPendingCall::fromCompletedCall#
    {19, 246, 343},	// QDBusPendingCall::fromError#
    {19, 257, 339},	// QDBusPendingCall::isError
    {19, 258, 337},	// QDBusPendingCall::isFinished
    {19, 262, 340},	// QDBusPendingCall::isValid
    {19, 312, 336},	// QDBusPendingCall::operator=#
    {19, 523, 342},	// QDBusPendingCall::reply
    {19, 580, 338},	// QDBusPendingCall::waitForFinished
    {19, 593, 345},	// QDBusPendingCall::~QDBusPendingCall
    {20, 84, 358},	// QDBusPendingCallWatcher::QDBusPendingCallWatcher#
    {20, 85, 353},	// QDBusPendingCallWatcher::QDBusPendingCallWatcher##
    {20, 242, 355},	// QDBusPendingCallWatcher::finished#
    {20, 268, 346},	// QDBusPendingCallWatcher::metaObject
    {20, 499, 352},	// QDBusPendingCallWatcher::qt_metacall$$?
    {20, 501, 347},	// QDBusPendingCallWatcher::qt_metacast$
    {20, 561, 359},	// QDBusPendingCallWatcher::staticMetaObject
    {20, 565, 356},	// QDBusPendingCallWatcher::tr$
    {20, 566, 348},	// QDBusPendingCallWatcher::tr$$
    {20, 567, 350},	// QDBusPendingCallWatcher::tr$$$
    {20, 569, 357},	// QDBusPendingCallWatcher::trUtf8$
    {20, 570, 349},	// QDBusPendingCallWatcher::trUtf8$$
    {20, 571, 351},	// QDBusPendingCallWatcher::trUtf8$$$
    {20, 580, 354},	// QDBusPendingCallWatcher::waitForFinished
    {20, 594, 360},	// QDBusPendingCallWatcher::~QDBusPendingCallWatcher
    {21, 87, 375},	// QDBusServer::QDBusServer$
    {21, 88, 368},	// QDBusServer::QDBusServer$#
    {21, 133, 371},	// QDBusServer::address
    {21, 255, 369},	// QDBusServer::isConnected
    {21, 263, 370},	// QDBusServer::lastError
    {21, 268, 361},	// QDBusServer::metaObject
    {21, 271, 372},	// QDBusServer::newConnection#
    {21, 499, 367},	// QDBusServer::qt_metacall$$?
    {21, 501, 362},	// QDBusServer::qt_metacast$
    {21, 561, 376},	// QDBusServer::staticMetaObject
    {21, 565, 373},	// QDBusServer::tr$
    {21, 566, 363},	// QDBusServer::tr$$
    {21, 567, 365},	// QDBusServer::tr$$$
    {21, 569, 374},	// QDBusServer::trUtf8$
    {21, 570, 364},	// QDBusServer::trUtf8$$
    {21, 571, 366},	// QDBusServer::trUtf8$$$
    {21, 595, 377},	// QDBusServer::~QDBusServer
    {22, 89, 400},	// QDBusServiceWatcher::QDBusServiceWatcher
    {22, 90, 385},	// QDBusServiceWatcher::QDBusServiceWatcher#
    {22, 91, 401},	// QDBusServiceWatcher::QDBusServiceWatcher$#
    {22, 92, 402},	// QDBusServiceWatcher::QDBusServiceWatcher$#$
    {22, 93, 386},	// QDBusServiceWatcher::QDBusServiceWatcher$#$#
    {22, 119, 406},	// QDBusServiceWatcher::WatchForOwnerChange
    {22, 120, 404},	// QDBusServiceWatcher::WatchForRegistration
    {22, 121, 405},	// QDBusServiceWatcher::WatchForUnregistration
    {22, 132, 389},	// QDBusServiceWatcher::addWatchedService$
    {22, 203, 393},	// QDBusServiceWatcher::connection
    {22, 268, 378},	// QDBusServiceWatcher::metaObject
    {22, 499, 384},	// QDBusServiceWatcher::qt_metacall$$?
    {22, 501, 379},	// QDBusServiceWatcher::qt_metacast$
    {22, 522, 390},	// QDBusServiceWatcher::removeWatchedService$
    {22, 534, 397},	// QDBusServiceWatcher::serviceOwnerChanged$$$
    {22, 538, 395},	// QDBusServiceWatcher::serviceRegistered$
    {22, 542, 396},	// QDBusServiceWatcher::serviceUnregistered$
    {22, 549, 394},	// QDBusServiceWatcher::setConnection#
    {22, 553, 392},	// QDBusServiceWatcher::setWatchMode$
    {22, 555, 388},	// QDBusServiceWatcher::setWatchedServices?
    {22, 561, 403},	// QDBusServiceWatcher::staticMetaObject
    {22, 565, 398},	// QDBusServiceWatcher::tr$
    {22, 566, 380},	// QDBusServiceWatcher::tr$$
    {22, 567, 382},	// QDBusServiceWatcher::tr$$$
    {22, 569, 399},	// QDBusServiceWatcher::trUtf8$
    {22, 570, 381},	// QDBusServiceWatcher::trUtf8$$
    {22, 571, 383},	// QDBusServiceWatcher::trUtf8$$$
    {22, 581, 391},	// QDBusServiceWatcher::watchMode
    {22, 582, 387},	// QDBusServiceWatcher::watchedServices
    {22, 596, 407},	// QDBusServiceWatcher::~QDBusServiceWatcher
    {31, 94, 859},	// QGlobalSpace::QtCriticalMsg
    {31, 95, 857},	// QGlobalSpace::QtDebugMsg
    {31, 96, 860},	// QGlobalSpace::QtFatalMsg
    {31, 97, 861},	// QGlobalSpace::QtSystemMsg
    {31, 98, 858},	// QGlobalSpace::QtWarningMsg
    {31, 122, 852},	// QGlobalSpace::_IEEE_
    {31, 123, 856},	// QGlobalSpace::_ISOC_
    {31, 124, 855},	// QGlobalSpace::_POSIX_
    {31, 125, 853},	// QGlobalSpace::_SVID_
    {31, 126, 854},	// QGlobalSpace::_XOPEN_
    {31, 127, 864},	// QGlobalSpace::__codecvt_error
    {31, 128, 865},	// QGlobalSpace::__codecvt_noconv
    {31, 129, 862},	// QGlobalSpace::__codecvt_ok
    {31, 130, 863},	// QGlobalSpace::__codecvt_partial
    {31, 275, -73},	// QGlobalSpace::operator!=##
    {31, 276, -90},	// QGlobalSpace::operator!=#$
    {31, 277, -96},	// QGlobalSpace::operator!=$#
    {31, 278, -103},	// QGlobalSpace::operator!=$$
    {31, 280, 631},	// QGlobalSpace::operator&##
    {31, 282, -107},	// QGlobalSpace::operator*#$
    {31, 283, -112},	// QGlobalSpace::operator*$#
    {31, 285, -117},	// QGlobalSpace::operator+##
    {31, 286, -123},	// QGlobalSpace::operator+#$
    {31, 287, -128},	// QGlobalSpace::operator+$#
    {31, 288, -133},	// QGlobalSpace::operator+$$
    {31, 290, -139},	// QGlobalSpace::operator-#
    {31, 291, -142},	// QGlobalSpace::operator-##
    {31, 293, -147},	// QGlobalSpace::operator/#$
    {31, 295, -152},	// QGlobalSpace::operator<##
    {31, 296, 672},	// QGlobalSpace::operator<#$
    {31, 297, -157},	// QGlobalSpace::operator<$#
    {31, 298, -160},	// QGlobalSpace::operator<$$
    {31, 301, -164},	// QGlobalSpace::operator<<##
    {31, 302, -218},	// QGlobalSpace::operator<<#$
    {31, 303, -224},	// QGlobalSpace::operator<<#?
    {31, 307, -228},	// QGlobalSpace::operator<=##
    {31, 308, 518},	// QGlobalSpace::operator<=#$
    {31, 309, -233},	// QGlobalSpace::operator<=$#
    {31, 310, 686},	// QGlobalSpace::operator<=$$
    {31, 314, -236},	// QGlobalSpace::operator==##
    {31, 315, -255},	// QGlobalSpace::operator==#$
    {31, 316, -261},	// QGlobalSpace::operator==$#
    {31, 317, -268},	// QGlobalSpace::operator==$$
    {31, 319, -272},	// QGlobalSpace::operator>##
    {31, 320, 843},	// QGlobalSpace::operator>#$
    {31, 321, -277},	// QGlobalSpace::operator>$#
    {31, 322, 609},	// QGlobalSpace::operator>$$
    {31, 324, -280},	// QGlobalSpace::operator>=##
    {31, 325, 427},	// QGlobalSpace::operator>=#$
    {31, 326, -285},	// QGlobalSpace::operator>=$#
    {31, 327, 838},	// QGlobalSpace::operator>=$$
    {31, 330, -288},	// QGlobalSpace::operator>>##
    {31, 331, -321},	// QGlobalSpace::operator>>#$
    {31, 332, 588},	// QGlobalSpace::operator>>#?
    {31, 336, 522},	// QGlobalSpace::operator^##
    {31, 338, 760},	// QGlobalSpace::operator|##
    {31, 339, -324},	// QGlobalSpace::operator|$$
    {31, 342, 733},	// QGlobalSpace::qAcos$
    {31, 344, 654},	// QGlobalSpace::qAddPostRoutine$
    {31, 345, 662},	// QGlobalSpace::qAppName
    {31, 347, 751},	// QGlobalSpace::qAsin$
    {31, 349, 781},	// QGlobalSpace::qAtan$
    {31, 351, 425},	// QGlobalSpace::qAtan2$$
    {31, 352, 738},	// QGlobalSpace::qBadAlloc
    {31, 354, 679},	// QGlobalSpace::qCeil$
    {31, 356, 583},	// QGlobalSpace::qChecksum$$
    {31, 358, 744},	// QGlobalSpace::qCompress#
    {31, 359, 743},	// QGlobalSpace::qCompress#$
    {31, 360, 656},	// QGlobalSpace::qCompress$$
    {31, 361, 655},	// QGlobalSpace::qCompress$$$
    {31, 363, 450},	// QGlobalSpace::qCos$
    {31, 364, 637},	// QGlobalSpace::qCritical
    {31, 366, 630},	// QGlobalSpace::qDBusReplyFill###
    {31, 367, 688},	// QGlobalSpace::qDebug
    {31, 369, 576},	// QGlobalSpace::qExp$
    {31, 371, 725},	// QGlobalSpace::qFabs$
    {31, 373, 533},	// QGlobalSpace::qFastCos$
    {31, 375, 658},	// QGlobalSpace::qFastSin$
    {31, 377, 542},	// QGlobalSpace::qFlagLocation$
    {31, 379, 501},	// QGlobalSpace::qFloor$
    {31, 381, 666},	// QGlobalSpace::qFree$
    {31, 383, 668},	// QGlobalSpace::qFreeAligned$
    {31, 385, -418},	// QGlobalSpace::qFuzzyCompare$$
    {31, 387, -421},	// QGlobalSpace::qFuzzyIsNull$
    {31, 389, -424},	// QGlobalSpace::qHash#
    {31, 390, -431},	// QGlobalSpace::qHash$
    {31, 391, 810},	// QGlobalSpace::qInf
    {31, 393, 530},	// QGlobalSpace::qInstallMsgHandler$
    {31, 395, -446},	// QGlobalSpace::qIntCast$
    {31, 397, -449},	// QGlobalSpace::qIsFinite$
    {31, 399, -452},	// QGlobalSpace::qIsInf$
    {31, 401, -455},	// QGlobalSpace::qIsNaN$
    {31, 403, -458},	// QGlobalSpace::qIsNull$
    {31, 405, 580},	// QGlobalSpace::qLn$
    {31, 407, 585},	// QGlobalSpace::qMalloc$
    {31, 409, 690},	// QGlobalSpace::qMallocAligned$$
    {31, 411, 414},	// QGlobalSpace::qMemCopy$$$
    {31, 413, 720},	// QGlobalSpace::qMemSet$$$
    {31, 415, 694},	// QGlobalSpace::qPow$$
    {31, 416, 586},	// QGlobalSpace::qQNaN
    {31, 418, 524},	// QGlobalSpace::qRealloc$$
    {31, 420, 513},	// QGlobalSpace::qReallocAligned$$$$
    {31, 422, 582},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {31, 424, 817},	// QGlobalSpace::qRemovePostRoutine$
    {31, 426, 809},	// QGlobalSpace::qRound$
    {31, 428, 529},	// QGlobalSpace::qRound64$
    {31, 429, 789},	// QGlobalSpace::qSNaN
    {31, 431, 497},	// QGlobalSpace::qSetFieldWidth$
    {31, 433, 434},	// QGlobalSpace::qSetPadChar#
    {31, 435, 577},	// QGlobalSpace::qSetRealNumberPrecision$
    {31, 436, 456},	// QGlobalSpace::qSharedBuild
    {31, 438, 756},	// QGlobalSpace::qSin$
    {31, 440, 531},	// QGlobalSpace::qSqrt$
    {31, 442, 682},	// QGlobalSpace::qStringComparisonHelper#$
    {31, 443, 422},	// QGlobalSpace::qStringComparisonHelper$$
    {31, 445, 494},	// QGlobalSpace::qTan$
    {31, 447, 620},	// QGlobalSpace::qUncompress#
    {31, 448, 492},	// QGlobalSpace::qUncompress$$
    {31, 449, 663},	// QGlobalSpace::qVersion
    {31, 450, 823},	// QGlobalSpace::qWarning
    {31, 452, 507},	// QGlobalSpace::qbswap_helper$$$
    {31, 454, 732},	// QGlobalSpace::qgcvt$$$
    {31, 456, 429},	// QGlobalSpace::qgetenv$
    {31, 458, 589},	// QGlobalSpace::qputenv$#
    {31, 459, 626},	// QGlobalSpace::qrand
    {31, 461, 636},	// QGlobalSpace::qsort$$$?
    {31, 463, 592},	// QGlobalSpace::qsrand$
    {31, 465, 728},	// QGlobalSpace::qstrcmp##
    {31, 466, 816},	// QGlobalSpace::qstrcmp#$
    {31, 467, 423},	// QGlobalSpace::qstrcmp$#
    {31, 468, 449},	// QGlobalSpace::qstrcmp$$
    {31, 470, 567},	// QGlobalSpace::qstrcpy$$
    {31, 472, 683},	// QGlobalSpace::qstrdup$
    {31, 474, 805},	// QGlobalSpace::qstricmp$$
    {31, 476, 824},	// QGlobalSpace::qstrlen$
    {31, 478, 493},	// QGlobalSpace::qstrncmp$$$
    {31, 480, 618},	// QGlobalSpace::qstrncpy$$$
    {31, 482, 601},	// QGlobalSpace::qstrnicmp$$$
    {31, 484, 413},	// QGlobalSpace::qstrnlen$$
    {31, 486, 766},	// QGlobalSpace::qtTrId$
    {31, 487, 765},	// QGlobalSpace::qtTrId$$
    {31, 489, 550},	// QGlobalSpace::qt_assert$$$
    {31, 491, 629},	// QGlobalSpace::qt_assert_x$$$$
    {31, 493, 722},	// QGlobalSpace::qt_check_pointer$$
    {31, 494, 488},	// QGlobalSpace::qt_error_string
    {31, 495, 487},	// QGlobalSpace::qt_error_string$
    {31, 497, 837},	// QGlobalSpace::qt_message_output$$
    {31, 502, 415},	// QGlobalSpace::qt_noop
    {31, 504, 612},	// QGlobalSpace::qt_qFindChild_helper#$#
    {31, 506, 779},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {31, 508, 775},	// QGlobalSpace::qvariant_cast_helper#$$
    {31, 510, 718},	// QGlobalSpace::qvsnprintf$$$?
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtdbus_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtdbus_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtdbus_Smoke = new Smoke(
        "qtdbus",
        __smokeqtdbus::classes, 59,
        __smokeqtdbus::methods, 875,
        __smokeqtdbus::methodMaps, 522,
        __smokeqtdbus::methodNames, 596,
        __smokeqtdbus::types, 303,
        __smokeqtdbus::inheritanceList,
        __smokeqtdbus::argumentList,
        __smokeqtdbus::ambiguousMethodList,
        __smokeqtdbus::cast );
    initialized = true;
}

void delete_qtdbus_Smoke() { delete qtdbus_Smoke; }

}
