#include <qtnetwork_includes.h>

#include <smoke.h>
#include <qtnetwork_smoke.h>

namespace __smokeqtnetwork {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractNetworkCache
      switch(to) {
        case 49: return (void*)(QObject*)(QAbstractNetworkCache*)xptr;
        case 1: return (void*)(QAbstractNetworkCache*)xptr;
        case 42: return (void*)(QNetworkDiskCache*)(QAbstractNetworkCache*)xptr;
        default: return xptr;
      }
    case 2:   //QAbstractSocket
      switch(to) {
        case 25: return (void*)(QIODevice*)(QAbstractSocket*)xptr;
        case 49: return (void*)(QObject*)(QAbstractSocket*)xptr;
        case 2: return (void*)(QAbstractSocket*)xptr;
        case 73: return (void*)(QUdpSocket*)(QAbstractSocket*)xptr;
        case 64: return (void*)(QSslSocket*)(QAbstractSocket*)xptr;
        case 68: return (void*)(QTcpSocket*)(QAbstractSocket*)xptr;
        default: return xptr;
      }
    case 3:   //QAuthenticator
      switch(to) {
        case 3: return (void*)(QAuthenticator*)xptr;
        default: return xptr;
      }
    case 4:   //QBitArray
      switch(to) {
        case 4: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 5:   //QBool
      switch(to) {
        case 5: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 15: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QDataStream
      switch(to) {
        case 9: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 10:   //QDate
      switch(to) {
        case 10: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 11:   //QDateTime
      switch(to) {
        case 11: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 12:   //QDebug
      switch(to) {
        case 12: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 13:   //QDir
      switch(to) {
        case 13: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 14:   //QEasingCurve
      switch(to) {
        case 14: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 15:   //QEvent
      switch(to) {
        case 15: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 16:   //QFtp
      switch(to) {
        case 49: return (void*)(QObject*)(QFtp*)xptr;
        case 16: return (void*)(QFtp*)xptr;
        default: return xptr;
      }
    case 18:   //QHashDummyValue
      switch(to) {
        case 18: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 19:   //QHostAddress
      switch(to) {
        case 19: return (void*)(QHostAddress*)xptr;
        default: return xptr;
      }
    case 20:   //QHostInfo
      switch(to) {
        case 20: return (void*)(QHostInfo*)xptr;
        default: return xptr;
      }
    case 21:   //QHttp
      switch(to) {
        case 49: return (void*)(QObject*)(QHttp*)xptr;
        case 21: return (void*)(QHttp*)xptr;
        default: return xptr;
      }
    case 22:   //QHttpHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)xptr;
        case 23: return (void*)(QHttpRequestHeader*)(QHttpHeader*)xptr;
        case 24: return (void*)(QHttpResponseHeader*)(QHttpHeader*)xptr;
        default: return xptr;
      }
    case 23:   //QHttpRequestHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)(QHttpRequestHeader*)xptr;
        case 23: return (void*)(QHttpRequestHeader*)xptr;
        default: return xptr;
      }
    case 24:   //QHttpResponseHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)(QHttpResponseHeader*)xptr;
        case 24: return (void*)(QHttpResponseHeader*)xptr;
        default: return xptr;
      }
    case 25:   //QIODevice
      switch(to) {
        case 49: return (void*)(QObject*)(QIODevice*)xptr;
        case 25: return (void*)(QIODevice*)xptr;
        case 47: return (void*)(QNetworkReply*)(QIODevice*)xptr;
        case 73: return (void*)(QUdpSocket*)(QIODevice*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QIODevice*)xptr;
        case 64: return (void*)(QSslSocket*)(QIODevice*)xptr;
        case 68: return (void*)(QTcpSocket*)(QIODevice*)xptr;
        case 32: return (void*)(QLocalSocket*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 26:   //QIPv6Address
      switch(to) {
        case 26: return (void*)(QIPv6Address*)xptr;
        default: return xptr;
      }
    case 27:   //QIncompatibleFlag
      switch(to) {
        case 27: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 28:   //QLatin1String
      switch(to) {
        case 28: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 29:   //QLine
      switch(to) {
        case 29: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 30:   //QLineF
      switch(to) {
        case 30: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 31:   //QLocalServer
      switch(to) {
        case 49: return (void*)(QObject*)(QLocalServer*)xptr;
        case 31: return (void*)(QLocalServer*)xptr;
        default: return xptr;
      }
    case 32:   //QLocalSocket
      switch(to) {
        case 25: return (void*)(QIODevice*)(QLocalSocket*)xptr;
        case 49: return (void*)(QObject*)(QLocalSocket*)xptr;
        case 32: return (void*)(QLocalSocket*)xptr;
        default: return xptr;
      }
    case 33:   //QLocale
      switch(to) {
        case 33: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 34:   //QMargins
      switch(to) {
        case 34: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 35:   //QMetaObject
      switch(to) {
        case 35: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 36:   //QModelIndex
      switch(to) {
        case 36: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 37:   //QNetworkAccessManager
      switch(to) {
        case 49: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 37: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 38:   //QNetworkAddressEntry
      switch(to) {
        case 38: return (void*)(QNetworkAddressEntry*)xptr;
        default: return xptr;
      }
    case 39:   //QNetworkCacheMetaData
      switch(to) {
        case 39: return (void*)(QNetworkCacheMetaData*)xptr;
        default: return xptr;
      }
    case 40:   //QNetworkCookie
      switch(to) {
        case 40: return (void*)(QNetworkCookie*)xptr;
        default: return xptr;
      }
    case 41:   //QNetworkCookieJar
      switch(to) {
        case 49: return (void*)(QObject*)(QNetworkCookieJar*)xptr;
        case 41: return (void*)(QNetworkCookieJar*)xptr;
        default: return xptr;
      }
    case 42:   //QNetworkDiskCache
      switch(to) {
        case 1: return (void*)(QAbstractNetworkCache*)(QNetworkDiskCache*)xptr;
        case 49: return (void*)(QObject*)(QNetworkDiskCache*)xptr;
        case 42: return (void*)(QNetworkDiskCache*)xptr;
        default: return xptr;
      }
    case 43:   //QNetworkInterface
      switch(to) {
        case 43: return (void*)(QNetworkInterface*)xptr;
        default: return xptr;
      }
    case 44:   //QNetworkProxy
      switch(to) {
        case 44: return (void*)(QNetworkProxy*)xptr;
        default: return xptr;
      }
    case 45:   //QNetworkProxyFactory
      switch(to) {
        case 45: return (void*)(QNetworkProxyFactory*)xptr;
        default: return xptr;
      }
    case 46:   //QNetworkProxyQuery
      switch(to) {
        case 46: return (void*)(QNetworkProxyQuery*)xptr;
        default: return xptr;
      }
    case 47:   //QNetworkReply
      switch(to) {
        case 25: return (void*)(QIODevice*)(QNetworkReply*)xptr;
        case 49: return (void*)(QObject*)(QNetworkReply*)xptr;
        case 47: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 48:   //QNetworkRequest
      switch(to) {
        case 48: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 49:   //QObject
      switch(to) {
        case 49: return (void*)(QObject*)xptr;
        case 16: return (void*)(QFtp*)(QObject*)xptr;
        case 41: return (void*)(QNetworkCookieJar*)(QObject*)xptr;
        case 31: return (void*)(QLocalServer*)(QObject*)xptr;
        case 47: return (void*)(QNetworkReply*)(QObject*)xptr;
        case 73: return (void*)(QUdpSocket*)(QObject*)xptr;
        case 1: return (void*)(QAbstractNetworkCache*)(QObject*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QObject*)xptr;
        case 21: return (void*)(QHttp*)(QObject*)xptr;
        case 64: return (void*)(QSslSocket*)(QObject*)xptr;
        case 37: return (void*)(QNetworkAccessManager*)(QObject*)xptr;
        case 68: return (void*)(QTcpSocket*)(QObject*)xptr;
        case 42: return (void*)(QNetworkDiskCache*)(QObject*)xptr;
        case 67: return (void*)(QTcpServer*)(QObject*)xptr;
        case 32: return (void*)(QLocalSocket*)(QObject*)xptr;
        default: return xptr;
      }
    case 50:   //QPersistentModelIndex
      switch(to) {
        case 50: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 51:   //QPoint
      switch(to) {
        case 51: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 52:   //QPointF
      switch(to) {
        case 52: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 53:   //QRect
      switch(to) {
        case 53: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 54:   //QRectF
      switch(to) {
        case 54: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 55:   //QRegExp
      switch(to) {
        case 55: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 56:   //QSize
      switch(to) {
        case 56: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 57:   //QSizeF
      switch(to) {
        case 57: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 59:   //QSslCertificate
      switch(to) {
        case 59: return (void*)(QSslCertificate*)xptr;
        default: return xptr;
      }
    case 60:   //QSslCipher
      switch(to) {
        case 60: return (void*)(QSslCipher*)xptr;
        default: return xptr;
      }
    case 61:   //QSslConfiguration
      switch(to) {
        case 61: return (void*)(QSslConfiguration*)xptr;
        default: return xptr;
      }
    case 62:   //QSslError
      switch(to) {
        case 62: return (void*)(QSslError*)xptr;
        default: return xptr;
      }
    case 63:   //QSslKey
      switch(to) {
        case 63: return (void*)(QSslKey*)xptr;
        default: return xptr;
      }
    case 64:   //QSslSocket
      switch(to) {
        case 68: return (void*)(QTcpSocket*)(QSslSocket*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QSslSocket*)xptr;
        case 25: return (void*)(QIODevice*)(QSslSocket*)xptr;
        case 49: return (void*)(QObject*)(QSslSocket*)xptr;
        case 64: return (void*)(QSslSocket*)xptr;
        default: return xptr;
      }
    case 65:   //QString::Null
      switch(to) {
        case 65: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 66:   //QStringRef
      switch(to) {
        case 66: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 67:   //QTcpServer
      switch(to) {
        case 49: return (void*)(QObject*)(QTcpServer*)xptr;
        case 67: return (void*)(QTcpServer*)xptr;
        default: return xptr;
      }
    case 68:   //QTcpSocket
      switch(to) {
        case 2: return (void*)(QAbstractSocket*)(QTcpSocket*)xptr;
        case 25: return (void*)(QIODevice*)(QTcpSocket*)xptr;
        case 49: return (void*)(QObject*)(QTcpSocket*)xptr;
        case 68: return (void*)(QTcpSocket*)xptr;
        case 64: return (void*)(QSslSocket*)(QTcpSocket*)xptr;
        default: return xptr;
      }
    case 69:   //QTextStream
      switch(to) {
        case 69: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 70:   //QTextStreamManipulator
      switch(to) {
        case 70: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 71:   //QTime
      switch(to) {
        case 71: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 72:   //QTimerEvent
      switch(to) {
        case 15: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 72: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 73:   //QUdpSocket
      switch(to) {
        case 2: return (void*)(QAbstractSocket*)(QUdpSocket*)xptr;
        case 25: return (void*)(QIODevice*)(QUdpSocket*)xptr;
        case 49: return (void*)(QObject*)(QUdpSocket*)xptr;
        case 73: return (void*)(QUdpSocket*)xptr;
        default: return xptr;
      }
    case 74:   //QUrl
      switch(to) {
        case 74: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 75:   //QUrlInfo
      switch(to) {
        case 75: return (void*)(QUrlInfo*)xptr;
        default: return xptr;
      }
    case 76:   //QUuid
      switch(to) {
        case 76: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 77:   //QVariant
      switch(to) {
        case 77: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 78:   //QVariantComparisonHelper
      switch(to) {
        case 78: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 79:   //sockaddr
      switch(to) {
        case 79: return (void*)(sockaddr*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    49, 0,	// 1: QObject
    25, 0,	// 3: QIODevice
    22, 0,	// 5: QHttpHeader
    1, 0,	// 7: QAbstractNetworkCache
    68, 0,	// 9: QTcpSocket
    2, 0,	// 11: QAbstractSocket
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSsl(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFtp(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHttp(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslCertificate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkRequest(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkProxy(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHostAddress(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkCookie(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkProxyQuery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkAccessManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkReply(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLocalSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUrlInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHostInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUdpSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QAbstractNetworkCache(Smoke::Index, void*, Smoke::Stack);
void xcall_QAbstractSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QAuthenticator(Smoke::Index, void*, Smoke::Stack);
void xcall_QFtp(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QHostAddress(Smoke::Index, void*, Smoke::Stack);
void xcall_QHostInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttp(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpRequestHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpResponseHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QIPv6Address(Smoke::Index, void*, Smoke::Stack);
void xcall_QLocalServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QLocalSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkAccessManager(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkAddressEntry(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCacheMetaData(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCookie(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCookieJar(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkDiskCache(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxy(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxyFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxyQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkReply(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkRequest(Smoke::Index, void*, Smoke::Stack);
void xcall_QSsl(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslCertificate(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslCipher(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslConfiguration(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslError(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslKey(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QTcpServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QTcpSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QUdpSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QUrlInfo(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractNetworkCache", false, 1, xcall_QAbstractNetworkCache, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QAbstractNetworkCache) },	//1
    { "QAbstractSocket", false, 3, xcall_QAbstractSocket, xenum_QAbstractSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QAbstractSocket) },	//2
    { "QAuthenticator", false, 0, xcall_QAuthenticator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QAuthenticator) },	//3
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//4
    { "QBool", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//9
    { "QDate", true, 0, 0, 0, 0, 0 },	//10
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//11
    { "QDebug", true, 0, 0, 0, 0, 0 },	//12
    { "QDir", true, 0, 0, 0, 0, 0 },	//13
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//14
    { "QEvent", true, 0, 0, 0, 0, 0 },	//15
    { "QFtp", false, 1, xcall_QFtp, xenum_QFtp, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QFtp) },	//16
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//17
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//18
    { "QHostAddress", false, 0, xcall_QHostAddress, xenum_QHostAddress, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QHostAddress) },	//19
    { "QHostInfo", false, 0, xcall_QHostInfo, xenum_QHostInfo, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QHostInfo) },	//20
    { "QHttp", false, 1, xcall_QHttp, xenum_QHttp, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QHttp) },	//21
    { "QHttpHeader", false, 0, xcall_QHttpHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpHeader) },	//22
    { "QHttpRequestHeader", false, 5, xcall_QHttpRequestHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpRequestHeader) },	//23
    { "QHttpResponseHeader", false, 5, xcall_QHttpResponseHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpResponseHeader) },	//24
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//25
    { "QIPv6Address", false, 0, xcall_QIPv6Address, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QIPv6Address) },	//26
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//27
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//28
    { "QLine", true, 0, 0, 0, 0, 0 },	//29
    { "QLineF", true, 0, 0, 0, 0, 0 },	//30
    { "QLocalServer", false, 1, xcall_QLocalServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QLocalServer) },	//31
    { "QLocalSocket", false, 3, xcall_QLocalSocket, xenum_QLocalSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QLocalSocket) },	//32
    { "QLocale", true, 0, 0, 0, 0, 0 },	//33
    { "QMargins", true, 0, 0, 0, 0, 0 },	//34
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//35
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//36
    { "QNetworkAccessManager", false, 1, xcall_QNetworkAccessManager, xenum_QNetworkAccessManager, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkAccessManager) },	//37
    { "QNetworkAddressEntry", false, 0, xcall_QNetworkAddressEntry, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkAddressEntry) },	//38
    { "QNetworkCacheMetaData", false, 0, xcall_QNetworkCacheMetaData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkCacheMetaData) },	//39
    { "QNetworkCookie", false, 0, xcall_QNetworkCookie, xenum_QNetworkCookie, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkCookie) },	//40
    { "QNetworkCookieJar", false, 1, xcall_QNetworkCookieJar, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkCookieJar) },	//41
    { "QNetworkDiskCache", false, 7, xcall_QNetworkDiskCache, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkDiskCache) },	//42
    { "QNetworkInterface", false, 0, xcall_QNetworkInterface, xenum_QNetworkInterface, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkInterface) },	//43
    { "QNetworkProxy", false, 0, xcall_QNetworkProxy, xenum_QNetworkProxy, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkProxy) },	//44
    { "QNetworkProxyFactory", false, 0, xcall_QNetworkProxyFactory, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QNetworkProxyFactory) },	//45
    { "QNetworkProxyQuery", false, 0, xcall_QNetworkProxyQuery, xenum_QNetworkProxyQuery, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkProxyQuery) },	//46
    { "QNetworkReply", false, 3, xcall_QNetworkReply, xenum_QNetworkReply, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkReply) },	//47
    { "QNetworkRequest", false, 0, xcall_QNetworkRequest, xenum_QNetworkRequest, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkRequest) },	//48
    { "QObject", true, 0, 0, 0, 0, 0 },	//49
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//50
    { "QPoint", true, 0, 0, 0, 0, 0 },	//51
    { "QPointF", true, 0, 0, 0, 0, 0 },	//52
    { "QRect", true, 0, 0, 0, 0, 0 },	//53
    { "QRectF", true, 0, 0, 0, 0, 0 },	//54
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//55
    { "QSize", true, 0, 0, 0, 0, 0 },	//56
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//57
    { "QSsl", false, 0, xcall_QSsl, xenum_QSsl, Smoke::cf_namespace, 0 },	//58
    { "QSslCertificate", false, 0, xcall_QSslCertificate, xenum_QSslCertificate, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslCertificate) },	//59
    { "QSslCipher", false, 0, xcall_QSslCipher, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslCipher) },	//60
    { "QSslConfiguration", false, 0, xcall_QSslConfiguration, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslConfiguration) },	//61
    { "QSslError", false, 0, xcall_QSslError, xenum_QSslError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslError) },	//62
    { "QSslKey", false, 0, xcall_QSslKey, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslKey) },	//63
    { "QSslSocket", false, 9, xcall_QSslSocket, xenum_QSslSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSslSocket) },	//64
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//65
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//66
    { "QTcpServer", false, 1, xcall_QTcpServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QTcpServer) },	//67
    { "QTcpSocket", false, 11, xcall_QTcpSocket, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QTcpSocket) },	//68
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//69
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//70
    { "QTime", true, 0, 0, 0, 0, 0 },	//71
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//72
    { "QUdpSocket", false, 11, xcall_QUdpSocket, xenum_QUdpSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QUdpSocket) },	//73
    { "QUrl", true, 0, 0, 0, 0, 0 },	//74
    { "QUrlInfo", false, 0, xcall_QUrlInfo, xenum_QUrlInfo, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QUrlInfo) },	//75
    { "QUuid", true, 0, 0, 0, 0, 0 },	//76
    { "QVariant", true, 0, 0, 0, 0, 0 },	//77
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//78
    { "sockaddr", true, 0, 0, 0, 0, 0 },	//79
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QAbstractNetworkCache*", 1, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QAbstractSocket*", 2, Smoke::t_class|Smoke::tf_ptr },	//3
    { "QAbstractSocket::NetworkLayerProtocol", 2, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAbstractSocket::SocketError", 2, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAbstractSocket::SocketOption", 2, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAbstractSocket::SocketState", 2, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAbstractSocket::SocketType", 2, Smoke::t_enum|Smoke::tf_stack },	//8
    { "QAuthenticator&", 3, Smoke::t_class|Smoke::tf_ref },	//9
    { "QAuthenticator*", 3, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QBitArray", 4, Smoke::t_class|Smoke::tf_stack },	//11
    { "QBitArray&", 4, Smoke::t_class|Smoke::tf_ref },	//12
    { "QBool", 5, Smoke::t_class|Smoke::tf_stack },	//13
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//14
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//15
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//16
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//17
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QCryptographicHash::Algorithm", 0, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QDataStream&", 9, Smoke::t_class|Smoke::tf_ref },	//20
    { "QDate&", 10, Smoke::t_class|Smoke::tf_ref },	//21
    { "QDateTime", 11, Smoke::t_class|Smoke::tf_stack },	//22
    { "QDateTime&", 11, Smoke::t_class|Smoke::tf_ref },	//23
    { "QDebug", 12, Smoke::t_class|Smoke::tf_stack },	//24
    { "QDir::Filter", 13, Smoke::t_enum|Smoke::tf_stack },	//25
    { "QDir::SortFlag", 13, Smoke::t_enum|Smoke::tf_stack },	//26
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "QEvent*", 15, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//31
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//32
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//33
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//34
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//35
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//36
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//37
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//38
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//39
    { "QFlags<QNetworkInterface::InterfaceFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//40
    { "QFlags<QNetworkProxy::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//41
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//42
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//43
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//44
    { "QFlags<QUdpSocket::BindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//45
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFtp*", 16, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QFtp::Command", 16, Smoke::t_enum|Smoke::tf_stack },	//64
    { "QFtp::Error", 16, Smoke::t_enum|Smoke::tf_stack },	//65
    { "QFtp::State", 16, Smoke::t_enum|Smoke::tf_stack },	//66
    { "QFtp::TransferMode", 16, Smoke::t_enum|Smoke::tf_stack },	//67
    { "QFtp::TransferType", 16, Smoke::t_enum|Smoke::tf_stack },	//68
    { "QHash<QNetworkRequest::Attribute,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//69
    { "QHostAddress", 19, Smoke::t_class|Smoke::tf_stack },	//70
    { "QHostAddress&", 19, Smoke::t_class|Smoke::tf_ref },	//71
    { "QHostAddress*", 19, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QHostAddress::SpecialAddress", 19, Smoke::t_enum|Smoke::tf_stack },	//73
    { "QHostInfo", 20, Smoke::t_class|Smoke::tf_stack },	//74
    { "QHostInfo&", 20, Smoke::t_class|Smoke::tf_ref },	//75
    { "QHostInfo*", 20, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QHostInfo::HostInfoError", 20, Smoke::t_enum|Smoke::tf_stack },	//77
    { "QHttp*", 21, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QHttp::ConnectionMode", 21, Smoke::t_enum|Smoke::tf_stack },	//79
    { "QHttp::Error", 21, Smoke::t_enum|Smoke::tf_stack },	//80
    { "QHttp::State", 21, Smoke::t_enum|Smoke::tf_stack },	//81
    { "QHttpHeader&", 22, Smoke::t_class|Smoke::tf_ref },	//82
    { "QHttpHeader*", 22, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QHttpRequestHeader", 23, Smoke::t_class|Smoke::tf_stack },	//84
    { "QHttpRequestHeader&", 23, Smoke::t_class|Smoke::tf_ref },	//85
    { "QHttpRequestHeader*", 23, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QHttpResponseHeader", 24, Smoke::t_class|Smoke::tf_stack },	//87
    { "QHttpResponseHeader&", 24, Smoke::t_class|Smoke::tf_ref },	//88
    { "QHttpResponseHeader*", 24, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QIODevice*", 25, Smoke::t_class|Smoke::tf_ptr },	//90
    { "QIODevice::OpenMode", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QIODevice::OpenModeFlag", 25, Smoke::t_enum|Smoke::tf_stack },	//92
    { "QIPv6Address", 26, Smoke::t_class|Smoke::tf_stack },	//93
    { "QIPv6Address*", 26, Smoke::t_class|Smoke::tf_ptr },	//94
    { "QIncompatibleFlag", 27, Smoke::t_class|Smoke::tf_stack },	//95
    { "QIntegerForSizeof< void* >::Unsigned", 0, Smoke::t_voidp|Smoke::tf_stack },	//96
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QLine&", 29, Smoke::t_class|Smoke::tf_ref },	//98
    { "QLineF&", 30, Smoke::t_class|Smoke::tf_ref },	//99
    { "QList<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//100
    { "QList<QHostAddress>", 0, Smoke::t_voidp|Smoke::tf_stack },	//101
    { "QList<QNetworkAddressEntry>", 0, Smoke::t_voidp|Smoke::tf_stack },	//102
    { "QList<QNetworkCookie>", 0, Smoke::t_voidp|Smoke::tf_stack },	//103
    { "QList<QNetworkInterface>", 0, Smoke::t_voidp|Smoke::tf_stack },	//104
    { "QList<QNetworkProxy>", 0, Smoke::t_voidp|Smoke::tf_stack },	//105
    { "QList<QPair<QByteArray,QByteArray> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//106
    { "QList<QPair<QString,QString> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//107
    { "QList<QSslCertificate>", 0, Smoke::t_voidp|Smoke::tf_stack },	//108
    { "QList<QSslCipher>", 0, Smoke::t_voidp|Smoke::tf_stack },	//109
    { "QList<QSslError>", 0, Smoke::t_voidp|Smoke::tf_stack },	//110
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//111
    { "QLocalServer*", 31, Smoke::t_class|Smoke::tf_ptr },	//112
    { "QLocalSocket*", 32, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QLocalSocket::LocalSocketError", 32, Smoke::t_enum|Smoke::tf_stack },	//114
    { "QLocalSocket::LocalSocketState", 32, Smoke::t_enum|Smoke::tf_stack },	//115
    { "QLocale&", 33, Smoke::t_class|Smoke::tf_ref },	//116
    { "QLocale::NumberOption", 33, Smoke::t_enum|Smoke::tf_stack },	//117
    { "QMetaObject::Call", 35, Smoke::t_enum|Smoke::tf_stack },	//118
    { "QMultiMap<QSsl::AlternateNameEntryType,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//119
    { "QNetworkAccessManager*", 37, Smoke::t_class|Smoke::tf_ptr },	//120
    { "QNetworkAccessManager::Operation", 37, Smoke::t_enum|Smoke::tf_stack },	//121
    { "QNetworkAddressEntry&", 38, Smoke::t_class|Smoke::tf_ref },	//122
    { "QNetworkAddressEntry*", 38, Smoke::t_class|Smoke::tf_ptr },	//123
    { "QNetworkCacheMetaData", 39, Smoke::t_class|Smoke::tf_stack },	//124
    { "QNetworkCacheMetaData&", 39, Smoke::t_class|Smoke::tf_ref },	//125
    { "QNetworkCacheMetaData*", 39, Smoke::t_class|Smoke::tf_ptr },	//126
    { "QNetworkCookie&", 40, Smoke::t_class|Smoke::tf_ref },	//127
    { "QNetworkCookie*", 40, Smoke::t_class|Smoke::tf_ptr },	//128
    { "QNetworkCookie::RawForm", 40, Smoke::t_enum|Smoke::tf_stack },	//129
    { "QNetworkCookieJar*", 41, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QNetworkDiskCache*", 42, Smoke::t_class|Smoke::tf_ptr },	//131
    { "QNetworkInterface", 43, Smoke::t_class|Smoke::tf_stack },	//132
    { "QNetworkInterface&", 43, Smoke::t_class|Smoke::tf_ref },	//133
    { "QNetworkInterface*", 43, Smoke::t_class|Smoke::tf_ptr },	//134
    { "QNetworkInterface::InterfaceFlag", 43, Smoke::t_enum|Smoke::tf_stack },	//135
    { "QNetworkProxy", 44, Smoke::t_class|Smoke::tf_stack },	//136
    { "QNetworkProxy&", 44, Smoke::t_class|Smoke::tf_ref },	//137
    { "QNetworkProxy*", 44, Smoke::t_class|Smoke::tf_ptr },	//138
    { "QNetworkProxy::Capability", 44, Smoke::t_enum|Smoke::tf_stack },	//139
    { "QNetworkProxy::ProxyType", 44, Smoke::t_enum|Smoke::tf_stack },	//140
    { "QNetworkProxyFactory*", 45, Smoke::t_class|Smoke::tf_ptr },	//141
    { "QNetworkProxyQuery&", 46, Smoke::t_class|Smoke::tf_ref },	//142
    { "QNetworkProxyQuery*", 46, Smoke::t_class|Smoke::tf_ptr },	//143
    { "QNetworkProxyQuery::QueryType", 46, Smoke::t_enum|Smoke::tf_stack },	//144
    { "QNetworkReply*", 47, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QNetworkReply::NetworkError", 47, Smoke::t_enum|Smoke::tf_stack },	//146
    { "QNetworkRequest", 48, Smoke::t_class|Smoke::tf_stack },	//147
    { "QNetworkRequest&", 48, Smoke::t_class|Smoke::tf_ref },	//148
    { "QNetworkRequest*", 48, Smoke::t_class|Smoke::tf_ptr },	//149
    { "QNetworkRequest::Attribute", 48, Smoke::t_enum|Smoke::tf_stack },	//150
    { "QNetworkRequest::CacheLoadControl", 48, Smoke::t_enum|Smoke::tf_stack },	//151
    { "QNetworkRequest::KnownHeaders", 48, Smoke::t_enum|Smoke::tf_stack },	//152
    { "QObject*", 49, Smoke::t_class|Smoke::tf_ptr },	//153
    { "QObject*(*)()", 49, Smoke::t_class|Smoke::tf_ptr },	//154
    { "QPair<QHostAddress,int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//155
    { "QPoint&", 51, Smoke::t_class|Smoke::tf_ref },	//156
    { "QPointF&", 52, Smoke::t_class|Smoke::tf_ref },	//157
    { "QRect&", 53, Smoke::t_class|Smoke::tf_ref },	//158
    { "QRectF&", 54, Smoke::t_class|Smoke::tf_ref },	//159
    { "QRegExp&", 55, Smoke::t_class|Smoke::tf_ref },	//160
    { "QRegExp::PatternSyntax", 55, Smoke::t_enum|Smoke::tf_stack },	//161
    { "QSize&", 56, Smoke::t_class|Smoke::tf_ref },	//162
    { "QSizeF&", 57, Smoke::t_class|Smoke::tf_ref },	//163
    { "QSsl::AlternateNameEntryType", 58, Smoke::t_enum|Smoke::tf_stack },	//164
    { "QSsl::EncodingFormat", 58, Smoke::t_enum|Smoke::tf_stack },	//165
    { "QSsl::KeyAlgorithm", 58, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QSsl::KeyType", 58, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QSsl::SslProtocol", 58, Smoke::t_enum|Smoke::tf_stack },	//168
    { "QSslCertificate", 59, Smoke::t_class|Smoke::tf_stack },	//169
    { "QSslCertificate&", 59, Smoke::t_class|Smoke::tf_ref },	//170
    { "QSslCertificate*", 59, Smoke::t_class|Smoke::tf_ptr },	//171
    { "QSslCertificate::SubjectInfo", 59, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QSslCipher", 60, Smoke::t_class|Smoke::tf_stack },	//173
    { "QSslCipher&", 60, Smoke::t_class|Smoke::tf_ref },	//174
    { "QSslCipher*", 60, Smoke::t_class|Smoke::tf_ptr },	//175
    { "QSslConfiguration", 61, Smoke::t_class|Smoke::tf_stack },	//176
    { "QSslConfiguration&", 61, Smoke::t_class|Smoke::tf_ref },	//177
    { "QSslConfiguration*", 61, Smoke::t_class|Smoke::tf_ptr },	//178
    { "QSslError&", 62, Smoke::t_class|Smoke::tf_ref },	//179
    { "QSslError*", 62, Smoke::t_class|Smoke::tf_ptr },	//180
    { "QSslError::SslError", 62, Smoke::t_enum|Smoke::tf_stack },	//181
    { "QSslKey", 63, Smoke::t_class|Smoke::tf_stack },	//182
    { "QSslKey&", 63, Smoke::t_class|Smoke::tf_ref },	//183
    { "QSslKey*", 63, Smoke::t_class|Smoke::tf_ptr },	//184
    { "QSslSocket*", 64, Smoke::t_class|Smoke::tf_ptr },	//185
    { "QSslSocket::PeerVerifyMode", 64, Smoke::t_enum|Smoke::tf_stack },	//186
    { "QSslSocket::SslMode", 64, Smoke::t_enum|Smoke::tf_stack },	//187
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//188
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//189
    { "QString::Null", 65, Smoke::t_class|Smoke::tf_stack },	//190
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//192
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//193
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//194
    { "QTcpServer*", 67, Smoke::t_class|Smoke::tf_ptr },	//195
    { "QTcpSocket*", 68, Smoke::t_class|Smoke::tf_ptr },	//196
    { "QTextCodec::ConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "QTextStream&", 69, Smoke::t_class|Smoke::tf_ref },	//198
    { "QTextStream&(*)(QTextStream&)", 69, Smoke::t_class|Smoke::tf_ref },	//199
    { "QTextStream::NumberFlag", 69, Smoke::t_enum|Smoke::tf_stack },	//200
    { "QTextStreamManipulator", 70, Smoke::t_class|Smoke::tf_stack },	//201
    { "QTime&", 71, Smoke::t_class|Smoke::tf_ref },	//202
    { "QTimerEvent*", 72, Smoke::t_class|Smoke::tf_ptr },	//203
    { "QUdpSocket*", 73, Smoke::t_class|Smoke::tf_ptr },	//204
    { "QUdpSocket::BindFlag", 73, Smoke::t_enum|Smoke::tf_stack },	//205
    { "QUrl", 74, Smoke::t_class|Smoke::tf_stack },	//206
    { "QUrl&", 74, Smoke::t_class|Smoke::tf_ref },	//207
    { "QUrl::FormattingOption", 74, Smoke::t_enum|Smoke::tf_stack },	//208
    { "QUrlInfo&", 75, Smoke::t_class|Smoke::tf_ref },	//209
    { "QUrlInfo*", 75, Smoke::t_class|Smoke::tf_ptr },	//210
    { "QUrlInfo::PermissionSpec", 75, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QUuid&", 76, Smoke::t_class|Smoke::tf_ref },	//212
    { "QVariant", 77, Smoke::t_class|Smoke::tf_stack },	//213
    { "QVariant&", 77, Smoke::t_class|Smoke::tf_ref },	//214
    { "QVariant::Type", 77, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QVariant::Type&", 77, Smoke::t_enum|Smoke::tf_ref },	//216
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//234
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//235
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//236
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//237
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//238
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//239
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//240
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//241
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//242
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//243
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//246
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//248
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//254
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//256
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//259
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//260
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//261
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//262
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//263
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//264
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//265
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//266
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//267
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//268
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//269
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//270
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//271
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//272
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//273
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//274
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//275
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//276
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//277
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//278
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//279
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//280
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//281
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//282
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//283
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//284
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//285
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//286
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//287
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//288
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//289
    { "QtMsgType", 17, Smoke::t_enum|Smoke::tf_stack },	//290
    { "_LIB_VERSION_TYPE", 17, Smoke::t_enum|Smoke::tf_stack },	//291
    { "__codecvt_result", 17, Smoke::t_enum|Smoke::tf_stack },	//292
    { "__compar_fn_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//293
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//294
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//295
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//296
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//297
    { "const QAuthenticator&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//298
    { "const QBitArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//299
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//300
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//301
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//302
    { "const QDate&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//303
    { "const QDateTime&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//304
    { "const QDir&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//305
    { "const QEasingCurve&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//306
    { "const QHash<QNetworkRequest::Attribute,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//307
    { "const QHashDummyValue&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//308
    { "const QHostAddress&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//309
    { "const QHostInfo&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//310
    { "const QHttpHeader&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//311
    { "const QHttpRequestHeader&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//312
    { "const QHttpResponseHeader&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//313
    { "const QIPv6Address&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//314
    { "const QLatin1String&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//315
    { "const QLine&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//316
    { "const QLineF&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//317
    { "const QList<QHostAddress>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//318
    { "const QList<QNetworkCookie>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//319
    { "const QList<QPair<QByteArray,QByteArray> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//320
    { "const QList<QPair<QString,QString> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//321
    { "const QList<QSslCertificate>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//322
    { "const QList<QSslCipher>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//323
    { "const QList<QSslError>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//324
    { "const QLocale&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//325
    { "const QMargins&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//326
    { "const QMetaObject&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//327
    { "const QMetaObject*", 35, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//328
    { "const QModelIndex&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//329
    { "const QNetworkAddressEntry&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//330
    { "const QNetworkCacheMetaData&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//331
    { "const QNetworkCookie&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//332
    { "const QNetworkInterface&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//333
    { "const QNetworkProxy&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//334
    { "const QNetworkProxyFactory&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//335
    { "const QNetworkProxyQuery&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//336
    { "const QNetworkRequest&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//337
    { "const QObject*", 49, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//338
    { "const QPair<QHostAddress,int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//339
    { "const QPersistentModelIndex&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//340
    { "const QPoint", 51, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//341
    { "const QPoint&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//342
    { "const QPointF", 52, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//343
    { "const QPointF&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//344
    { "const QRect&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//345
    { "const QRectF&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//346
    { "const QRegExp&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//347
    { "const QRegExp*", 55, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//348
    { "const QSize", 56, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//349
    { "const QSize&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//350
    { "const QSizeF", 57, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//351
    { "const QSizeF&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//352
    { "const QSslCertificate&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//353
    { "const QSslCipher&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//354
    { "const QSslConfiguration&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//355
    { "const QSslError&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//356
    { "const QSslError::SslError&", 62, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//357
    { "const QSslKey&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//358
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//359
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//360
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//361
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//362
    { "const QStringRef&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//363
    { "const QTime&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//364
    { "const QUrl&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//365
    { "const QUrlInfo&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//366
    { "const QUuid&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//367
    { "const QVariant&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//368
    { "const QVariant::Type", 77, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//369
    { "const QVariantComparisonHelper&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//370
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//371
    { "const sockaddr*", 79, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//372
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//373
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//374
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//375
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//376
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//377
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//378
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//379
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//380
    { "qint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//381
    { "quint16", 0, Smoke::t_ushort|Smoke::tf_stack },	//382
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//383
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//384
    { "size_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//385
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//386
    { "unsigned char&", 0, Smoke::t_voidp|Smoke::tf_ref },	//387
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//388
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//389
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//390
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//391
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//392
    { "unsigned short*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//393
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//394
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//395
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//396
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//397
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//398
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//399
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    371, 0,	//1  const char*
    371, 371, 0,	//3  const char*, const char*
    371, 371, 377, 0,	//6  const char*, const char*, int
    118, 377, 398, 0,	//10  QMetaObject::Call, int, void**
    365, 0,	//14  const QUrl&
    331, 0,	//16  const QNetworkCacheMetaData&
    90, 0,	//18  QIODevice*
    153, 0,	//20  QObject*
    8, 153, 0,	//22  QAbstractSocket::SocketType, QObject*
    360, 392, 37, 0,	//25  const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>
    309, 392, 37, 0,	//29  const QHostAddress&, unsigned short, QFlags<QIODevice::OpenModeFlag>
    380, 0,	//33  long long
    377, 7, 37, 0,	//35  int, QAbstractSocket::SocketState, QFlags<QIODevice::OpenModeFlag>
    6, 368, 0,	//39  QAbstractSocket::SocketOption, const QVariant&
    6, 0,	//42  QAbstractSocket::SocketOption
    377, 0,	//44  int
    334, 0,	//46  const QNetworkProxy&
    7, 0,	//48  QAbstractSocket::SocketState
    5, 0,	//50  QAbstractSocket::SocketError
    334, 10, 0,	//52  const QNetworkProxy&, QAuthenticator*
    360, 382, 91, 0,	//55  const QString&, quint16, QIODevice::OpenMode
    297, 380, 0,	//59  char*, long long
    371, 380, 0,	//62  const char*, long long
    392, 0,	//65  unsigned short
    309, 0,	//67  const QHostAddress&
    360, 0,	//69  const QString&
    360, 392, 0,	//71  const QString&, unsigned short
    309, 392, 0,	//74  const QHostAddress&, unsigned short
    377, 7, 0,	//77  int, QAbstractSocket::SocketState
    360, 382, 0,	//80  const QString&, quint16
    298, 0,	//83  const QAuthenticator&
    360, 360, 0,	//85  const QString&, const QString&
    67, 0,	//88  QFtp::TransferMode
    360, 90, 68, 0,	//90  const QString&, QIODevice*, QFtp::TransferType
    301, 360, 68, 0,	//94  const QByteArray&, const QString&, QFtp::TransferType
    90, 360, 68, 0,	//98  QIODevice*, const QString&, QFtp::TransferType
    366, 0,	//102  const QUrlInfo&
    381, 381, 0,	//104  qint64, qint64
    377, 360, 0,	//107  int, const QString&
    377, 294, 0,	//110  int, bool
    294, 0,	//113  bool
    360, 90, 0,	//115  const QString&, QIODevice*
    301, 360, 0,	//118  const QByteArray&, const QString&
    90, 360, 0,	//121  QIODevice*, const QString&
    363, 363, 0,	//124  const QStringRef&, const QStringRef&
    391, 0,	//127  unsigned long long
    375, 0,	//129  double
    197, 377, 0,	//131  QTextCodec::ConversionFlag, int
    247, 377, 0,	//134  Qt::ImageConversionFlag, int
    371, 389, 0,	//137  const char*, unsigned int
    397, 374, 385, 0,	//140  void*, const void*, size_t
    371, 315, 0,	//144  const char*, const QLatin1String&
    24, 37, 0,	//147  QDebug, QFlags<QIODevice::OpenModeFlag>
    24, 356, 0,	//150  QDebug, const QSslError&
    363, 360, 0,	//153  const QStringRef&, const QString&
    350, 350, 0,	//156  const QSize&, const QSize&
    371, 301, 0,	//159  const char*, const QByteArray&
    30, 36, 0,	//162  QFile::Permission, QFlags<QFile::Permission>
    360, 371, 0,	//165  const QString&, const char*
    344, 344, 0,	//168  const QPointF&, const QPointF&
    375, 375, 0,	//171  double, double
    20, 163, 0,	//174  QDataStream&, QSizeF&
    301, 371, 0,	//177  const QByteArray&, const char*
    376, 0,	//180  float
    384, 0,	//182  signed char
    139, 377, 0,	//184  QNetworkProxy::Capability, int
    360, 363, 0,	//187  const QString&, const QStringRef&
    16, 0,	//190  QChar
    363, 315, 0,	//192  const QStringRef&, const QLatin1String&
    16, 16, 0,	//195  QChar, QChar
    280, 280, 0,	//198  Qt::TouchPointState, Qt::TouchPointState
    301, 0,	//201  const QByteArray&
    24, 365, 0,	//203  QDebug, const QUrl&
    190, 360, 0,	//206  QString::Null, const QString&
    20, 309, 0,	//209  QDataStream&, const QHostAddress&
    277, 277, 0,	//212  Qt::ToolBarArea, Qt::ToolBarArea
    117, 117, 0,	//215  QLocale::NumberOption, QLocale::NumberOption
    287, 287, 0,	//218  Qt::WindowType, Qt::WindowType
    375, 352, 0,	//221  double, const QSizeF&
    25, 377, 0,	//224  QDir::Filter, int
    342, 342, 0,	//227  const QPoint&, const QPoint&
    20, 346, 0,	//230  QDataStream&, const QRectF&
    255, 377, 0,	//233  Qt::KeyboardModifier, int
    274, 58, 0,	//236  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    24, 7, 0,	//239  QDebug, QAbstractSocket::SocketState
    296, 0,	//242  char
    200, 44, 0,	//244  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    24, 326, 0,	//247  QDebug, const QMargins&
    208, 377, 0,	//250  QUrl::FormattingOption, int
    30, 377, 0,	//253  QFile::Permission, int
    342, 375, 0,	//256  const QPoint&, double
    27, 34, 0,	//259  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    20, 331, 0,	//262  QDataStream&, const QNetworkCacheMetaData&
    360, 301, 0,	//265  const QString&, const QByteArray&
    352, 352, 0,	//268  const QSizeF&, const QSizeF&
    24, 344, 0,	//271  QDebug, const QPointF&
    255, 54, 0,	//274  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    24, 317, 0,	//277  QDebug, const QLineF&
    24, 304, 0,	//280  QDebug, const QDateTime&
    24, 172, 0,	//283  QDebug, QSslCertificate::SubjectInfo
    139, 139, 0,	//286  QNetworkProxy::Capability, QNetworkProxy::Capability
    371, 360, 0,	//289  const char*, const QString&
    205, 45, 0,	//292  QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>
    208, 208, 0,	//295  QUrl::FormattingOption, QUrl::FormattingOption
    280, 60, 0,	//298  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    247, 247, 0,	//301  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    117, 377, 0,	//304  QLocale::NumberOption, int
    315, 315, 0,	//307  const QLatin1String&, const QLatin1String&
    373, 377, 0,	//310  const unsigned char*, int
    371, 371, 389, 0,	//313  const char*, const char*, unsigned int
    139, 41, 0,	//317  QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>
    315, 363, 0,	//320  const QLatin1String&, const QStringRef&
    238, 238, 0,	//323  Qt::DropAction, Qt::DropAction
    24, 342, 0,	//326  QDebug, const QPoint&
    20, 116, 0,	//329  QDataStream&, QLocale&
    360, 16, 0,	//332  const QString&, QChar
    190, 190, 0,	//335  QString::Null, QString::Null
    24, 115, 0,	//338  QDebug, QLocalSocket::LocalSocketState
    373, 388, 377, 0,	//341  const unsigned char*, unsigned char*, int
    197, 197, 0,	//345  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    262, 262, 0,	//348  Qt::Orientation, Qt::Orientation
    397, 385, 385, 385, 0,	//351  void*, size_t, size_t, size_t
    389, 0,	//356  unsigned int
    277, 59, 0,	//358  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    345, 345, 0,	//361  const QRect&, const QRect&
    29, 35, 0,	//364  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    299, 299, 0,	//367  const QBitArray&, const QBitArray&
    301, 301, 0,	//370  const QByteArray&, const QByteArray&
    397, 385, 0,	//373  void*, size_t
    20, 325, 0,	//376  QDataStream&, const QLocale&
    24, 306, 0,	//379  QDebug, const QEasingCurve&
    396, 0,	//382  void(*)(QtMsgType,const char*)
    329, 0,	//384  const QModelIndex&
    20, 23, 0,	//386  QDataStream&, QDateTime&
    13, 13, 0,	//389  QBool, QBool
    371, 363, 0,	//392  const char*, const QStringRef&
    277, 377, 0,	//395  Qt::ToolBarArea, int
    249, 377, 0,	//398  Qt::InputMethodHint, int
    16, 360, 0,	//401  QChar, const QString&
    191, 377, 0,	//404  QString::SectionFlag, int
    97, 377, 0,	//407  QLibrary::LoadHint, int
    20, 207, 0,	//410  QDataStream&, QUrl&
    360, 190, 0,	//413  const QString&, QString::Null
    1, 377, 0,	//416  QAbstractFileEngine::FileFlag, int
    197, 43, 0,	//419  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    360, 296, 0,	//422  const QString&, char
    249, 52, 0,	//425  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    287, 62, 0,	//428  Qt::WindowType, QFlags<Qt::WindowType>
    260, 260, 0,	//431  Qt::MouseButton, Qt::MouseButton
    297, 371, 0,	//434  char*, const char*
    217, 217, 0,	//437  Qt::AlignmentFlag, Qt::AlignmentFlag
    342, 0,	//440  const QPoint&
    238, 377, 0,	//442  Qt::DropAction, int
    20, 364, 0,	//445  QDataStream&, const QTime&
    26, 377, 0,	//448  QDir::SortFlag, int
    326, 326, 0,	//451  const QMargins&, const QMargins&
    24, 332, 0,	//454  QDebug, const QNetworkCookie&
    24, 5, 0,	//457  QDebug, QAbstractSocket::SocketError
    154, 0,	//460  QObject*(*)()
    258, 258, 0,	//462  Qt::MatchFlag, Qt::MatchFlag
    385, 0,	//465  size_t
    236, 48, 0,	//467  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    20, 193, 0,	//470  QDataStream&, QStringList&
    24, 369, 0,	//473  QDebug, const QVariant::Type
    236, 377, 0,	//476  Qt::DockWidgetArea, int
    378, 0,	//479  long
    20, 99, 0,	//481  QDataStream&, QLineF&
    30, 30, 0,	//484  QFile::Permission, QFile::Permission
    296, 360, 0,	//487  char, const QString&
    20, 162, 0,	//490  QDataStream&, QSize&
    340, 0,	//493  const QPersistentModelIndex&
    20, 360, 0,	//495  QDataStream&, const QString&
    20, 304, 0,	//498  QDataStream&, const QDateTime&
    338, 360, 327, 0,	//501  const QObject*, const QString&, const QMetaObject&
    191, 191, 0,	//505  QString::SectionFlag, QString::SectionFlag
    344, 375, 0,	//508  const QPointF&, double
    294, 13, 0,	//511  bool, QBool
    20, 125, 0,	//514  QDataStream&, QNetworkCacheMetaData&
    297, 371, 389, 0,	//517  char*, const char*, unsigned int
    20, 71, 0,	//521  QDataStream&, QHostAddress&
    20, 342, 0,	//524  QDataStream&, const QPoint&
    20, 214, 0,	//527  QDataStream&, QVariant&
    260, 377, 0,	//530  Qt::MouseButton, int
    344, 0,	//533  const QPointF&
    135, 40, 0,	//535  QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>
    24, 340, 0,	//538  QDebug, const QPersistentModelIndex&
    371, 371, 371, 377, 0,	//541  const char*, const char*, const char*, int
    262, 57, 0,	//546  Qt::Orientation, QFlags<Qt::Orientation>
    24, 333, 0,	//549  QDebug, const QNetworkInterface&
    205, 377, 0,	//552  QUdpSocket::BindFlag, int
    29, 377, 0,	//555  QEventLoop::ProcessEventsFlag, int
    346, 346, 0,	//558  const QRectF&, const QRectF&
    397, 385, 385, 293, 0,	//561  void*, size_t, size_t, __compar_fn_t
    247, 51, 0,	//566  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    24, 114, 0,	//569  QDebug, QLocalSocket::LocalSocketError
    20, 361, 0,	//572  QDataStream&, const QStringList&
    301, 296, 0,	//575  const QByteArray&, char
    27, 27, 0,	//578  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    25, 32, 0,	//581  QDir::Filter, QFlags<QDir::Filter>
    20, 156, 0,	//584  QDataStream&, QPoint&
    352, 375, 0,	//587  const QSizeF&, double
    20, 303, 0,	//590  QDataStream&, const QDate&
    395, 0,	//593  void(*)()
    373, 377, 377, 0,	//595  const unsigned char*, int, int
    20, 316, 0,	//599  QDataStream&, const QLine&
    20, 189, 0,	//602  QDataStream&, QString&
    24, 309, 0,	//605  QDebug, const QHostAddress&
    397, 0,	//608  void*
    252, 377, 0,	//610  Qt::ItemFlag, int
    24, 305, 0,	//613  QDebug, const QDir&
    198, 199, 0,	//616  QTextStream&, QTextStream&(*)(QTextStream&)
    24, 329, 0,	//619  QDebug, const QModelIndex&
    24, 353, 0,	//622  QDebug, const QSslCertificate&
    29, 29, 0,	//625  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    299, 0,	//628  const QBitArray&
    24, 364, 0,	//630  QDebug, const QTime&
    198, 201, 0,	//633  QTextStream&, QTextStreamManipulator
    243, 50, 0,	//636  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    363, 371, 0,	//639  const QStringRef&, const char*
    73, 309, 0,	//642  QHostAddress::SpecialAddress, const QHostAddress&
    20, 12, 0,	//645  QDataStream&, QBitArray&
    385, 385, 0,	//648  size_t, size_t
    24, 352, 0,	//651  QDebug, const QSizeF&
    243, 377, 0,	//654  Qt::GestureFlag, int
    296, 301, 0,	//657  char, const QByteArray&
    20, 368, 0,	//660  QDataStream&, const QVariant&
    24, 368, 0,	//663  QDebug, const QVariant&
    286, 377, 0,	//666  Qt::WindowState, int
    20, 202, 0,	//669  QDataStream&, QTime&
    24, 32, 0,	//672  QDebug, QFlags<QDir::Filter>
    255, 255, 0,	//675  Qt::KeyboardModifier, Qt::KeyboardModifier
    375, 344, 0,	//678  double, const QPointF&
    238, 49, 0,	//681  Qt::DropAction, QFlags<Qt::DropAction>
    350, 375, 0,	//684  const QSize&, double
    24, 303, 0,	//687  QDebug, const QDate&
    25, 25, 0,	//690  QDir::Filter, QDir::Filter
    297, 385, 371, 394, 0,	//693  char*, size_t, const char*, va_list
    375, 342, 0,	//698  double, const QPoint&
    397, 377, 385, 0,	//701  void*, int, size_t
    20, 317, 0,	//705  QDataStream&, const QLineF&
    371, 377, 0,	//708  const char*, int
    383, 0,	//711  short
    92, 92, 0,	//713  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    236, 236, 0,	//716  Qt::DockWidgetArea, Qt::DockWidgetArea
    26, 33, 0,	//719  QDir::SortFlag, QFlags<QDir::SortFlag>
    135, 377, 0,	//722  QNetworkInterface::InterfaceFlag, int
    376, 376, 0,	//725  float, float
    368, 370, 0,	//728  const QVariant&, const QVariantComparisonHelper&
    97, 97, 0,	//731  QLibrary::LoadHint, QLibrary::LoadHint
    379, 377, 297, 0,	//734  long double, int, char*
    205, 205, 0,	//738  QUdpSocket::BindFlag, QUdpSocket::BindFlag
    27, 377, 0,	//741  QDirIterator::IteratorFlag, int
    249, 249, 0,	//744  Qt::InputMethodHint, Qt::InputMethodHint
    24, 316, 0,	//747  QDebug, const QLine&
    274, 274, 0,	//750  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    280, 377, 0,	//753  Qt::TouchPointState, int
    301, 377, 0,	//756  const QByteArray&, int
    208, 46, 0,	//759  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    274, 377, 0,	//762  Qt::TextInteractionFlag, int
    286, 286, 0,	//765  Qt::WindowState, Qt::WindowState
    1, 31, 0,	//768  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    24, 357, 0,	//771  QDebug, const QSslError::SslError&
    20, 301, 0,	//774  QDataStream&, const QByteArray&
    20, 365, 0,	//777  QDataStream&, const QUrl&
    24, 345, 0,	//780  QDebug, const QRect&
    26, 26, 0,	//783  QDir::SortFlag, QDir::SortFlag
    200, 377, 0,	//786  QTextStream::NumberFlag, int
    20, 158, 0,	//789  QDataStream&, QRect&
    20, 350, 0,	//792  QDataStream&, const QSize&
    20, 302, 0,	//795  QDataStream&, const QChar&
    217, 377, 0,	//798  Qt::AlignmentFlag, int
    20, 347, 0,	//801  QDataStream&, const QRegExp&
    24, 346, 0,	//804  QDebug, const QRectF&
    286, 61, 0,	//807  Qt::WindowState, QFlags<Qt::WindowState>
    252, 252, 0,	//810  Qt::ItemFlag, Qt::ItemFlag
    20, 212, 0,	//813  QDataStream&, QUuid&
    20, 216, 0,	//816  QDataStream&, QVariant::Type&
    368, 215, 397, 0,	//819  const QVariant&, QVariant::Type, void*
    338, 360, 348, 327, 111, 0,	//823  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    308, 308, 0,	//829  const QHashDummyValue&, const QHashDummyValue&
    20, 157, 0,	//832  QDataStream&, QPointF&
    262, 377, 0,	//835  Qt::Orientation, int
    243, 243, 0,	//838  Qt::GestureFlag, Qt::GestureFlag
    92, 37, 0,	//841  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    375, 350, 0,	//844  double, const QSize&
    24, 358, 0,	//847  QDebug, const QSslKey&
    13, 294, 0,	//850  QBool, bool
    20, 98, 0,	//853  QDataStream&, QLine&
    24, 350, 0,	//856  QDebug, const QSize&
    200, 200, 0,	//859  QTextStream::NumberFlag, QTextStream::NumberFlag
    260, 56, 0,	//862  Qt::MouseButton, QFlags<Qt::MouseButton>
    20, 369, 0,	//865  QDataStream&, const QVariant::Type
    252, 53, 0,	//868  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    20, 367, 0,	//871  QDataStream&, const QUuid&
    97, 38, 0,	//874  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    287, 377, 0,	//877  Qt::WindowType, int
    135, 135, 0,	//880  QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag
    20, 159, 0,	//883  QDataStream&, QRectF&
    20, 345, 0,	//886  QDataStream&, const QRect&
    258, 55, 0,	//889  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    217, 47, 0,	//892  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    24, 354, 0,	//895  QDebug, const QSslCipher&
    20, 17, 0,	//898  QDataStream&, QChar&
    20, 160, 0,	//901  QDataStream&, QRegExp&
    390, 0,	//904  unsigned long
    20, 344, 0,	//906  QDataStream&, const QPointF&
    20, 352, 0,	//909  QDataStream&, const QSizeF&
    117, 39, 0,	//912  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    191, 42, 0,	//915  QString::SectionFlag, QFlags<QString::SectionFlag>
    1, 1, 0,	//918  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    290, 371, 0,	//921  QtMsgType, const char*
    363, 0,	//924  const QStringRef&
    92, 377, 0,	//926  QIODevice::OpenModeFlag, int
    386, 0,	//929  unsigned char
    20, 15, 0,	//931  QDataStream&, QByteArray&
    24, 338, 0,	//934  QDebug, const QObject*
    258, 377, 0,	//937  Qt::MatchFlag, int
    20, 21, 0,	//940  QDataStream&, QDate&
    20, 299, 0,	//943  QDataStream&, const QBitArray&
    388, 0,	//946  unsigned char*
    314, 0,	//948  const QIPv6Address&
    372, 0,	//950  const sockaddr*
    73, 0,	//952  QHostAddress::SpecialAddress
    309, 377, 0,	//954  const QHostAddress&, int
    339, 0,	//957  const QPair<QHostAddress,int>&
    310, 0,	//959  const QHostInfo&
    318, 0,	//961  const QList<QHostAddress>&
    77, 0,	//963  QHostInfo::HostInfoError
    360, 153, 371, 0,	//965  const QString&, QObject*, const char*
    360, 392, 153, 0,	//969  const QString&, unsigned short, QObject*
    360, 79, 392, 153, 0,	//973  const QString&, QHttp::ConnectionMode, unsigned short, QObject*
    360, 79, 392, 0,	//978  const QString&, QHttp::ConnectionMode, unsigned short
    196, 0,	//982  QTcpSocket*
    360, 377, 360, 360, 0,	//984  const QString&, int, const QString&, const QString&
    360, 90, 90, 0,	//989  const QString&, QIODevice*, QIODevice*
    360, 301, 90, 0,	//993  const QString&, const QByteArray&, QIODevice*
    312, 90, 90, 0,	//997  const QHttpRequestHeader&, QIODevice*, QIODevice*
    312, 301, 90, 0,	//1001  const QHttpRequestHeader&, const QByteArray&, QIODevice*
    313, 0,	//1005  const QHttpResponseHeader&
    377, 377, 0,	//1007  int, int
    360, 382, 10, 0,	//1010  const QString&, quint16, QAuthenticator*
    324, 0,	//1014  const QList<QSslError>&
    360, 79, 0,	//1016  const QString&, QHttp::ConnectionMode
    360, 377, 0,	//1019  const QString&, int
    360, 377, 360, 0,	//1022  const QString&, int, const QString&
    312, 0,	//1026  const QHttpRequestHeader&
    312, 90, 0,	//1028  const QHttpRequestHeader&, QIODevice*
    312, 301, 0,	//1031  const QHttpRequestHeader&, const QByteArray&
    311, 0,	//1034  const QHttpHeader&
    321, 0,	//1036  const QList<QPair<QString,QString> >&
    360, 360, 377, 377, 0,	//1038  const QString&, const QString&, int, int
    360, 360, 377, 0,	//1043  const QString&, const QString&, int
    377, 360, 377, 377, 0,	//1047  int, const QString&, int, int
    377, 360, 377, 0,	//1052  int, const QString&, int
    37, 0,	//1056  QFlags<QIODevice::OpenModeFlag>
    377, 295, 0,	//1058  int, bool*
    96, 0,	//1061  QIntegerForSizeof< void* >::Unsigned
    360, 37, 0,	//1063  const QString&, QFlags<QIODevice::OpenModeFlag>
    96, 115, 37, 0,	//1066  QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState, QFlags<QIODevice::OpenModeFlag>
    114, 0,	//1070  QLocalSocket::LocalSocketError
    115, 0,	//1072  QLocalSocket::LocalSocketState
    96, 115, 0,	//1074  QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState
    141, 0,	//1077  QNetworkProxyFactory*
    2, 0,	//1079  QAbstractNetworkCache*
    130, 0,	//1081  QNetworkCookieJar*
    337, 0,	//1083  const QNetworkRequest&
    337, 90, 0,	//1085  const QNetworkRequest&, QIODevice*
    337, 301, 0,	//1088  const QNetworkRequest&, const QByteArray&
    145, 10, 0,	//1091  QNetworkReply*, QAuthenticator*
    145, 0,	//1094  QNetworkReply*
    145, 324, 0,	//1096  QNetworkReply*, const QList<QSslError>&
    121, 337, 90, 0,	//1099  QNetworkAccessManager::Operation, const QNetworkRequest&, QIODevice*
    121, 337, 0,	//1103  QNetworkAccessManager::Operation, const QNetworkRequest&
    330, 0,	//1106  const QNetworkAddressEntry&
    320, 0,	//1108  const QList<QPair<QByteArray,QByteArray> >&
    304, 0,	//1110  const QDateTime&
    307, 0,	//1112  const QHash<QNetworkRequest::Attribute,QVariant>&
    332, 0,	//1114  const QNetworkCookie&
    129, 0,	//1116  QNetworkCookie::RawForm
    319, 365, 0,	//1118  const QList<QNetworkCookie>&, const QUrl&
    319, 0,	//1121  const QList<QNetworkCookie>&
    333, 0,	//1123  const QNetworkInterface&
    140, 360, 392, 360, 360, 0,	//1125  QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&, const QString&
    140, 0,	//1131  QNetworkProxy::ProxyType
    41, 0,	//1133  QFlags<QNetworkProxy::Capability>
    140, 360, 0,	//1135  QNetworkProxy::ProxyType, const QString&
    140, 360, 392, 0,	//1138  QNetworkProxy::ProxyType, const QString&, unsigned short
    140, 360, 392, 360, 0,	//1142  QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&
    336, 0,	//1147  const QNetworkProxyQuery&
    335, 0,	//1149  const QNetworkProxyFactory&
    365, 144, 0,	//1151  const QUrl&, QNetworkProxyQuery::QueryType
    360, 377, 360, 144, 0,	//1154  const QString&, int, const QString&, QNetworkProxyQuery::QueryType
    392, 360, 144, 0,	//1159  unsigned short, const QString&, QNetworkProxyQuery::QueryType
    144, 0,	//1163  QNetworkProxyQuery::QueryType
    392, 360, 0,	//1165  unsigned short, const QString&
    152, 0,	//1168  QNetworkRequest::KnownHeaders
    150, 0,	//1170  QNetworkRequest::Attribute
    355, 0,	//1172  const QSslConfiguration&
    146, 0,	//1174  QNetworkReply::NetworkError
    121, 0,	//1176  QNetworkAccessManager::Operation
    146, 360, 0,	//1178  QNetworkReply::NetworkError, const QString&
    152, 368, 0,	//1181  QNetworkRequest::KnownHeaders, const QVariant&
    150, 368, 0,	//1184  QNetworkRequest::Attribute, const QVariant&
    28, 0,	//1187  QEvent*
    153, 28, 0,	//1189  QObject*, QEvent*
    203, 0,	//1192  QTimerEvent*
    18, 0,	//1194  QChildEvent*
    90, 165, 0,	//1196  QIODevice*, QSsl::EncodingFormat
    301, 165, 0,	//1199  const QByteArray&, QSsl::EncodingFormat
    353, 0,	//1202  const QSslCertificate&
    19, 0,	//1204  QCryptographicHash::Algorithm
    172, 0,	//1206  QSslCertificate::SubjectInfo
    360, 165, 161, 0,	//1208  const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax
    360, 165, 0,	//1212  const QString&, QSsl::EncodingFormat
    360, 168, 0,	//1215  const QString&, QSsl::SslProtocol
    354, 0,	//1218  const QSslCipher&
    168, 0,	//1220  QSsl::SslProtocol
    186, 0,	//1222  QSslSocket::PeerVerifyMode
    358, 0,	//1224  const QSslKey&
    323, 0,	//1226  const QList<QSslCipher>&
    322, 0,	//1228  const QList<QSslCertificate>&
    181, 0,	//1230  QSslError::SslError
    181, 353, 0,	//1232  QSslError::SslError, const QSslCertificate&
    356, 0,	//1235  const QSslError&
    301, 166, 165, 167, 301, 0,	//1237  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&
    90, 166, 165, 167, 301, 0,	//1243  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&
    301, 166, 0,	//1249  const QByteArray&, QSsl::KeyAlgorithm
    301, 166, 165, 0,	//1252  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    301, 166, 165, 167, 0,	//1256  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType
    90, 166, 0,	//1261  QIODevice*, QSsl::KeyAlgorithm
    90, 166, 165, 0,	//1264  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    90, 166, 165, 167, 0,	//1268  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType
    360, 392, 360, 37, 0,	//1273  const QString&, unsigned short, const QString&, QFlags<QIODevice::OpenModeFlag>
    360, 166, 165, 301, 0,	//1278  const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, const QByteArray&
    187, 0,	//1283  QSslSocket::SslMode
    381, 0,	//1285  qint64
    360, 392, 360, 0,	//1287  const QString&, unsigned short, const QString&
    360, 166, 0,	//1291  const QString&, QSsl::KeyAlgorithm
    360, 166, 165, 0,	//1294  const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    309, 392, 45, 0,	//1298  const QHostAddress&, unsigned short, QFlags<QUdpSocket::BindFlag>
    392, 45, 0,	//1302  unsigned short, QFlags<QUdpSocket::BindFlag>
    297, 380, 72, 393, 0,	//1305  char*, long long, QHostAddress*, unsigned short*
    371, 380, 309, 392, 0,	//1310  const char*, long long, const QHostAddress&, unsigned short
    301, 309, 392, 0,	//1315  const QByteArray&, const QHostAddress&, unsigned short
    297, 380, 72, 0,	//1319  char*, long long, QHostAddress*
    360, 377, 360, 360, 380, 304, 304, 294, 294, 294, 294, 294, 294, 0,	//1323  const QString&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool
    365, 377, 360, 360, 380, 304, 304, 294, 294, 294, 294, 294, 294, 0,	//1337  const QUrl&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool
    366, 366, 377, 0,	//1351  const QUrlInfo&, const QUrlInfo&, int
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Aborted",	//1
    "Active",	//2
    "AddressInUseError",	//3
    "AlwaysCache",	//4
    "AlwaysNetwork",	//5
    "Any",	//6
    "AnyIPv6",	//7
    "AnyProtocol",	//8
    "Append",	//9
    "Ascii",	//10
    "AuthenticationRequiredError",	//11
    "AuthorityIssuerSerialNumberMismatch",	//12
    "AutoVerifyPeer",	//13
    "Binary",	//14
    "BoundState",	//15
    "Broadcast",	//16
    "CacheLoadControlAttribute",	//17
    "CacheSaveControlAttribute",	//18
    "CachingCapability",	//19
    "CanBroadcast",	//20
    "CanMulticast",	//21
    "Cd",	//22
    "CertificateExpired",	//23
    "CertificateNotYetValid",	//24
    "CertificateRejected",	//25
    "CertificateRevoked",	//26
    "CertificateSignatureFailed",	//27
    "CertificateUntrusted",	//28
    "Close",	//29
    "Closing",	//30
    "ClosingState",	//31
    "CommonName",	//32
    "ConnectToHost",	//33
    "Connected",	//34
    "ConnectedState",	//35
    "Connecting",	//36
    "ConnectingState",	//37
    "ConnectionEncryptedAttribute",	//38
    "ConnectionError",	//39
    "ConnectionModeHttp",	//40
    "ConnectionModeHttps",	//41
    "ConnectionRefused",	//42
    "ConnectionRefusedError",	//43
    "ContentAccessDenied",	//44
    "ContentLengthHeader",	//45
    "ContentNotFoundError",	//46
    "ContentOperationNotPermittedError",	//47
    "ContentReSendError",	//48
    "ContentTypeHeader",	//49
    "CookieHeader",	//50
    "CountryName",	//51
    "DatagramTooLargeError",	//52
    "DefaultForPlatform",	//53
    "DefaultProxy",	//54
    "DeleteOperation",	//55
    "Der",	//56
    "DnsEntry",	//57
    "DoNotBufferUploadDataAttribute",	//58
    "DontShareAddress",	//59
    "Dsa",	//60
    "EmailEntry",	//61
    "ExeGroup",	//62
    "ExeOther",	//63
    "ExeOwner",	//64
    "FtpCachingProxy",	//65
    "Full",	//66
    "Get",	//67
    "GetOperation",	//68
    "HeadOperation",	//69
    "HostLookup",	//70
    "HostLookupState",	//71
    "HostNameLookupCapability",	//72
    "HostNameMismatch",	//73
    "HostNotFound",	//74
    "HostNotFoundError",	//75
    "HttpCachingProxy",	//76
    "HttpPipeliningAllowedAttribute",	//77
    "HttpPipeliningWasUsedAttribute",	//78
    "HttpProxy",	//79
    "HttpReasonPhraseAttribute",	//80
    "HttpStatusCodeAttribute",	//81
    "IPv4Protocol",	//82
    "IPv6Protocol",	//83
    "InvalidCaCertificate",	//84
    "InvalidNotAfterField",	//85
    "InvalidNotBeforeField",	//86
    "InvalidPurpose",	//87
    "InvalidResponseHeader",	//88
    "IsLoopBack",	//89
    "IsPointToPoint",	//90
    "IsRunning",	//91
    "IsUp",	//92
    "KeepAliveOption",	//93
    "LastModifiedHeader",	//94
    "List",	//95
    "ListeningCapability",	//96
    "ListeningState",	//97
    "LocalHost",	//98
    "LocalHostIPv6",	//99
    "LocalityName",	//100
    "LocationHeader",	//101
    "LoggedIn",	//102
    "Login",	//103
    "LowDelayOption",	//104
    "Mkdir",	//105
    "NameAndValueOnly",	//106
    "NetworkError",	//107
    "NoError",	//108
    "NoPeerCertificate",	//109
    "NoProxy",	//110
    "NoSslSupport",	//111
    "None",	//112
    "NotConnected",	//113
    "NotOpen",	//114
    "Null",	//115
    "OperationCanceledError",	//116
    "Organization",	//117
    "OrganizationalUnitName",	//118
    "Passive",	//119
    "PathLengthExceeded",	//120
    "PeerClosedError",	//121
    "Pem",	//122
    "PostOperation",	//123
    "PreferCache",	//124
    "PreferNetwork",	//125
    "PrivateKey",	//126
    "ProtocolFailure",	//127
    "ProtocolInvalidOperationError",	//128
    "ProtocolUnknownError",	//129
    "ProxyAuthenticationRequiredError",	//130
    "ProxyConnectionClosedError",	//131
    "ProxyConnectionRefusedError",	//132
    "ProxyConnectionTimeoutError",	//133
    "ProxyNotFoundError",	//134
    "ProxyProtocolError",	//135
    "ProxyTimeoutError",	//136
    "PublicKey",	//137
    "Put",	//138
    "PutOperation",	//139
    "QAbstractNetworkCache",	//140
    "QAbstractNetworkCache#",	//141
    "QAbstractSocket",	//142
    "QAbstractSocket$#",	//143
    "QAuthenticator",	//144
    "QAuthenticator#",	//145
    "QFtp",	//146
    "QFtp#",	//147
    "QHostAddress",	//148
    "QHostAddress#",	//149
    "QHostAddress$",	//150
    "QHostInfo",	//151
    "QHostInfo#",	//152
    "QHostInfo$",	//153
    "QHttp",	//154
    "QHttp#",	//155
    "QHttp$",	//156
    "QHttp$$",	//157
    "QHttp$$#",	//158
    "QHttp$$$",	//159
    "QHttp$$$#",	//160
    "QHttpHeader",	//161
    "QHttpHeader#",	//162
    "QHttpHeader$",	//163
    "QHttpRequestHeader",	//164
    "QHttpRequestHeader#",	//165
    "QHttpRequestHeader$",	//166
    "QHttpRequestHeader$$",	//167
    "QHttpRequestHeader$$$",	//168
    "QHttpRequestHeader$$$$",	//169
    "QHttpResponseHeader",	//170
    "QHttpResponseHeader#",	//171
    "QHttpResponseHeader$",	//172
    "QHttpResponseHeader$$",	//173
    "QHttpResponseHeader$$$",	//174
    "QHttpResponseHeader$$$$",	//175
    "QIPv6Address",	//176
    "QIPv6Address#",	//177
    "QLocalServer",	//178
    "QLocalServer#",	//179
    "QLocalSocket",	//180
    "QLocalSocket#",	//181
    "QNetworkAccessManager",	//182
    "QNetworkAccessManager#",	//183
    "QNetworkAddressEntry",	//184
    "QNetworkAddressEntry#",	//185
    "QNetworkCacheMetaData",	//186
    "QNetworkCacheMetaData#",	//187
    "QNetworkCookie",	//188
    "QNetworkCookie#",	//189
    "QNetworkCookie##",	//190
    "QNetworkCookieJar",	//191
    "QNetworkCookieJar#",	//192
    "QNetworkDiskCache",	//193
    "QNetworkDiskCache#",	//194
    "QNetworkInterface",	//195
    "QNetworkInterface#",	//196
    "QNetworkProxy",	//197
    "QNetworkProxy#",	//198
    "QNetworkProxy$",	//199
    "QNetworkProxy$$",	//200
    "QNetworkProxy$$$",	//201
    "QNetworkProxy$$$$",	//202
    "QNetworkProxy$$$$$",	//203
    "QNetworkProxyFactory",	//204
    "QNetworkProxyFactory#",	//205
    "QNetworkProxyQuery",	//206
    "QNetworkProxyQuery#",	//207
    "QNetworkProxyQuery#$",	//208
    "QNetworkProxyQuery$",	//209
    "QNetworkProxyQuery$$",	//210
    "QNetworkProxyQuery$$$",	//211
    "QNetworkProxyQuery$$$$",	//212
    "QNetworkReply",	//213
    "QNetworkReply#",	//214
    "QNetworkRequest",	//215
    "QNetworkRequest#",	//216
    "QSslCertificate",	//217
    "QSslCertificate#",	//218
    "QSslCertificate#$",	//219
    "QSslCipher",	//220
    "QSslCipher#",	//221
    "QSslCipher$$",	//222
    "QSslConfiguration",	//223
    "QSslConfiguration#",	//224
    "QSslError",	//225
    "QSslError#",	//226
    "QSslError$",	//227
    "QSslError$#",	//228
    "QSslKey",	//229
    "QSslKey#",	//230
    "QSslKey#$",	//231
    "QSslKey#$$",	//232
    "QSslKey#$$$",	//233
    "QSslKey#$$$#",	//234
    "QSslSocket",	//235
    "QSslSocket#",	//236
    "QTcpServer",	//237
    "QTcpServer#",	//238
    "QTcpSocket",	//239
    "QTcpSocket#",	//240
    "QUdpSocket",	//241
    "QUdpSocket#",	//242
    "QUrlInfo",	//243
    "QUrlInfo#",	//244
    "QUrlInfo#$$$$##$$$$$$",	//245
    "QUrlInfo$$$$$##$$$$$$",	//246
    "QtCriticalMsg",	//247
    "QtDebugMsg",	//248
    "QtFatalMsg",	//249
    "QtSystemMsg",	//250
    "QtWarningMsg",	//251
    "QueryPeer",	//252
    "RawCommand",	//253
    "ReadGroup",	//254
    "ReadOnly",	//255
    "ReadOther",	//256
    "ReadOwner",	//257
    "ReadWrite",	//258
    "Reading",	//259
    "RedirectionTargetAttribute",	//260
    "RemoteHostClosedError",	//261
    "Remove",	//262
    "Rename",	//263
    "ReuseAddressHint",	//264
    "Rmdir",	//265
    "Rsa",	//266
    "SelfSignedCertificate",	//267
    "SelfSignedCertificateInChain",	//268
    "Sending",	//269
    "ServerNotFoundError",	//270
    "SetCookieHeader",	//271
    "SetProxy",	//272
    "SetTransferMode",	//273
    "ShareAddress",	//274
    "SocketAccessError",	//275
    "SocketAddressNotAvailableError",	//276
    "SocketResourceError",	//277
    "SocketTimeoutError",	//278
    "Socks5Proxy",	//279
    "SourceIsFromCacheAttribute",	//280
    "SslClientMode",	//281
    "SslHandshakeFailedError",	//282
    "SslServerMode",	//283
    "SslV2",	//284
    "SslV3",	//285
    "StateOrProvinceName",	//286
    "SubjectIssuerMismatch",	//287
    "TcpServer",	//288
    "TcpSocket",	//289
    "Text",	//290
    "TimeoutError",	//291
    "TlsV1",	//292
    "Truncate",	//293
    "TunnelingCapability",	//294
    "UdpSocket",	//295
    "UdpTunnelingCapability",	//296
    "UnableToDecodeIssuerPublicKey",	//297
    "UnableToDecryptCertificateSignature",	//298
    "UnableToGetIssuerCertificate",	//299
    "UnableToGetLocalIssuerCertificate",	//300
    "UnableToVerifyFirstCertificate",	//301
    "Unbuffered",	//302
    "Unconnected",	//303
    "UnconnectedState",	//304
    "UnencryptedMode",	//305
    "UnexpectedClose",	//306
    "UnfinishedSocketOperationError",	//307
    "UnknownContentError",	//308
    "UnknownError",	//309
    "UnknownNetworkError",	//310
    "UnknownNetworkLayerProtocol",	//311
    "UnknownOperation",	//312
    "UnknownProtocol",	//313
    "UnknownProxyError",	//314
    "UnknownSocketError",	//315
    "UnknownSocketType",	//316
    "UnspecifiedError",	//317
    "UnsupportedSocketOperationError",	//318
    "UrlRequest",	//319
    "User",	//320
    "UserMax",	//321
    "VerifyNone",	//322
    "VerifyPeer",	//323
    "WriteGroup",	//324
    "WriteOnly",	//325
    "WriteOther",	//326
    "WriteOwner",	//327
    "WrongContentLength",	//328
    "_IEEE_",	//329
    "_ISOC_",	//330
    "_POSIX_",	//331
    "_SVID_",	//332
    "_XOPEN_",	//333
    "__codecvt_error",	//334
    "__codecvt_noconv",	//335
    "__codecvt_ok",	//336
    "__codecvt_partial",	//337
    "abort",	//338
    "abortHostLookup",	//339
    "abortHostLookup$",	//340
    "addCaCertificate",	//341
    "addCaCertificate#",	//342
    "addCaCertificates",	//343
    "addCaCertificates$",	//344
    "addCaCertificates$$",	//345
    "addCaCertificates$$$",	//346
    "addCaCertificates?",	//347
    "addDefaultCaCertificate",	//348
    "addDefaultCaCertificate#",	//349
    "addDefaultCaCertificates",	//350
    "addDefaultCaCertificates$",	//351
    "addDefaultCaCertificates$$",	//352
    "addDefaultCaCertificates$$$",	//353
    "addDefaultCaCertificates?",	//354
    "addValue",	//355
    "addValue$$",	//356
    "addressEntries",	//357
    "addresses",	//358
    "algorithm",	//359
    "allAddresses",	//360
    "allCookies",	//361
    "allInterfaces",	//362
    "allValues",	//363
    "allValues$",	//364
    "alternateSubjectNames",	//365
    "applicationProxy",	//366
    "atEnd",	//367
    "attribute",	//368
    "attribute$",	//369
    "attribute$#",	//370
    "attributes",	//371
    "authenticationMethod",	//372
    "authenticationRequired",	//373
    "authenticationRequired##",	//374
    "authenticationRequired$$#",	//375
    "bind",	//376
    "bind#$",	//377
    "bind#$$",	//378
    "bind$",	//379
    "bind$$",	//380
    "broadcast",	//381
    "bytesAvailable",	//382
    "bytesToWrite",	//383
    "caCertificates",	//384
    "cache",	//385
    "cacheDirectory",	//386
    "cacheSize",	//387
    "canReadLine",	//388
    "capabilities",	//389
    "cd",	//390
    "cd$",	//391
    "certificate",	//392
    "childEvent",	//393
    "ciphers",	//394
    "clear",	//395
    "clearPendingCommands",	//396
    "clearPendingRequests",	//397
    "close",	//398
    "closeConnection",	//399
    "commandFinished",	//400
    "commandFinished$$",	//401
    "commandStarted",	//402
    "commandStarted$",	//403
    "connectNotify",	//404
    "connectToHost",	//405
    "connectToHost#$",	//406
    "connectToHost#$$",	//407
    "connectToHost$",	//408
    "connectToHost$$",	//409
    "connectToHost$$$",	//410
    "connectToHostEncrypted",	//411
    "connectToHostEncrypted$$",	//412
    "connectToHostEncrypted$$$",	//413
    "connectToHostEncrypted$$$$",	//414
    "connectToHostImplementation",	//415
    "connectToHostImplementation$$",	//416
    "connectToHostImplementation$$$",	//417
    "connectToServer",	//418
    "connectToServer$",	//419
    "connectToServer$$",	//420
    "connected",	//421
    "contentLength",	//422
    "contentType",	//423
    "cookieJar",	//424
    "cookiesForUrl",	//425
    "cookiesForUrl#",	//426
    "createRequest",	//427
    "createRequest$#",	//428
    "createRequest$##",	//429
    "currentCommand",	//430
    "currentDestinationDevice",	//431
    "currentDevice",	//432
    "currentId",	//433
    "currentRequest",	//434
    "currentSourceDevice",	//435
    "customEvent",	//436
    "data",	//437
    "data#",	//438
    "dataReadProgress",	//439
    "dataReadProgress$$",	//440
    "dataSendProgress",	//441
    "dataSendProgress$$",	//442
    "dataTransferProgress",	//443
    "dataTransferProgress$$",	//444
    "defaultCaCertificates",	//445
    "defaultCiphers",	//446
    "defaultConfiguration",	//447
    "deleteResource",	//448
    "deleteResource#",	//449
    "detach",	//450
    "digest",	//451
    "digest$",	//452
    "disconnectFromHost",	//453
    "disconnectFromHostImplementation",	//454
    "disconnectFromServer",	//455
    "disconnectNotify",	//456
    "disconnected",	//457
    "domain",	//458
    "done",	//459
    "done$",	//460
    "downloadProgress",	//461
    "downloadProgress$$",	//462
    "effectiveDate",	//463
    "encrypted",	//464
    "encryptedBytesAvailable",	//465
    "encryptedBytesToWrite",	//466
    "encryptedBytesWritten",	//467
    "encryptedBytesWritten$",	//468
    "encryptionMethod",	//469
    "equal",	//470
    "equal##$",	//471
    "error",	//472
    "error$",	//473
    "errorString",	//474
    "event",	//475
    "eventFilter",	//476
    "expirationDate",	//477
    "expire",	//478
    "expiryDate",	//479
    "fileMetaData",	//480
    "fileMetaData$",	//481
    "finished",	//482
    "finished#",	//483
    "flags",	//484
    "flush",	//485
    "fromData",	//486
    "fromData#",	//487
    "fromData#$",	//488
    "fromDevice",	//489
    "fromDevice#",	//490
    "fromDevice#$",	//491
    "fromName",	//492
    "fromName$",	//493
    "fromPath",	//494
    "fromPath$",	//495
    "fromPath$$",	//496
    "fromPath$$$",	//497
    "fullServerName",	//498
    "get",	//499
    "get#",	//500
    "get$",	//501
    "get$#",	//502
    "get$#$",	//503
    "greaterThan",	//504
    "greaterThan##$",	//505
    "group",	//506
    "handle",	//507
    "hardwareAddress",	//508
    "hasContentLength",	//509
    "hasContentType",	//510
    "hasKey",	//511
    "hasKey$",	//512
    "hasPendingCommands",	//513
    "hasPendingConnections",	//514
    "hasPendingDatagrams",	//515
    "hasPendingRequests",	//516
    "hasRawHeader",	//517
    "hasRawHeader#",	//518
    "head",	//519
    "head#",	//520
    "head$",	//521
    "header",	//522
    "header$",	//523
    "hostFound",	//524
    "hostName",	//525
    "humanReadableName",	//526
    "ignoreSslErrors",	//527
    "ignoreSslErrors?",	//528
    "incomingConnection",	//529
    "incomingConnection$",	//530
    "incomingConnection?",	//531
    "index",	//532
    "insert",	//533
    "insert#",	//534
    "interfaceFromIndex",	//535
    "interfaceFromIndex$",	//536
    "interfaceFromName",	//537
    "interfaceFromName$",	//538
    "ip",	//539
    "isCachingProxy",	//540
    "isDir",	//541
    "isEncrypted",	//542
    "isExecutable",	//543
    "isFile",	//544
    "isFinished",	//545
    "isHttpOnly",	//546
    "isInSubnet",	//547
    "isInSubnet#$",	//548
    "isInSubnet?",	//549
    "isListening",	//550
    "isNull",	//551
    "isReadable",	//552
    "isRunning",	//553
    "isSecure",	//554
    "isSequential",	//555
    "isSessionCookie",	//556
    "isSymLink",	//557
    "isTransparentProxy",	//558
    "isValid",	//559
    "isWritable",	//560
    "issuerInfo",	//561
    "issuerInfo#",	//562
    "issuerInfo$",	//563
    "keyExchangeMethod",	//564
    "keys",	//565
    "lastModified",	//566
    "lastRead",	//567
    "lastResponse",	//568
    "length",	//569
    "lessThan",	//570
    "lessThan##$",	//571
    "list",	//572
    "list$",	//573
    "listInfo",	//574
    "listInfo#",	//575
    "listen",	//576
    "listen#",	//577
    "listen#$",	//578
    "listen$",	//579
    "localAddress",	//580
    "localCertificate",	//581
    "localDomainName",	//582
    "localHostName",	//583
    "localPort",	//584
    "login",	//585
    "login$",	//586
    "login$$",	//587
    "lookupHost",	//588
    "lookupHost$#$",	//589
    "lookupId",	//590
    "majorVersion",	//591
    "manager",	//592
    "maxPendingConnections",	//593
    "maximumCacheSize",	//594
    "metaData",	//595
    "metaData#",	//596
    "metaDataChanged",	//597
    "metaObject",	//598
    "method",	//599
    "minorVersion",	//600
    "mkdir",	//601
    "mkdir$",	//602
    "mode",	//603
    "modeChanged",	//604
    "modeChanged$",	//605
    "name",	//606
    "netmask",	//607
    "newConnection",	//608
    "nextPendingConnection",	//609
    "open",	//610
    "operation",	//611
    "operator!=",	//612
    "operator!=#",	//613
    "operator!=##",	//614
    "operator!=#$",	//615
    "operator!=$",	//616
    "operator!=$#",	//617
    "operator!=$$",	//618
    "operator&",	//619
    "operator&##",	//620
    "operator*",	//621
    "operator*#$",	//622
    "operator*$#",	//623
    "operator+",	//624
    "operator+##",	//625
    "operator+#$",	//626
    "operator+$#",	//627
    "operator+$$",	//628
    "operator-",	//629
    "operator-#",	//630
    "operator-##",	//631
    "operator/",	//632
    "operator/#$",	//633
    "operator<",	//634
    "operator<##",	//635
    "operator<#$",	//636
    "operator<$#",	//637
    "operator<$$",	//638
    "operator<<",	//639
    "operator<<##",	//640
    "operator<<#$",	//641
    "operator<<#?",	//642
    "operator<=",	//643
    "operator<=##",	//644
    "operator<=#$",	//645
    "operator<=$#",	//646
    "operator<=$$",	//647
    "operator=",	//648
    "operator=#",	//649
    "operator=$",	//650
    "operator==",	//651
    "operator==#",	//652
    "operator==##",	//653
    "operator==#$",	//654
    "operator==$",	//655
    "operator==$#",	//656
    "operator==$$",	//657
    "operator>",	//658
    "operator>##",	//659
    "operator>#$",	//660
    "operator>$#",	//661
    "operator>$$",	//662
    "operator>=",	//663
    "operator>=##",	//664
    "operator>=#$",	//665
    "operator>=$#",	//666
    "operator>=$$",	//667
    "operator>>",	//668
    "operator>>##",	//669
    "operator>>#$",	//670
    "operator>>#?",	//671
    "operator[]",	//672
    "operator[]$",	//673
    "operator^",	//674
    "operator^##",	//675
    "operator|",	//676
    "operator|##",	//677
    "operator|$$",	//678
    "originatingObject",	//679
    "owner",	//680
    "parse",	//681
    "parse$",	//682
    "parseCookies",	//683
    "parseCookies#",	//684
    "parseLine",	//685
    "parseLine$$",	//686
    "parseSubnet",	//687
    "parseSubnet$",	//688
    "password",	//689
    "path",	//690
    "peerAddress",	//691
    "peerCertificate",	//692
    "peerCertificateChain",	//693
    "peerHostName",	//694
    "peerName",	//695
    "peerPort",	//696
    "peerVerifyDepth",	//697
    "peerVerifyError",	//698
    "peerVerifyError#",	//699
    "peerVerifyMode",	//700
    "pendingDatagramSize",	//701
    "permissions",	//702
    "port",	//703
    "pos",	//704
    "post",	//705
    "post##",	//706
    "post$#",	//707
    "post$##",	//708
    "prefixLength",	//709
    "prepare",	//710
    "prepare#",	//711
    "privateKey",	//712
    "protocol",	//713
    "protocolString",	//714
    "protocolTag",	//715
    "proxy",	//716
    "proxyAuthenticationRequired",	//717
    "proxyAuthenticationRequired##",	//718
    "proxyFactory",	//719
    "proxyForQuery",	//720
    "proxyForQuery#",	//721
    "publicKey",	//722
    "put",	//723
    "put##",	//724
    "put#$",	//725
    "put#$$",	//726
    "qAcos",	//727
    "qAcos$",	//728
    "qAddPostRoutine",	//729
    "qAddPostRoutine$",	//730
    "qAppName",	//731
    "qAsin",	//732
    "qAsin$",	//733
    "qAtan",	//734
    "qAtan$",	//735
    "qAtan2",	//736
    "qAtan2$$",	//737
    "qBadAlloc",	//738
    "qCeil",	//739
    "qCeil$",	//740
    "qChecksum",	//741
    "qChecksum$$",	//742
    "qCompress",	//743
    "qCompress#",	//744
    "qCompress#$",	//745
    "qCompress$$",	//746
    "qCompress$$$",	//747
    "qCos",	//748
    "qCos$",	//749
    "qCritical",	//750
    "qDebug",	//751
    "qExp",	//752
    "qExp$",	//753
    "qFabs",	//754
    "qFabs$",	//755
    "qFastCos",	//756
    "qFastCos$",	//757
    "qFastSin",	//758
    "qFastSin$",	//759
    "qFlagLocation",	//760
    "qFlagLocation$",	//761
    "qFloor",	//762
    "qFloor$",	//763
    "qFree",	//764
    "qFree$",	//765
    "qFreeAligned",	//766
    "qFreeAligned$",	//767
    "qFuzzyCompare",	//768
    "qFuzzyCompare$$",	//769
    "qFuzzyIsNull",	//770
    "qFuzzyIsNull$",	//771
    "qHash",	//772
    "qHash#",	//773
    "qHash$",	//774
    "qInf",	//775
    "qInstallMsgHandler",	//776
    "qInstallMsgHandler$",	//777
    "qIntCast",	//778
    "qIntCast$",	//779
    "qIsFinite",	//780
    "qIsFinite$",	//781
    "qIsInf",	//782
    "qIsInf$",	//783
    "qIsNaN",	//784
    "qIsNaN$",	//785
    "qIsNull",	//786
    "qIsNull$",	//787
    "qLn",	//788
    "qLn$",	//789
    "qMalloc",	//790
    "qMalloc$",	//791
    "qMallocAligned",	//792
    "qMallocAligned$$",	//793
    "qMemCopy",	//794
    "qMemCopy$$$",	//795
    "qMemSet",	//796
    "qMemSet$$$",	//797
    "qPow",	//798
    "qPow$$",	//799
    "qQNaN",	//800
    "qRealloc",	//801
    "qRealloc$$",	//802
    "qReallocAligned",	//803
    "qReallocAligned$$$$",	//804
    "qRegisterStaticPluginInstanceFunction",	//805
    "qRegisterStaticPluginInstanceFunction#",	//806
    "qRemovePostRoutine",	//807
    "qRemovePostRoutine$",	//808
    "qRound",	//809
    "qRound$",	//810
    "qRound64",	//811
    "qRound64$",	//812
    "qSNaN",	//813
    "qSetFieldWidth",	//814
    "qSetFieldWidth$",	//815
    "qSetPadChar",	//816
    "qSetPadChar#",	//817
    "qSetRealNumberPrecision",	//818
    "qSetRealNumberPrecision$",	//819
    "qSharedBuild",	//820
    "qSin",	//821
    "qSin$",	//822
    "qSqrt",	//823
    "qSqrt$",	//824
    "qStringComparisonHelper",	//825
    "qStringComparisonHelper#$",	//826
    "qStringComparisonHelper$$",	//827
    "qTan",	//828
    "qTan$",	//829
    "qUncompress",	//830
    "qUncompress#",	//831
    "qUncompress$$",	//832
    "qVersion",	//833
    "qWarning",	//834
    "qbswap_helper",	//835
    "qbswap_helper$$$",	//836
    "qgcvt",	//837
    "qgcvt$$$",	//838
    "qgetenv",	//839
    "qgetenv$",	//840
    "qputenv",	//841
    "qputenv$#",	//842
    "qrand",	//843
    "qsort",	//844
    "qsort$$$?",	//845
    "qsrand",	//846
    "qsrand$",	//847
    "qstrcmp",	//848
    "qstrcmp##",	//849
    "qstrcmp#$",	//850
    "qstrcmp$#",	//851
    "qstrcmp$$",	//852
    "qstrcpy",	//853
    "qstrcpy$$",	//854
    "qstrdup",	//855
    "qstrdup$",	//856
    "qstricmp",	//857
    "qstricmp$$",	//858
    "qstrlen",	//859
    "qstrlen$",	//860
    "qstrncmp",	//861
    "qstrncmp$$$",	//862
    "qstrncpy",	//863
    "qstrncpy$$$",	//864
    "qstrnicmp",	//865
    "qstrnicmp$$$",	//866
    "qstrnlen",	//867
    "qstrnlen$$",	//868
    "qtTrId",	//869
    "qtTrId$",	//870
    "qtTrId$$",	//871
    "qt_assert",	//872
    "qt_assert$$$",	//873
    "qt_assert_x",	//874
    "qt_assert_x$$$$",	//875
    "qt_check_pointer",	//876
    "qt_check_pointer$$",	//877
    "qt_error_string",	//878
    "qt_error_string$",	//879
    "qt_message_output",	//880
    "qt_message_output$$",	//881
    "qt_metacall",	//882
    "qt_metacall$$?",	//883
    "qt_metacast",	//884
    "qt_metacast$",	//885
    "qt_noop",	//886
    "qt_qFindChild_helper",	//887
    "qt_qFindChild_helper#$#",	//888
    "qt_qFindChildren_helper",	//889
    "qt_qFindChildren_helper#$##?",	//890
    "queryProxy",	//891
    "queryProxy#",	//892
    "queryType",	//893
    "qvariant_cast_helper",	//894
    "qvariant_cast_helper#$$",	//895
    "qvsnprintf",	//896
    "qvsnprintf$$$?",	//897
    "rawCommand",	//898
    "rawCommand$",	//899
    "rawCommandReply",	//900
    "rawCommandReply$$",	//901
    "rawHeader",	//902
    "rawHeader#",	//903
    "rawHeaderList",	//904
    "rawHeaders",	//905
    "read",	//906
    "read$$",	//907
    "readAll",	//908
    "readBufferSize",	//909
    "readData",	//910
    "readData$$",	//911
    "readDatagram",	//912
    "readDatagram$$",	//913
    "readDatagram$$#",	//914
    "readDatagram$$#$",	//915
    "readLineData",	//916
    "readLineData$$",	//917
    "readyRead",	//918
    "readyRead#",	//919
    "realm",	//920
    "reasonPhrase",	//921
    "remove",	//922
    "remove#",	//923
    "remove$",	//924
    "removeAllValues",	//925
    "removeAllValues$",	//926
    "removeServer",	//927
    "removeServer$",	//928
    "removeValue",	//929
    "removeValue$",	//930
    "rename",	//931
    "rename$$",	//932
    "request",	//933
    "request#",	//934
    "request##",	//935
    "request###",	//936
    "requestFinished",	//937
    "requestFinished$$",	//938
    "requestStarted",	//939
    "requestStarted$",	//940
    "reset",	//941
    "responseHeaderReceived",	//942
    "responseHeaderReceived#",	//943
    "rmdir",	//944
    "rmdir$",	//945
    "saveToDisk",	//946
    "scopeId",	//947
    "seek",	//948
    "serialNumber",	//949
    "serverAddress",	//950
    "serverError",	//951
    "serverName",	//952
    "serverPort",	//953
    "sessionCipher",	//954
    "setAddress",	//955
    "setAddress#",	//956
    "setAddress$",	//957
    "setAddresses",	//958
    "setAddresses?",	//959
    "setAllCookies",	//960
    "setAllCookies?",	//961
    "setApplicationProxy",	//962
    "setApplicationProxy#",	//963
    "setApplicationProxyFactory",	//964
    "setApplicationProxyFactory#",	//965
    "setAttribute",	//966
    "setAttribute$#",	//967
    "setAttributes",	//968
    "setAttributes?",	//969
    "setBroadcast",	//970
    "setBroadcast#",	//971
    "setCaCertificates",	//972
    "setCaCertificates?",	//973
    "setCache",	//974
    "setCache#",	//975
    "setCacheDirectory",	//976
    "setCacheDirectory$",	//977
    "setCapabilities",	//978
    "setCapabilities$",	//979
    "setCiphers",	//980
    "setCiphers$",	//981
    "setCiphers?",	//982
    "setContentLength",	//983
    "setContentLength$",	//984
    "setContentType",	//985
    "setContentType$",	//986
    "setCookieJar",	//987
    "setCookieJar#",	//988
    "setCookiesFromUrl",	//989
    "setCookiesFromUrl?#",	//990
    "setDefaultCaCertificates",	//991
    "setDefaultCaCertificates?",	//992
    "setDefaultCiphers",	//993
    "setDefaultCiphers?",	//994
    "setDefaultConfiguration",	//995
    "setDefaultConfiguration#",	//996
    "setDir",	//997
    "setDir$",	//998
    "setDomain",	//999
    "setDomain$",	//1000
    "setError",	//1001
    "setError$",	//1002
    "setError$$",	//1003
    "setErrorString",	//1004
    "setErrorString$",	//1005
    "setExpirationDate",	//1006
    "setExpirationDate#",	//1007
    "setFile",	//1008
    "setFile$",	//1009
    "setGroup",	//1010
    "setGroup$",	//1011
    "setHeader",	//1012
    "setHeader$#",	//1013
    "setHost",	//1014
    "setHost$",	//1015
    "setHost$$",	//1016
    "setHost$$$",	//1017
    "setHostName",	//1018
    "setHostName$",	//1019
    "setHttpOnly",	//1020
    "setHttpOnly$",	//1021
    "setIp",	//1022
    "setIp#",	//1023
    "setLastModified",	//1024
    "setLastModified#",	//1025
    "setLastRead",	//1026
    "setLastRead#",	//1027
    "setLocalAddress",	//1028
    "setLocalAddress#",	//1029
    "setLocalCertificate",	//1030
    "setLocalCertificate#",	//1031
    "setLocalCertificate$",	//1032
    "setLocalCertificate$$",	//1033
    "setLocalPort",	//1034
    "setLocalPort$",	//1035
    "setLookupId",	//1036
    "setLookupId$",	//1037
    "setMaxPendingConnections",	//1038
    "setMaxPendingConnections$",	//1039
    "setMaximumCacheSize",	//1040
    "setMaximumCacheSize$",	//1041
    "setName",	//1042
    "setName#",	//1043
    "setName$",	//1044
    "setNetmask",	//1045
    "setNetmask#",	//1046
    "setOperation",	//1047
    "setOperation$",	//1048
    "setOriginatingObject",	//1049
    "setOriginatingObject#",	//1050
    "setOwner",	//1051
    "setOwner$",	//1052
    "setPassword",	//1053
    "setPassword$",	//1054
    "setPath",	//1055
    "setPath$",	//1056
    "setPeerAddress",	//1057
    "setPeerAddress#",	//1058
    "setPeerHostName",	//1059
    "setPeerHostName$",	//1060
    "setPeerName",	//1061
    "setPeerName$",	//1062
    "setPeerPort",	//1063
    "setPeerPort$",	//1064
    "setPeerVerifyDepth",	//1065
    "setPeerVerifyDepth$",	//1066
    "setPeerVerifyMode",	//1067
    "setPeerVerifyMode$",	//1068
    "setPermissions",	//1069
    "setPermissions$",	//1070
    "setPort",	//1071
    "setPort$",	//1072
    "setPrefixLength",	//1073
    "setPrefixLength$",	//1074
    "setPrivateKey",	//1075
    "setPrivateKey#",	//1076
    "setPrivateKey$",	//1077
    "setPrivateKey$$",	//1078
    "setPrivateKey$$$",	//1079
    "setPrivateKey$$$#",	//1080
    "setProtocol",	//1081
    "setProtocol$",	//1082
    "setProtocolTag",	//1083
    "setProtocolTag$",	//1084
    "setProxy",	//1085
    "setProxy#",	//1086
    "setProxy$$",	//1087
    "setProxy$$$",	//1088
    "setProxy$$$$",	//1089
    "setProxyFactory",	//1090
    "setProxyFactory#",	//1091
    "setQueryType",	//1092
    "setQueryType$",	//1093
    "setRawHeader",	//1094
    "setRawHeader##",	//1095
    "setRawHeaders",	//1096
    "setRawHeaders?",	//1097
    "setReadBufferSize",	//1098
    "setReadBufferSize$",	//1099
    "setReadable",	//1100
    "setReadable$",	//1101
    "setRequest",	//1102
    "setRequest#",	//1103
    "setRequest$$",	//1104
    "setRequest$$$",	//1105
    "setRequest$$$$",	//1106
    "setSaveToDisk",	//1107
    "setSaveToDisk$",	//1108
    "setScopeId",	//1109
    "setScopeId$",	//1110
    "setSecure",	//1111
    "setSecure$",	//1112
    "setSize",	//1113
    "setSize$",	//1114
    "setSocket",	//1115
    "setSocket#",	//1116
    "setSocketDescriptor",	//1117
    "setSocketDescriptor$",	//1118
    "setSocketDescriptor$$",	//1119
    "setSocketDescriptor$$$",	//1120
    "setSocketDescriptor?",	//1121
    "setSocketDescriptor?$",	//1122
    "setSocketDescriptor?$$",	//1123
    "setSocketError",	//1124
    "setSocketError$",	//1125
    "setSocketOption",	//1126
    "setSocketOption$#",	//1127
    "setSocketState",	//1128
    "setSocketState$",	//1129
    "setSslConfiguration",	//1130
    "setSslConfiguration#",	//1131
    "setStatusLine",	//1132
    "setStatusLine$",	//1133
    "setStatusLine$$",	//1134
    "setStatusLine$$$",	//1135
    "setStatusLine$$$$",	//1136
    "setSymLink",	//1137
    "setSymLink$",	//1138
    "setTransferMode",	//1139
    "setTransferMode$",	//1140
    "setType",	//1141
    "setType$",	//1142
    "setUrl",	//1143
    "setUrl#",	//1144
    "setUseSystemConfiguration",	//1145
    "setUseSystemConfiguration$",	//1146
    "setUser",	//1147
    "setUser$",	//1148
    "setUser$$",	//1149
    "setValid",	//1150
    "setValid$",	//1151
    "setValue",	//1152
    "setValue#",	//1153
    "setValue$$",	//1154
    "setValues",	//1155
    "setValues?",	//1156
    "setWritable",	//1157
    "setWritable$",	//1158
    "size",	//1159
    "socketDescriptor",	//1160
    "socketOption",	//1161
    "socketOption$",	//1162
    "socketType",	//1163
    "sslConfiguration",	//1164
    "sslErrors",	//1165
    "sslErrors#?",	//1166
    "sslErrors?",	//1167
    "startClientEncryption",	//1168
    "startServerEncryption",	//1169
    "state",	//1170
    "stateChanged",	//1171
    "stateChanged$",	//1172
    "staticMetaObject",	//1173
    "statusCode",	//1174
    "subjectInfo",	//1175
    "subjectInfo#",	//1176
    "subjectInfo$",	//1177
    "supportedBits",	//1178
    "supportedCiphers",	//1179
    "supportsSsl",	//1180
    "systemCaCertificates",	//1181
    "systemProxyForQuery",	//1182
    "systemProxyForQuery#",	//1183
    "timerEvent",	//1184
    "toDer",	//1185
    "toDer#",	//1186
    "toIPv4Address",	//1187
    "toIPv6Address",	//1188
    "toPem",	//1189
    "toPem#",	//1190
    "toRawForm",	//1191
    "toRawForm$",	//1192
    "toString",	//1193
    "tr",	//1194
    "tr$",	//1195
    "tr$$",	//1196
    "tr$$$",	//1197
    "trUtf8",	//1198
    "trUtf8$",	//1199
    "trUtf8$$",	//1200
    "trUtf8$$$",	//1201
    "type",	//1202
    "updateMetaData",	//1203
    "updateMetaData#",	//1204
    "uploadProgress",	//1205
    "uploadProgress$$",	//1206
    "url",	//1207
    "usedBits",	//1208
    "user",	//1209
    "value",	//1210
    "value$",	//1211
    "values",	//1212
    "version",	//1213
    "waitForBytesWritten",	//1214
    "waitForBytesWritten$",	//1215
    "waitForConnected",	//1216
    "waitForConnected$",	//1217
    "waitForDisconnected",	//1218
    "waitForDisconnected$",	//1219
    "waitForEncrypted",	//1220
    "waitForEncrypted$",	//1221
    "waitForNewConnection",	//1222
    "waitForNewConnection$",	//1223
    "waitForNewConnection$$",	//1224
    "waitForReadyRead",	//1225
    "waitForReadyRead$",	//1226
    "writeData",	//1227
    "writeData$$",	//1228
    "writeDatagram",	//1229
    "writeDatagram##$",	//1230
    "writeDatagram$$#$",	//1231
    "~QAbstractNetworkCache",	//1232
    "~QAbstractSocket",	//1233
    "~QAuthenticator",	//1234
    "~QFtp",	//1235
    "~QHostAddress",	//1236
    "~QHostInfo",	//1237
    "~QHttp",	//1238
    "~QHttpHeader",	//1239
    "~QHttpRequestHeader",	//1240
    "~QHttpResponseHeader",	//1241
    "~QIPv6Address",	//1242
    "~QLocalServer",	//1243
    "~QLocalSocket",	//1244
    "~QNetworkAccessManager",	//1245
    "~QNetworkAddressEntry",	//1246
    "~QNetworkCacheMetaData",	//1247
    "~QNetworkCookie",	//1248
    "~QNetworkCookieJar",	//1249
    "~QNetworkDiskCache",	//1250
    "~QNetworkInterface",	//1251
    "~QNetworkProxy",	//1252
    "~QNetworkProxyFactory",	//1253
    "~QNetworkProxyQuery",	//1254
    "~QNetworkReply",	//1255
    "~QNetworkRequest",	//1256
    "~QSslCertificate",	//1257
    "~QSslCipher",	//1258
    "~QSslConfiguration",	//1259
    "~QSslError",	//1260
    "~QSslKey",	//1261
    "~QSslSocket",	//1262
    "~QTcpServer",	//1263
    "~QTcpSocket",	//1264
    "~QUdpSocket",	//1265
    "~QUrlInfo",	//1266
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 598, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 328, 1},	//1 QAbstractNetworkCache::metaObject() const
    {1, 884, 1, 1, Smoke::mf_virtual, 397, 2},	//2 QAbstractNetworkCache::qt_metacast(const char*)
    {1, 1194, 3, 2, Smoke::mf_static, 188, 3},	//3 QAbstractNetworkCache::tr(const char*, const char*)
    {1, 1198, 3, 2, Smoke::mf_static, 188, 4},	//4 QAbstractNetworkCache::trUtf8(const char*, const char*)
    {1, 1194, 6, 3, Smoke::mf_static, 188, 5},	//5 QAbstractNetworkCache::tr(const char*, const char*, int)
    {1, 1198, 6, 3, Smoke::mf_static, 188, 6},	//6 QAbstractNetworkCache::trUtf8(const char*, const char*, int)
    {1, 882, 10, 3, Smoke::mf_virtual, 377, 7},	//7 QAbstractNetworkCache::qt_metacall(QMetaObject::Call, int, void**)
    {1, 595, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 124, 8},	//8 QAbstractNetworkCache::metaData(const QUrl&) [pure virtual]
    {1, 1203, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//9 QAbstractNetworkCache::updateMetaData(const QNetworkCacheMetaData&) [pure virtual]
    {1, 437, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 90, 10},	//10 QAbstractNetworkCache::data(const QUrl&) [pure virtual]
    {1, 922, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 294, 11},	//11 QAbstractNetworkCache::remove(const QUrl&) [pure virtual]
    {1, 387, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 380, 12},	//12 QAbstractNetworkCache::cacheSize() const [pure virtual]
    {1, 710, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 90, 13},	//13 QAbstractNetworkCache::prepare(const QNetworkCacheMetaData&) [pure virtual]
    {1, 533, 18, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 14},	//14 QAbstractNetworkCache::insert(QIODevice*) [pure virtual]
    {1, 395, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 15},	//15 QAbstractNetworkCache::clear() [pure virtual]
    {1, 140, 20, 1, Smoke::mf_ctor|Smoke::mf_protected, 2, 16},	//16 QAbstractNetworkCache::QAbstractNetworkCache(QObject*)
    {1, 1194, 1, 1, Smoke::mf_static, 188, 17},	//17 QAbstractNetworkCache::tr(const char*)
    {1, 1198, 1, 1, Smoke::mf_static, 188, 18},	//18 QAbstractNetworkCache::trUtf8(const char*)
    {1, 140, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 2, 19},	//19 QAbstractNetworkCache::QAbstractNetworkCache()
    {1, 1173, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 327, 20},	//20 QAbstractNetworkCache::staticMetaObject() const
    {1, 1232, 0, 0, Smoke::mf_dtor, 0, 21 },	//21 QAbstractNetworkCache::~QAbstractNetworkCache()
    {2, 598, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 328, 1},	//22 QAbstractSocket::metaObject() const
    {2, 884, 1, 1, Smoke::mf_virtual, 397, 2},	//23 QAbstractSocket::qt_metacast(const char*)
    {2, 1194, 3, 2, Smoke::mf_static, 188, 3},	//24 QAbstractSocket::tr(const char*, const char*)
    {2, 1198, 3, 2, Smoke::mf_static, 188, 4},	//25 QAbstractSocket::trUtf8(const char*, const char*)
    {2, 1194, 6, 3, Smoke::mf_static, 188, 5},	//26 QAbstractSocket::tr(const char*, const char*, int)
    {2, 1198, 6, 3, Smoke::mf_static, 188, 6},	//27 QAbstractSocket::trUtf8(const char*, const char*, int)
    {2, 882, 10, 3, Smoke::mf_virtual, 377, 7},	//28 QAbstractSocket::qt_metacall(QMetaObject::Call, int, void**)
    {2, 142, 22, 2, Smoke::mf_ctor, 3, 8},	//29 QAbstractSocket::QAbstractSocket(QAbstractSocket::SocketType, QObject*)
    {2, 405, 25, 3, 0, 0, 9},	//30 QAbstractSocket::connectToHost(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {2, 405, 29, 3, 0, 0, 10},	//31 QAbstractSocket::connectToHost(const QHostAddress&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {2, 453, 0, 0, 0, 0, 11},	//32 QAbstractSocket::disconnectFromHost()
    {2, 559, 0, 0, Smoke::mf_const, 294, 12},	//33 QAbstractSocket::isValid() const
    {2, 382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 380, 13},	//34 QAbstractSocket::bytesAvailable() const
    {2, 383, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 380, 14},	//35 QAbstractSocket::bytesToWrite() const
    {2, 388, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 294, 15},	//36 QAbstractSocket::canReadLine() const
    {2, 584, 0, 0, Smoke::mf_const, 392, 16},	//37 QAbstractSocket::localPort() const
    {2, 580, 0, 0, Smoke::mf_const, 70, 17},	//38 QAbstractSocket::localAddress() const
    {2, 696, 0, 0, Smoke::mf_const, 392, 18},	//39 QAbstractSocket::peerPort() const
    {2, 691, 0, 0, Smoke::mf_const, 70, 19},	//40 QAbstractSocket::peerAddress() const
    {2, 695, 0, 0, Smoke::mf_const, 188, 20},	//41 QAbstractSocket::peerName() const
    {2, 909, 0, 0, Smoke::mf_const, 380, 21},	//42 QAbstractSocket::readBufferSize() const
    {2, 1098, 33, 1, 0, 0, 22},	//43 QAbstractSocket::setReadBufferSize(long long)
    {2, 338, 0, 0, 0, 0, 23},	//44 QAbstractSocket::abort()
    {2, 1160, 0, 0, Smoke::mf_const, 377, 24},	//45 QAbstractSocket::socketDescriptor() const
    {2, 1117, 35, 3, 0, 294, 25},	//46 QAbstractSocket::setSocketDescriptor(int, QAbstractSocket::SocketState, QFlags<QIODevice::OpenModeFlag>)
    {2, 1126, 39, 2, 0, 0, 26},	//47 QAbstractSocket::setSocketOption(QAbstractSocket::SocketOption, const QVariant&)
    {2, 1161, 42, 1, 0, 213, 27},	//48 QAbstractSocket::socketOption(QAbstractSocket::SocketOption)
    {2, 1163, 0, 0, Smoke::mf_const, 8, 28},	//49 QAbstractSocket::socketType() const
    {2, 1170, 0, 0, Smoke::mf_const, 7, 29},	//50 QAbstractSocket::state() const
    {2, 472, 0, 0, Smoke::mf_const, 5, 30},	//51 QAbstractSocket::error() const
    {2, 398, 0, 0, Smoke::mf_virtual, 0, 31},	//52 QAbstractSocket::close()
    {2, 555, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 294, 32},	//53 QAbstractSocket::isSequential() const
    {2, 367, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 294, 33},	//54 QAbstractSocket::atEnd() const
    {2, 485, 0, 0, 0, 294, 34},	//55 QAbstractSocket::flush()
    {2, 1216, 44, 1, 0, 294, 35},	//56 QAbstractSocket::waitForConnected(int)
    {2, 1225, 44, 1, Smoke::mf_virtual, 294, 36},	//57 QAbstractSocket::waitForReadyRead(int)
    {2, 1214, 44, 1, Smoke::mf_virtual, 294, 37},	//58 QAbstractSocket::waitForBytesWritten(int)
    {2, 1218, 44, 1, 0, 294, 38},	//59 QAbstractSocket::waitForDisconnected(int)
    {2, 1085, 46, 1, 0, 0, 39},	//60 QAbstractSocket::setProxy(const QNetworkProxy&)
    {2, 716, 0, 0, Smoke::mf_const, 136, 40},	//61 QAbstractSocket::proxy() const
    {2, 524, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//62 QAbstractSocket::hostFound()
    {2, 421, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//63 QAbstractSocket::connected()
    {2, 457, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//64 QAbstractSocket::disconnected()
    {2, 1171, 48, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//65 QAbstractSocket::stateChanged(QAbstractSocket::SocketState)
    {2, 472, 50, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//66 QAbstractSocket::error(QAbstractSocket::SocketError)
    {2, 717, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//67 QAbstractSocket::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {2, 415, 55, 3, Smoke::mf_protected|Smoke::mf_slot, 0, 47},	//68 QAbstractSocket::connectToHostImplementation(const QString&, quint16, QIODevice::OpenMode)
    {2, 454, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 48},	//69 QAbstractSocket::disconnectFromHostImplementation()
    {2, 910, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 380, 49},	//70 QAbstractSocket::readData(char*, long long)
    {2, 916, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 380, 50},	//71 QAbstractSocket::readLineData(char*, long long)
    {2, 1227, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 380, 51},	//72 QAbstractSocket::writeData(const char*, long long)
    {2, 1128, 48, 1, Smoke::mf_protected, 0, 52},	//73 QAbstractSocket::setSocketState(QAbstractSocket::SocketState)
    {2, 1124, 50, 1, Smoke::mf_protected, 0, 53},	//74 QAbstractSocket::setSocketError(QAbstractSocket::SocketError)
    {2, 1034, 65, 1, Smoke::mf_protected, 0, 54},	//75 QAbstractSocket::setLocalPort(unsigned short)
    {2, 1028, 67, 1, Smoke::mf_protected, 0, 55},	//76 QAbstractSocket::setLocalAddress(const QHostAddress&)
    {2, 1063, 65, 1, Smoke::mf_protected, 0, 56},	//77 QAbstractSocket::setPeerPort(unsigned short)
    {2, 1057, 67, 1, Smoke::mf_protected, 0, 57},	//78 QAbstractSocket::setPeerAddress(const QHostAddress&)
    {2, 1061, 69, 1, Smoke::mf_protected, 0, 58},	//79 QAbstractSocket::setPeerName(const QString&)
    {2, 1194, 1, 1, Smoke::mf_static, 188, 59},	//80 QAbstractSocket::tr(const char*)
    {2, 1198, 1, 1, Smoke::mf_static, 188, 60},	//81 QAbstractSocket::trUtf8(const char*)
    {2, 405, 71, 2, 0, 0, 61},	//82 QAbstractSocket::connectToHost(const QString&, unsigned short)
    {2, 405, 74, 2, 0, 0, 62},	//83 QAbstractSocket::connectToHost(const QHostAddress&, unsigned short)
    {2, 1117, 44, 1, 0, 294, 63},	//84 QAbstractSocket::setSocketDescriptor(int)
    {2, 1117, 77, 2, 0, 294, 64},	//85 QAbstractSocket::setSocketDescriptor(int, QAbstractSocket::SocketState)
    {2, 1216, 0, 0, 0, 294, 65},	//86 QAbstractSocket::waitForConnected()
    {2, 1225, 0, 0, 0, 294, 66},	//87 QAbstractSocket::waitForReadyRead()
    {2, 1214, 0, 0, 0, 294, 67},	//88 QAbstractSocket::waitForBytesWritten()
    {2, 1218, 0, 0, 0, 294, 68},	//89 QAbstractSocket::waitForDisconnected()
    {2, 415, 80, 2, Smoke::mf_protected|Smoke::mf_slot, 0, 69},	//90 QAbstractSocket::connectToHostImplementation(const QString&, quint16)
    {2, 1173, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 327, 70},	//91 QAbstractSocket::staticMetaObject() const
    {2, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 71},	//92 QAbstractSocket::TcpSocket (enum)
    {2, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 72},	//93 QAbstractSocket::UdpSocket (enum)
    {2, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 73},	//94 QAbstractSocket::UnknownSocketType (enum)
    {2, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 74},	//95 QAbstractSocket::IPv4Protocol (enum)
    {2, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 75},	//96 QAbstractSocket::IPv6Protocol (enum)
    {2, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 76},	//97 QAbstractSocket::UnknownNetworkLayerProtocol (enum)
    {2, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 77},	//98 QAbstractSocket::ConnectionRefusedError (enum)
    {2, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 78},	//99 QAbstractSocket::RemoteHostClosedError (enum)
    {2, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 79},	//100 QAbstractSocket::HostNotFoundError (enum)
    {2, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 80},	//101 QAbstractSocket::SocketAccessError (enum)
    {2, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 81},	//102 QAbstractSocket::SocketResourceError (enum)
    {2, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 82},	//103 QAbstractSocket::SocketTimeoutError (enum)
    {2, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 83},	//104 QAbstractSocket::DatagramTooLargeError (enum)
    {2, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 84},	//105 QAbstractSocket::NetworkError (enum)
    {2, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 85},	//106 QAbstractSocket::AddressInUseError (enum)
    {2, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 86},	//107 QAbstractSocket::SocketAddressNotAvailableError (enum)
    {2, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 87},	//108 QAbstractSocket::UnsupportedSocketOperationError (enum)
    {2, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 88},	//109 QAbstractSocket::UnfinishedSocketOperationError (enum)
    {2, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 89},	//110 QAbstractSocket::ProxyAuthenticationRequiredError (enum)
    {2, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 90},	//111 QAbstractSocket::SslHandshakeFailedError (enum)
    {2, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 91},	//112 QAbstractSocket::ProxyConnectionRefusedError (enum)
    {2, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 92},	//113 QAbstractSocket::ProxyConnectionClosedError (enum)
    {2, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 93},	//114 QAbstractSocket::ProxyConnectionTimeoutError (enum)
    {2, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 94},	//115 QAbstractSocket::ProxyNotFoundError (enum)
    {2, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 95},	//116 QAbstractSocket::ProxyProtocolError (enum)
    {2, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 96},	//117 QAbstractSocket::UnknownSocketError (enum)
    {2, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 97},	//118 QAbstractSocket::UnconnectedState (enum)
    {2, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 98},	//119 QAbstractSocket::HostLookupState (enum)
    {2, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 99},	//120 QAbstractSocket::ConnectingState (enum)
    {2, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 100},	//121 QAbstractSocket::ConnectedState (enum)
    {2, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 101},	//122 QAbstractSocket::BoundState (enum)
    {2, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 102},	//123 QAbstractSocket::ListeningState (enum)
    {2, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 103},	//124 QAbstractSocket::ClosingState (enum)
    {2, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 104},	//125 QAbstractSocket::LowDelayOption (enum)
    {2, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 105},	//126 QAbstractSocket::KeepAliveOption (enum)
    {2, 1233, 0, 0, Smoke::mf_dtor, 0, 106 },	//127 QAbstractSocket::~QAbstractSocket()
    {3, 144, 0, 0, Smoke::mf_ctor, 10, 1},	//128 QAuthenticator::QAuthenticator()
    {3, 144, 83, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 10, 2},	//129 QAuthenticator::QAuthenticator(const QAuthenticator&)
    {3, 648, 83, 1, 0, 9, 3},	//130 QAuthenticator::operator=(const QAuthenticator&)
    {3, 651, 83, 1, Smoke::mf_const, 294, 4},	//131 QAuthenticator::operator==(const QAuthenticator&) const
    {3, 612, 83, 1, Smoke::mf_const, 294, 5},	//132 QAuthenticator::operator!=(const QAuthenticator&) const
    {3, 1209, 0, 0, Smoke::mf_const, 188, 6},	//133 QAuthenticator::user() const
    {3, 1147, 69, 1, 0, 0, 7},	//134 QAuthenticator::setUser(const QString&)
    {3, 689, 0, 0, Smoke::mf_const, 188, 8},	//135 QAuthenticator::password() const
    {3, 1053, 69, 1, 0, 0, 9},	//136 QAuthenticator::setPassword(const QString&)
    {3, 920, 0, 0, Smoke::mf_const, 188, 10},	//137 QAuthenticator::realm() const
    {3, 551, 0, 0, Smoke::mf_const, 294, 11},	//138 QAuthenticator::isNull() const
    {3, 450, 0, 0, 0, 0, 12},	//139 QAuthenticator::detach()
    {3, 1234, 0, 0, Smoke::mf_dtor, 0, 13 },	//140 QAuthenticator::~QAuthenticator()
    {16, 598, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 328, 1},	//141 QFtp::metaObject() const
    {16, 884, 1, 1, Smoke::mf_virtual, 397, 2},	//142 QFtp::qt_metacast(const char*)
    {16, 1194, 3, 2, Smoke::mf_static, 188, 3},	//143 QFtp::tr(const char*, const char*)
    {16, 1198, 3, 2, Smoke::mf_static, 188, 4},	//144 QFtp::trUtf8(const char*, const char*)
    {16, 1194, 6, 3, Smoke::mf_static, 188, 5},	//145 QFtp::tr(const char*, const char*, int)
    {16, 1198, 6, 3, Smoke::mf_static, 188, 6},	//146 QFtp::trUtf8(const char*, const char*, int)
    {16, 882, 10, 3, Smoke::mf_virtual, 377, 7},	//147 QFtp::qt_metacall(QMetaObject::Call, int, void**)
    {16, 146, 20, 1, Smoke::mf_ctor, 63, 8},	//148 QFtp::QFtp(QObject*)
    {16, 1085, 71, 2, 0, 377, 9},	//149 QFtp::setProxy(const QString&, unsigned short)
    {16, 405, 71, 2, 0, 377, 10},	//150 QFtp::connectToHost(const QString&, unsigned short)
    {16, 585, 85, 2, 0, 377, 11},	//151 QFtp::login(const QString&, const QString&)
    {16, 398, 0, 0, 0, 377, 12},	//152 QFtp::close()
    {16, 1139, 88, 1, 0, 377, 13},	//153 QFtp::setTransferMode(QFtp::TransferMode)
    {16, 572, 69, 1, 0, 377, 14},	//154 QFtp::list(const QString&)
    {16, 390, 69, 1, 0, 377, 15},	//155 QFtp::cd(const QString&)
    {16, 499, 90, 3, 0, 377, 16},	//156 QFtp::get(const QString&, QIODevice*, QFtp::TransferType)
    {16, 723, 94, 3, 0, 377, 17},	//157 QFtp::put(const QByteArray&, const QString&, QFtp::TransferType)
    {16, 723, 98, 3, 0, 377, 18},	//158 QFtp::put(QIODevice*, const QString&, QFtp::TransferType)
    {16, 922, 69, 1, 0, 377, 19},	//159 QFtp::remove(const QString&)
    {16, 601, 69, 1, 0, 377, 20},	//160 QFtp::mkdir(const QString&)
    {16, 944, 69, 1, 0, 377, 21},	//161 QFtp::rmdir(const QString&)
    {16, 931, 85, 2, 0, 377, 22},	//162 QFtp::rename(const QString&, const QString&)
    {16, 898, 69, 1, 0, 377, 23},	//163 QFtp::rawCommand(const QString&)
    {16, 382, 0, 0, Smoke::mf_const, 380, 24},	//164 QFtp::bytesAvailable() const
    {16, 906, 59, 2, 0, 380, 25},	//165 QFtp::read(char*, long long)
    {16, 908, 0, 0, 0, 14, 26},	//166 QFtp::readAll()
    {16, 433, 0, 0, Smoke::mf_const, 377, 27},	//167 QFtp::currentId() const
    {16, 432, 0, 0, Smoke::mf_const, 90, 28},	//168 QFtp::currentDevice() const
    {16, 430, 0, 0, Smoke::mf_const, 64, 29},	//169 QFtp::currentCommand() const
    {16, 513, 0, 0, Smoke::mf_const, 294, 30},	//170 QFtp::hasPendingCommands() const
    {16, 396, 0, 0, 0, 0, 31},	//171 QFtp::clearPendingCommands()
    {16, 1170, 0, 0, Smoke::mf_const, 66, 32},	//172 QFtp::state() const
    {16, 472, 0, 0, Smoke::mf_const, 65, 33},	//173 QFtp::error() const
    {16, 474, 0, 0, Smoke::mf_const, 188, 34},	//174 QFtp::errorString() const
    {16, 338, 0, 0, Smoke::mf_slot, 0, 35},	//175 QFtp::abort()
    {16, 1171, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//176 QFtp::stateChanged(int)
    {16, 574, 102, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//177 QFtp::listInfo(const QUrlInfo&)
    {16, 918, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//178 QFtp::readyRead()
    {16, 443, 104, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//179 QFtp::dataTransferProgress(qint64, qint64)
    {16, 900, 107, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//180 QFtp::rawCommandReply(int, const QString&)
    {16, 402, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//181 QFtp::commandStarted(int)
    {16, 400, 110, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//182 QFtp::commandFinished(int, bool)
    {16, 459, 113, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//183 QFtp::done(bool)
    {16, 1194, 1, 1, Smoke::mf_static, 188, 44},	//184 QFtp::tr(const char*)
    {16, 1198, 1, 1, Smoke::mf_static, 188, 45},	//185 QFtp::trUtf8(const char*)
    {16, 146, 0, 0, Smoke::mf_ctor, 63, 46},	//186 QFtp::QFtp()
    {16, 405, 69, 1, 0, 377, 47},	//187 QFtp::connectToHost(const QString&)
    {16, 585, 0, 0, 0, 377, 48},	//188 QFtp::login()
    {16, 585, 69, 1, 0, 377, 49},	//189 QFtp::login(const QString&)
    {16, 572, 0, 0, 0, 377, 50},	//190 QFtp::list()
    {16, 499, 69, 1, 0, 377, 51},	//191 QFtp::get(const QString&)
    {16, 499, 115, 2, 0, 377, 52},	//192 QFtp::get(const QString&, QIODevice*)
    {16, 723, 118, 2, 0, 377, 53},	//193 QFtp::put(const QByteArray&, const QString&)
    {16, 723, 121, 2, 0, 377, 54},	//194 QFtp::put(QIODevice*, const QString&)
    {16, 1173, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 327, 55},	//195 QFtp::staticMetaObject() const
    {16, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 56},	//196 QFtp::Unconnected (enum)
    {16, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 57},	//197 QFtp::HostLookup (enum)
    {16, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 58},	//198 QFtp::Connecting (enum)
    {16, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 59},	//199 QFtp::Connected (enum)
    {16, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 60},	//200 QFtp::LoggedIn (enum)
    {16, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 61},	//201 QFtp::Closing (enum)
    {16, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 62},	//202 QFtp::NoError (enum)
    {16, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 63},	//203 QFtp::UnknownError (enum)
    {16, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 64},	//204 QFtp::HostNotFound (enum)
    {16, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 65},	//205 QFtp::ConnectionRefused (enum)
    {16, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 66},	//206 QFtp::NotConnected (enum)
    {16, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 67},	//207 QFtp::None (enum)
    {16, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 68},	//208 QFtp::SetTransferMode (enum)
    {16, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 69},	//209 QFtp::SetProxy (enum)
    {16, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 70},	//210 QFtp::ConnectToHost (enum)
    {16, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 71},	//211 QFtp::Login (enum)
    {16, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 72},	//212 QFtp::Close (enum)
    {16, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 73},	//213 QFtp::List (enum)
    {16, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 74},	//214 QFtp::Cd (enum)
    {16, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 75},	//215 QFtp::Get (enum)
    {16, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 76},	//216 QFtp::Put (enum)
    {16, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 77},	//217 QFtp::Remove (enum)
    {16, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 78},	//218 QFtp::Mkdir (enum)
    {16, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 79},	//219 QFtp::Rmdir (enum)
    {16, 263, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 80},	//220 QFtp::Rename (enum)
    {16, 253, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 81},	//221 QFtp::RawCommand (enum)
    {16, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 82},	//222 QFtp::Active (enum)
    {16, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 83},	//223 QFtp::Passive (enum)
    {16, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 84},	//224 QFtp::Binary (enum)
    {16, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 85},	//225 QFtp::Ascii (enum)
    {16, 1235, 0, 0, Smoke::mf_dtor, 0, 86 },	//226 QFtp::~QFtp()
    {17, 663, 124, 2, Smoke::mf_static, 294, 1},	//227 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {17, 772, 127, 1, Smoke::mf_static, 389, 2},	//228 QGlobalSpace::qHash(unsigned long long)
    {17, 782, 129, 1, Smoke::mf_static, 294, 3},	//229 QGlobalSpace::qIsInf(double)
    {17, 676, 131, 2, Smoke::mf_static, 95, 4},	//230 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {17, 676, 134, 2, Smoke::mf_static, 95, 5},	//231 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {17, 867, 137, 2, Smoke::mf_static, 389, 6},	//232 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {17, 794, 140, 3, Smoke::mf_static, 397, 7},	//233 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {17, 886, 0, 0, Smoke::mf_static, 0, 8},	//234 QGlobalSpace::qt_noop()
    {17, 651, 144, 2, Smoke::mf_static, 294, 9},	//235 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {17, 639, 147, 2, Smoke::mf_static, 24, 10},	//236 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {17, 639, 150, 2, Smoke::mf_static, 24, 11},	//237 QGlobalSpace::operator<<(QDebug, const QSslError&)
    {17, 651, 153, 2, Smoke::mf_static, 294, 12},	//238 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {17, 651, 156, 2, Smoke::mf_static, 294, 13},	//239 QGlobalSpace::operator==(const QSize&, const QSize&)
    {17, 624, 159, 2, Smoke::mf_static, 300, 14},	//240 QGlobalSpace::operator+(const char*, const QByteArray&)
    {17, 676, 162, 2, Smoke::mf_static, 36, 15},	//241 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {17, 825, 165, 2, Smoke::mf_static, 294, 16},	//242 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {17, 848, 159, 2, Smoke::mf_static, 377, 17},	//243 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {17, 651, 168, 2, Smoke::mf_static, 294, 18},	//244 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {17, 736, 171, 2, Smoke::mf_static, 375, 19},	//245 QGlobalSpace::qAtan2(double, double)
    {17, 668, 174, 2, Smoke::mf_static, 20, 20},	//246 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {17, 663, 177, 2, Smoke::mf_static, 294, 21},	//247 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {17, 782, 180, 1, Smoke::mf_static, 294, 22},	//248 QGlobalSpace::qIsInf(float)
    {17, 839, 1, 1, Smoke::mf_static, 14, 23},	//249 QGlobalSpace::qgetenv(const char*)
    {17, 772, 182, 1, Smoke::mf_static, 389, 24},	//250 QGlobalSpace::qHash(signed char)
    {17, 676, 184, 2, Smoke::mf_static, 95, 25},	//251 QGlobalSpace::operator|(QNetworkProxy::Capability, int)
    {17, 651, 187, 2, Smoke::mf_static, 294, 26},	//252 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {17, 658, 159, 2, Smoke::mf_static, 294, 27},	//253 QGlobalSpace::operator>(const char*, const QByteArray&)
    {17, 778, 129, 1, Smoke::mf_static, 377, 28},	//254 QGlobalSpace::qIntCast(double)
    {17, 816, 190, 1, Smoke::mf_static, 201, 29},	//255 QGlobalSpace::qSetPadChar(QChar)
    {17, 651, 192, 2, Smoke::mf_static, 294, 30},	//256 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {17, 651, 195, 2, Smoke::mf_static, 294, 31},	//257 QGlobalSpace::operator==(QChar, QChar)
    {17, 676, 198, 2, Smoke::mf_static, 60, 32},	//258 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {17, 772, 201, 1, Smoke::mf_static, 389, 33},	//259 QGlobalSpace::qHash(const QByteArray&)
    {17, 639, 203, 2, Smoke::mf_static, 24, 34},	//260 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {17, 634, 195, 2, Smoke::mf_static, 294, 35},	//261 QGlobalSpace::operator<(QChar, QChar)
    {17, 663, 195, 2, Smoke::mf_static, 294, 36},	//262 QGlobalSpace::operator>=(QChar, QChar)
    {17, 612, 206, 2, Smoke::mf_static, 294, 37},	//263 QGlobalSpace::operator!=(QString::Null, const QString&)
    {17, 639, 209, 2, Smoke::mf_static, 20, 38},	//264 QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    {17, 634, 159, 2, Smoke::mf_static, 294, 39},	//265 QGlobalSpace::operator<(const char*, const QByteArray&)
    {17, 676, 212, 2, Smoke::mf_static, 59, 40},	//266 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {17, 848, 3, 2, Smoke::mf_static, 377, 41},	//267 QGlobalSpace::qstrcmp(const char*, const char*)
    {17, 748, 129, 1, Smoke::mf_static, 375, 42},	//268 QGlobalSpace::qCos(double)
    {17, 676, 215, 2, Smoke::mf_static, 39, 43},	//269 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {17, 658, 195, 2, Smoke::mf_static, 294, 44},	//270 QGlobalSpace::operator>(QChar, QChar)
    {17, 676, 218, 2, Smoke::mf_static, 62, 45},	//271 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {17, 621, 221, 2, Smoke::mf_static, 351, 46},	//272 QGlobalSpace::operator*(double, const QSizeF&)
    {17, 820, 0, 0, Smoke::mf_static, 294, 47},	//273 QGlobalSpace::qSharedBuild()
    {17, 676, 224, 2, Smoke::mf_static, 95, 48},	//274 QGlobalSpace::operator|(QDir::Filter, int)
    {17, 612, 124, 2, Smoke::mf_static, 294, 49},	//275 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {17, 629, 227, 2, Smoke::mf_static, 341, 50},	//276 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {17, 639, 230, 2, Smoke::mf_static, 20, 51},	//277 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {17, 676, 233, 2, Smoke::mf_static, 95, 52},	//278 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {17, 676, 236, 2, Smoke::mf_static, 58, 53},	//279 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {17, 639, 239, 2, Smoke::mf_static, 24, 54},	//280 QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketState)
    {17, 772, 242, 1, Smoke::mf_static, 389, 55},	//281 QGlobalSpace::qHash(char)
    {17, 612, 153, 2, Smoke::mf_static, 294, 56},	//282 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {17, 676, 244, 2, Smoke::mf_static, 44, 57},	//283 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {17, 639, 247, 2, Smoke::mf_static, 24, 58},	//284 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {17, 676, 250, 2, Smoke::mf_static, 95, 59},	//285 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {17, 676, 253, 2, Smoke::mf_static, 95, 60},	//286 QGlobalSpace::operator|(QFile::Permission, int)
    {17, 632, 256, 2, Smoke::mf_static, 341, 61},	//287 QGlobalSpace::operator/(const QPoint&, double)
    {17, 624, 227, 2, Smoke::mf_static, 341, 62},	//288 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {17, 676, 259, 2, Smoke::mf_static, 34, 63},	//289 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {17, 639, 262, 2, Smoke::mf_static, 20, 64},	//290 QGlobalSpace::operator<<(QDataStream&, const QNetworkCacheMetaData&)
    {17, 624, 265, 2, Smoke::mf_static, 359, 65},	//291 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {17, 629, 268, 2, Smoke::mf_static, 351, 66},	//292 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {17, 639, 271, 2, Smoke::mf_static, 24, 67},	//293 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {17, 780, 129, 1, Smoke::mf_static, 294, 68},	//294 QGlobalSpace::qIsFinite(double)
    {17, 612, 177, 2, Smoke::mf_static, 294, 69},	//295 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {17, 676, 274, 2, Smoke::mf_static, 54, 70},	//296 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {17, 639, 277, 2, Smoke::mf_static, 24, 71},	//297 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {17, 639, 280, 2, Smoke::mf_static, 24, 72},	//298 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {17, 639, 283, 2, Smoke::mf_static, 24, 73},	//299 QGlobalSpace::operator<<(QDebug, QSslCertificate::SubjectInfo)
    {17, 676, 286, 2, Smoke::mf_static, 41, 74},	//300 QGlobalSpace::operator|(QNetworkProxy::Capability, QNetworkProxy::Capability)
    {17, 634, 289, 2, Smoke::mf_static, 294, 75},	//301 QGlobalSpace::operator<(const char*, const QString&)
    {17, 676, 292, 2, Smoke::mf_static, 45, 76},	//302 QGlobalSpace::operator|(QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>)
    {17, 676, 295, 2, Smoke::mf_static, 46, 77},	//303 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {17, 624, 156, 2, Smoke::mf_static, 349, 78},	//304 QGlobalSpace::operator+(const QSize&, const QSize&)
    {17, 676, 298, 2, Smoke::mf_static, 60, 79},	//305 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {17, 676, 301, 2, Smoke::mf_static, 51, 80},	//306 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {17, 878, 44, 1, Smoke::mf_static, 188, 81},	//307 QGlobalSpace::qt_error_string(int)
    {17, 878, 0, 0, Smoke::mf_static, 188, 82},	//308 QGlobalSpace::qt_error_string()
    {17, 624, 268, 2, Smoke::mf_static, 351, 83},	//309 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {17, 676, 304, 2, Smoke::mf_static, 95, 84},	//310 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {17, 634, 307, 2, Smoke::mf_static, 294, 85},	//311 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {17, 830, 310, 2, Smoke::mf_static, 14, 86},	//312 QGlobalSpace::qUncompress(const unsigned char*, int)
    {17, 861, 313, 3, Smoke::mf_static, 377, 87},	//313 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {17, 828, 129, 1, Smoke::mf_static, 375, 88},	//314 QGlobalSpace::qTan(double)
    {17, 676, 317, 2, Smoke::mf_static, 41, 89},	//315 QGlobalSpace::operator|(QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>)
    {17, 658, 144, 2, Smoke::mf_static, 294, 90},	//316 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {17, 612, 320, 2, Smoke::mf_static, 294, 91},	//317 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {17, 814, 44, 1, Smoke::mf_static, 201, 92},	//318 QGlobalSpace::qSetFieldWidth(int)
    {17, 676, 323, 2, Smoke::mf_static, 49, 93},	//319 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {17, 762, 129, 1, Smoke::mf_static, 377, 94},	//320 QGlobalSpace::qFloor(double)
    {17, 639, 326, 2, Smoke::mf_static, 24, 95},	//321 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {17, 668, 329, 2, Smoke::mf_static, 20, 96},	//322 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {17, 780, 180, 1, Smoke::mf_static, 294, 97},	//323 QGlobalSpace::qIsFinite(float)
    {17, 624, 332, 2, Smoke::mf_static, 359, 98},	//324 QGlobalSpace::operator+(const QString&, QChar)
    {17, 612, 335, 2, Smoke::mf_static, 294, 99},	//325 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {17, 639, 338, 2, Smoke::mf_static, 24, 100},	//326 QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketState)
    {17, 835, 341, 3, Smoke::mf_static, 0, 101},	//327 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {17, 624, 177, 2, Smoke::mf_static, 300, 102},	//328 QGlobalSpace::operator+(const QByteArray&, const char*)
    {17, 676, 345, 2, Smoke::mf_static, 43, 103},	//329 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {17, 624, 165, 2, Smoke::mf_static, 359, 104},	//330 QGlobalSpace::operator+(const QString&, const char*)
    {17, 658, 307, 2, Smoke::mf_static, 294, 105},	//331 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {17, 676, 348, 2, Smoke::mf_static, 57, 106},	//332 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {17, 803, 351, 4, Smoke::mf_static, 397, 107},	//333 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {17, 624, 118, 2, Smoke::mf_static, 359, 108},	//334 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {17, 772, 356, 1, Smoke::mf_static, 389, 109},	//335 QGlobalSpace::qHash(unsigned int)
    {17, 676, 358, 2, Smoke::mf_static, 59, 110},	//336 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {17, 772, 190, 1, Smoke::mf_static, 389, 111},	//337 QGlobalSpace::qHash(QChar)
    {17, 643, 177, 2, Smoke::mf_static, 294, 112},	//338 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {17, 778, 180, 1, Smoke::mf_static, 377, 113},	//339 QGlobalSpace::qIntCast(float)
    {17, 651, 361, 2, Smoke::mf_static, 294, 114},	//340 QGlobalSpace::operator==(const QRect&, const QRect&)
    {17, 676, 364, 2, Smoke::mf_static, 35, 115},	//341 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {17, 674, 367, 2, Smoke::mf_static, 11, 116},	//342 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {17, 658, 370, 2, Smoke::mf_static, 294, 117},	//343 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {17, 801, 373, 2, Smoke::mf_static, 397, 118},	//344 QGlobalSpace::qRealloc(void*, size_t)
    {17, 772, 69, 1, Smoke::mf_static, 389, 119},	//345 QGlobalSpace::qHash(const QString&)
    {17, 643, 307, 2, Smoke::mf_static, 294, 120},	//346 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {17, 639, 376, 2, Smoke::mf_static, 20, 121},	//347 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {17, 639, 379, 2, Smoke::mf_static, 24, 122},	//348 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {17, 811, 129, 1, Smoke::mf_static, 380, 123},	//349 QGlobalSpace::qRound64(double)
    {17, 776, 382, 1, Smoke::mf_static, 396, 124},	//350 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {17, 823, 129, 1, Smoke::mf_static, 375, 125},	//351 QGlobalSpace::qSqrt(double)
    {17, 772, 384, 1, Smoke::mf_static, 389, 126},	//352 QGlobalSpace::qHash(const QModelIndex&)
    {17, 756, 129, 1, Smoke::mf_static, 375, 127},	//353 QGlobalSpace::qFastCos(double)
    {17, 668, 386, 2, Smoke::mf_static, 20, 128},	//354 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {17, 651, 389, 2, Smoke::mf_static, 294, 129},	//355 QGlobalSpace::operator==(QBool, QBool)
    {17, 651, 392, 2, Smoke::mf_static, 294, 130},	//356 QGlobalSpace::operator==(const char*, const QStringRef&)
    {17, 676, 395, 2, Smoke::mf_static, 95, 131},	//357 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {17, 772, 67, 1, Smoke::mf_static, 389, 132},	//358 QGlobalSpace::qHash(const QHostAddress&)
    {17, 612, 289, 2, Smoke::mf_static, 294, 133},	//359 QGlobalSpace::operator!=(const char*, const QString&)
    {17, 784, 180, 1, Smoke::mf_static, 294, 134},	//360 QGlobalSpace::qIsNaN(float)
    {17, 643, 370, 2, Smoke::mf_static, 294, 135},	//361 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {17, 760, 1, 1, Smoke::mf_static, 371, 136},	//362 QGlobalSpace::qFlagLocation(const char*)
    {17, 676, 398, 2, Smoke::mf_static, 95, 137},	//363 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {17, 784, 129, 1, Smoke::mf_static, 294, 138},	//364 QGlobalSpace::qIsNaN(double)
    {17, 624, 401, 2, Smoke::mf_static, 359, 139},	//365 QGlobalSpace::operator+(QChar, const QString&)
    {17, 676, 404, 2, Smoke::mf_static, 95, 140},	//366 QGlobalSpace::operator|(QString::SectionFlag, int)
    {17, 676, 407, 2, Smoke::mf_static, 95, 141},	//367 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {17, 668, 410, 2, Smoke::mf_static, 20, 142},	//368 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {17, 872, 6, 3, Smoke::mf_static, 0, 143},	//369 QGlobalSpace::qt_assert(const char*, const char*, int)
    {17, 772, 33, 1, Smoke::mf_static, 389, 144},	//370 QGlobalSpace::qHash(long long)
    {17, 612, 413, 2, Smoke::mf_static, 294, 145},	//371 QGlobalSpace::operator!=(const QString&, QString::Null)
    {17, 676, 416, 2, Smoke::mf_static, 95, 146},	//372 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {17, 676, 419, 2, Smoke::mf_static, 43, 147},	//373 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {17, 624, 422, 2, Smoke::mf_static, 359, 148},	//374 QGlobalSpace::operator+(const QString&, char)
    {17, 612, 192, 2, Smoke::mf_static, 294, 149},	//375 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {17, 629, 168, 2, Smoke::mf_static, 343, 150},	//376 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {17, 651, 335, 2, Smoke::mf_static, 294, 151},	//377 QGlobalSpace::operator==(QString::Null, QString::Null)
    {17, 676, 425, 2, Smoke::mf_static, 52, 152},	//378 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {17, 634, 370, 2, Smoke::mf_static, 294, 153},	//379 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {17, 676, 428, 2, Smoke::mf_static, 62, 154},	//380 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {17, 770, 180, 1, Smoke::mf_static, 294, 155},	//381 QGlobalSpace::qFuzzyIsNull(float)
    {17, 676, 431, 2, Smoke::mf_static, 56, 156},	//382 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {17, 853, 434, 2, Smoke::mf_static, 297, 157},	//383 QGlobalSpace::qstrcpy(char*, const char*)
    {17, 772, 44, 1, Smoke::mf_static, 389, 158},	//384 QGlobalSpace::qHash(int)
    {17, 624, 168, 2, Smoke::mf_static, 343, 159},	//385 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {17, 676, 437, 2, Smoke::mf_static, 47, 160},	//386 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {17, 651, 268, 2, Smoke::mf_static, 294, 161},	//387 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {17, 629, 440, 1, Smoke::mf_static, 341, 162},	//388 QGlobalSpace::operator-(const QPoint&)
    {17, 676, 442, 2, Smoke::mf_static, 95, 163},	//389 QGlobalSpace::operator|(Qt::DropAction, int)
    {17, 639, 445, 2, Smoke::mf_static, 20, 164},	//390 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {17, 676, 448, 2, Smoke::mf_static, 95, 165},	//391 QGlobalSpace::operator|(QDir::SortFlag, int)
    {17, 752, 129, 1, Smoke::mf_static, 375, 166},	//392 QGlobalSpace::qExp(double)
    {17, 818, 44, 1, Smoke::mf_static, 201, 167},	//393 QGlobalSpace::qSetRealNumberPrecision(int)
    {17, 651, 451, 2, Smoke::mf_static, 294, 168},	//394 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {17, 788, 129, 1, Smoke::mf_static, 375, 169},	//395 QGlobalSpace::qLn(double)
    {17, 639, 454, 2, Smoke::mf_static, 24, 170},	//396 QGlobalSpace::operator<<(QDebug, const QNetworkCookie&)
    {17, 639, 457, 2, Smoke::mf_static, 24, 171},	//397 QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketError)
    {17, 612, 268, 2, Smoke::mf_static, 294, 172},	//398 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {17, 805, 460, 1, Smoke::mf_static, 0, 173},	//399 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {17, 741, 137, 2, Smoke::mf_static, 392, 174},	//400 QGlobalSpace::qChecksum(const char*, unsigned int)
    {17, 676, 462, 2, Smoke::mf_static, 55, 175},	//401 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {17, 790, 465, 1, Smoke::mf_static, 397, 176},	//402 QGlobalSpace::qMalloc(size_t)
    {17, 800, 0, 0, Smoke::mf_static, 375, 177},	//403 QGlobalSpace::qQNaN()
    {17, 676, 467, 2, Smoke::mf_static, 48, 178},	//404 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {17, 668, 470, 2, Smoke::mf_static, 20, 179},	//405 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {17, 841, 159, 2, Smoke::mf_static, 294, 180},	//406 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {17, 639, 473, 2, Smoke::mf_static, 24, 181},	//407 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {17, 676, 476, 2, Smoke::mf_static, 95, 182},	//408 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {17, 846, 356, 1, Smoke::mf_static, 0, 183},	//409 QGlobalSpace::qsrand(unsigned int)
    {17, 772, 479, 1, Smoke::mf_static, 389, 184},	//410 QGlobalSpace::qHash(long)
    {17, 658, 124, 2, Smoke::mf_static, 294, 185},	//411 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {17, 772, 65, 1, Smoke::mf_static, 389, 186},	//412 QGlobalSpace::qHash(unsigned short)
    {17, 668, 481, 2, Smoke::mf_static, 20, 187},	//413 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {17, 612, 168, 2, Smoke::mf_static, 294, 188},	//414 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {17, 676, 484, 2, Smoke::mf_static, 36, 189},	//415 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {17, 865, 313, 3, Smoke::mf_static, 377, 190},	//416 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {17, 624, 487, 2, Smoke::mf_static, 359, 191},	//417 QGlobalSpace::operator+(char, const QString&)
    {17, 668, 490, 2, Smoke::mf_static, 20, 192},	//418 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {17, 651, 206, 2, Smoke::mf_static, 294, 193},	//419 QGlobalSpace::operator==(QString::Null, const QString&)
    {17, 651, 320, 2, Smoke::mf_static, 294, 194},	//420 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {17, 624, 370, 2, Smoke::mf_static, 300, 195},	//421 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {17, 772, 493, 1, Smoke::mf_static, 389, 196},	//422 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {17, 658, 289, 2, Smoke::mf_static, 294, 197},	//423 QGlobalSpace::operator>(const char*, const QString&)
    {17, 639, 495, 2, Smoke::mf_static, 20, 198},	//424 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {17, 639, 498, 2, Smoke::mf_static, 20, 199},	//425 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {17, 887, 501, 3, Smoke::mf_static, 153, 200},	//426 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {17, 676, 505, 2, Smoke::mf_static, 42, 201},	//427 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {17, 632, 508, 2, Smoke::mf_static, 343, 202},	//428 QGlobalSpace::operator/(const QPointF&, double)
    {17, 612, 511, 2, Smoke::mf_static, 294, 203},	//429 QGlobalSpace::operator!=(bool, QBool)
    {17, 651, 307, 2, Smoke::mf_static, 294, 204},	//430 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {17, 668, 514, 2, Smoke::mf_static, 20, 205},	//431 QGlobalSpace::operator>>(QDataStream&, QNetworkCacheMetaData&)
    {17, 863, 517, 3, Smoke::mf_static, 297, 206},	//432 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {17, 830, 201, 1, Smoke::mf_static, 14, 207},	//433 QGlobalSpace::qUncompress(const QByteArray&)
    {17, 668, 521, 2, Smoke::mf_static, 20, 208},	//434 QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    {17, 639, 524, 2, Smoke::mf_static, 20, 209},	//435 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {17, 668, 527, 2, Smoke::mf_static, 20, 210},	//436 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {17, 676, 530, 2, Smoke::mf_static, 95, 211},	//437 QGlobalSpace::operator|(Qt::MouseButton, int)
    {17, 629, 533, 1, Smoke::mf_static, 343, 212},	//438 QGlobalSpace::operator-(const QPointF&)
    {17, 651, 511, 2, Smoke::mf_static, 294, 213},	//439 QGlobalSpace::operator==(bool, QBool)
    {17, 843, 0, 0, Smoke::mf_static, 377, 214},	//440 QGlobalSpace::qrand()
    {17, 676, 535, 2, Smoke::mf_static, 40, 215},	//441 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>)
    {17, 639, 538, 2, Smoke::mf_static, 24, 216},	//442 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {17, 874, 541, 4, Smoke::mf_static, 0, 217},	//443 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {17, 619, 367, 2, Smoke::mf_static, 11, 218},	//444 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {17, 663, 159, 2, Smoke::mf_static, 294, 219},	//445 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {17, 676, 546, 2, Smoke::mf_static, 57, 220},	//446 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {17, 639, 549, 2, Smoke::mf_static, 24, 221},	//447 QGlobalSpace::operator<<(QDebug, const QNetworkInterface&)
    {17, 676, 552, 2, Smoke::mf_static, 95, 222},	//448 QGlobalSpace::operator|(QUdpSocket::BindFlag, int)
    {17, 676, 555, 2, Smoke::mf_static, 95, 223},	//449 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {17, 612, 558, 2, Smoke::mf_static, 294, 224},	//450 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {17, 844, 561, 4, Smoke::mf_static, 0, 225},	//451 QGlobalSpace::qsort(void*, size_t, size_t, __compar_fn_t)
    {17, 750, 0, 0, Smoke::mf_static, 24, 226},	//452 QGlobalSpace::qCritical()
    {17, 676, 566, 2, Smoke::mf_static, 51, 227},	//453 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {17, 612, 159, 2, Smoke::mf_static, 294, 228},	//454 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {17, 639, 569, 2, Smoke::mf_static, 24, 229},	//455 QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketError)
    {17, 612, 227, 2, Smoke::mf_static, 294, 230},	//456 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {17, 634, 144, 2, Smoke::mf_static, 294, 231},	//457 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {17, 651, 558, 2, Smoke::mf_static, 294, 232},	//458 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {17, 639, 572, 2, Smoke::mf_static, 20, 233},	//459 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {17, 624, 575, 2, Smoke::mf_static, 300, 234},	//460 QGlobalSpace::operator+(const QByteArray&, char)
    {17, 676, 578, 2, Smoke::mf_static, 34, 235},	//461 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {17, 676, 581, 2, Smoke::mf_static, 32, 236},	//462 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {17, 668, 584, 2, Smoke::mf_static, 20, 237},	//463 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {17, 632, 587, 2, Smoke::mf_static, 351, 238},	//464 QGlobalSpace::operator/(const QSizeF&, double)
    {17, 663, 307, 2, Smoke::mf_static, 294, 239},	//465 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {17, 639, 590, 2, Smoke::mf_static, 20, 240},	//466 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {17, 651, 227, 2, Smoke::mf_static, 294, 241},	//467 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {17, 729, 593, 1, Smoke::mf_static, 0, 242},	//468 QGlobalSpace::qAddPostRoutine(void(*)())
    {17, 743, 595, 3, Smoke::mf_static, 14, 243},	//469 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {17, 743, 310, 2, Smoke::mf_static, 14, 244},	//470 QGlobalSpace::qCompress(const unsigned char*, int)
    {17, 643, 159, 2, Smoke::mf_static, 294, 245},	//471 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {17, 758, 129, 1, Smoke::mf_static, 375, 246},	//472 QGlobalSpace::qFastSin(double)
    {17, 643, 124, 2, Smoke::mf_static, 294, 247},	//473 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {17, 639, 599, 2, Smoke::mf_static, 20, 248},	//474 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {17, 668, 602, 2, Smoke::mf_static, 20, 249},	//475 QGlobalSpace::operator>>(QDataStream&, QString&)
    {17, 731, 0, 0, Smoke::mf_static, 188, 250},	//476 QGlobalSpace::qAppName()
    {17, 833, 0, 0, Smoke::mf_static, 371, 251},	//477 QGlobalSpace::qVersion()
    {17, 639, 605, 2, Smoke::mf_static, 24, 252},	//478 QGlobalSpace::operator<<(QDebug, const QHostAddress&)
    {17, 764, 608, 1, Smoke::mf_static, 0, 253},	//479 QGlobalSpace::qFree(void*)
    {17, 676, 610, 2, Smoke::mf_static, 95, 254},	//480 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {17, 766, 608, 1, Smoke::mf_static, 0, 255},	//481 QGlobalSpace::qFreeAligned(void*)
    {17, 651, 413, 2, Smoke::mf_static, 294, 256},	//482 QGlobalSpace::operator==(const QString&, QString::Null)
    {17, 639, 613, 2, Smoke::mf_static, 24, 257},	//483 QGlobalSpace::operator<<(QDebug, const QDir&)
    {17, 639, 616, 2, Smoke::mf_static, 198, 258},	//484 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {17, 634, 177, 2, Smoke::mf_static, 294, 259},	//485 QGlobalSpace::operator<(const QByteArray&, const char*)
    {17, 639, 619, 2, Smoke::mf_static, 24, 260},	//486 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {17, 639, 622, 2, Smoke::mf_static, 24, 261},	//487 QGlobalSpace::operator<<(QDebug, const QSslCertificate&)
    {17, 676, 625, 2, Smoke::mf_static, 35, 262},	//488 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {17, 772, 628, 1, Smoke::mf_static, 389, 263},	//489 QGlobalSpace::qHash(const QBitArray&)
    {17, 639, 630, 2, Smoke::mf_static, 24, 264},	//490 QGlobalSpace::operator<<(QDebug, const QTime&)
    {17, 639, 633, 2, Smoke::mf_static, 198, 265},	//491 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {17, 739, 129, 1, Smoke::mf_static, 377, 266},	//492 QGlobalSpace::qCeil(double)
    {17, 612, 195, 2, Smoke::mf_static, 294, 267},	//493 QGlobalSpace::operator!=(QChar, QChar)
    {17, 676, 636, 2, Smoke::mf_static, 50, 268},	//494 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {17, 825, 639, 2, Smoke::mf_static, 294, 269},	//495 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {17, 855, 1, 1, Smoke::mf_static, 297, 270},	//496 QGlobalSpace::qstrdup(const char*)
    {17, 651, 642, 2, Smoke::mf_static, 294, 271},	//497 QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    {17, 668, 645, 2, Smoke::mf_static, 20, 272},	//498 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {17, 643, 289, 2, Smoke::mf_static, 294, 273},	//499 QGlobalSpace::operator<=(const char*, const QString&)
    {17, 612, 392, 2, Smoke::mf_static, 294, 274},	//500 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {17, 751, 0, 0, Smoke::mf_static, 24, 275},	//501 QGlobalSpace::qDebug()
    {17, 792, 648, 2, Smoke::mf_static, 397, 276},	//502 QGlobalSpace::qMallocAligned(size_t, size_t)
    {17, 612, 639, 2, Smoke::mf_static, 294, 277},	//503 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {17, 798, 171, 2, Smoke::mf_static, 375, 278},	//504 QGlobalSpace::qPow(double, double)
    {17, 643, 144, 2, Smoke::mf_static, 294, 279},	//505 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {17, 639, 651, 2, Smoke::mf_static, 24, 280},	//506 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {17, 676, 654, 2, Smoke::mf_static, 95, 281},	//507 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {17, 668, 616, 2, Smoke::mf_static, 198, 282},	//508 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {17, 624, 657, 2, Smoke::mf_static, 300, 283},	//509 QGlobalSpace::operator+(char, const QByteArray&)
    {17, 651, 159, 2, Smoke::mf_static, 294, 284},	//510 QGlobalSpace::operator==(const char*, const QByteArray&)
    {17, 639, 660, 2, Smoke::mf_static, 20, 285},	//511 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {17, 629, 156, 2, Smoke::mf_static, 349, 286},	//512 QGlobalSpace::operator-(const QSize&, const QSize&)
    {17, 639, 663, 2, Smoke::mf_static, 24, 287},	//513 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {17, 624, 289, 2, Smoke::mf_static, 359, 288},	//514 QGlobalSpace::operator+(const char*, const QString&)
    {17, 676, 666, 2, Smoke::mf_static, 95, 289},	//515 QGlobalSpace::operator|(Qt::WindowState, int)
    {17, 668, 669, 2, Smoke::mf_static, 20, 290},	//516 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {17, 612, 451, 2, Smoke::mf_static, 294, 291},	//517 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {17, 639, 672, 2, Smoke::mf_static, 24, 292},	//518 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {17, 676, 675, 2, Smoke::mf_static, 54, 293},	//519 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {17, 621, 678, 2, Smoke::mf_static, 343, 294},	//520 QGlobalSpace::operator*(double, const QPointF&)
    {17, 676, 681, 2, Smoke::mf_static, 49, 295},	//521 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {17, 651, 124, 2, Smoke::mf_static, 294, 296},	//522 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {17, 621, 684, 2, Smoke::mf_static, 349, 297},	//523 QGlobalSpace::operator*(const QSize&, double)
    {17, 639, 687, 2, Smoke::mf_static, 24, 298},	//524 QGlobalSpace::operator<<(QDebug, const QDate&)
    {17, 676, 690, 2, Smoke::mf_static, 32, 299},	//525 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {17, 896, 693, 4, Smoke::mf_static, 377, 300},	//526 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {17, 621, 698, 2, Smoke::mf_static, 341, 301},	//527 QGlobalSpace::operator*(double, const QPoint&)
    {17, 796, 701, 3, Smoke::mf_static, 397, 302},	//528 QGlobalSpace::qMemSet(void*, int, size_t)
    {17, 639, 705, 2, Smoke::mf_static, 20, 303},	//529 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {17, 876, 708, 2, Smoke::mf_static, 0, 304},	//530 QGlobalSpace::qt_check_pointer(const char*, int)
    {17, 772, 711, 1, Smoke::mf_static, 389, 305},	//531 QGlobalSpace::qHash(short)
    {17, 676, 713, 2, Smoke::mf_static, 37, 306},	//532 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {17, 754, 129, 1, Smoke::mf_static, 375, 307},	//533 QGlobalSpace::qFabs(double)
    {17, 676, 716, 2, Smoke::mf_static, 48, 308},	//534 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {17, 676, 719, 2, Smoke::mf_static, 33, 309},	//535 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {17, 676, 722, 2, Smoke::mf_static, 95, 310},	//536 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, int)
    {17, 848, 370, 2, Smoke::mf_static, 377, 311},	//537 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {17, 768, 725, 2, Smoke::mf_static, 294, 312},	//538 QGlobalSpace::qFuzzyCompare(float, float)
    {17, 651, 728, 2, Smoke::mf_static, 294, 313},	//539 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {17, 676, 731, 2, Smoke::mf_static, 38, 314},	//540 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {17, 837, 734, 3, Smoke::mf_static, 297, 315},	//541 QGlobalSpace::qgcvt(long double, int, char*)
    {17, 727, 129, 1, Smoke::mf_static, 375, 316},	//542 QGlobalSpace::qAcos(double)
    {17, 676, 738, 2, Smoke::mf_static, 45, 317},	//543 QGlobalSpace::operator|(QUdpSocket::BindFlag, QUdpSocket::BindFlag)
    {17, 676, 741, 2, Smoke::mf_static, 95, 318},	//544 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {17, 676, 744, 2, Smoke::mf_static, 52, 319},	//545 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {17, 663, 370, 2, Smoke::mf_static, 294, 320},	//546 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {17, 738, 0, 0, Smoke::mf_static, 0, 321},	//547 QGlobalSpace::qBadAlloc()
    {17, 639, 747, 2, Smoke::mf_static, 24, 322},	//548 QGlobalSpace::operator<<(QDebug, const QLine&)
    {17, 676, 750, 2, Smoke::mf_static, 58, 323},	//549 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {17, 676, 753, 2, Smoke::mf_static, 95, 324},	//550 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {17, 770, 129, 1, Smoke::mf_static, 294, 325},	//551 QGlobalSpace::qFuzzyIsNull(double)
    {17, 743, 756, 2, Smoke::mf_static, 14, 326},	//552 QGlobalSpace::qCompress(const QByteArray&, int)
    {17, 743, 201, 1, Smoke::mf_static, 14, 327},	//553 QGlobalSpace::qCompress(const QByteArray&)
    {17, 676, 759, 2, Smoke::mf_static, 46, 328},	//554 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {17, 676, 762, 2, Smoke::mf_static, 95, 329},	//555 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {17, 676, 765, 2, Smoke::mf_static, 61, 330},	//556 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {17, 676, 768, 2, Smoke::mf_static, 31, 331},	//557 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {17, 639, 771, 2, Smoke::mf_static, 24, 332},	//558 QGlobalSpace::operator<<(QDebug, const QSslError::SslError&)
    {17, 639, 774, 2, Smoke::mf_static, 20, 333},	//559 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {17, 639, 777, 2, Smoke::mf_static, 20, 334},	//560 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {17, 732, 129, 1, Smoke::mf_static, 375, 335},	//561 QGlobalSpace::qAsin(double)
    {17, 639, 780, 2, Smoke::mf_static, 24, 336},	//562 QGlobalSpace::operator<<(QDebug, const QRect&)
    {17, 676, 783, 2, Smoke::mf_static, 33, 337},	//563 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {17, 612, 361, 2, Smoke::mf_static, 294, 338},	//564 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {17, 821, 129, 1, Smoke::mf_static, 375, 339},	//565 QGlobalSpace::qSin(double)
    {17, 676, 786, 2, Smoke::mf_static, 95, 340},	//566 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {17, 651, 370, 2, Smoke::mf_static, 294, 341},	//567 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {17, 668, 789, 2, Smoke::mf_static, 20, 342},	//568 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {17, 676, 367, 2, Smoke::mf_static, 11, 343},	//569 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {17, 639, 792, 2, Smoke::mf_static, 20, 344},	//570 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {17, 639, 795, 2, Smoke::mf_static, 20, 345},	//571 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {17, 676, 798, 2, Smoke::mf_static, 95, 346},	//572 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {17, 639, 801, 2, Smoke::mf_static, 20, 347},	//573 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {17, 869, 708, 2, Smoke::mf_static, 188, 348},	//574 QGlobalSpace::qtTrId(const char*, int)
    {17, 869, 1, 1, Smoke::mf_static, 188, 349},	//575 QGlobalSpace::qtTrId(const char*)
    {17, 639, 804, 2, Smoke::mf_static, 24, 350},	//576 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {17, 643, 195, 2, Smoke::mf_static, 294, 351},	//577 QGlobalSpace::operator<=(QChar, QChar)
    {17, 676, 807, 2, Smoke::mf_static, 61, 352},	//578 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {17, 612, 728, 2, Smoke::mf_static, 294, 353},	//579 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {17, 676, 810, 2, Smoke::mf_static, 53, 354},	//580 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {17, 668, 813, 2, Smoke::mf_static, 20, 355},	//581 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {17, 668, 816, 2, Smoke::mf_static, 20, 356},	//582 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {17, 894, 819, 3, Smoke::mf_static, 294, 357},	//583 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {17, 632, 684, 2, Smoke::mf_static, 349, 358},	//584 QGlobalSpace::operator/(const QSize&, double)
    {17, 786, 180, 1, Smoke::mf_static, 294, 359},	//585 QGlobalSpace::qIsNull(float)
    {17, 889, 823, 5, Smoke::mf_static, 0, 360},	//586 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {17, 651, 829, 2, Smoke::mf_static, 294, 361},	//587 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {17, 734, 129, 1, Smoke::mf_static, 375, 362},	//588 QGlobalSpace::qAtan(double)
    {17, 668, 832, 2, Smoke::mf_static, 20, 363},	//589 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {17, 676, 835, 2, Smoke::mf_static, 95, 364},	//590 QGlobalSpace::operator|(Qt::Orientation, int)
    {17, 768, 171, 2, Smoke::mf_static, 294, 365},	//591 QGlobalSpace::qFuzzyCompare(double, double)
    {17, 612, 144, 2, Smoke::mf_static, 294, 366},	//592 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {17, 621, 256, 2, Smoke::mf_static, 341, 367},	//593 QGlobalSpace::operator*(const QPoint&, double)
    {17, 676, 838, 2, Smoke::mf_static, 50, 368},	//594 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {17, 676, 841, 2, Smoke::mf_static, 37, 369},	//595 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {17, 813, 0, 0, Smoke::mf_static, 375, 370},	//596 QGlobalSpace::qSNaN()
    {17, 651, 177, 2, Smoke::mf_static, 294, 371},	//597 QGlobalSpace::operator==(const QByteArray&, const char*)
    {17, 621, 587, 2, Smoke::mf_static, 351, 372},	//598 QGlobalSpace::operator*(const QSizeF&, double)
    {17, 651, 639, 2, Smoke::mf_static, 294, 373},	//599 QGlobalSpace::operator==(const QStringRef&, const char*)
    {17, 621, 844, 2, Smoke::mf_static, 349, 374},	//600 QGlobalSpace::operator*(double, const QSize&)
    {17, 634, 124, 2, Smoke::mf_static, 294, 375},	//601 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {17, 639, 847, 2, Smoke::mf_static, 24, 376},	//602 QGlobalSpace::operator<<(QDebug, const QSslKey&)
    {17, 612, 850, 2, Smoke::mf_static, 294, 377},	//603 QGlobalSpace::operator!=(QBool, bool)
    {17, 612, 156, 2, Smoke::mf_static, 294, 378},	//604 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {17, 668, 853, 2, Smoke::mf_static, 20, 379},	//605 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {17, 639, 856, 2, Smoke::mf_static, 24, 380},	//606 QGlobalSpace::operator<<(QDebug, const QSize&)
    {17, 612, 307, 2, Smoke::mf_static, 294, 381},	//607 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {17, 676, 859, 2, Smoke::mf_static, 44, 382},	//608 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {17, 621, 508, 2, Smoke::mf_static, 343, 383},	//609 QGlobalSpace::operator*(const QPointF&, double)
    {17, 857, 3, 2, Smoke::mf_static, 377, 384},	//610 QGlobalSpace::qstricmp(const char*, const char*)
    {17, 676, 862, 2, Smoke::mf_static, 56, 385},	//611 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {17, 612, 187, 2, Smoke::mf_static, 294, 386},	//612 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {17, 809, 129, 1, Smoke::mf_static, 377, 387},	//613 QGlobalSpace::qRound(double)
    {17, 775, 0, 0, Smoke::mf_static, 375, 388},	//614 QGlobalSpace::qInf()
    {17, 639, 865, 2, Smoke::mf_static, 20, 389},	//615 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {17, 676, 868, 2, Smoke::mf_static, 53, 390},	//616 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {17, 639, 871, 2, Smoke::mf_static, 20, 391},	//617 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {17, 676, 874, 2, Smoke::mf_static, 38, 392},	//618 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {17, 676, 877, 2, Smoke::mf_static, 95, 393},	//619 QGlobalSpace::operator|(Qt::WindowType, int)
    {17, 848, 177, 2, Smoke::mf_static, 377, 394},	//620 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {17, 676, 880, 2, Smoke::mf_static, 40, 395},	//621 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag)
    {17, 807, 593, 1, Smoke::mf_static, 0, 396},	//622 QGlobalSpace::qRemovePostRoutine(void(*)())
    {17, 668, 883, 2, Smoke::mf_static, 20, 397},	//623 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {17, 639, 886, 2, Smoke::mf_static, 20, 398},	//624 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {17, 676, 889, 2, Smoke::mf_static, 55, 399},	//625 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {17, 676, 892, 2, Smoke::mf_static, 47, 400},	//626 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {17, 834, 0, 0, Smoke::mf_static, 24, 401},	//627 QGlobalSpace::qWarning()
    {17, 859, 1, 1, Smoke::mf_static, 389, 402},	//628 QGlobalSpace::qstrlen(const char*)
    {17, 651, 850, 2, Smoke::mf_static, 294, 403},	//629 QGlobalSpace::operator==(QBool, bool)
    {17, 639, 895, 2, Smoke::mf_static, 24, 404},	//630 QGlobalSpace::operator<<(QDebug, const QSslCipher&)
    {17, 668, 898, 2, Smoke::mf_static, 20, 405},	//631 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {17, 668, 901, 2, Smoke::mf_static, 20, 406},	//632 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {17, 772, 904, 1, Smoke::mf_static, 389, 407},	//633 QGlobalSpace::qHash(unsigned long)
    {17, 639, 906, 2, Smoke::mf_static, 20, 408},	//634 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {17, 639, 909, 2, Smoke::mf_static, 20, 409},	//635 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {17, 676, 912, 2, Smoke::mf_static, 39, 410},	//636 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {17, 651, 289, 2, Smoke::mf_static, 294, 411},	//637 QGlobalSpace::operator==(const char*, const QString&)
    {17, 676, 915, 2, Smoke::mf_static, 42, 412},	//638 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {17, 624, 85, 2, Smoke::mf_static, 359, 413},	//639 QGlobalSpace::operator+(const QString&, const QString&)
    {17, 612, 389, 2, Smoke::mf_static, 294, 414},	//640 QGlobalSpace::operator!=(QBool, QBool)
    {17, 676, 918, 2, Smoke::mf_static, 31, 415},	//641 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {17, 880, 921, 2, Smoke::mf_static, 0, 416},	//642 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {17, 663, 289, 2, Smoke::mf_static, 294, 417},	//643 QGlobalSpace::operator>=(const char*, const QString&)
    {17, 772, 924, 1, Smoke::mf_static, 389, 418},	//644 QGlobalSpace::qHash(const QStringRef&)
    {17, 786, 129, 1, Smoke::mf_static, 294, 419},	//645 QGlobalSpace::qIsNull(double)
    {17, 676, 926, 2, Smoke::mf_static, 95, 420},	//646 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {17, 663, 144, 2, Smoke::mf_static, 294, 421},	//647 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {17, 658, 177, 2, Smoke::mf_static, 294, 422},	//648 QGlobalSpace::operator>(const QByteArray&, const char*)
    {17, 772, 929, 1, Smoke::mf_static, 389, 423},	//649 QGlobalSpace::qHash(unsigned char)
    {17, 668, 931, 2, Smoke::mf_static, 20, 424},	//650 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {17, 639, 934, 2, Smoke::mf_static, 24, 425},	//651 QGlobalSpace::operator<<(QDebug, const QObject*)
    {17, 676, 937, 2, Smoke::mf_static, 95, 426},	//652 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {17, 612, 370, 2, Smoke::mf_static, 294, 427},	//653 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {17, 668, 940, 2, Smoke::mf_static, 20, 428},	//654 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {17, 639, 943, 2, Smoke::mf_static, 20, 429},	//655 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {17, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 291, 430},	//656 QGlobalSpace::_IEEE_ (enum)
    {17, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 291, 431},	//657 QGlobalSpace::_SVID_ (enum)
    {17, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 291, 432},	//658 QGlobalSpace::_XOPEN_ (enum)
    {17, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 291, 433},	//659 QGlobalSpace::_POSIX_ (enum)
    {17, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 291, 434},	//660 QGlobalSpace::_ISOC_ (enum)
    {17, 248, 0, 0, Smoke::mf_static|Smoke::mf_enum, 290, 435},	//661 QGlobalSpace::QtDebugMsg (enum)
    {17, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 290, 436},	//662 QGlobalSpace::QtWarningMsg (enum)
    {17, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 290, 437},	//663 QGlobalSpace::QtCriticalMsg (enum)
    {17, 249, 0, 0, Smoke::mf_static|Smoke::mf_enum, 290, 438},	//664 QGlobalSpace::QtFatalMsg (enum)
    {17, 250, 0, 0, Smoke::mf_static|Smoke::mf_enum, 290, 439},	//665 QGlobalSpace::QtSystemMsg (enum)
    {17, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 440},	//666 QGlobalSpace::__codecvt_ok (enum)
    {17, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 441},	//667 QGlobalSpace::__codecvt_partial (enum)
    {17, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 442},	//668 QGlobalSpace::__codecvt_error (enum)
    {17, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 443},	//669 QGlobalSpace::__codecvt_noconv (enum)
    {19, 148, 0, 0, Smoke::mf_ctor, 72, 1},	//670 QHostAddress::QHostAddress()
    {19, 148, 356, 1, Smoke::mf_ctor, 72, 2},	//671 QHostAddress::QHostAddress(unsigned int)
    {19, 148, 946, 1, Smoke::mf_ctor, 72, 3},	//672 QHostAddress::QHostAddress(unsigned char*)
    {19, 148, 948, 1, Smoke::mf_ctor, 72, 4},	//673 QHostAddress::QHostAddress(const QIPv6Address&)
    {19, 148, 950, 1, Smoke::mf_ctor, 72, 5},	//674 QHostAddress::QHostAddress(const sockaddr*)
    {19, 148, 69, 1, Smoke::mf_ctor, 72, 6},	//675 QHostAddress::QHostAddress(const QString&)
    {19, 148, 67, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 72, 7},	//676 QHostAddress::QHostAddress(const QHostAddress&)
    {19, 148, 952, 1, Smoke::mf_ctor, 72, 8},	//677 QHostAddress::QHostAddress(QHostAddress::SpecialAddress)
    {19, 648, 67, 1, 0, 71, 9},	//678 QHostAddress::operator=(const QHostAddress&)
    {19, 648, 69, 1, 0, 71, 10},	//679 QHostAddress::operator=(const QString&)
    {19, 955, 356, 1, 0, 0, 11},	//680 QHostAddress::setAddress(unsigned int)
    {19, 955, 946, 1, 0, 0, 12},	//681 QHostAddress::setAddress(unsigned char*)
    {19, 955, 948, 1, 0, 0, 13},	//682 QHostAddress::setAddress(const QIPv6Address&)
    {19, 955, 950, 1, 0, 0, 14},	//683 QHostAddress::setAddress(const sockaddr*)
    {19, 955, 69, 1, 0, 294, 15},	//684 QHostAddress::setAddress(const QString&)
    {19, 713, 0, 0, Smoke::mf_const, 4, 16},	//685 QHostAddress::protocol() const
    {19, 1187, 0, 0, Smoke::mf_const, 389, 17},	//686 QHostAddress::toIPv4Address() const
    {19, 1188, 0, 0, Smoke::mf_const, 93, 18},	//687 QHostAddress::toIPv6Address() const
    {19, 1193, 0, 0, Smoke::mf_const, 188, 19},	//688 QHostAddress::toString() const
    {19, 947, 0, 0, Smoke::mf_const, 188, 20},	//689 QHostAddress::scopeId() const
    {19, 1109, 69, 1, 0, 0, 21},	//690 QHostAddress::setScopeId(const QString&)
    {19, 651, 67, 1, Smoke::mf_const, 294, 22},	//691 QHostAddress::operator==(const QHostAddress&) const
    {19, 651, 952, 1, Smoke::mf_const, 294, 23},	//692 QHostAddress::operator==(QHostAddress::SpecialAddress) const
    {19, 612, 67, 1, Smoke::mf_const, 294, 24},	//693 QHostAddress::operator!=(const QHostAddress&) const
    {19, 612, 952, 1, Smoke::mf_const, 294, 25},	//694 QHostAddress::operator!=(QHostAddress::SpecialAddress) const
    {19, 551, 0, 0, Smoke::mf_const, 294, 26},	//695 QHostAddress::isNull() const
    {19, 395, 0, 0, 0, 0, 27},	//696 QHostAddress::clear()
    {19, 547, 954, 2, Smoke::mf_const, 294, 28},	//697 QHostAddress::isInSubnet(const QHostAddress&, int) const
    {19, 547, 957, 1, Smoke::mf_const, 294, 29},	//698 QHostAddress::isInSubnet(const QPair<QHostAddress,int>&) const
    {19, 687, 69, 1, Smoke::mf_static, 155, 30},	//699 QHostAddress::parseSubnet(const QString&)
    {19, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 31},	//700 QHostAddress::Null (enum)
    {19, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 32},	//701 QHostAddress::Broadcast (enum)
    {19, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 33},	//702 QHostAddress::LocalHost (enum)
    {19, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 34},	//703 QHostAddress::LocalHostIPv6 (enum)
    {19, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 35},	//704 QHostAddress::Any (enum)
    {19, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 36},	//705 QHostAddress::AnyIPv6 (enum)
    {19, 1236, 0, 0, Smoke::mf_dtor, 0, 37 },	//706 QHostAddress::~QHostAddress()
    {20, 151, 44, 1, Smoke::mf_ctor, 76, 1},	//707 QHostInfo::QHostInfo(int)
    {20, 151, 959, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 76, 2},	//708 QHostInfo::QHostInfo(const QHostInfo&)
    {20, 648, 959, 1, 0, 75, 3},	//709 QHostInfo::operator=(const QHostInfo&)
    {20, 525, 0, 0, Smoke::mf_const, 188, 4},	//710 QHostInfo::hostName() const
    {20, 1018, 69, 1, 0, 0, 5},	//711 QHostInfo::setHostName(const QString&)
    {20, 358, 0, 0, Smoke::mf_const, 101, 6},	//712 QHostInfo::addresses() const
    {20, 958, 961, 1, 0, 0, 7},	//713 QHostInfo::setAddresses(const QList<QHostAddress>&)
    {20, 472, 0, 0, Smoke::mf_const, 77, 8},	//714 QHostInfo::error() const
    {20, 1001, 963, 1, 0, 0, 9},	//715 QHostInfo::setError(QHostInfo::HostInfoError)
    {20, 474, 0, 0, Smoke::mf_const, 188, 10},	//716 QHostInfo::errorString() const
    {20, 1004, 69, 1, 0, 0, 11},	//717 QHostInfo::setErrorString(const QString&)
    {20, 1036, 44, 1, 0, 0, 12},	//718 QHostInfo::setLookupId(int)
    {20, 590, 0, 0, Smoke::mf_const, 377, 13},	//719 QHostInfo::lookupId() const
    {20, 588, 965, 3, Smoke::mf_static, 377, 14},	//720 QHostInfo::lookupHost(const QString&, QObject*, const char*)
    {20, 339, 44, 1, Smoke::mf_static, 0, 15},	//721 QHostInfo::abortHostLookup(int)
    {20, 492, 69, 1, Smoke::mf_static, 74, 16},	//722 QHostInfo::fromName(const QString&)
    {20, 583, 0, 0, Smoke::mf_static, 188, 17},	//723 QHostInfo::localHostName()
    {20, 582, 0, 0, Smoke::mf_static, 188, 18},	//724 QHostInfo::localDomainName()
    {20, 151, 0, 0, Smoke::mf_ctor, 76, 19},	//725 QHostInfo::QHostInfo()
    {20, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 20},	//726 QHostInfo::NoError (enum)
    {20, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 21},	//727 QHostInfo::HostNotFound (enum)
    {20, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 22},	//728 QHostInfo::UnknownError (enum)
    {20, 1237, 0, 0, Smoke::mf_dtor, 0, 23 },	//729 QHostInfo::~QHostInfo()
    {21, 598, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 328, 1},	//730 QHttp::metaObject() const
    {21, 884, 1, 1, Smoke::mf_virtual, 397, 2},	//731 QHttp::qt_metacast(const char*)
    {21, 1194, 3, 2, Smoke::mf_static, 188, 3},	//732 QHttp::tr(const char*, const char*)
    {21, 1198, 3, 2, Smoke::mf_static, 188, 4},	//733 QHttp::trUtf8(const char*, const char*)
    {21, 1194, 6, 3, Smoke::mf_static, 188, 5},	//734 QHttp::tr(const char*, const char*, int)
    {21, 1198, 6, 3, Smoke::mf_static, 188, 6},	//735 QHttp::trUtf8(const char*, const char*, int)
    {21, 882, 10, 3, Smoke::mf_virtual, 377, 7},	//736 QHttp::qt_metacall(QMetaObject::Call, int, void**)
    {21, 154, 20, 1, Smoke::mf_ctor, 78, 8},	//737 QHttp::QHttp(QObject*)
    {21, 154, 969, 3, Smoke::mf_ctor, 78, 9},	//738 QHttp::QHttp(const QString&, unsigned short, QObject*)
    {21, 154, 973, 4, Smoke::mf_ctor, 78, 10},	//739 QHttp::QHttp(const QString&, QHttp::ConnectionMode, unsigned short, QObject*)
    {21, 1014, 71, 2, 0, 377, 11},	//740 QHttp::setHost(const QString&, unsigned short)
    {21, 1014, 978, 3, 0, 377, 12},	//741 QHttp::setHost(const QString&, QHttp::ConnectionMode, unsigned short)
    {21, 1115, 982, 1, 0, 377, 13},	//742 QHttp::setSocket(QTcpSocket*)
    {21, 1147, 85, 2, 0, 377, 14},	//743 QHttp::setUser(const QString&, const QString&)
    {21, 1085, 984, 4, 0, 377, 15},	//744 QHttp::setProxy(const QString&, int, const QString&, const QString&)
    {21, 1085, 46, 1, 0, 377, 16},	//745 QHttp::setProxy(const QNetworkProxy&)
    {21, 499, 115, 2, 0, 377, 17},	//746 QHttp::get(const QString&, QIODevice*)
    {21, 705, 989, 3, 0, 377, 18},	//747 QHttp::post(const QString&, QIODevice*, QIODevice*)
    {21, 705, 993, 3, 0, 377, 19},	//748 QHttp::post(const QString&, const QByteArray&, QIODevice*)
    {21, 519, 69, 1, 0, 377, 20},	//749 QHttp::head(const QString&)
    {21, 933, 997, 3, 0, 377, 21},	//750 QHttp::request(const QHttpRequestHeader&, QIODevice*, QIODevice*)
    {21, 933, 1001, 3, 0, 377, 22},	//751 QHttp::request(const QHttpRequestHeader&, const QByteArray&, QIODevice*)
    {21, 399, 0, 0, 0, 377, 23},	//752 QHttp::closeConnection()
    {21, 398, 0, 0, 0, 377, 24},	//753 QHttp::close()
    {21, 382, 0, 0, Smoke::mf_const, 380, 25},	//754 QHttp::bytesAvailable() const
    {21, 906, 59, 2, 0, 380, 26},	//755 QHttp::read(char*, long long)
    {21, 908, 0, 0, 0, 14, 27},	//756 QHttp::readAll()
    {21, 433, 0, 0, Smoke::mf_const, 377, 28},	//757 QHttp::currentId() const
    {21, 435, 0, 0, Smoke::mf_const, 90, 29},	//758 QHttp::currentSourceDevice() const
    {21, 431, 0, 0, Smoke::mf_const, 90, 30},	//759 QHttp::currentDestinationDevice() const
    {21, 434, 0, 0, Smoke::mf_const, 84, 31},	//760 QHttp::currentRequest() const
    {21, 568, 0, 0, Smoke::mf_const, 87, 32},	//761 QHttp::lastResponse() const
    {21, 516, 0, 0, Smoke::mf_const, 294, 33},	//762 QHttp::hasPendingRequests() const
    {21, 397, 0, 0, 0, 0, 34},	//763 QHttp::clearPendingRequests()
    {21, 1170, 0, 0, Smoke::mf_const, 81, 35},	//764 QHttp::state() const
    {21, 472, 0, 0, Smoke::mf_const, 80, 36},	//765 QHttp::error() const
    {21, 474, 0, 0, Smoke::mf_const, 188, 37},	//766 QHttp::errorString() const
    {21, 338, 0, 0, Smoke::mf_slot, 0, 38},	//767 QHttp::abort()
    {21, 527, 0, 0, Smoke::mf_slot, 0, 39},	//768 QHttp::ignoreSslErrors()
    {21, 1171, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//769 QHttp::stateChanged(int)
    {21, 942, 1005, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//770 QHttp::responseHeaderReceived(const QHttpResponseHeader&)
    {21, 918, 1005, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//771 QHttp::readyRead(const QHttpResponseHeader&)
    {21, 441, 1007, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//772 QHttp::dataSendProgress(int, int)
    {21, 439, 1007, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//773 QHttp::dataReadProgress(int, int)
    {21, 939, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//774 QHttp::requestStarted(int)
    {21, 937, 110, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//775 QHttp::requestFinished(int, bool)
    {21, 459, 113, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//776 QHttp::done(bool)
    {21, 717, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//777 QHttp::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {21, 373, 1010, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//778 QHttp::authenticationRequired(const QString&, quint16, QAuthenticator*)
    {21, 1165, 1014, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//779 QHttp::sslErrors(const QList<QSslError>&)
    {21, 1194, 1, 1, Smoke::mf_static, 188, 51},	//780 QHttp::tr(const char*)
    {21, 1198, 1, 1, Smoke::mf_static, 188, 52},	//781 QHttp::trUtf8(const char*)
    {21, 154, 0, 0, Smoke::mf_ctor, 78, 53},	//782 QHttp::QHttp()
    {21, 154, 69, 1, Smoke::mf_ctor, 78, 54},	//783 QHttp::QHttp(const QString&)
    {21, 154, 71, 2, Smoke::mf_ctor, 78, 55},	//784 QHttp::QHttp(const QString&, unsigned short)
    {21, 154, 1016, 2, Smoke::mf_ctor, 78, 56},	//785 QHttp::QHttp(const QString&, QHttp::ConnectionMode)
    {21, 154, 978, 3, Smoke::mf_ctor, 78, 57},	//786 QHttp::QHttp(const QString&, QHttp::ConnectionMode, unsigned short)
    {21, 1014, 69, 1, 0, 377, 58},	//787 QHttp::setHost(const QString&)
    {21, 1014, 1016, 2, 0, 377, 59},	//788 QHttp::setHost(const QString&, QHttp::ConnectionMode)
    {21, 1147, 69, 1, 0, 377, 60},	//789 QHttp::setUser(const QString&)
    {21, 1085, 1019, 2, 0, 377, 61},	//790 QHttp::setProxy(const QString&, int)
    {21, 1085, 1022, 3, 0, 377, 62},	//791 QHttp::setProxy(const QString&, int, const QString&)
    {21, 499, 69, 1, 0, 377, 63},	//792 QHttp::get(const QString&)
    {21, 705, 115, 2, 0, 377, 64},	//793 QHttp::post(const QString&, QIODevice*)
    {21, 705, 265, 2, 0, 377, 65},	//794 QHttp::post(const QString&, const QByteArray&)
    {21, 933, 1026, 1, 0, 377, 66},	//795 QHttp::request(const QHttpRequestHeader&)
    {21, 933, 1028, 2, 0, 377, 67},	//796 QHttp::request(const QHttpRequestHeader&, QIODevice*)
    {21, 933, 1031, 2, 0, 377, 68},	//797 QHttp::request(const QHttpRequestHeader&, const QByteArray&)
    {21, 1173, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 327, 69},	//798 QHttp::staticMetaObject() const
    {21, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 70},	//799 QHttp::ConnectionModeHttp (enum)
    {21, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 71},	//800 QHttp::ConnectionModeHttps (enum)
    {21, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 72},	//801 QHttp::Unconnected (enum)
    {21, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 73},	//802 QHttp::HostLookup (enum)
    {21, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 74},	//803 QHttp::Connecting (enum)
    {21, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 75},	//804 QHttp::Sending (enum)
    {21, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 76},	//805 QHttp::Reading (enum)
    {21, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 77},	//806 QHttp::Connected (enum)
    {21, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 78},	//807 QHttp::Closing (enum)
    {21, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 79},	//808 QHttp::NoError (enum)
    {21, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 80},	//809 QHttp::UnknownError (enum)
    {21, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 81},	//810 QHttp::HostNotFound (enum)
    {21, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 82},	//811 QHttp::ConnectionRefused (enum)
    {21, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 83},	//812 QHttp::UnexpectedClose (enum)
    {21, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 84},	//813 QHttp::InvalidResponseHeader (enum)
    {21, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 85},	//814 QHttp::WrongContentLength (enum)
    {21, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 86},	//815 QHttp::Aborted (enum)
    {21, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 87},	//816 QHttp::AuthenticationRequiredError (enum)
    {21, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 88},	//817 QHttp::ProxyAuthenticationRequiredError (enum)
    {21, 1238, 0, 0, Smoke::mf_dtor, 0, 89 },	//818 QHttp::~QHttp()
    {22, 161, 0, 0, Smoke::mf_ctor, 83, 1},	//819 QHttpHeader::QHttpHeader()
    {22, 161, 1034, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 83, 2},	//820 QHttpHeader::QHttpHeader(const QHttpHeader&)
    {22, 161, 69, 1, Smoke::mf_ctor, 83, 3},	//821 QHttpHeader::QHttpHeader(const QString&)
    {22, 648, 1034, 1, 0, 82, 4},	//822 QHttpHeader::operator=(const QHttpHeader&)
    {22, 1152, 85, 2, 0, 0, 5},	//823 QHttpHeader::setValue(const QString&, const QString&)
    {22, 1155, 1036, 1, 0, 0, 6},	//824 QHttpHeader::setValues(const QList<QPair<QString,QString> >&)
    {22, 355, 85, 2, 0, 0, 7},	//825 QHttpHeader::addValue(const QString&, const QString&)
    {22, 1212, 0, 0, Smoke::mf_const, 107, 8},	//826 QHttpHeader::values() const
    {22, 511, 69, 1, Smoke::mf_const, 294, 9},	//827 QHttpHeader::hasKey(const QString&) const
    {22, 565, 0, 0, Smoke::mf_const, 192, 10},	//828 QHttpHeader::keys() const
    {22, 1210, 69, 1, Smoke::mf_const, 188, 11},	//829 QHttpHeader::value(const QString&) const
    {22, 363, 69, 1, Smoke::mf_const, 192, 12},	//830 QHttpHeader::allValues(const QString&) const
    {22, 929, 69, 1, 0, 0, 13},	//831 QHttpHeader::removeValue(const QString&)
    {22, 925, 69, 1, 0, 0, 14},	//832 QHttpHeader::removeAllValues(const QString&)
    {22, 509, 0, 0, Smoke::mf_const, 294, 15},	//833 QHttpHeader::hasContentLength() const
    {22, 422, 0, 0, Smoke::mf_const, 389, 16},	//834 QHttpHeader::contentLength() const
    {22, 983, 44, 1, 0, 0, 17},	//835 QHttpHeader::setContentLength(int)
    {22, 510, 0, 0, Smoke::mf_const, 294, 18},	//836 QHttpHeader::hasContentType() const
    {22, 423, 0, 0, Smoke::mf_const, 188, 19},	//837 QHttpHeader::contentType() const
    {22, 985, 69, 1, 0, 0, 20},	//838 QHttpHeader::setContentType(const QString&)
    {22, 1193, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 188, 21},	//839 QHttpHeader::toString() const
    {22, 559, 0, 0, Smoke::mf_const, 294, 22},	//840 QHttpHeader::isValid() const
    {22, 591, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 377, 23},	//841 QHttpHeader::majorVersion() const [pure virtual]
    {22, 600, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 377, 24},	//842 QHttpHeader::minorVersion() const [pure virtual]
    {22, 685, 1019, 2, Smoke::mf_protected|Smoke::mf_virtual, 294, 25},	//843 QHttpHeader::parseLine(const QString&, int)
    {22, 681, 69, 1, Smoke::mf_protected, 294, 26},	//844 QHttpHeader::parse(const QString&)
    {22, 1150, 113, 1, Smoke::mf_protected, 0, 27},	//845 QHttpHeader::setValid(bool)
    {22, 1239, 0, 0, Smoke::mf_dtor, 0, 28 },	//846 QHttpHeader::~QHttpHeader()
    {23, 164, 0, 0, Smoke::mf_ctor, 86, 1},	//847 QHttpRequestHeader::QHttpRequestHeader()
    {23, 164, 1038, 4, Smoke::mf_ctor, 86, 2},	//848 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&, int, int)
    {23, 164, 1026, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 86, 3},	//849 QHttpRequestHeader::QHttpRequestHeader(const QHttpRequestHeader&)
    {23, 164, 69, 1, Smoke::mf_ctor, 86, 4},	//850 QHttpRequestHeader::QHttpRequestHeader(const QString&)
    {23, 648, 1026, 1, 0, 85, 5},	//851 QHttpRequestHeader::operator=(const QHttpRequestHeader&)
    {23, 1102, 1038, 4, 0, 0, 6},	//852 QHttpRequestHeader::setRequest(const QString&, const QString&, int, int)
    {23, 599, 0, 0, Smoke::mf_const, 188, 7},	//853 QHttpRequestHeader::method() const
    {23, 690, 0, 0, Smoke::mf_const, 188, 8},	//854 QHttpRequestHeader::path() const
    {23, 591, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 377, 9},	//855 QHttpRequestHeader::majorVersion() const
    {23, 600, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 377, 10},	//856 QHttpRequestHeader::minorVersion() const
    {23, 1193, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 188, 11},	//857 QHttpRequestHeader::toString() const
    {23, 685, 1019, 2, Smoke::mf_protected|Smoke::mf_virtual, 294, 12},	//858 QHttpRequestHeader::parseLine(const QString&, int)
    {23, 164, 85, 2, Smoke::mf_ctor, 86, 13},	//859 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&)
    {23, 164, 1043, 3, Smoke::mf_ctor, 86, 14},	//860 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&, int)
    {23, 1102, 85, 2, 0, 0, 15},	//861 QHttpRequestHeader::setRequest(const QString&, const QString&)
    {23, 1102, 1043, 3, 0, 0, 16},	//862 QHttpRequestHeader::setRequest(const QString&, const QString&, int)
    {23, 1240, 0, 0, Smoke::mf_dtor, 0, 17 },	//863 QHttpRequestHeader::~QHttpRequestHeader()
    {24, 170, 0, 0, Smoke::mf_ctor, 89, 1},	//864 QHttpResponseHeader::QHttpResponseHeader()
    {24, 170, 1005, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 89, 2},	//865 QHttpResponseHeader::QHttpResponseHeader(const QHttpResponseHeader&)
    {24, 170, 69, 1, Smoke::mf_ctor, 89, 3},	//866 QHttpResponseHeader::QHttpResponseHeader(const QString&)
    {24, 170, 1047, 4, Smoke::mf_ctor, 89, 4},	//867 QHttpResponseHeader::QHttpResponseHeader(int, const QString&, int, int)
    {24, 648, 1005, 1, 0, 88, 5},	//868 QHttpResponseHeader::operator=(const QHttpResponseHeader&)
    {24, 1132, 1047, 4, 0, 0, 6},	//869 QHttpResponseHeader::setStatusLine(int, const QString&, int, int)
    {24, 1174, 0, 0, Smoke::mf_const, 377, 7},	//870 QHttpResponseHeader::statusCode() const
    {24, 921, 0, 0, Smoke::mf_const, 188, 8},	//871 QHttpResponseHeader::reasonPhrase() const
    {24, 591, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 377, 9},	//872 QHttpResponseHeader::majorVersion() const
    {24, 600, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 377, 10},	//873 QHttpResponseHeader::minorVersion() const
    {24, 1193, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 188, 11},	//874 QHttpResponseHeader::toString() const
    {24, 685, 1019, 2, Smoke::mf_protected|Smoke::mf_virtual, 294, 12},	//875 QHttpResponseHeader::parseLine(const QString&, int)
    {24, 170, 44, 1, Smoke::mf_ctor, 89, 13},	//876 QHttpResponseHeader::QHttpResponseHeader(int)
    {24, 170, 107, 2, Smoke::mf_ctor, 89, 14},	//877 QHttpResponseHeader::QHttpResponseHeader(int, const QString&)
    {24, 170, 1052, 3, Smoke::mf_ctor, 89, 15},	//878 QHttpResponseHeader::QHttpResponseHeader(int, const QString&, int)
    {24, 1132, 44, 1, 0, 0, 16},	//879 QHttpResponseHeader::setStatusLine(int)
    {24, 1132, 107, 2, 0, 0, 17},	//880 QHttpResponseHeader::setStatusLine(int, const QString&)
    {24, 1132, 1052, 3, 0, 0, 18},	//881 QHttpResponseHeader::setStatusLine(int, const QString&, int)
    {24, 1241, 0, 0, Smoke::mf_dtor, 0, 19 },	//882 QHttpResponseHeader::~QHttpResponseHeader()
    {25, 610, 1056, 1, Smoke::mf_virtual, 294, 0},	//883 QIODevice::open(QFlags<QIODevice::OpenModeFlag>)
    {25, 704, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 380, 0},	//884 QIODevice::pos() const
    {25, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 380, 0},	//885 QIODevice::size() const
    {25, 948, 33, 1, Smoke::mf_virtual, 294, 0},	//886 QIODevice::seek(long long)
    {25, 367, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 294, 0},	//887 QIODevice::atEnd() const
    {25, 941, 0, 0, Smoke::mf_virtual, 294, 0},	//888 QIODevice::reset()
    {25, 382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 380, 0},	//889 QIODevice::bytesAvailable() const
    {25, 383, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 380, 0},	//890 QIODevice::bytesToWrite() const
    {25, 388, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 294, 0},	//891 QIODevice::canReadLine() const
    {25, 1225, 44, 1, Smoke::mf_virtual, 294, 0},	//892 QIODevice::waitForReadyRead(int)
    {25, 1214, 44, 1, Smoke::mf_virtual, 294, 0},	//893 QIODevice::waitForBytesWritten(int)
    {25, 910, 59, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 380, 0},	//894 QIODevice::readData(char*, long long) [pure virtual]
    {25, 916, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 380, 0},	//895 QIODevice::readLineData(char*, long long)
    {25, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 14},	//896 QIODevice::NotOpen (enum)
    {25, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 15},	//897 QIODevice::ReadOnly (enum)
    {25, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 16},	//898 QIODevice::WriteOnly (enum)
    {25, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 17},	//899 QIODevice::ReadWrite (enum)
    {25, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 18},	//900 QIODevice::Append (enum)
    {25, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 19},	//901 QIODevice::Truncate (enum)
    {25, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 20},	//902 QIODevice::Text (enum)
    {25, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 21},	//903 QIODevice::Unbuffered (enum)
    {26, 672, 44, 1, 0, 387, 1},	//904 QIPv6Address::operator[](int)
    {26, 672, 44, 1, Smoke::mf_const, 386, 2},	//905 QIPv6Address::operator[](int) const
    {26, 176, 0, 0, Smoke::mf_ctor, 94, 3},	//906 QIPv6Address::QIPv6Address()
    {26, 176, 948, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 94, 4},	//907 QIPv6Address::QIPv6Address(const QIPv6Address&)
    {26, 1242, 0, 0, Smoke::mf_dtor, 0, 5 },	//908 QIPv6Address::~QIPv6Address()
    {31, 598, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 328, 1},	//909 QLocalServer::metaObject() const
    {31, 884, 1, 1, Smoke::mf_virtual, 397, 2},	//910 QLocalServer::qt_metacast(const char*)
    {31, 1194, 3, 2, Smoke::mf_static, 188, 3},	//911 QLocalServer::tr(const char*, const char*)
    {31, 1198, 3, 2, Smoke::mf_static, 188, 4},	//912 QLocalServer::trUtf8(const char*, const char*)
    {31, 1194, 6, 3, Smoke::mf_static, 188, 5},	//913 QLocalServer::tr(const char*, const char*, int)
    {31, 1198, 6, 3, Smoke::mf_static, 188, 6},	//914 QLocalServer::trUtf8(const char*, const char*, int)
    {31, 882, 10, 3, Smoke::mf_virtual, 377, 7},	//915 QLocalServer::qt_metacall(QMetaObject::Call, int, void**)
    {31, 608, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 8},	//916 QLocalServer::newConnection()
    {31, 178, 20, 1, Smoke::mf_ctor, 112, 9},	//917 QLocalServer::QLocalServer(QObject*)
    {31, 398, 0, 0, 0, 0, 10},	//918 QLocalServer::close()
    {31, 474, 0, 0, Smoke::mf_const, 188, 11},	//919 QLocalServer::errorString() const
    {31, 514, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 294, 12},	//920 QLocalServer::hasPendingConnections() const
    {31, 550, 0, 0, Smoke::mf_const, 294, 13},	//921 QLocalServer::isListening() const
    {31, 576, 69, 1, 0, 294, 14},	//922 QLocalServer::listen(const QString&)
    {31, 593, 0, 0, Smoke::mf_const, 377, 15},	//923 QLocalServer::maxPendingConnections() const
    {31, 609, 0, 0, Smoke::mf_virtual, 113, 16},	//924 QLocalServer::nextPendingConnection()
    {31, 952, 0, 0, Smoke::mf_const, 188, 17},	//925 QLocalServer::serverName() const
    {31, 498, 0, 0, Smoke::mf_const, 188, 18},	//926 QLocalServer::fullServerName() const
    {31, 927, 69, 1, Smoke::mf_static, 294, 19},	//927 QLocalServer::removeServer(const QString&)
    {31, 951, 0, 0, Smoke::mf_const, 5, 20},	//928 QLocalServer::serverError() const
    {31, 1038, 44, 1, 0, 0, 21},	//929 QLocalServer::setMaxPendingConnections(int)
    {31, 1222, 1058, 2, 0, 294, 22},	//930 QLocalServer::waitForNewConnection(int, bool*)
    {31, 529, 1061, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//931 QLocalServer::incomingConnection(QIntegerForSizeof< void* >::Unsigned)
    {31, 1194, 1, 1, Smoke::mf_static, 188, 24},	//932 QLocalServer::tr(const char*)
    {31, 1198, 1, 1, Smoke::mf_static, 188, 25},	//933 QLocalServer::trUtf8(const char*)
    {31, 178, 0, 0, Smoke::mf_ctor, 112, 26},	//934 QLocalServer::QLocalServer()
    {31, 1222, 0, 0, 0, 294, 27},	//935 QLocalServer::waitForNewConnection()
    {31, 1222, 44, 1, 0, 294, 28},	//936 QLocalServer::waitForNewConnection(int)
    {31, 1173, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 327, 29},	//937 QLocalServer::staticMetaObject() const
    {31, 1243, 0, 0, Smoke::mf_dtor, 0, 30 },	//938 QLocalServer::~QLocalServer()
    {32, 598, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 328, 1},	//939 QLocalSocket::metaObject() const
    {32, 884, 1, 1, Smoke::mf_virtual, 397, 2},	//940 QLocalSocket::qt_metacast(const char*)
    {32, 1194, 3, 2, Smoke::mf_static, 188, 3},	//941 QLocalSocket::tr(const char*, const char*)
    {32, 1198, 3, 2, Smoke::mf_static, 188, 4},	//942 QLocalSocket::trUtf8(const char*, const char*)
    {32, 1194, 6, 3, Smoke::mf_static, 188, 5},	//943 QLocalSocket::tr(const char*, const char*, int)
    {32, 1198, 6, 3, Smoke::mf_static, 188, 6},	//944 QLocalSocket::trUtf8(const char*, const char*, int)
    {32, 882, 10, 3, Smoke::mf_virtual, 377, 7},	//945 QLocalSocket::qt_metacall(QMetaObject::Call, int, void**)
    {32, 180, 20, 1, Smoke::mf_ctor, 113, 8},	//946 QLocalSocket::QLocalSocket(QObject*)
    {32, 418, 1063, 2, 0, 0, 9},	//947 QLocalSocket::connectToServer(const QString&, QFlags<QIODevice::OpenModeFlag>)
    {32, 455, 0, 0, 0, 0, 10},	//948 QLocalSocket::disconnectFromServer()
    {32, 952, 0, 0, Smoke::mf_const, 188, 11},	//949 QLocalSocket::serverName() const
    {32, 498, 0, 0, Smoke::mf_const, 188, 12},	//950 QLocalSocket::fullServerName() const
    {32, 338, 0, 0, 0, 0, 13},	//951 QLocalSocket::abort()
    {32, 555, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 294, 14},	//952 QLocalSocket::isSequential() const
    {32, 382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 380, 15},	//953 QLocalSocket::bytesAvailable() const
    {32, 383, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 380, 16},	//954 QLocalSocket::bytesToWrite() const
    {32, 388, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 294, 17},	//955 QLocalSocket::canReadLine() const
    {32, 398, 0, 0, Smoke::mf_virtual, 0, 18},	//956 QLocalSocket::close()
    {32, 472, 0, 0, Smoke::mf_const, 114, 19},	//957 QLocalSocket::error() const
    {32, 485, 0, 0, 0, 294, 20},	//958 QLocalSocket::flush()
    {32, 559, 0, 0, Smoke::mf_const, 294, 21},	//959 QLocalSocket::isValid() const
    {32, 909, 0, 0, Smoke::mf_const, 380, 22},	//960 QLocalSocket::readBufferSize() const
    {32, 1098, 33, 1, 0, 0, 23},	//961 QLocalSocket::setReadBufferSize(long long)
    {32, 1117, 1066, 3, 0, 294, 24},	//962 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState, QFlags<QIODevice::OpenModeFlag>)
    {32, 1160, 0, 0, Smoke::mf_const, 96, 25},	//963 QLocalSocket::socketDescriptor() const
    {32, 1170, 0, 0, Smoke::mf_const, 115, 26},	//964 QLocalSocket::state() const
    {32, 1214, 44, 1, Smoke::mf_virtual, 294, 27},	//965 QLocalSocket::waitForBytesWritten(int)
    {32, 1216, 44, 1, 0, 294, 28},	//966 QLocalSocket::waitForConnected(int)
    {32, 1218, 44, 1, 0, 294, 29},	//967 QLocalSocket::waitForDisconnected(int)
    {32, 1225, 44, 1, Smoke::mf_virtual, 294, 30},	//968 QLocalSocket::waitForReadyRead(int)
    {32, 421, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//969 QLocalSocket::connected()
    {32, 457, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//970 QLocalSocket::disconnected()
    {32, 472, 1070, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//971 QLocalSocket::error(QLocalSocket::LocalSocketError)
    {32, 1171, 1072, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//972 QLocalSocket::stateChanged(QLocalSocket::LocalSocketState)
    {32, 910, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 380, 35},	//973 QLocalSocket::readData(char*, long long)
    {32, 1227, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 380, 36},	//974 QLocalSocket::writeData(const char*, long long)
    {32, 1194, 1, 1, Smoke::mf_static, 188, 37},	//975 QLocalSocket::tr(const char*)
    {32, 1198, 1, 1, Smoke::mf_static, 188, 38},	//976 QLocalSocket::trUtf8(const char*)
    {32, 180, 0, 0, Smoke::mf_ctor, 113, 39},	//977 QLocalSocket::QLocalSocket()
    {32, 418, 69, 1, 0, 0, 40},	//978 QLocalSocket::connectToServer(const QString&)
    {32, 1117, 1061, 1, 0, 294, 41},	//979 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned)
    {32, 1117, 1074, 2, 0, 294, 42},	//980 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState)
    {32, 1214, 0, 0, 0, 294, 43},	//981 QLocalSocket::waitForBytesWritten()
    {32, 1216, 0, 0, 0, 294, 44},	//982 QLocalSocket::waitForConnected()
    {32, 1218, 0, 0, 0, 294, 45},	//983 QLocalSocket::waitForDisconnected()
    {32, 1225, 0, 0, 0, 294, 46},	//984 QLocalSocket::waitForReadyRead()
    {32, 1173, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 327, 47},	//985 QLocalSocket::staticMetaObject() const
    {32, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 48},	//986 QLocalSocket::ConnectionRefusedError (enum)
    {32, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 49},	//987 QLocalSocket::PeerClosedError (enum)
    {32, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 50},	//988 QLocalSocket::ServerNotFoundError (enum)
    {32, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 51},	//989 QLocalSocket::SocketAccessError (enum)
    {32, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 52},	//990 QLocalSocket::SocketResourceError (enum)
    {32, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 53},	//991 QLocalSocket::SocketTimeoutError (enum)
    {32, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 54},	//992 QLocalSocket::DatagramTooLargeError (enum)
    {32, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 55},	//993 QLocalSocket::ConnectionError (enum)
    {32, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 56},	//994 QLocalSocket::UnsupportedSocketOperationError (enum)
    {32, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 57},	//995 QLocalSocket::UnknownSocketError (enum)
    {32, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 58},	//996 QLocalSocket::UnconnectedState (enum)
    {32, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 59},	//997 QLocalSocket::ConnectingState (enum)
    {32, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 60},	//998 QLocalSocket::ConnectedState (enum)
    {32, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 61},	//999 QLocalSocket::ClosingState (enum)
    {32, 1244, 0, 0, Smoke::mf_dtor, 0, 62 },	//1000 QLocalSocket::~QLocalSocket()
    {37, 598, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 328, 1},	//1001 QNetworkAccessManager::metaObject() const
    {37, 884, 1, 1, Smoke::mf_virtual, 397, 2},	//1002 QNetworkAccessManager::qt_metacast(const char*)
    {37, 1194, 3, 2, Smoke::mf_static, 188, 3},	//1003 QNetworkAccessManager::tr(const char*, const char*)
    {37, 1198, 3, 2, Smoke::mf_static, 188, 4},	//1004 QNetworkAccessManager::trUtf8(const char*, const char*)
    {37, 1194, 6, 3, Smoke::mf_static, 188, 5},	//1005 QNetworkAccessManager::tr(const char*, const char*, int)
    {37, 1198, 6, 3, Smoke::mf_static, 188, 6},	//1006 QNetworkAccessManager::trUtf8(const char*, const char*, int)
    {37, 882, 10, 3, Smoke::mf_virtual, 377, 7},	//1007 QNetworkAccessManager::qt_metacall(QMetaObject::Call, int, void**)
    {37, 182, 20, 1, Smoke::mf_ctor, 120, 8},	//1008 QNetworkAccessManager::QNetworkAccessManager(QObject*)
    {37, 716, 0, 0, Smoke::mf_const, 136, 9},	//1009 QNetworkAccessManager::proxy() const
    {37, 1085, 46, 1, 0, 0, 10},	//1010 QNetworkAccessManager::setProxy(const QNetworkProxy&)
    {37, 719, 0, 0, Smoke::mf_const, 141, 11},	//1011 QNetworkAccessManager::proxyFactory() const
    {37, 1090, 1077, 1, 0, 0, 12},	//1012 QNetworkAccessManager::setProxyFactory(QNetworkProxyFactory*)
    {37, 385, 0, 0, Smoke::mf_const, 2, 13},	//1013 QNetworkAccessManager::cache() const
    {37, 974, 1079, 1, 0, 0, 14},	//1014 QNetworkAccessManager::setCache(QAbstractNetworkCache*)
    {37, 424, 0, 0, Smoke::mf_const, 130, 15},	//1015 QNetworkAccessManager::cookieJar() const
    {37, 987, 1081, 1, 0, 0, 16},	//1016 QNetworkAccessManager::setCookieJar(QNetworkCookieJar*)
    {37, 519, 1083, 1, 0, 145, 17},	//1017 QNetworkAccessManager::head(const QNetworkRequest&)
    {37, 499, 1083, 1, 0, 145, 18},	//1018 QNetworkAccessManager::get(const QNetworkRequest&)
    {37, 705, 1085, 2, 0, 145, 19},	//1019 QNetworkAccessManager::post(const QNetworkRequest&, QIODevice*)
    {37, 705, 1088, 2, 0, 145, 20},	//1020 QNetworkAccessManager::post(const QNetworkRequest&, const QByteArray&)
    {37, 723, 1085, 2, 0, 145, 21},	//1021 QNetworkAccessManager::put(const QNetworkRequest&, QIODevice*)
    {37, 723, 1088, 2, 0, 145, 22},	//1022 QNetworkAccessManager::put(const QNetworkRequest&, const QByteArray&)
    {37, 448, 1083, 1, 0, 145, 23},	//1023 QNetworkAccessManager::deleteResource(const QNetworkRequest&)
    {37, 717, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//1024 QNetworkAccessManager::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {37, 373, 1091, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//1025 QNetworkAccessManager::authenticationRequired(QNetworkReply*, QAuthenticator*)
    {37, 482, 1094, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1026 QNetworkAccessManager::finished(QNetworkReply*)
    {37, 1165, 1096, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1027 QNetworkAccessManager::sslErrors(QNetworkReply*, const QList<QSslError>&)
    {37, 427, 1099, 3, Smoke::mf_protected|Smoke::mf_virtual, 145, 28},	//1028 QNetworkAccessManager::createRequest(QNetworkAccessManager::Operation, const QNetworkRequest&, QIODevice*)
    {37, 1194, 1, 1, Smoke::mf_static, 188, 29},	//1029 QNetworkAccessManager::tr(const char*)
    {37, 1198, 1, 1, Smoke::mf_static, 188, 30},	//1030 QNetworkAccessManager::trUtf8(const char*)
    {37, 182, 0, 0, Smoke::mf_ctor, 120, 31},	//1031 QNetworkAccessManager::QNetworkAccessManager()
    {37, 427, 1103, 2, Smoke::mf_protected, 145, 32},	//1032 QNetworkAccessManager::createRequest(QNetworkAccessManager::Operation, const QNetworkRequest&)
    {37, 1173, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 327, 33},	//1033 QNetworkAccessManager::staticMetaObject() const
    {37, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 34},	//1034 QNetworkAccessManager::HeadOperation (enum)
    {37, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 35},	//1035 QNetworkAccessManager::GetOperation (enum)
    {37, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 36},	//1036 QNetworkAccessManager::PutOperation (enum)
    {37, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 37},	//1037 QNetworkAccessManager::PostOperation (enum)
    {37, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 38},	//1038 QNetworkAccessManager::DeleteOperation (enum)
    {37, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 39},	//1039 QNetworkAccessManager::UnknownOperation (enum)
    {37, 1245, 0, 0, Smoke::mf_dtor, 0, 40 },	//1040 QNetworkAccessManager::~QNetworkAccessManager()
    {38, 184, 0, 0, Smoke::mf_ctor, 123, 1},	//1041 QNetworkAddressEntry::QNetworkAddressEntry()
    {38, 184, 1106, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 123, 2},	//1042 QNetworkAddressEntry::QNetworkAddressEntry(const QNetworkAddressEntry&)
    {38, 648, 1106, 1, 0, 122, 3},	//1043 QNetworkAddressEntry::operator=(const QNetworkAddressEntry&)
    {38, 651, 1106, 1, Smoke::mf_const, 294, 4},	//1044 QNetworkAddressEntry::operator==(const QNetworkAddressEntry&) const
    {38, 612, 1106, 1, Smoke::mf_const, 294, 5},	//1045 QNetworkAddressEntry::operator!=(const QNetworkAddressEntry&) const
    {38, 539, 0, 0, Smoke::mf_const, 70, 6},	//1046 QNetworkAddressEntry::ip() const
    {38, 1022, 67, 1, 0, 0, 7},	//1047 QNetworkAddressEntry::setIp(const QHostAddress&)
    {38, 607, 0, 0, Smoke::mf_const, 70, 8},	//1048 QNetworkAddressEntry::netmask() const
    {38, 1045, 67, 1, 0, 0, 9},	//1049 QNetworkAddressEntry::setNetmask(const QHostAddress&)
    {38, 709, 0, 0, Smoke::mf_const, 377, 10},	//1050 QNetworkAddressEntry::prefixLength() const
    {38, 1073, 44, 1, 0, 0, 11},	//1051 QNetworkAddressEntry::setPrefixLength(int)
    {38, 381, 0, 0, Smoke::mf_const, 70, 12},	//1052 QNetworkAddressEntry::broadcast() const
    {38, 970, 67, 1, 0, 0, 13},	//1053 QNetworkAddressEntry::setBroadcast(const QHostAddress&)
    {38, 1246, 0, 0, Smoke::mf_dtor, 0, 14 },	//1054 QNetworkAddressEntry::~QNetworkAddressEntry()
    {39, 186, 0, 0, Smoke::mf_ctor, 126, 1},	//1055 QNetworkCacheMetaData::QNetworkCacheMetaData()
    {39, 186, 16, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 126, 2},	//1056 QNetworkCacheMetaData::QNetworkCacheMetaData(const QNetworkCacheMetaData&)
    {39, 648, 16, 1, 0, 125, 3},	//1057 QNetworkCacheMetaData::operator=(const QNetworkCacheMetaData&)
    {39, 651, 16, 1, Smoke::mf_const, 294, 4},	//1058 QNetworkCacheMetaData::operator==(const QNetworkCacheMetaData&) const
    {39, 612, 16, 1, Smoke::mf_const, 294, 5},	//1059 QNetworkCacheMetaData::operator!=(const QNetworkCacheMetaData&) const
    {39, 559, 0, 0, Smoke::mf_const, 294, 6},	//1060 QNetworkCacheMetaData::isValid() const
    {39, 1207, 0, 0, Smoke::mf_const, 206, 7},	//1061 QNetworkCacheMetaData::url() const
    {39, 1143, 14, 1, 0, 0, 8},	//1062 QNetworkCacheMetaData::setUrl(const QUrl&)
    {39, 905, 0, 0, Smoke::mf_const, 106, 9},	//1063 QNetworkCacheMetaData::rawHeaders() const
    {39, 1096, 1108, 1, 0, 0, 10},	//1064 QNetworkCacheMetaData::setRawHeaders(const QList<QPair<QByteArray,QByteArray> >&)
    {39, 566, 0, 0, Smoke::mf_const, 22, 11},	//1065 QNetworkCacheMetaData::lastModified() const
    {39, 1024, 1110, 1, 0, 0, 12},	//1066 QNetworkCacheMetaData::setLastModified(const QDateTime&)
    {39, 477, 0, 0, Smoke::mf_const, 22, 13},	//1067 QNetworkCacheMetaData::expirationDate() const
    {39, 1006, 1110, 1, 0, 0, 14},	//1068 QNetworkCacheMetaData::setExpirationDate(const QDateTime&)
    {39, 946, 0, 0, Smoke::mf_const, 294, 15},	//1069 QNetworkCacheMetaData::saveToDisk() const
    {39, 1107, 113, 1, 0, 0, 16},	//1070 QNetworkCacheMetaData::setSaveToDisk(bool)
    {39, 371, 0, 0, Smoke::mf_const, 69, 17},	//1071 QNetworkCacheMetaData::attributes() const
    {39, 968, 1112, 1, 0, 0, 18},	//1072 QNetworkCacheMetaData::setAttributes(const QHash<QNetworkRequest::Attribute,QVariant>&)
    {39, 1247, 0, 0, Smoke::mf_dtor, 0, 19 },	//1073 QNetworkCacheMetaData::~QNetworkCacheMetaData()
    {40, 188, 370, 2, Smoke::mf_ctor, 128, 1},	//1074 QNetworkCookie::QNetworkCookie(const QByteArray&, const QByteArray&)
    {40, 188, 1114, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 128, 2},	//1075 QNetworkCookie::QNetworkCookie(const QNetworkCookie&)
    {40, 648, 1114, 1, 0, 127, 3},	//1076 QNetworkCookie::operator=(const QNetworkCookie&)
    {40, 651, 1114, 1, Smoke::mf_const, 294, 4},	//1077 QNetworkCookie::operator==(const QNetworkCookie&) const
    {40, 612, 1114, 1, Smoke::mf_const, 294, 5},	//1078 QNetworkCookie::operator!=(const QNetworkCookie&) const
    {40, 554, 0, 0, Smoke::mf_const, 294, 6},	//1079 QNetworkCookie::isSecure() const
    {40, 1111, 113, 1, 0, 0, 7},	//1080 QNetworkCookie::setSecure(bool)
    {40, 546, 0, 0, Smoke::mf_const, 294, 8},	//1081 QNetworkCookie::isHttpOnly() const
    {40, 1020, 113, 1, 0, 0, 9},	//1082 QNetworkCookie::setHttpOnly(bool)
    {40, 556, 0, 0, Smoke::mf_const, 294, 10},	//1083 QNetworkCookie::isSessionCookie() const
    {40, 477, 0, 0, Smoke::mf_const, 22, 11},	//1084 QNetworkCookie::expirationDate() const
    {40, 1006, 1110, 1, 0, 0, 12},	//1085 QNetworkCookie::setExpirationDate(const QDateTime&)
    {40, 458, 0, 0, Smoke::mf_const, 188, 13},	//1086 QNetworkCookie::domain() const
    {40, 999, 69, 1, 0, 0, 14},	//1087 QNetworkCookie::setDomain(const QString&)
    {40, 690, 0, 0, Smoke::mf_const, 188, 15},	//1088 QNetworkCookie::path() const
    {40, 1055, 69, 1, 0, 0, 16},	//1089 QNetworkCookie::setPath(const QString&)
    {40, 606, 0, 0, Smoke::mf_const, 14, 17},	//1090 QNetworkCookie::name() const
    {40, 1042, 201, 1, 0, 0, 18},	//1091 QNetworkCookie::setName(const QByteArray&)
    {40, 1210, 0, 0, Smoke::mf_const, 14, 19},	//1092 QNetworkCookie::value() const
    {40, 1152, 201, 1, 0, 0, 20},	//1093 QNetworkCookie::setValue(const QByteArray&)
    {40, 1191, 1116, 1, Smoke::mf_const, 14, 21},	//1094 QNetworkCookie::toRawForm(QNetworkCookie::RawForm) const
    {40, 683, 201, 1, Smoke::mf_static, 103, 22},	//1095 QNetworkCookie::parseCookies(const QByteArray&)
    {40, 188, 0, 0, Smoke::mf_ctor, 128, 23},	//1096 QNetworkCookie::QNetworkCookie()
    {40, 188, 201, 1, Smoke::mf_ctor, 128, 24},	//1097 QNetworkCookie::QNetworkCookie(const QByteArray&)
    {40, 1191, 0, 0, Smoke::mf_const, 14, 25},	//1098 QNetworkCookie::toRawForm() const
    {40, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 26},	//1099 QNetworkCookie::NameAndValueOnly (enum)
    {40, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 27},	//1100 QNetworkCookie::Full (enum)
    {40, 1248, 0, 0, Smoke::mf_dtor, 0, 28 },	//1101 QNetworkCookie::~QNetworkCookie()
    {41, 598, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 328, 1},	//1102 QNetworkCookieJar::metaObject() const
    {41, 884, 1, 1, Smoke::mf_virtual, 397, 2},	//1103 QNetworkCookieJar::qt_metacast(const char*)
    {41, 1194, 3, 2, Smoke::mf_static, 188, 3},	//1104 QNetworkCookieJar::tr(const char*, const char*)
    {41, 1198, 3, 2, Smoke::mf_static, 188, 4},	//1105 QNetworkCookieJar::trUtf8(const char*, const char*)
    {41, 1194, 6, 3, Smoke::mf_static, 188, 5},	//1106 QNetworkCookieJar::tr(const char*, const char*, int)
    {41, 1198, 6, 3, Smoke::mf_static, 188, 6},	//1107 QNetworkCookieJar::trUtf8(const char*, const char*, int)
    {41, 882, 10, 3, Smoke::mf_virtual, 377, 7},	//1108 QNetworkCookieJar::qt_metacall(QMetaObject::Call, int, void**)
    {41, 191, 20, 1, Smoke::mf_ctor, 130, 8},	//1109 QNetworkCookieJar::QNetworkCookieJar(QObject*)
    {41, 425, 14, 1, Smoke::mf_const|Smoke::mf_virtual, 103, 9},	//1110 QNetworkCookieJar::cookiesForUrl(const QUrl&) const
    {41, 989, 1118, 2, Smoke::mf_virtual, 294, 10},	//1111 QNetworkCookieJar::setCookiesFromUrl(const QList<QNetworkCookie>&, const QUrl&)
    {41, 361, 0, 0, Smoke::mf_const|Smoke::mf_protected, 103, 11},	//1112 QNetworkCookieJar::allCookies() const
    {41, 960, 1121, 1, Smoke::mf_protected, 0, 12},	//1113 QNetworkCookieJar::setAllCookies(const QList<QNetworkCookie>&)
    {41, 1194, 1, 1, Smoke::mf_static, 188, 13},	//1114 QNetworkCookieJar::tr(const char*)
    {41, 1198, 1, 1, Smoke::mf_static, 188, 14},	//1115 QNetworkCookieJar::trUtf8(const char*)
    {41, 191, 0, 0, Smoke::mf_ctor, 130, 15},	//1116 QNetworkCookieJar::QNetworkCookieJar()
    {41, 1173, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 327, 16},	//1117 QNetworkCookieJar::staticMetaObject() const
    {41, 1249, 0, 0, Smoke::mf_dtor, 0, 17 },	//1118 QNetworkCookieJar::~QNetworkCookieJar()
    {42, 598, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 328, 1},	//1119 QNetworkDiskCache::metaObject() const
    {42, 884, 1, 1, Smoke::mf_virtual, 397, 2},	//1120 QNetworkDiskCache::qt_metacast(const char*)
    {42, 1194, 3, 2, Smoke::mf_static, 188, 3},	//1121 QNetworkDiskCache::tr(const char*, const char*)
    {42, 1198, 3, 2, Smoke::mf_static, 188, 4},	//1122 QNetworkDiskCache::trUtf8(const char*, const char*)
    {42, 1194, 6, 3, Smoke::mf_static, 188, 5},	//1123 QNetworkDiskCache::tr(const char*, const char*, int)
    {42, 1198, 6, 3, Smoke::mf_static, 188, 6},	//1124 QNetworkDiskCache::trUtf8(const char*, const char*, int)
    {42, 882, 10, 3, Smoke::mf_virtual, 377, 7},	//1125 QNetworkDiskCache::qt_metacall(QMetaObject::Call, int, void**)
    {42, 193, 20, 1, Smoke::mf_ctor, 131, 8},	//1126 QNetworkDiskCache::QNetworkDiskCache(QObject*)
    {42, 386, 0, 0, Smoke::mf_const, 188, 9},	//1127 QNetworkDiskCache::cacheDirectory() const
    {42, 976, 69, 1, 0, 0, 10},	//1128 QNetworkDiskCache::setCacheDirectory(const QString&)
    {42, 594, 0, 0, Smoke::mf_const, 380, 11},	//1129 QNetworkDiskCache::maximumCacheSize() const
    {42, 1040, 33, 1, 0, 0, 12},	//1130 QNetworkDiskCache::setMaximumCacheSize(long long)
    {42, 387, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 380, 13},	//1131 QNetworkDiskCache::cacheSize() const
    {42, 595, 14, 1, Smoke::mf_virtual, 124, 14},	//1132 QNetworkDiskCache::metaData(const QUrl&)
    {42, 1203, 16, 1, Smoke::mf_virtual, 0, 15},	//1133 QNetworkDiskCache::updateMetaData(const QNetworkCacheMetaData&)
    {42, 437, 14, 1, Smoke::mf_virtual, 90, 16},	//1134 QNetworkDiskCache::data(const QUrl&)
    {42, 922, 14, 1, Smoke::mf_virtual, 294, 17},	//1135 QNetworkDiskCache::remove(const QUrl&)
    {42, 710, 16, 1, Smoke::mf_virtual, 90, 18},	//1136 QNetworkDiskCache::prepare(const QNetworkCacheMetaData&)
    {42, 533, 18, 1, Smoke::mf_virtual, 0, 19},	//1137 QNetworkDiskCache::insert(QIODevice*)
    {42, 480, 69, 1, Smoke::mf_const, 124, 20},	//1138 QNetworkDiskCache::fileMetaData(const QString&) const
    {42, 395, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//1139 QNetworkDiskCache::clear()
    {42, 478, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 380, 22},	//1140 QNetworkDiskCache::expire()
    {42, 1194, 1, 1, Smoke::mf_static, 188, 23},	//1141 QNetworkDiskCache::tr(const char*)
    {42, 1198, 1, 1, Smoke::mf_static, 188, 24},	//1142 QNetworkDiskCache::trUtf8(const char*)
    {42, 193, 0, 0, Smoke::mf_ctor, 131, 25},	//1143 QNetworkDiskCache::QNetworkDiskCache()
    {42, 1173, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 327, 26},	//1144 QNetworkDiskCache::staticMetaObject() const
    {42, 1250, 0, 0, Smoke::mf_dtor, 0, 27 },	//1145 QNetworkDiskCache::~QNetworkDiskCache()
    {43, 195, 0, 0, Smoke::mf_ctor, 134, 1},	//1146 QNetworkInterface::QNetworkInterface()
    {43, 195, 1123, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 134, 2},	//1147 QNetworkInterface::QNetworkInterface(const QNetworkInterface&)
    {43, 648, 1123, 1, 0, 133, 3},	//1148 QNetworkInterface::operator=(const QNetworkInterface&)
    {43, 559, 0, 0, Smoke::mf_const, 294, 4},	//1149 QNetworkInterface::isValid() const
    {43, 532, 0, 0, Smoke::mf_const, 377, 5},	//1150 QNetworkInterface::index() const
    {43, 606, 0, 0, Smoke::mf_const, 188, 6},	//1151 QNetworkInterface::name() const
    {43, 526, 0, 0, Smoke::mf_const, 188, 7},	//1152 QNetworkInterface::humanReadableName() const
    {43, 484, 0, 0, Smoke::mf_const, 40, 8},	//1153 QNetworkInterface::flags() const
    {43, 508, 0, 0, Smoke::mf_const, 188, 9},	//1154 QNetworkInterface::hardwareAddress() const
    {43, 357, 0, 0, Smoke::mf_const, 102, 10},	//1155 QNetworkInterface::addressEntries() const
    {43, 537, 69, 1, Smoke::mf_static, 132, 11},	//1156 QNetworkInterface::interfaceFromName(const QString&)
    {43, 535, 44, 1, Smoke::mf_static, 132, 12},	//1157 QNetworkInterface::interfaceFromIndex(int)
    {43, 362, 0, 0, Smoke::mf_static, 104, 13},	//1158 QNetworkInterface::allInterfaces()
    {43, 360, 0, 0, Smoke::mf_static, 101, 14},	//1159 QNetworkInterface::allAddresses()
    {43, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 15},	//1160 QNetworkInterface::IsUp (enum)
    {43, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 16},	//1161 QNetworkInterface::IsRunning (enum)
    {43, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 17},	//1162 QNetworkInterface::CanBroadcast (enum)
    {43, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 18},	//1163 QNetworkInterface::IsLoopBack (enum)
    {43, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 19},	//1164 QNetworkInterface::IsPointToPoint (enum)
    {43, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 20},	//1165 QNetworkInterface::CanMulticast (enum)
    {43, 1251, 0, 0, Smoke::mf_dtor, 0, 21 },	//1166 QNetworkInterface::~QNetworkInterface()
    {44, 197, 0, 0, Smoke::mf_ctor, 138, 1},	//1167 QNetworkProxy::QNetworkProxy()
    {44, 197, 1125, 5, Smoke::mf_ctor, 138, 2},	//1168 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&, const QString&)
    {44, 197, 46, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 138, 3},	//1169 QNetworkProxy::QNetworkProxy(const QNetworkProxy&)
    {44, 648, 46, 1, 0, 137, 4},	//1170 QNetworkProxy::operator=(const QNetworkProxy&)
    {44, 651, 46, 1, Smoke::mf_const, 294, 5},	//1171 QNetworkProxy::operator==(const QNetworkProxy&) const
    {44, 612, 46, 1, Smoke::mf_const, 294, 6},	//1172 QNetworkProxy::operator!=(const QNetworkProxy&) const
    {44, 1141, 1131, 1, 0, 0, 7},	//1173 QNetworkProxy::setType(QNetworkProxy::ProxyType)
    {44, 1202, 0, 0, Smoke::mf_const, 140, 8},	//1174 QNetworkProxy::type() const
    {44, 978, 1133, 1, 0, 0, 9},	//1175 QNetworkProxy::setCapabilities(QFlags<QNetworkProxy::Capability>)
    {44, 389, 0, 0, Smoke::mf_const, 41, 10},	//1176 QNetworkProxy::capabilities() const
    {44, 540, 0, 0, Smoke::mf_const, 294, 11},	//1177 QNetworkProxy::isCachingProxy() const
    {44, 558, 0, 0, Smoke::mf_const, 294, 12},	//1178 QNetworkProxy::isTransparentProxy() const
    {44, 1147, 69, 1, 0, 0, 13},	//1179 QNetworkProxy::setUser(const QString&)
    {44, 1209, 0, 0, Smoke::mf_const, 188, 14},	//1180 QNetworkProxy::user() const
    {44, 1053, 69, 1, 0, 0, 15},	//1181 QNetworkProxy::setPassword(const QString&)
    {44, 689, 0, 0, Smoke::mf_const, 188, 16},	//1182 QNetworkProxy::password() const
    {44, 1018, 69, 1, 0, 0, 17},	//1183 QNetworkProxy::setHostName(const QString&)
    {44, 525, 0, 0, Smoke::mf_const, 188, 18},	//1184 QNetworkProxy::hostName() const
    {44, 1071, 65, 1, 0, 0, 19},	//1185 QNetworkProxy::setPort(unsigned short)
    {44, 703, 0, 0, Smoke::mf_const, 392, 20},	//1186 QNetworkProxy::port() const
    {44, 962, 46, 1, Smoke::mf_static, 0, 21},	//1187 QNetworkProxy::setApplicationProxy(const QNetworkProxy&)
    {44, 366, 0, 0, Smoke::mf_static, 136, 22},	//1188 QNetworkProxy::applicationProxy()
    {44, 197, 1131, 1, Smoke::mf_ctor, 138, 23},	//1189 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType)
    {44, 197, 1135, 2, Smoke::mf_ctor, 138, 24},	//1190 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&)
    {44, 197, 1138, 3, Smoke::mf_ctor, 138, 25},	//1191 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short)
    {44, 197, 1142, 4, Smoke::mf_ctor, 138, 26},	//1192 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&)
    {44, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 27},	//1193 QNetworkProxy::DefaultProxy (enum)
    {44, 279, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 28},	//1194 QNetworkProxy::Socks5Proxy (enum)
    {44, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 29},	//1195 QNetworkProxy::NoProxy (enum)
    {44, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 30},	//1196 QNetworkProxy::HttpProxy (enum)
    {44, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 31},	//1197 QNetworkProxy::HttpCachingProxy (enum)
    {44, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 32},	//1198 QNetworkProxy::FtpCachingProxy (enum)
    {44, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 33},	//1199 QNetworkProxy::TunnelingCapability (enum)
    {44, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 34},	//1200 QNetworkProxy::ListeningCapability (enum)
    {44, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 35},	//1201 QNetworkProxy::UdpTunnelingCapability (enum)
    {44, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 36},	//1202 QNetworkProxy::CachingCapability (enum)
    {44, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 37},	//1203 QNetworkProxy::HostNameLookupCapability (enum)
    {44, 1252, 0, 0, Smoke::mf_dtor, 0, 38 },	//1204 QNetworkProxy::~QNetworkProxy()
    {45, 204, 0, 0, Smoke::mf_ctor, 141, 1},	//1205 QNetworkProxyFactory::QNetworkProxyFactory()
    {45, 891, 1147, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 105, 2},	//1206 QNetworkProxyFactory::queryProxy(const QNetworkProxyQuery&) [pure virtual]
    {45, 1145, 113, 1, Smoke::mf_static, 0, 3},	//1207 QNetworkProxyFactory::setUseSystemConfiguration(bool)
    {45, 964, 1077, 1, Smoke::mf_static, 0, 4},	//1208 QNetworkProxyFactory::setApplicationProxyFactory(QNetworkProxyFactory*)
    {45, 720, 1147, 1, Smoke::mf_static, 105, 5},	//1209 QNetworkProxyFactory::proxyForQuery(const QNetworkProxyQuery&)
    {45, 1182, 1147, 1, Smoke::mf_static, 105, 6},	//1210 QNetworkProxyFactory::systemProxyForQuery(const QNetworkProxyQuery&)
    {45, 204, 1149, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 141, 7},	//1211 QNetworkProxyFactory::QNetworkProxyFactory(const QNetworkProxyFactory&)
    {45, 891, 0, 0, 0, 105, 8},	//1212 QNetworkProxyFactory::queryProxy()
    {45, 1182, 0, 0, Smoke::mf_static, 105, 9},	//1213 QNetworkProxyFactory::systemProxyForQuery()
    {45, 1253, 0, 0, Smoke::mf_dtor, 0, 10 },	//1214 QNetworkProxyFactory::~QNetworkProxyFactory()
    {46, 206, 0, 0, Smoke::mf_ctor, 143, 1},	//1215 QNetworkProxyQuery::QNetworkProxyQuery()
    {46, 206, 1151, 2, Smoke::mf_ctor, 143, 2},	//1216 QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&, QNetworkProxyQuery::QueryType)
    {46, 206, 1154, 4, Smoke::mf_ctor, 143, 3},	//1217 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&, QNetworkProxyQuery::QueryType)
    {46, 206, 1159, 3, Smoke::mf_ctor, 143, 4},	//1218 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    {46, 206, 1147, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 143, 5},	//1219 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkProxyQuery&)
    {46, 648, 1147, 1, 0, 142, 6},	//1220 QNetworkProxyQuery::operator=(const QNetworkProxyQuery&)
    {46, 651, 1147, 1, Smoke::mf_const, 294, 7},	//1221 QNetworkProxyQuery::operator==(const QNetworkProxyQuery&) const
    {46, 612, 1147, 1, Smoke::mf_const, 294, 8},	//1222 QNetworkProxyQuery::operator!=(const QNetworkProxyQuery&) const
    {46, 893, 0, 0, Smoke::mf_const, 144, 9},	//1223 QNetworkProxyQuery::queryType() const
    {46, 1092, 1163, 1, 0, 0, 10},	//1224 QNetworkProxyQuery::setQueryType(QNetworkProxyQuery::QueryType)
    {46, 696, 0, 0, Smoke::mf_const, 377, 11},	//1225 QNetworkProxyQuery::peerPort() const
    {46, 1063, 44, 1, 0, 0, 12},	//1226 QNetworkProxyQuery::setPeerPort(int)
    {46, 694, 0, 0, Smoke::mf_const, 188, 13},	//1227 QNetworkProxyQuery::peerHostName() const
    {46, 1059, 69, 1, 0, 0, 14},	//1228 QNetworkProxyQuery::setPeerHostName(const QString&)
    {46, 584, 0, 0, Smoke::mf_const, 377, 15},	//1229 QNetworkProxyQuery::localPort() const
    {46, 1034, 44, 1, 0, 0, 16},	//1230 QNetworkProxyQuery::setLocalPort(int)
    {46, 715, 0, 0, Smoke::mf_const, 188, 17},	//1231 QNetworkProxyQuery::protocolTag() const
    {46, 1083, 69, 1, 0, 0, 18},	//1232 QNetworkProxyQuery::setProtocolTag(const QString&)
    {46, 1207, 0, 0, Smoke::mf_const, 206, 19},	//1233 QNetworkProxyQuery::url() const
    {46, 1143, 14, 1, 0, 0, 20},	//1234 QNetworkProxyQuery::setUrl(const QUrl&)
    {46, 206, 14, 1, Smoke::mf_ctor, 143, 21},	//1235 QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&)
    {46, 206, 1019, 2, Smoke::mf_ctor, 143, 22},	//1236 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int)
    {46, 206, 1022, 3, Smoke::mf_ctor, 143, 23},	//1237 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&)
    {46, 206, 65, 1, Smoke::mf_ctor, 143, 24},	//1238 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short)
    {46, 206, 1165, 2, Smoke::mf_ctor, 143, 25},	//1239 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&)
    {46, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 26},	//1240 QNetworkProxyQuery::TcpSocket (enum)
    {46, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 27},	//1241 QNetworkProxyQuery::UdpSocket (enum)
    {46, 288, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 28},	//1242 QNetworkProxyQuery::TcpServer (enum)
    {46, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 29},	//1243 QNetworkProxyQuery::UrlRequest (enum)
    {46, 1254, 0, 0, Smoke::mf_dtor, 0, 30 },	//1244 QNetworkProxyQuery::~QNetworkProxyQuery()
    {47, 598, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 328, 1},	//1245 QNetworkReply::metaObject() const
    {47, 884, 1, 1, Smoke::mf_virtual, 397, 2},	//1246 QNetworkReply::qt_metacast(const char*)
    {47, 1194, 3, 2, Smoke::mf_static, 188, 3},	//1247 QNetworkReply::tr(const char*, const char*)
    {47, 1198, 3, 2, Smoke::mf_static, 188, 4},	//1248 QNetworkReply::trUtf8(const char*, const char*)
    {47, 1194, 6, 3, Smoke::mf_static, 188, 5},	//1249 QNetworkReply::tr(const char*, const char*, int)
    {47, 1198, 6, 3, Smoke::mf_static, 188, 6},	//1250 QNetworkReply::trUtf8(const char*, const char*, int)
    {47, 882, 10, 3, Smoke::mf_virtual, 377, 7},	//1251 QNetworkReply::qt_metacall(QMetaObject::Call, int, void**)
    {47, 338, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//1252 QNetworkReply::abort() [pure virtual]
    {47, 398, 0, 0, Smoke::mf_virtual, 0, 9},	//1253 QNetworkReply::close()
    {47, 555, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 294, 10},	//1254 QNetworkReply::isSequential() const
    {47, 909, 0, 0, Smoke::mf_const, 380, 11},	//1255 QNetworkReply::readBufferSize() const
    {47, 1098, 33, 1, Smoke::mf_virtual, 0, 12},	//1256 QNetworkReply::setReadBufferSize(long long)
    {47, 592, 0, 0, Smoke::mf_const, 120, 13},	//1257 QNetworkReply::manager() const
    {47, 611, 0, 0, Smoke::mf_const, 121, 14},	//1258 QNetworkReply::operation() const
    {47, 933, 0, 0, Smoke::mf_const, 147, 15},	//1259 QNetworkReply::request() const
    {47, 472, 0, 0, Smoke::mf_const, 146, 16},	//1260 QNetworkReply::error() const
    {47, 545, 0, 0, Smoke::mf_const, 294, 17},	//1261 QNetworkReply::isFinished() const
    {47, 553, 0, 0, Smoke::mf_const, 294, 18},	//1262 QNetworkReply::isRunning() const
    {47, 1207, 0, 0, Smoke::mf_const, 206, 19},	//1263 QNetworkReply::url() const
    {47, 522, 1168, 1, Smoke::mf_const, 213, 20},	//1264 QNetworkReply::header(QNetworkRequest::KnownHeaders) const
    {47, 517, 201, 1, Smoke::mf_const, 294, 21},	//1265 QNetworkReply::hasRawHeader(const QByteArray&) const
    {47, 904, 0, 0, Smoke::mf_const, 100, 22},	//1266 QNetworkReply::rawHeaderList() const
    {47, 902, 201, 1, Smoke::mf_const, 14, 23},	//1267 QNetworkReply::rawHeader(const QByteArray&) const
    {47, 368, 1170, 1, Smoke::mf_const, 213, 24},	//1268 QNetworkReply::attribute(QNetworkRequest::Attribute) const
    {47, 1164, 0, 0, Smoke::mf_const, 176, 25},	//1269 QNetworkReply::sslConfiguration() const
    {47, 1130, 1172, 1, 0, 0, 26},	//1270 QNetworkReply::setSslConfiguration(const QSslConfiguration&)
    {47, 527, 1014, 1, 0, 0, 27},	//1271 QNetworkReply::ignoreSslErrors(const QList<QSslError>&)
    {47, 527, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1272 QNetworkReply::ignoreSslErrors()
    {47, 597, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1273 QNetworkReply::metaDataChanged()
    {47, 482, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1274 QNetworkReply::finished()
    {47, 472, 1174, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1275 QNetworkReply::error(QNetworkReply::NetworkError)
    {47, 1165, 1014, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1276 QNetworkReply::sslErrors(const QList<QSslError>&)
    {47, 1205, 104, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1277 QNetworkReply::uploadProgress(qint64, qint64)
    {47, 461, 104, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1278 QNetworkReply::downloadProgress(qint64, qint64)
    {47, 213, 20, 1, Smoke::mf_ctor|Smoke::mf_protected, 145, 35},	//1279 QNetworkReply::QNetworkReply(QObject*)
    {47, 1227, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 380, 36},	//1280 QNetworkReply::writeData(const char*, long long)
    {47, 1047, 1176, 1, Smoke::mf_protected, 0, 37},	//1281 QNetworkReply::setOperation(QNetworkAccessManager::Operation)
    {47, 1102, 1083, 1, Smoke::mf_protected, 0, 38},	//1282 QNetworkReply::setRequest(const QNetworkRequest&)
    {47, 1001, 1178, 2, Smoke::mf_protected, 0, 39},	//1283 QNetworkReply::setError(QNetworkReply::NetworkError, const QString&)
    {47, 1143, 14, 1, Smoke::mf_protected, 0, 40},	//1284 QNetworkReply::setUrl(const QUrl&)
    {47, 1012, 1181, 2, Smoke::mf_protected, 0, 41},	//1285 QNetworkReply::setHeader(QNetworkRequest::KnownHeaders, const QVariant&)
    {47, 1094, 370, 2, Smoke::mf_protected, 0, 42},	//1286 QNetworkReply::setRawHeader(const QByteArray&, const QByteArray&)
    {47, 966, 1184, 2, Smoke::mf_protected, 0, 43},	//1287 QNetworkReply::setAttribute(QNetworkRequest::Attribute, const QVariant&)
    {47, 1194, 1, 1, Smoke::mf_static, 188, 44},	//1288 QNetworkReply::tr(const char*)
    {47, 1198, 1, 1, Smoke::mf_static, 188, 45},	//1289 QNetworkReply::trUtf8(const char*)
    {47, 213, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 145, 46},	//1290 QNetworkReply::QNetworkReply()
    {47, 1173, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 327, 47},	//1291 QNetworkReply::staticMetaObject() const
    {47, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 48},	//1292 QNetworkReply::NoError (enum)
    {47, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 49},	//1293 QNetworkReply::ConnectionRefusedError (enum)
    {47, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 50},	//1294 QNetworkReply::RemoteHostClosedError (enum)
    {47, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 51},	//1295 QNetworkReply::HostNotFoundError (enum)
    {47, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 52},	//1296 QNetworkReply::TimeoutError (enum)
    {47, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 53},	//1297 QNetworkReply::OperationCanceledError (enum)
    {47, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 54},	//1298 QNetworkReply::SslHandshakeFailedError (enum)
    {47, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 55},	//1299 QNetworkReply::UnknownNetworkError (enum)
    {47, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 56},	//1300 QNetworkReply::ProxyConnectionRefusedError (enum)
    {47, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 57},	//1301 QNetworkReply::ProxyConnectionClosedError (enum)
    {47, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 58},	//1302 QNetworkReply::ProxyNotFoundError (enum)
    {47, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 59},	//1303 QNetworkReply::ProxyTimeoutError (enum)
    {47, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 60},	//1304 QNetworkReply::ProxyAuthenticationRequiredError (enum)
    {47, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 61},	//1305 QNetworkReply::UnknownProxyError (enum)
    {47, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 62},	//1306 QNetworkReply::ContentAccessDenied (enum)
    {47, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 63},	//1307 QNetworkReply::ContentOperationNotPermittedError (enum)
    {47, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 64},	//1308 QNetworkReply::ContentNotFoundError (enum)
    {47, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 65},	//1309 QNetworkReply::AuthenticationRequiredError (enum)
    {47, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 66},	//1310 QNetworkReply::ContentReSendError (enum)
    {47, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 67},	//1311 QNetworkReply::UnknownContentError (enum)
    {47, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 68},	//1312 QNetworkReply::ProtocolUnknownError (enum)
    {47, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 69},	//1313 QNetworkReply::ProtocolInvalidOperationError (enum)
    {47, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 70},	//1314 QNetworkReply::ProtocolFailure (enum)
    {47, 1255, 0, 0, Smoke::mf_dtor, 0, 71 },	//1315 QNetworkReply::~QNetworkReply()
    {48, 215, 14, 1, Smoke::mf_ctor, 149, 1},	//1316 QNetworkRequest::QNetworkRequest(const QUrl&)
    {48, 215, 1083, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 149, 2},	//1317 QNetworkRequest::QNetworkRequest(const QNetworkRequest&)
    {48, 648, 1083, 1, 0, 148, 3},	//1318 QNetworkRequest::operator=(const QNetworkRequest&)
    {48, 651, 1083, 1, Smoke::mf_const, 294, 4},	//1319 QNetworkRequest::operator==(const QNetworkRequest&) const
    {48, 612, 1083, 1, Smoke::mf_const, 294, 5},	//1320 QNetworkRequest::operator!=(const QNetworkRequest&) const
    {48, 1207, 0, 0, Smoke::mf_const, 206, 6},	//1321 QNetworkRequest::url() const
    {48, 1143, 14, 1, 0, 0, 7},	//1322 QNetworkRequest::setUrl(const QUrl&)
    {48, 522, 1168, 1, Smoke::mf_const, 213, 8},	//1323 QNetworkRequest::header(QNetworkRequest::KnownHeaders) const
    {48, 1012, 1181, 2, 0, 0, 9},	//1324 QNetworkRequest::setHeader(QNetworkRequest::KnownHeaders, const QVariant&)
    {48, 517, 201, 1, Smoke::mf_const, 294, 10},	//1325 QNetworkRequest::hasRawHeader(const QByteArray&) const
    {48, 904, 0, 0, Smoke::mf_const, 100, 11},	//1326 QNetworkRequest::rawHeaderList() const
    {48, 902, 201, 1, Smoke::mf_const, 14, 12},	//1327 QNetworkRequest::rawHeader(const QByteArray&) const
    {48, 1094, 370, 2, 0, 0, 13},	//1328 QNetworkRequest::setRawHeader(const QByteArray&, const QByteArray&)
    {48, 368, 1184, 2, Smoke::mf_const, 213, 14},	//1329 QNetworkRequest::attribute(QNetworkRequest::Attribute, const QVariant&) const
    {48, 966, 1184, 2, 0, 0, 15},	//1330 QNetworkRequest::setAttribute(QNetworkRequest::Attribute, const QVariant&)
    {48, 1164, 0, 0, Smoke::mf_const, 176, 16},	//1331 QNetworkRequest::sslConfiguration() const
    {48, 1130, 1172, 1, 0, 0, 17},	//1332 QNetworkRequest::setSslConfiguration(const QSslConfiguration&)
    {48, 1049, 20, 1, 0, 0, 18},	//1333 QNetworkRequest::setOriginatingObject(QObject*)
    {48, 679, 0, 0, Smoke::mf_const, 153, 19},	//1334 QNetworkRequest::originatingObject() const
    {48, 215, 0, 0, Smoke::mf_ctor, 149, 20},	//1335 QNetworkRequest::QNetworkRequest()
    {48, 368, 1170, 1, Smoke::mf_const, 213, 21},	//1336 QNetworkRequest::attribute(QNetworkRequest::Attribute) const
    {48, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 22},	//1337 QNetworkRequest::ContentTypeHeader (enum)
    {48, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 23},	//1338 QNetworkRequest::ContentLengthHeader (enum)
    {48, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 24},	//1339 QNetworkRequest::LocationHeader (enum)
    {48, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 25},	//1340 QNetworkRequest::LastModifiedHeader (enum)
    {48, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 26},	//1341 QNetworkRequest::CookieHeader (enum)
    {48, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 27},	//1342 QNetworkRequest::SetCookieHeader (enum)
    {48, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 28},	//1343 QNetworkRequest::HttpStatusCodeAttribute (enum)
    {48, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 29},	//1344 QNetworkRequest::HttpReasonPhraseAttribute (enum)
    {48, 260, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 30},	//1345 QNetworkRequest::RedirectionTargetAttribute (enum)
    {48, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 31},	//1346 QNetworkRequest::ConnectionEncryptedAttribute (enum)
    {48, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 32},	//1347 QNetworkRequest::CacheLoadControlAttribute (enum)
    {48, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 33},	//1348 QNetworkRequest::CacheSaveControlAttribute (enum)
    {48, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 34},	//1349 QNetworkRequest::SourceIsFromCacheAttribute (enum)
    {48, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 35},	//1350 QNetworkRequest::DoNotBufferUploadDataAttribute (enum)
    {48, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 36},	//1351 QNetworkRequest::HttpPipeliningAllowedAttribute (enum)
    {48, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 37},	//1352 QNetworkRequest::HttpPipeliningWasUsedAttribute (enum)
    {48, 320, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 38},	//1353 QNetworkRequest::User (enum)
    {48, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 39},	//1354 QNetworkRequest::UserMax (enum)
    {48, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 40},	//1355 QNetworkRequest::AlwaysNetwork (enum)
    {48, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 41},	//1356 QNetworkRequest::PreferNetwork (enum)
    {48, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 42},	//1357 QNetworkRequest::PreferCache (enum)
    {48, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 43},	//1358 QNetworkRequest::AlwaysCache (enum)
    {48, 1256, 0, 0, Smoke::mf_dtor, 0, 44 },	//1359 QNetworkRequest::~QNetworkRequest()
    {49, 475, 1187, 1, Smoke::mf_virtual, 294, 0},	//1360 QObject::event(QEvent*)
    {49, 476, 1189, 2, Smoke::mf_virtual, 294, 0},	//1361 QObject::eventFilter(QObject*, QEvent*)
    {49, 1184, 1192, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1362 QObject::timerEvent(QTimerEvent*)
    {49, 393, 1194, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1363 QObject::childEvent(QChildEvent*)
    {49, 436, 1187, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1364 QObject::customEvent(QEvent*)
    {49, 404, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1365 QObject::connectNotify(const char*)
    {49, 456, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1366 QObject::disconnectNotify(const char*)
    {58, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 1},	//1367 QSsl::Rsa (enum)
    {58, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 2},	//1368 QSsl::Dsa (enum)
    {58, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 3},	//1369 QSsl::Pem (enum)
    {58, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 4},	//1370 QSsl::Der (enum)
    {58, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 5},	//1371 QSsl::SslV3 (enum)
    {58, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 6},	//1372 QSsl::SslV2 (enum)
    {58, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 7},	//1373 QSsl::TlsV1 (enum)
    {58, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 8},	//1374 QSsl::AnyProtocol (enum)
    {58, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 9},	//1375 QSsl::UnknownProtocol (enum)
    {58, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 10},	//1376 QSsl::EmailEntry (enum)
    {58, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 11},	//1377 QSsl::DnsEntry (enum)
    {58, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 12},	//1378 QSsl::PrivateKey (enum)
    {58, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 13},	//1379 QSsl::PublicKey (enum)
    {59, 217, 1196, 2, Smoke::mf_ctor, 171, 1},	//1380 QSslCertificate::QSslCertificate(QIODevice*, QSsl::EncodingFormat)
    {59, 217, 1199, 2, Smoke::mf_ctor, 171, 2},	//1381 QSslCertificate::QSslCertificate(const QByteArray&, QSsl::EncodingFormat)
    {59, 217, 1202, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 171, 3},	//1382 QSslCertificate::QSslCertificate(const QSslCertificate&)
    {59, 648, 1202, 1, 0, 170, 4},	//1383 QSslCertificate::operator=(const QSslCertificate&)
    {59, 651, 1202, 1, Smoke::mf_const, 294, 5},	//1384 QSslCertificate::operator==(const QSslCertificate&) const
    {59, 612, 1202, 1, Smoke::mf_const, 294, 6},	//1385 QSslCertificate::operator!=(const QSslCertificate&) const
    {59, 551, 0, 0, Smoke::mf_const, 294, 7},	//1386 QSslCertificate::isNull() const
    {59, 559, 0, 0, Smoke::mf_const, 294, 8},	//1387 QSslCertificate::isValid() const
    {59, 395, 0, 0, 0, 0, 9},	//1388 QSslCertificate::clear()
    {59, 1213, 0, 0, Smoke::mf_const, 14, 10},	//1389 QSslCertificate::version() const
    {59, 949, 0, 0, Smoke::mf_const, 14, 11},	//1390 QSslCertificate::serialNumber() const
    {59, 451, 1204, 1, Smoke::mf_const, 14, 12},	//1391 QSslCertificate::digest(QCryptographicHash::Algorithm) const
    {59, 561, 1206, 1, Smoke::mf_const, 188, 13},	//1392 QSslCertificate::issuerInfo(QSslCertificate::SubjectInfo) const
    {59, 561, 201, 1, Smoke::mf_const, 188, 14},	//1393 QSslCertificate::issuerInfo(const QByteArray&) const
    {59, 1175, 1206, 1, Smoke::mf_const, 188, 15},	//1394 QSslCertificate::subjectInfo(QSslCertificate::SubjectInfo) const
    {59, 1175, 201, 1, Smoke::mf_const, 188, 16},	//1395 QSslCertificate::subjectInfo(const QByteArray&) const
    {59, 365, 0, 0, Smoke::mf_const, 119, 17},	//1396 QSslCertificate::alternateSubjectNames() const
    {59, 463, 0, 0, Smoke::mf_const, 22, 18},	//1397 QSslCertificate::effectiveDate() const
    {59, 479, 0, 0, Smoke::mf_const, 22, 19},	//1398 QSslCertificate::expiryDate() const
    {59, 722, 0, 0, Smoke::mf_const, 182, 20},	//1399 QSslCertificate::publicKey() const
    {59, 1189, 0, 0, Smoke::mf_const, 14, 21},	//1400 QSslCertificate::toPem() const
    {59, 1185, 0, 0, Smoke::mf_const, 14, 22},	//1401 QSslCertificate::toDer() const
    {59, 494, 1208, 3, Smoke::mf_static, 108, 23},	//1402 QSslCertificate::fromPath(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {59, 489, 1196, 2, Smoke::mf_static, 108, 24},	//1403 QSslCertificate::fromDevice(QIODevice*, QSsl::EncodingFormat)
    {59, 486, 1199, 2, Smoke::mf_static, 108, 25},	//1404 QSslCertificate::fromData(const QByteArray&, QSsl::EncodingFormat)
    {59, 507, 0, 0, Smoke::mf_const, 390, 26},	//1405 QSslCertificate::handle() const
    {59, 217, 18, 1, Smoke::mf_ctor, 171, 27},	//1406 QSslCertificate::QSslCertificate(QIODevice*)
    {59, 217, 0, 0, Smoke::mf_ctor, 171, 28},	//1407 QSslCertificate::QSslCertificate()
    {59, 217, 201, 1, Smoke::mf_ctor, 171, 29},	//1408 QSslCertificate::QSslCertificate(const QByteArray&)
    {59, 451, 0, 0, Smoke::mf_const, 14, 30},	//1409 QSslCertificate::digest() const
    {59, 494, 69, 1, Smoke::mf_static, 108, 31},	//1410 QSslCertificate::fromPath(const QString&)
    {59, 494, 1212, 2, Smoke::mf_static, 108, 32},	//1411 QSslCertificate::fromPath(const QString&, QSsl::EncodingFormat)
    {59, 489, 18, 1, Smoke::mf_static, 108, 33},	//1412 QSslCertificate::fromDevice(QIODevice*)
    {59, 486, 201, 1, Smoke::mf_static, 108, 34},	//1413 QSslCertificate::fromData(const QByteArray&)
    {59, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 35},	//1414 QSslCertificate::Organization (enum)
    {59, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 36},	//1415 QSslCertificate::CommonName (enum)
    {59, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 37},	//1416 QSslCertificate::LocalityName (enum)
    {59, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 38},	//1417 QSslCertificate::OrganizationalUnitName (enum)
    {59, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 39},	//1418 QSslCertificate::CountryName (enum)
    {59, 286, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 40},	//1419 QSslCertificate::StateOrProvinceName (enum)
    {59, 1257, 0, 0, Smoke::mf_dtor, 0, 41 },	//1420 QSslCertificate::~QSslCertificate()
    {60, 220, 0, 0, Smoke::mf_ctor, 175, 1},	//1421 QSslCipher::QSslCipher()
    {60, 220, 1215, 2, Smoke::mf_ctor, 175, 2},	//1422 QSslCipher::QSslCipher(const QString&, QSsl::SslProtocol)
    {60, 220, 1218, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 175, 3},	//1423 QSslCipher::QSslCipher(const QSslCipher&)
    {60, 648, 1218, 1, 0, 174, 4},	//1424 QSslCipher::operator=(const QSslCipher&)
    {60, 651, 1218, 1, Smoke::mf_const, 294, 5},	//1425 QSslCipher::operator==(const QSslCipher&) const
    {60, 612, 1218, 1, Smoke::mf_const, 294, 6},	//1426 QSslCipher::operator!=(const QSslCipher&) const
    {60, 551, 0, 0, Smoke::mf_const, 294, 7},	//1427 QSslCipher::isNull() const
    {60, 606, 0, 0, Smoke::mf_const, 188, 8},	//1428 QSslCipher::name() const
    {60, 1178, 0, 0, Smoke::mf_const, 377, 9},	//1429 QSslCipher::supportedBits() const
    {60, 1208, 0, 0, Smoke::mf_const, 377, 10},	//1430 QSslCipher::usedBits() const
    {60, 564, 0, 0, Smoke::mf_const, 188, 11},	//1431 QSslCipher::keyExchangeMethod() const
    {60, 372, 0, 0, Smoke::mf_const, 188, 12},	//1432 QSslCipher::authenticationMethod() const
    {60, 469, 0, 0, Smoke::mf_const, 188, 13},	//1433 QSslCipher::encryptionMethod() const
    {60, 714, 0, 0, Smoke::mf_const, 188, 14},	//1434 QSslCipher::protocolString() const
    {60, 713, 0, 0, Smoke::mf_const, 168, 15},	//1435 QSslCipher::protocol() const
    {60, 1258, 0, 0, Smoke::mf_dtor, 0, 16 },	//1436 QSslCipher::~QSslCipher()
    {61, 223, 0, 0, Smoke::mf_ctor, 178, 1},	//1437 QSslConfiguration::QSslConfiguration()
    {61, 223, 1172, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 178, 2},	//1438 QSslConfiguration::QSslConfiguration(const QSslConfiguration&)
    {61, 648, 1172, 1, 0, 177, 3},	//1439 QSslConfiguration::operator=(const QSslConfiguration&)
    {61, 651, 1172, 1, Smoke::mf_const, 294, 4},	//1440 QSslConfiguration::operator==(const QSslConfiguration&) const
    {61, 612, 1172, 1, Smoke::mf_const, 294, 5},	//1441 QSslConfiguration::operator!=(const QSslConfiguration&) const
    {61, 551, 0, 0, Smoke::mf_const, 294, 6},	//1442 QSslConfiguration::isNull() const
    {61, 713, 0, 0, Smoke::mf_const, 168, 7},	//1443 QSslConfiguration::protocol() const
    {61, 1081, 1220, 1, 0, 0, 8},	//1444 QSslConfiguration::setProtocol(QSsl::SslProtocol)
    {61, 700, 0, 0, Smoke::mf_const, 186, 9},	//1445 QSslConfiguration::peerVerifyMode() const
    {61, 1067, 1222, 1, 0, 0, 10},	//1446 QSslConfiguration::setPeerVerifyMode(QSslSocket::PeerVerifyMode)
    {61, 697, 0, 0, Smoke::mf_const, 377, 11},	//1447 QSslConfiguration::peerVerifyDepth() const
    {61, 1065, 44, 1, 0, 0, 12},	//1448 QSslConfiguration::setPeerVerifyDepth(int)
    {61, 581, 0, 0, Smoke::mf_const, 169, 13},	//1449 QSslConfiguration::localCertificate() const
    {61, 1030, 1202, 1, 0, 0, 14},	//1450 QSslConfiguration::setLocalCertificate(const QSslCertificate&)
    {61, 692, 0, 0, Smoke::mf_const, 169, 15},	//1451 QSslConfiguration::peerCertificate() const
    {61, 693, 0, 0, Smoke::mf_const, 108, 16},	//1452 QSslConfiguration::peerCertificateChain() const
    {61, 954, 0, 0, Smoke::mf_const, 173, 17},	//1453 QSslConfiguration::sessionCipher() const
    {61, 712, 0, 0, Smoke::mf_const, 182, 18},	//1454 QSslConfiguration::privateKey() const
    {61, 1075, 1224, 1, 0, 0, 19},	//1455 QSslConfiguration::setPrivateKey(const QSslKey&)
    {61, 394, 0, 0, Smoke::mf_const, 109, 20},	//1456 QSslConfiguration::ciphers() const
    {61, 980, 1226, 1, 0, 0, 21},	//1457 QSslConfiguration::setCiphers(const QList<QSslCipher>&)
    {61, 384, 0, 0, Smoke::mf_const, 108, 22},	//1458 QSslConfiguration::caCertificates() const
    {61, 972, 1228, 1, 0, 0, 23},	//1459 QSslConfiguration::setCaCertificates(const QList<QSslCertificate>&)
    {61, 447, 0, 0, Smoke::mf_static, 176, 24},	//1460 QSslConfiguration::defaultConfiguration()
    {61, 995, 1172, 1, Smoke::mf_static, 0, 25},	//1461 QSslConfiguration::setDefaultConfiguration(const QSslConfiguration&)
    {61, 1259, 0, 0, Smoke::mf_dtor, 0, 26 },	//1462 QSslConfiguration::~QSslConfiguration()
    {62, 225, 0, 0, Smoke::mf_ctor, 180, 1},	//1463 QSslError::QSslError()
    {62, 225, 1230, 1, Smoke::mf_ctor, 180, 2},	//1464 QSslError::QSslError(QSslError::SslError)
    {62, 225, 1232, 2, Smoke::mf_ctor, 180, 3},	//1465 QSslError::QSslError(QSslError::SslError, const QSslCertificate&)
    {62, 225, 1235, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 180, 4},	//1466 QSslError::QSslError(const QSslError&)
    {62, 648, 1235, 1, 0, 179, 5},	//1467 QSslError::operator=(const QSslError&)
    {62, 651, 1235, 1, Smoke::mf_const, 294, 6},	//1468 QSslError::operator==(const QSslError&) const
    {62, 612, 1235, 1, Smoke::mf_const, 294, 7},	//1469 QSslError::operator!=(const QSslError&) const
    {62, 472, 0, 0, Smoke::mf_const, 181, 8},	//1470 QSslError::error() const
    {62, 474, 0, 0, Smoke::mf_const, 188, 9},	//1471 QSslError::errorString() const
    {62, 392, 0, 0, Smoke::mf_const, 169, 10},	//1472 QSslError::certificate() const
    {62, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 11},	//1473 QSslError::NoError (enum)
    {62, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 12},	//1474 QSslError::UnableToGetIssuerCertificate (enum)
    {62, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 13},	//1475 QSslError::UnableToDecryptCertificateSignature (enum)
    {62, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 14},	//1476 QSslError::UnableToDecodeIssuerPublicKey (enum)
    {62, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 15},	//1477 QSslError::CertificateSignatureFailed (enum)
    {62, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 16},	//1478 QSslError::CertificateNotYetValid (enum)
    {62, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 17},	//1479 QSslError::CertificateExpired (enum)
    {62, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 18},	//1480 QSslError::InvalidNotBeforeField (enum)
    {62, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 19},	//1481 QSslError::InvalidNotAfterField (enum)
    {62, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 20},	//1482 QSslError::SelfSignedCertificate (enum)
    {62, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 21},	//1483 QSslError::SelfSignedCertificateInChain (enum)
    {62, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 22},	//1484 QSslError::UnableToGetLocalIssuerCertificate (enum)
    {62, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 23},	//1485 QSslError::UnableToVerifyFirstCertificate (enum)
    {62, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 24},	//1486 QSslError::CertificateRevoked (enum)
    {62, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 25},	//1487 QSslError::InvalidCaCertificate (enum)
    {62, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 26},	//1488 QSslError::PathLengthExceeded (enum)
    {62, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 27},	//1489 QSslError::InvalidPurpose (enum)
    {62, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 28},	//1490 QSslError::CertificateUntrusted (enum)
    {62, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 29},	//1491 QSslError::CertificateRejected (enum)
    {62, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 30},	//1492 QSslError::SubjectIssuerMismatch (enum)
    {62, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 31},	//1493 QSslError::AuthorityIssuerSerialNumberMismatch (enum)
    {62, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 32},	//1494 QSslError::NoPeerCertificate (enum)
    {62, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 33},	//1495 QSslError::HostNameMismatch (enum)
    {62, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 34},	//1496 QSslError::NoSslSupport (enum)
    {62, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 35},	//1497 QSslError::UnspecifiedError (enum)
    {62, 1260, 0, 0, Smoke::mf_dtor, 0, 36 },	//1498 QSslError::~QSslError()
    {63, 229, 0, 0, Smoke::mf_ctor, 184, 1},	//1499 QSslKey::QSslKey()
    {63, 229, 1237, 5, Smoke::mf_ctor, 184, 2},	//1500 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    {63, 229, 1243, 5, Smoke::mf_ctor, 184, 3},	//1501 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    {63, 229, 1224, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 184, 4},	//1502 QSslKey::QSslKey(const QSslKey&)
    {63, 648, 1224, 1, 0, 183, 5},	//1503 QSslKey::operator=(const QSslKey&)
    {63, 551, 0, 0, Smoke::mf_const, 294, 6},	//1504 QSslKey::isNull() const
    {63, 395, 0, 0, 0, 0, 7},	//1505 QSslKey::clear()
    {63, 569, 0, 0, Smoke::mf_const, 377, 8},	//1506 QSslKey::length() const
    {63, 1202, 0, 0, Smoke::mf_const, 167, 9},	//1507 QSslKey::type() const
    {63, 359, 0, 0, Smoke::mf_const, 166, 10},	//1508 QSslKey::algorithm() const
    {63, 1189, 201, 1, Smoke::mf_const, 14, 11},	//1509 QSslKey::toPem(const QByteArray&) const
    {63, 1185, 201, 1, Smoke::mf_const, 14, 12},	//1510 QSslKey::toDer(const QByteArray&) const
    {63, 507, 0, 0, Smoke::mf_const, 390, 13},	//1511 QSslKey::handle() const
    {63, 651, 1224, 1, Smoke::mf_const, 294, 14},	//1512 QSslKey::operator==(const QSslKey&) const
    {63, 612, 1224, 1, Smoke::mf_const, 294, 15},	//1513 QSslKey::operator!=(const QSslKey&) const
    {63, 229, 1249, 2, Smoke::mf_ctor, 184, 16},	//1514 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm)
    {63, 229, 1252, 3, Smoke::mf_ctor, 184, 17},	//1515 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {63, 229, 1256, 4, Smoke::mf_ctor, 184, 18},	//1516 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    {63, 229, 1261, 2, Smoke::mf_ctor, 184, 19},	//1517 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm)
    {63, 229, 1264, 3, Smoke::mf_ctor, 184, 20},	//1518 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {63, 229, 1268, 4, Smoke::mf_ctor, 184, 21},	//1519 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    {63, 1189, 0, 0, Smoke::mf_const, 14, 22},	//1520 QSslKey::toPem() const
    {63, 1185, 0, 0, Smoke::mf_const, 14, 23},	//1521 QSslKey::toDer() const
    {63, 1261, 0, 0, Smoke::mf_dtor, 0, 24 },	//1522 QSslKey::~QSslKey()
    {64, 598, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 328, 1},	//1523 QSslSocket::metaObject() const
    {64, 884, 1, 1, Smoke::mf_virtual, 397, 2},	//1524 QSslSocket::qt_metacast(const char*)
    {64, 1194, 3, 2, Smoke::mf_static, 188, 3},	//1525 QSslSocket::tr(const char*, const char*)
    {64, 1198, 3, 2, Smoke::mf_static, 188, 4},	//1526 QSslSocket::trUtf8(const char*, const char*)
    {64, 1194, 6, 3, Smoke::mf_static, 188, 5},	//1527 QSslSocket::tr(const char*, const char*, int)
    {64, 1198, 6, 3, Smoke::mf_static, 188, 6},	//1528 QSslSocket::trUtf8(const char*, const char*, int)
    {64, 882, 10, 3, Smoke::mf_virtual, 377, 7},	//1529 QSslSocket::qt_metacall(QMetaObject::Call, int, void**)
    {64, 235, 20, 1, Smoke::mf_ctor, 185, 8},	//1530 QSslSocket::QSslSocket(QObject*)
    {64, 411, 25, 3, 0, 0, 9},	//1531 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {64, 411, 1273, 4, 0, 0, 10},	//1532 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&, QFlags<QIODevice::OpenModeFlag>)
    {64, 1117, 35, 3, 0, 294, 11},	//1533 QSslSocket::setSocketDescriptor(int, QAbstractSocket::SocketState, QFlags<QIODevice::OpenModeFlag>)
    {64, 1126, 39, 2, 0, 0, 12},	//1534 QSslSocket::setSocketOption(QAbstractSocket::SocketOption, const QVariant&)
    {64, 1161, 42, 1, 0, 213, 13},	//1535 QSslSocket::socketOption(QAbstractSocket::SocketOption)
    {64, 603, 0, 0, Smoke::mf_const, 187, 14},	//1536 QSslSocket::mode() const
    {64, 542, 0, 0, Smoke::mf_const, 294, 15},	//1537 QSslSocket::isEncrypted() const
    {64, 713, 0, 0, Smoke::mf_const, 168, 16},	//1538 QSslSocket::protocol() const
    {64, 1081, 1220, 1, 0, 0, 17},	//1539 QSslSocket::setProtocol(QSsl::SslProtocol)
    {64, 700, 0, 0, Smoke::mf_const, 186, 18},	//1540 QSslSocket::peerVerifyMode() const
    {64, 1067, 1222, 1, 0, 0, 19},	//1541 QSslSocket::setPeerVerifyMode(QSslSocket::PeerVerifyMode)
    {64, 697, 0, 0, Smoke::mf_const, 377, 20},	//1542 QSslSocket::peerVerifyDepth() const
    {64, 1065, 44, 1, 0, 0, 21},	//1543 QSslSocket::setPeerVerifyDepth(int)
    {64, 382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 380, 22},	//1544 QSslSocket::bytesAvailable() const
    {64, 383, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 380, 23},	//1545 QSslSocket::bytesToWrite() const
    {64, 388, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 294, 24},	//1546 QSslSocket::canReadLine() const
    {64, 398, 0, 0, Smoke::mf_virtual, 0, 25},	//1547 QSslSocket::close()
    {64, 367, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 294, 26},	//1548 QSslSocket::atEnd() const
    {64, 485, 0, 0, 0, 294, 27},	//1549 QSslSocket::flush()
    {64, 338, 0, 0, 0, 0, 28},	//1550 QSslSocket::abort()
    {64, 1098, 33, 1, 0, 0, 29},	//1551 QSslSocket::setReadBufferSize(long long)
    {64, 465, 0, 0, Smoke::mf_const, 380, 30},	//1552 QSslSocket::encryptedBytesAvailable() const
    {64, 466, 0, 0, Smoke::mf_const, 380, 31},	//1553 QSslSocket::encryptedBytesToWrite() const
    {64, 1164, 0, 0, Smoke::mf_const, 176, 32},	//1554 QSslSocket::sslConfiguration() const
    {64, 1130, 1172, 1, 0, 0, 33},	//1555 QSslSocket::setSslConfiguration(const QSslConfiguration&)
    {64, 1030, 1202, 1, 0, 0, 34},	//1556 QSslSocket::setLocalCertificate(const QSslCertificate&)
    {64, 1030, 1212, 2, 0, 0, 35},	//1557 QSslSocket::setLocalCertificate(const QString&, QSsl::EncodingFormat)
    {64, 581, 0, 0, Smoke::mf_const, 169, 36},	//1558 QSslSocket::localCertificate() const
    {64, 692, 0, 0, Smoke::mf_const, 169, 37},	//1559 QSslSocket::peerCertificate() const
    {64, 693, 0, 0, Smoke::mf_const, 108, 38},	//1560 QSslSocket::peerCertificateChain() const
    {64, 954, 0, 0, Smoke::mf_const, 173, 39},	//1561 QSslSocket::sessionCipher() const
    {64, 1075, 1224, 1, 0, 0, 40},	//1562 QSslSocket::setPrivateKey(const QSslKey&)
    {64, 1075, 1278, 4, 0, 0, 41},	//1563 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, const QByteArray&)
    {64, 712, 0, 0, Smoke::mf_const, 182, 42},	//1564 QSslSocket::privateKey() const
    {64, 394, 0, 0, Smoke::mf_const, 109, 43},	//1565 QSslSocket::ciphers() const
    {64, 980, 1226, 1, 0, 0, 44},	//1566 QSslSocket::setCiphers(const QList<QSslCipher>&)
    {64, 980, 69, 1, 0, 0, 45},	//1567 QSslSocket::setCiphers(const QString&)
    {64, 993, 1226, 1, Smoke::mf_static, 0, 46},	//1568 QSslSocket::setDefaultCiphers(const QList<QSslCipher>&)
    {64, 446, 0, 0, Smoke::mf_static, 109, 47},	//1569 QSslSocket::defaultCiphers()
    {64, 1179, 0, 0, Smoke::mf_static, 109, 48},	//1570 QSslSocket::supportedCiphers()
    {64, 343, 1208, 3, 0, 294, 49},	//1571 QSslSocket::addCaCertificates(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {64, 341, 1202, 1, 0, 0, 50},	//1572 QSslSocket::addCaCertificate(const QSslCertificate&)
    {64, 343, 1228, 1, 0, 0, 51},	//1573 QSslSocket::addCaCertificates(const QList<QSslCertificate>&)
    {64, 972, 1228, 1, 0, 0, 52},	//1574 QSslSocket::setCaCertificates(const QList<QSslCertificate>&)
    {64, 384, 0, 0, Smoke::mf_const, 108, 53},	//1575 QSslSocket::caCertificates() const
    {64, 350, 1208, 3, Smoke::mf_static, 294, 54},	//1576 QSslSocket::addDefaultCaCertificates(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {64, 348, 1202, 1, Smoke::mf_static, 0, 55},	//1577 QSslSocket::addDefaultCaCertificate(const QSslCertificate&)
    {64, 350, 1228, 1, Smoke::mf_static, 0, 56},	//1578 QSslSocket::addDefaultCaCertificates(const QList<QSslCertificate>&)
    {64, 991, 1228, 1, Smoke::mf_static, 0, 57},	//1579 QSslSocket::setDefaultCaCertificates(const QList<QSslCertificate>&)
    {64, 445, 0, 0, Smoke::mf_static, 108, 58},	//1580 QSslSocket::defaultCaCertificates()
    {64, 1181, 0, 0, Smoke::mf_static, 108, 59},	//1581 QSslSocket::systemCaCertificates()
    {64, 1216, 44, 1, 0, 294, 60},	//1582 QSslSocket::waitForConnected(int)
    {64, 1220, 44, 1, 0, 294, 61},	//1583 QSslSocket::waitForEncrypted(int)
    {64, 1225, 44, 1, Smoke::mf_virtual, 294, 62},	//1584 QSslSocket::waitForReadyRead(int)
    {64, 1214, 44, 1, Smoke::mf_virtual, 294, 63},	//1585 QSslSocket::waitForBytesWritten(int)
    {64, 1218, 44, 1, 0, 294, 64},	//1586 QSslSocket::waitForDisconnected(int)
    {64, 1165, 0, 0, Smoke::mf_const, 110, 65},	//1587 QSslSocket::sslErrors() const
    {64, 1180, 0, 0, Smoke::mf_static, 294, 66},	//1588 QSslSocket::supportsSsl()
    {64, 527, 1014, 1, 0, 0, 67},	//1589 QSslSocket::ignoreSslErrors(const QList<QSslError>&)
    {64, 1168, 0, 0, Smoke::mf_slot, 0, 68},	//1590 QSslSocket::startClientEncryption()
    {64, 1169, 0, 0, Smoke::mf_slot, 0, 69},	//1591 QSslSocket::startServerEncryption()
    {64, 527, 0, 0, Smoke::mf_slot, 0, 70},	//1592 QSslSocket::ignoreSslErrors()
    {64, 464, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 71},	//1593 QSslSocket::encrypted()
    {64, 698, 1235, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 72},	//1594 QSslSocket::peerVerifyError(const QSslError&)
    {64, 1165, 1014, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 73},	//1595 QSslSocket::sslErrors(const QList<QSslError>&)
    {64, 604, 1283, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 74},	//1596 QSslSocket::modeChanged(QSslSocket::SslMode)
    {64, 467, 1285, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 75},	//1597 QSslSocket::encryptedBytesWritten(qint64)
    {64, 415, 55, 3, Smoke::mf_protected|Smoke::mf_slot, 0, 76},	//1598 QSslSocket::connectToHostImplementation(const QString&, quint16, QIODevice::OpenMode)
    {64, 454, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 77},	//1599 QSslSocket::disconnectFromHostImplementation()
    {64, 910, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 380, 78},	//1600 QSslSocket::readData(char*, long long)
    {64, 1227, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 380, 79},	//1601 QSslSocket::writeData(const char*, long long)
    {64, 1194, 1, 1, Smoke::mf_static, 188, 80},	//1602 QSslSocket::tr(const char*)
    {64, 1198, 1, 1, Smoke::mf_static, 188, 81},	//1603 QSslSocket::trUtf8(const char*)
    {64, 235, 0, 0, Smoke::mf_ctor, 185, 82},	//1604 QSslSocket::QSslSocket()
    {64, 411, 71, 2, 0, 0, 83},	//1605 QSslSocket::connectToHostEncrypted(const QString&, unsigned short)
    {64, 411, 1287, 3, 0, 0, 84},	//1606 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&)
    {64, 1117, 44, 1, 0, 294, 85},	//1607 QSslSocket::setSocketDescriptor(int)
    {64, 1117, 77, 2, 0, 294, 86},	//1608 QSslSocket::setSocketDescriptor(int, QAbstractSocket::SocketState)
    {64, 1030, 69, 1, 0, 0, 87},	//1609 QSslSocket::setLocalCertificate(const QString&)
    {64, 1075, 69, 1, 0, 0, 88},	//1610 QSslSocket::setPrivateKey(const QString&)
    {64, 1075, 1291, 2, 0, 0, 89},	//1611 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm)
    {64, 1075, 1294, 3, 0, 0, 90},	//1612 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {64, 343, 69, 1, 0, 294, 91},	//1613 QSslSocket::addCaCertificates(const QString&)
    {64, 343, 1212, 2, 0, 294, 92},	//1614 QSslSocket::addCaCertificates(const QString&, QSsl::EncodingFormat)
    {64, 350, 69, 1, Smoke::mf_static, 294, 93},	//1615 QSslSocket::addDefaultCaCertificates(const QString&)
    {64, 350, 1212, 2, Smoke::mf_static, 294, 94},	//1616 QSslSocket::addDefaultCaCertificates(const QString&, QSsl::EncodingFormat)
    {64, 1216, 0, 0, 0, 294, 95},	//1617 QSslSocket::waitForConnected()
    {64, 1220, 0, 0, 0, 294, 96},	//1618 QSslSocket::waitForEncrypted()
    {64, 1225, 0, 0, 0, 294, 97},	//1619 QSslSocket::waitForReadyRead()
    {64, 1214, 0, 0, 0, 294, 98},	//1620 QSslSocket::waitForBytesWritten()
    {64, 1218, 0, 0, 0, 294, 99},	//1621 QSslSocket::waitForDisconnected()
    {64, 1173, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 327, 100},	//1622 QSslSocket::staticMetaObject() const
    {64, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 187, 101},	//1623 QSslSocket::UnencryptedMode (enum)
    {64, 281, 0, 0, Smoke::mf_static|Smoke::mf_enum, 187, 102},	//1624 QSslSocket::SslClientMode (enum)
    {64, 283, 0, 0, Smoke::mf_static|Smoke::mf_enum, 187, 103},	//1625 QSslSocket::SslServerMode (enum)
    {64, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 104},	//1626 QSslSocket::VerifyNone (enum)
    {64, 252, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 105},	//1627 QSslSocket::QueryPeer (enum)
    {64, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 106},	//1628 QSslSocket::VerifyPeer (enum)
    {64, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 107},	//1629 QSslSocket::AutoVerifyPeer (enum)
    {64, 1262, 0, 0, Smoke::mf_dtor, 0, 108 },	//1630 QSslSocket::~QSslSocket()
    {67, 598, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 328, 1},	//1631 QTcpServer::metaObject() const
    {67, 884, 1, 1, Smoke::mf_virtual, 397, 2},	//1632 QTcpServer::qt_metacast(const char*)
    {67, 1194, 3, 2, Smoke::mf_static, 188, 3},	//1633 QTcpServer::tr(const char*, const char*)
    {67, 1198, 3, 2, Smoke::mf_static, 188, 4},	//1634 QTcpServer::trUtf8(const char*, const char*)
    {67, 1194, 6, 3, Smoke::mf_static, 188, 5},	//1635 QTcpServer::tr(const char*, const char*, int)
    {67, 1198, 6, 3, Smoke::mf_static, 188, 6},	//1636 QTcpServer::trUtf8(const char*, const char*, int)
    {67, 882, 10, 3, Smoke::mf_virtual, 377, 7},	//1637 QTcpServer::qt_metacall(QMetaObject::Call, int, void**)
    {67, 237, 20, 1, Smoke::mf_ctor, 195, 8},	//1638 QTcpServer::QTcpServer(QObject*)
    {67, 576, 74, 2, 0, 294, 9},	//1639 QTcpServer::listen(const QHostAddress&, unsigned short)
    {67, 398, 0, 0, 0, 0, 10},	//1640 QTcpServer::close()
    {67, 550, 0, 0, Smoke::mf_const, 294, 11},	//1641 QTcpServer::isListening() const
    {67, 1038, 44, 1, 0, 0, 12},	//1642 QTcpServer::setMaxPendingConnections(int)
    {67, 593, 0, 0, Smoke::mf_const, 377, 13},	//1643 QTcpServer::maxPendingConnections() const
    {67, 953, 0, 0, Smoke::mf_const, 392, 14},	//1644 QTcpServer::serverPort() const
    {67, 950, 0, 0, Smoke::mf_const, 70, 15},	//1645 QTcpServer::serverAddress() const
    {67, 1160, 0, 0, Smoke::mf_const, 377, 16},	//1646 QTcpServer::socketDescriptor() const
    {67, 1117, 44, 1, 0, 294, 17},	//1647 QTcpServer::setSocketDescriptor(int)
    {67, 1222, 1058, 2, 0, 294, 18},	//1648 QTcpServer::waitForNewConnection(int, bool*)
    {67, 514, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 294, 19},	//1649 QTcpServer::hasPendingConnections() const
    {67, 609, 0, 0, Smoke::mf_virtual, 196, 20},	//1650 QTcpServer::nextPendingConnection()
    {67, 951, 0, 0, Smoke::mf_const, 5, 21},	//1651 QTcpServer::serverError() const
    {67, 474, 0, 0, Smoke::mf_const, 188, 22},	//1652 QTcpServer::errorString() const
    {67, 1085, 46, 1, 0, 0, 23},	//1653 QTcpServer::setProxy(const QNetworkProxy&)
    {67, 716, 0, 0, Smoke::mf_const, 136, 24},	//1654 QTcpServer::proxy() const
    {67, 529, 44, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1655 QTcpServer::incomingConnection(int)
    {67, 608, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1656 QTcpServer::newConnection()
    {67, 1194, 1, 1, Smoke::mf_static, 188, 27},	//1657 QTcpServer::tr(const char*)
    {67, 1198, 1, 1, Smoke::mf_static, 188, 28},	//1658 QTcpServer::trUtf8(const char*)
    {67, 237, 0, 0, Smoke::mf_ctor, 195, 29},	//1659 QTcpServer::QTcpServer()
    {67, 576, 0, 0, 0, 294, 30},	//1660 QTcpServer::listen()
    {67, 576, 67, 1, 0, 294, 31},	//1661 QTcpServer::listen(const QHostAddress&)
    {67, 1222, 0, 0, 0, 294, 32},	//1662 QTcpServer::waitForNewConnection()
    {67, 1222, 44, 1, 0, 294, 33},	//1663 QTcpServer::waitForNewConnection(int)
    {67, 1173, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 327, 34},	//1664 QTcpServer::staticMetaObject() const
    {67, 1263, 0, 0, Smoke::mf_dtor, 0, 35 },	//1665 QTcpServer::~QTcpServer()
    {68, 598, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 328, 1},	//1666 QTcpSocket::metaObject() const
    {68, 884, 1, 1, Smoke::mf_virtual, 397, 2},	//1667 QTcpSocket::qt_metacast(const char*)
    {68, 1194, 3, 2, Smoke::mf_static, 188, 3},	//1668 QTcpSocket::tr(const char*, const char*)
    {68, 1198, 3, 2, Smoke::mf_static, 188, 4},	//1669 QTcpSocket::trUtf8(const char*, const char*)
    {68, 1194, 6, 3, Smoke::mf_static, 188, 5},	//1670 QTcpSocket::tr(const char*, const char*, int)
    {68, 1198, 6, 3, Smoke::mf_static, 188, 6},	//1671 QTcpSocket::trUtf8(const char*, const char*, int)
    {68, 882, 10, 3, Smoke::mf_virtual, 377, 7},	//1672 QTcpSocket::qt_metacall(QMetaObject::Call, int, void**)
    {68, 239, 20, 1, Smoke::mf_ctor, 196, 8},	//1673 QTcpSocket::QTcpSocket(QObject*)
    {68, 1194, 1, 1, Smoke::mf_static, 188, 9},	//1674 QTcpSocket::tr(const char*)
    {68, 1198, 1, 1, Smoke::mf_static, 188, 10},	//1675 QTcpSocket::trUtf8(const char*)
    {68, 239, 0, 0, Smoke::mf_ctor, 196, 11},	//1676 QTcpSocket::QTcpSocket()
    {68, 1173, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 327, 12},	//1677 QTcpSocket::staticMetaObject() const
    {68, 1264, 0, 0, Smoke::mf_dtor, 0, 13 },	//1678 QTcpSocket::~QTcpSocket()
    {73, 598, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 328, 1},	//1679 QUdpSocket::metaObject() const
    {73, 884, 1, 1, Smoke::mf_virtual, 397, 2},	//1680 QUdpSocket::qt_metacast(const char*)
    {73, 1194, 3, 2, Smoke::mf_static, 188, 3},	//1681 QUdpSocket::tr(const char*, const char*)
    {73, 1198, 3, 2, Smoke::mf_static, 188, 4},	//1682 QUdpSocket::trUtf8(const char*, const char*)
    {73, 1194, 6, 3, Smoke::mf_static, 188, 5},	//1683 QUdpSocket::tr(const char*, const char*, int)
    {73, 1198, 6, 3, Smoke::mf_static, 188, 6},	//1684 QUdpSocket::trUtf8(const char*, const char*, int)
    {73, 882, 10, 3, Smoke::mf_virtual, 377, 7},	//1685 QUdpSocket::qt_metacall(QMetaObject::Call, int, void**)
    {73, 241, 20, 1, Smoke::mf_ctor, 204, 8},	//1686 QUdpSocket::QUdpSocket(QObject*)
    {73, 376, 74, 2, 0, 294, 9},	//1687 QUdpSocket::bind(const QHostAddress&, unsigned short)
    {73, 376, 65, 1, 0, 294, 10},	//1688 QUdpSocket::bind(unsigned short)
    {73, 376, 1298, 3, 0, 294, 11},	//1689 QUdpSocket::bind(const QHostAddress&, unsigned short, QFlags<QUdpSocket::BindFlag>)
    {73, 376, 1302, 2, 0, 294, 12},	//1690 QUdpSocket::bind(unsigned short, QFlags<QUdpSocket::BindFlag>)
    {73, 515, 0, 0, Smoke::mf_const, 294, 13},	//1691 QUdpSocket::hasPendingDatagrams() const
    {73, 701, 0, 0, Smoke::mf_const, 380, 14},	//1692 QUdpSocket::pendingDatagramSize() const
    {73, 912, 1305, 4, 0, 380, 15},	//1693 QUdpSocket::readDatagram(char*, long long, QHostAddress*, unsigned short*)
    {73, 1229, 1310, 4, 0, 380, 16},	//1694 QUdpSocket::writeDatagram(const char*, long long, const QHostAddress&, unsigned short)
    {73, 1229, 1315, 3, 0, 380, 17},	//1695 QUdpSocket::writeDatagram(const QByteArray&, const QHostAddress&, unsigned short)
    {73, 1194, 1, 1, Smoke::mf_static, 188, 18},	//1696 QUdpSocket::tr(const char*)
    {73, 1198, 1, 1, Smoke::mf_static, 188, 19},	//1697 QUdpSocket::trUtf8(const char*)
    {73, 241, 0, 0, Smoke::mf_ctor, 204, 20},	//1698 QUdpSocket::QUdpSocket()
    {73, 376, 0, 0, 0, 294, 21},	//1699 QUdpSocket::bind()
    {73, 912, 59, 2, 0, 380, 22},	//1700 QUdpSocket::readDatagram(char*, long long)
    {73, 912, 1319, 3, 0, 380, 23},	//1701 QUdpSocket::readDatagram(char*, long long, QHostAddress*)
    {73, 1173, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 327, 24},	//1702 QUdpSocket::staticMetaObject() const
    {73, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 25},	//1703 QUdpSocket::DefaultForPlatform (enum)
    {73, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 26},	//1704 QUdpSocket::ShareAddress (enum)
    {73, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 27},	//1705 QUdpSocket::DontShareAddress (enum)
    {73, 264, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 28},	//1706 QUdpSocket::ReuseAddressHint (enum)
    {73, 1265, 0, 0, Smoke::mf_dtor, 0, 29 },	//1707 QUdpSocket::~QUdpSocket()
    {75, 243, 0, 0, Smoke::mf_ctor, 210, 1},	//1708 QUrlInfo::QUrlInfo()
    {75, 243, 102, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 210, 2},	//1709 QUrlInfo::QUrlInfo(const QUrlInfo&)
    {75, 243, 1323, 13, Smoke::mf_ctor, 210, 3},	//1710 QUrlInfo::QUrlInfo(const QString&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool)
    {75, 243, 1337, 13, Smoke::mf_ctor, 210, 4},	//1711 QUrlInfo::QUrlInfo(const QUrl&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool)
    {75, 648, 102, 1, 0, 209, 5},	//1712 QUrlInfo::operator=(const QUrlInfo&)
    {75, 1042, 69, 1, Smoke::mf_virtual, 0, 6},	//1713 QUrlInfo::setName(const QString&)
    {75, 997, 113, 1, Smoke::mf_virtual, 0, 7},	//1714 QUrlInfo::setDir(bool)
    {75, 1008, 113, 1, Smoke::mf_virtual, 0, 8},	//1715 QUrlInfo::setFile(bool)
    {75, 1137, 113, 1, Smoke::mf_virtual, 0, 9},	//1716 QUrlInfo::setSymLink(bool)
    {75, 1051, 69, 1, Smoke::mf_virtual, 0, 10},	//1717 QUrlInfo::setOwner(const QString&)
    {75, 1010, 69, 1, Smoke::mf_virtual, 0, 11},	//1718 QUrlInfo::setGroup(const QString&)
    {75, 1113, 33, 1, Smoke::mf_virtual, 0, 12},	//1719 QUrlInfo::setSize(long long)
    {75, 1157, 113, 1, Smoke::mf_virtual, 0, 13},	//1720 QUrlInfo::setWritable(bool)
    {75, 1100, 113, 1, Smoke::mf_virtual, 0, 14},	//1721 QUrlInfo::setReadable(bool)
    {75, 1069, 44, 1, Smoke::mf_virtual, 0, 15},	//1722 QUrlInfo::setPermissions(int)
    {75, 1024, 1110, 1, Smoke::mf_virtual, 0, 16},	//1723 QUrlInfo::setLastModified(const QDateTime&)
    {75, 1026, 1110, 1, 0, 0, 17},	//1724 QUrlInfo::setLastRead(const QDateTime&)
    {75, 559, 0, 0, Smoke::mf_const, 294, 18},	//1725 QUrlInfo::isValid() const
    {75, 606, 0, 0, Smoke::mf_const, 188, 19},	//1726 QUrlInfo::name() const
    {75, 702, 0, 0, Smoke::mf_const, 377, 20},	//1727 QUrlInfo::permissions() const
    {75, 680, 0, 0, Smoke::mf_const, 188, 21},	//1728 QUrlInfo::owner() const
    {75, 506, 0, 0, Smoke::mf_const, 188, 22},	//1729 QUrlInfo::group() const
    {75, 1159, 0, 0, Smoke::mf_const, 380, 23},	//1730 QUrlInfo::size() const
    {75, 566, 0, 0, Smoke::mf_const, 22, 24},	//1731 QUrlInfo::lastModified() const
    {75, 567, 0, 0, Smoke::mf_const, 22, 25},	//1732 QUrlInfo::lastRead() const
    {75, 541, 0, 0, Smoke::mf_const, 294, 26},	//1733 QUrlInfo::isDir() const
    {75, 544, 0, 0, Smoke::mf_const, 294, 27},	//1734 QUrlInfo::isFile() const
    {75, 557, 0, 0, Smoke::mf_const, 294, 28},	//1735 QUrlInfo::isSymLink() const
    {75, 560, 0, 0, Smoke::mf_const, 294, 29},	//1736 QUrlInfo::isWritable() const
    {75, 552, 0, 0, Smoke::mf_const, 294, 30},	//1737 QUrlInfo::isReadable() const
    {75, 543, 0, 0, Smoke::mf_const, 294, 31},	//1738 QUrlInfo::isExecutable() const
    {75, 504, 1351, 3, Smoke::mf_static, 294, 32},	//1739 QUrlInfo::greaterThan(const QUrlInfo&, const QUrlInfo&, int)
    {75, 570, 1351, 3, Smoke::mf_static, 294, 33},	//1740 QUrlInfo::lessThan(const QUrlInfo&, const QUrlInfo&, int)
    {75, 470, 1351, 3, Smoke::mf_static, 294, 34},	//1741 QUrlInfo::equal(const QUrlInfo&, const QUrlInfo&, int)
    {75, 651, 102, 1, Smoke::mf_const, 294, 35},	//1742 QUrlInfo::operator==(const QUrlInfo&) const
    {75, 612, 102, 1, Smoke::mf_const, 294, 36},	//1743 QUrlInfo::operator!=(const QUrlInfo&) const
    {75, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 37},	//1744 QUrlInfo::ReadOwner (enum)
    {75, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 38},	//1745 QUrlInfo::WriteOwner (enum)
    {75, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 39},	//1746 QUrlInfo::ExeOwner (enum)
    {75, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 40},	//1747 QUrlInfo::ReadGroup (enum)
    {75, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 41},	//1748 QUrlInfo::WriteGroup (enum)
    {75, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 42},	//1749 QUrlInfo::ExeGroup (enum)
    {75, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 43},	//1750 QUrlInfo::ReadOther (enum)
    {75, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 44},	//1751 QUrlInfo::WriteOther (enum)
    {75, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 45},	//1752 QUrlInfo::ExeOther (enum)
    {75, 1266, 0, 0, Smoke::mf_dtor, 0, 46 },	//1753 QUrlInfo::~QUrlInfo()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    275,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    317,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    325,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    375,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    398,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    414,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    450,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    456,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    493,  // QGlobalSpace::operator!=(QChar, QChar)
    517,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    564,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    579,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    604,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    607,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    640,  // QGlobalSpace::operator!=(QBool, QBool)
    653,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    263,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    282,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    295,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    503,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    603,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    371,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    429,  // QGlobalSpace::operator!=(bool, QBool)
    454,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    500,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    592,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    612,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    523,  // QGlobalSpace::operator*(const QSize&, double)
    593,  // QGlobalSpace::operator*(const QPoint&, double)
    598,  // QGlobalSpace::operator*(const QSizeF&, double)
    609,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    272,  // QGlobalSpace::operator*(double, const QSizeF&)
    520,  // QGlobalSpace::operator*(double, const QPointF&)
    527,  // QGlobalSpace::operator*(double, const QPoint&)
    600,  // QGlobalSpace::operator*(double, const QSize&)
    0,
    288,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    304,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    309,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    385,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    421,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    0,
    328,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    334,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    365,  // QGlobalSpace::operator+(QChar, const QString&)
    460,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    240,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    291,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    324,  // QGlobalSpace::operator+(const QString&, QChar)
    509,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    330,  // QGlobalSpace::operator+(const QString&, const char*)
    374,  // QGlobalSpace::operator+(const QString&, char)
    417,  // QGlobalSpace::operator+(char, const QString&)
    514,  // QGlobalSpace::operator+(const char*, const QString&)
    639,  // QGlobalSpace::operator+(const QString&, const QString&)
    0,
    388,  // QGlobalSpace::operator-(const QPoint&)
    438,  // QGlobalSpace::operator-(const QPointF&)
    0,
    276,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    292,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    376,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    512,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    287,  // QGlobalSpace::operator/(const QPoint&, double)
    428,  // QGlobalSpace::operator/(const QPointF&, double)
    464,  // QGlobalSpace::operator/(const QSizeF&, double)
    584,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    261,  // QGlobalSpace::operator<(QChar, QChar)
    311,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    379,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    601,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    265,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    457,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    237,  // QGlobalSpace::operator<<(QDebug, const QSslError&)
    260,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    264,  // QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    277,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    284,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    290,  // QGlobalSpace::operator<<(QDataStream&, const QNetworkCacheMetaData&)
    293,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    297,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    298,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    321,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    347,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    348,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    390,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    396,  // QGlobalSpace::operator<<(QDebug, const QNetworkCookie&)
    425,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    435,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    442,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    447,  // QGlobalSpace::operator<<(QDebug, const QNetworkInterface&)
    466,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    474,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    478,  // QGlobalSpace::operator<<(QDebug, const QHostAddress&)
    483,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    484,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    486,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    487,  // QGlobalSpace::operator<<(QDebug, const QSslCertificate&)
    490,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    491,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    506,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    511,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    513,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    524,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    529,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    548,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    559,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    560,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    562,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    570,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    571,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    573,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    576,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    602,  // QGlobalSpace::operator<<(QDebug, const QSslKey&)
    606,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    617,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    624,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    630,  // QGlobalSpace::operator<<(QDebug, const QSslCipher&)
    634,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    635,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    651,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    655,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    236,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    280,  // QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketState)
    299,  // QGlobalSpace::operator<<(QDebug, QSslCertificate::SubjectInfo)
    326,  // QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketState)
    397,  // QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketError)
    407,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    424,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    455,  // QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketError)
    518,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    558,  // QGlobalSpace::operator<<(QDebug, const QSslError::SslError&)
    615,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    346,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    361,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    473,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    577,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    471,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    505,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    0,
    239,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    244,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    256,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    257,  // QGlobalSpace::operator==(QChar, QChar)
    340,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    355,  // QGlobalSpace::operator==(QBool, QBool)
    377,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    387,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    394,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    420,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    430,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    458,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    467,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    522,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    539,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    567,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    587,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    0,
    238,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    419,  // QGlobalSpace::operator==(QString::Null, const QString&)
    597,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    599,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    629,  // QGlobalSpace::operator==(QBool, bool)
    0,
    235,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    252,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    356,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    439,  // QGlobalSpace::operator==(bool, QBool)
    482,  // QGlobalSpace::operator==(const QString&, QString::Null)
    497,  // QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    510,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    0,
    270,  // QGlobalSpace::operator>(QChar, QChar)
    331,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    343,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    411,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    253,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    316,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    0,
    227,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    262,  // QGlobalSpace::operator>=(QChar, QChar)
    465,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    546,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    445,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    647,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    0,
    246,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    322,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    354,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    368,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    413,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    418,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    431,  // QGlobalSpace::operator>>(QDataStream&, QNetworkCacheMetaData&)
    434,  // QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    436,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    463,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    498,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    508,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    516,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    568,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    581,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    589,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    605,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    623,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    631,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    632,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    650,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    654,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    475,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    582,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    230,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    231,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    241,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    251,  // QGlobalSpace::operator|(QNetworkProxy::Capability, int)
    258,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    266,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    269,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    271,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    274,  // QGlobalSpace::operator|(QDir::Filter, int)
    278,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    279,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    283,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    285,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    286,  // QGlobalSpace::operator|(QFile::Permission, int)
    289,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    296,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    300,  // QGlobalSpace::operator|(QNetworkProxy::Capability, QNetworkProxy::Capability)
    302,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>)
    303,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    305,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    306,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    310,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    315,  // QGlobalSpace::operator|(QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>)
    319,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    329,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    332,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    336,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    341,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    357,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    363,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    366,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    367,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    372,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    373,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    378,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    380,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    382,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    386,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    389,  // QGlobalSpace::operator|(Qt::DropAction, int)
    391,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    401,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    404,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    408,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    415,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    427,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    437,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    441,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>)
    446,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    448,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, int)
    449,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    453,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    461,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    462,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    480,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    488,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    494,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    507,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    515,  // QGlobalSpace::operator|(Qt::WindowState, int)
    519,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    521,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    525,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    532,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    534,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    535,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    536,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, int)
    540,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    543,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, QUdpSocket::BindFlag)
    544,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    545,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    549,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    550,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    554,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    555,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    556,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    557,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    563,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    566,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    572,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    578,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    580,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    590,  // QGlobalSpace::operator|(Qt::Orientation, int)
    594,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    595,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    608,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    611,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    616,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    618,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    619,  // QGlobalSpace::operator|(Qt::WindowType, int)
    621,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag)
    625,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    626,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    636,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    638,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    641,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    646,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    652,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
    538,  // QGlobalSpace::qFuzzyCompare(float, float)
    591,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    381,  // QGlobalSpace::qFuzzyIsNull(float)
    551,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    259,  // QGlobalSpace::qHash(const QByteArray&)
    337,  // QGlobalSpace::qHash(QChar)
    352,  // QGlobalSpace::qHash(const QModelIndex&)
    358,  // QGlobalSpace::qHash(const QHostAddress&)
    422,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    489,  // QGlobalSpace::qHash(const QBitArray&)
    644,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    228,  // QGlobalSpace::qHash(unsigned long long)
    250,  // QGlobalSpace::qHash(signed char)
    281,  // QGlobalSpace::qHash(char)
    335,  // QGlobalSpace::qHash(unsigned int)
    345,  // QGlobalSpace::qHash(const QString&)
    370,  // QGlobalSpace::qHash(long long)
    384,  // QGlobalSpace::qHash(int)
    410,  // QGlobalSpace::qHash(long)
    412,  // QGlobalSpace::qHash(unsigned short)
    531,  // QGlobalSpace::qHash(short)
    633,  // QGlobalSpace::qHash(unsigned long)
    649,  // QGlobalSpace::qHash(unsigned char)
    0,
    254,  // QGlobalSpace::qIntCast(double)
    339,  // QGlobalSpace::qIntCast(float)
    0,
    294,  // QGlobalSpace::qIsFinite(double)
    323,  // QGlobalSpace::qIsFinite(float)
    0,
    229,  // QGlobalSpace::qIsInf(double)
    248,  // QGlobalSpace::qIsInf(float)
    0,
    360,  // QGlobalSpace::qIsNaN(float)
    364,  // QGlobalSpace::qIsNaN(double)
    0,
    585,  // QGlobalSpace::qIsNull(float)
    645,  // QGlobalSpace::qIsNull(double)
    0,
    1316,  // QNetworkRequest::QNetworkRequest(const QUrl&)
    1317,  // QNetworkRequest::QNetworkRequest(const QNetworkRequest&)
    0,
    1075,  // QNetworkCookie::QNetworkCookie(const QNetworkCookie&)
    1097,  // QNetworkCookie::QNetworkCookie(const QByteArray&)
    0,
    1531,  // QSslSocket::connectToHostEncrypted(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    1606,  // QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&)
    0,
    866,  // QHttpResponseHeader::QHttpResponseHeader(const QString&)
    876,  // QHttpResponseHeader::QHttpResponseHeader(int)
    0,
    193,  // QFtp::put(const QByteArray&, const QString&)
    194,  // QFtp::put(QIODevice*, const QString&)
    0,
    157,  // QFtp::put(const QByteArray&, const QString&, QFtp::TransferType)
    158,  // QFtp::put(QIODevice*, const QString&, QFtp::TransferType)
    0,
    904,  // QIPv6Address::operator[](int)
    905,  // QIPv6Address::operator[](int) const
    0,
    1382,  // QSslCertificate::QSslCertificate(const QSslCertificate&)
    1406,  // QSslCertificate::QSslCertificate(QIODevice*)
    1408,  // QSslCertificate::QSslCertificate(const QByteArray&)
    0,
    1380,  // QSslCertificate::QSslCertificate(QIODevice*, QSsl::EncodingFormat)
    1381,  // QSslCertificate::QSslCertificate(const QByteArray&, QSsl::EncodingFormat)
    0,
    1219,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkProxyQuery&)
    1235,  // QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&)
    0,
    1236,  // QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int)
    1239,  // QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&)
    0,
    1218,  // QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    1237,  // QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&)
    0,
    1019,  // QNetworkAccessManager::post(const QNetworkRequest&, QIODevice*)
    1020,  // QNetworkAccessManager::post(const QNetworkRequest&, const QByteArray&)
    0,
    1021,  // QNetworkAccessManager::put(const QNetworkRequest&, QIODevice*)
    1022,  // QNetworkAccessManager::put(const QNetworkRequest&, const QByteArray&)
    0,
    1514,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm)
    1517,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm)
    0,
    1515,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    1518,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    0,
    1516,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    1519,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    0,
    1500,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    1501,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    0,
    784,  // QHttp::QHttp(const QString&, unsigned short)
    785,  // QHttp::QHttp(const QString&, QHttp::ConnectionMode)
    0,
    793,  // QHttp::post(const QString&, QIODevice*)
    794,  // QHttp::post(const QString&, const QByteArray&)
    0,
    747,  // QHttp::post(const QString&, QIODevice*, QIODevice*)
    748,  // QHttp::post(const QString&, const QByteArray&, QIODevice*)
    0,
    796,  // QHttp::request(const QHttpRequestHeader&, QIODevice*)
    797,  // QHttp::request(const QHttpRequestHeader&, const QByteArray&)
    0,
    750,  // QHttp::request(const QHttpRequestHeader&, QIODevice*, QIODevice*)
    751,  // QHttp::request(const QHttpRequestHeader&, const QByteArray&, QIODevice*)
    0,
    740,  // QHttp::setHost(const QString&, unsigned short)
    788,  // QHttp::setHost(const QString&, QHttp::ConnectionMode)
    0,
    673,  // QHostAddress::QHostAddress(const QIPv6Address&)
    674,  // QHostAddress::QHostAddress(const sockaddr*)
    676,  // QHostAddress::QHostAddress(const QHostAddress&)
    0,
    671,  // QHostAddress::QHostAddress(unsigned int)
    672,  // QHostAddress::QHostAddress(unsigned char*)
    675,  // QHostAddress::QHostAddress(const QString&)
    677,  // QHostAddress::QHostAddress(QHostAddress::SpecialAddress)
    0,
    682,  // QHostAddress::setAddress(const QIPv6Address&)
    683,  // QHostAddress::setAddress(const sockaddr*)
    0,
    680,  // QHostAddress::setAddress(unsigned int)
    681,  // QHostAddress::setAddress(unsigned char*)
    684,  // QHostAddress::setAddress(const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 140, 19},	// QAbstractNetworkCache::QAbstractNetworkCache
    {1, 141, 16},	// QAbstractNetworkCache::QAbstractNetworkCache#
    {1, 387, 12},	// QAbstractNetworkCache::cacheSize
    {1, 395, 15},	// QAbstractNetworkCache::clear
    {1, 438, 10},	// QAbstractNetworkCache::data#
    {1, 534, 14},	// QAbstractNetworkCache::insert#
    {1, 596, 8},	// QAbstractNetworkCache::metaData#
    {1, 598, 1},	// QAbstractNetworkCache::metaObject
    {1, 711, 13},	// QAbstractNetworkCache::prepare#
    {1, 883, 7},	// QAbstractNetworkCache::qt_metacall$$?
    {1, 885, 2},	// QAbstractNetworkCache::qt_metacast$
    {1, 923, 11},	// QAbstractNetworkCache::remove#
    {1, 1173, 20},	// QAbstractNetworkCache::staticMetaObject
    {1, 1195, 17},	// QAbstractNetworkCache::tr$
    {1, 1196, 3},	// QAbstractNetworkCache::tr$$
    {1, 1197, 5},	// QAbstractNetworkCache::tr$$$
    {1, 1199, 18},	// QAbstractNetworkCache::trUtf8$
    {1, 1200, 4},	// QAbstractNetworkCache::trUtf8$$
    {1, 1201, 6},	// QAbstractNetworkCache::trUtf8$$$
    {1, 1204, 9},	// QAbstractNetworkCache::updateMetaData#
    {1, 1232, 21},	// QAbstractNetworkCache::~QAbstractNetworkCache
    {2, 3, 106},	// QAbstractSocket::AddressInUseError
    {2, 15, 122},	// QAbstractSocket::BoundState
    {2, 31, 124},	// QAbstractSocket::ClosingState
    {2, 35, 121},	// QAbstractSocket::ConnectedState
    {2, 37, 120},	// QAbstractSocket::ConnectingState
    {2, 43, 98},	// QAbstractSocket::ConnectionRefusedError
    {2, 52, 104},	// QAbstractSocket::DatagramTooLargeError
    {2, 71, 119},	// QAbstractSocket::HostLookupState
    {2, 75, 100},	// QAbstractSocket::HostNotFoundError
    {2, 82, 95},	// QAbstractSocket::IPv4Protocol
    {2, 83, 96},	// QAbstractSocket::IPv6Protocol
    {2, 93, 126},	// QAbstractSocket::KeepAliveOption
    {2, 97, 123},	// QAbstractSocket::ListeningState
    {2, 104, 125},	// QAbstractSocket::LowDelayOption
    {2, 107, 105},	// QAbstractSocket::NetworkError
    {2, 130, 110},	// QAbstractSocket::ProxyAuthenticationRequiredError
    {2, 131, 113},	// QAbstractSocket::ProxyConnectionClosedError
    {2, 132, 112},	// QAbstractSocket::ProxyConnectionRefusedError
    {2, 133, 114},	// QAbstractSocket::ProxyConnectionTimeoutError
    {2, 134, 115},	// QAbstractSocket::ProxyNotFoundError
    {2, 135, 116},	// QAbstractSocket::ProxyProtocolError
    {2, 143, 29},	// QAbstractSocket::QAbstractSocket$#
    {2, 261, 99},	// QAbstractSocket::RemoteHostClosedError
    {2, 275, 101},	// QAbstractSocket::SocketAccessError
    {2, 276, 107},	// QAbstractSocket::SocketAddressNotAvailableError
    {2, 277, 102},	// QAbstractSocket::SocketResourceError
    {2, 278, 103},	// QAbstractSocket::SocketTimeoutError
    {2, 282, 111},	// QAbstractSocket::SslHandshakeFailedError
    {2, 289, 92},	// QAbstractSocket::TcpSocket
    {2, 295, 93},	// QAbstractSocket::UdpSocket
    {2, 304, 118},	// QAbstractSocket::UnconnectedState
    {2, 307, 109},	// QAbstractSocket::UnfinishedSocketOperationError
    {2, 311, 97},	// QAbstractSocket::UnknownNetworkLayerProtocol
    {2, 315, 117},	// QAbstractSocket::UnknownSocketError
    {2, 316, 94},	// QAbstractSocket::UnknownSocketType
    {2, 318, 108},	// QAbstractSocket::UnsupportedSocketOperationError
    {2, 338, 44},	// QAbstractSocket::abort
    {2, 367, 54},	// QAbstractSocket::atEnd
    {2, 382, 34},	// QAbstractSocket::bytesAvailable
    {2, 383, 35},	// QAbstractSocket::bytesToWrite
    {2, 388, 36},	// QAbstractSocket::canReadLine
    {2, 398, 52},	// QAbstractSocket::close
    {2, 406, 83},	// QAbstractSocket::connectToHost#$
    {2, 407, 31},	// QAbstractSocket::connectToHost#$$
    {2, 409, 82},	// QAbstractSocket::connectToHost$$
    {2, 410, 30},	// QAbstractSocket::connectToHost$$$
    {2, 416, 90},	// QAbstractSocket::connectToHostImplementation$$
    {2, 417, 68},	// QAbstractSocket::connectToHostImplementation$$$
    {2, 421, 63},	// QAbstractSocket::connected
    {2, 453, 32},	// QAbstractSocket::disconnectFromHost
    {2, 454, 69},	// QAbstractSocket::disconnectFromHostImplementation
    {2, 457, 64},	// QAbstractSocket::disconnected
    {2, 472, 51},	// QAbstractSocket::error
    {2, 473, 66},	// QAbstractSocket::error$
    {2, 485, 55},	// QAbstractSocket::flush
    {2, 524, 62},	// QAbstractSocket::hostFound
    {2, 555, 53},	// QAbstractSocket::isSequential
    {2, 559, 33},	// QAbstractSocket::isValid
    {2, 580, 38},	// QAbstractSocket::localAddress
    {2, 584, 37},	// QAbstractSocket::localPort
    {2, 598, 22},	// QAbstractSocket::metaObject
    {2, 691, 40},	// QAbstractSocket::peerAddress
    {2, 695, 41},	// QAbstractSocket::peerName
    {2, 696, 39},	// QAbstractSocket::peerPort
    {2, 716, 61},	// QAbstractSocket::proxy
    {2, 718, 67},	// QAbstractSocket::proxyAuthenticationRequired##
    {2, 883, 28},	// QAbstractSocket::qt_metacall$$?
    {2, 885, 23},	// QAbstractSocket::qt_metacast$
    {2, 909, 42},	// QAbstractSocket::readBufferSize
    {2, 911, 70},	// QAbstractSocket::readData$$
    {2, 917, 71},	// QAbstractSocket::readLineData$$
    {2, 1029, 76},	// QAbstractSocket::setLocalAddress#
    {2, 1035, 75},	// QAbstractSocket::setLocalPort$
    {2, 1058, 78},	// QAbstractSocket::setPeerAddress#
    {2, 1062, 79},	// QAbstractSocket::setPeerName$
    {2, 1064, 77},	// QAbstractSocket::setPeerPort$
    {2, 1086, 60},	// QAbstractSocket::setProxy#
    {2, 1099, 43},	// QAbstractSocket::setReadBufferSize$
    {2, 1118, 84},	// QAbstractSocket::setSocketDescriptor$
    {2, 1119, 85},	// QAbstractSocket::setSocketDescriptor$$
    {2, 1120, 46},	// QAbstractSocket::setSocketDescriptor$$$
    {2, 1125, 74},	// QAbstractSocket::setSocketError$
    {2, 1127, 47},	// QAbstractSocket::setSocketOption$#
    {2, 1129, 73},	// QAbstractSocket::setSocketState$
    {2, 1160, 45},	// QAbstractSocket::socketDescriptor
    {2, 1162, 48},	// QAbstractSocket::socketOption$
    {2, 1163, 49},	// QAbstractSocket::socketType
    {2, 1170, 50},	// QAbstractSocket::state
    {2, 1172, 65},	// QAbstractSocket::stateChanged$
    {2, 1173, 91},	// QAbstractSocket::staticMetaObject
    {2, 1195, 80},	// QAbstractSocket::tr$
    {2, 1196, 24},	// QAbstractSocket::tr$$
    {2, 1197, 26},	// QAbstractSocket::tr$$$
    {2, 1199, 81},	// QAbstractSocket::trUtf8$
    {2, 1200, 25},	// QAbstractSocket::trUtf8$$
    {2, 1201, 27},	// QAbstractSocket::trUtf8$$$
    {2, 1214, 88},	// QAbstractSocket::waitForBytesWritten
    {2, 1215, 58},	// QAbstractSocket::waitForBytesWritten$
    {2, 1216, 86},	// QAbstractSocket::waitForConnected
    {2, 1217, 56},	// QAbstractSocket::waitForConnected$
    {2, 1218, 89},	// QAbstractSocket::waitForDisconnected
    {2, 1219, 59},	// QAbstractSocket::waitForDisconnected$
    {2, 1225, 87},	// QAbstractSocket::waitForReadyRead
    {2, 1226, 57},	// QAbstractSocket::waitForReadyRead$
    {2, 1228, 72},	// QAbstractSocket::writeData$$
    {2, 1233, 127},	// QAbstractSocket::~QAbstractSocket
    {3, 144, 128},	// QAuthenticator::QAuthenticator
    {3, 145, 129},	// QAuthenticator::QAuthenticator#
    {3, 450, 139},	// QAuthenticator::detach
    {3, 551, 138},	// QAuthenticator::isNull
    {3, 613, 132},	// QAuthenticator::operator!=#
    {3, 649, 130},	// QAuthenticator::operator=#
    {3, 652, 131},	// QAuthenticator::operator==#
    {3, 689, 135},	// QAuthenticator::password
    {3, 920, 137},	// QAuthenticator::realm
    {3, 1054, 136},	// QAuthenticator::setPassword$
    {3, 1148, 134},	// QAuthenticator::setUser$
    {3, 1209, 133},	// QAuthenticator::user
    {3, 1234, 140},	// QAuthenticator::~QAuthenticator
    {16, 2, 222},	// QFtp::Active
    {16, 10, 225},	// QFtp::Ascii
    {16, 14, 224},	// QFtp::Binary
    {16, 22, 214},	// QFtp::Cd
    {16, 29, 212},	// QFtp::Close
    {16, 30, 201},	// QFtp::Closing
    {16, 33, 210},	// QFtp::ConnectToHost
    {16, 34, 199},	// QFtp::Connected
    {16, 36, 198},	// QFtp::Connecting
    {16, 42, 205},	// QFtp::ConnectionRefused
    {16, 67, 215},	// QFtp::Get
    {16, 70, 197},	// QFtp::HostLookup
    {16, 74, 204},	// QFtp::HostNotFound
    {16, 95, 213},	// QFtp::List
    {16, 102, 200},	// QFtp::LoggedIn
    {16, 103, 211},	// QFtp::Login
    {16, 105, 218},	// QFtp::Mkdir
    {16, 108, 202},	// QFtp::NoError
    {16, 112, 207},	// QFtp::None
    {16, 113, 206},	// QFtp::NotConnected
    {16, 119, 223},	// QFtp::Passive
    {16, 138, 216},	// QFtp::Put
    {16, 146, 186},	// QFtp::QFtp
    {16, 147, 148},	// QFtp::QFtp#
    {16, 253, 221},	// QFtp::RawCommand
    {16, 262, 217},	// QFtp::Remove
    {16, 263, 220},	// QFtp::Rename
    {16, 265, 219},	// QFtp::Rmdir
    {16, 272, 209},	// QFtp::SetProxy
    {16, 273, 208},	// QFtp::SetTransferMode
    {16, 303, 196},	// QFtp::Unconnected
    {16, 309, 203},	// QFtp::UnknownError
    {16, 338, 175},	// QFtp::abort
    {16, 382, 164},	// QFtp::bytesAvailable
    {16, 391, 155},	// QFtp::cd$
    {16, 396, 171},	// QFtp::clearPendingCommands
    {16, 398, 152},	// QFtp::close
    {16, 401, 182},	// QFtp::commandFinished$$
    {16, 403, 181},	// QFtp::commandStarted$
    {16, 408, 187},	// QFtp::connectToHost$
    {16, 409, 150},	// QFtp::connectToHost$$
    {16, 430, 169},	// QFtp::currentCommand
    {16, 432, 168},	// QFtp::currentDevice
    {16, 433, 167},	// QFtp::currentId
    {16, 444, 179},	// QFtp::dataTransferProgress$$
    {16, 460, 183},	// QFtp::done$
    {16, 472, 173},	// QFtp::error
    {16, 474, 174},	// QFtp::errorString
    {16, 501, 191},	// QFtp::get$
    {16, 502, 192},	// QFtp::get$#
    {16, 503, 156},	// QFtp::get$#$
    {16, 513, 170},	// QFtp::hasPendingCommands
    {16, 572, 190},	// QFtp::list
    {16, 573, 154},	// QFtp::list$
    {16, 575, 177},	// QFtp::listInfo#
    {16, 585, 188},	// QFtp::login
    {16, 586, 189},	// QFtp::login$
    {16, 587, 151},	// QFtp::login$$
    {16, 598, 141},	// QFtp::metaObject
    {16, 602, 160},	// QFtp::mkdir$
    {16, 725, -379},	// QFtp::put#$
    {16, 726, -382},	// QFtp::put#$$
    {16, 883, 147},	// QFtp::qt_metacall$$?
    {16, 885, 142},	// QFtp::qt_metacast$
    {16, 899, 163},	// QFtp::rawCommand$
    {16, 901, 180},	// QFtp::rawCommandReply$$
    {16, 907, 165},	// QFtp::read$$
    {16, 908, 166},	// QFtp::readAll
    {16, 918, 178},	// QFtp::readyRead
    {16, 924, 159},	// QFtp::remove$
    {16, 932, 162},	// QFtp::rename$$
    {16, 945, 161},	// QFtp::rmdir$
    {16, 1087, 149},	// QFtp::setProxy$$
    {16, 1140, 153},	// QFtp::setTransferMode$
    {16, 1170, 172},	// QFtp::state
    {16, 1172, 176},	// QFtp::stateChanged$
    {16, 1173, 195},	// QFtp::staticMetaObject
    {16, 1195, 184},	// QFtp::tr$
    {16, 1196, 143},	// QFtp::tr$$
    {16, 1197, 145},	// QFtp::tr$$$
    {16, 1199, 185},	// QFtp::trUtf8$
    {16, 1200, 144},	// QFtp::trUtf8$$
    {16, 1201, 146},	// QFtp::trUtf8$$$
    {16, 1235, 226},	// QFtp::~QFtp
    {17, 247, 663},	// QGlobalSpace::QtCriticalMsg
    {17, 248, 661},	// QGlobalSpace::QtDebugMsg
    {17, 249, 664},	// QGlobalSpace::QtFatalMsg
    {17, 250, 665},	// QGlobalSpace::QtSystemMsg
    {17, 251, 662},	// QGlobalSpace::QtWarningMsg
    {17, 329, 656},	// QGlobalSpace::_IEEE_
    {17, 330, 660},	// QGlobalSpace::_ISOC_
    {17, 331, 659},	// QGlobalSpace::_POSIX_
    {17, 332, 657},	// QGlobalSpace::_SVID_
    {17, 333, 658},	// QGlobalSpace::_XOPEN_
    {17, 334, 668},	// QGlobalSpace::__codecvt_error
    {17, 335, 669},	// QGlobalSpace::__codecvt_noconv
    {17, 336, 666},	// QGlobalSpace::__codecvt_ok
    {17, 337, 667},	// QGlobalSpace::__codecvt_partial
    {17, 614, -1},	// QGlobalSpace::operator!=##
    {17, 615, -18},	// QGlobalSpace::operator!=#$
    {17, 617, -24},	// QGlobalSpace::operator!=$#
    {17, 618, 359},	// QGlobalSpace::operator!=$$
    {17, 620, 444},	// QGlobalSpace::operator&##
    {17, 622, -31},	// QGlobalSpace::operator*#$
    {17, 623, -36},	// QGlobalSpace::operator*$#
    {17, 625, -41},	// QGlobalSpace::operator+##
    {17, 626, -47},	// QGlobalSpace::operator+#$
    {17, 627, -52},	// QGlobalSpace::operator+$#
    {17, 628, -57},	// QGlobalSpace::operator+$$
    {17, 630, -63},	// QGlobalSpace::operator-#
    {17, 631, -66},	// QGlobalSpace::operator-##
    {17, 633, -71},	// QGlobalSpace::operator/#$
    {17, 635, -76},	// QGlobalSpace::operator<##
    {17, 636, 485},	// QGlobalSpace::operator<#$
    {17, 637, -81},	// QGlobalSpace::operator<$#
    {17, 638, 301},	// QGlobalSpace::operator<$$
    {17, 640, -84},	// QGlobalSpace::operator<<##
    {17, 641, -134},	// QGlobalSpace::operator<<#$
    {17, 642, 459},	// QGlobalSpace::operator<<#?
    {17, 644, -146},	// QGlobalSpace::operator<=##
    {17, 645, 338},	// QGlobalSpace::operator<=#$
    {17, 646, -151},	// QGlobalSpace::operator<=$#
    {17, 647, 499},	// QGlobalSpace::operator<=$$
    {17, 653, -154},	// QGlobalSpace::operator==##
    {17, 654, -172},	// QGlobalSpace::operator==#$
    {17, 656, -178},	// QGlobalSpace::operator==$#
    {17, 657, 637},	// QGlobalSpace::operator==$$
    {17, 659, -186},	// QGlobalSpace::operator>##
    {17, 660, 648},	// QGlobalSpace::operator>#$
    {17, 661, -191},	// QGlobalSpace::operator>$#
    {17, 662, 423},	// QGlobalSpace::operator>$$
    {17, 664, -194},	// QGlobalSpace::operator>=##
    {17, 665, 247},	// QGlobalSpace::operator>=#$
    {17, 666, -199},	// QGlobalSpace::operator>=$#
    {17, 667, 643},	// QGlobalSpace::operator>=$$
    {17, 669, -202},	// QGlobalSpace::operator>>##
    {17, 670, -225},	// QGlobalSpace::operator>>#$
    {17, 671, 405},	// QGlobalSpace::operator>>#?
    {17, 675, 342},	// QGlobalSpace::operator^##
    {17, 677, 569},	// QGlobalSpace::operator|##
    {17, 678, -228},	// QGlobalSpace::operator|$$
    {17, 728, 542},	// QGlobalSpace::qAcos$
    {17, 730, 468},	// QGlobalSpace::qAddPostRoutine$
    {17, 731, 476},	// QGlobalSpace::qAppName
    {17, 733, 561},	// QGlobalSpace::qAsin$
    {17, 735, 588},	// QGlobalSpace::qAtan$
    {17, 737, 245},	// QGlobalSpace::qAtan2$$
    {17, 738, 547},	// QGlobalSpace::qBadAlloc
    {17, 740, 492},	// QGlobalSpace::qCeil$
    {17, 742, 400},	// QGlobalSpace::qChecksum$$
    {17, 744, 553},	// QGlobalSpace::qCompress#
    {17, 745, 552},	// QGlobalSpace::qCompress#$
    {17, 746, 470},	// QGlobalSpace::qCompress$$
    {17, 747, 469},	// QGlobalSpace::qCompress$$$
    {17, 749, 268},	// QGlobalSpace::qCos$
    {17, 750, 452},	// QGlobalSpace::qCritical
    {17, 751, 501},	// QGlobalSpace::qDebug
    {17, 753, 392},	// QGlobalSpace::qExp$
    {17, 755, 533},	// QGlobalSpace::qFabs$
    {17, 757, 353},	// QGlobalSpace::qFastCos$
    {17, 759, 472},	// QGlobalSpace::qFastSin$
    {17, 761, 362},	// QGlobalSpace::qFlagLocation$
    {17, 763, 320},	// QGlobalSpace::qFloor$
    {17, 765, 479},	// QGlobalSpace::qFree$
    {17, 767, 481},	// QGlobalSpace::qFreeAligned$
    {17, 769, -325},	// QGlobalSpace::qFuzzyCompare$$
    {17, 771, -328},	// QGlobalSpace::qFuzzyIsNull$
    {17, 773, -331},	// QGlobalSpace::qHash#
    {17, 774, -339},	// QGlobalSpace::qHash$
    {17, 775, 614},	// QGlobalSpace::qInf
    {17, 777, 350},	// QGlobalSpace::qInstallMsgHandler$
    {17, 779, -352},	// QGlobalSpace::qIntCast$
    {17, 781, -355},	// QGlobalSpace::qIsFinite$
    {17, 783, -358},	// QGlobalSpace::qIsInf$
    {17, 785, -361},	// QGlobalSpace::qIsNaN$
    {17, 787, -364},	// QGlobalSpace::qIsNull$
    {17, 789, 395},	// QGlobalSpace::qLn$
    {17, 791, 402},	// QGlobalSpace::qMalloc$
    {17, 793, 502},	// QGlobalSpace::qMallocAligned$$
    {17, 795, 233},	// QGlobalSpace::qMemCopy$$$
    {17, 797, 528},	// QGlobalSpace::qMemSet$$$
    {17, 799, 504},	// QGlobalSpace::qPow$$
    {17, 800, 403},	// QGlobalSpace::qQNaN
    {17, 802, 344},	// QGlobalSpace::qRealloc$$
    {17, 804, 333},	// QGlobalSpace::qReallocAligned$$$$
    {17, 806, 399},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {17, 808, 622},	// QGlobalSpace::qRemovePostRoutine$
    {17, 810, 613},	// QGlobalSpace::qRound$
    {17, 812, 349},	// QGlobalSpace::qRound64$
    {17, 813, 596},	// QGlobalSpace::qSNaN
    {17, 815, 318},	// QGlobalSpace::qSetFieldWidth$
    {17, 817, 255},	// QGlobalSpace::qSetPadChar#
    {17, 819, 393},	// QGlobalSpace::qSetRealNumberPrecision$
    {17, 820, 273},	// QGlobalSpace::qSharedBuild
    {17, 822, 565},	// QGlobalSpace::qSin$
    {17, 824, 351},	// QGlobalSpace::qSqrt$
    {17, 826, 495},	// QGlobalSpace::qStringComparisonHelper#$
    {17, 827, 242},	// QGlobalSpace::qStringComparisonHelper$$
    {17, 829, 314},	// QGlobalSpace::qTan$
    {17, 831, 433},	// QGlobalSpace::qUncompress#
    {17, 832, 312},	// QGlobalSpace::qUncompress$$
    {17, 833, 477},	// QGlobalSpace::qVersion
    {17, 834, 627},	// QGlobalSpace::qWarning
    {17, 836, 327},	// QGlobalSpace::qbswap_helper$$$
    {17, 838, 541},	// QGlobalSpace::qgcvt$$$
    {17, 840, 249},	// QGlobalSpace::qgetenv$
    {17, 842, 406},	// QGlobalSpace::qputenv$#
    {17, 843, 440},	// QGlobalSpace::qrand
    {17, 845, 451},	// QGlobalSpace::qsort$$$?
    {17, 847, 409},	// QGlobalSpace::qsrand$
    {17, 849, 537},	// QGlobalSpace::qstrcmp##
    {17, 850, 620},	// QGlobalSpace::qstrcmp#$
    {17, 851, 243},	// QGlobalSpace::qstrcmp$#
    {17, 852, 267},	// QGlobalSpace::qstrcmp$$
    {17, 854, 383},	// QGlobalSpace::qstrcpy$$
    {17, 856, 496},	// QGlobalSpace::qstrdup$
    {17, 858, 610},	// QGlobalSpace::qstricmp$$
    {17, 860, 628},	// QGlobalSpace::qstrlen$
    {17, 862, 313},	// QGlobalSpace::qstrncmp$$$
    {17, 864, 432},	// QGlobalSpace::qstrncpy$$$
    {17, 866, 416},	// QGlobalSpace::qstrnicmp$$$
    {17, 868, 232},	// QGlobalSpace::qstrnlen$$
    {17, 870, 575},	// QGlobalSpace::qtTrId$
    {17, 871, 574},	// QGlobalSpace::qtTrId$$
    {17, 873, 369},	// QGlobalSpace::qt_assert$$$
    {17, 875, 443},	// QGlobalSpace::qt_assert_x$$$$
    {17, 877, 530},	// QGlobalSpace::qt_check_pointer$$
    {17, 878, 308},	// QGlobalSpace::qt_error_string
    {17, 879, 307},	// QGlobalSpace::qt_error_string$
    {17, 881, 642},	// QGlobalSpace::qt_message_output$$
    {17, 886, 234},	// QGlobalSpace::qt_noop
    {17, 888, 426},	// QGlobalSpace::qt_qFindChild_helper#$#
    {17, 890, 586},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {17, 895, 583},	// QGlobalSpace::qvariant_cast_helper#$$
    {17, 897, 526},	// QGlobalSpace::qvsnprintf$$$?
    {19, 6, 704},	// QHostAddress::Any
    {19, 7, 705},	// QHostAddress::AnyIPv6
    {19, 16, 701},	// QHostAddress::Broadcast
    {19, 98, 702},	// QHostAddress::LocalHost
    {19, 99, 703},	// QHostAddress::LocalHostIPv6
    {19, 115, 700},	// QHostAddress::Null
    {19, 148, 670},	// QHostAddress::QHostAddress
    {19, 149, -440},	// QHostAddress::QHostAddress#
    {19, 150, -444},	// QHostAddress::QHostAddress$
    {19, 395, 696},	// QHostAddress::clear
    {19, 548, 697},	// QHostAddress::isInSubnet#$
    {19, 549, 698},	// QHostAddress::isInSubnet?
    {19, 551, 695},	// QHostAddress::isNull
    {19, 613, 693},	// QHostAddress::operator!=#
    {19, 616, 694},	// QHostAddress::operator!=$
    {19, 649, 678},	// QHostAddress::operator=#
    {19, 650, 679},	// QHostAddress::operator=$
    {19, 652, 691},	// QHostAddress::operator==#
    {19, 655, 692},	// QHostAddress::operator==$
    {19, 688, 699},	// QHostAddress::parseSubnet$
    {19, 713, 685},	// QHostAddress::protocol
    {19, 947, 689},	// QHostAddress::scopeId
    {19, 956, -449},	// QHostAddress::setAddress#
    {19, 957, -452},	// QHostAddress::setAddress$
    {19, 1110, 690},	// QHostAddress::setScopeId$
    {19, 1187, 686},	// QHostAddress::toIPv4Address
    {19, 1188, 687},	// QHostAddress::toIPv6Address
    {19, 1193, 688},	// QHostAddress::toString
    {19, 1236, 706},	// QHostAddress::~QHostAddress
    {20, 74, 727},	// QHostInfo::HostNotFound
    {20, 108, 726},	// QHostInfo::NoError
    {20, 151, 725},	// QHostInfo::QHostInfo
    {20, 152, 708},	// QHostInfo::QHostInfo#
    {20, 153, 707},	// QHostInfo::QHostInfo$
    {20, 309, 728},	// QHostInfo::UnknownError
    {20, 340, 721},	// QHostInfo::abortHostLookup$
    {20, 358, 712},	// QHostInfo::addresses
    {20, 472, 714},	// QHostInfo::error
    {20, 474, 716},	// QHostInfo::errorString
    {20, 493, 722},	// QHostInfo::fromName$
    {20, 525, 710},	// QHostInfo::hostName
    {20, 582, 724},	// QHostInfo::localDomainName
    {20, 583, 723},	// QHostInfo::localHostName
    {20, 589, 720},	// QHostInfo::lookupHost$#$
    {20, 590, 719},	// QHostInfo::lookupId
    {20, 649, 709},	// QHostInfo::operator=#
    {20, 959, 713},	// QHostInfo::setAddresses?
    {20, 1002, 715},	// QHostInfo::setError$
    {20, 1005, 717},	// QHostInfo::setErrorString$
    {20, 1019, 711},	// QHostInfo::setHostName$
    {20, 1037, 718},	// QHostInfo::setLookupId$
    {20, 1237, 729},	// QHostInfo::~QHostInfo
    {21, 1, 815},	// QHttp::Aborted
    {21, 11, 816},	// QHttp::AuthenticationRequiredError
    {21, 30, 807},	// QHttp::Closing
    {21, 34, 806},	// QHttp::Connected
    {21, 36, 803},	// QHttp::Connecting
    {21, 40, 799},	// QHttp::ConnectionModeHttp
    {21, 41, 800},	// QHttp::ConnectionModeHttps
    {21, 42, 811},	// QHttp::ConnectionRefused
    {21, 70, 802},	// QHttp::HostLookup
    {21, 74, 810},	// QHttp::HostNotFound
    {21, 88, 813},	// QHttp::InvalidResponseHeader
    {21, 108, 808},	// QHttp::NoError
    {21, 130, 817},	// QHttp::ProxyAuthenticationRequiredError
    {21, 154, 782},	// QHttp::QHttp
    {21, 155, 737},	// QHttp::QHttp#
    {21, 156, 783},	// QHttp::QHttp$
    {21, 157, -422},	// QHttp::QHttp$$
    {21, 158, 738},	// QHttp::QHttp$$#
    {21, 159, 786},	// QHttp::QHttp$$$
    {21, 160, 739},	// QHttp::QHttp$$$#
    {21, 259, 805},	// QHttp::Reading
    {21, 269, 804},	// QHttp::Sending
    {21, 303, 801},	// QHttp::Unconnected
    {21, 306, 812},	// QHttp::UnexpectedClose
    {21, 309, 809},	// QHttp::UnknownError
    {21, 328, 814},	// QHttp::WrongContentLength
    {21, 338, 767},	// QHttp::abort
    {21, 375, 778},	// QHttp::authenticationRequired$$#
    {21, 382, 754},	// QHttp::bytesAvailable
    {21, 397, 763},	// QHttp::clearPendingRequests
    {21, 398, 753},	// QHttp::close
    {21, 399, 752},	// QHttp::closeConnection
    {21, 431, 759},	// QHttp::currentDestinationDevice
    {21, 433, 757},	// QHttp::currentId
    {21, 434, 760},	// QHttp::currentRequest
    {21, 435, 758},	// QHttp::currentSourceDevice
    {21, 440, 773},	// QHttp::dataReadProgress$$
    {21, 442, 772},	// QHttp::dataSendProgress$$
    {21, 460, 776},	// QHttp::done$
    {21, 472, 765},	// QHttp::error
    {21, 474, 766},	// QHttp::errorString
    {21, 501, 792},	// QHttp::get$
    {21, 502, 746},	// QHttp::get$#
    {21, 516, 762},	// QHttp::hasPendingRequests
    {21, 521, 749},	// QHttp::head$
    {21, 527, 768},	// QHttp::ignoreSslErrors
    {21, 568, 761},	// QHttp::lastResponse
    {21, 598, 730},	// QHttp::metaObject
    {21, 707, -425},	// QHttp::post$#
    {21, 708, -428},	// QHttp::post$##
    {21, 718, 777},	// QHttp::proxyAuthenticationRequired##
    {21, 883, 736},	// QHttp::qt_metacall$$?
    {21, 885, 731},	// QHttp::qt_metacast$
    {21, 907, 755},	// QHttp::read$$
    {21, 908, 756},	// QHttp::readAll
    {21, 919, 771},	// QHttp::readyRead#
    {21, 934, 795},	// QHttp::request#
    {21, 935, -431},	// QHttp::request##
    {21, 936, -434},	// QHttp::request###
    {21, 938, 775},	// QHttp::requestFinished$$
    {21, 940, 774},	// QHttp::requestStarted$
    {21, 943, 770},	// QHttp::responseHeaderReceived#
    {21, 1015, 787},	// QHttp::setHost$
    {21, 1016, -437},	// QHttp::setHost$$
    {21, 1017, 741},	// QHttp::setHost$$$
    {21, 1086, 745},	// QHttp::setProxy#
    {21, 1087, 790},	// QHttp::setProxy$$
    {21, 1088, 791},	// QHttp::setProxy$$$
    {21, 1089, 744},	// QHttp::setProxy$$$$
    {21, 1116, 742},	// QHttp::setSocket#
    {21, 1148, 789},	// QHttp::setUser$
    {21, 1149, 743},	// QHttp::setUser$$
    {21, 1167, 779},	// QHttp::sslErrors?
    {21, 1170, 764},	// QHttp::state
    {21, 1172, 769},	// QHttp::stateChanged$
    {21, 1173, 798},	// QHttp::staticMetaObject
    {21, 1195, 780},	// QHttp::tr$
    {21, 1196, 732},	// QHttp::tr$$
    {21, 1197, 734},	// QHttp::tr$$$
    {21, 1199, 781},	// QHttp::trUtf8$
    {21, 1200, 733},	// QHttp::trUtf8$$
    {21, 1201, 735},	// QHttp::trUtf8$$$
    {21, 1238, 818},	// QHttp::~QHttp
    {22, 161, 819},	// QHttpHeader::QHttpHeader
    {22, 162, 820},	// QHttpHeader::QHttpHeader#
    {22, 163, 821},	// QHttpHeader::QHttpHeader$
    {22, 356, 825},	// QHttpHeader::addValue$$
    {22, 364, 830},	// QHttpHeader::allValues$
    {22, 422, 834},	// QHttpHeader::contentLength
    {22, 423, 837},	// QHttpHeader::contentType
    {22, 509, 833},	// QHttpHeader::hasContentLength
    {22, 510, 836},	// QHttpHeader::hasContentType
    {22, 512, 827},	// QHttpHeader::hasKey$
    {22, 559, 840},	// QHttpHeader::isValid
    {22, 565, 828},	// QHttpHeader::keys
    {22, 591, 841},	// QHttpHeader::majorVersion
    {22, 600, 842},	// QHttpHeader::minorVersion
    {22, 649, 822},	// QHttpHeader::operator=#
    {22, 682, 844},	// QHttpHeader::parse$
    {22, 686, 843},	// QHttpHeader::parseLine$$
    {22, 926, 832},	// QHttpHeader::removeAllValues$
    {22, 930, 831},	// QHttpHeader::removeValue$
    {22, 984, 835},	// QHttpHeader::setContentLength$
    {22, 986, 838},	// QHttpHeader::setContentType$
    {22, 1151, 845},	// QHttpHeader::setValid$
    {22, 1154, 823},	// QHttpHeader::setValue$$
    {22, 1156, 824},	// QHttpHeader::setValues?
    {22, 1193, 839},	// QHttpHeader::toString
    {22, 1211, 829},	// QHttpHeader::value$
    {22, 1212, 826},	// QHttpHeader::values
    {22, 1239, 846},	// QHttpHeader::~QHttpHeader
    {23, 164, 847},	// QHttpRequestHeader::QHttpRequestHeader
    {23, 165, 849},	// QHttpRequestHeader::QHttpRequestHeader#
    {23, 166, 850},	// QHttpRequestHeader::QHttpRequestHeader$
    {23, 167, 859},	// QHttpRequestHeader::QHttpRequestHeader$$
    {23, 168, 860},	// QHttpRequestHeader::QHttpRequestHeader$$$
    {23, 169, 848},	// QHttpRequestHeader::QHttpRequestHeader$$$$
    {23, 591, 855},	// QHttpRequestHeader::majorVersion
    {23, 599, 853},	// QHttpRequestHeader::method
    {23, 600, 856},	// QHttpRequestHeader::minorVersion
    {23, 649, 851},	// QHttpRequestHeader::operator=#
    {23, 686, 858},	// QHttpRequestHeader::parseLine$$
    {23, 690, 854},	// QHttpRequestHeader::path
    {23, 1104, 861},	// QHttpRequestHeader::setRequest$$
    {23, 1105, 862},	// QHttpRequestHeader::setRequest$$$
    {23, 1106, 852},	// QHttpRequestHeader::setRequest$$$$
    {23, 1193, 857},	// QHttpRequestHeader::toString
    {23, 1240, 863},	// QHttpRequestHeader::~QHttpRequestHeader
    {24, 170, 864},	// QHttpResponseHeader::QHttpResponseHeader
    {24, 171, 865},	// QHttpResponseHeader::QHttpResponseHeader#
    {24, 172, -376},	// QHttpResponseHeader::QHttpResponseHeader$
    {24, 173, 877},	// QHttpResponseHeader::QHttpResponseHeader$$
    {24, 174, 878},	// QHttpResponseHeader::QHttpResponseHeader$$$
    {24, 175, 867},	// QHttpResponseHeader::QHttpResponseHeader$$$$
    {24, 591, 872},	// QHttpResponseHeader::majorVersion
    {24, 600, 873},	// QHttpResponseHeader::minorVersion
    {24, 649, 868},	// QHttpResponseHeader::operator=#
    {24, 686, 875},	// QHttpResponseHeader::parseLine$$
    {24, 921, 871},	// QHttpResponseHeader::reasonPhrase
    {24, 1133, 879},	// QHttpResponseHeader::setStatusLine$
    {24, 1134, 880},	// QHttpResponseHeader::setStatusLine$$
    {24, 1135, 881},	// QHttpResponseHeader::setStatusLine$$$
    {24, 1136, 869},	// QHttpResponseHeader::setStatusLine$$$$
    {24, 1174, 870},	// QHttpResponseHeader::statusCode
    {24, 1193, 874},	// QHttpResponseHeader::toString
    {24, 1241, 882},	// QHttpResponseHeader::~QHttpResponseHeader
    {26, 176, 906},	// QIPv6Address::QIPv6Address
    {26, 177, 907},	// QIPv6Address::QIPv6Address#
    {26, 673, -385},	// QIPv6Address::operator[]$
    {26, 1242, 908},	// QIPv6Address::~QIPv6Address
    {31, 178, 934},	// QLocalServer::QLocalServer
    {31, 179, 917},	// QLocalServer::QLocalServer#
    {31, 398, 918},	// QLocalServer::close
    {31, 474, 919},	// QLocalServer::errorString
    {31, 498, 926},	// QLocalServer::fullServerName
    {31, 514, 920},	// QLocalServer::hasPendingConnections
    {31, 531, 931},	// QLocalServer::incomingConnection?
    {31, 550, 921},	// QLocalServer::isListening
    {31, 579, 922},	// QLocalServer::listen$
    {31, 593, 923},	// QLocalServer::maxPendingConnections
    {31, 598, 909},	// QLocalServer::metaObject
    {31, 608, 916},	// QLocalServer::newConnection
    {31, 609, 924},	// QLocalServer::nextPendingConnection
    {31, 883, 915},	// QLocalServer::qt_metacall$$?
    {31, 885, 910},	// QLocalServer::qt_metacast$
    {31, 928, 927},	// QLocalServer::removeServer$
    {31, 951, 928},	// QLocalServer::serverError
    {31, 952, 925},	// QLocalServer::serverName
    {31, 1039, 929},	// QLocalServer::setMaxPendingConnections$
    {31, 1173, 937},	// QLocalServer::staticMetaObject
    {31, 1195, 932},	// QLocalServer::tr$
    {31, 1196, 911},	// QLocalServer::tr$$
    {31, 1197, 913},	// QLocalServer::tr$$$
    {31, 1199, 933},	// QLocalServer::trUtf8$
    {31, 1200, 912},	// QLocalServer::trUtf8$$
    {31, 1201, 914},	// QLocalServer::trUtf8$$$
    {31, 1222, 935},	// QLocalServer::waitForNewConnection
    {31, 1223, 936},	// QLocalServer::waitForNewConnection$
    {31, 1224, 930},	// QLocalServer::waitForNewConnection$$
    {31, 1243, 938},	// QLocalServer::~QLocalServer
    {32, 31, 999},	// QLocalSocket::ClosingState
    {32, 35, 998},	// QLocalSocket::ConnectedState
    {32, 37, 997},	// QLocalSocket::ConnectingState
    {32, 39, 993},	// QLocalSocket::ConnectionError
    {32, 43, 986},	// QLocalSocket::ConnectionRefusedError
    {32, 52, 992},	// QLocalSocket::DatagramTooLargeError
    {32, 121, 987},	// QLocalSocket::PeerClosedError
    {32, 180, 977},	// QLocalSocket::QLocalSocket
    {32, 181, 946},	// QLocalSocket::QLocalSocket#
    {32, 270, 988},	// QLocalSocket::ServerNotFoundError
    {32, 275, 989},	// QLocalSocket::SocketAccessError
    {32, 277, 990},	// QLocalSocket::SocketResourceError
    {32, 278, 991},	// QLocalSocket::SocketTimeoutError
    {32, 304, 996},	// QLocalSocket::UnconnectedState
    {32, 315, 995},	// QLocalSocket::UnknownSocketError
    {32, 318, 994},	// QLocalSocket::UnsupportedSocketOperationError
    {32, 338, 951},	// QLocalSocket::abort
    {32, 382, 953},	// QLocalSocket::bytesAvailable
    {32, 383, 954},	// QLocalSocket::bytesToWrite
    {32, 388, 955},	// QLocalSocket::canReadLine
    {32, 398, 956},	// QLocalSocket::close
    {32, 419, 978},	// QLocalSocket::connectToServer$
    {32, 420, 947},	// QLocalSocket::connectToServer$$
    {32, 421, 969},	// QLocalSocket::connected
    {32, 455, 948},	// QLocalSocket::disconnectFromServer
    {32, 457, 970},	// QLocalSocket::disconnected
    {32, 472, 957},	// QLocalSocket::error
    {32, 473, 971},	// QLocalSocket::error$
    {32, 485, 958},	// QLocalSocket::flush
    {32, 498, 950},	// QLocalSocket::fullServerName
    {32, 555, 952},	// QLocalSocket::isSequential
    {32, 559, 959},	// QLocalSocket::isValid
    {32, 598, 939},	// QLocalSocket::metaObject
    {32, 883, 945},	// QLocalSocket::qt_metacall$$?
    {32, 885, 940},	// QLocalSocket::qt_metacast$
    {32, 909, 960},	// QLocalSocket::readBufferSize
    {32, 911, 973},	// QLocalSocket::readData$$
    {32, 952, 949},	// QLocalSocket::serverName
    {32, 1099, 961},	// QLocalSocket::setReadBufferSize$
    {32, 1121, 979},	// QLocalSocket::setSocketDescriptor?
    {32, 1122, 980},	// QLocalSocket::setSocketDescriptor?$
    {32, 1123, 962},	// QLocalSocket::setSocketDescriptor?$$
    {32, 1160, 963},	// QLocalSocket::socketDescriptor
    {32, 1170, 964},	// QLocalSocket::state
    {32, 1172, 972},	// QLocalSocket::stateChanged$
    {32, 1173, 985},	// QLocalSocket::staticMetaObject
    {32, 1195, 975},	// QLocalSocket::tr$
    {32, 1196, 941},	// QLocalSocket::tr$$
    {32, 1197, 943},	// QLocalSocket::tr$$$
    {32, 1199, 976},	// QLocalSocket::trUtf8$
    {32, 1200, 942},	// QLocalSocket::trUtf8$$
    {32, 1201, 944},	// QLocalSocket::trUtf8$$$
    {32, 1214, 981},	// QLocalSocket::waitForBytesWritten
    {32, 1215, 965},	// QLocalSocket::waitForBytesWritten$
    {32, 1216, 982},	// QLocalSocket::waitForConnected
    {32, 1217, 966},	// QLocalSocket::waitForConnected$
    {32, 1218, 983},	// QLocalSocket::waitForDisconnected
    {32, 1219, 967},	// QLocalSocket::waitForDisconnected$
    {32, 1225, 984},	// QLocalSocket::waitForReadyRead
    {32, 1226, 968},	// QLocalSocket::waitForReadyRead$
    {32, 1228, 974},	// QLocalSocket::writeData$$
    {32, 1244, 1000},	// QLocalSocket::~QLocalSocket
    {37, 55, 1038},	// QNetworkAccessManager::DeleteOperation
    {37, 68, 1035},	// QNetworkAccessManager::GetOperation
    {37, 69, 1034},	// QNetworkAccessManager::HeadOperation
    {37, 123, 1037},	// QNetworkAccessManager::PostOperation
    {37, 139, 1036},	// QNetworkAccessManager::PutOperation
    {37, 182, 1031},	// QNetworkAccessManager::QNetworkAccessManager
    {37, 183, 1008},	// QNetworkAccessManager::QNetworkAccessManager#
    {37, 312, 1039},	// QNetworkAccessManager::UnknownOperation
    {37, 374, 1025},	// QNetworkAccessManager::authenticationRequired##
    {37, 385, 1013},	// QNetworkAccessManager::cache
    {37, 424, 1015},	// QNetworkAccessManager::cookieJar
    {37, 428, 1032},	// QNetworkAccessManager::createRequest$#
    {37, 429, 1028},	// QNetworkAccessManager::createRequest$##
    {37, 449, 1023},	// QNetworkAccessManager::deleteResource#
    {37, 483, 1026},	// QNetworkAccessManager::finished#
    {37, 500, 1018},	// QNetworkAccessManager::get#
    {37, 520, 1017},	// QNetworkAccessManager::head#
    {37, 598, 1001},	// QNetworkAccessManager::metaObject
    {37, 706, -404},	// QNetworkAccessManager::post##
    {37, 716, 1009},	// QNetworkAccessManager::proxy
    {37, 718, 1024},	// QNetworkAccessManager::proxyAuthenticationRequired##
    {37, 719, 1011},	// QNetworkAccessManager::proxyFactory
    {37, 724, -407},	// QNetworkAccessManager::put##
    {37, 883, 1007},	// QNetworkAccessManager::qt_metacall$$?
    {37, 885, 1002},	// QNetworkAccessManager::qt_metacast$
    {37, 975, 1014},	// QNetworkAccessManager::setCache#
    {37, 988, 1016},	// QNetworkAccessManager::setCookieJar#
    {37, 1086, 1010},	// QNetworkAccessManager::setProxy#
    {37, 1091, 1012},	// QNetworkAccessManager::setProxyFactory#
    {37, 1166, 1027},	// QNetworkAccessManager::sslErrors#?
    {37, 1173, 1033},	// QNetworkAccessManager::staticMetaObject
    {37, 1195, 1029},	// QNetworkAccessManager::tr$
    {37, 1196, 1003},	// QNetworkAccessManager::tr$$
    {37, 1197, 1005},	// QNetworkAccessManager::tr$$$
    {37, 1199, 1030},	// QNetworkAccessManager::trUtf8$
    {37, 1200, 1004},	// QNetworkAccessManager::trUtf8$$
    {37, 1201, 1006},	// QNetworkAccessManager::trUtf8$$$
    {37, 1245, 1040},	// QNetworkAccessManager::~QNetworkAccessManager
    {38, 184, 1041},	// QNetworkAddressEntry::QNetworkAddressEntry
    {38, 185, 1042},	// QNetworkAddressEntry::QNetworkAddressEntry#
    {38, 381, 1052},	// QNetworkAddressEntry::broadcast
    {38, 539, 1046},	// QNetworkAddressEntry::ip
    {38, 607, 1048},	// QNetworkAddressEntry::netmask
    {38, 613, 1045},	// QNetworkAddressEntry::operator!=#
    {38, 649, 1043},	// QNetworkAddressEntry::operator=#
    {38, 652, 1044},	// QNetworkAddressEntry::operator==#
    {38, 709, 1050},	// QNetworkAddressEntry::prefixLength
    {38, 971, 1053},	// QNetworkAddressEntry::setBroadcast#
    {38, 1023, 1047},	// QNetworkAddressEntry::setIp#
    {38, 1046, 1049},	// QNetworkAddressEntry::setNetmask#
    {38, 1074, 1051},	// QNetworkAddressEntry::setPrefixLength$
    {38, 1246, 1054},	// QNetworkAddressEntry::~QNetworkAddressEntry
    {39, 186, 1055},	// QNetworkCacheMetaData::QNetworkCacheMetaData
    {39, 187, 1056},	// QNetworkCacheMetaData::QNetworkCacheMetaData#
    {39, 371, 1071},	// QNetworkCacheMetaData::attributes
    {39, 477, 1067},	// QNetworkCacheMetaData::expirationDate
    {39, 559, 1060},	// QNetworkCacheMetaData::isValid
    {39, 566, 1065},	// QNetworkCacheMetaData::lastModified
    {39, 613, 1059},	// QNetworkCacheMetaData::operator!=#
    {39, 649, 1057},	// QNetworkCacheMetaData::operator=#
    {39, 652, 1058},	// QNetworkCacheMetaData::operator==#
    {39, 905, 1063},	// QNetworkCacheMetaData::rawHeaders
    {39, 946, 1069},	// QNetworkCacheMetaData::saveToDisk
    {39, 969, 1072},	// QNetworkCacheMetaData::setAttributes?
    {39, 1007, 1068},	// QNetworkCacheMetaData::setExpirationDate#
    {39, 1025, 1066},	// QNetworkCacheMetaData::setLastModified#
    {39, 1097, 1064},	// QNetworkCacheMetaData::setRawHeaders?
    {39, 1108, 1070},	// QNetworkCacheMetaData::setSaveToDisk$
    {39, 1144, 1062},	// QNetworkCacheMetaData::setUrl#
    {39, 1207, 1061},	// QNetworkCacheMetaData::url
    {39, 1247, 1073},	// QNetworkCacheMetaData::~QNetworkCacheMetaData
    {40, 66, 1100},	// QNetworkCookie::Full
    {40, 106, 1099},	// QNetworkCookie::NameAndValueOnly
    {40, 188, 1096},	// QNetworkCookie::QNetworkCookie
    {40, 189, -370},	// QNetworkCookie::QNetworkCookie#
    {40, 190, 1074},	// QNetworkCookie::QNetworkCookie##
    {40, 458, 1086},	// QNetworkCookie::domain
    {40, 477, 1084},	// QNetworkCookie::expirationDate
    {40, 546, 1081},	// QNetworkCookie::isHttpOnly
    {40, 554, 1079},	// QNetworkCookie::isSecure
    {40, 556, 1083},	// QNetworkCookie::isSessionCookie
    {40, 606, 1090},	// QNetworkCookie::name
    {40, 613, 1078},	// QNetworkCookie::operator!=#
    {40, 649, 1076},	// QNetworkCookie::operator=#
    {40, 652, 1077},	// QNetworkCookie::operator==#
    {40, 684, 1095},	// QNetworkCookie::parseCookies#
    {40, 690, 1088},	// QNetworkCookie::path
    {40, 1000, 1087},	// QNetworkCookie::setDomain$
    {40, 1007, 1085},	// QNetworkCookie::setExpirationDate#
    {40, 1021, 1082},	// QNetworkCookie::setHttpOnly$
    {40, 1043, 1091},	// QNetworkCookie::setName#
    {40, 1056, 1089},	// QNetworkCookie::setPath$
    {40, 1112, 1080},	// QNetworkCookie::setSecure$
    {40, 1153, 1093},	// QNetworkCookie::setValue#
    {40, 1191, 1098},	// QNetworkCookie::toRawForm
    {40, 1192, 1094},	// QNetworkCookie::toRawForm$
    {40, 1210, 1092},	// QNetworkCookie::value
    {40, 1248, 1101},	// QNetworkCookie::~QNetworkCookie
    {41, 191, 1116},	// QNetworkCookieJar::QNetworkCookieJar
    {41, 192, 1109},	// QNetworkCookieJar::QNetworkCookieJar#
    {41, 361, 1112},	// QNetworkCookieJar::allCookies
    {41, 426, 1110},	// QNetworkCookieJar::cookiesForUrl#
    {41, 598, 1102},	// QNetworkCookieJar::metaObject
    {41, 883, 1108},	// QNetworkCookieJar::qt_metacall$$?
    {41, 885, 1103},	// QNetworkCookieJar::qt_metacast$
    {41, 961, 1113},	// QNetworkCookieJar::setAllCookies?
    {41, 990, 1111},	// QNetworkCookieJar::setCookiesFromUrl?#
    {41, 1173, 1117},	// QNetworkCookieJar::staticMetaObject
    {41, 1195, 1114},	// QNetworkCookieJar::tr$
    {41, 1196, 1104},	// QNetworkCookieJar::tr$$
    {41, 1197, 1106},	// QNetworkCookieJar::tr$$$
    {41, 1199, 1115},	// QNetworkCookieJar::trUtf8$
    {41, 1200, 1105},	// QNetworkCookieJar::trUtf8$$
    {41, 1201, 1107},	// QNetworkCookieJar::trUtf8$$$
    {41, 1249, 1118},	// QNetworkCookieJar::~QNetworkCookieJar
    {42, 193, 1143},	// QNetworkDiskCache::QNetworkDiskCache
    {42, 194, 1126},	// QNetworkDiskCache::QNetworkDiskCache#
    {42, 386, 1127},	// QNetworkDiskCache::cacheDirectory
    {42, 387, 1131},	// QNetworkDiskCache::cacheSize
    {42, 395, 1139},	// QNetworkDiskCache::clear
    {42, 438, 1134},	// QNetworkDiskCache::data#
    {42, 478, 1140},	// QNetworkDiskCache::expire
    {42, 481, 1138},	// QNetworkDiskCache::fileMetaData$
    {42, 534, 1137},	// QNetworkDiskCache::insert#
    {42, 594, 1129},	// QNetworkDiskCache::maximumCacheSize
    {42, 596, 1132},	// QNetworkDiskCache::metaData#
    {42, 598, 1119},	// QNetworkDiskCache::metaObject
    {42, 711, 1136},	// QNetworkDiskCache::prepare#
    {42, 883, 1125},	// QNetworkDiskCache::qt_metacall$$?
    {42, 885, 1120},	// QNetworkDiskCache::qt_metacast$
    {42, 923, 1135},	// QNetworkDiskCache::remove#
    {42, 977, 1128},	// QNetworkDiskCache::setCacheDirectory$
    {42, 1041, 1130},	// QNetworkDiskCache::setMaximumCacheSize$
    {42, 1173, 1144},	// QNetworkDiskCache::staticMetaObject
    {42, 1195, 1141},	// QNetworkDiskCache::tr$
    {42, 1196, 1121},	// QNetworkDiskCache::tr$$
    {42, 1197, 1123},	// QNetworkDiskCache::tr$$$
    {42, 1199, 1142},	// QNetworkDiskCache::trUtf8$
    {42, 1200, 1122},	// QNetworkDiskCache::trUtf8$$
    {42, 1201, 1124},	// QNetworkDiskCache::trUtf8$$$
    {42, 1204, 1133},	// QNetworkDiskCache::updateMetaData#
    {42, 1250, 1145},	// QNetworkDiskCache::~QNetworkDiskCache
    {43, 20, 1162},	// QNetworkInterface::CanBroadcast
    {43, 21, 1165},	// QNetworkInterface::CanMulticast
    {43, 89, 1163},	// QNetworkInterface::IsLoopBack
    {43, 90, 1164},	// QNetworkInterface::IsPointToPoint
    {43, 91, 1161},	// QNetworkInterface::IsRunning
    {43, 92, 1160},	// QNetworkInterface::IsUp
    {43, 195, 1146},	// QNetworkInterface::QNetworkInterface
    {43, 196, 1147},	// QNetworkInterface::QNetworkInterface#
    {43, 357, 1155},	// QNetworkInterface::addressEntries
    {43, 360, 1159},	// QNetworkInterface::allAddresses
    {43, 362, 1158},	// QNetworkInterface::allInterfaces
    {43, 484, 1153},	// QNetworkInterface::flags
    {43, 508, 1154},	// QNetworkInterface::hardwareAddress
    {43, 526, 1152},	// QNetworkInterface::humanReadableName
    {43, 532, 1150},	// QNetworkInterface::index
    {43, 536, 1157},	// QNetworkInterface::interfaceFromIndex$
    {43, 538, 1156},	// QNetworkInterface::interfaceFromName$
    {43, 559, 1149},	// QNetworkInterface::isValid
    {43, 606, 1151},	// QNetworkInterface::name
    {43, 649, 1148},	// QNetworkInterface::operator=#
    {43, 1251, 1166},	// QNetworkInterface::~QNetworkInterface
    {44, 19, 1202},	// QNetworkProxy::CachingCapability
    {44, 54, 1193},	// QNetworkProxy::DefaultProxy
    {44, 65, 1198},	// QNetworkProxy::FtpCachingProxy
    {44, 72, 1203},	// QNetworkProxy::HostNameLookupCapability
    {44, 76, 1197},	// QNetworkProxy::HttpCachingProxy
    {44, 79, 1196},	// QNetworkProxy::HttpProxy
    {44, 96, 1200},	// QNetworkProxy::ListeningCapability
    {44, 110, 1195},	// QNetworkProxy::NoProxy
    {44, 197, 1167},	// QNetworkProxy::QNetworkProxy
    {44, 198, 1169},	// QNetworkProxy::QNetworkProxy#
    {44, 199, 1189},	// QNetworkProxy::QNetworkProxy$
    {44, 200, 1190},	// QNetworkProxy::QNetworkProxy$$
    {44, 201, 1191},	// QNetworkProxy::QNetworkProxy$$$
    {44, 202, 1192},	// QNetworkProxy::QNetworkProxy$$$$
    {44, 203, 1168},	// QNetworkProxy::QNetworkProxy$$$$$
    {44, 279, 1194},	// QNetworkProxy::Socks5Proxy
    {44, 294, 1199},	// QNetworkProxy::TunnelingCapability
    {44, 296, 1201},	// QNetworkProxy::UdpTunnelingCapability
    {44, 366, 1188},	// QNetworkProxy::applicationProxy
    {44, 389, 1176},	// QNetworkProxy::capabilities
    {44, 525, 1184},	// QNetworkProxy::hostName
    {44, 540, 1177},	// QNetworkProxy::isCachingProxy
    {44, 558, 1178},	// QNetworkProxy::isTransparentProxy
    {44, 613, 1172},	// QNetworkProxy::operator!=#
    {44, 649, 1170},	// QNetworkProxy::operator=#
    {44, 652, 1171},	// QNetworkProxy::operator==#
    {44, 689, 1182},	// QNetworkProxy::password
    {44, 703, 1186},	// QNetworkProxy::port
    {44, 963, 1187},	// QNetworkProxy::setApplicationProxy#
    {44, 979, 1175},	// QNetworkProxy::setCapabilities$
    {44, 1019, 1183},	// QNetworkProxy::setHostName$
    {44, 1054, 1181},	// QNetworkProxy::setPassword$
    {44, 1072, 1185},	// QNetworkProxy::setPort$
    {44, 1142, 1173},	// QNetworkProxy::setType$
    {44, 1148, 1179},	// QNetworkProxy::setUser$
    {44, 1202, 1174},	// QNetworkProxy::type
    {44, 1209, 1180},	// QNetworkProxy::user
    {44, 1252, 1204},	// QNetworkProxy::~QNetworkProxy
    {45, 204, 1205},	// QNetworkProxyFactory::QNetworkProxyFactory
    {45, 205, 1211},	// QNetworkProxyFactory::QNetworkProxyFactory#
    {45, 721, 1209},	// QNetworkProxyFactory::proxyForQuery#
    {45, 891, 1212},	// QNetworkProxyFactory::queryProxy
    {45, 892, 1206},	// QNetworkProxyFactory::queryProxy#
    {45, 965, 1208},	// QNetworkProxyFactory::setApplicationProxyFactory#
    {45, 1146, 1207},	// QNetworkProxyFactory::setUseSystemConfiguration$
    {45, 1182, 1213},	// QNetworkProxyFactory::systemProxyForQuery
    {45, 1183, 1210},	// QNetworkProxyFactory::systemProxyForQuery#
    {45, 1253, 1214},	// QNetworkProxyFactory::~QNetworkProxyFactory
    {46, 206, 1215},	// QNetworkProxyQuery::QNetworkProxyQuery
    {46, 207, -395},	// QNetworkProxyQuery::QNetworkProxyQuery#
    {46, 208, 1216},	// QNetworkProxyQuery::QNetworkProxyQuery#$
    {46, 209, 1238},	// QNetworkProxyQuery::QNetworkProxyQuery$
    {46, 210, -398},	// QNetworkProxyQuery::QNetworkProxyQuery$$
    {46, 211, -401},	// QNetworkProxyQuery::QNetworkProxyQuery$$$
    {46, 212, 1217},	// QNetworkProxyQuery::QNetworkProxyQuery$$$$
    {46, 288, 1242},	// QNetworkProxyQuery::TcpServer
    {46, 289, 1240},	// QNetworkProxyQuery::TcpSocket
    {46, 295, 1241},	// QNetworkProxyQuery::UdpSocket
    {46, 319, 1243},	// QNetworkProxyQuery::UrlRequest
    {46, 584, 1229},	// QNetworkProxyQuery::localPort
    {46, 613, 1222},	// QNetworkProxyQuery::operator!=#
    {46, 649, 1220},	// QNetworkProxyQuery::operator=#
    {46, 652, 1221},	// QNetworkProxyQuery::operator==#
    {46, 694, 1227},	// QNetworkProxyQuery::peerHostName
    {46, 696, 1225},	// QNetworkProxyQuery::peerPort
    {46, 715, 1231},	// QNetworkProxyQuery::protocolTag
    {46, 893, 1223},	// QNetworkProxyQuery::queryType
    {46, 1035, 1230},	// QNetworkProxyQuery::setLocalPort$
    {46, 1060, 1228},	// QNetworkProxyQuery::setPeerHostName$
    {46, 1064, 1226},	// QNetworkProxyQuery::setPeerPort$
    {46, 1084, 1232},	// QNetworkProxyQuery::setProtocolTag$
    {46, 1093, 1224},	// QNetworkProxyQuery::setQueryType$
    {46, 1144, 1234},	// QNetworkProxyQuery::setUrl#
    {46, 1207, 1233},	// QNetworkProxyQuery::url
    {46, 1254, 1244},	// QNetworkProxyQuery::~QNetworkProxyQuery
    {47, 11, 1309},	// QNetworkReply::AuthenticationRequiredError
    {47, 43, 1293},	// QNetworkReply::ConnectionRefusedError
    {47, 44, 1306},	// QNetworkReply::ContentAccessDenied
    {47, 46, 1308},	// QNetworkReply::ContentNotFoundError
    {47, 47, 1307},	// QNetworkReply::ContentOperationNotPermittedError
    {47, 48, 1310},	// QNetworkReply::ContentReSendError
    {47, 75, 1295},	// QNetworkReply::HostNotFoundError
    {47, 108, 1292},	// QNetworkReply::NoError
    {47, 116, 1297},	// QNetworkReply::OperationCanceledError
    {47, 127, 1314},	// QNetworkReply::ProtocolFailure
    {47, 128, 1313},	// QNetworkReply::ProtocolInvalidOperationError
    {47, 129, 1312},	// QNetworkReply::ProtocolUnknownError
    {47, 130, 1304},	// QNetworkReply::ProxyAuthenticationRequiredError
    {47, 131, 1301},	// QNetworkReply::ProxyConnectionClosedError
    {47, 132, 1300},	// QNetworkReply::ProxyConnectionRefusedError
    {47, 134, 1302},	// QNetworkReply::ProxyNotFoundError
    {47, 136, 1303},	// QNetworkReply::ProxyTimeoutError
    {47, 213, 1290},	// QNetworkReply::QNetworkReply
    {47, 214, 1279},	// QNetworkReply::QNetworkReply#
    {47, 261, 1294},	// QNetworkReply::RemoteHostClosedError
    {47, 282, 1298},	// QNetworkReply::SslHandshakeFailedError
    {47, 291, 1296},	// QNetworkReply::TimeoutError
    {47, 308, 1311},	// QNetworkReply::UnknownContentError
    {47, 310, 1299},	// QNetworkReply::UnknownNetworkError
    {47, 314, 1305},	// QNetworkReply::UnknownProxyError
    {47, 338, 1252},	// QNetworkReply::abort
    {47, 369, 1268},	// QNetworkReply::attribute$
    {47, 398, 1253},	// QNetworkReply::close
    {47, 462, 1278},	// QNetworkReply::downloadProgress$$
    {47, 472, 1260},	// QNetworkReply::error
    {47, 473, 1275},	// QNetworkReply::error$
    {47, 482, 1274},	// QNetworkReply::finished
    {47, 518, 1265},	// QNetworkReply::hasRawHeader#
    {47, 523, 1264},	// QNetworkReply::header$
    {47, 527, 1272},	// QNetworkReply::ignoreSslErrors
    {47, 528, 1271},	// QNetworkReply::ignoreSslErrors?
    {47, 545, 1261},	// QNetworkReply::isFinished
    {47, 553, 1262},	// QNetworkReply::isRunning
    {47, 555, 1254},	// QNetworkReply::isSequential
    {47, 592, 1257},	// QNetworkReply::manager
    {47, 597, 1273},	// QNetworkReply::metaDataChanged
    {47, 598, 1245},	// QNetworkReply::metaObject
    {47, 611, 1258},	// QNetworkReply::operation
    {47, 883, 1251},	// QNetworkReply::qt_metacall$$?
    {47, 885, 1246},	// QNetworkReply::qt_metacast$
    {47, 903, 1267},	// QNetworkReply::rawHeader#
    {47, 904, 1266},	// QNetworkReply::rawHeaderList
    {47, 909, 1255},	// QNetworkReply::readBufferSize
    {47, 933, 1259},	// QNetworkReply::request
    {47, 967, 1287},	// QNetworkReply::setAttribute$#
    {47, 1003, 1283},	// QNetworkReply::setError$$
    {47, 1013, 1285},	// QNetworkReply::setHeader$#
    {47, 1048, 1281},	// QNetworkReply::setOperation$
    {47, 1095, 1286},	// QNetworkReply::setRawHeader##
    {47, 1099, 1256},	// QNetworkReply::setReadBufferSize$
    {47, 1103, 1282},	// QNetworkReply::setRequest#
    {47, 1131, 1270},	// QNetworkReply::setSslConfiguration#
    {47, 1144, 1284},	// QNetworkReply::setUrl#
    {47, 1164, 1269},	// QNetworkReply::sslConfiguration
    {47, 1167, 1276},	// QNetworkReply::sslErrors?
    {47, 1173, 1291},	// QNetworkReply::staticMetaObject
    {47, 1195, 1288},	// QNetworkReply::tr$
    {47, 1196, 1247},	// QNetworkReply::tr$$
    {47, 1197, 1249},	// QNetworkReply::tr$$$
    {47, 1199, 1289},	// QNetworkReply::trUtf8$
    {47, 1200, 1248},	// QNetworkReply::trUtf8$$
    {47, 1201, 1250},	// QNetworkReply::trUtf8$$$
    {47, 1206, 1277},	// QNetworkReply::uploadProgress$$
    {47, 1207, 1263},	// QNetworkReply::url
    {47, 1228, 1280},	// QNetworkReply::writeData$$
    {47, 1255, 1315},	// QNetworkReply::~QNetworkReply
    {48, 4, 1358},	// QNetworkRequest::AlwaysCache
    {48, 5, 1355},	// QNetworkRequest::AlwaysNetwork
    {48, 17, 1347},	// QNetworkRequest::CacheLoadControlAttribute
    {48, 18, 1348},	// QNetworkRequest::CacheSaveControlAttribute
    {48, 38, 1346},	// QNetworkRequest::ConnectionEncryptedAttribute
    {48, 45, 1338},	// QNetworkRequest::ContentLengthHeader
    {48, 49, 1337},	// QNetworkRequest::ContentTypeHeader
    {48, 50, 1341},	// QNetworkRequest::CookieHeader
    {48, 58, 1350},	// QNetworkRequest::DoNotBufferUploadDataAttribute
    {48, 77, 1351},	// QNetworkRequest::HttpPipeliningAllowedAttribute
    {48, 78, 1352},	// QNetworkRequest::HttpPipeliningWasUsedAttribute
    {48, 80, 1344},	// QNetworkRequest::HttpReasonPhraseAttribute
    {48, 81, 1343},	// QNetworkRequest::HttpStatusCodeAttribute
    {48, 94, 1340},	// QNetworkRequest::LastModifiedHeader
    {48, 101, 1339},	// QNetworkRequest::LocationHeader
    {48, 124, 1357},	// QNetworkRequest::PreferCache
    {48, 125, 1356},	// QNetworkRequest::PreferNetwork
    {48, 215, 1335},	// QNetworkRequest::QNetworkRequest
    {48, 216, -367},	// QNetworkRequest::QNetworkRequest#
    {48, 260, 1345},	// QNetworkRequest::RedirectionTargetAttribute
    {48, 271, 1342},	// QNetworkRequest::SetCookieHeader
    {48, 280, 1349},	// QNetworkRequest::SourceIsFromCacheAttribute
    {48, 320, 1353},	// QNetworkRequest::User
    {48, 321, 1354},	// QNetworkRequest::UserMax
    {48, 369, 1336},	// QNetworkRequest::attribute$
    {48, 370, 1329},	// QNetworkRequest::attribute$#
    {48, 518, 1325},	// QNetworkRequest::hasRawHeader#
    {48, 523, 1323},	// QNetworkRequest::header$
    {48, 613, 1320},	// QNetworkRequest::operator!=#
    {48, 649, 1318},	// QNetworkRequest::operator=#
    {48, 652, 1319},	// QNetworkRequest::operator==#
    {48, 679, 1334},	// QNetworkRequest::originatingObject
    {48, 903, 1327},	// QNetworkRequest::rawHeader#
    {48, 904, 1326},	// QNetworkRequest::rawHeaderList
    {48, 967, 1330},	// QNetworkRequest::setAttribute$#
    {48, 1013, 1324},	// QNetworkRequest::setHeader$#
    {48, 1050, 1333},	// QNetworkRequest::setOriginatingObject#
    {48, 1095, 1328},	// QNetworkRequest::setRawHeader##
    {48, 1131, 1332},	// QNetworkRequest::setSslConfiguration#
    {48, 1144, 1322},	// QNetworkRequest::setUrl#
    {48, 1164, 1331},	// QNetworkRequest::sslConfiguration
    {48, 1207, 1321},	// QNetworkRequest::url
    {48, 1256, 1359},	// QNetworkRequest::~QNetworkRequest
    {58, 8, 1374},	// QSsl::AnyProtocol
    {58, 56, 1370},	// QSsl::Der
    {58, 57, 1377},	// QSsl::DnsEntry
    {58, 60, 1368},	// QSsl::Dsa
    {58, 61, 1376},	// QSsl::EmailEntry
    {58, 122, 1369},	// QSsl::Pem
    {58, 126, 1378},	// QSsl::PrivateKey
    {58, 137, 1379},	// QSsl::PublicKey
    {58, 266, 1367},	// QSsl::Rsa
    {58, 284, 1372},	// QSsl::SslV2
    {58, 285, 1371},	// QSsl::SslV3
    {58, 292, 1373},	// QSsl::TlsV1
    {58, 313, 1375},	// QSsl::UnknownProtocol
    {59, 32, 1415},	// QSslCertificate::CommonName
    {59, 51, 1418},	// QSslCertificate::CountryName
    {59, 100, 1416},	// QSslCertificate::LocalityName
    {59, 117, 1414},	// QSslCertificate::Organization
    {59, 118, 1417},	// QSslCertificate::OrganizationalUnitName
    {59, 217, 1407},	// QSslCertificate::QSslCertificate
    {59, 218, -388},	// QSslCertificate::QSslCertificate#
    {59, 219, -392},	// QSslCertificate::QSslCertificate#$
    {59, 286, 1419},	// QSslCertificate::StateOrProvinceName
    {59, 365, 1396},	// QSslCertificate::alternateSubjectNames
    {59, 395, 1388},	// QSslCertificate::clear
    {59, 451, 1409},	// QSslCertificate::digest
    {59, 452, 1391},	// QSslCertificate::digest$
    {59, 463, 1397},	// QSslCertificate::effectiveDate
    {59, 479, 1398},	// QSslCertificate::expiryDate
    {59, 487, 1413},	// QSslCertificate::fromData#
    {59, 488, 1404},	// QSslCertificate::fromData#$
    {59, 490, 1412},	// QSslCertificate::fromDevice#
    {59, 491, 1403},	// QSslCertificate::fromDevice#$
    {59, 495, 1410},	// QSslCertificate::fromPath$
    {59, 496, 1411},	// QSslCertificate::fromPath$$
    {59, 497, 1402},	// QSslCertificate::fromPath$$$
    {59, 507, 1405},	// QSslCertificate::handle
    {59, 551, 1386},	// QSslCertificate::isNull
    {59, 559, 1387},	// QSslCertificate::isValid
    {59, 562, 1393},	// QSslCertificate::issuerInfo#
    {59, 563, 1392},	// QSslCertificate::issuerInfo$
    {59, 613, 1385},	// QSslCertificate::operator!=#
    {59, 649, 1383},	// QSslCertificate::operator=#
    {59, 652, 1384},	// QSslCertificate::operator==#
    {59, 722, 1399},	// QSslCertificate::publicKey
    {59, 949, 1390},	// QSslCertificate::serialNumber
    {59, 1176, 1395},	// QSslCertificate::subjectInfo#
    {59, 1177, 1394},	// QSslCertificate::subjectInfo$
    {59, 1185, 1401},	// QSslCertificate::toDer
    {59, 1189, 1400},	// QSslCertificate::toPem
    {59, 1213, 1389},	// QSslCertificate::version
    {59, 1257, 1420},	// QSslCertificate::~QSslCertificate
    {60, 220, 1421},	// QSslCipher::QSslCipher
    {60, 221, 1423},	// QSslCipher::QSslCipher#
    {60, 222, 1422},	// QSslCipher::QSslCipher$$
    {60, 372, 1432},	// QSslCipher::authenticationMethod
    {60, 469, 1433},	// QSslCipher::encryptionMethod
    {60, 551, 1427},	// QSslCipher::isNull
    {60, 564, 1431},	// QSslCipher::keyExchangeMethod
    {60, 606, 1428},	// QSslCipher::name
    {60, 613, 1426},	// QSslCipher::operator!=#
    {60, 649, 1424},	// QSslCipher::operator=#
    {60, 652, 1425},	// QSslCipher::operator==#
    {60, 713, 1435},	// QSslCipher::protocol
    {60, 714, 1434},	// QSslCipher::protocolString
    {60, 1178, 1429},	// QSslCipher::supportedBits
    {60, 1208, 1430},	// QSslCipher::usedBits
    {60, 1258, 1436},	// QSslCipher::~QSslCipher
    {61, 223, 1437},	// QSslConfiguration::QSslConfiguration
    {61, 224, 1438},	// QSslConfiguration::QSslConfiguration#
    {61, 384, 1458},	// QSslConfiguration::caCertificates
    {61, 394, 1456},	// QSslConfiguration::ciphers
    {61, 447, 1460},	// QSslConfiguration::defaultConfiguration
    {61, 551, 1442},	// QSslConfiguration::isNull
    {61, 581, 1449},	// QSslConfiguration::localCertificate
    {61, 613, 1441},	// QSslConfiguration::operator!=#
    {61, 649, 1439},	// QSslConfiguration::operator=#
    {61, 652, 1440},	// QSslConfiguration::operator==#
    {61, 692, 1451},	// QSslConfiguration::peerCertificate
    {61, 693, 1452},	// QSslConfiguration::peerCertificateChain
    {61, 697, 1447},	// QSslConfiguration::peerVerifyDepth
    {61, 700, 1445},	// QSslConfiguration::peerVerifyMode
    {61, 712, 1454},	// QSslConfiguration::privateKey
    {61, 713, 1443},	// QSslConfiguration::protocol
    {61, 954, 1453},	// QSslConfiguration::sessionCipher
    {61, 973, 1459},	// QSslConfiguration::setCaCertificates?
    {61, 982, 1457},	// QSslConfiguration::setCiphers?
    {61, 996, 1461},	// QSslConfiguration::setDefaultConfiguration#
    {61, 1031, 1450},	// QSslConfiguration::setLocalCertificate#
    {61, 1066, 1448},	// QSslConfiguration::setPeerVerifyDepth$
    {61, 1068, 1446},	// QSslConfiguration::setPeerVerifyMode$
    {61, 1076, 1455},	// QSslConfiguration::setPrivateKey#
    {61, 1082, 1444},	// QSslConfiguration::setProtocol$
    {61, 1259, 1462},	// QSslConfiguration::~QSslConfiguration
    {62, 12, 1493},	// QSslError::AuthorityIssuerSerialNumberMismatch
    {62, 23, 1479},	// QSslError::CertificateExpired
    {62, 24, 1478},	// QSslError::CertificateNotYetValid
    {62, 25, 1491},	// QSslError::CertificateRejected
    {62, 26, 1486},	// QSslError::CertificateRevoked
    {62, 27, 1477},	// QSslError::CertificateSignatureFailed
    {62, 28, 1490},	// QSslError::CertificateUntrusted
    {62, 73, 1495},	// QSslError::HostNameMismatch
    {62, 84, 1487},	// QSslError::InvalidCaCertificate
    {62, 85, 1481},	// QSslError::InvalidNotAfterField
    {62, 86, 1480},	// QSslError::InvalidNotBeforeField
    {62, 87, 1489},	// QSslError::InvalidPurpose
    {62, 108, 1473},	// QSslError::NoError
    {62, 109, 1494},	// QSslError::NoPeerCertificate
    {62, 111, 1496},	// QSslError::NoSslSupport
    {62, 120, 1488},	// QSslError::PathLengthExceeded
    {62, 225, 1463},	// QSslError::QSslError
    {62, 226, 1466},	// QSslError::QSslError#
    {62, 227, 1464},	// QSslError::QSslError$
    {62, 228, 1465},	// QSslError::QSslError$#
    {62, 267, 1482},	// QSslError::SelfSignedCertificate
    {62, 268, 1483},	// QSslError::SelfSignedCertificateInChain
    {62, 287, 1492},	// QSslError::SubjectIssuerMismatch
    {62, 297, 1476},	// QSslError::UnableToDecodeIssuerPublicKey
    {62, 298, 1475},	// QSslError::UnableToDecryptCertificateSignature
    {62, 299, 1474},	// QSslError::UnableToGetIssuerCertificate
    {62, 300, 1484},	// QSslError::UnableToGetLocalIssuerCertificate
    {62, 301, 1485},	// QSslError::UnableToVerifyFirstCertificate
    {62, 317, 1497},	// QSslError::UnspecifiedError
    {62, 392, 1472},	// QSslError::certificate
    {62, 472, 1470},	// QSslError::error
    {62, 474, 1471},	// QSslError::errorString
    {62, 613, 1469},	// QSslError::operator!=#
    {62, 649, 1467},	// QSslError::operator=#
    {62, 652, 1468},	// QSslError::operator==#
    {62, 1260, 1498},	// QSslError::~QSslError
    {63, 229, 1499},	// QSslKey::QSslKey
    {63, 230, 1502},	// QSslKey::QSslKey#
    {63, 231, -410},	// QSslKey::QSslKey#$
    {63, 232, -413},	// QSslKey::QSslKey#$$
    {63, 233, -416},	// QSslKey::QSslKey#$$$
    {63, 234, -419},	// QSslKey::QSslKey#$$$#
    {63, 359, 1508},	// QSslKey::algorithm
    {63, 395, 1505},	// QSslKey::clear
    {63, 507, 1511},	// QSslKey::handle
    {63, 551, 1504},	// QSslKey::isNull
    {63, 569, 1506},	// QSslKey::length
    {63, 613, 1513},	// QSslKey::operator!=#
    {63, 649, 1503},	// QSslKey::operator=#
    {63, 652, 1512},	// QSslKey::operator==#
    {63, 1185, 1521},	// QSslKey::toDer
    {63, 1186, 1510},	// QSslKey::toDer#
    {63, 1189, 1520},	// QSslKey::toPem
    {63, 1190, 1509},	// QSslKey::toPem#
    {63, 1202, 1507},	// QSslKey::type
    {63, 1261, 1522},	// QSslKey::~QSslKey
    {64, 13, 1629},	// QSslSocket::AutoVerifyPeer
    {64, 235, 1604},	// QSslSocket::QSslSocket
    {64, 236, 1530},	// QSslSocket::QSslSocket#
    {64, 252, 1627},	// QSslSocket::QueryPeer
    {64, 281, 1624},	// QSslSocket::SslClientMode
    {64, 283, 1625},	// QSslSocket::SslServerMode
    {64, 305, 1623},	// QSslSocket::UnencryptedMode
    {64, 322, 1626},	// QSslSocket::VerifyNone
    {64, 323, 1628},	// QSslSocket::VerifyPeer
    {64, 338, 1550},	// QSslSocket::abort
    {64, 342, 1572},	// QSslSocket::addCaCertificate#
    {64, 344, 1613},	// QSslSocket::addCaCertificates$
    {64, 345, 1614},	// QSslSocket::addCaCertificates$$
    {64, 346, 1571},	// QSslSocket::addCaCertificates$$$
    {64, 347, 1573},	// QSslSocket::addCaCertificates?
    {64, 349, 1577},	// QSslSocket::addDefaultCaCertificate#
    {64, 351, 1615},	// QSslSocket::addDefaultCaCertificates$
    {64, 352, 1616},	// QSslSocket::addDefaultCaCertificates$$
    {64, 353, 1576},	// QSslSocket::addDefaultCaCertificates$$$
    {64, 354, 1578},	// QSslSocket::addDefaultCaCertificates?
    {64, 367, 1548},	// QSslSocket::atEnd
    {64, 382, 1544},	// QSslSocket::bytesAvailable
    {64, 383, 1545},	// QSslSocket::bytesToWrite
    {64, 384, 1575},	// QSslSocket::caCertificates
    {64, 388, 1546},	// QSslSocket::canReadLine
    {64, 394, 1565},	// QSslSocket::ciphers
    {64, 398, 1547},	// QSslSocket::close
    {64, 412, 1605},	// QSslSocket::connectToHostEncrypted$$
    {64, 413, -373},	// QSslSocket::connectToHostEncrypted$$$
    {64, 414, 1532},	// QSslSocket::connectToHostEncrypted$$$$
    {64, 417, 1598},	// QSslSocket::connectToHostImplementation$$$
    {64, 445, 1580},	// QSslSocket::defaultCaCertificates
    {64, 446, 1569},	// QSslSocket::defaultCiphers
    {64, 454, 1599},	// QSslSocket::disconnectFromHostImplementation
    {64, 464, 1593},	// QSslSocket::encrypted
    {64, 465, 1552},	// QSslSocket::encryptedBytesAvailable
    {64, 466, 1553},	// QSslSocket::encryptedBytesToWrite
    {64, 468, 1597},	// QSslSocket::encryptedBytesWritten$
    {64, 485, 1549},	// QSslSocket::flush
    {64, 527, 1592},	// QSslSocket::ignoreSslErrors
    {64, 528, 1589},	// QSslSocket::ignoreSslErrors?
    {64, 542, 1537},	// QSslSocket::isEncrypted
    {64, 581, 1558},	// QSslSocket::localCertificate
    {64, 598, 1523},	// QSslSocket::metaObject
    {64, 603, 1536},	// QSslSocket::mode
    {64, 605, 1596},	// QSslSocket::modeChanged$
    {64, 692, 1559},	// QSslSocket::peerCertificate
    {64, 693, 1560},	// QSslSocket::peerCertificateChain
    {64, 697, 1542},	// QSslSocket::peerVerifyDepth
    {64, 699, 1594},	// QSslSocket::peerVerifyError#
    {64, 700, 1540},	// QSslSocket::peerVerifyMode
    {64, 712, 1564},	// QSslSocket::privateKey
    {64, 713, 1538},	// QSslSocket::protocol
    {64, 883, 1529},	// QSslSocket::qt_metacall$$?
    {64, 885, 1524},	// QSslSocket::qt_metacast$
    {64, 911, 1600},	// QSslSocket::readData$$
    {64, 954, 1561},	// QSslSocket::sessionCipher
    {64, 973, 1574},	// QSslSocket::setCaCertificates?
    {64, 981, 1567},	// QSslSocket::setCiphers$
    {64, 982, 1566},	// QSslSocket::setCiphers?
    {64, 992, 1579},	// QSslSocket::setDefaultCaCertificates?
    {64, 994, 1568},	// QSslSocket::setDefaultCiphers?
    {64, 1031, 1556},	// QSslSocket::setLocalCertificate#
    {64, 1032, 1609},	// QSslSocket::setLocalCertificate$
    {64, 1033, 1557},	// QSslSocket::setLocalCertificate$$
    {64, 1066, 1543},	// QSslSocket::setPeerVerifyDepth$
    {64, 1068, 1541},	// QSslSocket::setPeerVerifyMode$
    {64, 1076, 1562},	// QSslSocket::setPrivateKey#
    {64, 1077, 1610},	// QSslSocket::setPrivateKey$
    {64, 1078, 1611},	// QSslSocket::setPrivateKey$$
    {64, 1079, 1612},	// QSslSocket::setPrivateKey$$$
    {64, 1080, 1563},	// QSslSocket::setPrivateKey$$$#
    {64, 1082, 1539},	// QSslSocket::setProtocol$
    {64, 1099, 1551},	// QSslSocket::setReadBufferSize$
    {64, 1118, 1607},	// QSslSocket::setSocketDescriptor$
    {64, 1119, 1608},	// QSslSocket::setSocketDescriptor$$
    {64, 1120, 1533},	// QSslSocket::setSocketDescriptor$$$
    {64, 1127, 1534},	// QSslSocket::setSocketOption$#
    {64, 1131, 1555},	// QSslSocket::setSslConfiguration#
    {64, 1162, 1535},	// QSslSocket::socketOption$
    {64, 1164, 1554},	// QSslSocket::sslConfiguration
    {64, 1165, 1587},	// QSslSocket::sslErrors
    {64, 1167, 1595},	// QSslSocket::sslErrors?
    {64, 1168, 1590},	// QSslSocket::startClientEncryption
    {64, 1169, 1591},	// QSslSocket::startServerEncryption
    {64, 1173, 1622},	// QSslSocket::staticMetaObject
    {64, 1179, 1570},	// QSslSocket::supportedCiphers
    {64, 1180, 1588},	// QSslSocket::supportsSsl
    {64, 1181, 1581},	// QSslSocket::systemCaCertificates
    {64, 1195, 1602},	// QSslSocket::tr$
    {64, 1196, 1525},	// QSslSocket::tr$$
    {64, 1197, 1527},	// QSslSocket::tr$$$
    {64, 1199, 1603},	// QSslSocket::trUtf8$
    {64, 1200, 1526},	// QSslSocket::trUtf8$$
    {64, 1201, 1528},	// QSslSocket::trUtf8$$$
    {64, 1214, 1620},	// QSslSocket::waitForBytesWritten
    {64, 1215, 1585},	// QSslSocket::waitForBytesWritten$
    {64, 1216, 1617},	// QSslSocket::waitForConnected
    {64, 1217, 1582},	// QSslSocket::waitForConnected$
    {64, 1218, 1621},	// QSslSocket::waitForDisconnected
    {64, 1219, 1586},	// QSslSocket::waitForDisconnected$
    {64, 1220, 1618},	// QSslSocket::waitForEncrypted
    {64, 1221, 1583},	// QSslSocket::waitForEncrypted$
    {64, 1225, 1619},	// QSslSocket::waitForReadyRead
    {64, 1226, 1584},	// QSslSocket::waitForReadyRead$
    {64, 1228, 1601},	// QSslSocket::writeData$$
    {64, 1262, 1630},	// QSslSocket::~QSslSocket
    {67, 237, 1659},	// QTcpServer::QTcpServer
    {67, 238, 1638},	// QTcpServer::QTcpServer#
    {67, 398, 1640},	// QTcpServer::close
    {67, 474, 1652},	// QTcpServer::errorString
    {67, 514, 1649},	// QTcpServer::hasPendingConnections
    {67, 530, 1655},	// QTcpServer::incomingConnection$
    {67, 550, 1641},	// QTcpServer::isListening
    {67, 576, 1660},	// QTcpServer::listen
    {67, 577, 1661},	// QTcpServer::listen#
    {67, 578, 1639},	// QTcpServer::listen#$
    {67, 593, 1643},	// QTcpServer::maxPendingConnections
    {67, 598, 1631},	// QTcpServer::metaObject
    {67, 608, 1656},	// QTcpServer::newConnection
    {67, 609, 1650},	// QTcpServer::nextPendingConnection
    {67, 716, 1654},	// QTcpServer::proxy
    {67, 883, 1637},	// QTcpServer::qt_metacall$$?
    {67, 885, 1632},	// QTcpServer::qt_metacast$
    {67, 950, 1645},	// QTcpServer::serverAddress
    {67, 951, 1651},	// QTcpServer::serverError
    {67, 953, 1644},	// QTcpServer::serverPort
    {67, 1039, 1642},	// QTcpServer::setMaxPendingConnections$
    {67, 1086, 1653},	// QTcpServer::setProxy#
    {67, 1118, 1647},	// QTcpServer::setSocketDescriptor$
    {67, 1160, 1646},	// QTcpServer::socketDescriptor
    {67, 1173, 1664},	// QTcpServer::staticMetaObject
    {67, 1195, 1657},	// QTcpServer::tr$
    {67, 1196, 1633},	// QTcpServer::tr$$
    {67, 1197, 1635},	// QTcpServer::tr$$$
    {67, 1199, 1658},	// QTcpServer::trUtf8$
    {67, 1200, 1634},	// QTcpServer::trUtf8$$
    {67, 1201, 1636},	// QTcpServer::trUtf8$$$
    {67, 1222, 1662},	// QTcpServer::waitForNewConnection
    {67, 1223, 1663},	// QTcpServer::waitForNewConnection$
    {67, 1224, 1648},	// QTcpServer::waitForNewConnection$$
    {67, 1263, 1665},	// QTcpServer::~QTcpServer
    {68, 239, 1676},	// QTcpSocket::QTcpSocket
    {68, 240, 1673},	// QTcpSocket::QTcpSocket#
    {68, 598, 1666},	// QTcpSocket::metaObject
    {68, 883, 1672},	// QTcpSocket::qt_metacall$$?
    {68, 885, 1667},	// QTcpSocket::qt_metacast$
    {68, 1173, 1677},	// QTcpSocket::staticMetaObject
    {68, 1195, 1674},	// QTcpSocket::tr$
    {68, 1196, 1668},	// QTcpSocket::tr$$
    {68, 1197, 1670},	// QTcpSocket::tr$$$
    {68, 1199, 1675},	// QTcpSocket::trUtf8$
    {68, 1200, 1669},	// QTcpSocket::trUtf8$$
    {68, 1201, 1671},	// QTcpSocket::trUtf8$$$
    {68, 1264, 1678},	// QTcpSocket::~QTcpSocket
    {73, 53, 1703},	// QUdpSocket::DefaultForPlatform
    {73, 59, 1705},	// QUdpSocket::DontShareAddress
    {73, 241, 1698},	// QUdpSocket::QUdpSocket
    {73, 242, 1686},	// QUdpSocket::QUdpSocket#
    {73, 264, 1706},	// QUdpSocket::ReuseAddressHint
    {73, 274, 1704},	// QUdpSocket::ShareAddress
    {73, 376, 1699},	// QUdpSocket::bind
    {73, 377, 1687},	// QUdpSocket::bind#$
    {73, 378, 1689},	// QUdpSocket::bind#$$
    {73, 379, 1688},	// QUdpSocket::bind$
    {73, 380, 1690},	// QUdpSocket::bind$$
    {73, 515, 1691},	// QUdpSocket::hasPendingDatagrams
    {73, 598, 1679},	// QUdpSocket::metaObject
    {73, 701, 1692},	// QUdpSocket::pendingDatagramSize
    {73, 883, 1685},	// QUdpSocket::qt_metacall$$?
    {73, 885, 1680},	// QUdpSocket::qt_metacast$
    {73, 913, 1700},	// QUdpSocket::readDatagram$$
    {73, 914, 1701},	// QUdpSocket::readDatagram$$#
    {73, 915, 1693},	// QUdpSocket::readDatagram$$#$
    {73, 1173, 1702},	// QUdpSocket::staticMetaObject
    {73, 1195, 1696},	// QUdpSocket::tr$
    {73, 1196, 1681},	// QUdpSocket::tr$$
    {73, 1197, 1683},	// QUdpSocket::tr$$$
    {73, 1199, 1697},	// QUdpSocket::trUtf8$
    {73, 1200, 1682},	// QUdpSocket::trUtf8$$
    {73, 1201, 1684},	// QUdpSocket::trUtf8$$$
    {73, 1230, 1695},	// QUdpSocket::writeDatagram##$
    {73, 1231, 1694},	// QUdpSocket::writeDatagram$$#$
    {73, 1265, 1707},	// QUdpSocket::~QUdpSocket
    {75, 62, 1749},	// QUrlInfo::ExeGroup
    {75, 63, 1752},	// QUrlInfo::ExeOther
    {75, 64, 1746},	// QUrlInfo::ExeOwner
    {75, 243, 1708},	// QUrlInfo::QUrlInfo
    {75, 244, 1709},	// QUrlInfo::QUrlInfo#
    {75, 245, 1711},	// QUrlInfo::QUrlInfo#$$$$##$$$$$$
    {75, 246, 1710},	// QUrlInfo::QUrlInfo$$$$$##$$$$$$
    {75, 254, 1747},	// QUrlInfo::ReadGroup
    {75, 256, 1750},	// QUrlInfo::ReadOther
    {75, 257, 1744},	// QUrlInfo::ReadOwner
    {75, 324, 1748},	// QUrlInfo::WriteGroup
    {75, 326, 1751},	// QUrlInfo::WriteOther
    {75, 327, 1745},	// QUrlInfo::WriteOwner
    {75, 471, 1741},	// QUrlInfo::equal##$
    {75, 505, 1739},	// QUrlInfo::greaterThan##$
    {75, 506, 1729},	// QUrlInfo::group
    {75, 541, 1733},	// QUrlInfo::isDir
    {75, 543, 1738},	// QUrlInfo::isExecutable
    {75, 544, 1734},	// QUrlInfo::isFile
    {75, 552, 1737},	// QUrlInfo::isReadable
    {75, 557, 1735},	// QUrlInfo::isSymLink
    {75, 559, 1725},	// QUrlInfo::isValid
    {75, 560, 1736},	// QUrlInfo::isWritable
    {75, 566, 1731},	// QUrlInfo::lastModified
    {75, 567, 1732},	// QUrlInfo::lastRead
    {75, 571, 1740},	// QUrlInfo::lessThan##$
    {75, 606, 1726},	// QUrlInfo::name
    {75, 613, 1743},	// QUrlInfo::operator!=#
    {75, 649, 1712},	// QUrlInfo::operator=#
    {75, 652, 1742},	// QUrlInfo::operator==#
    {75, 680, 1728},	// QUrlInfo::owner
    {75, 702, 1727},	// QUrlInfo::permissions
    {75, 998, 1714},	// QUrlInfo::setDir$
    {75, 1009, 1715},	// QUrlInfo::setFile$
    {75, 1011, 1718},	// QUrlInfo::setGroup$
    {75, 1025, 1723},	// QUrlInfo::setLastModified#
    {75, 1027, 1724},	// QUrlInfo::setLastRead#
    {75, 1044, 1713},	// QUrlInfo::setName$
    {75, 1052, 1717},	// QUrlInfo::setOwner$
    {75, 1070, 1722},	// QUrlInfo::setPermissions$
    {75, 1101, 1721},	// QUrlInfo::setReadable$
    {75, 1114, 1719},	// QUrlInfo::setSize$
    {75, 1138, 1716},	// QUrlInfo::setSymLink$
    {75, 1158, 1720},	// QUrlInfo::setWritable$
    {75, 1159, 1730},	// QUrlInfo::size
    {75, 1266, 1753},	// QUrlInfo::~QUrlInfo
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtnetwork_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtnetwork_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtnetwork_Smoke = new Smoke(
        "qtnetwork",
        __smokeqtnetwork::classes, 79,
        __smokeqtnetwork::methods, 1754,
        __smokeqtnetwork::methodMaps, 1401,
        __smokeqtnetwork::methodNames, 1266,
        __smokeqtnetwork::types, 399,
        __smokeqtnetwork::inheritanceList,
        __smokeqtnetwork::argumentList,
        __smokeqtnetwork::ambiguousMethodList,
        __smokeqtnetwork::cast );
    initialized = true;
}

void delete_qtnetwork_Smoke() { delete qtnetwork_Smoke; }

}
