#include <qtopengl_includes.h>

#include <smoke.h>
#include <qtopengl_smoke.h>

namespace __smokeqtopengl {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAccessible2Interface
      switch(to) {
        case 1: return (void*)(QAccessible2Interface*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBitArray
      switch(to) {
        case 3: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 4:   //QBool
      switch(to) {
        case 4: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 5:   //QBrush
      switch(to) {
        case 5: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QCloseEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 9: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QColor
      switch(to) {
        case 10: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 11:   //QContextMenuEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 11: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QCursor
      switch(to) {
        case 12: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 13:   //QDataStream
      switch(to) {
        case 13: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 14:   //QDate
      switch(to) {
        case 14: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 15:   //QDateTime
      switch(to) {
        case 15: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 16:   //QDebug
      switch(to) {
        case 16: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 17:   //QDir
      switch(to) {
        case 17: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 18:   //QDragEnterEvent
      switch(to) {
        case 20: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 22: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 24: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 18: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QDragLeaveEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 19: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QDragMoveEvent
      switch(to) {
        case 22: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 24: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 20: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QDrawPixmaps::Data
      switch(to) {
        case 21: return (void*)(QDrawPixmaps::Data*)xptr;
        default: return xptr;
      }
    case 22:   //QDropEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 22: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 23:   //QEasingCurve
      switch(to) {
        case 23: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 24:   //QEvent
      switch(to) {
        case 24: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QFocusEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 25: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 26:   //QFont
      switch(to) {
        case 26: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 28:   //QGLColormap
      switch(to) {
        case 28: return (void*)(QGLColormap*)xptr;
        default: return xptr;
      }
    case 29:   //QGLContext
      switch(to) {
        case 29: return (void*)(QGLContext*)xptr;
        default: return xptr;
      }
    case 30:   //QGLFormat
      switch(to) {
        case 30: return (void*)(QGLFormat*)xptr;
        default: return xptr;
      }
    case 31:   //QGLFramebufferObject
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QGLFramebufferObject*)xptr;
        case 31: return (void*)(QGLFramebufferObject*)xptr;
        default: return xptr;
      }
    case 32:   //QGLFramebufferObjectFormat
      switch(to) {
        case 32: return (void*)(QGLFramebufferObjectFormat*)xptr;
        default: return xptr;
      }
    case 33:   //QGLPixelBuffer
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QGLPixelBuffer*)xptr;
        case 33: return (void*)(QGLPixelBuffer*)xptr;
        default: return xptr;
      }
    case 34:   //QGLShader
      switch(to) {
        case 61: return (void*)(QObject*)(QGLShader*)xptr;
        case 34: return (void*)(QGLShader*)xptr;
        default: return xptr;
      }
    case 35:   //QGLShaderProgram
      switch(to) {
        case 61: return (void*)(QObject*)(QGLShaderProgram*)xptr;
        case 35: return (void*)(QGLShaderProgram*)xptr;
        default: return xptr;
      }
    case 36:   //QGLWidget
      switch(to) {
        case 112: return (void*)(QWidget*)(QGLWidget*)xptr;
        case 61: return (void*)(QObject*)(QGLWidget*)xptr;
        case 62: return (void*)(QPaintDevice*)(QGLWidget*)xptr;
        case 36: return (void*)(QGLWidget*)xptr;
        default: return xptr;
      }
    case 38:   //QGraphicsItem
      switch(to) {
        case 38: return (void*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 39:   //QGraphicsObject
      switch(to) {
        case 61: return (void*)(QObject*)(QGraphicsObject*)xptr;
        case 38: return (void*)(QGraphicsItem*)(QGraphicsObject*)xptr;
        case 39: return (void*)(QGraphicsObject*)xptr;
        default: return xptr;
      }
    case 40:   //QHashDummyValue
      switch(to) {
        case 40: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 41:   //QHideEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 41: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QIcon
      switch(to) {
        case 42: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 43:   //QImage
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QImage*)xptr;
        case 43: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 44:   //QIncompatibleFlag
      switch(to) {
        case 44: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 45:   //QInputMethodEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 45: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QItemSelectionRange
      switch(to) {
        case 46: return (void*)(QItemSelectionRange*)xptr;
        default: return xptr;
      }
    case 47:   //QKeyEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 47: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QKeySequence
      switch(to) {
        case 48: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 49:   //QLatin1String
      switch(to) {
        case 49: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 50:   //QLine
      switch(to) {
        case 50: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 51:   //QLineF
      switch(to) {
        case 51: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 52:   //QListWidgetItem
      switch(to) {
        case 52: return (void*)(QListWidgetItem*)xptr;
        default: return xptr;
      }
    case 53:   //QLocale
      switch(to) {
        case 53: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 54:   //QMargins
      switch(to) {
        case 54: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 55:   //QMatrix
      switch(to) {
        case 55: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 56:   //QMatrix4x4
      switch(to) {
        case 56: return (void*)(QMatrix4x4*)xptr;
        default: return xptr;
      }
    case 57:   //QMetaObject
      switch(to) {
        case 57: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 58:   //QModelIndex
      switch(to) {
        case 58: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 59:   //QMouseEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 59: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 60:   //QMoveEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 60: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 61:   //QObject
      switch(to) {
        case 61: return (void*)(QObject*)xptr;
        case 35: return (void*)(QGLShaderProgram*)(QObject*)xptr;
        case 36: return (void*)(QGLWidget*)(QObject*)xptr;
        case 34: return (void*)(QGLShader*)(QObject*)xptr;
        default: return xptr;
      }
    case 62:   //QPaintDevice
      switch(to) {
        case 62: return (void*)(QPaintDevice*)xptr;
        case 31: return (void*)(QGLFramebufferObject*)(QPaintDevice*)xptr;
        case 36: return (void*)(QGLWidget*)(QPaintDevice*)xptr;
        case 33: return (void*)(QGLPixelBuffer*)(QPaintDevice*)xptr;
        default: return xptr;
      }
    case 63:   //QPaintEngine
      switch(to) {
        case 63: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 64:   //QPaintEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 64: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 65:   //QPainter
      switch(to) {
        case 65: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 66:   //QPainterPath
      switch(to) {
        case 66: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 67:   //QPalette
      switch(to) {
        case 67: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 68:   //QPen
      switch(to) {
        case 68: return (void*)(QPen*)xptr;
        default: return xptr;
      }
    case 69:   //QPersistentModelIndex
      switch(to) {
        case 69: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 70:   //QPicture
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QPicture*)xptr;
        case 70: return (void*)(QPicture*)xptr;
        default: return xptr;
      }
    case 71:   //QPixmap
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QPixmap*)xptr;
        case 71: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 72:   //QPoint
      switch(to) {
        case 72: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 73:   //QPointF
      switch(to) {
        case 73: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 74:   //QPolygon
      switch(to) {
        case 74: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 75:   //QPolygonF
      switch(to) {
        case 75: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 76:   //QQuaternion
      switch(to) {
        case 76: return (void*)(QQuaternion*)xptr;
        default: return xptr;
      }
    case 77:   //QRect
      switch(to) {
        case 77: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 78:   //QRectF
      switch(to) {
        case 78: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 79:   //QRegExp
      switch(to) {
        case 79: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 80:   //QRegion
      switch(to) {
        case 80: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 81:   //QResizeEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 81: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 82:   //QShowEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 82: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 83:   //QSize
      switch(to) {
        case 83: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 84:   //QSizeF
      switch(to) {
        case 84: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 85:   //QSizePolicy
      switch(to) {
        case 85: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 86:   //QSplitter
      switch(to) {
        case 112: return (void*)(QWidget*)(QSplitter*)xptr;
        case 61: return (void*)(QObject*)(QSplitter*)xptr;
        case 62: return (void*)(QPaintDevice*)(QSplitter*)xptr;
        case 86: return (void*)(QSplitter*)xptr;
        default: return xptr;
      }
    case 87:   //QStandardItem
      switch(to) {
        case 87: return (void*)(QStandardItem*)xptr;
        default: return xptr;
      }
    case 88:   //QString::Null
      switch(to) {
        case 88: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 89:   //QStringRef
      switch(to) {
        case 89: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 90:   //QStyle
      switch(to) {
        case 61: return (void*)(QObject*)(QStyle*)xptr;
        case 90: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 91:   //QStyleOption
      switch(to) {
        case 91: return (void*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 92:   //QTableWidgetItem
      switch(to) {
        case 92: return (void*)(QTableWidgetItem*)xptr;
        default: return xptr;
      }
    case 93:   //QTabletEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 93: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 94:   //QTextCodec
      switch(to) {
        case 94: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 95:   //QTextFormat
      switch(to) {
        case 95: return (void*)(QTextFormat*)xptr;
        default: return xptr;
      }
    case 96:   //QTextLength
      switch(to) {
        case 96: return (void*)(QTextLength*)xptr;
        default: return xptr;
      }
    case 97:   //QTextStream
      switch(to) {
        case 97: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 98:   //QTextStreamManipulator
      switch(to) {
        case 98: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 99:   //QTileRules
      switch(to) {
        case 99: return (void*)(QTileRules*)xptr;
        default: return xptr;
      }
    case 100:   //QTime
      switch(to) {
        case 100: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 101:   //QTimerEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 101: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 102:   //QTransform
      switch(to) {
        case 102: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 103:   //QTreeWidgetItem
      switch(to) {
        case 103: return (void*)(QTreeWidgetItem*)xptr;
        default: return xptr;
      }
    case 104:   //QUrl
      switch(to) {
        case 104: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 105:   //QUuid
      switch(to) {
        case 105: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 106:   //QVariant
      switch(to) {
        case 106: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 107:   //QVariantComparisonHelper
      switch(to) {
        case 107: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 108:   //QVector2D
      switch(to) {
        case 108: return (void*)(QVector2D*)xptr;
        default: return xptr;
      }
    case 109:   //QVector3D
      switch(to) {
        case 109: return (void*)(QVector3D*)xptr;
        default: return xptr;
      }
    case 110:   //QVector4D
      switch(to) {
        case 110: return (void*)(QVector4D*)xptr;
        default: return xptr;
      }
    case 111:   //QWheelEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 111: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 112:   //QWidget
      switch(to) {
        case 61: return (void*)(QObject*)(QWidget*)xptr;
        case 62: return (void*)(QPaintDevice*)(QWidget*)xptr;
        case 112: return (void*)(QWidget*)xptr;
        case 36: return (void*)(QGLWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    62, 0,	// 1: QPaintDevice
    61, 0,	// 3: QObject
    112, 0,	// 5: QWidget
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLContext(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLShader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLFramebufferObject(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGL(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLFormat(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGL(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLColormap(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLContext(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFramebufferObject(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFramebufferObjectFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLPixelBuffer(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLShader(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLShaderProgram(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAccessible2Interface", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//3
    { "QBool", true, 0, 0, 0, 0, 0 },	//4
    { "QBrush", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QColor", true, 0, 0, 0, 0, 0 },	//10
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QCursor", true, 0, 0, 0, 0, 0 },	//12
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//13
    { "QDate", true, 0, 0, 0, 0, 0 },	//14
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//15
    { "QDebug", true, 0, 0, 0, 0, 0 },	//16
    { "QDir", true, 0, 0, 0, 0, 0 },	//17
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QDrawPixmaps::Data", true, 0, 0, 0, 0, 0 },	//21
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//22
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//23
    { "QEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//25
    { "QFont", true, 0, 0, 0, 0, 0 },	//26
    { "QGL", false, 0, xcall_QGL, xenum_QGL, Smoke::cf_namespace, 0 },	//27
    { "QGLColormap", false, 0, xcall_QGLColormap, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLColormap) },	//28
    { "QGLContext", false, 0, xcall_QGLContext, xenum_QGLContext, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLContext) },	//29
    { "QGLFormat", false, 0, xcall_QGLFormat, xenum_QGLFormat, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLFormat) },	//30
    { "QGLFramebufferObject", false, 1, xcall_QGLFramebufferObject, xenum_QGLFramebufferObject, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLFramebufferObject) },	//31
    { "QGLFramebufferObjectFormat", false, 0, xcall_QGLFramebufferObjectFormat, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLFramebufferObjectFormat) },	//32
    { "QGLPixelBuffer", false, 1, xcall_QGLPixelBuffer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLPixelBuffer) },	//33
    { "QGLShader", false, 3, xcall_QGLShader, xenum_QGLShader, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLShader) },	//34
    { "QGLShaderProgram", false, 3, xcall_QGLShaderProgram, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLShaderProgram) },	//35
    { "QGLWidget", false, 5, xcall_QGLWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLWidget) },	//36
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//37
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//38
    { "QGraphicsObject", true, 0, 0, 0, 0, 0 },	//39
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//40
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QIcon", true, 0, 0, 0, 0, 0 },	//42
    { "QImage", true, 0, 0, 0, 0, 0 },	//43
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//44
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QItemSelectionRange", true, 0, 0, 0, 0, 0 },	//46
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//48
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//49
    { "QLine", true, 0, 0, 0, 0, 0 },	//50
    { "QLineF", true, 0, 0, 0, 0, 0 },	//51
    { "QListWidgetItem", true, 0, 0, 0, 0, 0 },	//52
    { "QLocale", true, 0, 0, 0, 0, 0 },	//53
    { "QMargins", true, 0, 0, 0, 0, 0 },	//54
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//55
    { "QMatrix4x4", true, 0, 0, 0, 0, 0 },	//56
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//57
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//58
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//59
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//60
    { "QObject", true, 0, 0, 0, 0, 0 },	//61
    { "QPaintDevice", true, 0, 0, 0, 0, 0 },	//62
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//63
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//64
    { "QPainter", true, 0, 0, 0, 0, 0 },	//65
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//66
    { "QPalette", true, 0, 0, 0, 0, 0 },	//67
    { "QPen", true, 0, 0, 0, 0, 0 },	//68
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//69
    { "QPicture", true, 0, 0, 0, 0, 0 },	//70
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//71
    { "QPoint", true, 0, 0, 0, 0, 0 },	//72
    { "QPointF", true, 0, 0, 0, 0, 0 },	//73
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//74
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//75
    { "QQuaternion", true, 0, 0, 0, 0, 0 },	//76
    { "QRect", true, 0, 0, 0, 0, 0 },	//77
    { "QRectF", true, 0, 0, 0, 0, 0 },	//78
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//79
    { "QRegion", true, 0, 0, 0, 0, 0 },	//80
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//81
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//82
    { "QSize", true, 0, 0, 0, 0, 0 },	//83
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//84
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//85
    { "QSplitter", true, 0, 0, 0, 0, 0 },	//86
    { "QStandardItem", true, 0, 0, 0, 0, 0 },	//87
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//88
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//89
    { "QStyle", true, 0, 0, 0, 0, 0 },	//90
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//91
    { "QTableWidgetItem", true, 0, 0, 0, 0, 0 },	//92
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//93
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//94
    { "QTextFormat", true, 0, 0, 0, 0, 0 },	//95
    { "QTextLength", true, 0, 0, 0, 0, 0 },	//96
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//97
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//98
    { "QTileRules", true, 0, 0, 0, 0, 0 },	//99
    { "QTime", true, 0, 0, 0, 0, 0 },	//100
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//101
    { "QTransform", true, 0, 0, 0, 0, 0 },	//102
    { "QTreeWidgetItem", true, 0, 0, 0, 0, 0 },	//103
    { "QUrl", true, 0, 0, 0, 0, 0 },	//104
    { "QUuid", true, 0, 0, 0, 0, 0 },	//105
    { "QVariant", true, 0, 0, 0, 0, 0 },	//106
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//107
    { "QVector2D", true, 0, 0, 0, 0, 0 },	//108
    { "QVector3D", true, 0, 0, 0, 0, 0 },	//109
    { "QVector4D", true, 0, 0, 0, 0, 0 },	//110
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//111
    { "QWidget", true, 0, 0, 0, 0, 0 },	//112
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QAbstractItemView::EditTrigger", 0, Smoke::t_enum|Smoke::tf_stack },	//2
    { "QAbstractPrintDialog::PrintDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "QAbstractSpinBox::StepEnabledFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAccessible2::BoundaryType", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAccessible2::CoordinateType", 0, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAccessible2Interface*", 1, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QAccessible::RelationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//9
    { "QAccessible::StateFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//10
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QBitArray", 3, Smoke::t_class|Smoke::tf_stack },	//12
    { "QBitArray&", 3, Smoke::t_class|Smoke::tf_ref },	//13
    { "QBool", 4, Smoke::t_class|Smoke::tf_stack },	//14
    { "QBrush&", 5, Smoke::t_class|Smoke::tf_ref },	//15
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//16
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//17
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//18
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//19
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//20
    { "QCloseEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QColor", 10, Smoke::t_class|Smoke::tf_stack },	//22
    { "QColor&", 10, Smoke::t_class|Smoke::tf_ref },	//23
    { "QColorDialog::ColorDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//24
    { "QContextMenuEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QCursor&", 12, Smoke::t_class|Smoke::tf_ref },	//26
    { "QDataStream&", 13, Smoke::t_class|Smoke::tf_ref },	//27
    { "QDate&", 14, Smoke::t_class|Smoke::tf_ref },	//28
    { "QDateTime&", 15, Smoke::t_class|Smoke::tf_ref },	//29
    { "QDateTimeEdit::Section", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QDebug", 16, Smoke::t_class|Smoke::tf_stack },	//31
    { "QDialogButtonBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QDir::Filter", 17, Smoke::t_enum|Smoke::tf_stack },	//33
    { "QDir::SortFlag", 17, Smoke::t_enum|Smoke::tf_stack },	//34
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "QDockWidget::DockWidgetFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "QDragEnterEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QDragLeaveEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QDragMoveEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//39
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "QDrawPixmaps::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "QDropEvent*", 22, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "QFileDialog::Option", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<QAbstractItemView::EditTrigger>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<QAbstractPrintDialog::PrintDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<QAbstractSpinBox::StepEnabledFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<QAccessible::RelationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<QAccessible::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<QColorDialog::ColorDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<QDateTimeEdit::Section>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<QDialogButtonBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<QDockWidget::DockWidgetFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<QDrawBorderPixmap::DrawingHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<QDrawPixmaps::DrawingHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<QFileDialog::Option>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<QFontComboBox::FontFilter>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<QFontDialog::FontDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<QGL::FormatOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<QGLContext::BindOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<QGLFormat::OpenGLVersionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QGLShader::ShaderTypeBit>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QGestureRecognizer::ResultFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QGraphicsBlurEffect::BlurHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QGraphicsEffect::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QGraphicsItem::GraphicsItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QGraphicsScene::SceneLayer>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QGraphicsView::CacheModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QGraphicsView::OptimizationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QImageIOPlugin::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QInputDialog::InputDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QMainWindow::DockOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QMdiArea::AreaOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QMdiSubWindow::SubWindowOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QMessageBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<QPaintEngine::DirtyFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<QPaintEngine::PaintEngineFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<QStyle::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<QStyle::SubControl>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<QStyleOptionButton::ButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<QStyleOptionFrameV2::FrameFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<QStyleOptionTab::CornerWidget>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<QStyleOptionToolBar::ToolBarFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<QStyleOptionToolButton::ToolButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<QStyleOptionViewItemV2::ViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<QTextDocument::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QFlags<QTextEdit::AutoFormattingFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//104
    { "QFlags<QTextFormat::PageBreakFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//105
    { "QFlags<QTextItem::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//106
    { "QFlags<QTextOption::Flag>", 0, Smoke::t_uint|Smoke::tf_stack },	//107
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//108
    { "QFlags<QTreeWidgetItemIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//109
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//110
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//111
    { "QFlags<QWizard::WizardOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//112
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//113
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//114
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//115
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//116
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//117
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//118
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//119
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//120
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//121
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//122
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//123
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//124
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//125
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//126
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//127
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//128
    { "QFocusEvent*", 25, Smoke::t_class|Smoke::tf_ptr },	//129
    { "QFont&", 26, Smoke::t_class|Smoke::tf_ref },	//130
    { "QFontComboBox::FontFilter", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QFontDialog::FontDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "QGL::FormatOption", 27, Smoke::t_enum|Smoke::tf_stack },	//133
    { "QGLColormap&", 28, Smoke::t_class|Smoke::tf_ref },	//134
    { "QGLColormap*", 28, Smoke::t_class|Smoke::tf_ptr },	//135
    { "QGLContext*", 29, Smoke::t_class|Smoke::tf_ptr },	//136
    { "QGLContext::BindOption", 29, Smoke::t_enum|Smoke::tf_stack },	//137
    { "QGLFormat", 30, Smoke::t_class|Smoke::tf_stack },	//138
    { "QGLFormat&", 30, Smoke::t_class|Smoke::tf_ref },	//139
    { "QGLFormat*", 30, Smoke::t_class|Smoke::tf_ptr },	//140
    { "QGLFormat::OpenGLVersionFlag", 30, Smoke::t_enum|Smoke::tf_stack },	//141
    { "QGLFramebufferObject*", 31, Smoke::t_class|Smoke::tf_ptr },	//142
    { "QGLFramebufferObject::Attachment", 31, Smoke::t_enum|Smoke::tf_stack },	//143
    { "QGLFramebufferObjectFormat", 32, Smoke::t_class|Smoke::tf_stack },	//144
    { "QGLFramebufferObjectFormat&", 32, Smoke::t_class|Smoke::tf_ref },	//145
    { "QGLFramebufferObjectFormat*", 32, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QGLPixelBuffer*", 33, Smoke::t_class|Smoke::tf_ptr },	//147
    { "QGLShader*", 34, Smoke::t_class|Smoke::tf_ptr },	//148
    { "QGLShader::ShaderTypeBit", 34, Smoke::t_enum|Smoke::tf_stack },	//149
    { "QGLShaderProgram*", 35, Smoke::t_class|Smoke::tf_ptr },	//150
    { "QGLWidget*", 36, Smoke::t_class|Smoke::tf_ptr },	//151
    { "QGestureRecognizer::ResultFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "QGraphicsBlurEffect::BlurHint", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "QGraphicsEffect::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "QGraphicsItem*", 38, Smoke::t_class|Smoke::tf_ptr },	//155
    { "QGraphicsItem::GraphicsItemChange", 38, Smoke::t_enum|Smoke::tf_stack },	//156
    { "QGraphicsItem::GraphicsItemFlag", 38, Smoke::t_enum|Smoke::tf_stack },	//157
    { "QGraphicsObject*", 39, Smoke::t_class|Smoke::tf_ptr },	//158
    { "QGraphicsScene::SceneLayer", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "QGraphicsView::CacheModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "QGraphicsView::OptimizationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "QHideEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//162
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "QIcon&", 42, Smoke::t_class|Smoke::tf_ref },	//164
    { "QImage", 43, Smoke::t_class|Smoke::tf_stack },	//165
    { "QImage&", 43, Smoke::t_class|Smoke::tf_ref },	//166
    { "QImageIOPlugin::Capability", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QIncompatibleFlag", 44, Smoke::t_class|Smoke::tf_stack },	//168
    { "QInputDialog::InputDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "QInputMethodEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//170
    { "QItemSelectionModel::SelectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "QKeyEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//172
    { "QKeySequence&", 48, Smoke::t_class|Smoke::tf_ref },	//173
    { "QKeySequence::StandardKey", 48, Smoke::t_enum|Smoke::tf_stack },	//174
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "QLine", 50, Smoke::t_class|Smoke::tf_stack },	//176
    { "QLine&", 50, Smoke::t_class|Smoke::tf_ref },	//177
    { "QLineF", 51, Smoke::t_class|Smoke::tf_stack },	//178
    { "QLineF&", 51, Smoke::t_class|Smoke::tf_ref },	//179
    { "QList<QGLShader*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//180
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//181
    { "QListWidgetItem&", 52, Smoke::t_class|Smoke::tf_ref },	//182
    { "QLocale&", 53, Smoke::t_class|Smoke::tf_ref },	//183
    { "QLocale::NumberOption", 53, Smoke::t_enum|Smoke::tf_stack },	//184
    { "QMainWindow::DockOption", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "QMatrix&", 55, Smoke::t_class|Smoke::tf_ref },	//186
    { "QMatrix4x4", 56, Smoke::t_class|Smoke::tf_stack },	//187
    { "QMatrix4x4&", 56, Smoke::t_class|Smoke::tf_ref },	//188
    { "QMdiArea::AreaOption", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "QMdiSubWindow::SubWindowOption", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "QMessageBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "QMetaObject::Call", 57, Smoke::t_enum|Smoke::tf_stack },	//192
    { "QMouseEvent*", 59, Smoke::t_class|Smoke::tf_ptr },	//193
    { "QMoveEvent*", 60, Smoke::t_class|Smoke::tf_ptr },	//194
    { "QObject*", 61, Smoke::t_class|Smoke::tf_ptr },	//195
    { "QObject*(*)()", 61, Smoke::t_class|Smoke::tf_ptr },	//196
    { "QPaintDevice*", 62, Smoke::t_class|Smoke::tf_ptr },	//197
    { "QPaintDevice::PaintDeviceMetric", 62, Smoke::t_enum|Smoke::tf_stack },	//198
    { "QPaintEngine*", 63, Smoke::t_class|Smoke::tf_ptr },	//199
    { "QPaintEngine::DirtyFlag", 63, Smoke::t_enum|Smoke::tf_stack },	//200
    { "QPaintEngine::PaintEngineFeature", 63, Smoke::t_enum|Smoke::tf_stack },	//201
    { "QPaintEngine::Type", 63, Smoke::t_enum|Smoke::tf_stack },	//202
    { "QPaintEvent*", 64, Smoke::t_class|Smoke::tf_ptr },	//203
    { "QPainter*", 65, Smoke::t_class|Smoke::tf_ptr },	//204
    { "QPainter::RenderHint", 65, Smoke::t_enum|Smoke::tf_stack },	//205
    { "QPainterPath", 66, Smoke::t_class|Smoke::tf_stack },	//206
    { "QPainterPath&", 66, Smoke::t_class|Smoke::tf_ref },	//207
    { "QPalette&", 67, Smoke::t_class|Smoke::tf_ref },	//208
    { "QPen&", 68, Smoke::t_class|Smoke::tf_ref },	//209
    { "QPicture&", 70, Smoke::t_class|Smoke::tf_ref },	//210
    { "QPixmap", 71, Smoke::t_class|Smoke::tf_stack },	//211
    { "QPixmap&", 71, Smoke::t_class|Smoke::tf_ref },	//212
    { "QPoint", 72, Smoke::t_class|Smoke::tf_stack },	//213
    { "QPoint&", 72, Smoke::t_class|Smoke::tf_ref },	//214
    { "QPointF", 73, Smoke::t_class|Smoke::tf_stack },	//215
    { "QPointF&", 73, Smoke::t_class|Smoke::tf_ref },	//216
    { "QPolygon", 74, Smoke::t_class|Smoke::tf_stack },	//217
    { "QPolygon&", 74, Smoke::t_class|Smoke::tf_ref },	//218
    { "QPolygonF", 75, Smoke::t_class|Smoke::tf_stack },	//219
    { "QPolygonF&", 75, Smoke::t_class|Smoke::tf_ref },	//220
    { "QQuaternion&", 76, Smoke::t_class|Smoke::tf_ref },	//221
    { "QRect&", 77, Smoke::t_class|Smoke::tf_ref },	//222
    { "QRectF&", 78, Smoke::t_class|Smoke::tf_ref },	//223
    { "QRegExp&", 79, Smoke::t_class|Smoke::tf_ref },	//224
    { "QRegion", 80, Smoke::t_class|Smoke::tf_stack },	//225
    { "QRegion&", 80, Smoke::t_class|Smoke::tf_ref },	//226
    { "QResizeEvent*", 81, Smoke::t_class|Smoke::tf_ptr },	//227
    { "QShowEvent*", 82, Smoke::t_class|Smoke::tf_ptr },	//228
    { "QSize", 83, Smoke::t_class|Smoke::tf_stack },	//229
    { "QSize&", 83, Smoke::t_class|Smoke::tf_ref },	//230
    { "QSizeF&", 84, Smoke::t_class|Smoke::tf_ref },	//231
    { "QSizePolicy&", 85, Smoke::t_class|Smoke::tf_ref },	//232
    { "QSizePolicy::ControlType", 85, Smoke::t_enum|Smoke::tf_stack },	//233
    { "QSplitter&", 86, Smoke::t_class|Smoke::tf_ref },	//234
    { "QStandardItem&", 87, Smoke::t_class|Smoke::tf_ref },	//235
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//236
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//237
    { "QString::Null", 88, Smoke::t_class|Smoke::tf_stack },	//238
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//239
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//240
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//241
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//242
    { "QStyle&", 90, Smoke::t_class|Smoke::tf_ref },	//243
    { "QStyle::StateFlag", 90, Smoke::t_enum|Smoke::tf_stack },	//244
    { "QStyle::SubControl", 90, Smoke::t_enum|Smoke::tf_stack },	//245
    { "QStyleOptionButton::ButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//246
    { "QStyleOptionFrameV2::FrameFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "QStyleOptionQ3ListViewItem::Q3ListViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//248
    { "QStyleOptionTab::CornerWidget", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "QStyleOptionToolBar::ToolBarFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "QStyleOptionToolButton::ToolButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "QStyleOptionViewItemV2::ViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "QTableWidgetItem&", 92, Smoke::t_class|Smoke::tf_ref },	//253
    { "QTabletEvent*", 93, Smoke::t_class|Smoke::tf_ptr },	//254
    { "QTextCodec*", 94, Smoke::t_class|Smoke::tf_ptr },	//255
    { "QTextCodec::ConversionFlag", 94, Smoke::t_enum|Smoke::tf_stack },	//256
    { "QTextDocument::FindFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "QTextEdit::AutoFormattingFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "QTextFormat&", 95, Smoke::t_class|Smoke::tf_ref },	//259
    { "QTextFormat::PageBreakFlag", 95, Smoke::t_enum|Smoke::tf_stack },	//260
    { "QTextItem::RenderFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//261
    { "QTextLength&", 96, Smoke::t_class|Smoke::tf_ref },	//262
    { "QTextOption::Flag", 0, Smoke::t_enum|Smoke::tf_stack },	//263
    { "QTextStream&", 97, Smoke::t_class|Smoke::tf_ref },	//264
    { "QTextStream&(*)(QTextStream&)", 97, Smoke::t_class|Smoke::tf_ref },	//265
    { "QTextStream::NumberFlag", 97, Smoke::t_enum|Smoke::tf_stack },	//266
    { "QTextStreamManipulator", 98, Smoke::t_class|Smoke::tf_stack },	//267
    { "QTime&", 100, Smoke::t_class|Smoke::tf_ref },	//268
    { "QTimerEvent*", 101, Smoke::t_class|Smoke::tf_ptr },	//269
    { "QTransform", 102, Smoke::t_class|Smoke::tf_stack },	//270
    { "QTransform&", 102, Smoke::t_class|Smoke::tf_ref },	//271
    { "QTreeWidgetItem&", 103, Smoke::t_class|Smoke::tf_ref },	//272
    { "QTreeWidgetItemIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//273
    { "QUrl&", 104, Smoke::t_class|Smoke::tf_ref },	//274
    { "QUrl::FormattingOption", 104, Smoke::t_enum|Smoke::tf_stack },	//275
    { "QUuid&", 105, Smoke::t_class|Smoke::tf_ref },	//276
    { "QVariant", 106, Smoke::t_class|Smoke::tf_stack },	//277
    { "QVariant&", 106, Smoke::t_class|Smoke::tf_ref },	//278
    { "QVariant::Type", 106, Smoke::t_enum|Smoke::tf_stack },	//279
    { "QVariant::Type&", 106, Smoke::t_enum|Smoke::tf_ref },	//280
    { "QVector2D&", 108, Smoke::t_class|Smoke::tf_ref },	//281
    { "QVector3D", 109, Smoke::t_class|Smoke::tf_stack },	//282
    { "QVector3D&", 109, Smoke::t_class|Smoke::tf_ref },	//283
    { "QVector4D", 110, Smoke::t_class|Smoke::tf_stack },	//284
    { "QVector4D&", 110, Smoke::t_class|Smoke::tf_ref },	//285
    { "QWheelEvent*", 111, Smoke::t_class|Smoke::tf_ptr },	//286
    { "QWidget*", 112, Smoke::t_class|Smoke::tf_ptr },	//287
    { "QWidget::RenderFlag", 112, Smoke::t_enum|Smoke::tf_stack },	//288
    { "QWizard::WizardOption", 0, Smoke::t_enum|Smoke::tf_stack },	//289
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//290
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//291
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//292
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::HitTestAccuracy", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//354
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//355
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//356
    { "Qt::WhiteSpaceMode", 0, Smoke::t_enum|Smoke::tf_stack },	//357
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//358
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//359
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//360
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//361
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//362
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//363
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//364
    { "QtMsgType", 37, Smoke::t_enum|Smoke::tf_stack },	//365
    { "_LIB_VERSION_TYPE", 37, Smoke::t_enum|Smoke::tf_stack },	//366
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//367
    { "__codecvt_result", 37, Smoke::t_enum|Smoke::tf_stack },	//368
    { "__compar_fn_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//369
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//370
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//371
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//372
    { "const QBitArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//373
    { "const QBrush&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//374
    { "const QBrush*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//375
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//376
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//377
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//378
    { "const QColor&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//379
    { "const QCursor&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//380
    { "const QDate&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//381
    { "const QDateTime&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//382
    { "const QDir&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//383
    { "const QDrawPixmaps::Data*", 21, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//384
    { "const QEasingCurve&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const QEvent*", 24, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//386
    { "const QFont&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//387
    { "const QGLColormap&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//388
    { "const QGLContext*", 29, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//389
    { "const QGLFormat&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//390
    { "const QGLFramebufferObjectFormat&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//391
    { "const QGLWidget*", 36, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//392
    { "const QGenericMatrix<2,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//393
    { "const QGenericMatrix<2,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//394
    { "const QGenericMatrix<2,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const QGenericMatrix<2,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//396
    { "const QGenericMatrix<2,4,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//397
    { "const QGenericMatrix<2,4,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//398
    { "const QGenericMatrix<3,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const QGenericMatrix<3,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//400
    { "const QGenericMatrix<3,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const QGenericMatrix<3,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//402
    { "const QGenericMatrix<3,4,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//403
    { "const QGenericMatrix<3,4,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//404
    { "const QGenericMatrix<4,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const QGenericMatrix<4,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//406
    { "const QGenericMatrix<4,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const QGenericMatrix<4,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//408
    { "const QHashDummyValue&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const QIcon&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const QImage&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const QItemSelectionRange&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const QKeySequence&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const QLatin1String&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const QLine&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const QLineF&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const QListWidgetItem&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const QLocale&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//418
    { "const QMargins&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const QMatrix&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//420
    { "const QMatrix4x4&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const QMatrix4x4*", 56, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//422
    { "const QMetaObject&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const QMetaObject*", 57, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//424
    { "const QModelIndex&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//425
    { "const QObject*", 61, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//426
    { "const QPainterPath&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//427
    { "const QPalette&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const QPen&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const QPersistentModelIndex&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//430
    { "const QPicture&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const QPixmap&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const QPoint", 72, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//433
    { "const QPoint&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const QPointF", 73, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//435
    { "const QPointF&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//436
    { "const QPolygon&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//437
    { "const QPolygonF&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//438
    { "const QQuaternion", 76, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//439
    { "const QQuaternion&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//440
    { "const QRect&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const QRectF&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//442
    { "const QRegExp&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//443
    { "const QRegExp*", 79, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//444
    { "const QRegion&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//445
    { "const QSize", 83, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//446
    { "const QSize&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//447
    { "const QSizeF", 84, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//448
    { "const QSizeF&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//449
    { "const QSizePolicy&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//450
    { "const QSplitter&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//451
    { "const QStandardItem&", 87, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//452
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//453
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//454
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//455
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//456
    { "const QStringRef&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//457
    { "const QStyleOption&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//458
    { "const QStyleOption::OptionType&", 91, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//459
    { "const QTableWidgetItem&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//460
    { "const QTextFormat&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//461
    { "const QTextLength&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//462
    { "const QTileRules&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//463
    { "const QTime&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//464
    { "const QTransform&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//465
    { "const QTreeWidgetItem&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//466
    { "const QUrl&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//467
    { "const QUuid&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//468
    { "const QVariant&", 106, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//469
    { "const QVariant::Type", 106, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//470
    { "const QVariantComparisonHelper&", 107, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//471
    { "const QVector2D", 108, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//472
    { "const QVector2D&", 108, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//473
    { "const QVector2D*", 108, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//474
    { "const QVector3D", 109, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//475
    { "const QVector3D&", 109, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//476
    { "const QVector3D*", 109, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//477
    { "const QVector4D", 110, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//478
    { "const QVector4D&", 110, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//479
    { "const QVector4D*", 110, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//480
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//481
    { "const float*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//482
    { "const float[4][4]", 0, Smoke::t_float|Smoke::tf_stack|Smoke::tf_const },	//483
    { "const int*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//484
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//485
    { "const unsigned int*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//486
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//487
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//488
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//489
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//490
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//491
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//492
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//493
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//494
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//495
    { "size_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//496
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//497
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//498
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//499
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//500
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//501
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//502
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//503
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//504
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//505
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//506
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//507
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//508
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    202, 0,	//1  QPaintEngine::Type
    388, 0,	//3  const QGLColormap&
    490, 486, 490, 0,	//5  int, const unsigned int*, int
    490, 499, 0,	//9  int, unsigned int
    490, 379, 0,	//12  int, const QColor&
    490, 0,	//15  int
    499, 0,	//17  unsigned int
    500, 0,	//19  unsigned long
    490, 486, 0,	//21  int, const unsigned int*
    390, 197, 0,	//24  const QGLFormat&, QPaintDevice*
    390, 0,	//27  const QGLFormat&
    389, 0,	//29  const QGLContext*
    389, 389, 0,	//31  const QGLContext*, const QGLContext*
    411, 499, 490, 68, 0,	//34  const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>
    432, 499, 490, 68, 0,	//39  const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>
    411, 499, 490, 0,	//44  const QImage&, unsigned int, int
    432, 499, 490, 0,	//48  const QPixmap&, unsigned int, int
    454, 0,	//52  const QString&
    442, 499, 499, 0,	//54  const QRectF&, unsigned int, unsigned int
    436, 499, 499, 0,	//58  const QPointF&, unsigned int, unsigned int
    390, 490, 0,	//62  const QGLFormat&, int
    370, 0,	//65  bool
    387, 490, 0,	//67  const QFont&, int
    379, 0,	//70  const QColor&
    197, 0,	//72  QPaintDevice*
    411, 0,	//74  const QImage&
    411, 499, 0,	//76  const QImage&, unsigned int
    432, 0,	//79  const QPixmap&
    432, 499, 0,	//81  const QPixmap&, unsigned int
    442, 499, 0,	//84  const QRectF&, unsigned int
    436, 499, 0,	//87  const QPointF&, unsigned int
    136, 0,	//90  QGLContext*
    67, 490, 0,	//92  QFlags<QGL::FormatOption>, int
    67, 0,	//95  QFlags<QGL::FormatOption>
    447, 499, 0,	//97  const QSize&, unsigned int
    490, 490, 499, 0,	//100  int, int, unsigned int
    447, 143, 499, 499, 0,	//104  const QSize&, QGLFramebufferObject::Attachment, unsigned int, unsigned int
    490, 490, 143, 499, 499, 0,	//109  int, int, QGLFramebufferObject::Attachment, unsigned int, unsigned int
    447, 391, 0,	//115  const QSize&, const QGLFramebufferObjectFormat&
    490, 490, 391, 0,	//118  int, int, const QGLFramebufferObjectFormat&
    142, 441, 142, 441, 499, 499, 0,	//122  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, unsigned int, unsigned int
    198, 0,	//129  QPaintDevice::PaintDeviceMetric
    447, 0,	//131  const QSize&
    490, 490, 0,	//133  int, int
    447, 143, 0,	//136  const QSize&, QGLFramebufferObject::Attachment
    447, 143, 499, 0,	//139  const QSize&, QGLFramebufferObject::Attachment, unsigned int
    490, 490, 143, 0,	//143  int, int, QGLFramebufferObject::Attachment
    490, 490, 143, 499, 0,	//147  int, int, QGLFramebufferObject::Attachment, unsigned int
    142, 441, 142, 441, 0,	//152  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&
    142, 441, 142, 441, 499, 0,	//157  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, unsigned int
    391, 0,	//163  const QGLFramebufferObjectFormat&
    143, 0,	//165  QGLFramebufferObject::Attachment
    447, 390, 151, 0,	//167  const QSize&, const QGLFormat&, QGLWidget*
    490, 490, 390, 151, 0,	//171  int, int, const QGLFormat&, QGLWidget*
    447, 390, 0,	//176  const QSize&, const QGLFormat&
    490, 490, 390, 0,	//179  int, int, const QGLFormat&
    481, 0,	//183  const char*
    481, 481, 0,	//185  const char*, const char*
    481, 481, 490, 0,	//188  const char*, const char*, int
    192, 490, 507, 0,	//192  QMetaObject::Call, int, void**
    70, 195, 0,	//196  QFlags<QGLShader::ShaderTypeBit>, QObject*
    70, 389, 195, 0,	//199  QFlags<QGLShader::ShaderTypeBit>, const QGLContext*, QObject*
    377, 0,	//203  const QByteArray&
    70, 0,	//205  QFlags<QGLShader::ShaderTypeBit>
    70, 389, 0,	//207  QFlags<QGLShader::ShaderTypeBit>, const QGLContext*
    195, 0,	//210  QObject*
    389, 195, 0,	//212  const QGLContext*, QObject*
    148, 0,	//215  QGLShader*
    70, 481, 0,	//217  QFlags<QGLShader::ShaderTypeBit>, const char*
    70, 377, 0,	//220  QFlags<QGLShader::ShaderTypeBit>, const QByteArray&
    70, 454, 0,	//223  QFlags<QGLShader::ShaderTypeBit>, const QString&
    481, 490, 0,	//226  const char*, int
    377, 490, 0,	//229  const QByteArray&, int
    454, 490, 0,	//232  const QString&, int
    490, 489, 0,	//235  int, float
    490, 489, 489, 0,	//238  int, float, float
    490, 489, 489, 489, 0,	//242  int, float, float, float
    490, 489, 489, 489, 489, 0,	//247  int, float, float, float, float
    490, 473, 0,	//253  int, const QVector2D&
    490, 476, 0,	//256  int, const QVector3D&
    490, 479, 0,	//259  int, const QVector4D&
    490, 482, 490, 490, 0,	//262  int, const float*, int, int
    481, 489, 0,	//267  const char*, float
    481, 489, 489, 0,	//270  const char*, float, float
    481, 489, 489, 489, 0,	//274  const char*, float, float, float
    481, 489, 489, 489, 489, 0,	//279  const char*, float, float, float, float
    481, 473, 0,	//285  const char*, const QVector2D&
    481, 476, 0,	//288  const char*, const QVector3D&
    481, 479, 0,	//291  const char*, const QVector4D&
    481, 379, 0,	//294  const char*, const QColor&
    481, 482, 490, 490, 0,	//297  const char*, const float*, int, int
    490, 474, 490, 0,	//302  int, const QVector2D*, int
    490, 477, 490, 0,	//306  int, const QVector3D*, int
    490, 480, 490, 0,	//310  int, const QVector4D*, int
    481, 474, 490, 0,	//314  const char*, const QVector2D*, int
    481, 477, 490, 0,	//318  const char*, const QVector3D*, int
    481, 480, 490, 0,	//322  const char*, const QVector4D*, int
    490, 434, 0,	//326  int, const QPoint&
    490, 436, 0,	//329  int, const QPointF&
    490, 447, 0,	//332  int, const QSize&
    490, 449, 0,	//335  int, const QSizeF&
    490, 393, 0,	//338  int, const QGenericMatrix<2,2,double>&
    490, 395, 0,	//341  int, const QGenericMatrix<2,3,double>&
    490, 397, 0,	//344  int, const QGenericMatrix<2,4,double>&
    490, 399, 0,	//347  int, const QGenericMatrix<3,2,double>&
    490, 401, 0,	//350  int, const QGenericMatrix<3,3,double>&
    490, 403, 0,	//353  int, const QGenericMatrix<3,4,double>&
    490, 405, 0,	//356  int, const QGenericMatrix<4,2,double>&
    490, 407, 0,	//359  int, const QGenericMatrix<4,3,double>&
    490, 421, 0,	//362  int, const QMatrix4x4&
    490, 483, 0,	//365  int, const float[4][4]
    490, 465, 0,	//368  int, const QTransform&
    481, 499, 0,	//371  const char*, unsigned int
    481, 434, 0,	//374  const char*, const QPoint&
    481, 436, 0,	//377  const char*, const QPointF&
    481, 447, 0,	//380  const char*, const QSize&
    481, 449, 0,	//383  const char*, const QSizeF&
    481, 393, 0,	//386  const char*, const QGenericMatrix<2,2,double>&
    481, 395, 0,	//389  const char*, const QGenericMatrix<2,3,double>&
    481, 397, 0,	//392  const char*, const QGenericMatrix<2,4,double>&
    481, 399, 0,	//395  const char*, const QGenericMatrix<3,2,double>&
    481, 401, 0,	//398  const char*, const QGenericMatrix<3,3,double>&
    481, 403, 0,	//401  const char*, const QGenericMatrix<3,4,double>&
    481, 405, 0,	//404  const char*, const QGenericMatrix<4,2,double>&
    481, 407, 0,	//407  const char*, const QGenericMatrix<4,3,double>&
    481, 421, 0,	//410  const char*, const QMatrix4x4&
    481, 483, 0,	//413  const char*, const float[4][4]
    481, 465, 0,	//416  const char*, const QTransform&
    490, 484, 490, 0,	//419  int, const int*, int
    490, 394, 490, 0,	//423  int, const QGenericMatrix<2,2,double>*, int
    490, 396, 490, 0,	//427  int, const QGenericMatrix<2,3,double>*, int
    490, 398, 490, 0,	//431  int, const QGenericMatrix<2,4,double>*, int
    490, 400, 490, 0,	//435  int, const QGenericMatrix<3,2,double>*, int
    490, 402, 490, 0,	//439  int, const QGenericMatrix<3,3,double>*, int
    490, 404, 490, 0,	//443  int, const QGenericMatrix<3,4,double>*, int
    490, 406, 490, 0,	//447  int, const QGenericMatrix<4,2,double>*, int
    490, 408, 490, 0,	//451  int, const QGenericMatrix<4,3,double>*, int
    490, 422, 490, 0,	//455  int, const QMatrix4x4*, int
    481, 484, 490, 0,	//459  const char*, const int*, int
    481, 486, 490, 0,	//463  const char*, const unsigned int*, int
    481, 394, 490, 0,	//467  const char*, const QGenericMatrix<2,2,double>*, int
    481, 396, 490, 0,	//471  const char*, const QGenericMatrix<2,3,double>*, int
    481, 398, 490, 0,	//475  const char*, const QGenericMatrix<2,4,double>*, int
    481, 400, 490, 0,	//479  const char*, const QGenericMatrix<3,2,double>*, int
    481, 402, 490, 0,	//483  const char*, const QGenericMatrix<3,3,double>*, int
    481, 404, 490, 0,	//487  const char*, const QGenericMatrix<3,4,double>*, int
    481, 406, 490, 0,	//491  const char*, const QGenericMatrix<4,2,double>*, int
    481, 408, 490, 0,	//495  const char*, const QGenericMatrix<4,3,double>*, int
    481, 422, 490, 0,	//499  const char*, const QMatrix4x4*, int
    490, 482, 490, 0,	//503  int, const float*, int
    490, 474, 0,	//507  int, const QVector2D*
    490, 477, 0,	//510  int, const QVector3D*
    490, 480, 0,	//513  int, const QVector4D*
    481, 482, 490, 0,	//516  const char*, const float*, int
    481, 474, 0,	//520  const char*, const QVector2D*
    481, 477, 0,	//523  const char*, const QVector3D*
    481, 480, 0,	//526  const char*, const QVector4D*
    287, 392, 128, 0,	//529  QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    136, 287, 392, 128, 0,	//533  QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    390, 287, 392, 128, 0,	//538  const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    136, 389, 370, 0,	//543  QGLContext*, const QGLContext*, bool
    490, 490, 370, 0,	//547  int, int, bool
    490, 490, 454, 387, 490, 0,	//551  int, int, const QString&, const QFont&, int
    488, 488, 488, 454, 387, 490, 0,	//557  double, double, double, const QString&, const QFont&, int
    43, 0,	//564  QEvent*
    203, 0,	//566  QPaintEvent*
    227, 0,	//568  QResizeEvent*
    287, 0,	//570  QWidget*
    287, 392, 0,	//572  QWidget*, const QGLWidget*
    136, 287, 0,	//575  QGLContext*, QWidget*
    136, 287, 392, 0,	//578  QGLContext*, QWidget*, const QGLWidget*
    390, 287, 0,	//582  const QGLFormat&, QWidget*
    390, 287, 392, 0,	//585  const QGLFormat&, QWidget*, const QGLWidget*
    136, 389, 0,	//589  QGLContext*, const QGLContext*
    490, 490, 454, 0,	//592  int, int, const QString&
    490, 490, 454, 387, 0,	//596  int, int, const QString&, const QFont&
    488, 488, 488, 454, 0,	//601  double, double, double, const QString&
    488, 488, 488, 454, 387, 0,	//606  double, double, double, const QString&, const QFont&
    387, 0,	//612  const QFont&
    30, 490, 0,	//614  QDateTimeEdit::Section, int
    457, 457, 0,	//617  const QStringRef&, const QStringRef&
    501, 0,	//620  unsigned long long
    488, 0,	//622  double
    256, 490, 0,	//624  QTextCodec::ConversionFlag, int
    421, 421, 0,	//627  const QMatrix4x4&, const QMatrix4x4&
    321, 490, 0,	//630  Qt::ImageConversionFlag, int
    476, 476, 0,	//633  const QVector3D&, const QVector3D&
    473, 473, 0,	//636  const QVector2D&, const QVector2D&
    506, 487, 496, 0,	//639  void*, const void*, size_t
    481, 414, 0,	//643  const char*, const QLatin1String&
    31, 78, 0,	//646  QDebug, QFlags<QIODevice::OpenModeFlag>
    27, 164, 0,	//649  QDataStream&, QIcon&
    436, 420, 0,	//652  const QPointF&, const QMatrix&
    200, 88, 0,	//655  QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>
    457, 454, 0,	//658  const QStringRef&, const QString&
    447, 447, 0,	//661  const QSize&, const QSize&
    27, 413, 0,	//664  QDataStream&, const QKeySequence&
    258, 258, 0,	//667  QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag
    481, 377, 0,	//670  const char*, const QByteArray&
    27, 235, 0,	//673  QDataStream&, QStandardItem&
    246, 246, 0,	//676  QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature
    189, 85, 0,	//679  QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>
    45, 63, 0,	//682  QFile::Permission, QFlags<QFile::Permission>
    454, 481, 0,	//685  const QString&, const char*
    27, 221, 0,	//688  QDataStream&, QQuaternion&
    436, 436, 0,	//691  const QPointF&, const QPointF&
    27, 438, 0,	//694  QDataStream&, const QPolygonF&
    488, 488, 0,	//697  double, double
    27, 231, 0,	//700  QDataStream&, QSizeF&
    377, 481, 0,	//703  const QByteArray&, const char*
    489, 0,	//706  float
    495, 0,	//708  signed char
    154, 490, 0,	//710  QGraphicsEffect::ChangeFlag, int
    454, 457, 0,	//713  const QString&, const QStringRef&
    46, 490, 0,	//716  QFileDialog::Option, int
    18, 0,	//719  QChar
    27, 445, 0,	//721  QDataStream&, const QRegion&
    191, 191, 0,	//724  QMessageBox::StandardButton, QMessageBox::StandardButton
    245, 94, 0,	//727  QStyle::SubControl, QFlags<QStyle::SubControl>
    421, 434, 0,	//730  const QMatrix4x4&, const QPoint&
    27, 462, 0,	//733  QDataStream&, const QTextLength&
    31, 374, 0,	//736  QDebug, const QBrush&
    152, 152, 0,	//739  QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag
    457, 414, 0,	//742  const QStringRef&, const QLatin1String&
    421, 479, 0,	//745  const QMatrix4x4&, const QVector4D&
    18, 18, 0,	//748  QChar, QChar
    31, 440, 0,	//751  QDebug, const QQuaternion&
    354, 354, 0,	//754  Qt::TouchPointState, Qt::TouchPointState
    421, 0,	//757  const QMatrix4x4&
    288, 490, 0,	//759  QWidget::RenderFlag, int
    421, 488, 0,	//762  const QMatrix4x4&, double
    27, 428, 0,	//765  QDataStream&, const QPalette&
    31, 467, 0,	//768  QDebug, const QUrl&
    27, 23, 0,	//771  QDataStream&, QColor&
    27, 253, 0,	//774  QDataStream&, QTableWidgetItem&
    185, 84, 0,	//777  QMainWindow::DockOption, QFlags<QMainWindow::DockOption>
    238, 454, 0,	//780  QString::Null, const QString&
    31, 157, 0,	//783  QDebug, QGraphicsItem::GraphicsItemFlag
    288, 111, 0,	//786  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    351, 351, 0,	//789  Qt::ToolBarArea, Qt::ToolBarArea
    161, 490, 0,	//792  QGraphicsView::OptimizationFlag, int
    184, 184, 0,	//795  QLocale::NumberOption, QLocale::NumberOption
    362, 362, 0,	//798  Qt::WindowType, Qt::WindowType
    488, 449, 0,	//801  double, const QSizeF&
    440, 440, 0,	//804  const QQuaternion&, const QQuaternion&
    33, 490, 0,	//807  QDir::Filter, int
    245, 245, 0,	//810  QStyle::SubControl, QStyle::SubControl
    434, 434, 0,	//813  const QPoint&, const QPoint&
    27, 442, 0,	//816  QDataStream&, const QRectF&
    329, 490, 0,	//819  Qt::KeyboardModifier, int
    348, 124, 0,	//822  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    189, 490, 0,	//825  QMdiArea::AreaOption, int
    465, 488, 0,	//828  const QTransform&, double
    2, 48, 0,	//831  QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>
    371, 0,	//834  char
    289, 289, 0,	//836  QWizard::WizardOption, QWizard::WizardOption
    266, 108, 0,	//839  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    263, 490, 0,	//842  QTextOption::Flag, int
    31, 419, 0,	//845  QDebug, const QMargins&
    275, 490, 0,	//848  QUrl::FormattingOption, int
    45, 490, 0,	//851  QFile::Permission, int
    152, 71, 0,	//854  QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>
    434, 488, 0,	//857  const QPoint&, double
    204, 490, 490, 490, 490, 428, 370, 375, 0,	//860  QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*
    204, 490, 490, 490, 490, 428, 0,	//869  QPainter*, int, int, int, int, const QPalette&
    204, 490, 490, 490, 490, 428, 370, 0,	//876  QPainter*, int, int, int, int, const QPalette&, bool
    27, 465, 0,	//884  QDataStream&, const QTransform&
    35, 58, 0,	//887  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    454, 377, 0,	//890  const QString&, const QByteArray&
    449, 449, 0,	//893  const QSizeF&, const QSizeF&
    476, 421, 0,	//896  const QVector3D&, const QMatrix4x4&
    479, 479, 0,	//899  const QVector4D&, const QVector4D&
    31, 436, 0,	//902  QDebug, const QPointF&
    46, 64, 0,	//905  QFileDialog::Option, QFlags<QFileDialog::Option>
    27, 432, 0,	//908  QDataStream&, const QPixmap&
    329, 120, 0,	//911  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    289, 490, 0,	//914  QWizard::WizardOption, int
    31, 416, 0,	//917  QDebug, const QLineF&
    31, 382, 0,	//920  QDebug, const QDateTime&
    36, 59, 0,	//923  QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>
    481, 454, 0,	//926  const char*, const QString&
    490, 490, 490, 0,	//929  int, int, int
    160, 160, 0,	//933  QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag
    137, 68, 0,	//936  QGLContext::BindOption, QFlags<QGLContext::BindOption>
    27, 431, 0,	//939  QDataStream&, const QPicture&
    275, 275, 0,	//942  QUrl::FormattingOption, QUrl::FormattingOption
    354, 126, 0,	//945  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    321, 321, 0,	//948  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    201, 490, 0,	//951  QPaintEngine::PaintEngineFeature, int
    2, 2, 0,	//954  QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger
    184, 490, 0,	//957  QLocale::NumberOption, int
    414, 414, 0,	//960  const QLatin1String&, const QLatin1String&
    485, 490, 0,	//963  const unsigned char*, int
    481, 481, 499, 0,	//966  const char*, const char*, unsigned int
    414, 457, 0,	//970  const QLatin1String&, const QStringRef&
    172, 174, 0,	//973  QKeyEvent*, QKeySequence::StandardKey
    248, 248, 0,	//976  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature
    264, 234, 0,	//979  QTextStream&, QSplitter&
    412, 0,	//982  const QItemSelectionRange&
    311, 311, 0,	//984  Qt::DropAction, Qt::DropAction
    205, 90, 0,	//987  QPainter::RenderHint, QFlags<QPainter::RenderHint>
    31, 434, 0,	//990  QDebug, const QPoint&
    27, 183, 0,	//993  QDataStream&, QLocale&
    454, 18, 0,	//996  const QString&, QChar
    238, 238, 0,	//999  QString::Null, QString::Null
    9, 51, 0,	//1002  QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>
    149, 490, 0,	//1005  QGLShader::ShaderTypeBit, int
    485, 498, 490, 0,	//1008  const unsigned char*, unsigned char*, int
    247, 96, 0,	//1012  QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>
    256, 256, 0,	//1015  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    336, 336, 0,	//1018  Qt::Orientation, Qt::Orientation
    506, 496, 496, 496, 0,	//1021  void*, size_t, size_t, size_t
    27, 208, 0,	//1026  QDataStream&, QPalette&
    27, 380, 0,	//1029  QDataStream&, const QCursor&
    377, 454, 0,	//1032  const QByteArray&, const QString&
    351, 125, 0,	//1035  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    258, 104, 0,	//1038  QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>
    441, 441, 0,	//1041  const QRect&, const QRect&
    44, 62, 0,	//1044  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    373, 373, 0,	//1047  const QBitArray&, const QBitArray&
    377, 377, 0,	//1050  const QByteArray&, const QByteArray&
    191, 87, 0,	//1053  QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>
    506, 496, 0,	//1056  void*, size_t
    27, 420, 0,	//1059  QDataStream&, const QMatrix&
    27, 418, 0,	//1062  QDataStream&, const QLocale&
    31, 385, 0,	//1065  QDebug, const QEasingCurve&
    505, 0,	//1068  void(*)(QtMsgType,const char*)
    3, 490, 0,	//1070  QAbstractPrintDialog::PrintDialogOption, int
    425, 0,	//1073  const QModelIndex&
    30, 30, 0,	//1075  QDateTimeEdit::Section, QDateTimeEdit::Section
    252, 101, 0,	//1078  QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>
    27, 29, 0,	//1081  QDataStream&, QDateTime&
    31, 386, 0,	//1084  QDebug, const QEvent*
    14, 14, 0,	//1087  QBool, QBool
    154, 154, 0,	//1090  QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag
    481, 457, 0,	//1093  const char*, const QStringRef&
    131, 490, 0,	//1096  QFontComboBox::FontFilter, int
    351, 490, 0,	//1099  Qt::ToolBarArea, int
    152, 490, 0,	//1102  QGestureRecognizer::ResultFlag, int
    167, 167, 0,	//1105  QImageIOPlugin::Capability, QImageIOPlugin::Capability
    133, 67, 0,	//1108  QGL::FormatOption, QFlags<QGL::FormatOption>
    27, 209, 0,	//1111  QDataStream&, QPen&
    415, 465, 0,	//1114  const QLine&, const QTransform&
    31, 438, 0,	//1117  QDebug, const QPolygonF&
    323, 490, 0,	//1120  Qt::InputMethodHint, int
    18, 454, 0,	//1123  QChar, const QString&
    249, 98, 0,	//1126  QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>
    239, 490, 0,	//1129  QString::SectionFlag, int
    137, 490, 0,	//1132  QGLContext::BindOption, int
    153, 72, 0,	//1135  QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>
    175, 490, 0,	//1138  QLibrary::LoadHint, int
    31, 156, 0,	//1141  QDebug, QGraphicsItem::GraphicsItemChange
    27, 274, 0,	//1144  QDataStream&, QUrl&
    493, 0,	//1147  long long
    440, 0,	//1149  const QQuaternion&
    454, 238, 0,	//1151  const QString&, QString::Null
    132, 132, 0,	//1154  QFontDialog::FontDialogOption, QFontDialog::FontDialogOption
    465, 465, 0,	//1157  const QTransform&, const QTransform&
    185, 490, 0,	//1160  QMainWindow::DockOption, int
    27, 15, 0,	//1163  QDataStream&, QBrush&
    1, 490, 0,	//1166  QAbstractFileEngine::FileFlag, int
    256, 102, 0,	//1169  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    454, 371, 0,	//1172  const QString&, char
    427, 420, 0,	//1175  const QPainterPath&, const QMatrix&
    323, 118, 0,	//1178  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    141, 490, 0,	//1181  QGLFormat::OpenGLVersionFlag, int
    185, 185, 0,	//1184  QMainWindow::DockOption, QMainWindow::DockOption
    289, 112, 0,	//1187  QWizard::WizardOption, QFlags<QWizard::WizardOption>
    27, 232, 0,	//1190  QDataStream&, QSizePolicy&
    362, 128, 0,	//1193  Qt::WindowType, QFlags<Qt::WindowType>
    204, 490, 490, 490, 490, 379, 490, 375, 0,	//1196  QPainter*, int, int, int, int, const QColor&, int, const QBrush*
    204, 490, 490, 490, 490, 379, 0,	//1205  QPainter*, int, int, int, int, const QColor&
    204, 490, 490, 490, 490, 379, 490, 0,	//1212  QPainter*, int, int, int, int, const QColor&, int
    440, 488, 0,	//1220  const QQuaternion&, double
    334, 334, 0,	//1223  Qt::MouseButton, Qt::MouseButton
    372, 481, 0,	//1226  char*, const char*
    445, 420, 0,	//1229  const QRegion&, const QMatrix&
    290, 290, 0,	//1232  Qt::AlignmentFlag, Qt::AlignmentFlag
    434, 0,	//1235  const QPoint&
    311, 490, 0,	//1237  Qt::DropAction, int
    27, 464, 0,	//1240  QDataStream&, const QTime&
    34, 490, 0,	//1243  QDir::SortFlag, int
    419, 419, 0,	//1246  const QMargins&, const QMargins&
    204, 441, 428, 370, 490, 490, 375, 0,	//1249  QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*
    204, 441, 428, 0,	//1257  QPainter*, const QRect&, const QPalette&
    204, 441, 428, 370, 0,	//1261  QPainter*, const QRect&, const QPalette&, bool
    204, 441, 428, 370, 490, 0,	//1266  QPainter*, const QRect&, const QPalette&, bool, int
    204, 441, 428, 370, 490, 490, 0,	//1272  QPainter*, const QRect&, const QPalette&, bool, int, int
    27, 427, 0,	//1279  QDataStream&, const QPainterPath&
    479, 421, 0,	//1282  const QVector4D&, const QMatrix4x4&
    257, 490, 0,	//1285  QTextDocument::FindFlag, int
    196, 0,	//1288  QObject*(*)()
    31, 412, 0,	//1290  QDebug, const QItemSelectionRange&
    31, 413, 0,	//1293  QDebug, const QKeySequence&
    36, 36, 0,	//1296  QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature
    204, 441, 419, 432, 0,	//1299  QPainter*, const QRect&, const QMargins&, const QPixmap&
    479, 488, 0,	//1304  const QVector4D&, double
    264, 451, 0,	//1307  QTextStream&, const QSplitter&
    332, 332, 0,	//1310  Qt::MatchFlag, Qt::MatchFlag
    496, 0,	//1313  size_t
    309, 114, 0,	//1315  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    27, 241, 0,	//1318  QDataStream&, QStringList&
    250, 250, 0,	//1321  QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature
    171, 81, 0,	//1324  QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>
    27, 476, 0,	//1327  QDataStream&, const QVector3D&
    31, 470, 0,	//1330  QDebug, const QVariant::Type
    309, 490, 0,	//1333  Qt::DockWidgetArea, int
    261, 106, 0,	//1336  QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>
    27, 473, 0,	//1339  QDataStream&, const QVector2D&
    27, 374, 0,	//1342  QDataStream&, const QBrush&
    204, 441, 428, 370, 375, 0,	//1345  QPainter*, const QRect&, const QPalette&, bool, const QBrush*
    190, 490, 0,	//1351  QMdiSubWindow::SubWindowOption, int
    491, 0,	//1354  long
    27, 466, 0,	//1356  QDataStream&, const QTreeWidgetItem&
    502, 0,	//1359  unsigned short
    260, 260, 0,	//1361  QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag
    27, 179, 0,	//1364  QDataStream&, QLineF&
    200, 200, 0,	//1367  QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag
    27, 411, 0,	//1370  QDataStream&, const QImage&
    45, 45, 0,	//1373  QFile::Permission, QFile::Permission
    169, 80, 0,	//1376  QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>
    204, 441, 428, 370, 490, 375, 0,	//1379  QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*
    371, 454, 0,	//1386  char, const QString&
    27, 230, 0,	//1389  QDataStream&, QSize&
    27, 173, 0,	//1392  QDataStream&, QKeySequence&
    249, 249, 0,	//1395  QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget
    32, 490, 0,	//1398  QDialogButtonBox::StandardButton, int
    260, 105, 0,	//1401  QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>
    430, 0,	//1404  const QPersistentModelIndex&
    31, 445, 0,	//1406  QDebug, const QRegion&
    27, 479, 0,	//1409  QDataStream&, const QVector4D&
    27, 410, 0,	//1412  QDataStream&, const QIcon&
    27, 454, 0,	//1415  QDataStream&, const QString&
    27, 382, 0,	//1418  QDataStream&, const QDateTime&
    27, 283, 0,	//1421  QDataStream&, QVector3D&
    149, 70, 0,	//1424  QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>
    426, 454, 423, 0,	//1427  const QObject*, const QString&, const QMetaObject&
    204, 490, 490, 490, 490, 428, 370, 490, 375, 0,	//1431  QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*
    204, 490, 490, 490, 490, 428, 370, 490, 0,	//1441  QPainter*, int, int, int, int, const QPalette&, bool, int
    239, 239, 0,	//1450  QString::SectionFlag, QString::SectionFlag
    27, 281, 0,	//1453  QDataStream&, QVector2D&
    191, 490, 0,	//1456  QMessageBox::StandardButton, int
    473, 488, 0,	//1459  const QVector2D&, double
    247, 247, 0,	//1462  QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature
    436, 488, 0,	//1465  const QPointF&, double
    370, 14, 0,	//1468  bool, QBool
    161, 161, 0,	//1471  QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag
    476, 488, 0,	//1474  const QVector3D&, double
    169, 169, 0,	//1477  QInputDialog::InputDialogOption, QInputDialog::InputDialogOption
    171, 171, 0,	//1480  QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag
    372, 481, 499, 0,	//1483  char*, const char*, unsigned int
    488, 473, 0,	//1487  double, const QVector2D&
    479, 0,	//1490  const QVector4D&
    273, 109, 0,	//1492  QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>
    27, 188, 0,	//1495  QDataStream&, QMatrix4x4&
    250, 99, 0,	//1498  QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>
    258, 490, 0,	//1501  QTextEdit::AutoFormattingFlag, int
    249, 490, 0,	//1504  QStyleOptionTab::CornerWidget, int
    27, 434, 0,	//1507  QDataStream&, const QPoint&
    27, 278, 0,	//1510  QDataStream&, QVariant&
    436, 421, 0,	//1513  const QPointF&, const QMatrix4x4&
    334, 490, 0,	//1516  Qt::MouseButton, int
    27, 166, 0,	//1519  QDataStream&, QImage&
    436, 0,	//1522  const QPointF&
    31, 458, 0,	//1524  QDebug, const QStyleOption&
    3, 49, 0,	//1527  QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>
    27, 210, 0,	//1530  QDataStream&, QPicture&
    24, 490, 0,	//1533  QColorDialog::ColorDialogOption, int
    133, 490, 0,	//1536  QGL::FormatOption, int
    31, 430, 0,	//1539  QDebug, const QPersistentModelIndex&
    438, 420, 0,	//1542  const QPolygonF&, const QMatrix&
    27, 285, 0,	//1545  QDataStream&, QVector4D&
    24, 24, 0,	//1548  QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption
    481, 481, 481, 490, 0,	//1551  const char*, const char*, const char*, int
    46, 46, 0,	//1556  QFileDialog::Option, QFileDialog::Option
    263, 263, 0,	//1559  QTextOption::Flag, QTextOption::Flag
    336, 123, 0,	//1562  Qt::Orientation, QFlags<Qt::Orientation>
    27, 421, 0,	//1565  QDataStream&, const QMatrix4x4&
    420, 420, 0,	//1568  const QMatrix&, const QMatrix&
    44, 490, 0,	//1571  QEventLoop::ProcessEventsFlag, int
    442, 442, 0,	//1574  const QRectF&, const QRectF&
    506, 496, 496, 369, 0,	//1577  void*, size_t, size_t, __compar_fn_t
    490, 490, 490, 490, 0,	//1582  int, int, int, int
    27, 271, 0,	//1587  QDataStream&, QTransform&
    31, 158, 0,	//1590  QDebug, QGraphicsObject*
    27, 452, 0,	//1593  QDataStream&, const QStandardItem&
    321, 117, 0,	//1596  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    488, 479, 0,	//1599  double, const QVector4D&
    9, 490, 0,	//1602  QAccessible::RelationFlag, int
    190, 86, 0,	//1605  QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>
    204, 384, 490, 432, 61, 0,	//1608  QPainter*, const QDrawPixmaps::Data*, int, const QPixmap&, QFlags<QDrawPixmaps::DrawingHint>
    204, 384, 490, 432, 0,	//1614  QPainter*, const QDrawPixmaps::Data*, int, const QPixmap&
    27, 455, 0,	//1619  QDataStream&, const QStringList&
    31, 421, 0,	//1622  QDebug, const QMatrix4x4&
    377, 371, 0,	//1625  const QByteArray&, char
    35, 35, 0,	//1628  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    33, 56, 0,	//1631  QDir::Filter, QFlags<QDir::Filter>
    27, 214, 0,	//1634  QDataStream&, QPoint&
    449, 488, 0,	//1637  const QSizeF&, double
    27, 381, 0,	//1640  QDataStream&, const QDate&
    252, 490, 0,	//1643  QStyleOptionViewItemV2::ViewItemFeature, int
    504, 0,	//1646  void(*)()
    485, 490, 490, 0,	//1648  const unsigned char*, int, int
    233, 233, 0,	//1652  QSizePolicy::ControlType, QSizePolicy::ControlType
    27, 415, 0,	//1655  QDataStream&, const QLine&
    27, 186, 0,	//1658  QDataStream&, QMatrix&
    32, 32, 0,	//1661  QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton
    27, 237, 0,	//1664  QDataStream&, QString&
    244, 244, 0,	//1667  QStyle::StateFlag, QStyle::StateFlag
    27, 417, 0,	//1670  QDataStream&, const QListWidgetItem&
    247, 490, 0,	//1673  QStyleOptionFrameV2::FrameFeature, int
    506, 0,	//1676  void*
    31, 74, 0,	//1678  QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>
    416, 420, 0,	//1681  const QLineF&, const QMatrix&
    27, 461, 0,	//1684  QDataStream&, const QTextFormat&
    326, 490, 0,	//1687  Qt::ItemFlag, int
    27, 272, 0,	//1690  QDataStream&, QTreeWidgetItem&
    31, 383, 0,	//1693  QDebug, const QDir&
    264, 265, 0,	//1696  QTextStream&, QTextStream&(*)(QTextStream&)
    31, 429, 0,	//1699  QDebug, const QPen&
    488, 440, 0,	//1702  double, const QQuaternion&
    390, 390, 0,	//1705  const QGLFormat&, const QGLFormat&
    31, 425, 0,	//1708  QDebug, const QModelIndex&
    157, 74, 0,	//1711  QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>
    31, 476, 0,	//1714  QDebug, const QVector3D&
    261, 261, 0,	//1717  QTextItem::RenderFlag, QTextItem::RenderFlag
    44, 44, 0,	//1720  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    373, 0,	//1723  const QBitArray&
    31, 473, 0,	//1725  QDebug, const QVector2D&
    167, 79, 0,	//1728  QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>
    31, 464, 0,	//1731  QDebug, const QTime&
    264, 267, 0,	//1734  QTextStream&, QTextStreamManipulator
    31, 479, 0,	//1737  QDebug, const QVector4D&
    27, 259, 0,	//1740  QDataStream&, QTextFormat&
    316, 116, 0,	//1743  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    457, 481, 0,	//1746  const QStringRef&, const char*
    251, 490, 0,	//1749  QStyleOptionToolButton::ToolButtonFeature, int
    233, 91, 0,	//1752  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    288, 288, 0,	//1755  QWidget::RenderFlag, QWidget::RenderFlag
    27, 13, 0,	//1758  QDataStream&, QBitArray&
    27, 218, 0,	//1761  QDataStream&, QPolygon&
    27, 226, 0,	//1764  QDataStream&, QRegion&
    4, 4, 0,	//1767  QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag
    27, 450, 0,	//1770  QDataStream&, const QSizePolicy&
    251, 251, 0,	//1773  QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature
    36, 490, 0,	//1776  QDockWidget::DockWidgetFeature, int
    496, 496, 0,	//1779  size_t, size_t
    159, 75, 0,	//1782  QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>
    137, 137, 0,	//1785  QGLContext::BindOption, QGLContext::BindOption
    434, 465, 0,	//1788  const QPoint&, const QTransform&
    31, 449, 0,	//1791  QDebug, const QSizeF&
    316, 490, 0,	//1794  Qt::GestureFlag, int
    371, 377, 0,	//1797  char, const QByteArray&
    244, 490, 0,	//1800  QStyle::StateFlag, int
    27, 469, 0,	//1803  QDataStream&, const QVariant&
    251, 100, 0,	//1806  QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>
    31, 469, 0,	//1809  QDebug, const QVariant&
    10, 10, 0,	//1812  QAccessible::StateFlag, QAccessible::StateFlag
    205, 205, 0,	//1815  QPainter::RenderHint, QPainter::RenderHint
    361, 490, 0,	//1818  Qt::WindowState, int
    27, 268, 0,	//1821  QDataStream&, QTime&
    27, 212, 0,	//1824  QDataStream&, QPixmap&
    30, 54, 0,	//1827  QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>
    263, 107, 0,	//1830  QTextOption::Flag, QFlags<QTextOption::Flag>
    31, 56, 0,	//1833  QDebug, QFlags<QDir::Filter>
    329, 329, 0,	//1836  Qt::KeyboardModifier, Qt::KeyboardModifier
    488, 436, 0,	//1839  double, const QPointF&
    311, 115, 0,	//1842  Qt::DropAction, QFlags<Qt::DropAction>
    445, 465, 0,	//1845  const QRegion&, const QTransform&
    141, 69, 0,	//1848  QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>
    447, 488, 0,	//1851  const QSize&, double
    31, 381, 0,	//1854  QDebug, const QDate&
    427, 465, 0,	//1857  const QPainterPath&, const QTransform&
    10, 52, 0,	//1860  QAccessible::StateFlag, QFlags<QAccessible::StateFlag>
    33, 33, 0,	//1863  QDir::Filter, QDir::Filter
    372, 496, 481, 503, 0,	//1866  char*, size_t, const char*, va_list
    488, 434, 0,	//1871  double, const QPoint&
    438, 465, 0,	//1874  const QPolygonF&, const QTransform&
    506, 490, 496, 0,	//1877  void*, int, size_t
    27, 416, 0,	//1881  QDataStream&, const QLineF&
    494, 0,	//1884  short
    190, 190, 0,	//1886  QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption
    163, 163, 0,	//1889  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    309, 309, 0,	//1892  Qt::DockWidgetArea, Qt::DockWidgetArea
    34, 57, 0,	//1895  QDir::SortFlag, QFlags<QDir::SortFlag>
    489, 489, 0,	//1898  float, float
    469, 471, 0,	//1901  const QVariant&, const QVariantComparisonHelper&
    169, 490, 0,	//1904  QInputDialog::InputDialogOption, int
    175, 175, 0,	//1907  QLibrary::LoadHint, QLibrary::LoadHint
    492, 490, 372, 0,	//1910  long double, int, char*
    273, 273, 0,	//1914  QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag
    248, 97, 0,	//1917  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>
    161, 77, 0,	//1920  QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>
    35, 490, 0,	//1923  QDirIterator::IteratorFlag, int
    323, 323, 0,	//1926  Qt::InputMethodHint, Qt::InputMethodHint
    159, 490, 0,	//1929  QGraphicsScene::SceneLayer, int
    27, 429, 0,	//1932  QDataStream&, const QPen&
    201, 201, 0,	//1935  QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature
    27, 207, 0,	//1938  QDataStream&, QPainterPath&
    31, 415, 0,	//1941  QDebug, const QLine&
    348, 348, 0,	//1944  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    204, 490, 490, 490, 490, 428, 370, 490, 490, 375, 0,	//1947  QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*
    204, 490, 490, 490, 490, 428, 370, 490, 490, 0,	//1958  QPainter*, int, int, int, int, const QPalette&, bool, int, int
    354, 490, 0,	//1968  Qt::TouchPointState, int
    27, 262, 0,	//1971  QDataStream&, QTextLength&
    31, 465, 0,	//1974  QDebug, const QTransform&
    273, 490, 0,	//1977  QTreeWidgetItemIterator::IteratorFlag, int
    31, 437, 0,	//1980  QDebug, const QPolygon&
    275, 110, 0,	//1983  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    4, 490, 0,	//1986  QAbstractSpinBox::StepEnabledFlag, int
    233, 490, 0,	//1989  QSizePolicy::ControlType, int
    159, 159, 0,	//1992  QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer
    348, 490, 0,	//1995  Qt::TextInteractionFlag, int
    361, 361, 0,	//1998  Qt::WindowState, Qt::WindowState
    260, 490, 0,	//2001  QTextFormat::PageBreakFlag, int
    473, 0,	//2004  const QVector2D&
    1, 47, 0,	//2006  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    27, 379, 0,	//2009  QDataStream&, const QColor&
    488, 421, 0,	//2012  double, const QMatrix4x4&
    27, 377, 0,	//2015  QDataStream&, const QByteArray&
    9, 9, 0,	//2018  QAccessible::RelationFlag, QAccessible::RelationFlag
    415, 420, 0,	//2021  const QLine&, const QMatrix&
    27, 467, 0,	//2024  QDataStream&, const QUrl&
    31, 441, 0,	//2027  QDebug, const QRect&
    31, 387, 0,	//2030  QDebug, const QFont&
    34, 34, 0,	//2033  QDir::SortFlag, QDir::SortFlag
    24, 53, 0,	//2036  QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>
    160, 490, 0,	//2039  QGraphicsView::CacheModeFlag, int
    266, 490, 0,	//2042  QTextStream::NumberFlag, int
    27, 222, 0,	//2045  QDataStream&, QRect&
    189, 189, 0,	//2048  QMdiArea::AreaOption, QMdiArea::AreaOption
    27, 447, 0,	//2051  QDataStream&, const QSize&
    27, 378, 0,	//2054  QDataStream&, const QChar&
    131, 65, 0,	//2057  QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>
    174, 172, 0,	//2060  QKeySequence::StandardKey, QKeyEvent*
    132, 66, 0,	//2063  QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>
    244, 93, 0,	//2066  QStyle::StateFlag, QFlags<QStyle::StateFlag>
    290, 490, 0,	//2069  Qt::AlignmentFlag, int
    27, 182, 0,	//2072  QDataStream&, QListWidgetItem&
    27, 443, 0,	//2075  QDataStream&, const QRegExp&
    167, 490, 0,	//2078  QImageIOPlugin::Capability, int
    257, 103, 0,	//2081  QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>
    476, 0,	//2084  const QVector3D&
    31, 442, 0,	//2086  QDebug, const QRectF&
    361, 127, 0,	//2089  Qt::WindowState, QFlags<Qt::WindowState>
    154, 73, 0,	//2092  QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>
    326, 326, 0,	//2095  Qt::ItemFlag, Qt::ItemFlag
    27, 276, 0,	//2098  QDataStream&, QUuid&
    27, 130, 0,	//2101  QDataStream&, QFont&
    204, 441, 379, 490, 375, 0,	//2104  QPainter*, const QRect&, const QColor&, int, const QBrush*
    204, 441, 379, 0,	//2110  QPainter*, const QRect&, const QColor&
    204, 441, 379, 490, 0,	//2114  QPainter*, const QRect&, const QColor&, int
    27, 220, 0,	//2119  QDataStream&, QPolygonF&
    157, 157, 0,	//2122  QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag
    149, 149, 0,	//2125  QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit
    250, 490, 0,	//2128  QStyleOptionToolBar::ToolBarFeature, int
    27, 280, 0,	//2131  QDataStream&, QVariant::Type&
    205, 490, 0,	//2134  QPainter::RenderHint, int
    469, 279, 506, 0,	//2137  const QVariant&, QVariant::Type, void*
    31, 93, 0,	//2141  QDebug, QFlags<QStyle::StateFlag>
    2, 490, 0,	//2144  QAbstractItemView::EditTrigger, int
    434, 421, 0,	//2147  const QPoint&, const QMatrix4x4&
    434, 420, 0,	//2150  const QPoint&, const QMatrix&
    3, 3, 0,	//2153  QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption
    426, 454, 444, 423, 181, 0,	//2156  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    409, 409, 0,	//2162  const QHashDummyValue&, const QHashDummyValue&
    27, 216, 0,	//2165  QDataStream&, QPointF&
    336, 490, 0,	//2168  Qt::Orientation, int
    252, 252, 0,	//2171  QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature
    421, 476, 0,	//2174  const QMatrix4x4&, const QVector3D&
    27, 460, 0,	//2177  QDataStream&, const QTableWidgetItem&
    31, 155, 0,	//2180  QDebug, QGraphicsItem*
    204, 434, 434, 428, 370, 490, 490, 0,	//2183  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int
    204, 434, 434, 428, 0,	//2191  QPainter*, const QPoint&, const QPoint&, const QPalette&
    204, 434, 434, 428, 370, 0,	//2196  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool
    204, 434, 434, 428, 370, 490, 0,	//2202  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int
    316, 316, 0,	//2209  Qt::GestureFlag, Qt::GestureFlag
    163, 78, 0,	//2212  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    421, 436, 0,	//2215  const QMatrix4x4&, const QPointF&
    153, 490, 0,	//2218  QGraphicsBlurEffect::BlurHint, int
    201, 89, 0,	//2221  QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>
    27, 387, 0,	//2224  QDataStream&, const QFont&
    153, 153, 0,	//2227  QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint
    437, 465, 0,	//2230  const QPolygon&, const QTransform&
    141, 141, 0,	//2233  QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag
    200, 490, 0,	//2236  QPaintEngine::DirtyFlag, int
    488, 447, 0,	//2239  double, const QSize&
    171, 490, 0,	//2242  QItemSelectionModel::SelectionFlag, int
    14, 370, 0,	//2245  QBool, bool
    32, 55, 0,	//2248  QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>
    27, 177, 0,	//2251  QDataStream&, QLine&
    31, 447, 0,	//2254  QDebug, const QSize&
    245, 490, 0,	//2257  QStyle::SubControl, int
    266, 266, 0,	//2260  QTextStream::NumberFlag, QTextStream::NumberFlag
    416, 465, 0,	//2263  const QLineF&, const QTransform&
    132, 490, 0,	//2266  QFontDialog::FontDialogOption, int
    334, 122, 0,	//2269  Qt::MouseButton, QFlags<Qt::MouseButton>
    27, 470, 0,	//2272  QDataStream&, const QVariant::Type
    257, 257, 0,	//2275  QTextDocument::FindFlag, QTextDocument::FindFlag
    248, 490, 0,	//2278  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int
    326, 119, 0,	//2281  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    436, 465, 0,	//2284  const QPointF&, const QTransform&
    31, 379, 0,	//2287  QDebug, const QColor&
    31, 420, 0,	//2290  QDebug, const QMatrix&
    27, 468, 0,	//2293  QDataStream&, const QUuid&
    175, 82, 0,	//2296  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    362, 490, 0,	//2299  Qt::WindowType, int
    246, 490, 0,	//2302  QStyleOptionButton::ButtonFeature, int
    27, 223, 0,	//2305  QDataStream&, QRectF&
    246, 95, 0,	//2308  QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>
    160, 76, 0,	//2311  QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>
    27, 26, 0,	//2314  QDataStream&, QCursor&
    157, 490, 0,	//2317  QGraphicsItem::GraphicsItemFlag, int
    27, 441, 0,	//2320  QDataStream&, const QRect&
    332, 121, 0,	//2323  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    290, 113, 0,	//2326  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    27, 19, 0,	//2329  QDataStream&, QChar&
    27, 224, 0,	//2332  QDataStream&, QRegExp&
    27, 440, 0,	//2335  QDataStream&, const QQuaternion&
    10, 490, 0,	//2338  QAccessible::StateFlag, int
    27, 436, 0,	//2341  QDataStream&, const QPointF&
    133, 133, 0,	//2344  QGL::FormatOption, QGL::FormatOption
    27, 449, 0,	//2347  QDataStream&, const QSizeF&
    184, 83, 0,	//2350  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    261, 490, 0,	//2353  QTextItem::RenderFlag, int
    204, 441, 419, 432, 441, 419, 463, 60, 0,	//2356  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>
    204, 441, 419, 432, 441, 419, 0,	//2365  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&
    204, 441, 419, 432, 441, 419, 463, 0,	//2372  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&
    239, 92, 0,	//2380  QString::SectionFlag, QFlags<QString::SectionFlag>
    454, 454, 0,	//2383  const QString&, const QString&
    1, 1, 0,	//2386  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    365, 481, 0,	//2389  QtMsgType, const char*
    31, 427, 0,	//2392  QDebug, const QPainterPath&
    488, 476, 0,	//2395  double, const QVector3D&
    457, 0,	//2398  const QStringRef&
    163, 490, 0,	//2400  QIODevice::OpenModeFlag, int
    4, 50, 0,	//2403  QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>
    497, 0,	//2406  unsigned char
    27, 17, 0,	//2408  QDataStream&, QByteArray&
    131, 131, 0,	//2411  QFontComboBox::FontFilter, QFontComboBox::FontFilter
    437, 420, 0,	//2414  const QPolygon&, const QMatrix&
    31, 459, 0,	//2417  QDebug, const QStyleOption::OptionType&
    31, 426, 0,	//2420  QDebug, const QObject*
    332, 490, 0,	//2423  Qt::MatchFlag, int
    27, 437, 0,	//2426  QDataStream&, const QPolygon&
    27, 28, 0,	//2429  QDataStream&, QDate&
    27, 373, 0,	//2432  QDataStream&, const QBitArray&
    195, 43, 0,	//2435  QObject*, QEvent*
    269, 0,	//2438  QTimerEvent*
    20, 0,	//2440  QChildEvent*
    193, 0,	//2442  QMouseEvent*
    286, 0,	//2444  QWheelEvent*
    172, 0,	//2446  QKeyEvent*
    129, 0,	//2448  QFocusEvent*
    194, 0,	//2450  QMoveEvent*
    21, 0,	//2452  QCloseEvent*
    25, 0,	//2454  QContextMenuEvent*
    254, 0,	//2456  QTabletEvent*
    11, 0,	//2458  QActionEvent*
    37, 0,	//2460  QDragEnterEvent*
    39, 0,	//2462  QDragMoveEvent*
    38, 0,	//2464  QDragLeaveEvent*
    42, 0,	//2466  QDropEvent*
    228, 0,	//2468  QShowEvent*
    162, 0,	//2470  QHideEvent*
    367, 0,	//2472  _XEvent*
    170, 0,	//2474  QInputMethodEvent*
    324, 0,	//2476  Qt::InputMethodQuery
    243, 0,	//2478  QStyle&
    428, 0,	//2480  const QPalette&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccumBuffer",	//1
    "AlphaChannel",	//2
    "CanFlipNativePixmapBindOption",	//3
    "ColorIndex",	//4
    "CombinedDepthStencil",	//5
    "DefaultBindOption",	//6
    "Depth",	//7
    "DepthBuffer",	//8
    "DirectRendering",	//9
    "DoubleBuffer",	//10
    "DrawChildren",	//11
    "DrawWindowBackground",	//12
    "Fragment",	//13
    "HasOverlay",	//14
    "IgnoreMask",	//15
    "IndirectRendering",	//16
    "InternalBindOption",	//17
    "InvertedYBindOption",	//18
    "LinearFilteringBindOption",	//19
    "MemoryManagedBindOption",	//20
    "MipmapBindOption",	//21
    "NoAccumBuffer",	//22
    "NoAlphaChannel",	//23
    "NoAttachment",	//24
    "NoBindOption",	//25
    "NoDepthBuffer",	//26
    "NoOverlay",	//27
    "NoSampleBuffers",	//28
    "NoStencilBuffer",	//29
    "NoStereoBuffers",	//30
    "OpenGL_ES_CommonLite_Version_1_0",	//31
    "OpenGL_ES_CommonLite_Version_1_1",	//32
    "OpenGL_ES_Common_Version_1_0",	//33
    "OpenGL_ES_Common_Version_1_1",	//34
    "OpenGL_ES_Version_2_0",	//35
    "OpenGL_Version_1_1",	//36
    "OpenGL_Version_1_2",	//37
    "OpenGL_Version_1_3",	//38
    "OpenGL_Version_1_4",	//39
    "OpenGL_Version_1_5",	//40
    "OpenGL_Version_2_0",	//41
    "OpenGL_Version_2_1",	//42
    "OpenGL_Version_3_0",	//43
    "OpenGL_Version_None",	//44
    "PremultipliedAlphaBindOption",	//45
    "QGLColormap",	//46
    "QGLColormap#",	//47
    "QGLContext",	//48
    "QGLContext#",	//49
    "QGLContext##",	//50
    "QGLFormat",	//51
    "QGLFormat#",	//52
    "QGLFormat$",	//53
    "QGLFormat$$",	//54
    "QGLFramebufferObject",	//55
    "QGLFramebufferObject#",	//56
    "QGLFramebufferObject##",	//57
    "QGLFramebufferObject#$",	//58
    "QGLFramebufferObject#$$",	//59
    "QGLFramebufferObject#$$$",	//60
    "QGLFramebufferObject$$",	//61
    "QGLFramebufferObject$$#",	//62
    "QGLFramebufferObject$$$",	//63
    "QGLFramebufferObject$$$$",	//64
    "QGLFramebufferObject$$$$$",	//65
    "QGLFramebufferObjectFormat",	//66
    "QGLFramebufferObjectFormat#",	//67
    "QGLPixelBuffer",	//68
    "QGLPixelBuffer#",	//69
    "QGLPixelBuffer##",	//70
    "QGLPixelBuffer###",	//71
    "QGLPixelBuffer$$",	//72
    "QGLPixelBuffer$$#",	//73
    "QGLPixelBuffer$$##",	//74
    "QGLShader",	//75
    "QGLShader$",	//76
    "QGLShader$#",	//77
    "QGLShader$##",	//78
    "QGLShaderProgram",	//79
    "QGLShaderProgram#",	//80
    "QGLShaderProgram##",	//81
    "QGLWidget",	//82
    "QGLWidget#",	//83
    "QGLWidget##",	//84
    "QGLWidget###",	//85
    "QGLWidget###$",	//86
    "QGLWidget##$",	//87
    "QtCriticalMsg",	//88
    "QtDebugMsg",	//89
    "QtFatalMsg",	//90
    "QtSystemMsg",	//91
    "QtWarningMsg",	//92
    "Rgba",	//93
    "SampleBuffers",	//94
    "SingleBuffer",	//95
    "StencilBuffer",	//96
    "StereoBuffers",	//97
    "Vertex",	//98
    "_IEEE_",	//99
    "_ISOC_",	//100
    "_POSIX_",	//101
    "_SVID_",	//102
    "_XOPEN_",	//103
    "__codecvt_error",	//104
    "__codecvt_noconv",	//105
    "__codecvt_ok",	//106
    "__codecvt_partial",	//107
    "accum",	//108
    "accumBufferSize",	//109
    "actionEvent",	//110
    "addShader",	//111
    "addShader#",	//112
    "addShaderFromSourceCode",	//113
    "addShaderFromSourceCode$#",	//114
    "addShaderFromSourceCode$$",	//115
    "addShaderFromSourceFile",	//116
    "addShaderFromSourceFile$$",	//117
    "alpha",	//118
    "alphaBufferSize",	//119
    "areSharing",	//120
    "areSharing##",	//121
    "attachment",	//122
    "attributeLocation",	//123
    "attributeLocation#",	//124
    "attributeLocation$",	//125
    "autoBufferSwap",	//126
    "bind",	//127
    "bindAttributeLocation",	//128
    "bindAttributeLocation#$",	//129
    "bindAttributeLocation$$",	//130
    "bindTexture",	//131
    "bindTexture#",	//132
    "bindTexture#$",	//133
    "bindTexture#$$",	//134
    "bindTexture#$$$",	//135
    "bindTexture$",	//136
    "bindToDynamicTexture",	//137
    "bindToDynamicTexture$",	//138
    "blitFramebuffer",	//139
    "blitFramebuffer####",	//140
    "blitFramebuffer####$",	//141
    "blitFramebuffer####$$",	//142
    "blueBufferSize",	//143
    "changeEvent",	//144
    "childEvent",	//145
    "chooseContext",	//146
    "chooseContext#",	//147
    "chooseVisual",	//148
    "closeEvent",	//149
    "colorIndex",	//150
    "colorIndex#",	//151
    "colormap",	//152
    "compileSourceCode",	//153
    "compileSourceCode#",	//154
    "compileSourceCode$",	//155
    "compileSourceFile",	//156
    "compileSourceFile$",	//157
    "connectNotify",	//158
    "context",	//159
    "contextMenuEvent",	//160
    "convertToGLFormat",	//161
    "convertToGLFormat#",	//162
    "create",	//163
    "create#",	//164
    "currentContext",	//165
    "currentCtx",	//166
    "customEvent",	//167
    "defaultFormat",	//168
    "defaultOverlayFormat",	//169
    "deleteTexture",	//170
    "deleteTexture$",	//171
    "depth",	//172
    "depthBufferSize",	//173
    "detach",	//174
    "devType",	//175
    "device",	//176
    "deviceIsPixmap",	//177
    "directRendering",	//178
    "disableAttributeArray",	//179
    "disableAttributeArray$",	//180
    "disconnectNotify",	//181
    "doneCurrent",	//182
    "doubleBuffer",	//183
    "dragEnterEvent",	//184
    "dragLeaveEvent",	//185
    "dragMoveEvent",	//186
    "drawTexture",	//187
    "drawTexture#$",	//188
    "drawTexture#$$",	//189
    "dropEvent",	//190
    "enableAttributeArray",	//191
    "enableAttributeArray$",	//192
    "enabledChange",	//193
    "enterEvent",	//194
    "entryColor",	//195
    "entryColor$",	//196
    "entryRgb",	//197
    "entryRgb$",	//198
    "event",	//199
    "event#",	//200
    "eventFilter",	//201
    "find",	//202
    "find$",	//203
    "findNearest",	//204
    "findNearest$",	//205
    "focusInEvent",	//206
    "focusNextPrevChild",	//207
    "focusOutEvent",	//208
    "fontChange",	//209
    "fontDisplayListBase",	//210
    "fontDisplayListBase#",	//211
    "fontDisplayListBase#$",	//212
    "format",	//213
    "generateDynamicTexture",	//214
    "generateFontDisplayLists",	//215
    "generateFontDisplayLists#$",	//216
    "getProcAddress",	//217
    "getProcAddress$",	//218
    "glDraw",	//219
    "glInit",	//220
    "grabFrameBuffer",	//221
    "grabFrameBuffer$",	//222
    "greenBufferSize",	//223
    "handle",	//224
    "hasOpenGL",	//225
    "hasOpenGLFramebufferBlit",	//226
    "hasOpenGLFramebufferObjects",	//227
    "hasOpenGLOverlays",	//228
    "hasOpenGLPbuffers",	//229
    "hasOpenGLShaderPrograms",	//230
    "hasOpenGLShaderPrograms#",	//231
    "hasOverlay",	//232
    "heightForWidth",	//233
    "hideEvent",	//234
    "initializeGL",	//235
    "initializeOverlayGL",	//236
    "initialized",	//237
    "inputMethodEvent",	//238
    "inputMethodQuery",	//239
    "internalTextureFormat",	//240
    "isBound",	//241
    "isCompiled",	//242
    "isEmpty",	//243
    "isLinked",	//244
    "isSharing",	//245
    "isValid",	//246
    "keyPressEvent",	//247
    "keyReleaseEvent",	//248
    "languageChange",	//249
    "leaveEvent",	//250
    "link",	//251
    "log",	//252
    "makeCurrent",	//253
    "makeOverlayCurrent",	//254
    "metaObject",	//255
    "metric",	//256
    "metric$",	//257
    "minimumSizeHint",	//258
    "mouseDoubleClickEvent",	//259
    "mouseMoveEvent",	//260
    "mousePressEvent",	//261
    "mouseReleaseEvent",	//262
    "moveEvent",	//263
    "openGLVersionFlags",	//264
    "operator!=",	//265
    "operator!=#",	//266
    "operator!=##",	//267
    "operator!=#$",	//268
    "operator!=$#",	//269
    "operator!=$$",	//270
    "operator&",	//271
    "operator&##",	//272
    "operator*",	//273
    "operator*##",	//274
    "operator*#$",	//275
    "operator*$#",	//276
    "operator+",	//277
    "operator+##",	//278
    "operator+#$",	//279
    "operator+$#",	//280
    "operator+$$",	//281
    "operator-",	//282
    "operator-#",	//283
    "operator-##",	//284
    "operator-#$",	//285
    "operator/",	//286
    "operator/#$",	//287
    "operator<",	//288
    "operator<##",	//289
    "operator<#$",	//290
    "operator<$#",	//291
    "operator<$$",	//292
    "operator<<",	//293
    "operator<<##",	//294
    "operator<<#$",	//295
    "operator<<#?",	//296
    "operator<=",	//297
    "operator<=##",	//298
    "operator<=#$",	//299
    "operator<=$#",	//300
    "operator<=$$",	//301
    "operator=",	//302
    "operator=#",	//303
    "operator==",	//304
    "operator==#",	//305
    "operator==##",	//306
    "operator==#$",	//307
    "operator==$#",	//308
    "operator==$$",	//309
    "operator>",	//310
    "operator>##",	//311
    "operator>#$",	//312
    "operator>$#",	//313
    "operator>$$",	//314
    "operator>=",	//315
    "operator>=##",	//316
    "operator>=#$",	//317
    "operator>=$#",	//318
    "operator>=$$",	//319
    "operator>>",	//320
    "operator>>##",	//321
    "operator>>#$",	//322
    "operator>>#?",	//323
    "operator^",	//324
    "operator^##",	//325
    "operator|",	//326
    "operator|##",	//327
    "operator|$$",	//328
    "overlayContext",	//329
    "overlayTransparentColor",	//330
    "paintEngine",	//331
    "paintEvent",	//332
    "paintEvent#",	//333
    "paintGL",	//334
    "paintOverlayGL",	//335
    "paletteChange",	//336
    "plane",	//337
    "programId",	//338
    "qAccessibleActionCastHelper",	//339
    "qAccessibleEditableTextCastHelper",	//340
    "qAccessibleImageCastHelper",	//341
    "qAccessibleTableCastHelper",	//342
    "qAccessibleTextCastHelper",	//343
    "qAccessibleValueCastHelper",	//344
    "qAcos",	//345
    "qAcos$",	//346
    "qAddPostRoutine",	//347
    "qAddPostRoutine$",	//348
    "qAlpha",	//349
    "qAlpha$",	//350
    "qAppName",	//351
    "qAsin",	//352
    "qAsin$",	//353
    "qAtan",	//354
    "qAtan$",	//355
    "qAtan2",	//356
    "qAtan2$$",	//357
    "qBadAlloc",	//358
    "qBlue",	//359
    "qBlue$",	//360
    "qCeil",	//361
    "qCeil$",	//362
    "qChecksum",	//363
    "qChecksum$$",	//364
    "qCompress",	//365
    "qCompress#",	//366
    "qCompress#$",	//367
    "qCompress$$",	//368
    "qCompress$$$",	//369
    "qCos",	//370
    "qCos$",	//371
    "qCritical",	//372
    "qDebug",	//373
    "qDrawBorderPixmap",	//374
    "qDrawBorderPixmap####",	//375
    "qDrawBorderPixmap######",	//376
    "qDrawBorderPixmap#######",	//377
    "qDrawBorderPixmap#######$",	//378
    "qDrawPixmaps",	//379
    "qDrawPixmaps##$#",	//380
    "qDrawPixmaps##$#$",	//381
    "qDrawPlainRect",	//382
    "qDrawPlainRect###",	//383
    "qDrawPlainRect###$",	//384
    "qDrawPlainRect###$#",	//385
    "qDrawPlainRect#$$$$#",	//386
    "qDrawPlainRect#$$$$#$",	//387
    "qDrawPlainRect#$$$$#$#",	//388
    "qDrawShadeLine",	//389
    "qDrawShadeLine####",	//390
    "qDrawShadeLine####$",	//391
    "qDrawShadeLine####$$",	//392
    "qDrawShadeLine####$$$",	//393
    "qDrawShadeLine#$$$$#",	//394
    "qDrawShadeLine#$$$$#$",	//395
    "qDrawShadeLine#$$$$#$$",	//396
    "qDrawShadeLine#$$$$#$$$",	//397
    "qDrawShadePanel",	//398
    "qDrawShadePanel###",	//399
    "qDrawShadePanel###$",	//400
    "qDrawShadePanel###$$",	//401
    "qDrawShadePanel###$$#",	//402
    "qDrawShadePanel#$$$$#",	//403
    "qDrawShadePanel#$$$$#$",	//404
    "qDrawShadePanel#$$$$#$$",	//405
    "qDrawShadePanel#$$$$#$$#",	//406
    "qDrawShadeRect",	//407
    "qDrawShadeRect###",	//408
    "qDrawShadeRect###$",	//409
    "qDrawShadeRect###$$",	//410
    "qDrawShadeRect###$$$",	//411
    "qDrawShadeRect###$$$#",	//412
    "qDrawShadeRect#$$$$#",	//413
    "qDrawShadeRect#$$$$#$",	//414
    "qDrawShadeRect#$$$$#$$",	//415
    "qDrawShadeRect#$$$$#$$$",	//416
    "qDrawShadeRect#$$$$#$$$#",	//417
    "qDrawWinButton",	//418
    "qDrawWinButton###",	//419
    "qDrawWinButton###$",	//420
    "qDrawWinButton###$#",	//421
    "qDrawWinButton#$$$$#",	//422
    "qDrawWinButton#$$$$#$",	//423
    "qDrawWinButton#$$$$#$#",	//424
    "qDrawWinPanel",	//425
    "qDrawWinPanel###",	//426
    "qDrawWinPanel###$",	//427
    "qDrawWinPanel###$#",	//428
    "qDrawWinPanel#$$$$#",	//429
    "qDrawWinPanel#$$$$#$",	//430
    "qDrawWinPanel#$$$$#$#",	//431
    "qExp",	//432
    "qExp$",	//433
    "qFabs",	//434
    "qFabs$",	//435
    "qFastCos",	//436
    "qFastCos$",	//437
    "qFastSin",	//438
    "qFastSin$",	//439
    "qFlagLocation",	//440
    "qFlagLocation$",	//441
    "qFloor",	//442
    "qFloor$",	//443
    "qFree",	//444
    "qFree$",	//445
    "qFreeAligned",	//446
    "qFreeAligned$",	//447
    "qFuzzyCompare",	//448
    "qFuzzyCompare##",	//449
    "qFuzzyCompare$$",	//450
    "qFuzzyIsNull",	//451
    "qFuzzyIsNull$",	//452
    "qGray",	//453
    "qGray$",	//454
    "qGray$$$",	//455
    "qGreen",	//456
    "qGreen$",	//457
    "qHash",	//458
    "qHash#",	//459
    "qHash$",	//460
    "qInf",	//461
    "qInstallMsgHandler",	//462
    "qInstallMsgHandler$",	//463
    "qIntCast",	//464
    "qIntCast$",	//465
    "qIsFinite",	//466
    "qIsFinite$",	//467
    "qIsGray",	//468
    "qIsGray$",	//469
    "qIsInf",	//470
    "qIsInf$",	//471
    "qIsNaN",	//472
    "qIsNaN$",	//473
    "qIsNull",	//474
    "qIsNull$",	//475
    "qLn",	//476
    "qLn$",	//477
    "qMalloc",	//478
    "qMalloc$",	//479
    "qMallocAligned",	//480
    "qMallocAligned$$",	//481
    "qMemCopy",	//482
    "qMemCopy$$$",	//483
    "qMemSet",	//484
    "qMemSet$$$",	//485
    "qPow",	//486
    "qPow$$",	//487
    "qQNaN",	//488
    "qRealloc",	//489
    "qRealloc$$",	//490
    "qReallocAligned",	//491
    "qReallocAligned$$$$",	//492
    "qRed",	//493
    "qRed$",	//494
    "qRegisterStaticPluginInstanceFunction",	//495
    "qRegisterStaticPluginInstanceFunction#",	//496
    "qRemovePostRoutine",	//497
    "qRemovePostRoutine$",	//498
    "qRgb",	//499
    "qRgb$$$",	//500
    "qRgba",	//501
    "qRgba$$$$",	//502
    "qRound",	//503
    "qRound$",	//504
    "qRound64",	//505
    "qRound64$",	//506
    "qSNaN",	//507
    "qSetFieldWidth",	//508
    "qSetFieldWidth$",	//509
    "qSetPadChar",	//510
    "qSetPadChar#",	//511
    "qSetRealNumberPrecision",	//512
    "qSetRealNumberPrecision$",	//513
    "qSharedBuild",	//514
    "qSin",	//515
    "qSin$",	//516
    "qSqrt",	//517
    "qSqrt$",	//518
    "qStringComparisonHelper",	//519
    "qStringComparisonHelper#$",	//520
    "qStringComparisonHelper$$",	//521
    "qTan",	//522
    "qTan$",	//523
    "qUncompress",	//524
    "qUncompress#",	//525
    "qUncompress$$",	//526
    "qVersion",	//527
    "qWarning",	//528
    "qbswap_helper",	//529
    "qbswap_helper$$$",	//530
    "qgcvt",	//531
    "qgcvt$$$",	//532
    "qgetenv",	//533
    "qgetenv$",	//534
    "qglClearColor",	//535
    "qglClearColor#",	//536
    "qglColor",	//537
    "qglColor#",	//538
    "qputenv",	//539
    "qputenv$#",	//540
    "qrand",	//541
    "qsort",	//542
    "qsort$$$?",	//543
    "qsrand",	//544
    "qsrand$",	//545
    "qstrcmp",	//546
    "qstrcmp##",	//547
    "qstrcmp#$",	//548
    "qstrcmp$#",	//549
    "qstrcmp$$",	//550
    "qstrcpy",	//551
    "qstrcpy$$",	//552
    "qstrdup",	//553
    "qstrdup$",	//554
    "qstricmp",	//555
    "qstricmp$$",	//556
    "qstrlen",	//557
    "qstrlen$",	//558
    "qstrncmp",	//559
    "qstrncmp$$$",	//560
    "qstrncpy",	//561
    "qstrncpy$$$",	//562
    "qstrnicmp",	//563
    "qstrnicmp$$$",	//564
    "qstrnlen",	//565
    "qstrnlen$$",	//566
    "qtTrId",	//567
    "qtTrId$",	//568
    "qtTrId$$",	//569
    "qt_assert",	//570
    "qt_assert$$$",	//571
    "qt_assert_x",	//572
    "qt_assert_x$$$$",	//573
    "qt_check_pointer",	//574
    "qt_check_pointer$$",	//575
    "qt_error_string",	//576
    "qt_error_string$",	//577
    "qt_message_output",	//578
    "qt_message_output$$",	//579
    "qt_metacall",	//580
    "qt_metacall$$?",	//581
    "qt_metacast",	//582
    "qt_metacast$",	//583
    "qt_noop",	//584
    "qt_qFindChild_helper",	//585
    "qt_qFindChild_helper#$#",	//586
    "qt_qFindChildren_helper",	//587
    "qt_qFindChildren_helper#$##?",	//588
    "qvariant_cast_helper",	//589
    "qvariant_cast_helper#$$",	//590
    "qvsnprintf",	//591
    "qvsnprintf$$$?",	//592
    "redBufferSize",	//593
    "release",	//594
    "releaseFromDynamicTexture",	//595
    "removeAllShaders",	//596
    "removeShader",	//597
    "removeShader#",	//598
    "renderPixmap",	//599
    "renderPixmap$",	//600
    "renderPixmap$$",	//601
    "renderPixmap$$$",	//602
    "renderText",	//603
    "renderText$$$",	//604
    "renderText$$$#",	//605
    "renderText$$$#$",	//606
    "renderText$$$$",	//607
    "renderText$$$$#",	//608
    "renderText$$$$#$",	//609
    "requestedFormat",	//610
    "reset",	//611
    "resizeEvent",	//612
    "resizeEvent#",	//613
    "resizeGL",	//614
    "resizeGL$$",	//615
    "resizeOverlayGL",	//616
    "resizeOverlayGL$$",	//617
    "rgba",	//618
    "sampleBuffers",	//619
    "samples",	//620
    "setAccum",	//621
    "setAccum$",	//622
    "setAccumBufferSize",	//623
    "setAccumBufferSize$",	//624
    "setAlpha",	//625
    "setAlpha$",	//626
    "setAlphaBufferSize",	//627
    "setAlphaBufferSize$",	//628
    "setAttachment",	//629
    "setAttachment$",	//630
    "setAttributeArray",	//631
    "setAttributeArray$#",	//632
    "setAttributeArray$#$",	//633
    "setAttributeArray$$$",	//634
    "setAttributeArray$$$$",	//635
    "setAttributeValue",	//636
    "setAttributeValue$#",	//637
    "setAttributeValue$$",	//638
    "setAttributeValue$$$",	//639
    "setAttributeValue$$$$",	//640
    "setAttributeValue$$$$$",	//641
    "setAutoBufferSwap",	//642
    "setAutoBufferSwap$",	//643
    "setBlueBufferSize",	//644
    "setBlueBufferSize$",	//645
    "setColormap",	//646
    "setColormap#",	//647
    "setContext",	//648
    "setContext#",	//649
    "setContext##",	//650
    "setContext##$",	//651
    "setCurrentCtx",	//652
    "setCurrentCtx#",	//653
    "setDefaultFormat",	//654
    "setDefaultFormat#",	//655
    "setDefaultOverlayFormat",	//656
    "setDefaultOverlayFormat#",	//657
    "setDepth",	//658
    "setDepth$",	//659
    "setDepthBufferSize",	//660
    "setDepthBufferSize$",	//661
    "setDevice",	//662
    "setDevice#",	//663
    "setDirectRendering",	//664
    "setDirectRendering$",	//665
    "setDoubleBuffer",	//666
    "setDoubleBuffer$",	//667
    "setEntries",	//668
    "setEntries$$",	//669
    "setEntries$$$",	//670
    "setEntry",	//671
    "setEntry$#",	//672
    "setEntry$$",	//673
    "setFormat",	//674
    "setFormat#",	//675
    "setGreenBufferSize",	//676
    "setGreenBufferSize$",	//677
    "setHandle",	//678
    "setHandle$",	//679
    "setInitialized",	//680
    "setInitialized$",	//681
    "setInternalTextureFormat",	//682
    "setInternalTextureFormat$",	//683
    "setMouseTracking",	//684
    "setMouseTracking$",	//685
    "setOption",	//686
    "setOption$",	//687
    "setOverlay",	//688
    "setOverlay$",	//689
    "setPlane",	//690
    "setPlane$",	//691
    "setPreferredPaintEngine",	//692
    "setPreferredPaintEngine$",	//693
    "setRedBufferSize",	//694
    "setRedBufferSize$",	//695
    "setRgba",	//696
    "setRgba$",	//697
    "setSampleBuffers",	//698
    "setSampleBuffers$",	//699
    "setSamples",	//700
    "setSamples$",	//701
    "setStencil",	//702
    "setStencil$",	//703
    "setStencilBufferSize",	//704
    "setStencilBufferSize$",	//705
    "setStereo",	//706
    "setStereo$",	//707
    "setSwapInterval",	//708
    "setSwapInterval$",	//709
    "setTextureCacheLimit",	//710
    "setTextureCacheLimit$",	//711
    "setTextureTarget",	//712
    "setTextureTarget$",	//713
    "setUniformValue",	//714
    "setUniformValue$#",	//715
    "setUniformValue$$",	//716
    "setUniformValue$$$",	//717
    "setUniformValue$$$$",	//718
    "setUniformValue$$$$$",	//719
    "setUniformValue$?",	//720
    "setUniformValueArray",	//721
    "setUniformValueArray$#$",	//722
    "setUniformValueArray$$$",	//723
    "setUniformValueArray$$$$",	//724
    "setUniformValueArray$?$",	//725
    "setValid",	//726
    "setValid$",	//727
    "setVisible",	//728
    "setWindowCreated",	//729
    "setWindowCreated$",	//730
    "shaderId",	//731
    "shaderType",	//732
    "shaders",	//733
    "showEvent",	//734
    "size",	//735
    "sizeHint",	//736
    "sourceCode",	//737
    "staticMetaObject",	//738
    "stencil",	//739
    "stencilBufferSize",	//740
    "stereo",	//741
    "styleChange",	//742
    "swapBuffers",	//743
    "swapInterval",	//744
    "tabletEvent",	//745
    "testOption",	//746
    "testOption$",	//747
    "texture",	//748
    "textureCacheLimit",	//749
    "textureTarget",	//750
    "timerEvent",	//751
    "toImage",	//752
    "tr",	//753
    "tr$",	//754
    "tr$$",	//755
    "tr$$$",	//756
    "trUtf8",	//757
    "trUtf8$",	//758
    "trUtf8$$",	//759
    "trUtf8$$$",	//760
    "tryVisual",	//761
    "tryVisual#",	//762
    "tryVisual#$",	//763
    "uniformLocation",	//764
    "uniformLocation#",	//765
    "uniformLocation$",	//766
    "updateDynamicTexture",	//767
    "updateDynamicTexture$",	//768
    "updateGL",	//769
    "updateOverlayGL",	//770
    "wheelEvent",	//771
    "windowActivationChange",	//772
    "windowCreated",	//773
    "x11Event",	//774
    "~QGLColormap",	//775
    "~QGLContext",	//776
    "~QGLFormat",	//777
    "~QGLFramebufferObject",	//778
    "~QGLFramebufferObjectFormat",	//779
    "~QGLPixelBuffer",	//780
    "~QGLShader",	//781
    "~QGLShaderProgram",	//782
    "~QGLWidget",	//783
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {27, 692, 1, 1, Smoke::mf_static, 0, 1},	//1 QGL::setPreferredPaintEngine(QPaintEngine::Type)
    {27, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 2},	//2 QGL::DoubleBuffer (enum)
    {27, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 3},	//3 QGL::DepthBuffer (enum)
    {27, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 4},	//4 QGL::Rgba (enum)
    {27, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 5},	//5 QGL::AlphaChannel (enum)
    {27, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 6},	//6 QGL::AccumBuffer (enum)
    {27, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 7},	//7 QGL::StencilBuffer (enum)
    {27, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 8},	//8 QGL::StereoBuffers (enum)
    {27, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 9},	//9 QGL::DirectRendering (enum)
    {27, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 10},	//10 QGL::HasOverlay (enum)
    {27, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 11},	//11 QGL::SampleBuffers (enum)
    {27, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 12},	//12 QGL::SingleBuffer (enum)
    {27, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 13},	//13 QGL::NoDepthBuffer (enum)
    {27, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 14},	//14 QGL::ColorIndex (enum)
    {27, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 15},	//15 QGL::NoAlphaChannel (enum)
    {27, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 16},	//16 QGL::NoAccumBuffer (enum)
    {27, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 17},	//17 QGL::NoStencilBuffer (enum)
    {27, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 18},	//18 QGL::NoStereoBuffers (enum)
    {27, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 19},	//19 QGL::IndirectRendering (enum)
    {27, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 20},	//20 QGL::NoOverlay (enum)
    {27, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 21},	//21 QGL::NoSampleBuffers (enum)
    {28, 46, 0, 0, Smoke::mf_ctor, 135, 1},	//22 QGLColormap::QGLColormap()
    {28, 46, 3, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 135, 2},	//23 QGLColormap::QGLColormap(const QGLColormap&)
    {28, 302, 3, 1, 0, 134, 3},	//24 QGLColormap::operator=(const QGLColormap&)
    {28, 243, 0, 0, Smoke::mf_const, 370, 4},	//25 QGLColormap::isEmpty() const
    {28, 735, 0, 0, Smoke::mf_const, 490, 5},	//26 QGLColormap::size() const
    {28, 174, 0, 0, 0, 0, 6},	//27 QGLColormap::detach()
    {28, 668, 5, 3, 0, 0, 7},	//28 QGLColormap::setEntries(int, const unsigned int*, int)
    {28, 671, 9, 2, 0, 0, 8},	//29 QGLColormap::setEntry(int, unsigned int)
    {28, 671, 12, 2, 0, 0, 9},	//30 QGLColormap::setEntry(int, const QColor&)
    {28, 197, 15, 1, Smoke::mf_const, 499, 10},	//31 QGLColormap::entryRgb(int) const
    {28, 195, 15, 1, Smoke::mf_const, 22, 11},	//32 QGLColormap::entryColor(int) const
    {28, 202, 17, 1, Smoke::mf_const, 490, 12},	//33 QGLColormap::find(unsigned int) const
    {28, 204, 17, 1, Smoke::mf_const, 490, 13},	//34 QGLColormap::findNearest(unsigned int) const
    {28, 224, 0, 0, Smoke::mf_protected, 500, 14},	//35 QGLColormap::handle()
    {28, 678, 19, 1, Smoke::mf_protected, 0, 15},	//36 QGLColormap::setHandle(unsigned long)
    {28, 668, 21, 2, 0, 0, 16},	//37 QGLColormap::setEntries(int, const unsigned int*)
    {28, 775, 0, 0, Smoke::mf_dtor, 0, 17 },	//38 QGLColormap::~QGLColormap()
    {29, 48, 24, 2, Smoke::mf_ctor, 136, 1},	//39 QGLContext::QGLContext(const QGLFormat&, QPaintDevice*)
    {29, 48, 27, 1, Smoke::mf_ctor, 136, 2},	//40 QGLContext::QGLContext(const QGLFormat&)
    {29, 163, 29, 1, Smoke::mf_virtual, 370, 3},	//41 QGLContext::create(const QGLContext*)
    {29, 246, 0, 0, Smoke::mf_const, 370, 4},	//42 QGLContext::isValid() const
    {29, 245, 0, 0, Smoke::mf_const, 370, 5},	//43 QGLContext::isSharing() const
    {29, 611, 0, 0, 0, 0, 6},	//44 QGLContext::reset()
    {29, 120, 31, 2, Smoke::mf_static, 370, 7},	//45 QGLContext::areSharing(const QGLContext*, const QGLContext*)
    {29, 213, 0, 0, Smoke::mf_const, 138, 8},	//46 QGLContext::format() const
    {29, 610, 0, 0, Smoke::mf_const, 138, 9},	//47 QGLContext::requestedFormat() const
    {29, 674, 27, 1, 0, 0, 10},	//48 QGLContext::setFormat(const QGLFormat&)
    {29, 253, 0, 0, Smoke::mf_virtual, 0, 11},	//49 QGLContext::makeCurrent()
    {29, 182, 0, 0, Smoke::mf_virtual, 0, 12},	//50 QGLContext::doneCurrent()
    {29, 743, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 0, 13},	//51 QGLContext::swapBuffers() const
    {29, 131, 34, 4, 0, 499, 14},	//52 QGLContext::bindTexture(const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>)
    {29, 131, 39, 4, 0, 499, 15},	//53 QGLContext::bindTexture(const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>)
    {29, 131, 44, 3, 0, 499, 16},	//54 QGLContext::bindTexture(const QImage&, unsigned int, int)
    {29, 131, 48, 3, 0, 499, 17},	//55 QGLContext::bindTexture(const QPixmap&, unsigned int, int)
    {29, 131, 52, 1, 0, 499, 18},	//56 QGLContext::bindTexture(const QString&)
    {29, 170, 17, 1, 0, 0, 19},	//57 QGLContext::deleteTexture(unsigned int)
    {29, 187, 54, 3, 0, 0, 20},	//58 QGLContext::drawTexture(const QRectF&, unsigned int, unsigned int)
    {29, 187, 58, 3, 0, 0, 21},	//59 QGLContext::drawTexture(const QPointF&, unsigned int, unsigned int)
    {29, 710, 15, 1, Smoke::mf_static, 0, 22},	//60 QGLContext::setTextureCacheLimit(int)
    {29, 749, 0, 0, Smoke::mf_static, 490, 23},	//61 QGLContext::textureCacheLimit()
    {29, 217, 52, 1, Smoke::mf_const, 506, 24},	//62 QGLContext::getProcAddress(const QString&) const
    {29, 176, 0, 0, Smoke::mf_const, 197, 25},	//63 QGLContext::device() const
    {29, 330, 0, 0, Smoke::mf_const, 22, 26},	//64 QGLContext::overlayTransparentColor() const
    {29, 165, 0, 0, Smoke::mf_static, 389, 27},	//65 QGLContext::currentContext()
    {29, 146, 29, 1, Smoke::mf_protected|Smoke::mf_virtual, 370, 28},	//66 QGLContext::chooseContext(const QGLContext*)
    {29, 761, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 506, 29},	//67 QGLContext::tryVisual(const QGLFormat&, int)
    {29, 148, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 506, 30},	//68 QGLContext::chooseVisual()
    {29, 177, 0, 0, Smoke::mf_const|Smoke::mf_protected, 370, 31},	//69 QGLContext::deviceIsPixmap() const
    {29, 773, 0, 0, Smoke::mf_const|Smoke::mf_protected, 370, 32},	//70 QGLContext::windowCreated() const
    {29, 729, 65, 1, Smoke::mf_protected, 0, 33},	//71 QGLContext::setWindowCreated(bool)
    {29, 237, 0, 0, Smoke::mf_const|Smoke::mf_protected, 370, 34},	//72 QGLContext::initialized() const
    {29, 680, 65, 1, Smoke::mf_protected, 0, 35},	//73 QGLContext::setInitialized(bool)
    {29, 215, 67, 2, Smoke::mf_protected, 0, 36},	//74 QGLContext::generateFontDisplayLists(const QFont&, int)
    {29, 150, 70, 1, Smoke::mf_const|Smoke::mf_protected, 499, 37},	//75 QGLContext::colorIndex(const QColor&) const
    {29, 726, 65, 1, Smoke::mf_protected, 0, 38},	//76 QGLContext::setValid(bool)
    {29, 662, 72, 1, Smoke::mf_protected, 0, 39},	//77 QGLContext::setDevice(QPaintDevice*)
    {29, 163, 0, 0, 0, 370, 40},	//78 QGLContext::create()
    {29, 131, 74, 1, 0, 499, 41},	//79 QGLContext::bindTexture(const QImage&)
    {29, 131, 76, 2, 0, 499, 42},	//80 QGLContext::bindTexture(const QImage&, unsigned int)
    {29, 131, 79, 1, 0, 499, 43},	//81 QGLContext::bindTexture(const QPixmap&)
    {29, 131, 81, 2, 0, 499, 44},	//82 QGLContext::bindTexture(const QPixmap&, unsigned int)
    {29, 187, 84, 2, 0, 0, 45},	//83 QGLContext::drawTexture(const QRectF&, unsigned int)
    {29, 187, 87, 2, 0, 0, 46},	//84 QGLContext::drawTexture(const QPointF&, unsigned int)
    {29, 146, 0, 0, Smoke::mf_protected, 370, 47},	//85 QGLContext::chooseContext()
    {29, 761, 27, 1, Smoke::mf_protected, 506, 48},	//86 QGLContext::tryVisual(const QGLFormat&)
    {29, 166, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_protected|Smoke::mf_attribute, 136, 49},	//87 QGLContext::currentCtx() const
    {29, 652, 90, 1, Smoke::mf_static|Smoke::mf_protected|Smoke::mf_attribute, 0, 50},	//88 QGLContext::setCurrentCtx(QGLContext*)
    {29, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 51},	//89 QGLContext::NoBindOption (enum)
    {29, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 52},	//90 QGLContext::InvertedYBindOption (enum)
    {29, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 53},	//91 QGLContext::MipmapBindOption (enum)
    {29, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 54},	//92 QGLContext::PremultipliedAlphaBindOption (enum)
    {29, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 55},	//93 QGLContext::LinearFilteringBindOption (enum)
    {29, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 56},	//94 QGLContext::MemoryManagedBindOption (enum)
    {29, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 57},	//95 QGLContext::CanFlipNativePixmapBindOption (enum)
    {29, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 58},	//96 QGLContext::DefaultBindOption (enum)
    {29, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 59},	//97 QGLContext::InternalBindOption (enum)
    {29, 776, 0, 0, Smoke::mf_dtor, 0, 60 },	//98 QGLContext::~QGLContext()
    {30, 51, 0, 0, Smoke::mf_ctor, 140, 1},	//99 QGLFormat::QGLFormat()
    {30, 51, 92, 2, Smoke::mf_ctor, 140, 2},	//100 QGLFormat::QGLFormat(QFlags<QGL::FormatOption>, int)
    {30, 51, 27, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 140, 3},	//101 QGLFormat::QGLFormat(const QGLFormat&)
    {30, 302, 27, 1, 0, 139, 4},	//102 QGLFormat::operator=(const QGLFormat&)
    {30, 660, 15, 1, 0, 0, 5},	//103 QGLFormat::setDepthBufferSize(int)
    {30, 173, 0, 0, Smoke::mf_const, 490, 6},	//104 QGLFormat::depthBufferSize() const
    {30, 623, 15, 1, 0, 0, 7},	//105 QGLFormat::setAccumBufferSize(int)
    {30, 109, 0, 0, Smoke::mf_const, 490, 8},	//106 QGLFormat::accumBufferSize() const
    {30, 694, 15, 1, 0, 0, 9},	//107 QGLFormat::setRedBufferSize(int)
    {30, 593, 0, 0, Smoke::mf_const, 490, 10},	//108 QGLFormat::redBufferSize() const
    {30, 676, 15, 1, 0, 0, 11},	//109 QGLFormat::setGreenBufferSize(int)
    {30, 223, 0, 0, Smoke::mf_const, 490, 12},	//110 QGLFormat::greenBufferSize() const
    {30, 644, 15, 1, 0, 0, 13},	//111 QGLFormat::setBlueBufferSize(int)
    {30, 143, 0, 0, Smoke::mf_const, 490, 14},	//112 QGLFormat::blueBufferSize() const
    {30, 627, 15, 1, 0, 0, 15},	//113 QGLFormat::setAlphaBufferSize(int)
    {30, 119, 0, 0, Smoke::mf_const, 490, 16},	//114 QGLFormat::alphaBufferSize() const
    {30, 704, 15, 1, 0, 0, 17},	//115 QGLFormat::setStencilBufferSize(int)
    {30, 740, 0, 0, Smoke::mf_const, 490, 18},	//116 QGLFormat::stencilBufferSize() const
    {30, 698, 65, 1, 0, 0, 19},	//117 QGLFormat::setSampleBuffers(bool)
    {30, 619, 0, 0, Smoke::mf_const, 370, 20},	//118 QGLFormat::sampleBuffers() const
    {30, 700, 15, 1, 0, 0, 21},	//119 QGLFormat::setSamples(int)
    {30, 620, 0, 0, Smoke::mf_const, 490, 22},	//120 QGLFormat::samples() const
    {30, 708, 15, 1, 0, 0, 23},	//121 QGLFormat::setSwapInterval(int)
    {30, 744, 0, 0, Smoke::mf_const, 490, 24},	//122 QGLFormat::swapInterval() const
    {30, 183, 0, 0, Smoke::mf_const, 370, 25},	//123 QGLFormat::doubleBuffer() const
    {30, 666, 65, 1, 0, 0, 26},	//124 QGLFormat::setDoubleBuffer(bool)
    {30, 172, 0, 0, Smoke::mf_const, 370, 27},	//125 QGLFormat::depth() const
    {30, 658, 65, 1, 0, 0, 28},	//126 QGLFormat::setDepth(bool)
    {30, 618, 0, 0, Smoke::mf_const, 370, 29},	//127 QGLFormat::rgba() const
    {30, 696, 65, 1, 0, 0, 30},	//128 QGLFormat::setRgba(bool)
    {30, 118, 0, 0, Smoke::mf_const, 370, 31},	//129 QGLFormat::alpha() const
    {30, 625, 65, 1, 0, 0, 32},	//130 QGLFormat::setAlpha(bool)
    {30, 108, 0, 0, Smoke::mf_const, 370, 33},	//131 QGLFormat::accum() const
    {30, 621, 65, 1, 0, 0, 34},	//132 QGLFormat::setAccum(bool)
    {30, 739, 0, 0, Smoke::mf_const, 370, 35},	//133 QGLFormat::stencil() const
    {30, 702, 65, 1, 0, 0, 36},	//134 QGLFormat::setStencil(bool)
    {30, 741, 0, 0, Smoke::mf_const, 370, 37},	//135 QGLFormat::stereo() const
    {30, 706, 65, 1, 0, 0, 38},	//136 QGLFormat::setStereo(bool)
    {30, 178, 0, 0, Smoke::mf_const, 370, 39},	//137 QGLFormat::directRendering() const
    {30, 664, 65, 1, 0, 0, 40},	//138 QGLFormat::setDirectRendering(bool)
    {30, 232, 0, 0, Smoke::mf_const, 370, 41},	//139 QGLFormat::hasOverlay() const
    {30, 688, 65, 1, 0, 0, 42},	//140 QGLFormat::setOverlay(bool)
    {30, 337, 0, 0, Smoke::mf_const, 490, 43},	//141 QGLFormat::plane() const
    {30, 690, 15, 1, 0, 0, 44},	//142 QGLFormat::setPlane(int)
    {30, 686, 95, 1, 0, 0, 45},	//143 QGLFormat::setOption(QFlags<QGL::FormatOption>)
    {30, 746, 95, 1, Smoke::mf_const, 370, 46},	//144 QGLFormat::testOption(QFlags<QGL::FormatOption>) const
    {30, 168, 0, 0, Smoke::mf_static, 138, 47},	//145 QGLFormat::defaultFormat()
    {30, 654, 27, 1, Smoke::mf_static, 0, 48},	//146 QGLFormat::setDefaultFormat(const QGLFormat&)
    {30, 169, 0, 0, Smoke::mf_static, 138, 49},	//147 QGLFormat::defaultOverlayFormat()
    {30, 656, 27, 1, Smoke::mf_static, 0, 50},	//148 QGLFormat::setDefaultOverlayFormat(const QGLFormat&)
    {30, 225, 0, 0, Smoke::mf_static, 370, 51},	//149 QGLFormat::hasOpenGL()
    {30, 228, 0, 0, Smoke::mf_static, 370, 52},	//150 QGLFormat::hasOpenGLOverlays()
    {30, 264, 0, 0, Smoke::mf_static, 69, 53},	//151 QGLFormat::openGLVersionFlags()
    {30, 51, 95, 1, Smoke::mf_ctor, 140, 54},	//152 QGLFormat::QGLFormat(QFlags<QGL::FormatOption>)
    {30, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 55},	//153 QGLFormat::OpenGL_Version_None (enum)
    {30, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 56},	//154 QGLFormat::OpenGL_Version_1_1 (enum)
    {30, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 57},	//155 QGLFormat::OpenGL_Version_1_2 (enum)
    {30, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 58},	//156 QGLFormat::OpenGL_Version_1_3 (enum)
    {30, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 59},	//157 QGLFormat::OpenGL_Version_1_4 (enum)
    {30, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 60},	//158 QGLFormat::OpenGL_Version_1_5 (enum)
    {30, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 61},	//159 QGLFormat::OpenGL_Version_2_0 (enum)
    {30, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 62},	//160 QGLFormat::OpenGL_Version_2_1 (enum)
    {30, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 63},	//161 QGLFormat::OpenGL_ES_Common_Version_1_0 (enum)
    {30, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 64},	//162 QGLFormat::OpenGL_ES_CommonLite_Version_1_0 (enum)
    {30, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 65},	//163 QGLFormat::OpenGL_ES_Common_Version_1_1 (enum)
    {30, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 66},	//164 QGLFormat::OpenGL_ES_CommonLite_Version_1_1 (enum)
    {30, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 67},	//165 QGLFormat::OpenGL_ES_Version_2_0 (enum)
    {30, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 68},	//166 QGLFormat::OpenGL_Version_3_0 (enum)
    {30, 777, 0, 0, Smoke::mf_dtor, 0, 69 },	//167 QGLFormat::~QGLFormat()
    {31, 55, 97, 2, Smoke::mf_ctor, 142, 1},	//168 QGLFramebufferObject::QGLFramebufferObject(const QSize&, unsigned int)
    {31, 55, 100, 3, Smoke::mf_ctor, 142, 2},	//169 QGLFramebufferObject::QGLFramebufferObject(int, int, unsigned int)
    {31, 55, 104, 4, Smoke::mf_ctor, 142, 3},	//170 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment, unsigned int, unsigned int)
    {31, 55, 109, 5, Smoke::mf_ctor, 142, 4},	//171 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment, unsigned int, unsigned int)
    {31, 55, 115, 2, Smoke::mf_ctor, 142, 5},	//172 QGLFramebufferObject::QGLFramebufferObject(const QSize&, const QGLFramebufferObjectFormat&)
    {31, 55, 118, 3, Smoke::mf_ctor, 142, 6},	//173 QGLFramebufferObject::QGLFramebufferObject(int, int, const QGLFramebufferObjectFormat&)
    {31, 213, 0, 0, Smoke::mf_const, 144, 7},	//174 QGLFramebufferObject::format() const
    {31, 246, 0, 0, Smoke::mf_const, 370, 8},	//175 QGLFramebufferObject::isValid() const
    {31, 241, 0, 0, Smoke::mf_const, 370, 9},	//176 QGLFramebufferObject::isBound() const
    {31, 127, 0, 0, 0, 370, 10},	//177 QGLFramebufferObject::bind()
    {31, 594, 0, 0, 0, 370, 11},	//178 QGLFramebufferObject::release()
    {31, 748, 0, 0, Smoke::mf_const, 499, 12},	//179 QGLFramebufferObject::texture() const
    {31, 735, 0, 0, Smoke::mf_const, 229, 13},	//180 QGLFramebufferObject::size() const
    {31, 752, 0, 0, Smoke::mf_const, 165, 14},	//181 QGLFramebufferObject::toImage() const
    {31, 122, 0, 0, Smoke::mf_const, 143, 15},	//182 QGLFramebufferObject::attachment() const
    {31, 331, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 16},	//183 QGLFramebufferObject::paintEngine() const
    {31, 224, 0, 0, Smoke::mf_const, 499, 17},	//184 QGLFramebufferObject::handle() const
    {31, 227, 0, 0, Smoke::mf_static, 370, 18},	//185 QGLFramebufferObject::hasOpenGLFramebufferObjects()
    {31, 187, 54, 3, 0, 0, 19},	//186 QGLFramebufferObject::drawTexture(const QRectF&, unsigned int, unsigned int)
    {31, 187, 58, 3, 0, 0, 20},	//187 QGLFramebufferObject::drawTexture(const QPointF&, unsigned int, unsigned int)
    {31, 226, 0, 0, Smoke::mf_static, 370, 21},	//188 QGLFramebufferObject::hasOpenGLFramebufferBlit()
    {31, 139, 122, 6, Smoke::mf_static, 0, 22},	//189 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, unsigned int, unsigned int)
    {31, 256, 129, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 490, 23},	//190 QGLFramebufferObject::metric(QPaintDevice::PaintDeviceMetric) const
    {31, 175, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 490, 24},	//191 QGLFramebufferObject::devType() const
    {31, 55, 131, 1, Smoke::mf_ctor, 142, 25},	//192 QGLFramebufferObject::QGLFramebufferObject(const QSize&)
    {31, 55, 133, 2, Smoke::mf_ctor, 142, 26},	//193 QGLFramebufferObject::QGLFramebufferObject(int, int)
    {31, 55, 136, 2, Smoke::mf_ctor, 142, 27},	//194 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment)
    {31, 55, 139, 3, Smoke::mf_ctor, 142, 28},	//195 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment, unsigned int)
    {31, 55, 143, 3, Smoke::mf_ctor, 142, 29},	//196 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment)
    {31, 55, 147, 4, Smoke::mf_ctor, 142, 30},	//197 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment, unsigned int)
    {31, 187, 84, 2, 0, 0, 31},	//198 QGLFramebufferObject::drawTexture(const QRectF&, unsigned int)
    {31, 187, 87, 2, 0, 0, 32},	//199 QGLFramebufferObject::drawTexture(const QPointF&, unsigned int)
    {31, 139, 152, 4, Smoke::mf_static, 0, 33},	//200 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&)
    {31, 139, 157, 5, Smoke::mf_static, 0, 34},	//201 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, unsigned int)
    {31, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 35},	//202 QGLFramebufferObject::NoAttachment (enum)
    {31, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 36},	//203 QGLFramebufferObject::CombinedDepthStencil (enum)
    {31, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 37},	//204 QGLFramebufferObject::Depth (enum)
    {31, 778, 0, 0, Smoke::mf_dtor, 0, 38 },	//205 QGLFramebufferObject::~QGLFramebufferObject()
    {32, 66, 0, 0, Smoke::mf_ctor, 146, 1},	//206 QGLFramebufferObjectFormat::QGLFramebufferObjectFormat()
    {32, 66, 163, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 146, 2},	//207 QGLFramebufferObjectFormat::QGLFramebufferObjectFormat(const QGLFramebufferObjectFormat&)
    {32, 302, 163, 1, 0, 145, 3},	//208 QGLFramebufferObjectFormat::operator=(const QGLFramebufferObjectFormat&)
    {32, 700, 15, 1, 0, 0, 4},	//209 QGLFramebufferObjectFormat::setSamples(int)
    {32, 620, 0, 0, Smoke::mf_const, 490, 5},	//210 QGLFramebufferObjectFormat::samples() const
    {32, 629, 165, 1, 0, 0, 6},	//211 QGLFramebufferObjectFormat::setAttachment(QGLFramebufferObject::Attachment)
    {32, 122, 0, 0, Smoke::mf_const, 143, 7},	//212 QGLFramebufferObjectFormat::attachment() const
    {32, 712, 17, 1, 0, 0, 8},	//213 QGLFramebufferObjectFormat::setTextureTarget(unsigned int)
    {32, 750, 0, 0, Smoke::mf_const, 499, 9},	//214 QGLFramebufferObjectFormat::textureTarget() const
    {32, 682, 17, 1, 0, 0, 10},	//215 QGLFramebufferObjectFormat::setInternalTextureFormat(unsigned int)
    {32, 240, 0, 0, Smoke::mf_const, 499, 11},	//216 QGLFramebufferObjectFormat::internalTextureFormat() const
    {32, 304, 163, 1, Smoke::mf_const, 370, 12},	//217 QGLFramebufferObjectFormat::operator==(const QGLFramebufferObjectFormat&) const
    {32, 265, 163, 1, Smoke::mf_const, 370, 13},	//218 QGLFramebufferObjectFormat::operator!=(const QGLFramebufferObjectFormat&) const
    {32, 779, 0, 0, Smoke::mf_dtor, 0, 14 },	//219 QGLFramebufferObjectFormat::~QGLFramebufferObjectFormat()
    {33, 68, 167, 3, Smoke::mf_ctor, 147, 1},	//220 QGLPixelBuffer::QGLPixelBuffer(const QSize&, const QGLFormat&, QGLWidget*)
    {33, 68, 171, 4, Smoke::mf_ctor, 147, 2},	//221 QGLPixelBuffer::QGLPixelBuffer(int, int, const QGLFormat&, QGLWidget*)
    {33, 246, 0, 0, Smoke::mf_const, 370, 3},	//222 QGLPixelBuffer::isValid() const
    {33, 253, 0, 0, 0, 370, 4},	//223 QGLPixelBuffer::makeCurrent()
    {33, 182, 0, 0, 0, 370, 5},	//224 QGLPixelBuffer::doneCurrent()
    {33, 214, 0, 0, Smoke::mf_const, 499, 6},	//225 QGLPixelBuffer::generateDynamicTexture() const
    {33, 137, 17, 1, 0, 370, 7},	//226 QGLPixelBuffer::bindToDynamicTexture(unsigned int)
    {33, 595, 0, 0, 0, 0, 8},	//227 QGLPixelBuffer::releaseFromDynamicTexture()
    {33, 767, 17, 1, Smoke::mf_const, 0, 9},	//228 QGLPixelBuffer::updateDynamicTexture(unsigned int) const
    {33, 131, 76, 2, 0, 499, 10},	//229 QGLPixelBuffer::bindTexture(const QImage&, unsigned int)
    {33, 131, 81, 2, 0, 499, 11},	//230 QGLPixelBuffer::bindTexture(const QPixmap&, unsigned int)
    {33, 131, 52, 1, 0, 499, 12},	//231 QGLPixelBuffer::bindTexture(const QString&)
    {33, 170, 17, 1, 0, 0, 13},	//232 QGLPixelBuffer::deleteTexture(unsigned int)
    {33, 187, 54, 3, 0, 0, 14},	//233 QGLPixelBuffer::drawTexture(const QRectF&, unsigned int, unsigned int)
    {33, 187, 58, 3, 0, 0, 15},	//234 QGLPixelBuffer::drawTexture(const QPointF&, unsigned int, unsigned int)
    {33, 735, 0, 0, Smoke::mf_const, 229, 16},	//235 QGLPixelBuffer::size() const
    {33, 224, 0, 0, Smoke::mf_const, 500, 17},	//236 QGLPixelBuffer::handle() const
    {33, 752, 0, 0, Smoke::mf_const, 165, 18},	//237 QGLPixelBuffer::toImage() const
    {33, 331, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 19},	//238 QGLPixelBuffer::paintEngine() const
    {33, 213, 0, 0, Smoke::mf_const, 138, 20},	//239 QGLPixelBuffer::format() const
    {33, 229, 0, 0, Smoke::mf_static, 370, 21},	//240 QGLPixelBuffer::hasOpenGLPbuffers()
    {33, 256, 129, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 490, 22},	//241 QGLPixelBuffer::metric(QPaintDevice::PaintDeviceMetric) const
    {33, 175, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 490, 23},	//242 QGLPixelBuffer::devType() const
    {33, 68, 131, 1, Smoke::mf_ctor, 147, 24},	//243 QGLPixelBuffer::QGLPixelBuffer(const QSize&)
    {33, 68, 176, 2, Smoke::mf_ctor, 147, 25},	//244 QGLPixelBuffer::QGLPixelBuffer(const QSize&, const QGLFormat&)
    {33, 68, 133, 2, Smoke::mf_ctor, 147, 26},	//245 QGLPixelBuffer::QGLPixelBuffer(int, int)
    {33, 68, 179, 3, Smoke::mf_ctor, 147, 27},	//246 QGLPixelBuffer::QGLPixelBuffer(int, int, const QGLFormat&)
    {33, 131, 74, 1, 0, 499, 28},	//247 QGLPixelBuffer::bindTexture(const QImage&)
    {33, 131, 79, 1, 0, 499, 29},	//248 QGLPixelBuffer::bindTexture(const QPixmap&)
    {33, 187, 84, 2, 0, 0, 30},	//249 QGLPixelBuffer::drawTexture(const QRectF&, unsigned int)
    {33, 187, 87, 2, 0, 0, 31},	//250 QGLPixelBuffer::drawTexture(const QPointF&, unsigned int)
    {33, 780, 0, 0, Smoke::mf_dtor, 0, 32 },	//251 QGLPixelBuffer::~QGLPixelBuffer()
    {34, 255, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 424, 1},	//252 QGLShader::metaObject() const
    {34, 582, 183, 1, Smoke::mf_virtual, 506, 2},	//253 QGLShader::qt_metacast(const char*)
    {34, 753, 185, 2, Smoke::mf_static, 236, 3},	//254 QGLShader::tr(const char*, const char*)
    {34, 757, 185, 2, Smoke::mf_static, 236, 4},	//255 QGLShader::trUtf8(const char*, const char*)
    {34, 753, 188, 3, Smoke::mf_static, 236, 5},	//256 QGLShader::tr(const char*, const char*, int)
    {34, 757, 188, 3, Smoke::mf_static, 236, 6},	//257 QGLShader::trUtf8(const char*, const char*, int)
    {34, 580, 192, 3, Smoke::mf_virtual, 490, 7},	//258 QGLShader::qt_metacall(QMetaObject::Call, int, void**)
    {34, 75, 196, 2, Smoke::mf_ctor, 148, 8},	//259 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, QObject*)
    {34, 75, 199, 3, Smoke::mf_ctor, 148, 9},	//260 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*, QObject*)
    {34, 732, 0, 0, Smoke::mf_const, 70, 10},	//261 QGLShader::shaderType() const
    {34, 153, 183, 1, 0, 370, 11},	//262 QGLShader::compileSourceCode(const char*)
    {34, 153, 203, 1, 0, 370, 12},	//263 QGLShader::compileSourceCode(const QByteArray&)
    {34, 153, 52, 1, 0, 370, 13},	//264 QGLShader::compileSourceCode(const QString&)
    {34, 156, 52, 1, 0, 370, 14},	//265 QGLShader::compileSourceFile(const QString&)
    {34, 737, 0, 0, Smoke::mf_const, 16, 15},	//266 QGLShader::sourceCode() const
    {34, 242, 0, 0, Smoke::mf_const, 370, 16},	//267 QGLShader::isCompiled() const
    {34, 252, 0, 0, Smoke::mf_const, 236, 17},	//268 QGLShader::log() const
    {34, 731, 0, 0, Smoke::mf_const, 499, 18},	//269 QGLShader::shaderId() const
    {34, 753, 183, 1, Smoke::mf_static, 236, 19},	//270 QGLShader::tr(const char*)
    {34, 757, 183, 1, Smoke::mf_static, 236, 20},	//271 QGLShader::trUtf8(const char*)
    {34, 75, 205, 1, Smoke::mf_ctor, 148, 21},	//272 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>)
    {34, 75, 207, 2, Smoke::mf_ctor, 148, 22},	//273 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*)
    {34, 738, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 423, 23},	//274 QGLShader::staticMetaObject() const
    {34, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 24},	//275 QGLShader::Vertex (enum)
    {34, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 25},	//276 QGLShader::Fragment (enum)
    {34, 781, 0, 0, Smoke::mf_dtor, 0, 26 },	//277 QGLShader::~QGLShader()
    {35, 255, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 424, 1},	//278 QGLShaderProgram::metaObject() const
    {35, 582, 183, 1, Smoke::mf_virtual, 506, 2},	//279 QGLShaderProgram::qt_metacast(const char*)
    {35, 753, 185, 2, Smoke::mf_static, 236, 3},	//280 QGLShaderProgram::tr(const char*, const char*)
    {35, 757, 185, 2, Smoke::mf_static, 236, 4},	//281 QGLShaderProgram::trUtf8(const char*, const char*)
    {35, 753, 188, 3, Smoke::mf_static, 236, 5},	//282 QGLShaderProgram::tr(const char*, const char*, int)
    {35, 757, 188, 3, Smoke::mf_static, 236, 6},	//283 QGLShaderProgram::trUtf8(const char*, const char*, int)
    {35, 580, 192, 3, Smoke::mf_virtual, 490, 7},	//284 QGLShaderProgram::qt_metacall(QMetaObject::Call, int, void**)
    {35, 79, 210, 1, Smoke::mf_ctor, 150, 8},	//285 QGLShaderProgram::QGLShaderProgram(QObject*)
    {35, 79, 212, 2, Smoke::mf_ctor, 150, 9},	//286 QGLShaderProgram::QGLShaderProgram(const QGLContext*, QObject*)
    {35, 111, 215, 1, 0, 370, 10},	//287 QGLShaderProgram::addShader(QGLShader*)
    {35, 597, 215, 1, 0, 0, 11},	//288 QGLShaderProgram::removeShader(QGLShader*)
    {35, 733, 0, 0, Smoke::mf_const, 180, 12},	//289 QGLShaderProgram::shaders() const
    {35, 113, 217, 2, 0, 370, 13},	//290 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const char*)
    {35, 113, 220, 2, 0, 370, 14},	//291 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QByteArray&)
    {35, 113, 223, 2, 0, 370, 15},	//292 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    {35, 116, 223, 2, 0, 370, 16},	//293 QGLShaderProgram::addShaderFromSourceFile(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    {35, 596, 0, 0, 0, 0, 17},	//294 QGLShaderProgram::removeAllShaders()
    {35, 251, 0, 0, Smoke::mf_virtual, 370, 18},	//295 QGLShaderProgram::link()
    {35, 244, 0, 0, Smoke::mf_const, 370, 19},	//296 QGLShaderProgram::isLinked() const
    {35, 252, 0, 0, Smoke::mf_const, 236, 20},	//297 QGLShaderProgram::log() const
    {35, 127, 0, 0, 0, 370, 21},	//298 QGLShaderProgram::bind()
    {35, 594, 0, 0, 0, 0, 22},	//299 QGLShaderProgram::release()
    {35, 338, 0, 0, Smoke::mf_const, 499, 23},	//300 QGLShaderProgram::programId() const
    {35, 128, 226, 2, 0, 0, 24},	//301 QGLShaderProgram::bindAttributeLocation(const char*, int)
    {35, 128, 229, 2, 0, 0, 25},	//302 QGLShaderProgram::bindAttributeLocation(const QByteArray&, int)
    {35, 128, 232, 2, 0, 0, 26},	//303 QGLShaderProgram::bindAttributeLocation(const QString&, int)
    {35, 123, 183, 1, Smoke::mf_const, 490, 27},	//304 QGLShaderProgram::attributeLocation(const char*) const
    {35, 123, 203, 1, Smoke::mf_const, 490, 28},	//305 QGLShaderProgram::attributeLocation(const QByteArray&) const
    {35, 123, 52, 1, Smoke::mf_const, 490, 29},	//306 QGLShaderProgram::attributeLocation(const QString&) const
    {35, 636, 235, 2, 0, 0, 30},	//307 QGLShaderProgram::setAttributeValue(int, float)
    {35, 636, 238, 3, 0, 0, 31},	//308 QGLShaderProgram::setAttributeValue(int, float, float)
    {35, 636, 242, 4, 0, 0, 32},	//309 QGLShaderProgram::setAttributeValue(int, float, float, float)
    {35, 636, 247, 5, 0, 0, 33},	//310 QGLShaderProgram::setAttributeValue(int, float, float, float, float)
    {35, 636, 253, 2, 0, 0, 34},	//311 QGLShaderProgram::setAttributeValue(int, const QVector2D&)
    {35, 636, 256, 2, 0, 0, 35},	//312 QGLShaderProgram::setAttributeValue(int, const QVector3D&)
    {35, 636, 259, 2, 0, 0, 36},	//313 QGLShaderProgram::setAttributeValue(int, const QVector4D&)
    {35, 636, 12, 2, 0, 0, 37},	//314 QGLShaderProgram::setAttributeValue(int, const QColor&)
    {35, 636, 262, 4, 0, 0, 38},	//315 QGLShaderProgram::setAttributeValue(int, const float*, int, int)
    {35, 636, 267, 2, 0, 0, 39},	//316 QGLShaderProgram::setAttributeValue(const char*, float)
    {35, 636, 270, 3, 0, 0, 40},	//317 QGLShaderProgram::setAttributeValue(const char*, float, float)
    {35, 636, 274, 4, 0, 0, 41},	//318 QGLShaderProgram::setAttributeValue(const char*, float, float, float)
    {35, 636, 279, 5, 0, 0, 42},	//319 QGLShaderProgram::setAttributeValue(const char*, float, float, float, float)
    {35, 636, 285, 2, 0, 0, 43},	//320 QGLShaderProgram::setAttributeValue(const char*, const QVector2D&)
    {35, 636, 288, 2, 0, 0, 44},	//321 QGLShaderProgram::setAttributeValue(const char*, const QVector3D&)
    {35, 636, 291, 2, 0, 0, 45},	//322 QGLShaderProgram::setAttributeValue(const char*, const QVector4D&)
    {35, 636, 294, 2, 0, 0, 46},	//323 QGLShaderProgram::setAttributeValue(const char*, const QColor&)
    {35, 636, 297, 4, 0, 0, 47},	//324 QGLShaderProgram::setAttributeValue(const char*, const float*, int, int)
    {35, 631, 262, 4, 0, 0, 48},	//325 QGLShaderProgram::setAttributeArray(int, const float*, int, int)
    {35, 631, 302, 3, 0, 0, 49},	//326 QGLShaderProgram::setAttributeArray(int, const QVector2D*, int)
    {35, 631, 306, 3, 0, 0, 50},	//327 QGLShaderProgram::setAttributeArray(int, const QVector3D*, int)
    {35, 631, 310, 3, 0, 0, 51},	//328 QGLShaderProgram::setAttributeArray(int, const QVector4D*, int)
    {35, 631, 297, 4, 0, 0, 52},	//329 QGLShaderProgram::setAttributeArray(const char*, const float*, int, int)
    {35, 631, 314, 3, 0, 0, 53},	//330 QGLShaderProgram::setAttributeArray(const char*, const QVector2D*, int)
    {35, 631, 318, 3, 0, 0, 54},	//331 QGLShaderProgram::setAttributeArray(const char*, const QVector3D*, int)
    {35, 631, 322, 3, 0, 0, 55},	//332 QGLShaderProgram::setAttributeArray(const char*, const QVector4D*, int)
    {35, 191, 15, 1, 0, 0, 56},	//333 QGLShaderProgram::enableAttributeArray(int)
    {35, 191, 183, 1, 0, 0, 57},	//334 QGLShaderProgram::enableAttributeArray(const char*)
    {35, 179, 15, 1, 0, 0, 58},	//335 QGLShaderProgram::disableAttributeArray(int)
    {35, 179, 183, 1, 0, 0, 59},	//336 QGLShaderProgram::disableAttributeArray(const char*)
    {35, 764, 183, 1, Smoke::mf_const, 490, 60},	//337 QGLShaderProgram::uniformLocation(const char*) const
    {35, 764, 203, 1, Smoke::mf_const, 490, 61},	//338 QGLShaderProgram::uniformLocation(const QByteArray&) const
    {35, 764, 52, 1, Smoke::mf_const, 490, 62},	//339 QGLShaderProgram::uniformLocation(const QString&) const
    {35, 714, 235, 2, 0, 0, 63},	//340 QGLShaderProgram::setUniformValue(int, float)
    {35, 714, 133, 2, 0, 0, 64},	//341 QGLShaderProgram::setUniformValue(int, int)
    {35, 714, 9, 2, 0, 0, 65},	//342 QGLShaderProgram::setUniformValue(int, unsigned int)
    {35, 714, 238, 3, 0, 0, 66},	//343 QGLShaderProgram::setUniformValue(int, float, float)
    {35, 714, 242, 4, 0, 0, 67},	//344 QGLShaderProgram::setUniformValue(int, float, float, float)
    {35, 714, 247, 5, 0, 0, 68},	//345 QGLShaderProgram::setUniformValue(int, float, float, float, float)
    {35, 714, 253, 2, 0, 0, 69},	//346 QGLShaderProgram::setUniformValue(int, const QVector2D&)
    {35, 714, 256, 2, 0, 0, 70},	//347 QGLShaderProgram::setUniformValue(int, const QVector3D&)
    {35, 714, 259, 2, 0, 0, 71},	//348 QGLShaderProgram::setUniformValue(int, const QVector4D&)
    {35, 714, 12, 2, 0, 0, 72},	//349 QGLShaderProgram::setUniformValue(int, const QColor&)
    {35, 714, 326, 2, 0, 0, 73},	//350 QGLShaderProgram::setUniformValue(int, const QPoint&)
    {35, 714, 329, 2, 0, 0, 74},	//351 QGLShaderProgram::setUniformValue(int, const QPointF&)
    {35, 714, 332, 2, 0, 0, 75},	//352 QGLShaderProgram::setUniformValue(int, const QSize&)
    {35, 714, 335, 2, 0, 0, 76},	//353 QGLShaderProgram::setUniformValue(int, const QSizeF&)
    {35, 714, 338, 2, 0, 0, 77},	//354 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,2,double>&)
    {35, 714, 341, 2, 0, 0, 78},	//355 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,3,double>&)
    {35, 714, 344, 2, 0, 0, 79},	//356 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,4,double>&)
    {35, 714, 347, 2, 0, 0, 80},	//357 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,2,double>&)
    {35, 714, 350, 2, 0, 0, 81},	//358 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,3,double>&)
    {35, 714, 353, 2, 0, 0, 82},	//359 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,4,double>&)
    {35, 714, 356, 2, 0, 0, 83},	//360 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,2,double>&)
    {35, 714, 359, 2, 0, 0, 84},	//361 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,3,double>&)
    {35, 714, 362, 2, 0, 0, 85},	//362 QGLShaderProgram::setUniformValue(int, const QMatrix4x4&)
    {35, 714, 365, 2, 0, 0, 86},	//363 QGLShaderProgram::setUniformValue(int, const float[4][4])
    {35, 714, 368, 2, 0, 0, 87},	//364 QGLShaderProgram::setUniformValue(int, const QTransform&)
    {35, 714, 267, 2, 0, 0, 88},	//365 QGLShaderProgram::setUniformValue(const char*, float)
    {35, 714, 226, 2, 0, 0, 89},	//366 QGLShaderProgram::setUniformValue(const char*, int)
    {35, 714, 371, 2, 0, 0, 90},	//367 QGLShaderProgram::setUniformValue(const char*, unsigned int)
    {35, 714, 270, 3, 0, 0, 91},	//368 QGLShaderProgram::setUniformValue(const char*, float, float)
    {35, 714, 274, 4, 0, 0, 92},	//369 QGLShaderProgram::setUniformValue(const char*, float, float, float)
    {35, 714, 279, 5, 0, 0, 93},	//370 QGLShaderProgram::setUniformValue(const char*, float, float, float, float)
    {35, 714, 285, 2, 0, 0, 94},	//371 QGLShaderProgram::setUniformValue(const char*, const QVector2D&)
    {35, 714, 288, 2, 0, 0, 95},	//372 QGLShaderProgram::setUniformValue(const char*, const QVector3D&)
    {35, 714, 291, 2, 0, 0, 96},	//373 QGLShaderProgram::setUniformValue(const char*, const QVector4D&)
    {35, 714, 294, 2, 0, 0, 97},	//374 QGLShaderProgram::setUniformValue(const char*, const QColor&)
    {35, 714, 374, 2, 0, 0, 98},	//375 QGLShaderProgram::setUniformValue(const char*, const QPoint&)
    {35, 714, 377, 2, 0, 0, 99},	//376 QGLShaderProgram::setUniformValue(const char*, const QPointF&)
    {35, 714, 380, 2, 0, 0, 100},	//377 QGLShaderProgram::setUniformValue(const char*, const QSize&)
    {35, 714, 383, 2, 0, 0, 101},	//378 QGLShaderProgram::setUniformValue(const char*, const QSizeF&)
    {35, 714, 386, 2, 0, 0, 102},	//379 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,2,double>&)
    {35, 714, 389, 2, 0, 0, 103},	//380 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,3,double>&)
    {35, 714, 392, 2, 0, 0, 104},	//381 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,4,double>&)
    {35, 714, 395, 2, 0, 0, 105},	//382 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,2,double>&)
    {35, 714, 398, 2, 0, 0, 106},	//383 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,3,double>&)
    {35, 714, 401, 2, 0, 0, 107},	//384 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,4,double>&)
    {35, 714, 404, 2, 0, 0, 108},	//385 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,2,double>&)
    {35, 714, 407, 2, 0, 0, 109},	//386 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,3,double>&)
    {35, 714, 410, 2, 0, 0, 110},	//387 QGLShaderProgram::setUniformValue(const char*, const QMatrix4x4&)
    {35, 714, 413, 2, 0, 0, 111},	//388 QGLShaderProgram::setUniformValue(const char*, const float[4][4])
    {35, 714, 416, 2, 0, 0, 112},	//389 QGLShaderProgram::setUniformValue(const char*, const QTransform&)
    {35, 721, 262, 4, 0, 0, 113},	//390 QGLShaderProgram::setUniformValueArray(int, const float*, int, int)
    {35, 721, 419, 3, 0, 0, 114},	//391 QGLShaderProgram::setUniformValueArray(int, const int*, int)
    {35, 721, 5, 3, 0, 0, 115},	//392 QGLShaderProgram::setUniformValueArray(int, const unsigned int*, int)
    {35, 721, 302, 3, 0, 0, 116},	//393 QGLShaderProgram::setUniformValueArray(int, const QVector2D*, int)
    {35, 721, 306, 3, 0, 0, 117},	//394 QGLShaderProgram::setUniformValueArray(int, const QVector3D*, int)
    {35, 721, 310, 3, 0, 0, 118},	//395 QGLShaderProgram::setUniformValueArray(int, const QVector4D*, int)
    {35, 721, 423, 3, 0, 0, 119},	//396 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,2,double>*, int)
    {35, 721, 427, 3, 0, 0, 120},	//397 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,3,double>*, int)
    {35, 721, 431, 3, 0, 0, 121},	//398 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,4,double>*, int)
    {35, 721, 435, 3, 0, 0, 122},	//399 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,2,double>*, int)
    {35, 721, 439, 3, 0, 0, 123},	//400 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,3,double>*, int)
    {35, 721, 443, 3, 0, 0, 124},	//401 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,4,double>*, int)
    {35, 721, 447, 3, 0, 0, 125},	//402 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,2,double>*, int)
    {35, 721, 451, 3, 0, 0, 126},	//403 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,3,double>*, int)
    {35, 721, 455, 3, 0, 0, 127},	//404 QGLShaderProgram::setUniformValueArray(int, const QMatrix4x4*, int)
    {35, 721, 297, 4, 0, 0, 128},	//405 QGLShaderProgram::setUniformValueArray(const char*, const float*, int, int)
    {35, 721, 459, 3, 0, 0, 129},	//406 QGLShaderProgram::setUniformValueArray(const char*, const int*, int)
    {35, 721, 463, 3, 0, 0, 130},	//407 QGLShaderProgram::setUniformValueArray(const char*, const unsigned int*, int)
    {35, 721, 314, 3, 0, 0, 131},	//408 QGLShaderProgram::setUniformValueArray(const char*, const QVector2D*, int)
    {35, 721, 318, 3, 0, 0, 132},	//409 QGLShaderProgram::setUniformValueArray(const char*, const QVector3D*, int)
    {35, 721, 322, 3, 0, 0, 133},	//410 QGLShaderProgram::setUniformValueArray(const char*, const QVector4D*, int)
    {35, 721, 467, 3, 0, 0, 134},	//411 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,2,double>*, int)
    {35, 721, 471, 3, 0, 0, 135},	//412 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,3,double>*, int)
    {35, 721, 475, 3, 0, 0, 136},	//413 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,4,double>*, int)
    {35, 721, 479, 3, 0, 0, 137},	//414 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,2,double>*, int)
    {35, 721, 483, 3, 0, 0, 138},	//415 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,3,double>*, int)
    {35, 721, 487, 3, 0, 0, 139},	//416 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,4,double>*, int)
    {35, 721, 491, 3, 0, 0, 140},	//417 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,2,double>*, int)
    {35, 721, 495, 3, 0, 0, 141},	//418 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,3,double>*, int)
    {35, 721, 499, 3, 0, 0, 142},	//419 QGLShaderProgram::setUniformValueArray(const char*, const QMatrix4x4*, int)
    {35, 230, 29, 1, Smoke::mf_static, 370, 143},	//420 QGLShaderProgram::hasOpenGLShaderPrograms(const QGLContext*)
    {35, 753, 183, 1, Smoke::mf_static, 236, 144},	//421 QGLShaderProgram::tr(const char*)
    {35, 757, 183, 1, Smoke::mf_static, 236, 145},	//422 QGLShaderProgram::trUtf8(const char*)
    {35, 79, 0, 0, Smoke::mf_ctor, 150, 146},	//423 QGLShaderProgram::QGLShaderProgram()
    {35, 79, 29, 1, Smoke::mf_ctor, 150, 147},	//424 QGLShaderProgram::QGLShaderProgram(const QGLContext*)
    {35, 631, 503, 3, 0, 0, 148},	//425 QGLShaderProgram::setAttributeArray(int, const float*, int)
    {35, 631, 507, 2, 0, 0, 149},	//426 QGLShaderProgram::setAttributeArray(int, const QVector2D*)
    {35, 631, 510, 2, 0, 0, 150},	//427 QGLShaderProgram::setAttributeArray(int, const QVector3D*)
    {35, 631, 513, 2, 0, 0, 151},	//428 QGLShaderProgram::setAttributeArray(int, const QVector4D*)
    {35, 631, 516, 3, 0, 0, 152},	//429 QGLShaderProgram::setAttributeArray(const char*, const float*, int)
    {35, 631, 520, 2, 0, 0, 153},	//430 QGLShaderProgram::setAttributeArray(const char*, const QVector2D*)
    {35, 631, 523, 2, 0, 0, 154},	//431 QGLShaderProgram::setAttributeArray(const char*, const QVector3D*)
    {35, 631, 526, 2, 0, 0, 155},	//432 QGLShaderProgram::setAttributeArray(const char*, const QVector4D*)
    {35, 230, 0, 0, Smoke::mf_static, 370, 156},	//433 QGLShaderProgram::hasOpenGLShaderPrograms()
    {35, 738, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 423, 157},	//434 QGLShaderProgram::staticMetaObject() const
    {35, 782, 0, 0, Smoke::mf_dtor, 0, 158 },	//435 QGLShaderProgram::~QGLShaderProgram()
    {36, 255, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 424, 1},	//436 QGLWidget::metaObject() const
    {36, 582, 183, 1, Smoke::mf_virtual, 506, 2},	//437 QGLWidget::qt_metacast(const char*)
    {36, 753, 185, 2, Smoke::mf_static, 236, 3},	//438 QGLWidget::tr(const char*, const char*)
    {36, 757, 185, 2, Smoke::mf_static, 236, 4},	//439 QGLWidget::trUtf8(const char*, const char*)
    {36, 753, 188, 3, Smoke::mf_static, 236, 5},	//440 QGLWidget::tr(const char*, const char*, int)
    {36, 757, 188, 3, Smoke::mf_static, 236, 6},	//441 QGLWidget::trUtf8(const char*, const char*, int)
    {36, 580, 192, 3, Smoke::mf_virtual, 490, 7},	//442 QGLWidget::qt_metacall(QMetaObject::Call, int, void**)
    {36, 82, 529, 3, Smoke::mf_ctor, 151, 8},	//443 QGLWidget::QGLWidget(QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {36, 82, 533, 4, Smoke::mf_ctor, 151, 9},	//444 QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {36, 82, 538, 4, Smoke::mf_ctor, 151, 10},	//445 QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {36, 537, 70, 1, Smoke::mf_const, 0, 11},	//446 QGLWidget::qglColor(const QColor&) const
    {36, 535, 70, 1, Smoke::mf_const, 0, 12},	//447 QGLWidget::qglClearColor(const QColor&) const
    {36, 246, 0, 0, Smoke::mf_const, 370, 13},	//448 QGLWidget::isValid() const
    {36, 245, 0, 0, Smoke::mf_const, 370, 14},	//449 QGLWidget::isSharing() const
    {36, 253, 0, 0, 0, 0, 15},	//450 QGLWidget::makeCurrent()
    {36, 182, 0, 0, 0, 0, 16},	//451 QGLWidget::doneCurrent()
    {36, 183, 0, 0, Smoke::mf_const, 370, 17},	//452 QGLWidget::doubleBuffer() const
    {36, 743, 0, 0, 0, 0, 18},	//453 QGLWidget::swapBuffers()
    {36, 213, 0, 0, Smoke::mf_const, 138, 19},	//454 QGLWidget::format() const
    {36, 674, 27, 1, 0, 0, 20},	//455 QGLWidget::setFormat(const QGLFormat&)
    {36, 159, 0, 0, Smoke::mf_const, 389, 21},	//456 QGLWidget::context() const
    {36, 648, 543, 3, 0, 0, 22},	//457 QGLWidget::setContext(QGLContext*, const QGLContext*, bool)
    {36, 599, 547, 3, 0, 211, 23},	//458 QGLWidget::renderPixmap(int, int, bool)
    {36, 221, 65, 1, 0, 165, 24},	//459 QGLWidget::grabFrameBuffer(bool)
    {36, 254, 0, 0, 0, 0, 25},	//460 QGLWidget::makeOverlayCurrent()
    {36, 329, 0, 0, Smoke::mf_const, 389, 26},	//461 QGLWidget::overlayContext() const
    {36, 161, 74, 1, Smoke::mf_static, 165, 27},	//462 QGLWidget::convertToGLFormat(const QImage&)
    {36, 684, 65, 1, 0, 0, 28},	//463 QGLWidget::setMouseTracking(bool)
    {36, 152, 0, 0, Smoke::mf_const, 388, 29},	//464 QGLWidget::colormap() const
    {36, 646, 3, 1, 0, 0, 30},	//465 QGLWidget::setColormap(const QGLColormap&)
    {36, 603, 551, 5, 0, 0, 31},	//466 QGLWidget::renderText(int, int, const QString&, const QFont&, int)
    {36, 603, 557, 6, 0, 0, 32},	//467 QGLWidget::renderText(double, double, double, const QString&, const QFont&, int)
    {36, 331, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 33},	//468 QGLWidget::paintEngine() const
    {36, 131, 34, 4, 0, 499, 34},	//469 QGLWidget::bindTexture(const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>)
    {36, 131, 39, 4, 0, 499, 35},	//470 QGLWidget::bindTexture(const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>)
    {36, 131, 44, 3, 0, 499, 36},	//471 QGLWidget::bindTexture(const QImage&, unsigned int, int)
    {36, 131, 48, 3, 0, 499, 37},	//472 QGLWidget::bindTexture(const QPixmap&, unsigned int, int)
    {36, 131, 52, 1, 0, 499, 38},	//473 QGLWidget::bindTexture(const QString&)
    {36, 170, 17, 1, 0, 0, 39},	//474 QGLWidget::deleteTexture(unsigned int)
    {36, 187, 54, 3, 0, 0, 40},	//475 QGLWidget::drawTexture(const QRectF&, unsigned int, unsigned int)
    {36, 187, 58, 3, 0, 0, 41},	//476 QGLWidget::drawTexture(const QPointF&, unsigned int, unsigned int)
    {36, 769, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 42},	//477 QGLWidget::updateGL()
    {36, 770, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 43},	//478 QGLWidget::updateOverlayGL()
    {36, 199, 564, 1, Smoke::mf_protected|Smoke::mf_virtual, 370, 44},	//479 QGLWidget::event(QEvent*)
    {36, 235, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//480 QGLWidget::initializeGL()
    {36, 614, 133, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//481 QGLWidget::resizeGL(int, int)
    {36, 334, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//482 QGLWidget::paintGL()
    {36, 236, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 48},	//483 QGLWidget::initializeOverlayGL()
    {36, 616, 133, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//484 QGLWidget::resizeOverlayGL(int, int)
    {36, 335, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 50},	//485 QGLWidget::paintOverlayGL()
    {36, 642, 65, 1, Smoke::mf_protected, 0, 51},	//486 QGLWidget::setAutoBufferSwap(bool)
    {36, 126, 0, 0, Smoke::mf_const|Smoke::mf_protected, 370, 52},	//487 QGLWidget::autoBufferSwap() const
    {36, 332, 566, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//488 QGLWidget::paintEvent(QPaintEvent*)
    {36, 612, 568, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//489 QGLWidget::resizeEvent(QResizeEvent*)
    {36, 220, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//490 QGLWidget::glInit()
    {36, 219, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//491 QGLWidget::glDraw()
    {36, 210, 67, 2, Smoke::mf_protected, 490, 57},	//492 QGLWidget::fontDisplayListBase(const QFont&, int)
    {36, 753, 183, 1, Smoke::mf_static, 236, 58},	//493 QGLWidget::tr(const char*)
    {36, 757, 183, 1, Smoke::mf_static, 236, 59},	//494 QGLWidget::trUtf8(const char*)
    {36, 82, 0, 0, Smoke::mf_ctor, 151, 60},	//495 QGLWidget::QGLWidget()
    {36, 82, 570, 1, Smoke::mf_ctor, 151, 61},	//496 QGLWidget::QGLWidget(QWidget*)
    {36, 82, 572, 2, Smoke::mf_ctor, 151, 62},	//497 QGLWidget::QGLWidget(QWidget*, const QGLWidget*)
    {36, 82, 90, 1, Smoke::mf_ctor, 151, 63},	//498 QGLWidget::QGLWidget(QGLContext*)
    {36, 82, 575, 2, Smoke::mf_ctor, 151, 64},	//499 QGLWidget::QGLWidget(QGLContext*, QWidget*)
    {36, 82, 578, 3, Smoke::mf_ctor, 151, 65},	//500 QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*)
    {36, 82, 27, 1, Smoke::mf_ctor, 151, 66},	//501 QGLWidget::QGLWidget(const QGLFormat&)
    {36, 82, 582, 2, Smoke::mf_ctor, 151, 67},	//502 QGLWidget::QGLWidget(const QGLFormat&, QWidget*)
    {36, 82, 585, 3, Smoke::mf_ctor, 151, 68},	//503 QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*)
    {36, 648, 90, 1, 0, 0, 69},	//504 QGLWidget::setContext(QGLContext*)
    {36, 648, 589, 2, 0, 0, 70},	//505 QGLWidget::setContext(QGLContext*, const QGLContext*)
    {36, 599, 0, 0, 0, 211, 71},	//506 QGLWidget::renderPixmap()
    {36, 599, 15, 1, 0, 211, 72},	//507 QGLWidget::renderPixmap(int)
    {36, 599, 133, 2, 0, 211, 73},	//508 QGLWidget::renderPixmap(int, int)
    {36, 221, 0, 0, 0, 165, 74},	//509 QGLWidget::grabFrameBuffer()
    {36, 603, 592, 3, 0, 0, 75},	//510 QGLWidget::renderText(int, int, const QString&)
    {36, 603, 596, 4, 0, 0, 76},	//511 QGLWidget::renderText(int, int, const QString&, const QFont&)
    {36, 603, 601, 4, 0, 0, 77},	//512 QGLWidget::renderText(double, double, double, const QString&)
    {36, 603, 606, 5, 0, 0, 78},	//513 QGLWidget::renderText(double, double, double, const QString&, const QFont&)
    {36, 131, 74, 1, 0, 499, 79},	//514 QGLWidget::bindTexture(const QImage&)
    {36, 131, 76, 2, 0, 499, 80},	//515 QGLWidget::bindTexture(const QImage&, unsigned int)
    {36, 131, 79, 1, 0, 499, 81},	//516 QGLWidget::bindTexture(const QPixmap&)
    {36, 131, 81, 2, 0, 499, 82},	//517 QGLWidget::bindTexture(const QPixmap&, unsigned int)
    {36, 187, 84, 2, 0, 0, 83},	//518 QGLWidget::drawTexture(const QRectF&, unsigned int)
    {36, 187, 87, 2, 0, 0, 84},	//519 QGLWidget::drawTexture(const QPointF&, unsigned int)
    {36, 210, 612, 1, Smoke::mf_protected, 490, 85},	//520 QGLWidget::fontDisplayListBase(const QFont&)
    {36, 738, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 423, 86},	//521 QGLWidget::staticMetaObject() const
    {36, 783, 0, 0, Smoke::mf_dtor, 0, 87 },	//522 QGLWidget::~QGLWidget()
    {37, 326, 614, 2, Smoke::mf_static, 168, 1},	//523 QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    {37, 344, 0, 0, Smoke::mf_static, 8, 2},	//524 QGlobalSpace::qAccessibleValueCastHelper()
    {37, 315, 617, 2, Smoke::mf_static, 370, 3},	//525 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {37, 458, 620, 1, Smoke::mf_static, 499, 4},	//526 QGlobalSpace::qHash(unsigned long long)
    {37, 470, 622, 1, Smoke::mf_static, 370, 5},	//527 QGlobalSpace::qIsInf(double)
    {37, 326, 624, 2, Smoke::mf_static, 168, 6},	//528 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {37, 282, 627, 2, Smoke::mf_static, 187, 7},	//529 QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    {37, 326, 630, 2, Smoke::mf_static, 168, 8},	//530 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {37, 304, 633, 2, Smoke::mf_static, 370, 9},	//531 QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    {37, 265, 636, 2, Smoke::mf_static, 370, 10},	//532 QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    {37, 565, 371, 2, Smoke::mf_static, 499, 11},	//533 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {37, 482, 639, 3, Smoke::mf_static, 506, 12},	//534 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {37, 584, 0, 0, Smoke::mf_static, 0, 13},	//535 QGlobalSpace::qt_noop()
    {37, 304, 643, 2, Smoke::mf_static, 370, 14},	//536 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {37, 293, 646, 2, Smoke::mf_static, 31, 15},	//537 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {37, 320, 649, 2, Smoke::mf_static, 27, 16},	//538 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {37, 273, 652, 2, Smoke::mf_static, 215, 17},	//539 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {37, 326, 655, 2, Smoke::mf_static, 88, 18},	//540 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    {37, 304, 658, 2, Smoke::mf_static, 370, 19},	//541 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {37, 304, 661, 2, Smoke::mf_static, 370, 20},	//542 QGlobalSpace::operator==(const QSize&, const QSize&)
    {37, 293, 664, 2, Smoke::mf_static, 27, 21},	//543 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {37, 326, 667, 2, Smoke::mf_static, 104, 22},	//544 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    {37, 277, 670, 2, Smoke::mf_static, 376, 23},	//545 QGlobalSpace::operator+(const char*, const QByteArray&)
    {37, 320, 673, 2, Smoke::mf_static, 27, 24},	//546 QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    {37, 326, 676, 2, Smoke::mf_static, 95, 25},	//547 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    {37, 326, 679, 2, Smoke::mf_static, 85, 26},	//548 QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    {37, 326, 682, 2, Smoke::mf_static, 63, 27},	//549 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {37, 519, 685, 2, Smoke::mf_static, 370, 28},	//550 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {37, 320, 688, 2, Smoke::mf_static, 27, 29},	//551 QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    {37, 546, 670, 2, Smoke::mf_static, 490, 30},	//552 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {37, 304, 691, 2, Smoke::mf_static, 370, 31},	//553 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {37, 293, 694, 2, Smoke::mf_static, 27, 32},	//554 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {37, 356, 697, 2, Smoke::mf_static, 488, 33},	//555 QGlobalSpace::qAtan2(double, double)
    {37, 320, 700, 2, Smoke::mf_static, 27, 34},	//556 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {37, 315, 703, 2, Smoke::mf_static, 370, 35},	//557 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {37, 470, 706, 1, Smoke::mf_static, 370, 36},	//558 QGlobalSpace::qIsInf(float)
    {37, 533, 183, 1, Smoke::mf_static, 16, 37},	//559 QGlobalSpace::qgetenv(const char*)
    {37, 458, 708, 1, Smoke::mf_static, 499, 38},	//560 QGlobalSpace::qHash(signed char)
    {37, 326, 710, 2, Smoke::mf_static, 168, 39},	//561 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    {37, 304, 713, 2, Smoke::mf_static, 370, 40},	//562 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {37, 310, 670, 2, Smoke::mf_static, 370, 41},	//563 QGlobalSpace::operator>(const char*, const QByteArray&)
    {37, 326, 716, 2, Smoke::mf_static, 168, 42},	//564 QGlobalSpace::operator|(QFileDialog::Option, int)
    {37, 277, 627, 2, Smoke::mf_static, 187, 43},	//565 QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    {37, 464, 622, 1, Smoke::mf_static, 490, 44},	//566 QGlobalSpace::qIntCast(double)
    {37, 510, 719, 1, Smoke::mf_static, 267, 45},	//567 QGlobalSpace::qSetPadChar(QChar)
    {37, 293, 721, 2, Smoke::mf_static, 27, 46},	//568 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {37, 326, 724, 2, Smoke::mf_static, 87, 47},	//569 QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    {37, 326, 727, 2, Smoke::mf_static, 94, 48},	//570 QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    {37, 273, 730, 2, Smoke::mf_static, 213, 49},	//571 QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    {37, 293, 733, 2, Smoke::mf_static, 27, 50},	//572 QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    {37, 293, 736, 2, Smoke::mf_static, 31, 51},	//573 QGlobalSpace::operator<<(QDebug, const QBrush&)
    {37, 326, 739, 2, Smoke::mf_static, 71, 52},	//574 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    {37, 304, 742, 2, Smoke::mf_static, 370, 53},	//575 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {37, 273, 745, 2, Smoke::mf_static, 284, 54},	//576 QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    {37, 304, 748, 2, Smoke::mf_static, 370, 55},	//577 QGlobalSpace::operator==(QChar, QChar)
    {37, 293, 751, 2, Smoke::mf_static, 31, 56},	//578 QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    {37, 273, 627, 2, Smoke::mf_static, 187, 57},	//579 QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    {37, 326, 754, 2, Smoke::mf_static, 126, 58},	//580 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {37, 282, 757, 1, Smoke::mf_static, 187, 59},	//581 QGlobalSpace::operator-(const QMatrix4x4&)
    {37, 458, 203, 1, Smoke::mf_static, 499, 60},	//582 QGlobalSpace::qHash(const QByteArray&)
    {37, 326, 759, 2, Smoke::mf_static, 168, 61},	//583 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {37, 273, 762, 2, Smoke::mf_static, 187, 62},	//584 QGlobalSpace::operator*(const QMatrix4x4&, double)
    {37, 293, 765, 2, Smoke::mf_static, 27, 63},	//585 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {37, 293, 768, 2, Smoke::mf_static, 31, 64},	//586 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {37, 320, 771, 2, Smoke::mf_static, 27, 65},	//587 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {37, 288, 748, 2, Smoke::mf_static, 370, 66},	//588 QGlobalSpace::operator<(QChar, QChar)
    {37, 320, 774, 2, Smoke::mf_static, 27, 67},	//589 QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    {37, 326, 777, 2, Smoke::mf_static, 84, 68},	//590 QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    {37, 315, 748, 2, Smoke::mf_static, 370, 69},	//591 QGlobalSpace::operator>=(QChar, QChar)
    {37, 265, 780, 2, Smoke::mf_static, 370, 70},	//592 QGlobalSpace::operator!=(QString::Null, const QString&)
    {37, 293, 783, 2, Smoke::mf_static, 31, 71},	//593 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    {37, 288, 670, 2, Smoke::mf_static, 370, 72},	//594 QGlobalSpace::operator<(const char*, const QByteArray&)
    {37, 326, 786, 2, Smoke::mf_static, 111, 73},	//595 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {37, 326, 789, 2, Smoke::mf_static, 125, 74},	//596 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {37, 546, 185, 2, Smoke::mf_static, 490, 75},	//597 QGlobalSpace::qstrcmp(const char*, const char*)
    {37, 326, 792, 2, Smoke::mf_static, 168, 76},	//598 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    {37, 277, 633, 2, Smoke::mf_static, 475, 77},	//599 QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    {37, 370, 622, 1, Smoke::mf_static, 488, 78},	//600 QGlobalSpace::qCos(double)
    {37, 326, 795, 2, Smoke::mf_static, 83, 79},	//601 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {37, 310, 748, 2, Smoke::mf_static, 370, 80},	//602 QGlobalSpace::operator>(QChar, QChar)
    {37, 326, 798, 2, Smoke::mf_static, 128, 81},	//603 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {37, 273, 801, 2, Smoke::mf_static, 448, 82},	//604 QGlobalSpace::operator*(double, const QSizeF&)
    {37, 514, 0, 0, Smoke::mf_static, 370, 83},	//605 QGlobalSpace::qSharedBuild()
    {37, 304, 804, 2, Smoke::mf_static, 370, 84},	//606 QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    {37, 326, 807, 2, Smoke::mf_static, 168, 85},	//607 QGlobalSpace::operator|(QDir::Filter, int)
    {37, 326, 810, 2, Smoke::mf_static, 94, 86},	//608 QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    {37, 265, 617, 2, Smoke::mf_static, 370, 87},	//609 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {37, 282, 813, 2, Smoke::mf_static, 433, 88},	//610 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {37, 340, 0, 0, Smoke::mf_static, 8, 89},	//611 QGlobalSpace::qAccessibleEditableTextCastHelper()
    {37, 293, 816, 2, Smoke::mf_static, 27, 90},	//612 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {37, 326, 819, 2, Smoke::mf_static, 168, 91},	//613 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {37, 326, 822, 2, Smoke::mf_static, 124, 92},	//614 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {37, 326, 825, 2, Smoke::mf_static, 168, 93},	//615 QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    {37, 282, 828, 2, Smoke::mf_static, 270, 94},	//616 QGlobalSpace::operator-(const QTransform&, double)
    {37, 326, 831, 2, Smoke::mf_static, 48, 95},	//617 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    {37, 458, 834, 1, Smoke::mf_static, 499, 96},	//618 QGlobalSpace::qHash(char)
    {37, 273, 633, 2, Smoke::mf_static, 475, 97},	//619 QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    {37, 326, 836, 2, Smoke::mf_static, 112, 98},	//620 QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    {37, 265, 658, 2, Smoke::mf_static, 370, 99},	//621 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {37, 326, 839, 2, Smoke::mf_static, 108, 100},	//622 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {37, 326, 842, 2, Smoke::mf_static, 168, 101},	//623 QGlobalSpace::operator|(QTextOption::Flag, int)
    {37, 293, 845, 2, Smoke::mf_static, 31, 102},	//624 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {37, 326, 848, 2, Smoke::mf_static, 168, 103},	//625 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {37, 326, 851, 2, Smoke::mf_static, 168, 104},	//626 QGlobalSpace::operator|(QFile::Permission, int)
    {37, 326, 854, 2, Smoke::mf_static, 71, 105},	//627 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    {37, 286, 857, 2, Smoke::mf_static, 433, 106},	//628 QGlobalSpace::operator/(const QPoint&, double)
    {37, 425, 860, 8, Smoke::mf_static, 0, 107},	//629 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {37, 425, 869, 6, Smoke::mf_static, 0, 108},	//630 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&)
    {37, 425, 876, 7, Smoke::mf_static, 0, 109},	//631 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 277, 813, 2, Smoke::mf_static, 433, 110},	//632 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {37, 293, 884, 2, Smoke::mf_static, 27, 111},	//633 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {37, 326, 887, 2, Smoke::mf_static, 58, 112},	//634 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {37, 277, 890, 2, Smoke::mf_static, 453, 113},	//635 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {37, 282, 893, 2, Smoke::mf_static, 448, 114},	//636 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {37, 273, 896, 2, Smoke::mf_static, 282, 115},	//637 QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    {37, 448, 899, 2, Smoke::mf_static, 370, 116},	//638 QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    {37, 293, 902, 2, Smoke::mf_static, 31, 117},	//639 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {37, 282, 633, 2, Smoke::mf_static, 475, 118},	//640 QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    {37, 466, 622, 1, Smoke::mf_static, 370, 119},	//641 QGlobalSpace::qIsFinite(double)
    {37, 326, 905, 2, Smoke::mf_static, 64, 120},	//642 QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    {37, 265, 703, 2, Smoke::mf_static, 370, 121},	//643 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {37, 293, 908, 2, Smoke::mf_static, 27, 122},	//644 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {37, 326, 911, 2, Smoke::mf_static, 120, 123},	//645 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {37, 326, 914, 2, Smoke::mf_static, 168, 124},	//646 QGlobalSpace::operator|(QWizard::WizardOption, int)
    {37, 293, 917, 2, Smoke::mf_static, 31, 125},	//647 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {37, 349, 17, 1, Smoke::mf_static, 490, 126},	//648 QGlobalSpace::qAlpha(unsigned int)
    {37, 293, 920, 2, Smoke::mf_static, 31, 127},	//649 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {37, 326, 923, 2, Smoke::mf_static, 59, 128},	//650 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    {37, 288, 926, 2, Smoke::mf_static, 370, 129},	//651 QGlobalSpace::operator<(const char*, const QString&)
    {37, 453, 929, 3, Smoke::mf_static, 490, 130},	//652 QGlobalSpace::qGray(int, int, int)
    {37, 326, 933, 2, Smoke::mf_static, 76, 131},	//653 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    {37, 326, 936, 2, Smoke::mf_static, 68, 132},	//654 QGlobalSpace::operator|(QGLContext::BindOption, QFlags<QGLContext::BindOption>)
    {37, 293, 939, 2, Smoke::mf_static, 27, 133},	//655 QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    {37, 326, 942, 2, Smoke::mf_static, 110, 134},	//656 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {37, 277, 661, 2, Smoke::mf_static, 446, 135},	//657 QGlobalSpace::operator+(const QSize&, const QSize&)
    {37, 326, 945, 2, Smoke::mf_static, 126, 136},	//658 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {37, 326, 948, 2, Smoke::mf_static, 117, 137},	//659 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {37, 576, 15, 1, Smoke::mf_static, 236, 138},	//660 QGlobalSpace::qt_error_string(int)
    {37, 576, 0, 0, Smoke::mf_static, 236, 139},	//661 QGlobalSpace::qt_error_string()
    {37, 277, 893, 2, Smoke::mf_static, 448, 140},	//662 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {37, 286, 762, 2, Smoke::mf_static, 187, 141},	//663 QGlobalSpace::operator/(const QMatrix4x4&, double)
    {37, 326, 951, 2, Smoke::mf_static, 168, 142},	//664 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    {37, 326, 954, 2, Smoke::mf_static, 48, 143},	//665 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    {37, 326, 957, 2, Smoke::mf_static, 168, 144},	//666 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {37, 282, 899, 2, Smoke::mf_static, 478, 145},	//667 QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    {37, 288, 960, 2, Smoke::mf_static, 370, 146},	//668 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {37, 524, 963, 2, Smoke::mf_static, 16, 147},	//669 QGlobalSpace::qUncompress(const unsigned char*, int)
    {37, 559, 966, 3, Smoke::mf_static, 490, 148},	//670 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {37, 522, 622, 1, Smoke::mf_static, 488, 149},	//671 QGlobalSpace::qTan(double)
    {37, 310, 643, 2, Smoke::mf_static, 370, 150},	//672 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {37, 265, 970, 2, Smoke::mf_static, 370, 151},	//673 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {37, 508, 15, 1, Smoke::mf_static, 267, 152},	//674 QGlobalSpace::qSetFieldWidth(int)
    {37, 304, 973, 2, Smoke::mf_static, 370, 153},	//675 QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    {37, 326, 976, 2, Smoke::mf_static, 97, 154},	//676 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    {37, 320, 979, 2, Smoke::mf_static, 264, 155},	//677 QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    {37, 458, 982, 1, Smoke::mf_static, 499, 156},	//678 QGlobalSpace::qHash(const QItemSelectionRange&)
    {37, 493, 17, 1, Smoke::mf_static, 490, 157},	//679 QGlobalSpace::qRed(unsigned int)
    {37, 326, 984, 2, Smoke::mf_static, 115, 158},	//680 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {37, 273, 828, 2, Smoke::mf_static, 270, 159},	//681 QGlobalSpace::operator*(const QTransform&, double)
    {37, 442, 622, 1, Smoke::mf_static, 490, 160},	//682 QGlobalSpace::qFloor(double)
    {37, 326, 987, 2, Smoke::mf_static, 90, 161},	//683 QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    {37, 293, 990, 2, Smoke::mf_static, 31, 162},	//684 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {37, 320, 993, 2, Smoke::mf_static, 27, 163},	//685 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {37, 466, 706, 1, Smoke::mf_static, 370, 164},	//686 QGlobalSpace::qIsFinite(float)
    {37, 277, 996, 2, Smoke::mf_static, 453, 165},	//687 QGlobalSpace::operator+(const QString&, QChar)
    {37, 265, 999, 2, Smoke::mf_static, 370, 166},	//688 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {37, 273, 899, 2, Smoke::mf_static, 478, 167},	//689 QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    {37, 326, 1002, 2, Smoke::mf_static, 51, 168},	//690 QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    {37, 326, 1005, 2, Smoke::mf_static, 168, 169},	//691 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, int)
    {37, 529, 1008, 3, Smoke::mf_static, 0, 170},	//692 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {37, 277, 703, 2, Smoke::mf_static, 376, 171},	//693 QGlobalSpace::operator+(const QByteArray&, const char*)
    {37, 343, 0, 0, Smoke::mf_static, 8, 172},	//694 QGlobalSpace::qAccessibleTextCastHelper()
    {37, 326, 1012, 2, Smoke::mf_static, 96, 173},	//695 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    {37, 326, 1015, 2, Smoke::mf_static, 102, 174},	//696 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {37, 277, 685, 2, Smoke::mf_static, 453, 175},	//697 QGlobalSpace::operator+(const QString&, const char*)
    {37, 310, 960, 2, Smoke::mf_static, 370, 176},	//698 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {37, 326, 1018, 2, Smoke::mf_static, 123, 177},	//699 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {37, 491, 1021, 4, Smoke::mf_static, 506, 178},	//700 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {37, 320, 1026, 2, Smoke::mf_static, 27, 179},	//701 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {37, 293, 1029, 2, Smoke::mf_static, 27, 180},	//702 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {37, 277, 1032, 2, Smoke::mf_static, 453, 181},	//703 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {37, 458, 17, 1, Smoke::mf_static, 499, 182},	//704 QGlobalSpace::qHash(unsigned int)
    {37, 448, 804, 2, Smoke::mf_static, 370, 183},	//705 QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    {37, 326, 1035, 2, Smoke::mf_static, 125, 184},	//706 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {37, 458, 719, 1, Smoke::mf_static, 499, 185},	//707 QGlobalSpace::qHash(QChar)
    {37, 326, 1038, 2, Smoke::mf_static, 104, 186},	//708 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    {37, 297, 703, 2, Smoke::mf_static, 370, 187},	//709 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {37, 464, 706, 1, Smoke::mf_static, 490, 188},	//710 QGlobalSpace::qIntCast(float)
    {37, 304, 1041, 2, Smoke::mf_static, 370, 189},	//711 QGlobalSpace::operator==(const QRect&, const QRect&)
    {37, 326, 1044, 2, Smoke::mf_static, 62, 190},	//712 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {37, 324, 1047, 2, Smoke::mf_static, 12, 191},	//713 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {37, 310, 1050, 2, Smoke::mf_static, 370, 192},	//714 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {37, 326, 1053, 2, Smoke::mf_static, 87, 193},	//715 QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    {37, 489, 1056, 2, Smoke::mf_static, 506, 194},	//716 QGlobalSpace::qRealloc(void*, size_t)
    {37, 458, 52, 1, Smoke::mf_static, 499, 195},	//717 QGlobalSpace::qHash(const QString&)
    {37, 297, 960, 2, Smoke::mf_static, 370, 196},	//718 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {37, 277, 899, 2, Smoke::mf_static, 478, 197},	//719 QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    {37, 293, 1059, 2, Smoke::mf_static, 27, 198},	//720 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {37, 293, 1062, 2, Smoke::mf_static, 27, 199},	//721 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {37, 293, 1065, 2, Smoke::mf_static, 31, 200},	//722 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {37, 505, 622, 1, Smoke::mf_static, 493, 201},	//723 QGlobalSpace::qRound64(double)
    {37, 462, 1068, 1, Smoke::mf_static, 505, 202},	//724 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {37, 517, 622, 1, Smoke::mf_static, 488, 203},	//725 QGlobalSpace::qSqrt(double)
    {37, 326, 1070, 2, Smoke::mf_static, 168, 204},	//726 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    {37, 458, 1073, 1, Smoke::mf_static, 499, 205},	//727 QGlobalSpace::qHash(const QModelIndex&)
    {37, 326, 1075, 2, Smoke::mf_static, 54, 206},	//728 QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    {37, 436, 622, 1, Smoke::mf_static, 488, 207},	//729 QGlobalSpace::qFastCos(double)
    {37, 326, 1078, 2, Smoke::mf_static, 101, 208},	//730 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    {37, 320, 1081, 2, Smoke::mf_static, 27, 209},	//731 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {37, 293, 1084, 2, Smoke::mf_static, 31, 210},	//732 QGlobalSpace::operator<<(QDebug, const QEvent*)
    {37, 304, 1087, 2, Smoke::mf_static, 370, 211},	//733 QGlobalSpace::operator==(QBool, QBool)
    {37, 326, 1090, 2, Smoke::mf_static, 73, 212},	//734 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    {37, 304, 1093, 2, Smoke::mf_static, 370, 213},	//735 QGlobalSpace::operator==(const char*, const QStringRef&)
    {37, 326, 1096, 2, Smoke::mf_static, 168, 214},	//736 QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    {37, 326, 1099, 2, Smoke::mf_static, 168, 215},	//737 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {37, 265, 926, 2, Smoke::mf_static, 370, 216},	//738 QGlobalSpace::operator!=(const char*, const QString&)
    {37, 472, 706, 1, Smoke::mf_static, 370, 217},	//739 QGlobalSpace::qIsNaN(float)
    {37, 326, 1102, 2, Smoke::mf_static, 168, 218},	//740 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    {37, 326, 1105, 2, Smoke::mf_static, 79, 219},	//741 QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    {37, 326, 1108, 2, Smoke::mf_static, 67, 220},	//742 QGlobalSpace::operator|(QGL::FormatOption, QFlags<QGL::FormatOption>)
    {37, 297, 1050, 2, Smoke::mf_static, 370, 221},	//743 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {37, 320, 1111, 2, Smoke::mf_static, 27, 222},	//744 QGlobalSpace::operator>>(QDataStream&, QPen&)
    {37, 440, 183, 1, Smoke::mf_static, 481, 223},	//745 QGlobalSpace::qFlagLocation(const char*)
    {37, 277, 828, 2, Smoke::mf_static, 270, 224},	//746 QGlobalSpace::operator+(const QTransform&, double)
    {37, 273, 1114, 2, Smoke::mf_static, 176, 225},	//747 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {37, 293, 1117, 2, Smoke::mf_static, 31, 226},	//748 QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    {37, 326, 1120, 2, Smoke::mf_static, 168, 227},	//749 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {37, 472, 622, 1, Smoke::mf_static, 370, 228},	//750 QGlobalSpace::qIsNaN(double)
    {37, 453, 17, 1, Smoke::mf_static, 490, 229},	//751 QGlobalSpace::qGray(unsigned int)
    {37, 277, 1123, 2, Smoke::mf_static, 453, 230},	//752 QGlobalSpace::operator+(QChar, const QString&)
    {37, 326, 1126, 2, Smoke::mf_static, 98, 231},	//753 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    {37, 326, 1129, 2, Smoke::mf_static, 168, 232},	//754 QGlobalSpace::operator|(QString::SectionFlag, int)
    {37, 326, 1132, 2, Smoke::mf_static, 168, 233},	//755 QGlobalSpace::operator|(QGLContext::BindOption, int)
    {37, 326, 1135, 2, Smoke::mf_static, 72, 234},	//756 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    {37, 326, 1138, 2, Smoke::mf_static, 168, 235},	//757 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {37, 293, 1141, 2, Smoke::mf_static, 31, 236},	//758 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    {37, 320, 1144, 2, Smoke::mf_static, 27, 237},	//759 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {37, 570, 188, 3, Smoke::mf_static, 0, 238},	//760 QGlobalSpace::qt_assert(const char*, const char*, int)
    {37, 458, 1147, 1, Smoke::mf_static, 499, 239},	//761 QGlobalSpace::qHash(long long)
    {37, 282, 1149, 1, Smoke::mf_static, 439, 240},	//762 QGlobalSpace::operator-(const QQuaternion&)
    {37, 265, 1151, 2, Smoke::mf_static, 370, 241},	//763 QGlobalSpace::operator!=(const QString&, QString::Null)
    {37, 326, 1154, 2, Smoke::mf_static, 66, 242},	//764 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    {37, 448, 1157, 2, Smoke::mf_static, 370, 243},	//765 QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    {37, 326, 1160, 2, Smoke::mf_static, 168, 244},	//766 QGlobalSpace::operator|(QMainWindow::DockOption, int)
    {37, 320, 1163, 2, Smoke::mf_static, 27, 245},	//767 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {37, 326, 1166, 2, Smoke::mf_static, 168, 246},	//768 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {37, 499, 929, 3, Smoke::mf_static, 499, 247},	//769 QGlobalSpace::qRgb(int, int, int)
    {37, 326, 1169, 2, Smoke::mf_static, 102, 248},	//770 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {37, 277, 1172, 2, Smoke::mf_static, 453, 249},	//771 QGlobalSpace::operator+(const QString&, char)
    {37, 265, 742, 2, Smoke::mf_static, 370, 250},	//772 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {37, 273, 1175, 2, Smoke::mf_static, 206, 251},	//773 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {37, 282, 691, 2, Smoke::mf_static, 435, 252},	//774 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {37, 304, 999, 2, Smoke::mf_static, 370, 253},	//775 QGlobalSpace::operator==(QString::Null, QString::Null)
    {37, 326, 1178, 2, Smoke::mf_static, 118, 254},	//776 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {37, 326, 1181, 2, Smoke::mf_static, 168, 255},	//777 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, int)
    {37, 326, 1184, 2, Smoke::mf_static, 84, 256},	//778 QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    {37, 326, 1187, 2, Smoke::mf_static, 112, 257},	//779 QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    {37, 320, 1190, 2, Smoke::mf_static, 27, 258},	//780 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {37, 288, 1050, 2, Smoke::mf_static, 370, 259},	//781 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {37, 342, 0, 0, Smoke::mf_static, 8, 260},	//782 QGlobalSpace::qAccessibleTableCastHelper()
    {37, 326, 1193, 2, Smoke::mf_static, 128, 261},	//783 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {37, 382, 1196, 8, Smoke::mf_static, 0, 262},	//784 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int, const QBrush*)
    {37, 382, 1205, 6, Smoke::mf_static, 0, 263},	//785 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&)
    {37, 382, 1212, 7, Smoke::mf_static, 0, 264},	//786 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int)
    {37, 451, 706, 1, Smoke::mf_static, 370, 265},	//787 QGlobalSpace::qFuzzyIsNull(float)
    {37, 273, 1220, 2, Smoke::mf_static, 439, 266},	//788 QGlobalSpace::operator*(const QQuaternion&, double)
    {37, 326, 1223, 2, Smoke::mf_static, 122, 267},	//789 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {37, 551, 1226, 2, Smoke::mf_static, 372, 268},	//790 QGlobalSpace::qstrcpy(char*, const char*)
    {37, 458, 15, 1, Smoke::mf_static, 499, 269},	//791 QGlobalSpace::qHash(int)
    {37, 277, 691, 2, Smoke::mf_static, 435, 270},	//792 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {37, 273, 1229, 2, Smoke::mf_static, 225, 271},	//793 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {37, 326, 1232, 2, Smoke::mf_static, 113, 272},	//794 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {37, 304, 893, 2, Smoke::mf_static, 370, 273},	//795 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {37, 282, 1235, 1, Smoke::mf_static, 433, 274},	//796 QGlobalSpace::operator-(const QPoint&)
    {37, 326, 1237, 2, Smoke::mf_static, 168, 275},	//797 QGlobalSpace::operator|(Qt::DropAction, int)
    {37, 293, 1240, 2, Smoke::mf_static, 27, 276},	//798 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {37, 326, 1243, 2, Smoke::mf_static, 168, 277},	//799 QGlobalSpace::operator|(QDir::SortFlag, int)
    {37, 432, 622, 1, Smoke::mf_static, 488, 278},	//800 QGlobalSpace::qExp(double)
    {37, 512, 15, 1, Smoke::mf_static, 267, 279},	//801 QGlobalSpace::qSetRealNumberPrecision(int)
    {37, 304, 1246, 2, Smoke::mf_static, 370, 280},	//802 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {37, 476, 622, 1, Smoke::mf_static, 488, 281},	//803 QGlobalSpace::qLn(double)
    {37, 277, 636, 2, Smoke::mf_static, 472, 282},	//804 QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    {37, 407, 1249, 7, Smoke::mf_static, 0, 283},	//805 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*)
    {37, 407, 1257, 3, Smoke::mf_static, 0, 284},	//806 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&)
    {37, 407, 1261, 4, Smoke::mf_static, 0, 285},	//807 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool)
    {37, 407, 1266, 5, Smoke::mf_static, 0, 286},	//808 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int)
    {37, 407, 1272, 6, Smoke::mf_static, 0, 287},	//809 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int)
    {37, 293, 1279, 2, Smoke::mf_static, 27, 288},	//810 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {37, 273, 1282, 2, Smoke::mf_static, 284, 289},	//811 QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    {37, 326, 1285, 2, Smoke::mf_static, 168, 290},	//812 QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    {37, 265, 893, 2, Smoke::mf_static, 370, 291},	//813 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {37, 495, 1288, 1, Smoke::mf_static, 0, 292},	//814 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {37, 293, 1290, 2, Smoke::mf_static, 31, 293},	//815 QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    {37, 293, 1293, 2, Smoke::mf_static, 31, 294},	//816 QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    {37, 326, 1296, 2, Smoke::mf_static, 59, 295},	//817 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    {37, 363, 371, 2, Smoke::mf_static, 502, 296},	//818 QGlobalSpace::qChecksum(const char*, unsigned int)
    {37, 374, 1299, 4, Smoke::mf_static, 0, 297},	//819 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&)
    {37, 286, 1304, 2, Smoke::mf_static, 478, 298},	//820 QGlobalSpace::operator/(const QVector4D&, double)
    {37, 293, 1307, 2, Smoke::mf_static, 264, 299},	//821 QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    {37, 326, 1310, 2, Smoke::mf_static, 121, 300},	//822 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {37, 478, 1313, 1, Smoke::mf_static, 506, 301},	//823 QGlobalSpace::qMalloc(size_t)
    {37, 488, 0, 0, Smoke::mf_static, 488, 302},	//824 QGlobalSpace::qQNaN()
    {37, 326, 1315, 2, Smoke::mf_static, 114, 303},	//825 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {37, 320, 1318, 2, Smoke::mf_static, 27, 304},	//826 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {37, 539, 670, 2, Smoke::mf_static, 370, 305},	//827 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {37, 326, 1321, 2, Smoke::mf_static, 99, 306},	//828 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    {37, 326, 1324, 2, Smoke::mf_static, 81, 307},	//829 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    {37, 293, 1327, 2, Smoke::mf_static, 27, 308},	//830 QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    {37, 293, 1330, 2, Smoke::mf_static, 31, 309},	//831 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {37, 326, 1333, 2, Smoke::mf_static, 168, 310},	//832 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {37, 359, 17, 1, Smoke::mf_static, 490, 311},	//833 QGlobalSpace::qBlue(unsigned int)
    {37, 326, 1336, 2, Smoke::mf_static, 106, 312},	//834 QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    {37, 273, 636, 2, Smoke::mf_static, 472, 313},	//835 QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    {37, 293, 1339, 2, Smoke::mf_static, 27, 314},	//836 QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    {37, 293, 1342, 2, Smoke::mf_static, 27, 315},	//837 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {37, 418, 1345, 5, Smoke::mf_static, 0, 316},	//838 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {37, 418, 1257, 3, Smoke::mf_static, 0, 317},	//839 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&)
    {37, 418, 1261, 4, Smoke::mf_static, 0, 318},	//840 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool)
    {37, 544, 17, 1, Smoke::mf_static, 0, 319},	//841 QGlobalSpace::qsrand(unsigned int)
    {37, 265, 804, 2, Smoke::mf_static, 370, 320},	//842 QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    {37, 326, 1351, 2, Smoke::mf_static, 168, 321},	//843 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    {37, 458, 1354, 1, Smoke::mf_static, 499, 322},	//844 QGlobalSpace::qHash(long)
    {37, 293, 1356, 2, Smoke::mf_static, 27, 323},	//845 QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    {37, 310, 617, 2, Smoke::mf_static, 370, 324},	//846 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {37, 458, 1359, 1, Smoke::mf_static, 499, 325},	//847 QGlobalSpace::qHash(unsigned short)
    {37, 326, 1361, 2, Smoke::mf_static, 105, 326},	//848 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    {37, 320, 1364, 2, Smoke::mf_static, 27, 327},	//849 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {37, 265, 691, 2, Smoke::mf_static, 370, 328},	//850 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {37, 326, 1367, 2, Smoke::mf_static, 88, 329},	//851 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    {37, 293, 1370, 2, Smoke::mf_static, 27, 330},	//852 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {37, 326, 1373, 2, Smoke::mf_static, 63, 331},	//853 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {37, 326, 1376, 2, Smoke::mf_static, 80, 332},	//854 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    {37, 282, 636, 2, Smoke::mf_static, 472, 333},	//855 QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    {37, 398, 1379, 6, Smoke::mf_static, 0, 334},	//856 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*)
    {37, 398, 1257, 3, Smoke::mf_static, 0, 335},	//857 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&)
    {37, 398, 1261, 4, Smoke::mf_static, 0, 336},	//858 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool)
    {37, 398, 1266, 5, Smoke::mf_static, 0, 337},	//859 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int)
    {37, 563, 966, 3, Smoke::mf_static, 490, 338},	//860 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {37, 277, 1386, 2, Smoke::mf_static, 453, 339},	//861 QGlobalSpace::operator+(char, const QString&)
    {37, 320, 1389, 2, Smoke::mf_static, 27, 340},	//862 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {37, 304, 780, 2, Smoke::mf_static, 370, 341},	//863 QGlobalSpace::operator==(QString::Null, const QString&)
    {37, 320, 1392, 2, Smoke::mf_static, 27, 342},	//864 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {37, 304, 970, 2, Smoke::mf_static, 370, 343},	//865 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {37, 326, 1395, 2, Smoke::mf_static, 98, 344},	//866 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    {37, 326, 1398, 2, Smoke::mf_static, 168, 345},	//867 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    {37, 277, 1050, 2, Smoke::mf_static, 376, 346},	//868 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {37, 326, 1401, 2, Smoke::mf_static, 105, 347},	//869 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    {37, 458, 1404, 1, Smoke::mf_static, 499, 348},	//870 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {37, 310, 926, 2, Smoke::mf_static, 370, 349},	//871 QGlobalSpace::operator>(const char*, const QString&)
    {37, 293, 1406, 2, Smoke::mf_static, 31, 350},	//872 QGlobalSpace::operator<<(QDebug, const QRegion&)
    {37, 293, 1409, 2, Smoke::mf_static, 27, 351},	//873 QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    {37, 293, 1412, 2, Smoke::mf_static, 27, 352},	//874 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {37, 293, 1415, 2, Smoke::mf_static, 27, 353},	//875 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {37, 293, 1418, 2, Smoke::mf_static, 27, 354},	//876 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {37, 320, 1421, 2, Smoke::mf_static, 27, 355},	//877 QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    {37, 326, 1424, 2, Smoke::mf_static, 70, 356},	//878 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>)
    {37, 585, 1427, 3, Smoke::mf_static, 195, 357},	//879 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {37, 398, 1431, 9, Smoke::mf_static, 0, 358},	//880 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*)
    {37, 398, 869, 6, Smoke::mf_static, 0, 359},	//881 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&)
    {37, 398, 876, 7, Smoke::mf_static, 0, 360},	//882 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 398, 1441, 8, Smoke::mf_static, 0, 361},	//883 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {37, 326, 1450, 2, Smoke::mf_static, 92, 362},	//884 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {37, 320, 1453, 2, Smoke::mf_static, 27, 363},	//885 QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    {37, 326, 1456, 2, Smoke::mf_static, 168, 364},	//886 QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    {37, 286, 1459, 2, Smoke::mf_static, 472, 365},	//887 QGlobalSpace::operator/(const QVector2D&, double)
    {37, 326, 1462, 2, Smoke::mf_static, 96, 366},	//888 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    {37, 286, 1465, 2, Smoke::mf_static, 435, 367},	//889 QGlobalSpace::operator/(const QPointF&, double)
    {37, 265, 1468, 2, Smoke::mf_static, 370, 368},	//890 QGlobalSpace::operator!=(bool, QBool)
    {37, 304, 960, 2, Smoke::mf_static, 370, 369},	//891 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {37, 326, 1471, 2, Smoke::mf_static, 77, 370},	//892 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    {37, 286, 1474, 2, Smoke::mf_static, 475, 371},	//893 QGlobalSpace::operator/(const QVector3D&, double)
    {37, 326, 1477, 2, Smoke::mf_static, 80, 372},	//894 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    {37, 326, 1480, 2, Smoke::mf_static, 81, 373},	//895 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    {37, 561, 1483, 3, Smoke::mf_static, 372, 374},	//896 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {37, 273, 1487, 2, Smoke::mf_static, 472, 375},	//897 QGlobalSpace::operator*(double, const QVector2D&)
    {37, 282, 1490, 1, Smoke::mf_static, 478, 376},	//898 QGlobalSpace::operator-(const QVector4D&)
    {37, 326, 1492, 2, Smoke::mf_static, 109, 377},	//899 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    {37, 320, 1495, 2, Smoke::mf_static, 27, 378},	//900 QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    {37, 524, 203, 1, Smoke::mf_static, 16, 379},	//901 QGlobalSpace::qUncompress(const QByteArray&)
    {37, 326, 1498, 2, Smoke::mf_static, 99, 380},	//902 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    {37, 286, 828, 2, Smoke::mf_static, 270, 381},	//903 QGlobalSpace::operator/(const QTransform&, double)
    {37, 326, 1501, 2, Smoke::mf_static, 168, 382},	//904 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    {37, 448, 627, 2, Smoke::mf_static, 370, 383},	//905 QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    {37, 326, 1504, 2, Smoke::mf_static, 168, 384},	//906 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    {37, 293, 1507, 2, Smoke::mf_static, 27, 385},	//907 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {37, 320, 1510, 2, Smoke::mf_static, 27, 386},	//908 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {37, 339, 0, 0, Smoke::mf_static, 8, 387},	//909 QGlobalSpace::qAccessibleActionCastHelper()
    {37, 273, 1513, 2, Smoke::mf_static, 215, 388},	//910 QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    {37, 326, 1516, 2, Smoke::mf_static, 168, 389},	//911 QGlobalSpace::operator|(Qt::MouseButton, int)
    {37, 320, 1519, 2, Smoke::mf_static, 27, 390},	//912 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {37, 282, 1522, 1, Smoke::mf_static, 435, 391},	//913 QGlobalSpace::operator-(const QPointF&)
    {37, 293, 1524, 2, Smoke::mf_static, 31, 392},	//914 QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    {37, 326, 1527, 2, Smoke::mf_static, 49, 393},	//915 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    {37, 304, 1468, 2, Smoke::mf_static, 370, 394},	//916 QGlobalSpace::operator==(bool, QBool)
    {37, 320, 1530, 2, Smoke::mf_static, 27, 395},	//917 QGlobalSpace::operator>>(QDataStream&, QPicture&)
    {37, 326, 1533, 2, Smoke::mf_static, 168, 396},	//918 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    {37, 541, 0, 0, Smoke::mf_static, 490, 397},	//919 QGlobalSpace::qrand()
    {37, 326, 1536, 2, Smoke::mf_static, 168, 398},	//920 QGlobalSpace::operator|(QGL::FormatOption, int)
    {37, 293, 1539, 2, Smoke::mf_static, 31, 399},	//921 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {37, 273, 1542, 2, Smoke::mf_static, 219, 400},	//922 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {37, 320, 1545, 2, Smoke::mf_static, 27, 401},	//923 QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    {37, 326, 1548, 2, Smoke::mf_static, 53, 402},	//924 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    {37, 572, 1551, 4, Smoke::mf_static, 0, 403},	//925 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {37, 271, 1047, 2, Smoke::mf_static, 12, 404},	//926 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {37, 315, 670, 2, Smoke::mf_static, 370, 405},	//927 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {37, 326, 1556, 2, Smoke::mf_static, 64, 406},	//928 QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    {37, 326, 1559, 2, Smoke::mf_static, 107, 407},	//929 QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    {37, 326, 1562, 2, Smoke::mf_static, 123, 408},	//930 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {37, 293, 1565, 2, Smoke::mf_static, 27, 409},	//931 QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    {37, 448, 1568, 2, Smoke::mf_static, 370, 410},	//932 QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    {37, 326, 1571, 2, Smoke::mf_static, 168, 411},	//933 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {37, 265, 1574, 2, Smoke::mf_static, 370, 412},	//934 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {37, 542, 1577, 4, Smoke::mf_static, 0, 413},	//935 QGlobalSpace::qsort(void*, size_t, size_t, __compar_fn_t)
    {37, 501, 1582, 4, Smoke::mf_static, 499, 414},	//936 QGlobalSpace::qRgba(int, int, int, int)
    {37, 372, 0, 0, Smoke::mf_static, 31, 415},	//937 QGlobalSpace::qCritical()
    {37, 273, 1304, 2, Smoke::mf_static, 478, 416},	//938 QGlobalSpace::operator*(const QVector4D&, double)
    {37, 320, 1587, 2, Smoke::mf_static, 27, 417},	//939 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {37, 293, 1590, 2, Smoke::mf_static, 31, 418},	//940 QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    {37, 293, 1593, 2, Smoke::mf_static, 27, 419},	//941 QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    {37, 326, 1596, 2, Smoke::mf_static, 117, 420},	//942 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {37, 265, 670, 2, Smoke::mf_static, 370, 421},	//943 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {37, 265, 813, 2, Smoke::mf_static, 370, 422},	//944 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {37, 288, 643, 2, Smoke::mf_static, 370, 423},	//945 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {37, 273, 1599, 2, Smoke::mf_static, 478, 424},	//946 QGlobalSpace::operator*(double, const QVector4D&)
    {37, 326, 1602, 2, Smoke::mf_static, 168, 425},	//947 QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    {37, 326, 1605, 2, Smoke::mf_static, 86, 426},	//948 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    {37, 379, 1608, 5, Smoke::mf_static, 0, 427},	//949 QGlobalSpace::qDrawPixmaps(QPainter*, const QDrawPixmaps::Data*, int, const QPixmap&, QFlags<QDrawPixmaps::DrawingHint>)
    {37, 379, 1614, 4, Smoke::mf_static, 0, 428},	//950 QGlobalSpace::qDrawPixmaps(QPainter*, const QDrawPixmaps::Data*, int, const QPixmap&)
    {37, 304, 1574, 2, Smoke::mf_static, 370, 429},	//951 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {37, 293, 1619, 2, Smoke::mf_static, 27, 430},	//952 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {37, 293, 1622, 2, Smoke::mf_static, 31, 431},	//953 QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    {37, 277, 1625, 2, Smoke::mf_static, 376, 432},	//954 QGlobalSpace::operator+(const QByteArray&, char)
    {37, 326, 1628, 2, Smoke::mf_static, 58, 433},	//955 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {37, 326, 1631, 2, Smoke::mf_static, 56, 434},	//956 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {37, 320, 1634, 2, Smoke::mf_static, 27, 435},	//957 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {37, 286, 1637, 2, Smoke::mf_static, 448, 436},	//958 QGlobalSpace::operator/(const QSizeF&, double)
    {37, 315, 960, 2, Smoke::mf_static, 370, 437},	//959 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {37, 304, 899, 2, Smoke::mf_static, 370, 438},	//960 QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    {37, 293, 1640, 2, Smoke::mf_static, 27, 439},	//961 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {37, 326, 1643, 2, Smoke::mf_static, 168, 440},	//962 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    {37, 304, 813, 2, Smoke::mf_static, 370, 441},	//963 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {37, 347, 1646, 1, Smoke::mf_static, 0, 442},	//964 QGlobalSpace::qAddPostRoutine(void(*)())
    {37, 365, 1648, 3, Smoke::mf_static, 16, 443},	//965 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {37, 365, 963, 2, Smoke::mf_static, 16, 444},	//966 QGlobalSpace::qCompress(const unsigned char*, int)
    {37, 326, 1652, 2, Smoke::mf_static, 91, 445},	//967 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {37, 297, 670, 2, Smoke::mf_static, 370, 446},	//968 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {37, 438, 622, 1, Smoke::mf_static, 488, 447},	//969 QGlobalSpace::qFastSin(double)
    {37, 297, 617, 2, Smoke::mf_static, 370, 448},	//970 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {37, 293, 1655, 2, Smoke::mf_static, 27, 449},	//971 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {37, 320, 1658, 2, Smoke::mf_static, 27, 450},	//972 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {37, 326, 1661, 2, Smoke::mf_static, 55, 451},	//973 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    {37, 320, 1664, 2, Smoke::mf_static, 27, 452},	//974 QGlobalSpace::operator>>(QDataStream&, QString&)
    {37, 286, 1220, 2, Smoke::mf_static, 439, 453},	//975 QGlobalSpace::operator/(const QQuaternion&, double)
    {37, 351, 0, 0, Smoke::mf_static, 236, 454},	//976 QGlobalSpace::qAppName()
    {37, 527, 0, 0, Smoke::mf_static, 481, 455},	//977 QGlobalSpace::qVersion()
    {37, 326, 1667, 2, Smoke::mf_static, 93, 456},	//978 QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    {37, 293, 1670, 2, Smoke::mf_static, 27, 457},	//979 QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    {37, 326, 1673, 2, Smoke::mf_static, 168, 458},	//980 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    {37, 444, 1676, 1, Smoke::mf_static, 0, 459},	//981 QGlobalSpace::qFree(void*)
    {37, 293, 1678, 2, Smoke::mf_static, 31, 460},	//982 QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {37, 273, 1681, 2, Smoke::mf_static, 178, 461},	//983 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {37, 293, 1684, 2, Smoke::mf_static, 27, 462},	//984 QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    {37, 326, 1687, 2, Smoke::mf_static, 168, 463},	//985 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {37, 446, 1676, 1, Smoke::mf_static, 0, 464},	//986 QGlobalSpace::qFreeAligned(void*)
    {37, 320, 1690, 2, Smoke::mf_static, 27, 465},	//987 QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    {37, 304, 1151, 2, Smoke::mf_static, 370, 466},	//988 QGlobalSpace::operator==(const QString&, QString::Null)
    {37, 293, 1693, 2, Smoke::mf_static, 31, 467},	//989 QGlobalSpace::operator<<(QDebug, const QDir&)
    {37, 293, 1696, 2, Smoke::mf_static, 264, 468},	//990 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {37, 288, 703, 2, Smoke::mf_static, 370, 469},	//991 QGlobalSpace::operator<(const QByteArray&, const char*)
    {37, 293, 1699, 2, Smoke::mf_static, 31, 470},	//992 QGlobalSpace::operator<<(QDebug, const QPen&)
    {37, 273, 1702, 2, Smoke::mf_static, 439, 471},	//993 QGlobalSpace::operator*(double, const QQuaternion&)
    {37, 273, 1459, 2, Smoke::mf_static, 472, 472},	//994 QGlobalSpace::operator*(const QVector2D&, double)
    {37, 265, 1705, 2, Smoke::mf_static, 370, 473},	//995 QGlobalSpace::operator!=(const QGLFormat&, const QGLFormat&)
    {37, 293, 1708, 2, Smoke::mf_static, 31, 474},	//996 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {37, 265, 899, 2, Smoke::mf_static, 370, 475},	//997 QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    {37, 326, 1711, 2, Smoke::mf_static, 74, 476},	//998 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {37, 293, 1714, 2, Smoke::mf_static, 31, 477},	//999 QGlobalSpace::operator<<(QDebug, const QVector3D&)
    {37, 326, 1717, 2, Smoke::mf_static, 106, 478},	//1000 QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    {37, 326, 1720, 2, Smoke::mf_static, 62, 479},	//1001 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {37, 273, 1474, 2, Smoke::mf_static, 475, 480},	//1002 QGlobalSpace::operator*(const QVector3D&, double)
    {37, 458, 1723, 1, Smoke::mf_static, 499, 481},	//1003 QGlobalSpace::qHash(const QBitArray&)
    {37, 293, 1725, 2, Smoke::mf_static, 31, 482},	//1004 QGlobalSpace::operator<<(QDebug, const QVector2D&)
    {37, 326, 1728, 2, Smoke::mf_static, 79, 483},	//1005 QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    {37, 293, 1731, 2, Smoke::mf_static, 31, 484},	//1006 QGlobalSpace::operator<<(QDebug, const QTime&)
    {37, 293, 1734, 2, Smoke::mf_static, 264, 485},	//1007 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {37, 361, 622, 1, Smoke::mf_static, 490, 486},	//1008 QGlobalSpace::qCeil(double)
    {37, 293, 1737, 2, Smoke::mf_static, 31, 487},	//1009 QGlobalSpace::operator<<(QDebug, const QVector4D&)
    {37, 320, 1740, 2, Smoke::mf_static, 27, 488},	//1010 QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    {37, 265, 748, 2, Smoke::mf_static, 370, 489},	//1011 QGlobalSpace::operator!=(QChar, QChar)
    {37, 326, 1743, 2, Smoke::mf_static, 116, 490},	//1012 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {37, 519, 1746, 2, Smoke::mf_static, 370, 491},	//1013 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {37, 553, 183, 1, Smoke::mf_static, 372, 492},	//1014 QGlobalSpace::qstrdup(const char*)
    {37, 326, 1749, 2, Smoke::mf_static, 168, 493},	//1015 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    {37, 326, 1752, 2, Smoke::mf_static, 91, 494},	//1016 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {37, 341, 0, 0, Smoke::mf_static, 8, 495},	//1017 QGlobalSpace::qAccessibleImageCastHelper()
    {37, 326, 1755, 2, Smoke::mf_static, 111, 496},	//1018 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {37, 320, 1758, 2, Smoke::mf_static, 27, 497},	//1019 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {37, 320, 1761, 2, Smoke::mf_static, 27, 498},	//1020 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {37, 297, 926, 2, Smoke::mf_static, 370, 499},	//1021 QGlobalSpace::operator<=(const char*, const QString&)
    {37, 265, 1093, 2, Smoke::mf_static, 370, 500},	//1022 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {37, 320, 1764, 2, Smoke::mf_static, 27, 501},	//1023 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {37, 326, 1767, 2, Smoke::mf_static, 50, 502},	//1024 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    {37, 293, 1770, 2, Smoke::mf_static, 27, 503},	//1025 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {37, 326, 1773, 2, Smoke::mf_static, 100, 504},	//1026 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    {37, 326, 1776, 2, Smoke::mf_static, 168, 505},	//1027 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    {37, 373, 0, 0, Smoke::mf_static, 31, 506},	//1028 QGlobalSpace::qDebug()
    {37, 480, 1779, 2, Smoke::mf_static, 506, 507},	//1029 QGlobalSpace::qMallocAligned(size_t, size_t)
    {37, 326, 1782, 2, Smoke::mf_static, 75, 508},	//1030 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    {37, 326, 1785, 2, Smoke::mf_static, 68, 509},	//1031 QGlobalSpace::operator|(QGLContext::BindOption, QGLContext::BindOption)
    {37, 273, 1788, 2, Smoke::mf_static, 213, 510},	//1032 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {37, 265, 1746, 2, Smoke::mf_static, 370, 511},	//1033 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {37, 456, 17, 1, Smoke::mf_static, 490, 512},	//1034 QGlobalSpace::qGreen(unsigned int)
    {37, 486, 697, 2, Smoke::mf_static, 488, 513},	//1035 QGlobalSpace::qPow(double, double)
    {37, 297, 643, 2, Smoke::mf_static, 370, 514},	//1036 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {37, 293, 1791, 2, Smoke::mf_static, 31, 515},	//1037 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {37, 326, 1794, 2, Smoke::mf_static, 168, 516},	//1038 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {37, 320, 1696, 2, Smoke::mf_static, 264, 517},	//1039 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {37, 277, 1797, 2, Smoke::mf_static, 376, 518},	//1040 QGlobalSpace::operator+(char, const QByteArray&)
    {37, 326, 1800, 2, Smoke::mf_static, 168, 519},	//1041 QGlobalSpace::operator|(QStyle::StateFlag, int)
    {37, 304, 670, 2, Smoke::mf_static, 370, 520},	//1042 QGlobalSpace::operator==(const char*, const QByteArray&)
    {37, 293, 1803, 2, Smoke::mf_static, 27, 521},	//1043 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {37, 326, 1806, 2, Smoke::mf_static, 100, 522},	//1044 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    {37, 282, 661, 2, Smoke::mf_static, 446, 523},	//1045 QGlobalSpace::operator-(const QSize&, const QSize&)
    {37, 293, 1809, 2, Smoke::mf_static, 31, 524},	//1046 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {37, 277, 926, 2, Smoke::mf_static, 453, 525},	//1047 QGlobalSpace::operator+(const char*, const QString&)
    {37, 326, 1812, 2, Smoke::mf_static, 52, 526},	//1048 QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    {37, 326, 1815, 2, Smoke::mf_static, 90, 527},	//1049 QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    {37, 326, 1818, 2, Smoke::mf_static, 168, 528},	//1050 QGlobalSpace::operator|(Qt::WindowState, int)
    {37, 320, 1821, 2, Smoke::mf_static, 27, 529},	//1051 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {37, 320, 1824, 2, Smoke::mf_static, 27, 530},	//1052 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {37, 326, 1827, 2, Smoke::mf_static, 54, 531},	//1053 QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    {37, 265, 1246, 2, Smoke::mf_static, 370, 532},	//1054 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {37, 326, 1830, 2, Smoke::mf_static, 107, 533},	//1055 QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    {37, 293, 1833, 2, Smoke::mf_static, 31, 534},	//1056 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {37, 326, 1836, 2, Smoke::mf_static, 120, 535},	//1057 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {37, 273, 1839, 2, Smoke::mf_static, 435, 536},	//1058 QGlobalSpace::operator*(double, const QPointF&)
    {37, 326, 1842, 2, Smoke::mf_static, 115, 537},	//1059 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {37, 273, 1845, 2, Smoke::mf_static, 225, 538},	//1060 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {37, 326, 1848, 2, Smoke::mf_static, 69, 539},	//1061 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>)
    {37, 304, 617, 2, Smoke::mf_static, 370, 540},	//1062 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {37, 273, 1851, 2, Smoke::mf_static, 446, 541},	//1063 QGlobalSpace::operator*(const QSize&, double)
    {37, 293, 1854, 2, Smoke::mf_static, 31, 542},	//1064 QGlobalSpace::operator<<(QDebug, const QDate&)
    {37, 448, 636, 2, Smoke::mf_static, 370, 543},	//1065 QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    {37, 273, 1857, 2, Smoke::mf_static, 206, 544},	//1066 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {37, 326, 1860, 2, Smoke::mf_static, 52, 545},	//1067 QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    {37, 326, 1863, 2, Smoke::mf_static, 56, 546},	//1068 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {37, 591, 1866, 4, Smoke::mf_static, 490, 547},	//1069 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {37, 304, 1705, 2, Smoke::mf_static, 370, 548},	//1070 QGlobalSpace::operator==(const QGLFormat&, const QGLFormat&)
    {37, 273, 1871, 2, Smoke::mf_static, 433, 549},	//1071 QGlobalSpace::operator*(double, const QPoint&)
    {37, 273, 1874, 2, Smoke::mf_static, 219, 550},	//1072 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {37, 484, 1877, 3, Smoke::mf_static, 506, 551},	//1073 QGlobalSpace::qMemSet(void*, int, size_t)
    {37, 293, 1881, 2, Smoke::mf_static, 27, 552},	//1074 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {37, 574, 226, 2, Smoke::mf_static, 0, 553},	//1075 QGlobalSpace::qt_check_pointer(const char*, int)
    {37, 425, 1345, 5, Smoke::mf_static, 0, 554},	//1076 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {37, 425, 1257, 3, Smoke::mf_static, 0, 555},	//1077 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&)
    {37, 425, 1261, 4, Smoke::mf_static, 0, 556},	//1078 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool)
    {37, 458, 1884, 1, Smoke::mf_static, 499, 557},	//1079 QGlobalSpace::qHash(short)
    {37, 326, 1886, 2, Smoke::mf_static, 86, 558},	//1080 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    {37, 326, 1889, 2, Smoke::mf_static, 78, 559},	//1081 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {37, 434, 622, 1, Smoke::mf_static, 488, 560},	//1082 QGlobalSpace::qFabs(double)
    {37, 326, 1892, 2, Smoke::mf_static, 114, 561},	//1083 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {37, 326, 1895, 2, Smoke::mf_static, 57, 562},	//1084 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {37, 546, 1050, 2, Smoke::mf_static, 490, 563},	//1085 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {37, 448, 1898, 2, Smoke::mf_static, 370, 564},	//1086 QGlobalSpace::qFuzzyCompare(float, float)
    {37, 304, 1901, 2, Smoke::mf_static, 370, 565},	//1087 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {37, 326, 1904, 2, Smoke::mf_static, 168, 566},	//1088 QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    {37, 326, 1907, 2, Smoke::mf_static, 82, 567},	//1089 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {37, 531, 1910, 3, Smoke::mf_static, 372, 568},	//1090 QGlobalSpace::qgcvt(long double, int, char*)
    {37, 326, 1914, 2, Smoke::mf_static, 109, 569},	//1091 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    {37, 326, 1917, 2, Smoke::mf_static, 97, 570},	//1092 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    {37, 326, 1920, 2, Smoke::mf_static, 77, 571},	//1093 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    {37, 345, 622, 1, Smoke::mf_static, 488, 572},	//1094 QGlobalSpace::qAcos(double)
    {37, 326, 1923, 2, Smoke::mf_static, 168, 573},	//1095 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {37, 326, 1926, 2, Smoke::mf_static, 118, 574},	//1096 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {37, 326, 1929, 2, Smoke::mf_static, 168, 575},	//1097 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    {37, 293, 1932, 2, Smoke::mf_static, 27, 576},	//1098 QGlobalSpace::operator<<(QDataStream&, const QPen&)
    {37, 315, 1050, 2, Smoke::mf_static, 370, 577},	//1099 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {37, 326, 1935, 2, Smoke::mf_static, 89, 578},	//1100 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    {37, 320, 1938, 2, Smoke::mf_static, 27, 579},	//1101 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {37, 358, 0, 0, Smoke::mf_static, 0, 580},	//1102 QGlobalSpace::qBadAlloc()
    {37, 293, 1941, 2, Smoke::mf_static, 31, 581},	//1103 QGlobalSpace::operator<<(QDebug, const QLine&)
    {37, 326, 1944, 2, Smoke::mf_static, 124, 582},	//1104 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {37, 407, 1947, 10, Smoke::mf_static, 0, 583},	//1105 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*)
    {37, 407, 869, 6, Smoke::mf_static, 0, 584},	//1106 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&)
    {37, 407, 876, 7, Smoke::mf_static, 0, 585},	//1107 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 407, 1441, 8, Smoke::mf_static, 0, 586},	//1108 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {37, 407, 1958, 9, Smoke::mf_static, 0, 587},	//1109 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {37, 326, 1968, 2, Smoke::mf_static, 168, 588},	//1110 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {37, 320, 1971, 2, Smoke::mf_static, 27, 589},	//1111 QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    {37, 293, 1974, 2, Smoke::mf_static, 31, 590},	//1112 QGlobalSpace::operator<<(QDebug, const QTransform&)
    {37, 326, 1977, 2, Smoke::mf_static, 168, 591},	//1113 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    {37, 451, 622, 1, Smoke::mf_static, 370, 592},	//1114 QGlobalSpace::qFuzzyIsNull(double)
    {37, 365, 229, 2, Smoke::mf_static, 16, 593},	//1115 QGlobalSpace::qCompress(const QByteArray&, int)
    {37, 365, 203, 1, Smoke::mf_static, 16, 594},	//1116 QGlobalSpace::qCompress(const QByteArray&)
    {37, 293, 1980, 2, Smoke::mf_static, 31, 595},	//1117 QGlobalSpace::operator<<(QDebug, const QPolygon&)
    {37, 326, 1983, 2, Smoke::mf_static, 110, 596},	//1118 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {37, 326, 1986, 2, Smoke::mf_static, 168, 597},	//1119 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    {37, 326, 1989, 2, Smoke::mf_static, 168, 598},	//1120 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {37, 326, 1992, 2, Smoke::mf_static, 75, 599},	//1121 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    {37, 326, 1995, 2, Smoke::mf_static, 168, 600},	//1122 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {37, 326, 1998, 2, Smoke::mf_static, 127, 601},	//1123 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {37, 326, 2001, 2, Smoke::mf_static, 168, 602},	//1124 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    {37, 282, 2004, 1, Smoke::mf_static, 472, 603},	//1125 QGlobalSpace::operator-(const QVector2D&)
    {37, 326, 2006, 2, Smoke::mf_static, 47, 604},	//1126 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {37, 293, 2009, 2, Smoke::mf_static, 27, 605},	//1127 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {37, 273, 2012, 2, Smoke::mf_static, 187, 606},	//1128 QGlobalSpace::operator*(double, const QMatrix4x4&)
    {37, 293, 2015, 2, Smoke::mf_static, 27, 607},	//1129 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {37, 389, 1958, 9, Smoke::mf_static, 0, 608},	//1130 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {37, 389, 869, 6, Smoke::mf_static, 0, 609},	//1131 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&)
    {37, 389, 876, 7, Smoke::mf_static, 0, 610},	//1132 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 389, 1441, 8, Smoke::mf_static, 0, 611},	//1133 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {37, 326, 2018, 2, Smoke::mf_static, 51, 612},	//1134 QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    {37, 273, 2021, 2, Smoke::mf_static, 176, 613},	//1135 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {37, 293, 2024, 2, Smoke::mf_static, 27, 614},	//1136 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {37, 352, 622, 1, Smoke::mf_static, 488, 615},	//1137 QGlobalSpace::qAsin(double)
    {37, 293, 2027, 2, Smoke::mf_static, 31, 616},	//1138 QGlobalSpace::operator<<(QDebug, const QRect&)
    {37, 293, 2030, 2, Smoke::mf_static, 31, 617},	//1139 QGlobalSpace::operator<<(QDebug, const QFont&)
    {37, 326, 2033, 2, Smoke::mf_static, 57, 618},	//1140 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {37, 326, 2036, 2, Smoke::mf_static, 53, 619},	//1141 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    {37, 326, 2039, 2, Smoke::mf_static, 168, 620},	//1142 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    {37, 265, 1041, 2, Smoke::mf_static, 370, 621},	//1143 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {37, 515, 622, 1, Smoke::mf_static, 488, 622},	//1144 QGlobalSpace::qSin(double)
    {37, 326, 2042, 2, Smoke::mf_static, 168, 623},	//1145 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {37, 304, 1050, 2, Smoke::mf_static, 370, 624},	//1146 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {37, 320, 2045, 2, Smoke::mf_static, 27, 625},	//1147 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {37, 326, 2048, 2, Smoke::mf_static, 85, 626},	//1148 QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    {37, 326, 1047, 2, Smoke::mf_static, 12, 627},	//1149 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {37, 293, 2051, 2, Smoke::mf_static, 27, 628},	//1150 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {37, 448, 633, 2, Smoke::mf_static, 370, 629},	//1151 QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    {37, 418, 860, 8, Smoke::mf_static, 0, 630},	//1152 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {37, 418, 869, 6, Smoke::mf_static, 0, 631},	//1153 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&)
    {37, 418, 876, 7, Smoke::mf_static, 0, 632},	//1154 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 293, 2054, 2, Smoke::mf_static, 27, 633},	//1155 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {37, 326, 2057, 2, Smoke::mf_static, 65, 634},	//1156 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    {37, 304, 2060, 2, Smoke::mf_static, 370, 635},	//1157 QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    {37, 326, 2063, 2, Smoke::mf_static, 66, 636},	//1158 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    {37, 326, 2066, 2, Smoke::mf_static, 93, 637},	//1159 QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    {37, 326, 2069, 2, Smoke::mf_static, 168, 638},	//1160 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {37, 320, 2072, 2, Smoke::mf_static, 27, 639},	//1161 QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    {37, 293, 2075, 2, Smoke::mf_static, 27, 640},	//1162 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {37, 567, 226, 2, Smoke::mf_static, 236, 641},	//1163 QGlobalSpace::qtTrId(const char*, int)
    {37, 567, 183, 1, Smoke::mf_static, 236, 642},	//1164 QGlobalSpace::qtTrId(const char*)
    {37, 326, 2078, 2, Smoke::mf_static, 168, 643},	//1165 QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    {37, 326, 2081, 2, Smoke::mf_static, 103, 644},	//1166 QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    {37, 282, 2084, 1, Smoke::mf_static, 475, 645},	//1167 QGlobalSpace::operator-(const QVector3D&)
    {37, 293, 2086, 2, Smoke::mf_static, 31, 646},	//1168 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {37, 297, 748, 2, Smoke::mf_static, 370, 647},	//1169 QGlobalSpace::operator<=(QChar, QChar)
    {37, 326, 2089, 2, Smoke::mf_static, 127, 648},	//1170 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {37, 468, 17, 1, Smoke::mf_static, 370, 649},	//1171 QGlobalSpace::qIsGray(unsigned int)
    {37, 326, 2092, 2, Smoke::mf_static, 73, 650},	//1172 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    {37, 265, 1901, 2, Smoke::mf_static, 370, 651},	//1173 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {37, 326, 2095, 2, Smoke::mf_static, 119, 652},	//1174 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {37, 320, 2098, 2, Smoke::mf_static, 27, 653},	//1175 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {37, 320, 2101, 2, Smoke::mf_static, 27, 654},	//1176 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {37, 382, 2104, 5, Smoke::mf_static, 0, 655},	//1177 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int, const QBrush*)
    {37, 382, 2110, 3, Smoke::mf_static, 0, 656},	//1178 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&)
    {37, 382, 2114, 4, Smoke::mf_static, 0, 657},	//1179 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int)
    {37, 320, 2119, 2, Smoke::mf_static, 27, 658},	//1180 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {37, 326, 2122, 2, Smoke::mf_static, 74, 659},	//1181 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    {37, 326, 2125, 2, Smoke::mf_static, 70, 660},	//1182 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit)
    {37, 326, 2128, 2, Smoke::mf_static, 168, 661},	//1183 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    {37, 320, 2131, 2, Smoke::mf_static, 27, 662},	//1184 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {37, 326, 2134, 2, Smoke::mf_static, 168, 663},	//1185 QGlobalSpace::operator|(QPainter::RenderHint, int)
    {37, 589, 2137, 3, Smoke::mf_static, 370, 664},	//1186 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {37, 293, 2141, 2, Smoke::mf_static, 31, 665},	//1187 QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    {37, 326, 2144, 2, Smoke::mf_static, 168, 666},	//1188 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    {37, 273, 2147, 2, Smoke::mf_static, 213, 667},	//1189 QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    {37, 286, 1851, 2, Smoke::mf_static, 446, 668},	//1190 QGlobalSpace::operator/(const QSize&, double)
    {37, 273, 2150, 2, Smoke::mf_static, 213, 669},	//1191 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {37, 474, 706, 1, Smoke::mf_static, 370, 670},	//1192 QGlobalSpace::qIsNull(float)
    {37, 326, 2153, 2, Smoke::mf_static, 49, 671},	//1193 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    {37, 587, 2156, 5, Smoke::mf_static, 0, 672},	//1194 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {37, 304, 2162, 2, Smoke::mf_static, 370, 673},	//1195 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {37, 354, 622, 1, Smoke::mf_static, 488, 674},	//1196 QGlobalSpace::qAtan(double)
    {37, 320, 2165, 2, Smoke::mf_static, 27, 675},	//1197 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {37, 326, 2168, 2, Smoke::mf_static, 168, 676},	//1198 QGlobalSpace::operator|(Qt::Orientation, int)
    {37, 326, 2171, 2, Smoke::mf_static, 101, 677},	//1199 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    {37, 448, 697, 2, Smoke::mf_static, 370, 678},	//1200 QGlobalSpace::qFuzzyCompare(double, double)
    {37, 273, 2174, 2, Smoke::mf_static, 282, 679},	//1201 QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    {37, 265, 643, 2, Smoke::mf_static, 370, 680},	//1202 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {37, 293, 2177, 2, Smoke::mf_static, 27, 681},	//1203 QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    {37, 293, 2180, 2, Smoke::mf_static, 31, 682},	//1204 QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    {37, 389, 2183, 7, Smoke::mf_static, 0, 683},	//1205 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int)
    {37, 389, 2191, 4, Smoke::mf_static, 0, 684},	//1206 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&)
    {37, 389, 2196, 5, Smoke::mf_static, 0, 685},	//1207 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool)
    {37, 389, 2202, 6, Smoke::mf_static, 0, 686},	//1208 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int)
    {37, 273, 857, 2, Smoke::mf_static, 433, 687},	//1209 QGlobalSpace::operator*(const QPoint&, double)
    {37, 326, 2209, 2, Smoke::mf_static, 116, 688},	//1210 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {37, 326, 2212, 2, Smoke::mf_static, 78, 689},	//1211 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {37, 507, 0, 0, Smoke::mf_static, 488, 690},	//1212 QGlobalSpace::qSNaN()
    {37, 273, 2215, 2, Smoke::mf_static, 215, 691},	//1213 QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    {37, 326, 2218, 2, Smoke::mf_static, 168, 692},	//1214 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    {37, 304, 703, 2, Smoke::mf_static, 370, 693},	//1215 QGlobalSpace::operator==(const QByteArray&, const char*)
    {37, 326, 2221, 2, Smoke::mf_static, 89, 694},	//1216 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    {37, 293, 2224, 2, Smoke::mf_static, 27, 695},	//1217 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {37, 273, 1637, 2, Smoke::mf_static, 448, 696},	//1218 QGlobalSpace::operator*(const QSizeF&, double)
    {37, 326, 2227, 2, Smoke::mf_static, 72, 697},	//1219 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    {37, 304, 1746, 2, Smoke::mf_static, 370, 698},	//1220 QGlobalSpace::operator==(const QStringRef&, const char*)
    {37, 265, 633, 2, Smoke::mf_static, 370, 699},	//1221 QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    {37, 304, 636, 2, Smoke::mf_static, 370, 700},	//1222 QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    {37, 273, 2230, 2, Smoke::mf_static, 217, 701},	//1223 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {37, 326, 2233, 2, Smoke::mf_static, 69, 702},	//1224 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag)
    {37, 326, 2236, 2, Smoke::mf_static, 168, 703},	//1225 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    {37, 273, 2239, 2, Smoke::mf_static, 446, 704},	//1226 QGlobalSpace::operator*(double, const QSize&)
    {37, 326, 2242, 2, Smoke::mf_static, 168, 705},	//1227 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    {37, 288, 617, 2, Smoke::mf_static, 370, 706},	//1228 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {37, 265, 2245, 2, Smoke::mf_static, 370, 707},	//1229 QGlobalSpace::operator!=(QBool, bool)
    {37, 326, 2248, 2, Smoke::mf_static, 55, 708},	//1230 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    {37, 265, 661, 2, Smoke::mf_static, 370, 709},	//1231 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {37, 320, 2251, 2, Smoke::mf_static, 27, 710},	//1232 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {37, 293, 2254, 2, Smoke::mf_static, 31, 711},	//1233 QGlobalSpace::operator<<(QDebug, const QSize&)
    {37, 265, 960, 2, Smoke::mf_static, 370, 712},	//1234 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {37, 326, 2257, 2, Smoke::mf_static, 168, 713},	//1235 QGlobalSpace::operator|(QStyle::SubControl, int)
    {37, 326, 2260, 2, Smoke::mf_static, 108, 714},	//1236 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {37, 273, 2263, 2, Smoke::mf_static, 178, 715},	//1237 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {37, 282, 804, 2, Smoke::mf_static, 439, 716},	//1238 QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    {37, 273, 1465, 2, Smoke::mf_static, 435, 717},	//1239 QGlobalSpace::operator*(const QPointF&, double)
    {37, 555, 185, 2, Smoke::mf_static, 490, 718},	//1240 QGlobalSpace::qstricmp(const char*, const char*)
    {37, 326, 2266, 2, Smoke::mf_static, 168, 719},	//1241 QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    {37, 326, 2269, 2, Smoke::mf_static, 122, 720},	//1242 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {37, 265, 713, 2, Smoke::mf_static, 370, 721},	//1243 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {37, 503, 622, 1, Smoke::mf_static, 490, 722},	//1244 QGlobalSpace::qRound(double)
    {37, 461, 0, 0, Smoke::mf_static, 488, 723},	//1245 QGlobalSpace::qInf()
    {37, 293, 2272, 2, Smoke::mf_static, 27, 724},	//1246 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {37, 326, 2275, 2, Smoke::mf_static, 103, 725},	//1247 QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    {37, 273, 804, 2, Smoke::mf_static, 439, 726},	//1248 QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    {37, 326, 2278, 2, Smoke::mf_static, 168, 727},	//1249 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    {37, 326, 2281, 2, Smoke::mf_static, 119, 728},	//1250 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {37, 273, 2284, 2, Smoke::mf_static, 215, 729},	//1251 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {37, 293, 2287, 2, Smoke::mf_static, 31, 730},	//1252 QGlobalSpace::operator<<(QDebug, const QColor&)
    {37, 293, 2290, 2, Smoke::mf_static, 31, 731},	//1253 QGlobalSpace::operator<<(QDebug, const QMatrix&)
    {37, 293, 2293, 2, Smoke::mf_static, 27, 732},	//1254 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {37, 326, 2296, 2, Smoke::mf_static, 82, 733},	//1255 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {37, 326, 2299, 2, Smoke::mf_static, 168, 734},	//1256 QGlobalSpace::operator|(Qt::WindowType, int)
    {37, 546, 703, 2, Smoke::mf_static, 490, 735},	//1257 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {37, 326, 2302, 2, Smoke::mf_static, 168, 736},	//1258 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    {37, 497, 1646, 1, Smoke::mf_static, 0, 737},	//1259 QGlobalSpace::qRemovePostRoutine(void(*)())
    {37, 277, 804, 2, Smoke::mf_static, 439, 738},	//1260 QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    {37, 320, 2305, 2, Smoke::mf_static, 27, 739},	//1261 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {37, 326, 2308, 2, Smoke::mf_static, 95, 740},	//1262 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    {37, 326, 2311, 2, Smoke::mf_static, 76, 741},	//1263 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    {37, 320, 2314, 2, Smoke::mf_static, 27, 742},	//1264 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {37, 326, 2317, 2, Smoke::mf_static, 168, 743},	//1265 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    {37, 293, 2320, 2, Smoke::mf_static, 27, 744},	//1266 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {37, 326, 2323, 2, Smoke::mf_static, 121, 745},	//1267 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {37, 326, 2326, 2, Smoke::mf_static, 113, 746},	//1268 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {37, 528, 0, 0, Smoke::mf_static, 31, 747},	//1269 QGlobalSpace::qWarning()
    {37, 557, 183, 1, Smoke::mf_static, 499, 748},	//1270 QGlobalSpace::qstrlen(const char*)
    {37, 304, 2245, 2, Smoke::mf_static, 370, 749},	//1271 QGlobalSpace::operator==(QBool, bool)
    {37, 320, 2329, 2, Smoke::mf_static, 27, 750},	//1272 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {37, 320, 2332, 2, Smoke::mf_static, 27, 751},	//1273 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {37, 458, 19, 1, Smoke::mf_static, 499, 752},	//1274 QGlobalSpace::qHash(unsigned long)
    {37, 293, 2335, 2, Smoke::mf_static, 27, 753},	//1275 QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    {37, 326, 2338, 2, Smoke::mf_static, 168, 754},	//1276 QGlobalSpace::operator|(QAccessible::StateFlag, int)
    {37, 293, 2341, 2, Smoke::mf_static, 27, 755},	//1277 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {37, 326, 2344, 2, Smoke::mf_static, 67, 756},	//1278 QGlobalSpace::operator|(QGL::FormatOption, QGL::FormatOption)
    {37, 293, 2347, 2, Smoke::mf_static, 27, 757},	//1279 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {37, 326, 2350, 2, Smoke::mf_static, 83, 758},	//1280 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {37, 304, 926, 2, Smoke::mf_static, 370, 759},	//1281 QGlobalSpace::operator==(const char*, const QString&)
    {37, 326, 2353, 2, Smoke::mf_static, 168, 760},	//1282 QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    {37, 374, 2356, 8, Smoke::mf_static, 0, 761},	//1283 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>)
    {37, 374, 2365, 6, Smoke::mf_static, 0, 762},	//1284 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&)
    {37, 374, 2372, 7, Smoke::mf_static, 0, 763},	//1285 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&)
    {37, 326, 2380, 2, Smoke::mf_static, 92, 764},	//1286 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {37, 277, 2383, 2, Smoke::mf_static, 453, 765},	//1287 QGlobalSpace::operator+(const QString&, const QString&)
    {37, 265, 1087, 2, Smoke::mf_static, 370, 766},	//1288 QGlobalSpace::operator!=(QBool, QBool)
    {37, 326, 2386, 2, Smoke::mf_static, 47, 767},	//1289 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {37, 578, 2389, 2, Smoke::mf_static, 0, 768},	//1290 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {37, 293, 2392, 2, Smoke::mf_static, 31, 769},	//1291 QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    {37, 273, 2395, 2, Smoke::mf_static, 475, 770},	//1292 QGlobalSpace::operator*(double, const QVector3D&)
    {37, 315, 926, 2, Smoke::mf_static, 370, 771},	//1293 QGlobalSpace::operator>=(const char*, const QString&)
    {37, 458, 2398, 1, Smoke::mf_static, 499, 772},	//1294 QGlobalSpace::qHash(const QStringRef&)
    {37, 474, 622, 1, Smoke::mf_static, 370, 773},	//1295 QGlobalSpace::qIsNull(double)
    {37, 326, 2400, 2, Smoke::mf_static, 168, 774},	//1296 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {37, 326, 2403, 2, Smoke::mf_static, 50, 775},	//1297 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    {37, 315, 643, 2, Smoke::mf_static, 370, 776},	//1298 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {37, 310, 703, 2, Smoke::mf_static, 370, 777},	//1299 QGlobalSpace::operator>(const QByteArray&, const char*)
    {37, 458, 2406, 1, Smoke::mf_static, 499, 778},	//1300 QGlobalSpace::qHash(unsigned char)
    {37, 320, 2408, 2, Smoke::mf_static, 27, 779},	//1301 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {37, 326, 2411, 2, Smoke::mf_static, 65, 780},	//1302 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    {37, 273, 2414, 2, Smoke::mf_static, 217, 781},	//1303 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {37, 293, 2417, 2, Smoke::mf_static, 31, 782},	//1304 QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    {37, 293, 2420, 2, Smoke::mf_static, 31, 783},	//1305 QGlobalSpace::operator<<(QDebug, const QObject*)
    {37, 326, 2423, 2, Smoke::mf_static, 168, 784},	//1306 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {37, 265, 1050, 2, Smoke::mf_static, 370, 785},	//1307 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {37, 293, 2426, 2, Smoke::mf_static, 27, 786},	//1308 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {37, 320, 2429, 2, Smoke::mf_static, 27, 787},	//1309 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {37, 293, 2432, 2, Smoke::mf_static, 27, 788},	//1310 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {37, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 366, 789},	//1311 QGlobalSpace::_IEEE_ (enum)
    {37, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 366, 790},	//1312 QGlobalSpace::_SVID_ (enum)
    {37, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 366, 791},	//1313 QGlobalSpace::_XOPEN_ (enum)
    {37, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 366, 792},	//1314 QGlobalSpace::_POSIX_ (enum)
    {37, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 366, 793},	//1315 QGlobalSpace::_ISOC_ (enum)
    {37, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 365, 794},	//1316 QGlobalSpace::QtDebugMsg (enum)
    {37, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 365, 795},	//1317 QGlobalSpace::QtWarningMsg (enum)
    {37, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 365, 796},	//1318 QGlobalSpace::QtCriticalMsg (enum)
    {37, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 365, 797},	//1319 QGlobalSpace::QtFatalMsg (enum)
    {37, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 365, 798},	//1320 QGlobalSpace::QtSystemMsg (enum)
    {37, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 368, 799},	//1321 QGlobalSpace::__codecvt_ok (enum)
    {37, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 368, 800},	//1322 QGlobalSpace::__codecvt_partial (enum)
    {37, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 368, 801},	//1323 QGlobalSpace::__codecvt_error (enum)
    {37, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 368, 802},	//1324 QGlobalSpace::__codecvt_noconv (enum)
    {61, 199, 564, 1, Smoke::mf_virtual, 370, 0},	//1325 QObject::event(QEvent*)
    {61, 201, 2435, 2, Smoke::mf_virtual, 370, 0},	//1326 QObject::eventFilter(QObject*, QEvent*)
    {61, 751, 2438, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1327 QObject::timerEvent(QTimerEvent*)
    {61, 145, 2440, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1328 QObject::childEvent(QChildEvent*)
    {61, 167, 564, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1329 QObject::customEvent(QEvent*)
    {61, 158, 183, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1330 QObject::connectNotify(const char*)
    {61, 181, 183, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1331 QObject::disconnectNotify(const char*)
    {112, 175, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 490, 0},	//1332 QWidget::devType() const
    {112, 728, 65, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//1333 QWidget::setVisible(bool)
    {112, 736, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 229, 0},	//1334 QWidget::sizeHint() const
    {112, 258, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 229, 0},	//1335 QWidget::minimumSizeHint() const
    {112, 233, 15, 1, Smoke::mf_const|Smoke::mf_virtual, 490, 0},	//1336 QWidget::heightForWidth(int) const
    {112, 261, 2442, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1337 QWidget::mousePressEvent(QMouseEvent*)
    {112, 262, 2442, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1338 QWidget::mouseReleaseEvent(QMouseEvent*)
    {112, 259, 2442, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1339 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {112, 260, 2442, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1340 QWidget::mouseMoveEvent(QMouseEvent*)
    {112, 771, 2444, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1341 QWidget::wheelEvent(QWheelEvent*)
    {112, 247, 2446, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1342 QWidget::keyPressEvent(QKeyEvent*)
    {112, 248, 2446, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1343 QWidget::keyReleaseEvent(QKeyEvent*)
    {112, 206, 2448, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1344 QWidget::focusInEvent(QFocusEvent*)
    {112, 208, 2448, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1345 QWidget::focusOutEvent(QFocusEvent*)
    {112, 194, 564, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1346 QWidget::enterEvent(QEvent*)
    {112, 250, 564, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1347 QWidget::leaveEvent(QEvent*)
    {112, 263, 2450, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1348 QWidget::moveEvent(QMoveEvent*)
    {112, 149, 2452, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1349 QWidget::closeEvent(QCloseEvent*)
    {112, 160, 2454, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1350 QWidget::contextMenuEvent(QContextMenuEvent*)
    {112, 745, 2456, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1351 QWidget::tabletEvent(QTabletEvent*)
    {112, 110, 2458, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1352 QWidget::actionEvent(QActionEvent*)
    {112, 184, 2460, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1353 QWidget::dragEnterEvent(QDragEnterEvent*)
    {112, 186, 2462, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1354 QWidget::dragMoveEvent(QDragMoveEvent*)
    {112, 185, 2464, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1355 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {112, 190, 2466, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1356 QWidget::dropEvent(QDropEvent*)
    {112, 734, 2468, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1357 QWidget::showEvent(QShowEvent*)
    {112, 234, 2470, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1358 QWidget::hideEvent(QHideEvent*)
    {112, 774, 2472, 1, Smoke::mf_protected|Smoke::mf_virtual, 370, 0},	//1359 QWidget::x11Event(_XEvent*)
    {112, 144, 564, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1360 QWidget::changeEvent(QEvent*)
    {112, 256, 129, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 490, 0},	//1361 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {112, 238, 2474, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1362 QWidget::inputMethodEvent(QInputMethodEvent*)
    {112, 239, 2476, 1, Smoke::mf_const|Smoke::mf_virtual, 277, 0},	//1363 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {112, 207, 65, 1, Smoke::mf_protected|Smoke::mf_virtual, 370, 0},	//1364 QWidget::focusNextPrevChild(bool)
    {112, 742, 2478, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1365 QWidget::styleChange(QStyle&)
    {112, 193, 65, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1366 QWidget::enabledChange(bool)
    {112, 336, 2480, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1367 QWidget::paletteChange(const QPalette&)
    {112, 209, 612, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1368 QWidget::fontChange(const QFont&)
    {112, 772, 65, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1369 QWidget::windowActivationChange(bool)
    {112, 249, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1370 QWidget::languageChange()
    {112, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 40},	//1371 QWidget::DrawWindowBackground (enum)
    {112, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 41},	//1372 QWidget::DrawChildren (enum)
    {112, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 42},	//1373 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    168,  // QGLFramebufferObject::QGLFramebufferObject(const QSize&, unsigned int)
    194,  // QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment)
    0,
    169,  // QGLFramebufferObject::QGLFramebufferObject(int, int, unsigned int)
    196,  // QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment)
    0,
    198,  // QGLFramebufferObject::drawTexture(const QRectF&, unsigned int)
    199,  // QGLFramebufferObject::drawTexture(const QPointF&, unsigned int)
    0,
    186,  // QGLFramebufferObject::drawTexture(const QRectF&, unsigned int, unsigned int)
    187,  // QGLFramebufferObject::drawTexture(const QPointF&, unsigned int, unsigned int)
    0,
    532,  // QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    609,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    673,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    688,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    772,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    813,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    842,  // QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    850,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    934,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    944,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    995,  // QGlobalSpace::operator!=(const QGLFormat&, const QGLFormat&)
    997,  // QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    1011,  // QGlobalSpace::operator!=(QChar, QChar)
    1054,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    1143,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    1173,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    1221,  // QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    1231,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    1234,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    1288,  // QGlobalSpace::operator!=(QBool, QBool)
    1307,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    592,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    621,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    643,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    1033,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    1229,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    763,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    890,  // QGlobalSpace::operator!=(bool, QBool)
    943,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    1022,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    1202,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    1243,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    539,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    571,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    576,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    579,  // QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    619,  // QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    637,  // QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    689,  // QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    747,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    773,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    793,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    811,  // QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    835,  // QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    910,  // QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    922,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    983,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    1032,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    1060,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    1066,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    1072,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    1135,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    1189,  // QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    1191,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    1201,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    1213,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    1223,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    1237,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    1248,  // QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    1251,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    1303,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    0,
    584,  // QGlobalSpace::operator*(const QMatrix4x4&, double)
    681,  // QGlobalSpace::operator*(const QTransform&, double)
    788,  // QGlobalSpace::operator*(const QQuaternion&, double)
    938,  // QGlobalSpace::operator*(const QVector4D&, double)
    994,  // QGlobalSpace::operator*(const QVector2D&, double)
    1002,  // QGlobalSpace::operator*(const QVector3D&, double)
    1063,  // QGlobalSpace::operator*(const QSize&, double)
    1209,  // QGlobalSpace::operator*(const QPoint&, double)
    1218,  // QGlobalSpace::operator*(const QSizeF&, double)
    1239,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    604,  // QGlobalSpace::operator*(double, const QSizeF&)
    897,  // QGlobalSpace::operator*(double, const QVector2D&)
    946,  // QGlobalSpace::operator*(double, const QVector4D&)
    993,  // QGlobalSpace::operator*(double, const QQuaternion&)
    1058,  // QGlobalSpace::operator*(double, const QPointF&)
    1071,  // QGlobalSpace::operator*(double, const QPoint&)
    1128,  // QGlobalSpace::operator*(double, const QMatrix4x4&)
    1226,  // QGlobalSpace::operator*(double, const QSize&)
    1292,  // QGlobalSpace::operator*(double, const QVector3D&)
    0,
    565,  // QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    599,  // QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    632,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    657,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    662,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    719,  // QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    792,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    804,  // QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    868,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    1260,  // QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    0,
    693,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    703,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    746,  // QGlobalSpace::operator+(const QTransform&, double)
    752,  // QGlobalSpace::operator+(QChar, const QString&)
    954,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    545,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    635,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    687,  // QGlobalSpace::operator+(const QString&, QChar)
    1040,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    697,  // QGlobalSpace::operator+(const QString&, const char*)
    771,  // QGlobalSpace::operator+(const QString&, char)
    861,  // QGlobalSpace::operator+(char, const QString&)
    1047,  // QGlobalSpace::operator+(const char*, const QString&)
    1287,  // QGlobalSpace::operator+(const QString&, const QString&)
    0,
    581,  // QGlobalSpace::operator-(const QMatrix4x4&)
    762,  // QGlobalSpace::operator-(const QQuaternion&)
    796,  // QGlobalSpace::operator-(const QPoint&)
    898,  // QGlobalSpace::operator-(const QVector4D&)
    913,  // QGlobalSpace::operator-(const QPointF&)
    1125,  // QGlobalSpace::operator-(const QVector2D&)
    1167,  // QGlobalSpace::operator-(const QVector3D&)
    0,
    529,  // QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    610,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    636,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    640,  // QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    667,  // QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    774,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    855,  // QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    1045,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    1238,  // QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    0,
    628,  // QGlobalSpace::operator/(const QPoint&, double)
    663,  // QGlobalSpace::operator/(const QMatrix4x4&, double)
    820,  // QGlobalSpace::operator/(const QVector4D&, double)
    887,  // QGlobalSpace::operator/(const QVector2D&, double)
    889,  // QGlobalSpace::operator/(const QPointF&, double)
    893,  // QGlobalSpace::operator/(const QVector3D&, double)
    903,  // QGlobalSpace::operator/(const QTransform&, double)
    958,  // QGlobalSpace::operator/(const QSizeF&, double)
    975,  // QGlobalSpace::operator/(const QQuaternion&, double)
    1190,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    588,  // QGlobalSpace::operator<(QChar, QChar)
    668,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    781,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    1228,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    594,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    945,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    543,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    554,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    568,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    572,  // QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    573,  // QGlobalSpace::operator<<(QDebug, const QBrush&)
    578,  // QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    585,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    586,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    612,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    624,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    633,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    639,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    644,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    647,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    649,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    655,  // QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    684,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    702,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    720,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    721,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    722,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    732,  // QGlobalSpace::operator<<(QDebug, const QEvent*)
    748,  // QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    798,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    810,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    815,  // QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    816,  // QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    821,  // QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    830,  // QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    836,  // QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    837,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    845,  // QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    852,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    872,  // QGlobalSpace::operator<<(QDebug, const QRegion&)
    873,  // QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    874,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    876,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    907,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    914,  // QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    921,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    931,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    940,  // QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    941,  // QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    953,  // QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    961,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    971,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    979,  // QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    984,  // QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    989,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    990,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    992,  // QGlobalSpace::operator<<(QDebug, const QPen&)
    996,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    999,  // QGlobalSpace::operator<<(QDebug, const QVector3D&)
    1004,  // QGlobalSpace::operator<<(QDebug, const QVector2D&)
    1006,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    1007,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    1009,  // QGlobalSpace::operator<<(QDebug, const QVector4D&)
    1025,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    1037,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    1043,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    1046,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    1064,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    1074,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    1098,  // QGlobalSpace::operator<<(QDataStream&, const QPen&)
    1103,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    1112,  // QGlobalSpace::operator<<(QDebug, const QTransform&)
    1117,  // QGlobalSpace::operator<<(QDebug, const QPolygon&)
    1127,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    1129,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    1136,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    1138,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    1139,  // QGlobalSpace::operator<<(QDebug, const QFont&)
    1150,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    1155,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    1162,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    1168,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    1203,  // QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    1204,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    1217,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    1233,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    1252,  // QGlobalSpace::operator<<(QDebug, const QColor&)
    1253,  // QGlobalSpace::operator<<(QDebug, const QMatrix&)
    1254,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    1266,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    1275,  // QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    1277,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    1279,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    1291,  // QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    1305,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    1308,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    1310,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    537,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    593,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    758,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    831,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    875,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    982,  // QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    1056,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    1187,  // QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    1246,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    1304,  // QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    0,
    718,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    743,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    970,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    1169,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    968,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    1036,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    0,
    531,  // QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    542,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    553,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    575,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    577,  // QGlobalSpace::operator==(QChar, QChar)
    606,  // QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    711,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    733,  // QGlobalSpace::operator==(QBool, QBool)
    775,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    795,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    802,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    865,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    891,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    951,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    960,  // QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    963,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    1062,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    1070,  // QGlobalSpace::operator==(const QGLFormat&, const QGLFormat&)
    1087,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    1146,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    1195,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    1222,  // QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    0,
    541,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    675,  // QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    863,  // QGlobalSpace::operator==(QString::Null, const QString&)
    1215,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    1220,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    1271,  // QGlobalSpace::operator==(QBool, bool)
    0,
    536,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    562,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    735,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    916,  // QGlobalSpace::operator==(bool, QBool)
    988,  // QGlobalSpace::operator==(const QString&, QString::Null)
    1042,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    1157,  // QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    0,
    602,  // QGlobalSpace::operator>(QChar, QChar)
    698,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    714,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    846,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    563,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    672,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    0,
    525,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    591,  // QGlobalSpace::operator>=(QChar, QChar)
    959,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    1099,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    927,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    1298,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    0,
    538,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    546,  // QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    551,  // QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    556,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    587,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    589,  // QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    677,  // QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    685,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    701,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    731,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    744,  // QGlobalSpace::operator>>(QDataStream&, QPen&)
    759,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    767,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    780,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    849,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    862,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    864,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    877,  // QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    885,  // QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    900,  // QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    908,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    912,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    917,  // QGlobalSpace::operator>>(QDataStream&, QPicture&)
    923,  // QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    939,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    957,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    972,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    987,  // QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    1010,  // QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    1019,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    1020,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    1023,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    1039,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    1051,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    1052,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    1101,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    1111,  // QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    1147,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    1161,  // QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    1175,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    1176,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    1180,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    1197,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    1232,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    1261,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    1264,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    1272,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    1273,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    1301,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    1309,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    974,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    1184,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    523,  // QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    528,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    530,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    540,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    544,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    547,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    548,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    549,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    561,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    564,  // QGlobalSpace::operator|(QFileDialog::Option, int)
    569,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    570,  // QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    574,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    580,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    583,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    590,  // QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    595,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    596,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    598,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    601,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    603,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    607,  // QGlobalSpace::operator|(QDir::Filter, int)
    608,  // QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    613,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    614,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    615,  // QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    617,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    620,  // QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    622,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    623,  // QGlobalSpace::operator|(QTextOption::Flag, int)
    625,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    626,  // QGlobalSpace::operator|(QFile::Permission, int)
    627,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    634,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    642,  // QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    645,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    646,  // QGlobalSpace::operator|(QWizard::WizardOption, int)
    650,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    653,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    654,  // QGlobalSpace::operator|(QGLContext::BindOption, QFlags<QGLContext::BindOption>)
    656,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    658,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    659,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    664,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    665,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    666,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    676,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    680,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    683,  // QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    690,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    691,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, int)
    695,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    696,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    699,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    706,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    708,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    712,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    715,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    726,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    728,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    730,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    734,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    736,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    737,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    740,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    741,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    742,  // QGlobalSpace::operator|(QGL::FormatOption, QFlags<QGL::FormatOption>)
    749,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    753,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    754,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    755,  // QGlobalSpace::operator|(QGLContext::BindOption, int)
    756,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    757,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    764,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    766,  // QGlobalSpace::operator|(QMainWindow::DockOption, int)
    768,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    770,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    776,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    777,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, int)
    778,  // QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    779,  // QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    783,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    789,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    794,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    797,  // QGlobalSpace::operator|(Qt::DropAction, int)
    799,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    812,  // QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    817,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    822,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    825,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    828,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    829,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    832,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    834,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    843,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    848,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    851,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    853,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    854,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    866,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    867,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    869,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    878,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>)
    884,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    886,  // QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    888,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    892,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    894,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    895,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    899,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    902,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    904,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    906,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    911,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    915,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    918,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    920,  // QGlobalSpace::operator|(QGL::FormatOption, int)
    924,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    928,  // QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    929,  // QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    930,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    933,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    942,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    947,  // QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    948,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    955,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    956,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    962,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    967,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    973,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    978,  // QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    980,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    985,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    998,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    1000,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    1001,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    1005,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    1012,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    1015,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    1016,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    1018,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    1024,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    1026,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    1027,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    1030,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    1031,  // QGlobalSpace::operator|(QGLContext::BindOption, QGLContext::BindOption)
    1038,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    1041,  // QGlobalSpace::operator|(QStyle::StateFlag, int)
    1044,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    1048,  // QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    1049,  // QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    1050,  // QGlobalSpace::operator|(Qt::WindowState, int)
    1053,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    1055,  // QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    1057,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    1059,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    1061,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>)
    1067,  // QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    1068,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    1080,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    1081,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    1083,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    1084,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    1088,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    1089,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    1091,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    1092,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    1093,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    1095,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    1096,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    1097,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    1100,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    1104,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    1110,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    1113,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    1118,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    1119,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    1120,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    1121,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    1122,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    1123,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    1124,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    1126,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    1134,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    1140,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    1141,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    1142,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    1145,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    1148,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    1156,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    1158,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    1159,  // QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    1160,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    1165,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    1166,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    1170,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    1172,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    1174,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    1181,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    1182,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit)
    1183,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    1185,  // QGlobalSpace::operator|(QPainter::RenderHint, int)
    1188,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    1193,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    1198,  // QGlobalSpace::operator|(Qt::Orientation, int)
    1199,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    1210,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    1211,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    1214,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    1216,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    1219,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    1224,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag)
    1225,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    1227,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    1230,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    1235,  // QGlobalSpace::operator|(QStyle::SubControl, int)
    1236,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    1241,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    1242,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    1247,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    1249,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    1250,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    1255,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    1256,  // QGlobalSpace::operator|(Qt::WindowType, int)
    1258,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    1262,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    1263,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    1265,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    1267,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    1268,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    1276,  // QGlobalSpace::operator|(QAccessible::StateFlag, int)
    1278,  // QGlobalSpace::operator|(QGL::FormatOption, QGL::FormatOption)
    1280,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    1282,  // QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    1286,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    1289,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    1296,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    1297,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    1302,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    1306,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
    638,  // QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    705,  // QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    765,  // QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    905,  // QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    932,  // QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    1065,  // QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    1151,  // QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    0,
    1086,  // QGlobalSpace::qFuzzyCompare(float, float)
    1200,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    787,  // QGlobalSpace::qFuzzyIsNull(float)
    1114,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    582,  // QGlobalSpace::qHash(const QByteArray&)
    678,  // QGlobalSpace::qHash(const QItemSelectionRange&)
    707,  // QGlobalSpace::qHash(QChar)
    727,  // QGlobalSpace::qHash(const QModelIndex&)
    870,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    1003,  // QGlobalSpace::qHash(const QBitArray&)
    1294,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    526,  // QGlobalSpace::qHash(unsigned long long)
    560,  // QGlobalSpace::qHash(signed char)
    618,  // QGlobalSpace::qHash(char)
    704,  // QGlobalSpace::qHash(unsigned int)
    717,  // QGlobalSpace::qHash(const QString&)
    761,  // QGlobalSpace::qHash(long long)
    791,  // QGlobalSpace::qHash(int)
    844,  // QGlobalSpace::qHash(long)
    847,  // QGlobalSpace::qHash(unsigned short)
    1079,  // QGlobalSpace::qHash(short)
    1274,  // QGlobalSpace::qHash(unsigned long)
    1300,  // QGlobalSpace::qHash(unsigned char)
    0,
    566,  // QGlobalSpace::qIntCast(double)
    710,  // QGlobalSpace::qIntCast(float)
    0,
    641,  // QGlobalSpace::qIsFinite(double)
    686,  // QGlobalSpace::qIsFinite(float)
    0,
    527,  // QGlobalSpace::qIsInf(double)
    558,  // QGlobalSpace::qIsInf(float)
    0,
    739,  // QGlobalSpace::qIsNaN(float)
    750,  // QGlobalSpace::qIsNaN(double)
    0,
    1192,  // QGlobalSpace::qIsNull(float)
    1295,  // QGlobalSpace::qIsNull(double)
    0,
    247,  // QGLPixelBuffer::bindTexture(const QImage&)
    248,  // QGLPixelBuffer::bindTexture(const QPixmap&)
    0,
    229,  // QGLPixelBuffer::bindTexture(const QImage&, unsigned int)
    230,  // QGLPixelBuffer::bindTexture(const QPixmap&, unsigned int)
    0,
    249,  // QGLPixelBuffer::drawTexture(const QRectF&, unsigned int)
    250,  // QGLPixelBuffer::drawTexture(const QPointF&, unsigned int)
    0,
    233,  // QGLPixelBuffer::drawTexture(const QRectF&, unsigned int, unsigned int)
    234,  // QGLPixelBuffer::drawTexture(const QPointF&, unsigned int, unsigned int)
    0,
    285,  // QGLShaderProgram::QGLShaderProgram(QObject*)
    424,  // QGLShaderProgram::QGLShaderProgram(const QGLContext*)
    0,
    290,  // QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const char*)
    292,  // QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    0,
    304,  // QGLShaderProgram::attributeLocation(const char*) const
    306,  // QGLShaderProgram::attributeLocation(const QString&) const
    0,
    301,  // QGLShaderProgram::bindAttributeLocation(const char*, int)
    303,  // QGLShaderProgram::bindAttributeLocation(const QString&, int)
    0,
    335,  // QGLShaderProgram::disableAttributeArray(int)
    336,  // QGLShaderProgram::disableAttributeArray(const char*)
    0,
    333,  // QGLShaderProgram::enableAttributeArray(int)
    334,  // QGLShaderProgram::enableAttributeArray(const char*)
    0,
    426,  // QGLShaderProgram::setAttributeArray(int, const QVector2D*)
    427,  // QGLShaderProgram::setAttributeArray(int, const QVector3D*)
    428,  // QGLShaderProgram::setAttributeArray(int, const QVector4D*)
    430,  // QGLShaderProgram::setAttributeArray(const char*, const QVector2D*)
    431,  // QGLShaderProgram::setAttributeArray(const char*, const QVector3D*)
    432,  // QGLShaderProgram::setAttributeArray(const char*, const QVector4D*)
    0,
    326,  // QGLShaderProgram::setAttributeArray(int, const QVector2D*, int)
    327,  // QGLShaderProgram::setAttributeArray(int, const QVector3D*, int)
    328,  // QGLShaderProgram::setAttributeArray(int, const QVector4D*, int)
    330,  // QGLShaderProgram::setAttributeArray(const char*, const QVector2D*, int)
    331,  // QGLShaderProgram::setAttributeArray(const char*, const QVector3D*, int)
    332,  // QGLShaderProgram::setAttributeArray(const char*, const QVector4D*, int)
    0,
    425,  // QGLShaderProgram::setAttributeArray(int, const float*, int)
    429,  // QGLShaderProgram::setAttributeArray(const char*, const float*, int)
    0,
    325,  // QGLShaderProgram::setAttributeArray(int, const float*, int, int)
    329,  // QGLShaderProgram::setAttributeArray(const char*, const float*, int, int)
    0,
    311,  // QGLShaderProgram::setAttributeValue(int, const QVector2D&)
    312,  // QGLShaderProgram::setAttributeValue(int, const QVector3D&)
    313,  // QGLShaderProgram::setAttributeValue(int, const QVector4D&)
    314,  // QGLShaderProgram::setAttributeValue(int, const QColor&)
    320,  // QGLShaderProgram::setAttributeValue(const char*, const QVector2D&)
    321,  // QGLShaderProgram::setAttributeValue(const char*, const QVector3D&)
    322,  // QGLShaderProgram::setAttributeValue(const char*, const QVector4D&)
    323,  // QGLShaderProgram::setAttributeValue(const char*, const QColor&)
    0,
    307,  // QGLShaderProgram::setAttributeValue(int, float)
    316,  // QGLShaderProgram::setAttributeValue(const char*, float)
    0,
    308,  // QGLShaderProgram::setAttributeValue(int, float, float)
    317,  // QGLShaderProgram::setAttributeValue(const char*, float, float)
    0,
    309,  // QGLShaderProgram::setAttributeValue(int, float, float, float)
    315,  // QGLShaderProgram::setAttributeValue(int, const float*, int, int)
    318,  // QGLShaderProgram::setAttributeValue(const char*, float, float, float)
    324,  // QGLShaderProgram::setAttributeValue(const char*, const float*, int, int)
    0,
    310,  // QGLShaderProgram::setAttributeValue(int, float, float, float, float)
    319,  // QGLShaderProgram::setAttributeValue(const char*, float, float, float, float)
    0,
    346,  // QGLShaderProgram::setUniformValue(int, const QVector2D&)
    347,  // QGLShaderProgram::setUniformValue(int, const QVector3D&)
    348,  // QGLShaderProgram::setUniformValue(int, const QVector4D&)
    349,  // QGLShaderProgram::setUniformValue(int, const QColor&)
    350,  // QGLShaderProgram::setUniformValue(int, const QPoint&)
    351,  // QGLShaderProgram::setUniformValue(int, const QPointF&)
    352,  // QGLShaderProgram::setUniformValue(int, const QSize&)
    353,  // QGLShaderProgram::setUniformValue(int, const QSizeF&)
    362,  // QGLShaderProgram::setUniformValue(int, const QMatrix4x4&)
    364,  // QGLShaderProgram::setUniformValue(int, const QTransform&)
    371,  // QGLShaderProgram::setUniformValue(const char*, const QVector2D&)
    372,  // QGLShaderProgram::setUniformValue(const char*, const QVector3D&)
    373,  // QGLShaderProgram::setUniformValue(const char*, const QVector4D&)
    374,  // QGLShaderProgram::setUniformValue(const char*, const QColor&)
    375,  // QGLShaderProgram::setUniformValue(const char*, const QPoint&)
    376,  // QGLShaderProgram::setUniformValue(const char*, const QPointF&)
    377,  // QGLShaderProgram::setUniformValue(const char*, const QSize&)
    378,  // QGLShaderProgram::setUniformValue(const char*, const QSizeF&)
    387,  // QGLShaderProgram::setUniformValue(const char*, const QMatrix4x4&)
    389,  // QGLShaderProgram::setUniformValue(const char*, const QTransform&)
    0,
    340,  // QGLShaderProgram::setUniformValue(int, float)
    341,  // QGLShaderProgram::setUniformValue(int, int)
    342,  // QGLShaderProgram::setUniformValue(int, unsigned int)
    363,  // QGLShaderProgram::setUniformValue(int, const float[4][4])
    365,  // QGLShaderProgram::setUniformValue(const char*, float)
    366,  // QGLShaderProgram::setUniformValue(const char*, int)
    367,  // QGLShaderProgram::setUniformValue(const char*, unsigned int)
    388,  // QGLShaderProgram::setUniformValue(const char*, const float[4][4])
    0,
    343,  // QGLShaderProgram::setUniformValue(int, float, float)
    368,  // QGLShaderProgram::setUniformValue(const char*, float, float)
    0,
    344,  // QGLShaderProgram::setUniformValue(int, float, float, float)
    369,  // QGLShaderProgram::setUniformValue(const char*, float, float, float)
    0,
    345,  // QGLShaderProgram::setUniformValue(int, float, float, float, float)
    370,  // QGLShaderProgram::setUniformValue(const char*, float, float, float, float)
    0,
    354,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,2,double>&)
    355,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,3,double>&)
    356,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,4,double>&)
    357,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,2,double>&)
    358,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,3,double>&)
    359,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,4,double>&)
    360,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,2,double>&)
    361,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,3,double>&)
    379,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,2,double>&)
    380,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,3,double>&)
    381,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,4,double>&)
    382,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,2,double>&)
    383,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,3,double>&)
    384,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,4,double>&)
    385,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,2,double>&)
    386,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,3,double>&)
    0,
    393,  // QGLShaderProgram::setUniformValueArray(int, const QVector2D*, int)
    394,  // QGLShaderProgram::setUniformValueArray(int, const QVector3D*, int)
    395,  // QGLShaderProgram::setUniformValueArray(int, const QVector4D*, int)
    404,  // QGLShaderProgram::setUniformValueArray(int, const QMatrix4x4*, int)
    408,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector2D*, int)
    409,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector3D*, int)
    410,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector4D*, int)
    419,  // QGLShaderProgram::setUniformValueArray(const char*, const QMatrix4x4*, int)
    0,
    391,  // QGLShaderProgram::setUniformValueArray(int, const int*, int)
    392,  // QGLShaderProgram::setUniformValueArray(int, const unsigned int*, int)
    406,  // QGLShaderProgram::setUniformValueArray(const char*, const int*, int)
    407,  // QGLShaderProgram::setUniformValueArray(const char*, const unsigned int*, int)
    0,
    390,  // QGLShaderProgram::setUniformValueArray(int, const float*, int, int)
    405,  // QGLShaderProgram::setUniformValueArray(const char*, const float*, int, int)
    0,
    396,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,2,double>*, int)
    397,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,3,double>*, int)
    398,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,4,double>*, int)
    399,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,2,double>*, int)
    400,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,3,double>*, int)
    401,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,4,double>*, int)
    402,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,2,double>*, int)
    403,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,3,double>*, int)
    411,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,2,double>*, int)
    412,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,3,double>*, int)
    413,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,4,double>*, int)
    414,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,2,double>*, int)
    415,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,3,double>*, int)
    416,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,4,double>*, int)
    417,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,2,double>*, int)
    418,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,3,double>*, int)
    0,
    337,  // QGLShaderProgram::uniformLocation(const char*) const
    339,  // QGLShaderProgram::uniformLocation(const QString&) const
    0,
    496,  // QGLWidget::QGLWidget(QWidget*)
    498,  // QGLWidget::QGLWidget(QGLContext*)
    501,  // QGLWidget::QGLWidget(const QGLFormat&)
    0,
    497,  // QGLWidget::QGLWidget(QWidget*, const QGLWidget*)
    499,  // QGLWidget::QGLWidget(QGLContext*, QWidget*)
    502,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*)
    0,
    500,  // QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*)
    503,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*)
    0,
    444,  // QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    445,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    0,
    514,  // QGLWidget::bindTexture(const QImage&)
    516,  // QGLWidget::bindTexture(const QPixmap&)
    0,
    515,  // QGLWidget::bindTexture(const QImage&, unsigned int)
    517,  // QGLWidget::bindTexture(const QPixmap&, unsigned int)
    0,
    471,  // QGLWidget::bindTexture(const QImage&, unsigned int, int)
    472,  // QGLWidget::bindTexture(const QPixmap&, unsigned int, int)
    0,
    469,  // QGLWidget::bindTexture(const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>)
    470,  // QGLWidget::bindTexture(const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>)
    0,
    518,  // QGLWidget::drawTexture(const QRectF&, unsigned int)
    519,  // QGLWidget::drawTexture(const QPointF&, unsigned int)
    0,
    475,  // QGLWidget::drawTexture(const QRectF&, unsigned int, unsigned int)
    476,  // QGLWidget::drawTexture(const QPointF&, unsigned int, unsigned int)
    0,
    259,  // QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, QObject*)
    273,  // QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*)
    0,
    262,  // QGLShader::compileSourceCode(const char*)
    264,  // QGLShader::compileSourceCode(const QString&)
    0,
    79,  // QGLContext::bindTexture(const QImage&)
    81,  // QGLContext::bindTexture(const QPixmap&)
    0,
    80,  // QGLContext::bindTexture(const QImage&, unsigned int)
    82,  // QGLContext::bindTexture(const QPixmap&, unsigned int)
    0,
    54,  // QGLContext::bindTexture(const QImage&, unsigned int, int)
    55,  // QGLContext::bindTexture(const QPixmap&, unsigned int, int)
    0,
    52,  // QGLContext::bindTexture(const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>)
    53,  // QGLContext::bindTexture(const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>)
    0,
    83,  // QGLContext::drawTexture(const QRectF&, unsigned int)
    84,  // QGLContext::drawTexture(const QPointF&, unsigned int)
    0,
    58,  // QGLContext::drawTexture(const QRectF&, unsigned int, unsigned int)
    59,  // QGLContext::drawTexture(const QPointF&, unsigned int, unsigned int)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {27, 1, 6},	// QGL::AccumBuffer
    {27, 2, 5},	// QGL::AlphaChannel
    {27, 4, 14},	// QGL::ColorIndex
    {27, 8, 3},	// QGL::DepthBuffer
    {27, 9, 9},	// QGL::DirectRendering
    {27, 10, 2},	// QGL::DoubleBuffer
    {27, 14, 10},	// QGL::HasOverlay
    {27, 16, 19},	// QGL::IndirectRendering
    {27, 22, 16},	// QGL::NoAccumBuffer
    {27, 23, 15},	// QGL::NoAlphaChannel
    {27, 26, 13},	// QGL::NoDepthBuffer
    {27, 27, 20},	// QGL::NoOverlay
    {27, 28, 21},	// QGL::NoSampleBuffers
    {27, 29, 17},	// QGL::NoStencilBuffer
    {27, 30, 18},	// QGL::NoStereoBuffers
    {27, 93, 4},	// QGL::Rgba
    {27, 94, 11},	// QGL::SampleBuffers
    {27, 95, 12},	// QGL::SingleBuffer
    {27, 96, 7},	// QGL::StencilBuffer
    {27, 97, 8},	// QGL::StereoBuffers
    {27, 693, 1},	// QGL::setPreferredPaintEngine$
    {28, 46, 22},	// QGLColormap::QGLColormap
    {28, 47, 23},	// QGLColormap::QGLColormap#
    {28, 174, 27},	// QGLColormap::detach
    {28, 196, 32},	// QGLColormap::entryColor$
    {28, 198, 31},	// QGLColormap::entryRgb$
    {28, 203, 33},	// QGLColormap::find$
    {28, 205, 34},	// QGLColormap::findNearest$
    {28, 224, 35},	// QGLColormap::handle
    {28, 243, 25},	// QGLColormap::isEmpty
    {28, 303, 24},	// QGLColormap::operator=#
    {28, 669, 37},	// QGLColormap::setEntries$$
    {28, 670, 28},	// QGLColormap::setEntries$$$
    {28, 672, 30},	// QGLColormap::setEntry$#
    {28, 673, 29},	// QGLColormap::setEntry$$
    {28, 679, 36},	// QGLColormap::setHandle$
    {28, 735, 26},	// QGLColormap::size
    {28, 775, 38},	// QGLColormap::~QGLColormap
    {29, 3, 95},	// QGLContext::CanFlipNativePixmapBindOption
    {29, 6, 96},	// QGLContext::DefaultBindOption
    {29, 17, 97},	// QGLContext::InternalBindOption
    {29, 18, 90},	// QGLContext::InvertedYBindOption
    {29, 19, 93},	// QGLContext::LinearFilteringBindOption
    {29, 20, 94},	// QGLContext::MemoryManagedBindOption
    {29, 21, 91},	// QGLContext::MipmapBindOption
    {29, 25, 89},	// QGLContext::NoBindOption
    {29, 45, 92},	// QGLContext::PremultipliedAlphaBindOption
    {29, 49, 40},	// QGLContext::QGLContext#
    {29, 50, 39},	// QGLContext::QGLContext##
    {29, 121, 45},	// QGLContext::areSharing##
    {29, 132, -878},	// QGLContext::bindTexture#
    {29, 133, -881},	// QGLContext::bindTexture#$
    {29, 134, -884},	// QGLContext::bindTexture#$$
    {29, 135, -887},	// QGLContext::bindTexture#$$$
    {29, 136, 56},	// QGLContext::bindTexture$
    {29, 146, 85},	// QGLContext::chooseContext
    {29, 147, 66},	// QGLContext::chooseContext#
    {29, 148, 68},	// QGLContext::chooseVisual
    {29, 151, 75},	// QGLContext::colorIndex#
    {29, 163, 78},	// QGLContext::create
    {29, 164, 41},	// QGLContext::create#
    {29, 165, 65},	// QGLContext::currentContext
    {29, 166, 87},	// QGLContext::currentCtx
    {29, 171, 57},	// QGLContext::deleteTexture$
    {29, 176, 63},	// QGLContext::device
    {29, 177, 69},	// QGLContext::deviceIsPixmap
    {29, 182, 50},	// QGLContext::doneCurrent
    {29, 188, -890},	// QGLContext::drawTexture#$
    {29, 189, -893},	// QGLContext::drawTexture#$$
    {29, 213, 46},	// QGLContext::format
    {29, 216, 74},	// QGLContext::generateFontDisplayLists#$
    {29, 218, 62},	// QGLContext::getProcAddress$
    {29, 237, 72},	// QGLContext::initialized
    {29, 245, 43},	// QGLContext::isSharing
    {29, 246, 42},	// QGLContext::isValid
    {29, 253, 49},	// QGLContext::makeCurrent
    {29, 330, 64},	// QGLContext::overlayTransparentColor
    {29, 610, 47},	// QGLContext::requestedFormat
    {29, 611, 44},	// QGLContext::reset
    {29, 653, 88},	// QGLContext::setCurrentCtx#
    {29, 663, 77},	// QGLContext::setDevice#
    {29, 675, 48},	// QGLContext::setFormat#
    {29, 681, 73},	// QGLContext::setInitialized$
    {29, 711, 60},	// QGLContext::setTextureCacheLimit$
    {29, 727, 76},	// QGLContext::setValid$
    {29, 730, 71},	// QGLContext::setWindowCreated$
    {29, 743, 51},	// QGLContext::swapBuffers
    {29, 749, 61},	// QGLContext::textureCacheLimit
    {29, 762, 86},	// QGLContext::tryVisual#
    {29, 763, 67},	// QGLContext::tryVisual#$
    {29, 773, 70},	// QGLContext::windowCreated
    {29, 776, 98},	// QGLContext::~QGLContext
    {30, 31, 162},	// QGLFormat::OpenGL_ES_CommonLite_Version_1_0
    {30, 32, 164},	// QGLFormat::OpenGL_ES_CommonLite_Version_1_1
    {30, 33, 161},	// QGLFormat::OpenGL_ES_Common_Version_1_0
    {30, 34, 163},	// QGLFormat::OpenGL_ES_Common_Version_1_1
    {30, 35, 165},	// QGLFormat::OpenGL_ES_Version_2_0
    {30, 36, 154},	// QGLFormat::OpenGL_Version_1_1
    {30, 37, 155},	// QGLFormat::OpenGL_Version_1_2
    {30, 38, 156},	// QGLFormat::OpenGL_Version_1_3
    {30, 39, 157},	// QGLFormat::OpenGL_Version_1_4
    {30, 40, 158},	// QGLFormat::OpenGL_Version_1_5
    {30, 41, 159},	// QGLFormat::OpenGL_Version_2_0
    {30, 42, 160},	// QGLFormat::OpenGL_Version_2_1
    {30, 43, 166},	// QGLFormat::OpenGL_Version_3_0
    {30, 44, 153},	// QGLFormat::OpenGL_Version_None
    {30, 51, 99},	// QGLFormat::QGLFormat
    {30, 52, 101},	// QGLFormat::QGLFormat#
    {30, 53, 152},	// QGLFormat::QGLFormat$
    {30, 54, 100},	// QGLFormat::QGLFormat$$
    {30, 108, 131},	// QGLFormat::accum
    {30, 109, 106},	// QGLFormat::accumBufferSize
    {30, 118, 129},	// QGLFormat::alpha
    {30, 119, 114},	// QGLFormat::alphaBufferSize
    {30, 143, 112},	// QGLFormat::blueBufferSize
    {30, 168, 145},	// QGLFormat::defaultFormat
    {30, 169, 147},	// QGLFormat::defaultOverlayFormat
    {30, 172, 125},	// QGLFormat::depth
    {30, 173, 104},	// QGLFormat::depthBufferSize
    {30, 178, 137},	// QGLFormat::directRendering
    {30, 183, 123},	// QGLFormat::doubleBuffer
    {30, 223, 110},	// QGLFormat::greenBufferSize
    {30, 225, 149},	// QGLFormat::hasOpenGL
    {30, 228, 150},	// QGLFormat::hasOpenGLOverlays
    {30, 232, 139},	// QGLFormat::hasOverlay
    {30, 264, 151},	// QGLFormat::openGLVersionFlags
    {30, 303, 102},	// QGLFormat::operator=#
    {30, 337, 141},	// QGLFormat::plane
    {30, 593, 108},	// QGLFormat::redBufferSize
    {30, 618, 127},	// QGLFormat::rgba
    {30, 619, 118},	// QGLFormat::sampleBuffers
    {30, 620, 120},	// QGLFormat::samples
    {30, 622, 132},	// QGLFormat::setAccum$
    {30, 624, 105},	// QGLFormat::setAccumBufferSize$
    {30, 626, 130},	// QGLFormat::setAlpha$
    {30, 628, 113},	// QGLFormat::setAlphaBufferSize$
    {30, 645, 111},	// QGLFormat::setBlueBufferSize$
    {30, 655, 146},	// QGLFormat::setDefaultFormat#
    {30, 657, 148},	// QGLFormat::setDefaultOverlayFormat#
    {30, 659, 126},	// QGLFormat::setDepth$
    {30, 661, 103},	// QGLFormat::setDepthBufferSize$
    {30, 665, 138},	// QGLFormat::setDirectRendering$
    {30, 667, 124},	// QGLFormat::setDoubleBuffer$
    {30, 677, 109},	// QGLFormat::setGreenBufferSize$
    {30, 687, 143},	// QGLFormat::setOption$
    {30, 689, 140},	// QGLFormat::setOverlay$
    {30, 691, 142},	// QGLFormat::setPlane$
    {30, 695, 107},	// QGLFormat::setRedBufferSize$
    {30, 697, 128},	// QGLFormat::setRgba$
    {30, 699, 117},	// QGLFormat::setSampleBuffers$
    {30, 701, 119},	// QGLFormat::setSamples$
    {30, 703, 134},	// QGLFormat::setStencil$
    {30, 705, 115},	// QGLFormat::setStencilBufferSize$
    {30, 707, 136},	// QGLFormat::setStereo$
    {30, 709, 121},	// QGLFormat::setSwapInterval$
    {30, 739, 133},	// QGLFormat::stencil
    {30, 740, 116},	// QGLFormat::stencilBufferSize
    {30, 741, 135},	// QGLFormat::stereo
    {30, 744, 122},	// QGLFormat::swapInterval
    {30, 747, 144},	// QGLFormat::testOption$
    {30, 777, 167},	// QGLFormat::~QGLFormat
    {31, 5, 203},	// QGLFramebufferObject::CombinedDepthStencil
    {31, 7, 204},	// QGLFramebufferObject::Depth
    {31, 24, 202},	// QGLFramebufferObject::NoAttachment
    {31, 56, 192},	// QGLFramebufferObject::QGLFramebufferObject#
    {31, 57, 172},	// QGLFramebufferObject::QGLFramebufferObject##
    {31, 58, -1},	// QGLFramebufferObject::QGLFramebufferObject#$
    {31, 59, 195},	// QGLFramebufferObject::QGLFramebufferObject#$$
    {31, 60, 170},	// QGLFramebufferObject::QGLFramebufferObject#$$$
    {31, 61, 193},	// QGLFramebufferObject::QGLFramebufferObject$$
    {31, 62, 173},	// QGLFramebufferObject::QGLFramebufferObject$$#
    {31, 63, -4},	// QGLFramebufferObject::QGLFramebufferObject$$$
    {31, 64, 197},	// QGLFramebufferObject::QGLFramebufferObject$$$$
    {31, 65, 171},	// QGLFramebufferObject::QGLFramebufferObject$$$$$
    {31, 122, 182},	// QGLFramebufferObject::attachment
    {31, 127, 177},	// QGLFramebufferObject::bind
    {31, 140, 200},	// QGLFramebufferObject::blitFramebuffer####
    {31, 141, 201},	// QGLFramebufferObject::blitFramebuffer####$
    {31, 142, 189},	// QGLFramebufferObject::blitFramebuffer####$$
    {31, 175, 191},	// QGLFramebufferObject::devType
    {31, 188, -7},	// QGLFramebufferObject::drawTexture#$
    {31, 189, -10},	// QGLFramebufferObject::drawTexture#$$
    {31, 213, 174},	// QGLFramebufferObject::format
    {31, 224, 184},	// QGLFramebufferObject::handle
    {31, 226, 188},	// QGLFramebufferObject::hasOpenGLFramebufferBlit
    {31, 227, 185},	// QGLFramebufferObject::hasOpenGLFramebufferObjects
    {31, 241, 176},	// QGLFramebufferObject::isBound
    {31, 246, 175},	// QGLFramebufferObject::isValid
    {31, 257, 190},	// QGLFramebufferObject::metric$
    {31, 331, 183},	// QGLFramebufferObject::paintEngine
    {31, 594, 178},	// QGLFramebufferObject::release
    {31, 735, 180},	// QGLFramebufferObject::size
    {31, 748, 179},	// QGLFramebufferObject::texture
    {31, 752, 181},	// QGLFramebufferObject::toImage
    {31, 778, 205},	// QGLFramebufferObject::~QGLFramebufferObject
    {32, 66, 206},	// QGLFramebufferObjectFormat::QGLFramebufferObjectFormat
    {32, 67, 207},	// QGLFramebufferObjectFormat::QGLFramebufferObjectFormat#
    {32, 122, 212},	// QGLFramebufferObjectFormat::attachment
    {32, 240, 216},	// QGLFramebufferObjectFormat::internalTextureFormat
    {32, 266, 218},	// QGLFramebufferObjectFormat::operator!=#
    {32, 303, 208},	// QGLFramebufferObjectFormat::operator=#
    {32, 305, 217},	// QGLFramebufferObjectFormat::operator==#
    {32, 620, 210},	// QGLFramebufferObjectFormat::samples
    {32, 630, 211},	// QGLFramebufferObjectFormat::setAttachment$
    {32, 683, 215},	// QGLFramebufferObjectFormat::setInternalTextureFormat$
    {32, 701, 209},	// QGLFramebufferObjectFormat::setSamples$
    {32, 713, 213},	// QGLFramebufferObjectFormat::setTextureTarget$
    {32, 750, 214},	// QGLFramebufferObjectFormat::textureTarget
    {32, 779, 219},	// QGLFramebufferObjectFormat::~QGLFramebufferObjectFormat
    {33, 69, 243},	// QGLPixelBuffer::QGLPixelBuffer#
    {33, 70, 244},	// QGLPixelBuffer::QGLPixelBuffer##
    {33, 71, 220},	// QGLPixelBuffer::QGLPixelBuffer###
    {33, 72, 245},	// QGLPixelBuffer::QGLPixelBuffer$$
    {33, 73, 246},	// QGLPixelBuffer::QGLPixelBuffer$$#
    {33, 74, 221},	// QGLPixelBuffer::QGLPixelBuffer$$##
    {33, 132, -674},	// QGLPixelBuffer::bindTexture#
    {33, 133, -677},	// QGLPixelBuffer::bindTexture#$
    {33, 136, 231},	// QGLPixelBuffer::bindTexture$
    {33, 138, 226},	// QGLPixelBuffer::bindToDynamicTexture$
    {33, 171, 232},	// QGLPixelBuffer::deleteTexture$
    {33, 175, 242},	// QGLPixelBuffer::devType
    {33, 182, 224},	// QGLPixelBuffer::doneCurrent
    {33, 188, -680},	// QGLPixelBuffer::drawTexture#$
    {33, 189, -683},	// QGLPixelBuffer::drawTexture#$$
    {33, 213, 239},	// QGLPixelBuffer::format
    {33, 214, 225},	// QGLPixelBuffer::generateDynamicTexture
    {33, 224, 236},	// QGLPixelBuffer::handle
    {33, 229, 240},	// QGLPixelBuffer::hasOpenGLPbuffers
    {33, 246, 222},	// QGLPixelBuffer::isValid
    {33, 253, 223},	// QGLPixelBuffer::makeCurrent
    {33, 257, 241},	// QGLPixelBuffer::metric$
    {33, 331, 238},	// QGLPixelBuffer::paintEngine
    {33, 595, 227},	// QGLPixelBuffer::releaseFromDynamicTexture
    {33, 735, 235},	// QGLPixelBuffer::size
    {33, 752, 237},	// QGLPixelBuffer::toImage
    {33, 768, 228},	// QGLPixelBuffer::updateDynamicTexture$
    {33, 780, 251},	// QGLPixelBuffer::~QGLPixelBuffer
    {34, 13, 276},	// QGLShader::Fragment
    {34, 76, 272},	// QGLShader::QGLShader$
    {34, 77, -872},	// QGLShader::QGLShader$#
    {34, 78, 260},	// QGLShader::QGLShader$##
    {34, 98, 275},	// QGLShader::Vertex
    {34, 154, 263},	// QGLShader::compileSourceCode#
    {34, 155, -875},	// QGLShader::compileSourceCode$
    {34, 157, 265},	// QGLShader::compileSourceFile$
    {34, 242, 267},	// QGLShader::isCompiled
    {34, 252, 268},	// QGLShader::log
    {34, 255, 252},	// QGLShader::metaObject
    {34, 581, 258},	// QGLShader::qt_metacall$$?
    {34, 583, 253},	// QGLShader::qt_metacast$
    {34, 731, 269},	// QGLShader::shaderId
    {34, 732, 261},	// QGLShader::shaderType
    {34, 737, 266},	// QGLShader::sourceCode
    {34, 738, 274},	// QGLShader::staticMetaObject
    {34, 754, 270},	// QGLShader::tr$
    {34, 755, 254},	// QGLShader::tr$$
    {34, 756, 256},	// QGLShader::tr$$$
    {34, 758, 271},	// QGLShader::trUtf8$
    {34, 759, 255},	// QGLShader::trUtf8$$
    {34, 760, 257},	// QGLShader::trUtf8$$$
    {34, 781, 277},	// QGLShader::~QGLShader
    {35, 79, 423},	// QGLShaderProgram::QGLShaderProgram
    {35, 80, -686},	// QGLShaderProgram::QGLShaderProgram#
    {35, 81, 286},	// QGLShaderProgram::QGLShaderProgram##
    {35, 112, 287},	// QGLShaderProgram::addShader#
    {35, 114, 291},	// QGLShaderProgram::addShaderFromSourceCode$#
    {35, 115, -689},	// QGLShaderProgram::addShaderFromSourceCode$$
    {35, 117, 293},	// QGLShaderProgram::addShaderFromSourceFile$$
    {35, 124, 305},	// QGLShaderProgram::attributeLocation#
    {35, 125, -692},	// QGLShaderProgram::attributeLocation$
    {35, 127, 298},	// QGLShaderProgram::bind
    {35, 129, 302},	// QGLShaderProgram::bindAttributeLocation#$
    {35, 130, -695},	// QGLShaderProgram::bindAttributeLocation$$
    {35, 180, -698},	// QGLShaderProgram::disableAttributeArray$
    {35, 192, -701},	// QGLShaderProgram::enableAttributeArray$
    {35, 230, 433},	// QGLShaderProgram::hasOpenGLShaderPrograms
    {35, 231, 420},	// QGLShaderProgram::hasOpenGLShaderPrograms#
    {35, 244, 296},	// QGLShaderProgram::isLinked
    {35, 251, 295},	// QGLShaderProgram::link
    {35, 252, 297},	// QGLShaderProgram::log
    {35, 255, 278},	// QGLShaderProgram::metaObject
    {35, 338, 300},	// QGLShaderProgram::programId
    {35, 581, 284},	// QGLShaderProgram::qt_metacall$$?
    {35, 583, 279},	// QGLShaderProgram::qt_metacast$
    {35, 594, 299},	// QGLShaderProgram::release
    {35, 596, 294},	// QGLShaderProgram::removeAllShaders
    {35, 598, 288},	// QGLShaderProgram::removeShader#
    {35, 632, -704},	// QGLShaderProgram::setAttributeArray$#
    {35, 633, -711},	// QGLShaderProgram::setAttributeArray$#$
    {35, 634, -718},	// QGLShaderProgram::setAttributeArray$$$
    {35, 635, -721},	// QGLShaderProgram::setAttributeArray$$$$
    {35, 637, -724},	// QGLShaderProgram::setAttributeValue$#
    {35, 638, -733},	// QGLShaderProgram::setAttributeValue$$
    {35, 639, -736},	// QGLShaderProgram::setAttributeValue$$$
    {35, 640, -739},	// QGLShaderProgram::setAttributeValue$$$$
    {35, 641, -744},	// QGLShaderProgram::setAttributeValue$$$$$
    {35, 715, -747},	// QGLShaderProgram::setUniformValue$#
    {35, 716, -768},	// QGLShaderProgram::setUniformValue$$
    {35, 717, -777},	// QGLShaderProgram::setUniformValue$$$
    {35, 718, -780},	// QGLShaderProgram::setUniformValue$$$$
    {35, 719, -783},	// QGLShaderProgram::setUniformValue$$$$$
    {35, 720, -786},	// QGLShaderProgram::setUniformValue$?
    {35, 722, -803},	// QGLShaderProgram::setUniformValueArray$#$
    {35, 723, -812},	// QGLShaderProgram::setUniformValueArray$$$
    {35, 724, -817},	// QGLShaderProgram::setUniformValueArray$$$$
    {35, 725, -820},	// QGLShaderProgram::setUniformValueArray$?$
    {35, 733, 289},	// QGLShaderProgram::shaders
    {35, 738, 434},	// QGLShaderProgram::staticMetaObject
    {35, 754, 421},	// QGLShaderProgram::tr$
    {35, 755, 280},	// QGLShaderProgram::tr$$
    {35, 756, 282},	// QGLShaderProgram::tr$$$
    {35, 758, 422},	// QGLShaderProgram::trUtf8$
    {35, 759, 281},	// QGLShaderProgram::trUtf8$$
    {35, 760, 283},	// QGLShaderProgram::trUtf8$$$
    {35, 765, 338},	// QGLShaderProgram::uniformLocation#
    {35, 766, -837},	// QGLShaderProgram::uniformLocation$
    {35, 782, 435},	// QGLShaderProgram::~QGLShaderProgram
    {36, 82, 495},	// QGLWidget::QGLWidget
    {36, 83, -840},	// QGLWidget::QGLWidget#
    {36, 84, -844},	// QGLWidget::QGLWidget##
    {36, 85, -848},	// QGLWidget::QGLWidget###
    {36, 86, -851},	// QGLWidget::QGLWidget###$
    {36, 87, 443},	// QGLWidget::QGLWidget##$
    {36, 126, 487},	// QGLWidget::autoBufferSwap
    {36, 132, -854},	// QGLWidget::bindTexture#
    {36, 133, -857},	// QGLWidget::bindTexture#$
    {36, 134, -860},	// QGLWidget::bindTexture#$$
    {36, 135, -863},	// QGLWidget::bindTexture#$$$
    {36, 136, 473},	// QGLWidget::bindTexture$
    {36, 152, 464},	// QGLWidget::colormap
    {36, 159, 456},	// QGLWidget::context
    {36, 162, 462},	// QGLWidget::convertToGLFormat#
    {36, 171, 474},	// QGLWidget::deleteTexture$
    {36, 182, 451},	// QGLWidget::doneCurrent
    {36, 183, 452},	// QGLWidget::doubleBuffer
    {36, 188, -866},	// QGLWidget::drawTexture#$
    {36, 189, -869},	// QGLWidget::drawTexture#$$
    {36, 200, 479},	// QGLWidget::event#
    {36, 211, 520},	// QGLWidget::fontDisplayListBase#
    {36, 212, 492},	// QGLWidget::fontDisplayListBase#$
    {36, 213, 454},	// QGLWidget::format
    {36, 219, 491},	// QGLWidget::glDraw
    {36, 220, 490},	// QGLWidget::glInit
    {36, 221, 509},	// QGLWidget::grabFrameBuffer
    {36, 222, 459},	// QGLWidget::grabFrameBuffer$
    {36, 235, 480},	// QGLWidget::initializeGL
    {36, 236, 483},	// QGLWidget::initializeOverlayGL
    {36, 245, 449},	// QGLWidget::isSharing
    {36, 246, 448},	// QGLWidget::isValid
    {36, 253, 450},	// QGLWidget::makeCurrent
    {36, 254, 460},	// QGLWidget::makeOverlayCurrent
    {36, 255, 436},	// QGLWidget::metaObject
    {36, 329, 461},	// QGLWidget::overlayContext
    {36, 331, 468},	// QGLWidget::paintEngine
    {36, 333, 488},	// QGLWidget::paintEvent#
    {36, 334, 482},	// QGLWidget::paintGL
    {36, 335, 485},	// QGLWidget::paintOverlayGL
    {36, 536, 447},	// QGLWidget::qglClearColor#
    {36, 538, 446},	// QGLWidget::qglColor#
    {36, 581, 442},	// QGLWidget::qt_metacall$$?
    {36, 583, 437},	// QGLWidget::qt_metacast$
    {36, 599, 506},	// QGLWidget::renderPixmap
    {36, 600, 507},	// QGLWidget::renderPixmap$
    {36, 601, 508},	// QGLWidget::renderPixmap$$
    {36, 602, 458},	// QGLWidget::renderPixmap$$$
    {36, 604, 510},	// QGLWidget::renderText$$$
    {36, 605, 511},	// QGLWidget::renderText$$$#
    {36, 606, 466},	// QGLWidget::renderText$$$#$
    {36, 607, 512},	// QGLWidget::renderText$$$$
    {36, 608, 513},	// QGLWidget::renderText$$$$#
    {36, 609, 467},	// QGLWidget::renderText$$$$#$
    {36, 613, 489},	// QGLWidget::resizeEvent#
    {36, 615, 481},	// QGLWidget::resizeGL$$
    {36, 617, 484},	// QGLWidget::resizeOverlayGL$$
    {36, 643, 486},	// QGLWidget::setAutoBufferSwap$
    {36, 647, 465},	// QGLWidget::setColormap#
    {36, 649, 504},	// QGLWidget::setContext#
    {36, 650, 505},	// QGLWidget::setContext##
    {36, 651, 457},	// QGLWidget::setContext##$
    {36, 675, 455},	// QGLWidget::setFormat#
    {36, 685, 463},	// QGLWidget::setMouseTracking$
    {36, 738, 521},	// QGLWidget::staticMetaObject
    {36, 743, 453},	// QGLWidget::swapBuffers
    {36, 754, 493},	// QGLWidget::tr$
    {36, 755, 438},	// QGLWidget::tr$$
    {36, 756, 440},	// QGLWidget::tr$$$
    {36, 758, 494},	// QGLWidget::trUtf8$
    {36, 759, 439},	// QGLWidget::trUtf8$$
    {36, 760, 441},	// QGLWidget::trUtf8$$$
    {36, 769, 477},	// QGLWidget::updateGL
    {36, 770, 478},	// QGLWidget::updateOverlayGL
    {36, 783, 522},	// QGLWidget::~QGLWidget
    {37, 88, 1318},	// QGlobalSpace::QtCriticalMsg
    {37, 89, 1316},	// QGlobalSpace::QtDebugMsg
    {37, 90, 1319},	// QGlobalSpace::QtFatalMsg
    {37, 91, 1320},	// QGlobalSpace::QtSystemMsg
    {37, 92, 1317},	// QGlobalSpace::QtWarningMsg
    {37, 99, 1311},	// QGlobalSpace::_IEEE_
    {37, 100, 1315},	// QGlobalSpace::_ISOC_
    {37, 101, 1314},	// QGlobalSpace::_POSIX_
    {37, 102, 1312},	// QGlobalSpace::_SVID_
    {37, 103, 1313},	// QGlobalSpace::_XOPEN_
    {37, 104, 1323},	// QGlobalSpace::__codecvt_error
    {37, 105, 1324},	// QGlobalSpace::__codecvt_noconv
    {37, 106, 1321},	// QGlobalSpace::__codecvt_ok
    {37, 107, 1322},	// QGlobalSpace::__codecvt_partial
    {37, 267, -13},	// QGlobalSpace::operator!=##
    {37, 268, -35},	// QGlobalSpace::operator!=#$
    {37, 269, -41},	// QGlobalSpace::operator!=$#
    {37, 270, 738},	// QGlobalSpace::operator!=$$
    {37, 272, 926},	// QGlobalSpace::operator&##
    {37, 274, -48},	// QGlobalSpace::operator*##
    {37, 275, -78},	// QGlobalSpace::operator*#$
    {37, 276, -89},	// QGlobalSpace::operator*$#
    {37, 278, -99},	// QGlobalSpace::operator+##
    {37, 279, -110},	// QGlobalSpace::operator+#$
    {37, 280, -116},	// QGlobalSpace::operator+$#
    {37, 281, -121},	// QGlobalSpace::operator+$$
    {37, 283, -127},	// QGlobalSpace::operator-#
    {37, 284, -135},	// QGlobalSpace::operator-##
    {37, 285, 616},	// QGlobalSpace::operator-#$
    {37, 287, -145},	// QGlobalSpace::operator/#$
    {37, 289, -156},	// QGlobalSpace::operator<##
    {37, 290, 991},	// QGlobalSpace::operator<#$
    {37, 291, -161},	// QGlobalSpace::operator<$#
    {37, 292, 651},	// QGlobalSpace::operator<$$
    {37, 294, -164},	// QGlobalSpace::operator<<##
    {37, 295, -256},	// QGlobalSpace::operator<<#$
    {37, 296, 952},	// QGlobalSpace::operator<<#?
    {37, 298, -267},	// QGlobalSpace::operator<=##
    {37, 299, 709},	// QGlobalSpace::operator<=#$
    {37, 300, -272},	// QGlobalSpace::operator<=$#
    {37, 301, 1021},	// QGlobalSpace::operator<=$$
    {37, 306, -275},	// QGlobalSpace::operator==##
    {37, 307, -298},	// QGlobalSpace::operator==#$
    {37, 308, -305},	// QGlobalSpace::operator==$#
    {37, 309, 1281},	// QGlobalSpace::operator==$$
    {37, 311, -313},	// QGlobalSpace::operator>##
    {37, 312, 1299},	// QGlobalSpace::operator>#$
    {37, 313, -318},	// QGlobalSpace::operator>$#
    {37, 314, 871},	// QGlobalSpace::operator>$$
    {37, 316, -321},	// QGlobalSpace::operator>=##
    {37, 317, 557},	// QGlobalSpace::operator>=#$
    {37, 318, -326},	// QGlobalSpace::operator>=$#
    {37, 319, 1293},	// QGlobalSpace::operator>=$$
    {37, 321, -329},	// QGlobalSpace::operator>>##
    {37, 322, -380},	// QGlobalSpace::operator>>#$
    {37, 323, 826},	// QGlobalSpace::operator>>#?
    {37, 325, 713},	// QGlobalSpace::operator^##
    {37, 327, 1149},	// QGlobalSpace::operator|##
    {37, 328, -383},	// QGlobalSpace::operator|$$
    {37, 339, 909},	// QGlobalSpace::qAccessibleActionCastHelper
    {37, 340, 611},	// QGlobalSpace::qAccessibleEditableTextCastHelper
    {37, 341, 1017},	// QGlobalSpace::qAccessibleImageCastHelper
    {37, 342, 782},	// QGlobalSpace::qAccessibleTableCastHelper
    {37, 343, 694},	// QGlobalSpace::qAccessibleTextCastHelper
    {37, 344, 524},	// QGlobalSpace::qAccessibleValueCastHelper
    {37, 346, 1094},	// QGlobalSpace::qAcos$
    {37, 348, 964},	// QGlobalSpace::qAddPostRoutine$
    {37, 350, 648},	// QGlobalSpace::qAlpha$
    {37, 351, 976},	// QGlobalSpace::qAppName
    {37, 353, 1137},	// QGlobalSpace::qAsin$
    {37, 355, 1196},	// QGlobalSpace::qAtan$
    {37, 357, 555},	// QGlobalSpace::qAtan2$$
    {37, 358, 1102},	// QGlobalSpace::qBadAlloc
    {37, 360, 833},	// QGlobalSpace::qBlue$
    {37, 362, 1008},	// QGlobalSpace::qCeil$
    {37, 364, 818},	// QGlobalSpace::qChecksum$$
    {37, 366, 1116},	// QGlobalSpace::qCompress#
    {37, 367, 1115},	// QGlobalSpace::qCompress#$
    {37, 368, 966},	// QGlobalSpace::qCompress$$
    {37, 369, 965},	// QGlobalSpace::qCompress$$$
    {37, 371, 600},	// QGlobalSpace::qCos$
    {37, 372, 937},	// QGlobalSpace::qCritical
    {37, 373, 1028},	// QGlobalSpace::qDebug
    {37, 375, 819},	// QGlobalSpace::qDrawBorderPixmap####
    {37, 376, 1284},	// QGlobalSpace::qDrawBorderPixmap######
    {37, 377, 1285},	// QGlobalSpace::qDrawBorderPixmap#######
    {37, 378, 1283},	// QGlobalSpace::qDrawBorderPixmap#######$
    {37, 380, 950},	// QGlobalSpace::qDrawPixmaps##$#
    {37, 381, 949},	// QGlobalSpace::qDrawPixmaps##$#$
    {37, 383, 1178},	// QGlobalSpace::qDrawPlainRect###
    {37, 384, 1179},	// QGlobalSpace::qDrawPlainRect###$
    {37, 385, 1177},	// QGlobalSpace::qDrawPlainRect###$#
    {37, 386, 785},	// QGlobalSpace::qDrawPlainRect#$$$$#
    {37, 387, 786},	// QGlobalSpace::qDrawPlainRect#$$$$#$
    {37, 388, 784},	// QGlobalSpace::qDrawPlainRect#$$$$#$#
    {37, 390, 1206},	// QGlobalSpace::qDrawShadeLine####
    {37, 391, 1207},	// QGlobalSpace::qDrawShadeLine####$
    {37, 392, 1208},	// QGlobalSpace::qDrawShadeLine####$$
    {37, 393, 1205},	// QGlobalSpace::qDrawShadeLine####$$$
    {37, 394, 1131},	// QGlobalSpace::qDrawShadeLine#$$$$#
    {37, 395, 1132},	// QGlobalSpace::qDrawShadeLine#$$$$#$
    {37, 396, 1133},	// QGlobalSpace::qDrawShadeLine#$$$$#$$
    {37, 397, 1130},	// QGlobalSpace::qDrawShadeLine#$$$$#$$$
    {37, 399, 857},	// QGlobalSpace::qDrawShadePanel###
    {37, 400, 858},	// QGlobalSpace::qDrawShadePanel###$
    {37, 401, 859},	// QGlobalSpace::qDrawShadePanel###$$
    {37, 402, 856},	// QGlobalSpace::qDrawShadePanel###$$#
    {37, 403, 881},	// QGlobalSpace::qDrawShadePanel#$$$$#
    {37, 404, 882},	// QGlobalSpace::qDrawShadePanel#$$$$#$
    {37, 405, 883},	// QGlobalSpace::qDrawShadePanel#$$$$#$$
    {37, 406, 880},	// QGlobalSpace::qDrawShadePanel#$$$$#$$#
    {37, 408, 806},	// QGlobalSpace::qDrawShadeRect###
    {37, 409, 807},	// QGlobalSpace::qDrawShadeRect###$
    {37, 410, 808},	// QGlobalSpace::qDrawShadeRect###$$
    {37, 411, 809},	// QGlobalSpace::qDrawShadeRect###$$$
    {37, 412, 805},	// QGlobalSpace::qDrawShadeRect###$$$#
    {37, 413, 1106},	// QGlobalSpace::qDrawShadeRect#$$$$#
    {37, 414, 1107},	// QGlobalSpace::qDrawShadeRect#$$$$#$
    {37, 415, 1108},	// QGlobalSpace::qDrawShadeRect#$$$$#$$
    {37, 416, 1109},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$
    {37, 417, 1105},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$#
    {37, 419, 839},	// QGlobalSpace::qDrawWinButton###
    {37, 420, 840},	// QGlobalSpace::qDrawWinButton###$
    {37, 421, 838},	// QGlobalSpace::qDrawWinButton###$#
    {37, 422, 1153},	// QGlobalSpace::qDrawWinButton#$$$$#
    {37, 423, 1154},	// QGlobalSpace::qDrawWinButton#$$$$#$
    {37, 424, 1152},	// QGlobalSpace::qDrawWinButton#$$$$#$#
    {37, 426, 1077},	// QGlobalSpace::qDrawWinPanel###
    {37, 427, 1078},	// QGlobalSpace::qDrawWinPanel###$
    {37, 428, 1076},	// QGlobalSpace::qDrawWinPanel###$#
    {37, 429, 630},	// QGlobalSpace::qDrawWinPanel#$$$$#
    {37, 430, 631},	// QGlobalSpace::qDrawWinPanel#$$$$#$
    {37, 431, 629},	// QGlobalSpace::qDrawWinPanel#$$$$#$#
    {37, 433, 800},	// QGlobalSpace::qExp$
    {37, 435, 1082},	// QGlobalSpace::qFabs$
    {37, 437, 729},	// QGlobalSpace::qFastCos$
    {37, 439, 969},	// QGlobalSpace::qFastSin$
    {37, 441, 745},	// QGlobalSpace::qFlagLocation$
    {37, 443, 682},	// QGlobalSpace::qFloor$
    {37, 445, 981},	// QGlobalSpace::qFree$
    {37, 447, 986},	// QGlobalSpace::qFreeAligned$
    {37, 449, -624},	// QGlobalSpace::qFuzzyCompare##
    {37, 450, -632},	// QGlobalSpace::qFuzzyCompare$$
    {37, 452, -635},	// QGlobalSpace::qFuzzyIsNull$
    {37, 454, 751},	// QGlobalSpace::qGray$
    {37, 455, 652},	// QGlobalSpace::qGray$$$
    {37, 457, 1034},	// QGlobalSpace::qGreen$
    {37, 459, -638},	// QGlobalSpace::qHash#
    {37, 460, -646},	// QGlobalSpace::qHash$
    {37, 461, 1245},	// QGlobalSpace::qInf
    {37, 463, 724},	// QGlobalSpace::qInstallMsgHandler$
    {37, 465, -659},	// QGlobalSpace::qIntCast$
    {37, 467, -662},	// QGlobalSpace::qIsFinite$
    {37, 469, 1171},	// QGlobalSpace::qIsGray$
    {37, 471, -665},	// QGlobalSpace::qIsInf$
    {37, 473, -668},	// QGlobalSpace::qIsNaN$
    {37, 475, -671},	// QGlobalSpace::qIsNull$
    {37, 477, 803},	// QGlobalSpace::qLn$
    {37, 479, 823},	// QGlobalSpace::qMalloc$
    {37, 481, 1029},	// QGlobalSpace::qMallocAligned$$
    {37, 483, 534},	// QGlobalSpace::qMemCopy$$$
    {37, 485, 1073},	// QGlobalSpace::qMemSet$$$
    {37, 487, 1035},	// QGlobalSpace::qPow$$
    {37, 488, 824},	// QGlobalSpace::qQNaN
    {37, 490, 716},	// QGlobalSpace::qRealloc$$
    {37, 492, 700},	// QGlobalSpace::qReallocAligned$$$$
    {37, 494, 679},	// QGlobalSpace::qRed$
    {37, 496, 814},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {37, 498, 1259},	// QGlobalSpace::qRemovePostRoutine$
    {37, 500, 769},	// QGlobalSpace::qRgb$$$
    {37, 502, 936},	// QGlobalSpace::qRgba$$$$
    {37, 504, 1244},	// QGlobalSpace::qRound$
    {37, 506, 723},	// QGlobalSpace::qRound64$
    {37, 507, 1212},	// QGlobalSpace::qSNaN
    {37, 509, 674},	// QGlobalSpace::qSetFieldWidth$
    {37, 511, 567},	// QGlobalSpace::qSetPadChar#
    {37, 513, 801},	// QGlobalSpace::qSetRealNumberPrecision$
    {37, 514, 605},	// QGlobalSpace::qSharedBuild
    {37, 516, 1144},	// QGlobalSpace::qSin$
    {37, 518, 725},	// QGlobalSpace::qSqrt$
    {37, 520, 1013},	// QGlobalSpace::qStringComparisonHelper#$
    {37, 521, 550},	// QGlobalSpace::qStringComparisonHelper$$
    {37, 523, 671},	// QGlobalSpace::qTan$
    {37, 525, 901},	// QGlobalSpace::qUncompress#
    {37, 526, 669},	// QGlobalSpace::qUncompress$$
    {37, 527, 977},	// QGlobalSpace::qVersion
    {37, 528, 1269},	// QGlobalSpace::qWarning
    {37, 530, 692},	// QGlobalSpace::qbswap_helper$$$
    {37, 532, 1090},	// QGlobalSpace::qgcvt$$$
    {37, 534, 559},	// QGlobalSpace::qgetenv$
    {37, 540, 827},	// QGlobalSpace::qputenv$#
    {37, 541, 919},	// QGlobalSpace::qrand
    {37, 543, 935},	// QGlobalSpace::qsort$$$?
    {37, 545, 841},	// QGlobalSpace::qsrand$
    {37, 547, 1085},	// QGlobalSpace::qstrcmp##
    {37, 548, 1257},	// QGlobalSpace::qstrcmp#$
    {37, 549, 552},	// QGlobalSpace::qstrcmp$#
    {37, 550, 597},	// QGlobalSpace::qstrcmp$$
    {37, 552, 790},	// QGlobalSpace::qstrcpy$$
    {37, 554, 1014},	// QGlobalSpace::qstrdup$
    {37, 556, 1240},	// QGlobalSpace::qstricmp$$
    {37, 558, 1270},	// QGlobalSpace::qstrlen$
    {37, 560, 670},	// QGlobalSpace::qstrncmp$$$
    {37, 562, 896},	// QGlobalSpace::qstrncpy$$$
    {37, 564, 860},	// QGlobalSpace::qstrnicmp$$$
    {37, 566, 533},	// QGlobalSpace::qstrnlen$$
    {37, 568, 1164},	// QGlobalSpace::qtTrId$
    {37, 569, 1163},	// QGlobalSpace::qtTrId$$
    {37, 571, 760},	// QGlobalSpace::qt_assert$$$
    {37, 573, 925},	// QGlobalSpace::qt_assert_x$$$$
    {37, 575, 1075},	// QGlobalSpace::qt_check_pointer$$
    {37, 576, 661},	// QGlobalSpace::qt_error_string
    {37, 577, 660},	// QGlobalSpace::qt_error_string$
    {37, 579, 1290},	// QGlobalSpace::qt_message_output$$
    {37, 584, 535},	// QGlobalSpace::qt_noop
    {37, 586, 879},	// QGlobalSpace::qt_qFindChild_helper#$#
    {37, 588, 1194},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {37, 590, 1186},	// QGlobalSpace::qvariant_cast_helper#$$
    {37, 592, 1069},	// QGlobalSpace::qvsnprintf$$$?
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtopengl_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtopengl_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtopengl_Smoke = new Smoke(
        "qtopengl",
        __smokeqtopengl::classes, 112,
        __smokeqtopengl::methods, 1374,
        __smokeqtopengl::methodMaps, 612,
        __smokeqtopengl::methodNames, 783,
        __smokeqtopengl::types, 508,
        __smokeqtopengl::inheritanceList,
        __smokeqtopengl::argumentList,
        __smokeqtopengl::ambiguousMethodList,
        __smokeqtopengl::cast );
    initialized = true;
}

void delete_qtopengl_Smoke() { delete qtopengl_Smoke; }

}
