#include <qtsql_includes.h>

#include <smoke.h>
#include <qtsql_smoke.h>

namespace __smokeqtsql {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractItemModel
      switch(to) {
        case 27: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)(QAbstractItemModel*)xptr;
        case 46: return (void*)(QSqlQueryModel*)(QAbstractItemModel*)xptr;
        case 51: return (void*)(QSqlTableModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 2:   //QAbstractTableModel
      switch(to) {
        case 1: return (void*)(QAbstractItemModel*)(QAbstractTableModel*)xptr;
        case 27: return (void*)(QObject*)(QAbstractTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)(QAbstractTableModel*)xptr;
        case 46: return (void*)(QSqlQueryModel*)(QAbstractTableModel*)xptr;
        case 51: return (void*)(QSqlTableModel*)(QAbstractTableModel*)xptr;
        default: return xptr;
      }
    case 3:   //QBitArray
      switch(to) {
        case 3: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 4:   //QBool
      switch(to) {
        case 4: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 5:   //QByteArray
      switch(to) {
        case 5: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 6:   //QChar
      switch(to) {
        case 6: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 7:   //QChildEvent
      switch(to) {
        case 14: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 7: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDataStream
      switch(to) {
        case 8: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 9:   //QDate
      switch(to) {
        case 9: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 10:   //QDateTime
      switch(to) {
        case 10: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 11:   //QDebug
      switch(to) {
        case 11: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 12:   //QDir
      switch(to) {
        case 12: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 13:   //QEasingCurve
      switch(to) {
        case 13: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 14:   //QEvent
      switch(to) {
        case 14: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QFactoryInterface
      switch(to) {
        case 15: return (void*)(QFactoryInterface*)xptr;
        case 41: return (void*)(QSqlDriverPlugin*)(QFactoryInterface*)xptr;
        case 40: return (void*)(QSqlDriverFactoryInterface*)(QFactoryInterface*)xptr;
        default: return xptr;
      }
    case 17:   //QHashDummyValue
      switch(to) {
        case 17: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 18:   //QIncompatibleFlag
      switch(to) {
        case 18: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 19:   //QLatin1String
      switch(to) {
        case 19: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 20:   //QLine
      switch(to) {
        case 20: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 21:   //QLineF
      switch(to) {
        case 21: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 22:   //QLocale
      switch(to) {
        case 22: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 23:   //QMargins
      switch(to) {
        case 23: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 24:   //QMetaObject
      switch(to) {
        case 24: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 25:   //QMimeData
      switch(to) {
        case 27: return (void*)(QObject*)(QMimeData*)xptr;
        case 25: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 26:   //QModelIndex
      switch(to) {
        case 26: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 27:   //QObject
      switch(to) {
        case 27: return (void*)(QObject*)xptr;
        case 38: return (void*)(QSqlDriver*)(QObject*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)(QObject*)xptr;
        case 41: return (void*)(QSqlDriverPlugin*)(QObject*)xptr;
        case 46: return (void*)(QSqlQueryModel*)(QObject*)xptr;
        case 51: return (void*)(QSqlTableModel*)(QObject*)xptr;
        default: return xptr;
      }
    case 28:   //QPersistentModelIndex
      switch(to) {
        case 28: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 29:   //QPoint
      switch(to) {
        case 29: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 30:   //QPointF
      switch(to) {
        case 30: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 31:   //QRect
      switch(to) {
        case 31: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 32:   //QRectF
      switch(to) {
        case 32: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 33:   //QRegExp
      switch(to) {
        case 33: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 34:   //QSize
      switch(to) {
        case 34: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 35:   //QSizeF
      switch(to) {
        case 35: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 37:   //QSqlDatabase
      switch(to) {
        case 37: return (void*)(QSqlDatabase*)xptr;
        default: return xptr;
      }
    case 38:   //QSqlDriver
      switch(to) {
        case 27: return (void*)(QObject*)(QSqlDriver*)xptr;
        case 38: return (void*)(QSqlDriver*)xptr;
        default: return xptr;
      }
    case 39:   //QSqlDriverCreatorBase
      switch(to) {
        case 39: return (void*)(QSqlDriverCreatorBase*)xptr;
        default: return xptr;
      }
    case 40:   //QSqlDriverFactoryInterface
      switch(to) {
        case 15: return (void*)(QFactoryInterface*)(QSqlDriverFactoryInterface*)xptr;
        case 40: return (void*)(QSqlDriverFactoryInterface*)xptr;
        case 41: return (void*)(QSqlDriverPlugin*)(QSqlDriverFactoryInterface*)xptr;
        default: return xptr;
      }
    case 41:   //QSqlDriverPlugin
      switch(to) {
        case 27: return (void*)(QObject*)(QSqlDriverPlugin*)xptr;
        case 40: return (void*)(QSqlDriverFactoryInterface*)(QSqlDriverPlugin*)xptr;
        case 15: return (void*)(QFactoryInterface*)(QSqlDriverPlugin*)xptr;
        case 41: return (void*)(QSqlDriverPlugin*)xptr;
        default: return xptr;
      }
    case 42:   //QSqlError
      switch(to) {
        case 42: return (void*)(QSqlError*)xptr;
        default: return xptr;
      }
    case 43:   //QSqlField
      switch(to) {
        case 43: return (void*)(QSqlField*)xptr;
        default: return xptr;
      }
    case 44:   //QSqlIndex
      switch(to) {
        case 47: return (void*)(QSqlRecord*)(QSqlIndex*)xptr;
        case 44: return (void*)(QSqlIndex*)xptr;
        default: return xptr;
      }
    case 45:   //QSqlQuery
      switch(to) {
        case 45: return (void*)(QSqlQuery*)xptr;
        default: return xptr;
      }
    case 46:   //QSqlQueryModel
      switch(to) {
        case 2: return (void*)(QAbstractTableModel*)(QSqlQueryModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlQueryModel*)xptr;
        case 27: return (void*)(QObject*)(QSqlQueryModel*)xptr;
        case 46: return (void*)(QSqlQueryModel*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)(QSqlQueryModel*)xptr;
        case 51: return (void*)(QSqlTableModel*)(QSqlQueryModel*)xptr;
        default: return xptr;
      }
    case 47:   //QSqlRecord
      switch(to) {
        case 47: return (void*)(QSqlRecord*)xptr;
        case 44: return (void*)(QSqlIndex*)(QSqlRecord*)xptr;
        default: return xptr;
      }
    case 48:   //QSqlRelation
      switch(to) {
        case 48: return (void*)(QSqlRelation*)xptr;
        default: return xptr;
      }
    case 49:   //QSqlRelationalTableModel
      switch(to) {
        case 51: return (void*)(QSqlTableModel*)(QSqlRelationalTableModel*)xptr;
        case 46: return (void*)(QSqlQueryModel*)(QSqlRelationalTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)(QSqlRelationalTableModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlRelationalTableModel*)xptr;
        case 27: return (void*)(QObject*)(QSqlRelationalTableModel*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)xptr;
        default: return xptr;
      }
    case 50:   //QSqlResult
      switch(to) {
        case 50: return (void*)(QSqlResult*)xptr;
        default: return xptr;
      }
    case 51:   //QSqlTableModel
      switch(to) {
        case 46: return (void*)(QSqlQueryModel*)(QSqlTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)(QSqlTableModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlTableModel*)xptr;
        case 27: return (void*)(QObject*)(QSqlTableModel*)xptr;
        case 51: return (void*)(QSqlTableModel*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)(QSqlTableModel*)xptr;
        default: return xptr;
      }
    case 52:   //QString::Null
      switch(to) {
        case 52: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 53:   //QStringRef
      switch(to) {
        case 53: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 54:   //QTextStream
      switch(to) {
        case 54: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 55:   //QTextStreamManipulator
      switch(to) {
        case 55: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 56:   //QTime
      switch(to) {
        case 56: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 57:   //QTimerEvent
      switch(to) {
        case 14: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 57: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 58:   //QUrl
      switch(to) {
        case 58: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 59:   //QUuid
      switch(to) {
        case 59: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 60:   //QVariant
      switch(to) {
        case 60: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 61:   //QVariantComparisonHelper
      switch(to) {
        case 61: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    27, 0,	// 1: QObject
    15, 0,	// 3: QFactoryInterface
    27, 40, 0,	// 5: QObject, QSqlDriverFactoryInterface
    47, 0,	// 8: QSqlRecord
    2, 0,	// 10: QAbstractTableModel
    51, 0,	// 12: QSqlTableModel
    46, 0,	// 14: QSqlQueryModel
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlResult(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlQuery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlField(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlTableModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSql(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlDriver(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlError(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QSql(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDatabase(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriver(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverCreatorBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverFactoryInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverPlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlError(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlField(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlIndex(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlQueryModel(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRecord(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRelation(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRelationalTableModel(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlResult(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlTableModel(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//1
    { "QAbstractTableModel", true, 0, 0, 0, 0, 0 },	//2
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//3
    { "QBool", true, 0, 0, 0, 0, 0 },	//4
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//5
    { "QChar", true, 0, 0, 0, 0, 0 },	//6
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//7
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//8
    { "QDate", true, 0, 0, 0, 0, 0 },	//9
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//10
    { "QDebug", true, 0, 0, 0, 0, 0 },	//11
    { "QDir", true, 0, 0, 0, 0, 0 },	//12
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//13
    { "QEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QFactoryInterface", true, 0, 0, 0, 0, 0 },	//15
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//16
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//17
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//18
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//19
    { "QLine", true, 0, 0, 0, 0, 0 },	//20
    { "QLineF", true, 0, 0, 0, 0, 0 },	//21
    { "QLocale", true, 0, 0, 0, 0, 0 },	//22
    { "QMargins", true, 0, 0, 0, 0, 0 },	//23
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//24
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//25
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//26
    { "QObject", true, 0, 0, 0, 0, 0 },	//27
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//28
    { "QPoint", true, 0, 0, 0, 0, 0 },	//29
    { "QPointF", true, 0, 0, 0, 0, 0 },	//30
    { "QRect", true, 0, 0, 0, 0, 0 },	//31
    { "QRectF", true, 0, 0, 0, 0, 0 },	//32
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//33
    { "QSize", true, 0, 0, 0, 0, 0 },	//34
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//35
    { "QSql", false, 0, xcall_QSql, xenum_QSql, Smoke::cf_namespace, 0 },	//36
    { "QSqlDatabase", false, 0, xcall_QSqlDatabase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlDatabase) },	//37
    { "QSqlDriver", false, 1, xcall_QSqlDriver, xenum_QSqlDriver, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlDriver) },	//38
    { "QSqlDriverCreatorBase", false, 0, xcall_QSqlDriverCreatorBase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QSqlDriverCreatorBase) },	//39
    { "QSqlDriverFactoryInterface", false, 3, xcall_QSqlDriverFactoryInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QSqlDriverFactoryInterface) },	//40
    { "QSqlDriverPlugin", false, 5, xcall_QSqlDriverPlugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlDriverPlugin) },	//41
    { "QSqlError", false, 0, xcall_QSqlError, xenum_QSqlError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlError) },	//42
    { "QSqlField", false, 0, xcall_QSqlField, xenum_QSqlField, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlField) },	//43
    { "QSqlIndex", false, 8, xcall_QSqlIndex, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlIndex) },	//44
    { "QSqlQuery", false, 0, xcall_QSqlQuery, xenum_QSqlQuery, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlQuery) },	//45
    { "QSqlQueryModel", false, 10, xcall_QSqlQueryModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlQueryModel) },	//46
    { "QSqlRecord", false, 0, xcall_QSqlRecord, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlRecord) },	//47
    { "QSqlRelation", false, 0, xcall_QSqlRelation, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlRelation) },	//48
    { "QSqlRelationalTableModel", false, 12, xcall_QSqlRelationalTableModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlRelationalTableModel) },	//49
    { "QSqlResult", false, 0, xcall_QSqlResult, xenum_QSqlResult, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlResult) },	//50
    { "QSqlTableModel", false, 14, xcall_QSqlTableModel, xenum_QSqlTableModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlTableModel) },	//51
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//52
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//53
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//54
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//55
    { "QTime", true, 0, 0, 0, 0, 0 },	//56
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//57
    { "QUrl", true, 0, 0, 0, 0, 0 },	//58
    { "QUuid", true, 0, 0, 0, 0, 0 },	//59
    { "QVariant", true, 0, 0, 0, 0, 0 },	//60
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//61
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QBitArray", 3, Smoke::t_class|Smoke::tf_stack },	//2
    { "QBitArray&", 3, Smoke::t_class|Smoke::tf_ref },	//3
    { "QBool", 4, Smoke::t_class|Smoke::tf_stack },	//4
    { "QByteArray", 5, Smoke::t_class|Smoke::tf_stack },	//5
    { "QByteArray&", 5, Smoke::t_class|Smoke::tf_ref },	//6
    { "QChar", 6, Smoke::t_class|Smoke::tf_stack },	//7
    { "QChar&", 6, Smoke::t_class|Smoke::tf_ref },	//8
    { "QChildEvent*", 7, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDataStream&", 8, Smoke::t_class|Smoke::tf_ref },	//10
    { "QDate&", 9, Smoke::t_class|Smoke::tf_ref },	//11
    { "QDateTime&", 10, Smoke::t_class|Smoke::tf_ref },	//12
    { "QDebug", 11, Smoke::t_class|Smoke::tf_stack },	//13
    { "QDir::Filter", 12, Smoke::t_enum|Smoke::tf_stack },	//14
    { "QDir::SortFlag", 12, Smoke::t_enum|Smoke::tf_stack },	//15
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//16
    { "QEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//18
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//20
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//21
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//22
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//23
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//24
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//25
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//26
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//27
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//28
    { "QFlags<QSql::ParamTypeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//29
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//30
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//31
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//32
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//33
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//34
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//35
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//36
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//37
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//38
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//39
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//40
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//41
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//42
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//43
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//44
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//45
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "QIncompatibleFlag", 18, Smoke::t_class|Smoke::tf_stack },	//51
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "QLine&", 20, Smoke::t_class|Smoke::tf_ref },	//53
    { "QLineF&", 21, Smoke::t_class|Smoke::tf_ref },	//54
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//55
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//56
    { "QLocale&", 22, Smoke::t_class|Smoke::tf_ref },	//57
    { "QLocale::NumberOption", 22, Smoke::t_enum|Smoke::tf_stack },	//58
    { "QMap<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//59
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//60
    { "QMetaObject::Call", 24, Smoke::t_enum|Smoke::tf_stack },	//61
    { "QMimeData*", 25, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QModelIndex", 26, Smoke::t_class|Smoke::tf_stack },	//63
    { "QObject*", 27, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QObject*(*)()", 27, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QPoint&", 29, Smoke::t_class|Smoke::tf_ref },	//66
    { "QPointF&", 30, Smoke::t_class|Smoke::tf_ref },	//67
    { "QRect&", 31, Smoke::t_class|Smoke::tf_ref },	//68
    { "QRectF&", 32, Smoke::t_class|Smoke::tf_ref },	//69
    { "QRegExp&", 33, Smoke::t_class|Smoke::tf_ref },	//70
    { "QSize", 34, Smoke::t_class|Smoke::tf_stack },	//71
    { "QSize&", 34, Smoke::t_class|Smoke::tf_ref },	//72
    { "QSizeF&", 35, Smoke::t_class|Smoke::tf_ref },	//73
    { "QSql::Location", 36, Smoke::t_enum|Smoke::tf_stack },	//74
    { "QSql::NumericalPrecisionPolicy", 36, Smoke::t_enum|Smoke::tf_stack },	//75
    { "QSql::ParamTypeFlag", 36, Smoke::t_enum|Smoke::tf_stack },	//76
    { "QSql::TableType", 36, Smoke::t_enum|Smoke::tf_stack },	//77
    { "QSqlDatabase", 37, Smoke::t_class|Smoke::tf_stack },	//78
    { "QSqlDatabase&", 37, Smoke::t_class|Smoke::tf_ref },	//79
    { "QSqlDatabase*", 37, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QSqlDriver*", 38, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QSqlDriver::DriverFeature", 38, Smoke::t_enum|Smoke::tf_stack },	//82
    { "QSqlDriver::IdentifierType", 38, Smoke::t_enum|Smoke::tf_stack },	//83
    { "QSqlDriver::StatementType", 38, Smoke::t_enum|Smoke::tf_stack },	//84
    { "QSqlDriverCreatorBase*", 39, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QSqlDriverFactoryInterface*", 40, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QSqlDriverPlugin*", 41, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QSqlError", 42, Smoke::t_class|Smoke::tf_stack },	//88
    { "QSqlError&", 42, Smoke::t_class|Smoke::tf_ref },	//89
    { "QSqlError*", 42, Smoke::t_class|Smoke::tf_ptr },	//90
    { "QSqlError::ErrorType", 42, Smoke::t_enum|Smoke::tf_stack },	//91
    { "QSqlField", 43, Smoke::t_class|Smoke::tf_stack },	//92
    { "QSqlField&", 43, Smoke::t_class|Smoke::tf_ref },	//93
    { "QSqlField*", 43, Smoke::t_class|Smoke::tf_ptr },	//94
    { "QSqlField::RequiredStatus", 43, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QSqlIndex", 44, Smoke::t_class|Smoke::tf_stack },	//96
    { "QSqlIndex&", 44, Smoke::t_class|Smoke::tf_ref },	//97
    { "QSqlIndex*", 44, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QSqlQuery", 45, Smoke::t_class|Smoke::tf_stack },	//99
    { "QSqlQuery&", 45, Smoke::t_class|Smoke::tf_ref },	//100
    { "QSqlQuery*", 45, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QSqlQuery::BatchExecutionMode", 45, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QSqlQueryModel*", 46, Smoke::t_class|Smoke::tf_ptr },	//103
    { "QSqlRecord", 47, Smoke::t_class|Smoke::tf_stack },	//104
    { "QSqlRecord&", 47, Smoke::t_class|Smoke::tf_ref },	//105
    { "QSqlRecord*", 47, Smoke::t_class|Smoke::tf_ptr },	//106
    { "QSqlRelation", 48, Smoke::t_class|Smoke::tf_stack },	//107
    { "QSqlRelation*", 48, Smoke::t_class|Smoke::tf_ptr },	//108
    { "QSqlRelationalTableModel*", 49, Smoke::t_class|Smoke::tf_ptr },	//109
    { "QSqlResult*", 50, Smoke::t_class|Smoke::tf_ptr },	//110
    { "QSqlResult::BindingSyntax", 50, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QSqlResult::VirtualHookOperation", 50, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QSqlTableModel*", 51, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QSqlTableModel::EditStrategy", 51, Smoke::t_enum|Smoke::tf_stack },	//114
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//115
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//116
    { "QString::Null", 52, Smoke::t_class|Smoke::tf_stack },	//117
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//119
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//120
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//121
    { "QTextCodec::ConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "QTextStream&", 54, Smoke::t_class|Smoke::tf_ref },	//123
    { "QTextStream&(*)(QTextStream&)", 54, Smoke::t_class|Smoke::tf_ref },	//124
    { "QTextStream::NumberFlag", 54, Smoke::t_enum|Smoke::tf_stack },	//125
    { "QTextStreamManipulator", 55, Smoke::t_class|Smoke::tf_stack },	//126
    { "QTime&", 56, Smoke::t_class|Smoke::tf_ref },	//127
    { "QTimerEvent*", 57, Smoke::t_class|Smoke::tf_ptr },	//128
    { "QUrl&", 58, Smoke::t_class|Smoke::tf_ref },	//129
    { "QUrl::FormattingOption", 58, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QUuid&", 59, Smoke::t_class|Smoke::tf_ref },	//131
    { "QVariant", 60, Smoke::t_class|Smoke::tf_stack },	//132
    { "QVariant&", 60, Smoke::t_class|Smoke::tf_ref },	//133
    { "QVariant::Type", 60, Smoke::t_enum|Smoke::tf_stack },	//134
    { "QVariant::Type&", 60, Smoke::t_enum|Smoke::tf_ref },	//135
    { "QVector<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//136
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "QtMsgType", 16, Smoke::t_enum|Smoke::tf_stack },	//210
    { "_LIB_VERSION_TYPE", 16, Smoke::t_enum|Smoke::tf_stack },	//211
    { "__codecvt_result", 16, Smoke::t_enum|Smoke::tf_stack },	//212
    { "__compar_fn_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//213
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//214
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//215
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//216
    { "const QBitArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//217
    { "const QByteArray", 5, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//218
    { "const QByteArray&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//219
    { "const QChar&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//220
    { "const QDate&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//221
    { "const QDateTime&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//222
    { "const QDir&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//223
    { "const QEasingCurve&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//224
    { "const QHashDummyValue&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//225
    { "const QLatin1String&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//226
    { "const QLine&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//227
    { "const QLineF&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//228
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//229
    { "const QLocale&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//230
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const QMargins&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//232
    { "const QMetaObject&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const QMetaObject*", 24, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//234
    { "const QMimeData*", 25, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//235
    { "const QModelIndex&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const QObject*", 27, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//237
    { "const QPersistentModelIndex&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QPoint", 29, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//239
    { "const QPoint&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QPointF", 30, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//241
    { "const QPointF&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QRect&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QRectF&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QRegExp&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QRegExp*", 33, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//246
    { "const QSize", 34, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//247
    { "const QSize&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QSizeF", 35, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//249
    { "const QSizeF&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QSqlDatabase&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QSqlDriver*", 38, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//252
    { "const QSqlDriverCreatorBase&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QSqlDriverFactoryInterface&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QSqlError&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QSqlField&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QSqlIndex&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QSqlQuery&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QSqlRecord&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QSqlRelation&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QSqlResult*", 50, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//261
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//262
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//265
    { "const QStringRef&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QTime&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QUrl&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QUuid&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QVariant&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QVariant::Type", 60, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//271
    { "const QVariantComparisonHelper&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//273
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//274
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//275
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//276
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//277
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//278
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//279
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//280
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//281
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//282
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//283
    { "size_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//284
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//285
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//286
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//287
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//288
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//289
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//290
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//291
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//292
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//293
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//294
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//295
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//296
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    236, 270, 278, 0,	//1  const QModelIndex&, const QVariant&, int
    236, 0,	//5  const QModelIndex&
    236, 231, 0,	//7  const QModelIndex&, const QMap<int,QVariant>&
    229, 0,	//10  const QList<QModelIndex>&
    278, 278, 236, 0,	//12  int, int, const QModelIndex&
    278, 190, 0,	//16  int, Qt::SortOrder
    236, 278, 270, 278, 42, 0,	//19  const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>
    235, 158, 278, 278, 236, 0,	//25  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    217, 217, 0,	//31  const QBitArray&, const QBitArray&
    238, 0,	//34  const QPersistentModelIndex&
    156, 278, 0,	//36  Qt::DockWidgetArea, int
    273, 273, 278, 0,	//39  const char*, const char*, int
    240, 276, 0,	//43  const QPoint&, double
    276, 0,	//46  double
    276, 242, 0,	//48  double, const QPointF&
    180, 43, 0,	//51  Qt::MouseButton, QFlags<Qt::MouseButton>
    232, 232, 0,	//54  const QMargins&, const QMargins&
    276, 250, 0,	//57  double, const QSizeF&
    15, 278, 0,	//60  QDir::SortFlag, int
    13, 238, 0,	//63  QDebug, const QPersistentModelIndex&
    169, 278, 0,	//66  Qt::InputMethodHint, int
    216, 273, 0,	//69  char*, const char*
    243, 243, 0,	//72  const QRect&, const QRect&
    248, 248, 0,	//75  const QSize&, const QSize&
    122, 122, 0,	//78  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    13, 240, 0,	//81  QDebug, const QPoint&
    285, 0,	//84  unsigned char
    14, 21, 0,	//86  QDir::Filter, QFlags<QDir::Filter>
    18, 24, 0,	//89  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    206, 48, 0,	//92  Qt::WindowState, QFlags<Qt::WindowState>
    10, 227, 0,	//95  QDataStream&, const QLine&
    250, 276, 0,	//98  const QSizeF&, double
    14, 278, 0,	//101  QDir::Filter, int
    273, 226, 0,	//104  const char*, const QLatin1String&
    250, 250, 0,	//107  const QSizeF&, const QSizeF&
    219, 219, 0,	//110  const QByteArray&, const QByteArray&
    226, 266, 0,	//113  const QLatin1String&, const QStringRef&
    180, 180, 0,	//116  Qt::MouseButton, Qt::MouseButton
    13, 271, 0,	//119  QDebug, const QVariant::Type
    270, 272, 0,	//122  const QVariant&, const QVariantComparisonHelper&
    4, 4, 0,	//125  QBool, QBool
    137, 34, 0,	//128  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    266, 0,	//131  const QStringRef&
    117, 117, 0,	//133  QString::Null, QString::Null
    76, 278, 0,	//136  QSql::ParamTypeFlag, int
    10, 244, 0,	//139  QDataStream&, const QRectF&
    76, 76, 0,	//142  QSql::ParamTypeFlag, QSql::ParamTypeFlag
    10, 57, 0,	//145  QDataStream&, QLocale&
    7, 263, 0,	//148  QChar, const QString&
    50, 26, 0,	//151  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    14, 14, 0,	//154  QDir::Filter, QDir::Filter
    13, 267, 0,	//157  QDebug, const QTime&
    10, 219, 0,	//160  QDataStream&, const QByteArray&
    13, 221, 0,	//163  QDebug, const QDate&
    217, 0,	//166  const QBitArray&
    274, 286, 278, 0,	//168  const unsigned char*, unsigned char*, int
    270, 134, 294, 0,	//172  const QVariant&, QVariant::Type, void*
    263, 0,	//176  const QString&
    290, 0,	//178  unsigned short
    65, 0,	//180  QObject*(*)()
    279, 0,	//182  long
    197, 197, 0,	//184  Qt::ToolBarArea, Qt::ToolBarArea
    281, 0,	//187  long long
    158, 278, 0,	//189  Qt::DropAction, int
    10, 264, 0,	//192  QDataStream&, const QStringList&
    1, 1, 0,	//195  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    287, 0,	//198  unsigned int
    277, 0,	//200  float
    137, 137, 0,	//202  Qt::AlignmentFlag, Qt::AlignmentFlag
    16, 278, 0,	//205  QDirIterator::IteratorFlag, int
    10, 245, 0,	//208  QDataStream&, const QRegExp&
    130, 278, 0,	//211  QUrl::FormattingOption, int
    16, 23, 0,	//214  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    219, 273, 0,	//217  const QByteArray&, const char*
    156, 35, 0,	//220  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    13, 250, 0,	//223  QDebug, const QSizeF&
    182, 182, 0,	//226  Qt::Orientation, Qt::Orientation
    197, 278, 0,	//229  Qt::ToolBarArea, int
    10, 67, 0,	//232  QDataStream&, QPointF&
    178, 278, 0,	//235  Qt::MatchFlag, int
    263, 273, 0,	//238  const QString&, const char*
    13, 224, 0,	//241  QDebug, const QEasingCurve&
    163, 163, 0,	//244  Qt::GestureFlag, Qt::GestureFlag
    10, 11, 0,	//247  QDataStream&, QDate&
    50, 50, 0,	//250  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    215, 219, 0,	//253  char, const QByteArray&
    18, 278, 0,	//256  QEventLoop::ProcessEventsFlag, int
    273, 263, 0,	//259  const char*, const QString&
    273, 219, 0,	//262  const char*, const QByteArray&
    10, 131, 0,	//265  QDataStream&, QUuid&
    276, 276, 0,	//268  double, double
    10, 6, 0,	//271  QDataStream&, QByteArray&
    10, 133, 0,	//274  QDataStream&, QVariant&
    10, 70, 0,	//277  QDataStream&, QRegExp&
    242, 242, 0,	//280  const QPointF&, const QPointF&
    266, 266, 0,	//283  const QStringRef&, const QStringRef&
    19, 278, 0,	//286  QFile::Permission, int
    13, 228, 0,	//289  QDebug, const QLineF&
    7, 7, 0,	//292  QChar, QChar
    273, 273, 287, 0,	//295  const char*, const char*, unsigned int
    219, 0,	//299  const QByteArray&
    13, 21, 0,	//301  QDebug, QFlags<QDir::Filter>
    273, 278, 0,	//304  const char*, int
    125, 32, 0,	//307  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    10, 3, 0,	//310  QDataStream&, QBitArray&
    242, 276, 0,	//313  const QPointF&, double
    7, 0,	//316  QChar
    1, 20, 0,	//318  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    293, 0,	//321  void(*)(QtMsgType,const char*)
    10, 221, 0,	//323  QDataStream&, const QDate&
    237, 263, 233, 0,	//326  const QObject*, const QString&, const QMetaObject&
    178, 42, 0,	//330  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    163, 278, 0,	//333  Qt::GestureFlag, int
    122, 278, 0,	//336  QTextCodec::ConversionFlag, int
    175, 41, 0,	//339  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    178, 178, 0,	//342  Qt::MatchFlag, Qt::MatchFlag
    294, 0,	//345  void*
    263, 117, 0,	//347  const QString&, QString::Null
    13, 256, 0,	//350  QDebug, const QSqlField&
    52, 278, 0,	//353  QLibrary::LoadHint, int
    10, 73, 0,	//356  QDataStream&, QSizeF&
    266, 273, 0,	//359  const QStringRef&, const char*
    242, 0,	//362  const QPointF&
    294, 284, 284, 284, 0,	//364  void*, size_t, size_t, size_t
    172, 172, 0,	//369  Qt::ItemFlag, Qt::ItemFlag
    289, 0,	//372  unsigned long long
    219, 263, 0,	//374  const QByteArray&, const QString&
    207, 49, 0,	//377  Qt::WindowType, QFlags<Qt::WindowType>
    13, 248, 0,	//380  QDebug, const QSize&
    172, 40, 0,	//383  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    200, 47, 0,	//386  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    263, 215, 0,	//389  const QString&, char
    10, 268, 0,	//392  QDataStream&, const QUrl&
    294, 278, 284, 0,	//395  void*, int, size_t
    10, 270, 0,	//399  QDataStream&, const QVariant&
    10, 53, 0,	//402  QDataStream&, QLine&
    219, 278, 0,	//405  const QByteArray&, int
    175, 175, 0,	//408  Qt::KeyboardModifier, Qt::KeyboardModifier
    292, 0,	//411  void(*)()
    137, 278, 0,	//413  Qt::AlignmentFlag, int
    175, 278, 0,	//416  Qt::KeyboardModifier, int
    172, 278, 0,	//419  Qt::ItemFlag, int
    167, 38, 0,	//422  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    240, 240, 0,	//425  const QPoint&, const QPoint&
    118, 278, 0,	//428  QString::SectionFlag, int
    207, 278, 0,	//431  Qt::WindowType, int
    266, 263, 0,	//434  const QStringRef&, const QString&
    226, 226, 0,	//437  const QLatin1String&, const QLatin1String&
    225, 225, 0,	//440  const QHashDummyValue&, const QHashDummyValue&
    273, 287, 0,	//443  const char*, unsigned int
    130, 130, 0,	//446  QUrl::FormattingOption, QUrl::FormattingOption
    200, 278, 0,	//449  Qt::TouchPointState, int
    13, 232, 0,	//452  QDebug, const QMargins&
    273, 0,	//455  const char*
    123, 124, 0,	//457  QTextStream&, QTextStream&(*)(QTextStream&)
    13, 251, 0,	//460  QDebug, const QSqlDatabase&
    10, 228, 0,	//463  QDataStream&, const QLineF&
    19, 25, 0,	//466  QFile::Permission, QFlags<QFile::Permission>
    216, 273, 287, 0,	//469  char*, const char*, unsigned int
    10, 242, 0,	//473  QDataStream&, const QPointF&
    278, 0,	//476  int
    58, 278, 0,	//478  QLocale::NumberOption, int
    294, 284, 0,	//481  void*, size_t
    263, 263, 0,	//484  const QString&, const QString&
    273, 273, 273, 278, 0,	//487  const char*, const char*, const char*, int
    263, 266, 0,	//492  const QString&, const QStringRef&
    13, 259, 0,	//495  QDebug, const QSqlRecord&
    273, 266, 0,	//498  const char*, const QStringRef&
    180, 278, 0,	//501  Qt::MouseButton, int
    10, 72, 0,	//504  QDataStream&, QSize&
    16, 16, 0,	//507  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    169, 169, 0,	//510  Qt::InputMethodHint, Qt::InputMethodHint
    125, 125, 0,	//513  QTextStream::NumberFlag, QTextStream::NumberFlag
    10, 135, 0,	//516  QDataStream&, QVariant::Type&
    194, 45, 0,	//519  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    266, 226, 0,	//522  const QStringRef&, const QLatin1String&
    283, 0,	//525  signed char
    197, 46, 0,	//527  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    10, 250, 0,	//530  QDataStream&, const QSizeF&
    273, 273, 0,	//533  const char*, const char*
    215, 263, 0,	//536  char, const QString&
    52, 52, 0,	//539  QLibrary::LoadHint, QLibrary::LoadHint
    206, 206, 0,	//542  Qt::WindowState, Qt::WindowState
    13, 268, 0,	//545  QDebug, const QUrl&
    130, 33, 0,	//548  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    244, 244, 0,	//551  const QRectF&, const QRectF&
    276, 248, 0,	//554  double, const QSize&
    19, 19, 0,	//557  QFile::Permission, QFile::Permission
    13, 227, 0,	//560  QDebug, const QLine&
    10, 217, 0,	//563  QDataStream&, const QBitArray&
    294, 275, 284, 0,	//566  void*, const void*, size_t
    276, 240, 0,	//570  double, const QPoint&
    13, 236, 0,	//573  QDebug, const QModelIndex&
    282, 0,	//576  short
    13, 222, 0,	//578  QDebug, const QDateTime&
    10, 240, 0,	//581  QDataStream&, const QPoint&
    219, 215, 0,	//584  const QByteArray&, char
    13, 237, 0,	//587  QDebug, const QObject*
    280, 278, 216, 0,	//590  long double, int, char*
    277, 277, 0,	//594  float, float
    15, 22, 0,	//597  QDir::SortFlag, QFlags<QDir::SortFlag>
    216, 284, 273, 291, 0,	//600  char*, size_t, const char*, va_list
    118, 30, 0,	//605  QString::SectionFlag, QFlags<QString::SectionFlag>
    10, 248, 0,	//608  QDataStream&, const QSize&
    10, 69, 0,	//611  QDataStream&, QRectF&
    122, 31, 0,	//614  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    13, 26, 0,	//617  QDebug, QFlags<QIODevice::OpenModeFlag>
    10, 220, 0,	//620  QDataStream&, const QChar&
    214, 4, 0,	//623  bool, QBool
    288, 0,	//626  unsigned long
    13, 244, 0,	//628  QDebug, const QRectF&
    4, 214, 0,	//631  QBool, bool
    206, 278, 0,	//634  Qt::WindowState, int
    10, 120, 0,	//637  QDataStream&, QStringList&
    10, 243, 0,	//640  QDataStream&, const QRect&
    156, 156, 0,	//643  Qt::DockWidgetArea, Qt::DockWidgetArea
    58, 28, 0,	//646  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    207, 207, 0,	//649  Qt::WindowType, Qt::WindowType
    248, 276, 0,	//652  const QSize&, double
    117, 263, 0,	//655  QString::Null, const QString&
    15, 15, 0,	//658  QDir::SortFlag, QDir::SortFlag
    169, 39, 0,	//661  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    10, 66, 0,	//664  QDataStream&, QPoint&
    13, 242, 0,	//667  QDebug, const QPointF&
    237, 263, 246, 233, 56, 0,	//670  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    10, 12, 0,	//676  QDataStream&, QDateTime&
    294, 284, 284, 213, 0,	//679  void*, size_t, size_t, __compar_fn_t
    10, 267, 0,	//684  QDataStream&, const QTime&
    10, 269, 0,	//687  QDataStream&, const QUuid&
    123, 126, 0,	//690  QTextStream&, QTextStreamManipulator
    118, 118, 0,	//693  QString::SectionFlag, QString::SectionFlag
    284, 284, 0,	//696  size_t, size_t
    125, 278, 0,	//699  QTextStream::NumberFlag, int
    274, 278, 278, 0,	//702  const unsigned char*, int, int
    274, 278, 0,	//706  const unsigned char*, int
    50, 278, 0,	//709  QIODevice::OpenModeFlag, int
    163, 37, 0,	//712  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    240, 0,	//715  const QPoint&
    76, 29, 0,	//717  QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>
    10, 116, 0,	//720  QDataStream&, QString&
    10, 263, 0,	//723  QDataStream&, const QString&
    10, 8, 0,	//726  QDataStream&, QChar&
    194, 194, 0,	//729  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    263, 219, 0,	//732  const QString&, const QByteArray&
    18, 18, 0,	//735  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    1, 278, 0,	//738  QAbstractFileEngine::FileFlag, int
    10, 68, 0,	//741  QDataStream&, QRect&
    210, 273, 0,	//744  QtMsgType, const char*
    13, 255, 0,	//747  QDebug, const QSqlError&
    167, 278, 0,	//750  Qt::ImageConversionFlag, int
    13, 243, 0,	//753  QDebug, const QRect&
    10, 271, 0,	//756  QDataStream&, const QVariant::Type
    10, 54, 0,	//759  QDataStream&, QLineF&
    200, 200, 0,	//762  Qt::TouchPointState, Qt::TouchPointState
    194, 278, 0,	//765  Qt::TextInteractionFlag, int
    215, 0,	//768  char
    10, 222, 0,	//770  QDataStream&, const QDateTime&
    10, 127, 0,	//773  QDataStream&, QTime&
    167, 167, 0,	//776  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    158, 36, 0,	//779  Qt::DropAction, QFlags<Qt::DropAction>
    158, 158, 0,	//782  Qt::DropAction, Qt::DropAction
    182, 278, 0,	//785  Qt::Orientation, int
    13, 223, 0,	//788  QDebug, const QDir&
    10, 129, 0,	//791  QDataStream&, QUrl&
    52, 27, 0,	//794  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    263, 7, 0,	//797  const QString&, QChar
    182, 44, 0,	//800  Qt::Orientation, QFlags<Qt::Orientation>
    284, 0,	//803  size_t
    13, 270, 0,	//805  QDebug, const QVariant&
    58, 58, 0,	//808  QLocale::NumberOption, QLocale::NumberOption
    10, 230, 0,	//811  QDataStream&, const QLocale&
    17, 0,	//814  QEvent*
    64, 17, 0,	//816  QObject*, QEvent*
    128, 0,	//819  QTimerEvent*
    9, 0,	//821  QChildEvent*
    251, 0,	//823  const QSqlDatabase&
    77, 0,	//825  QSql::TableType
    75, 0,	//827  QSql::NumericalPrecisionPolicy
    81, 263, 0,	//829  QSqlDriver*, const QString&
    251, 263, 0,	//832  const QSqlDatabase&, const QString&
    263, 214, 0,	//835  const QString&, bool
    263, 85, 0,	//838  const QString&, QSqlDriverCreatorBase*
    81, 0,	//841  QSqlDriver*
    61, 278, 295, 0,	//843  QMetaObject::Call, int, void**
    64, 0,	//847  QObject*
    256, 214, 0,	//849  const QSqlField&, bool
    263, 83, 0,	//852  const QString&, QSqlDriver::IdentifierType
    84, 263, 259, 214, 0,	//855  QSqlDriver::StatementType, const QString&, const QSqlRecord&, bool
    82, 0,	//860  QSqlDriver::DriverFeature
    263, 263, 263, 263, 278, 263, 0,	//862  const QString&, const QString&, const QString&, const QString&, int, const QString&
    214, 0,	//869  bool
    255, 0,	//871  const QSqlError&
    256, 0,	//873  const QSqlField&
    263, 263, 263, 0,	//875  const QString&, const QString&, const QString&
    263, 263, 263, 263, 0,	//879  const QString&, const QString&, const QString&, const QString&
    263, 263, 263, 263, 278, 0,	//884  const QString&, const QString&, const QString&, const QString&, int
    253, 0,	//890  const QSqlDriverCreatorBase&
    254, 0,	//892  const QSqlDriverFactoryInterface&
    263, 263, 91, 278, 0,	//894  const QString&, const QString&, QSqlError::ErrorType, int
    91, 0,	//899  QSqlError::ErrorType
    263, 263, 91, 0,	//901  const QString&, const QString&, QSqlError::ErrorType
    263, 134, 0,	//905  const QString&, QVariant::Type
    270, 0,	//908  const QVariant&
    134, 0,	//910  QVariant::Type
    95, 0,	//912  QSqlField::RequiredStatus
    257, 0,	//914  const QSqlIndex&
    278, 214, 0,	//916  int, bool
    110, 0,	//919  QSqlResult*
    263, 78, 0,	//921  const QString&, QSqlDatabase
    78, 0,	//924  QSqlDatabase
    258, 0,	//926  const QSqlQuery&
    102, 0,	//928  QSqlQuery::BatchExecutionMode
    263, 270, 29, 0,	//930  const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>
    278, 270, 29, 0,	//934  int, const QVariant&, QFlags<QSql::ParamTypeFlag>
    270, 29, 0,	//938  const QVariant&, QFlags<QSql::ParamTypeFlag>
    263, 270, 0,	//941  const QString&, const QVariant&
    278, 270, 0,	//944  int, const QVariant&
    236, 278, 0,	//947  const QModelIndex&, int
    278, 182, 278, 0,	//950  int, Qt::Orientation, int
    278, 182, 270, 278, 0,	//954  int, Qt::Orientation, const QVariant&, int
    263, 251, 0,	//959  const QString&, const QSqlDatabase&
    278, 182, 0,	//962  int, Qt::Orientation
    278, 182, 270, 0,	//965  int, Qt::Orientation, const QVariant&
    278, 278, 0,	//969  int, int
    259, 0,	//972  const QSqlRecord&
    278, 256, 0,	//974  int, const QSqlField&
    260, 0,	//977  const QSqlRelation&
    64, 78, 0,	//979  QObject*, QSqlDatabase
    278, 260, 0,	//982  int, const QSqlRelation&
    278, 259, 0,	//985  int, const QSqlRecord&
    236, 270, 0,	//988  const QModelIndex&, const QVariant&
    252, 0,	//991  const QSqlDriver*
    278, 294, 0,	//993  int, void*
    114, 0,	//996  QSqlTableModel::EditStrategy
    278, 105, 0,	//998  int, QSqlRecord&
    105, 0,	//1001  QSqlRecord&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AfterLastRow",	//1
    "AllTables",	//2
    "BLOB",	//3
    "BatchOperation",	//4
    "BatchOperations",	//5
    "BeforeFirstRow",	//6
    "Binary",	//7
    "ConnectionError",	//8
    "DeleteStatement",	//9
    "DetachFromResultSet",	//10
    "EventNotifications",	//11
    "FieldName",	//12
    "FinishQuery",	//13
    "HighPrecision",	//14
    "In",	//15
    "InOut",	//16
    "InsertStatement",	//17
    "LastInsertId",	//18
    "LowPrecisionDouble",	//19
    "LowPrecisionInt32",	//20
    "LowPrecisionInt64",	//21
    "LowPrecisionNumbers",	//22
    "MultipleResultSets",	//23
    "NamedBinding",	//24
    "NamedPlaceholders",	//25
    "NextResult",	//26
    "NoError",	//27
    "OnFieldChange",	//28
    "OnManualSubmit",	//29
    "OnRowChange",	//30
    "Optional",	//31
    "Out",	//32
    "PositionalBinding",	//33
    "PositionalPlaceholders",	//34
    "PreparedQueries",	//35
    "QSqlDatabase",	//36
    "QSqlDatabase#",	//37
    "QSqlDatabase$",	//38
    "QSqlDriver",	//39
    "QSqlDriver#",	//40
    "QSqlDriverCreatorBase",	//41
    "QSqlDriverCreatorBase#",	//42
    "QSqlDriverFactoryInterface",	//43
    "QSqlDriverFactoryInterface#",	//44
    "QSqlDriverPlugin",	//45
    "QSqlDriverPlugin#",	//46
    "QSqlError",	//47
    "QSqlError#",	//48
    "QSqlError$",	//49
    "QSqlError$$",	//50
    "QSqlError$$$",	//51
    "QSqlError$$$$",	//52
    "QSqlField",	//53
    "QSqlField#",	//54
    "QSqlField$",	//55
    "QSqlField$$",	//56
    "QSqlIndex",	//57
    "QSqlIndex#",	//58
    "QSqlIndex$",	//59
    "QSqlIndex$$",	//60
    "QSqlQuery",	//61
    "QSqlQuery#",	//62
    "QSqlQuery$",	//63
    "QSqlQuery$#",	//64
    "QSqlQueryModel",	//65
    "QSqlQueryModel#",	//66
    "QSqlRecord",	//67
    "QSqlRecord#",	//68
    "QSqlRelation",	//69
    "QSqlRelation#",	//70
    "QSqlRelation$$$",	//71
    "QSqlRelationalTableModel",	//72
    "QSqlRelationalTableModel#",	//73
    "QSqlRelationalTableModel##",	//74
    "QSqlResult",	//75
    "QSqlResult#",	//76
    "QSqlTableModel",	//77
    "QSqlTableModel#",	//78
    "QSqlTableModel##",	//79
    "QtCriticalMsg",	//80
    "QtDebugMsg",	//81
    "QtFatalMsg",	//82
    "QtSystemMsg",	//83
    "QtWarningMsg",	//84
    "QuerySize",	//85
    "Required",	//86
    "SelectStatement",	//87
    "SetNumericalPrecision",	//88
    "SimpleLocking",	//89
    "StatementError",	//90
    "SystemTables",	//91
    "TableName",	//92
    "Tables",	//93
    "TransactionError",	//94
    "Transactions",	//95
    "Unicode",	//96
    "Unknown",	//97
    "UnknownError",	//98
    "UpdateStatement",	//99
    "ValuesAsColumns",	//100
    "ValuesAsRows",	//101
    "Views",	//102
    "WhereStatement",	//103
    "_IEEE_",	//104
    "_ISOC_",	//105
    "_POSIX_",	//106
    "_SVID_",	//107
    "_XOPEN_",	//108
    "__codecvt_error",	//109
    "__codecvt_noconv",	//110
    "__codecvt_ok",	//111
    "__codecvt_partial",	//112
    "addBindValue",	//113
    "addBindValue#",	//114
    "addBindValue#$",	//115
    "addDatabase",	//116
    "addDatabase#",	//117
    "addDatabase#$",	//118
    "addDatabase$",	//119
    "addDatabase$$",	//120
    "append",	//121
    "append#",	//122
    "append#$",	//123
    "at",	//124
    "beforeDelete",	//125
    "beforeDelete$",	//126
    "beforeInsert",	//127
    "beforeInsert#",	//128
    "beforeUpdate",	//129
    "beforeUpdate$#",	//130
    "beginTransaction",	//131
    "bindValue",	//132
    "bindValue$#",	//133
    "bindValue$#$",	//134
    "bindValueType",	//135
    "bindValueType$",	//136
    "bindingSyntax",	//137
    "boundValue",	//138
    "boundValue$",	//139
    "boundValueCount",	//140
    "boundValueName",	//141
    "boundValueName$",	//142
    "boundValues",	//143
    "buddy",	//144
    "canFetchMore",	//145
    "canFetchMore#",	//146
    "childEvent",	//147
    "clear",	//148
    "clearValues",	//149
    "cloneDatabase",	//150
    "cloneDatabase#$",	//151
    "close",	//152
    "columnCount",	//153
    "columnCount#",	//154
    "commit",	//155
    "commitTransaction",	//156
    "connectNotify",	//157
    "connectOptions",	//158
    "connectionName",	//159
    "connectionNames",	//160
    "contains",	//161
    "contains$",	//162
    "count",	//163
    "create",	//164
    "create$",	//165
    "createObject",	//166
    "createResult",	//167
    "cursorName",	//168
    "customEvent",	//169
    "data",	//170
    "data#",	//171
    "data#$",	//172
    "data$",	//173
    "database",	//174
    "database$",	//175
    "database$$",	//176
    "databaseName",	//177
    "databaseText",	//178
    "defaultConnection",	//179
    "defaultValue",	//180
    "deleteRowFromTable",	//181
    "deleteRowFromTable$",	//182
    "detachFromResultSet",	//183
    "disconnectNotify",	//184
    "displayColumn",	//185
    "driver",	//186
    "driverName",	//187
    "driverText",	//188
    "drivers",	//189
    "dropMimeData",	//190
    "editStrategy",	//191
    "escapeIdentifier",	//192
    "escapeIdentifier$$",	//193
    "event",	//194
    "eventFilter",	//195
    "exec",	//196
    "exec$",	//197
    "execBatch",	//198
    "execBatch$",	//199
    "executedQuery",	//200
    "fetch",	//201
    "fetch$",	//202
    "fetchFirst",	//203
    "fetchLast",	//204
    "fetchMore",	//205
    "fetchMore#",	//206
    "fetchNext",	//207
    "fetchPrevious",	//208
    "field",	//209
    "field$",	//210
    "fieldIndex",	//211
    "fieldIndex$",	//212
    "fieldName",	//213
    "fieldName$",	//214
    "filter",	//215
    "finish",	//216
    "first",	//217
    "flags",	//218
    "flags#",	//219
    "formatValue",	//220
    "formatValue#",	//221
    "formatValue#$",	//222
    "handle",	//223
    "hasFeature",	//224
    "hasFeature$",	//225
    "hasOutValues",	//226
    "headerData",	//227
    "headerData$$",	//228
    "headerData$$$",	//229
    "hostName",	//230
    "index",	//231
    "indexColumn",	//232
    "indexInQuery",	//233
    "indexInQuery#",	//234
    "indexOf",	//235
    "indexOf$",	//236
    "insert",	//237
    "insert$#",	//238
    "insertColumns",	//239
    "insertColumns$$",	//240
    "insertColumns$$#",	//241
    "insertRecord",	//242
    "insertRecord$#",	//243
    "insertRowIntoTable",	//244
    "insertRowIntoTable#",	//245
    "insertRows",	//246
    "insertRows$$",	//247
    "insertRows$$#",	//248
    "isActive",	//249
    "isAutoValue",	//250
    "isDescending",	//251
    "isDescending$",	//252
    "isDirty",	//253
    "isDirty#",	//254
    "isDriverAvailable",	//255
    "isDriverAvailable$",	//256
    "isEmpty",	//257
    "isForwardOnly",	//258
    "isGenerated",	//259
    "isGenerated$",	//260
    "isIdentifierEscaped",	//261
    "isIdentifierEscaped$$",	//262
    "isIdentifierEscapedImplementation",	//263
    "isIdentifierEscapedImplementation$$",	//264
    "isNull",	//265
    "isNull$",	//266
    "isOpen",	//267
    "isOpenError",	//268
    "isReadOnly",	//269
    "isSelect",	//270
    "isValid",	//271
    "itemData",	//272
    "keys",	//273
    "last",	//274
    "lastError",	//275
    "lastInsertId",	//276
    "lastQuery",	//277
    "length",	//278
    "match",	//279
    "metaObject",	//280
    "mimeData",	//281
    "mimeTypes",	//282
    "name",	//283
    "next",	//284
    "nextResult",	//285
    "notification",	//286
    "notification$",	//287
    "numRowsAffected",	//288
    "number",	//289
    "numericalPrecisionPolicy",	//290
    "open",	//291
    "open$",	//292
    "open$$",	//293
    "open$$$",	//294
    "open$$$$",	//295
    "open$$$$$",	//296
    "open$$$$$$",	//297
    "operator!=",	//298
    "operator!=#",	//299
    "operator!=##",	//300
    "operator!=#$",	//301
    "operator!=$#",	//302
    "operator!=$$",	//303
    "operator&",	//304
    "operator&##",	//305
    "operator*",	//306
    "operator*#$",	//307
    "operator*$#",	//308
    "operator+",	//309
    "operator+##",	//310
    "operator+#$",	//311
    "operator+$#",	//312
    "operator+$$",	//313
    "operator-",	//314
    "operator-#",	//315
    "operator-##",	//316
    "operator/",	//317
    "operator/#$",	//318
    "operator<",	//319
    "operator<##",	//320
    "operator<#$",	//321
    "operator<$#",	//322
    "operator<$$",	//323
    "operator<<",	//324
    "operator<<##",	//325
    "operator<<#$",	//326
    "operator<<#?",	//327
    "operator<=",	//328
    "operator<=##",	//329
    "operator<=#$",	//330
    "operator<=$#",	//331
    "operator<=$$",	//332
    "operator=",	//333
    "operator=#",	//334
    "operator==",	//335
    "operator==#",	//336
    "operator==##",	//337
    "operator==#$",	//338
    "operator==$#",	//339
    "operator==$$",	//340
    "operator>",	//341
    "operator>##",	//342
    "operator>#$",	//343
    "operator>$#",	//344
    "operator>$$",	//345
    "operator>=",	//346
    "operator>=##",	//347
    "operator>=#$",	//348
    "operator>=$#",	//349
    "operator>=$$",	//350
    "operator>>",	//351
    "operator>>##",	//352
    "operator>>#$",	//353
    "operator>>#?",	//354
    "operator^",	//355
    "operator^##",	//356
    "operator|",	//357
    "operator|##",	//358
    "operator|$$",	//359
    "orderByClause",	//360
    "password",	//361
    "port",	//362
    "precision",	//363
    "prepare",	//364
    "prepare$",	//365
    "previous",	//366
    "primaryIndex",	//367
    "primaryIndex$",	//368
    "primaryKey",	//369
    "primeInsert",	//370
    "primeInsert$#",	//371
    "qAcos",	//372
    "qAcos$",	//373
    "qAddPostRoutine",	//374
    "qAddPostRoutine$",	//375
    "qAppName",	//376
    "qAsin",	//377
    "qAsin$",	//378
    "qAtan",	//379
    "qAtan$",	//380
    "qAtan2",	//381
    "qAtan2$$",	//382
    "qBadAlloc",	//383
    "qCeil",	//384
    "qCeil$",	//385
    "qChecksum",	//386
    "qChecksum$$",	//387
    "qCompress",	//388
    "qCompress#",	//389
    "qCompress#$",	//390
    "qCompress$$",	//391
    "qCompress$$$",	//392
    "qCos",	//393
    "qCos$",	//394
    "qCritical",	//395
    "qDebug",	//396
    "qExp",	//397
    "qExp$",	//398
    "qFabs",	//399
    "qFabs$",	//400
    "qFastCos",	//401
    "qFastCos$",	//402
    "qFastSin",	//403
    "qFastSin$",	//404
    "qFlagLocation",	//405
    "qFlagLocation$",	//406
    "qFloor",	//407
    "qFloor$",	//408
    "qFree",	//409
    "qFree$",	//410
    "qFreeAligned",	//411
    "qFreeAligned$",	//412
    "qFuzzyCompare",	//413
    "qFuzzyCompare$$",	//414
    "qFuzzyIsNull",	//415
    "qFuzzyIsNull$",	//416
    "qHash",	//417
    "qHash#",	//418
    "qHash$",	//419
    "qInf",	//420
    "qInstallMsgHandler",	//421
    "qInstallMsgHandler$",	//422
    "qIntCast",	//423
    "qIntCast$",	//424
    "qIsFinite",	//425
    "qIsFinite$",	//426
    "qIsInf",	//427
    "qIsInf$",	//428
    "qIsNaN",	//429
    "qIsNaN$",	//430
    "qIsNull",	//431
    "qIsNull$",	//432
    "qLn",	//433
    "qLn$",	//434
    "qMalloc",	//435
    "qMalloc$",	//436
    "qMallocAligned",	//437
    "qMallocAligned$$",	//438
    "qMemCopy",	//439
    "qMemCopy$$$",	//440
    "qMemSet",	//441
    "qMemSet$$$",	//442
    "qPow",	//443
    "qPow$$",	//444
    "qQNaN",	//445
    "qRealloc",	//446
    "qRealloc$$",	//447
    "qReallocAligned",	//448
    "qReallocAligned$$$$",	//449
    "qRegisterStaticPluginInstanceFunction",	//450
    "qRegisterStaticPluginInstanceFunction#",	//451
    "qRemovePostRoutine",	//452
    "qRemovePostRoutine$",	//453
    "qRound",	//454
    "qRound$",	//455
    "qRound64",	//456
    "qRound64$",	//457
    "qSNaN",	//458
    "qSetFieldWidth",	//459
    "qSetFieldWidth$",	//460
    "qSetPadChar",	//461
    "qSetPadChar#",	//462
    "qSetRealNumberPrecision",	//463
    "qSetRealNumberPrecision$",	//464
    "qSharedBuild",	//465
    "qSin",	//466
    "qSin$",	//467
    "qSqrt",	//468
    "qSqrt$",	//469
    "qStringComparisonHelper",	//470
    "qStringComparisonHelper#$",	//471
    "qStringComparisonHelper$$",	//472
    "qTan",	//473
    "qTan$",	//474
    "qUncompress",	//475
    "qUncompress#",	//476
    "qUncompress$$",	//477
    "qVersion",	//478
    "qWarning",	//479
    "qbswap_helper",	//480
    "qbswap_helper$$$",	//481
    "qgcvt",	//482
    "qgcvt$$$",	//483
    "qgetenv",	//484
    "qgetenv$",	//485
    "qputenv",	//486
    "qputenv$#",	//487
    "qrand",	//488
    "qsort",	//489
    "qsort$$$?",	//490
    "qsrand",	//491
    "qsrand$",	//492
    "qstrcmp",	//493
    "qstrcmp##",	//494
    "qstrcmp#$",	//495
    "qstrcmp$#",	//496
    "qstrcmp$$",	//497
    "qstrcpy",	//498
    "qstrcpy$$",	//499
    "qstrdup",	//500
    "qstrdup$",	//501
    "qstricmp",	//502
    "qstricmp$$",	//503
    "qstrlen",	//504
    "qstrlen$",	//505
    "qstrncmp",	//506
    "qstrncmp$$$",	//507
    "qstrncpy",	//508
    "qstrncpy$$$",	//509
    "qstrnicmp",	//510
    "qstrnicmp$$$",	//511
    "qstrnlen",	//512
    "qstrnlen$$",	//513
    "qtTrId",	//514
    "qtTrId$",	//515
    "qtTrId$$",	//516
    "qt_assert",	//517
    "qt_assert$$$",	//518
    "qt_assert_x",	//519
    "qt_assert_x$$$$",	//520
    "qt_check_pointer",	//521
    "qt_check_pointer$$",	//522
    "qt_error_string",	//523
    "qt_error_string$",	//524
    "qt_message_output",	//525
    "qt_message_output$$",	//526
    "qt_metacall",	//527
    "qt_metacall$$?",	//528
    "qt_metacast",	//529
    "qt_metacast$",	//530
    "qt_noop",	//531
    "qt_qFindChild_helper",	//532
    "qt_qFindChild_helper#$#",	//533
    "qt_qFindChildren_helper",	//534
    "qt_qFindChildren_helper#$##?",	//535
    "query",	//536
    "queryChange",	//537
    "qvariant_cast_helper",	//538
    "qvariant_cast_helper#$$",	//539
    "qvsnprintf",	//540
    "qvsnprintf$$$?",	//541
    "record",	//542
    "record$",	//543
    "registerSqlDriver",	//544
    "registerSqlDriver$#",	//545
    "relation",	//546
    "relation$",	//547
    "relationModel",	//548
    "relationModel$",	//549
    "remove",	//550
    "remove$",	//551
    "removeColumns",	//552
    "removeColumns$$",	//553
    "removeColumns$$#",	//554
    "removeDatabase",	//555
    "removeDatabase$",	//556
    "removeRows",	//557
    "removeRows$$",	//558
    "removeRows$$#",	//559
    "replace",	//560
    "replace$#",	//561
    "requiredStatus",	//562
    "reset",	//563
    "reset$",	//564
    "result",	//565
    "revert",	//566
    "revertAll",	//567
    "revertRow",	//568
    "revertRow$",	//569
    "rollback",	//570
    "rollbackTransaction",	//571
    "rowCount",	//572
    "rowCount#",	//573
    "savePrepare",	//574
    "savePrepare$",	//575
    "seek",	//576
    "seek$",	//577
    "seek$$",	//578
    "select",	//579
    "selectStatement",	//580
    "setActive",	//581
    "setActive$",	//582
    "setAt",	//583
    "setAt$",	//584
    "setAutoValue",	//585
    "setAutoValue$",	//586
    "setConnectOptions",	//587
    "setConnectOptions$",	//588
    "setCursorName",	//589
    "setCursorName$",	//590
    "setData",	//591
    "setData##",	//592
    "setData##$",	//593
    "setDatabaseName",	//594
    "setDatabaseName$",	//595
    "setDatabaseText",	//596
    "setDatabaseText$",	//597
    "setDefaultConnection",	//598
    "setDefaultConnection$",	//599
    "setDefaultValue",	//600
    "setDefaultValue#",	//601
    "setDescending",	//602
    "setDescending$$",	//603
    "setDriverText",	//604
    "setDriverText$",	//605
    "setEditStrategy",	//606
    "setEditStrategy$",	//607
    "setFilter",	//608
    "setFilter$",	//609
    "setForwardOnly",	//610
    "setForwardOnly$",	//611
    "setGenerated",	//612
    "setGenerated$",	//613
    "setGenerated$$",	//614
    "setHeaderData",	//615
    "setHeaderData$$#",	//616
    "setHeaderData$$#$",	//617
    "setHostName",	//618
    "setHostName$",	//619
    "setItemData",	//620
    "setLastError",	//621
    "setLastError#",	//622
    "setLength",	//623
    "setLength$",	//624
    "setName",	//625
    "setName$",	//626
    "setNull",	//627
    "setNull$",	//628
    "setNumber",	//629
    "setNumber$",	//630
    "setNumericalPrecisionPolicy",	//631
    "setNumericalPrecisionPolicy$",	//632
    "setOpen",	//633
    "setOpen$",	//634
    "setOpenError",	//635
    "setOpenError$",	//636
    "setPassword",	//637
    "setPassword$",	//638
    "setPort",	//639
    "setPort$",	//640
    "setPrecision",	//641
    "setPrecision$",	//642
    "setPrimaryKey",	//643
    "setPrimaryKey#",	//644
    "setQuery",	//645
    "setQuery#",	//646
    "setQuery$",	//647
    "setQuery$#",	//648
    "setReadOnly",	//649
    "setReadOnly$",	//650
    "setRecord",	//651
    "setRecord$#",	//652
    "setRelation",	//653
    "setRelation$#",	//654
    "setRequired",	//655
    "setRequired$",	//656
    "setRequiredStatus",	//657
    "setRequiredStatus$",	//658
    "setSelect",	//659
    "setSelect$",	//660
    "setSort",	//661
    "setSort$$",	//662
    "setSqlType",	//663
    "setSqlType$",	//664
    "setTable",	//665
    "setTable$",	//666
    "setType",	//667
    "setType$",	//668
    "setUserName",	//669
    "setUserName$",	//670
    "setValue",	//671
    "setValue#",	//672
    "setValue$#",	//673
    "size",	//674
    "sort",	//675
    "sort$$",	//676
    "span",	//677
    "sqlStatement",	//678
    "sqlStatement$$#$",	//679
    "staticMetaObject",	//680
    "stripDelimiters",	//681
    "stripDelimiters$$",	//682
    "stripDelimitersImplementation",	//683
    "stripDelimitersImplementation$$",	//684
    "submit",	//685
    "submitAll",	//686
    "subscribeToNotification",	//687
    "subscribeToNotification$",	//688
    "subscribeToNotificationImplementation",	//689
    "subscribeToNotificationImplementation$",	//690
    "subscribedToNotifications",	//691
    "subscribedToNotificationsImplementation",	//692
    "supportedDropActions",	//693
    "tableName",	//694
    "tables",	//695
    "tables$",	//696
    "text",	//697
    "timerEvent",	//698
    "tr",	//699
    "tr$",	//700
    "tr$$",	//701
    "tr$$$",	//702
    "trUtf8",	//703
    "trUtf8$",	//704
    "trUtf8$$",	//705
    "trUtf8$$$",	//706
    "transaction",	//707
    "type",	//708
    "typeID",	//709
    "unsubscribeFromNotification",	//710
    "unsubscribeFromNotification$",	//711
    "unsubscribeFromNotificationImplementation",	//712
    "unsubscribeFromNotificationImplementation$",	//713
    "updateRowInTable",	//714
    "updateRowInTable$#",	//715
    "userName",	//716
    "value",	//717
    "value$",	//718
    "virtual_hook",	//719
    "virtual_hook$$",	//720
    "~QSqlDatabase",	//721
    "~QSqlDriver",	//722
    "~QSqlDriverCreatorBase",	//723
    "~QSqlDriverFactoryInterface",	//724
    "~QSqlDriverPlugin",	//725
    "~QSqlError",	//726
    "~QSqlField",	//727
    "~QSqlIndex",	//728
    "~QSqlQuery",	//729
    "~QSqlQueryModel",	//730
    "~QSqlRecord",	//731
    "~QSqlRelation",	//732
    "~QSqlRelationalTableModel",	//733
    "~QSqlResult",	//734
    "~QSqlTableModel",	//735
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 591, 1, 3, Smoke::mf_virtual, 214, 0},	//1 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {1, 272, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 60, 0},	//2 QAbstractItemModel::itemData(const QModelIndex&) const
    {1, 620, 7, 2, Smoke::mf_virtual, 214, 0},	//3 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {1, 282, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 119, 0},	//4 QAbstractItemModel::mimeTypes() const
    {1, 281, 10, 1, Smoke::mf_const|Smoke::mf_virtual, 62, 0},	//5 QAbstractItemModel::mimeData(const QList<QModelIndex>&) const
    {1, 693, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 36, 0},	//6 QAbstractItemModel::supportedDropActions() const
    {1, 246, 12, 3, Smoke::mf_virtual, 214, 0},	//7 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {1, 557, 12, 3, Smoke::mf_virtual, 214, 0},	//8 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {1, 218, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 0},	//9 QAbstractItemModel::flags(const QModelIndex&) const
    {1, 675, 16, 2, Smoke::mf_virtual, 0, 0},	//10 QAbstractItemModel::sort(int, Qt::SortOrder)
    {1, 144, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 63, 0},	//11 QAbstractItemModel::buddy(const QModelIndex&) const
    {1, 279, 19, 5, Smoke::mf_const|Smoke::mf_virtual, 55, 0},	//12 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {1, 677, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 71, 0},	//13 QAbstractItemModel::span(const QModelIndex&) const
    {1, 685, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 214, 0},	//14 QAbstractItemModel::submit()
    {1, 566, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//15 QAbstractItemModel::revert()
    {2, 231, 12, 3, Smoke::mf_const|Smoke::mf_virtual, 63, 0},	//16 QAbstractTableModel::index(int, int, const QModelIndex&) const
    {2, 190, 25, 5, Smoke::mf_virtual, 214, 0},	//17 QAbstractTableModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {15, 273, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 119, 0},	//18 QFactoryInterface::keys() const [pure virtual]
    {16, 304, 31, 2, Smoke::mf_static, 2, 1},	//19 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {16, 395, 0, 0, Smoke::mf_static, 13, 2},	//20 QGlobalSpace::qCritical()
    {16, 417, 34, 1, Smoke::mf_static, 287, 3},	//21 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {16, 357, 36, 2, Smoke::mf_static, 51, 4},	//22 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {16, 517, 39, 3, Smoke::mf_static, 0, 5},	//23 QGlobalSpace::qt_assert(const char*, const char*, int)
    {16, 306, 43, 2, Smoke::mf_static, 239, 6},	//24 QGlobalSpace::operator*(const QPoint&, double)
    {16, 427, 46, 1, Smoke::mf_static, 214, 7},	//25 QGlobalSpace::qIsInf(double)
    {16, 306, 48, 2, Smoke::mf_static, 241, 8},	//26 QGlobalSpace::operator*(double, const QPointF&)
    {16, 357, 51, 2, Smoke::mf_static, 43, 9},	//27 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {16, 298, 54, 2, Smoke::mf_static, 214, 10},	//28 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {16, 306, 57, 2, Smoke::mf_static, 249, 11},	//29 QGlobalSpace::operator*(double, const QSizeF&)
    {16, 357, 60, 2, Smoke::mf_static, 51, 12},	//30 QGlobalSpace::operator|(QDir::SortFlag, int)
    {16, 324, 63, 2, Smoke::mf_static, 13, 13},	//31 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {16, 357, 66, 2, Smoke::mf_static, 51, 14},	//32 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {16, 498, 69, 2, Smoke::mf_static, 216, 15},	//33 QGlobalSpace::qstrcpy(char*, const char*)
    {16, 298, 72, 2, Smoke::mf_static, 214, 16},	//34 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {16, 309, 75, 2, Smoke::mf_static, 247, 17},	//35 QGlobalSpace::operator+(const QSize&, const QSize&)
    {16, 399, 46, 1, Smoke::mf_static, 276, 18},	//36 QGlobalSpace::qFabs(double)
    {16, 357, 78, 2, Smoke::mf_static, 31, 19},	//37 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {16, 324, 81, 2, Smoke::mf_static, 13, 20},	//38 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {16, 445, 0, 0, Smoke::mf_static, 276, 21},	//39 QGlobalSpace::qQNaN()
    {16, 417, 84, 1, Smoke::mf_static, 287, 22},	//40 QGlobalSpace::qHash(unsigned char)
    {16, 357, 86, 2, Smoke::mf_static, 21, 23},	//41 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {16, 478, 0, 0, Smoke::mf_static, 273, 24},	//42 QGlobalSpace::qVersion()
    {16, 357, 89, 2, Smoke::mf_static, 24, 25},	//43 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {16, 335, 54, 2, Smoke::mf_static, 214, 26},	//44 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {16, 357, 92, 2, Smoke::mf_static, 48, 27},	//45 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {16, 324, 95, 2, Smoke::mf_static, 10, 28},	//46 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {16, 306, 98, 2, Smoke::mf_static, 249, 29},	//47 QGlobalSpace::operator*(const QSizeF&, double)
    {16, 357, 101, 2, Smoke::mf_static, 51, 30},	//48 QGlobalSpace::operator|(QDir::Filter, int)
    {16, 341, 104, 2, Smoke::mf_static, 214, 31},	//49 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {16, 384, 46, 1, Smoke::mf_static, 278, 32},	//50 QGlobalSpace::qCeil(double)
    {16, 488, 0, 0, Smoke::mf_static, 278, 33},	//51 QGlobalSpace::qrand()
    {16, 314, 107, 2, Smoke::mf_static, 249, 34},	//52 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {16, 346, 110, 2, Smoke::mf_static, 214, 35},	//53 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {16, 335, 113, 2, Smoke::mf_static, 214, 36},	//54 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {16, 357, 116, 2, Smoke::mf_static, 43, 37},	//55 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {16, 324, 119, 2, Smoke::mf_static, 13, 38},	//56 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {16, 298, 122, 2, Smoke::mf_static, 214, 39},	//57 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {16, 335, 125, 2, Smoke::mf_static, 214, 40},	//58 QGlobalSpace::operator==(QBool, QBool)
    {16, 357, 128, 2, Smoke::mf_static, 34, 41},	//59 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {16, 417, 131, 1, Smoke::mf_static, 287, 42},	//60 QGlobalSpace::qHash(const QStringRef&)
    {16, 335, 133, 2, Smoke::mf_static, 214, 43},	//61 QGlobalSpace::operator==(QString::Null, QString::Null)
    {16, 357, 136, 2, Smoke::mf_static, 51, 44},	//62 QGlobalSpace::operator|(QSql::ParamTypeFlag, int)
    {16, 324, 139, 2, Smoke::mf_static, 10, 45},	//63 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {16, 357, 142, 2, Smoke::mf_static, 29, 46},	//64 QGlobalSpace::operator|(QSql::ParamTypeFlag, QSql::ParamTypeFlag)
    {16, 351, 145, 2, Smoke::mf_static, 10, 47},	//65 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {16, 309, 148, 2, Smoke::mf_static, 262, 48},	//66 QGlobalSpace::operator+(QChar, const QString&)
    {16, 357, 151, 2, Smoke::mf_static, 26, 49},	//67 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {16, 357, 154, 2, Smoke::mf_static, 21, 50},	//68 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {16, 324, 157, 2, Smoke::mf_static, 13, 51},	//69 QGlobalSpace::operator<<(QDebug, const QTime&)
    {16, 324, 160, 2, Smoke::mf_static, 10, 52},	//70 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {16, 324, 163, 2, Smoke::mf_static, 13, 53},	//71 QGlobalSpace::operator<<(QDebug, const QDate&)
    {16, 417, 166, 1, Smoke::mf_static, 287, 54},	//72 QGlobalSpace::qHash(const QBitArray&)
    {16, 480, 168, 3, Smoke::mf_static, 0, 55},	//73 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {16, 379, 46, 1, Smoke::mf_static, 276, 56},	//74 QGlobalSpace::qAtan(double)
    {16, 538, 172, 3, Smoke::mf_static, 214, 57},	//75 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {16, 417, 176, 1, Smoke::mf_static, 287, 58},	//76 QGlobalSpace::qHash(const QString&)
    {16, 417, 178, 1, Smoke::mf_static, 287, 59},	//77 QGlobalSpace::qHash(unsigned short)
    {16, 450, 180, 1, Smoke::mf_static, 0, 60},	//78 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {16, 417, 182, 1, Smoke::mf_static, 287, 61},	//79 QGlobalSpace::qHash(long)
    {16, 357, 184, 2, Smoke::mf_static, 46, 62},	//80 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {16, 417, 187, 1, Smoke::mf_static, 287, 63},	//81 QGlobalSpace::qHash(long long)
    {16, 309, 107, 2, Smoke::mf_static, 249, 64},	//82 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {16, 357, 189, 2, Smoke::mf_static, 51, 65},	//83 QGlobalSpace::operator|(Qt::DropAction, int)
    {16, 324, 192, 2, Smoke::mf_static, 10, 66},	//84 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {16, 393, 46, 1, Smoke::mf_static, 276, 67},	//85 QGlobalSpace::qCos(double)
    {16, 357, 195, 2, Smoke::mf_static, 20, 68},	//86 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {16, 491, 198, 1, Smoke::mf_static, 0, 69},	//87 QGlobalSpace::qsrand(unsigned int)
    {16, 427, 200, 1, Smoke::mf_static, 214, 70},	//88 QGlobalSpace::qIsInf(float)
    {16, 357, 202, 2, Smoke::mf_static, 34, 71},	//89 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {16, 357, 205, 2, Smoke::mf_static, 51, 72},	//90 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {16, 324, 208, 2, Smoke::mf_static, 10, 73},	//91 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {16, 357, 211, 2, Smoke::mf_static, 51, 74},	//92 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {16, 357, 214, 2, Smoke::mf_static, 23, 75},	//93 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {16, 319, 217, 2, Smoke::mf_static, 214, 76},	//94 QGlobalSpace::operator<(const QByteArray&, const char*)
    {16, 357, 220, 2, Smoke::mf_static, 35, 77},	//95 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {16, 324, 223, 2, Smoke::mf_static, 13, 78},	//96 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {16, 479, 0, 0, Smoke::mf_static, 13, 79},	//97 QGlobalSpace::qWarning()
    {16, 357, 226, 2, Smoke::mf_static, 44, 80},	//98 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {16, 357, 229, 2, Smoke::mf_static, 51, 81},	//99 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {16, 351, 232, 2, Smoke::mf_static, 10, 82},	//100 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {16, 357, 235, 2, Smoke::mf_static, 51, 83},	//101 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {16, 309, 238, 2, Smoke::mf_static, 262, 84},	//102 QGlobalSpace::operator+(const QString&, const char*)
    {16, 324, 241, 2, Smoke::mf_static, 13, 85},	//103 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {16, 357, 244, 2, Smoke::mf_static, 37, 86},	//104 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {16, 351, 247, 2, Smoke::mf_static, 10, 87},	//105 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {16, 357, 250, 2, Smoke::mf_static, 26, 88},	//106 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {16, 309, 253, 2, Smoke::mf_static, 218, 89},	//107 QGlobalSpace::operator+(char, const QByteArray&)
    {16, 357, 256, 2, Smoke::mf_static, 51, 90},	//108 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {16, 317, 43, 2, Smoke::mf_static, 239, 91},	//109 QGlobalSpace::operator/(const QPoint&, double)
    {16, 309, 259, 2, Smoke::mf_static, 262, 92},	//110 QGlobalSpace::operator+(const char*, const QString&)
    {16, 335, 262, 2, Smoke::mf_static, 214, 93},	//111 QGlobalSpace::operator==(const char*, const QByteArray&)
    {16, 429, 200, 1, Smoke::mf_static, 214, 94},	//112 QGlobalSpace::qIsNaN(float)
    {16, 351, 265, 2, Smoke::mf_static, 10, 95},	//113 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {16, 413, 268, 2, Smoke::mf_static, 214, 96},	//114 QGlobalSpace::qFuzzyCompare(double, double)
    {16, 431, 200, 1, Smoke::mf_static, 214, 97},	//115 QGlobalSpace::qIsNull(float)
    {16, 351, 271, 2, Smoke::mf_static, 10, 98},	//116 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {16, 351, 274, 2, Smoke::mf_static, 10, 99},	//117 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {16, 351, 277, 2, Smoke::mf_static, 10, 100},	//118 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {16, 335, 280, 2, Smoke::mf_static, 214, 101},	//119 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {16, 328, 259, 2, Smoke::mf_static, 214, 102},	//120 QGlobalSpace::operator<=(const char*, const QString&)
    {16, 298, 283, 2, Smoke::mf_static, 214, 103},	//121 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {16, 357, 286, 2, Smoke::mf_static, 51, 104},	//122 QGlobalSpace::operator|(QFile::Permission, int)
    {16, 324, 289, 2, Smoke::mf_static, 13, 105},	//123 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {16, 319, 292, 2, Smoke::mf_static, 214, 106},	//124 QGlobalSpace::operator<(QChar, QChar)
    {16, 346, 104, 2, Smoke::mf_static, 214, 107},	//125 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {16, 510, 295, 3, Smoke::mf_static, 278, 108},	//126 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {16, 417, 299, 1, Smoke::mf_static, 287, 109},	//127 QGlobalSpace::qHash(const QByteArray&)
    {16, 324, 301, 2, Smoke::mf_static, 13, 110},	//128 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {16, 521, 304, 2, Smoke::mf_static, 0, 111},	//129 QGlobalSpace::qt_check_pointer(const char*, int)
    {16, 357, 307, 2, Smoke::mf_static, 32, 112},	//130 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {16, 351, 310, 2, Smoke::mf_static, 10, 113},	//131 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {16, 306, 313, 2, Smoke::mf_static, 241, 114},	//132 QGlobalSpace::operator*(const QPointF&, double)
    {16, 493, 110, 2, Smoke::mf_static, 278, 115},	//133 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {16, 461, 316, 1, Smoke::mf_static, 126, 116},	//134 QGlobalSpace::qSetPadChar(QChar)
    {16, 493, 217, 2, Smoke::mf_static, 278, 117},	//135 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {16, 335, 75, 2, Smoke::mf_static, 214, 118},	//136 QGlobalSpace::operator==(const QSize&, const QSize&)
    {16, 465, 0, 0, Smoke::mf_static, 214, 119},	//137 QGlobalSpace::qSharedBuild()
    {16, 357, 318, 2, Smoke::mf_static, 20, 120},	//138 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {16, 421, 321, 1, Smoke::mf_static, 293, 121},	//139 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {16, 324, 323, 2, Smoke::mf_static, 10, 122},	//140 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {16, 532, 326, 3, Smoke::mf_static, 64, 123},	//141 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {16, 335, 104, 2, Smoke::mf_static, 214, 124},	//142 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {16, 357, 330, 2, Smoke::mf_static, 42, 125},	//143 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {16, 357, 333, 2, Smoke::mf_static, 51, 126},	//144 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {16, 298, 110, 2, Smoke::mf_static, 214, 127},	//145 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {16, 357, 336, 2, Smoke::mf_static, 51, 128},	//146 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {16, 357, 339, 2, Smoke::mf_static, 41, 129},	//147 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {16, 317, 98, 2, Smoke::mf_static, 249, 130},	//148 QGlobalSpace::operator/(const QSizeF&, double)
    {16, 357, 342, 2, Smoke::mf_static, 42, 131},	//149 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {16, 341, 292, 2, Smoke::mf_static, 214, 132},	//150 QGlobalSpace::operator>(QChar, QChar)
    {16, 346, 262, 2, Smoke::mf_static, 214, 133},	//151 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {16, 411, 345, 1, Smoke::mf_static, 0, 134},	//152 QGlobalSpace::qFreeAligned(void*)
    {16, 335, 347, 2, Smoke::mf_static, 214, 135},	//153 QGlobalSpace::operator==(const QString&, QString::Null)
    {16, 423, 200, 1, Smoke::mf_static, 278, 136},	//154 QGlobalSpace::qIntCast(float)
    {16, 319, 110, 2, Smoke::mf_static, 214, 137},	//155 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {16, 486, 262, 2, Smoke::mf_static, 214, 138},	//156 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {16, 324, 350, 2, Smoke::mf_static, 13, 139},	//157 QGlobalSpace::operator<<(QDebug, const QSqlField&)
    {16, 357, 353, 2, Smoke::mf_static, 51, 140},	//158 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {16, 351, 356, 2, Smoke::mf_static, 10, 141},	//159 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {16, 470, 359, 2, Smoke::mf_static, 214, 142},	//160 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {16, 506, 295, 3, Smoke::mf_static, 278, 143},	//161 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {16, 314, 362, 1, Smoke::mf_static, 241, 144},	//162 QGlobalSpace::operator-(const QPointF&)
    {16, 448, 364, 4, Smoke::mf_static, 294, 145},	//163 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {16, 357, 369, 2, Smoke::mf_static, 40, 146},	//164 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {16, 417, 372, 1, Smoke::mf_static, 287, 147},	//165 QGlobalSpace::qHash(unsigned long long)
    {16, 309, 374, 2, Smoke::mf_static, 262, 148},	//166 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {16, 357, 377, 2, Smoke::mf_static, 49, 149},	//167 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {16, 324, 380, 2, Smoke::mf_static, 13, 150},	//168 QGlobalSpace::operator<<(QDebug, const QSize&)
    {16, 357, 383, 2, Smoke::mf_static, 40, 151},	//169 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {16, 357, 386, 2, Smoke::mf_static, 47, 152},	//170 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {16, 309, 389, 2, Smoke::mf_static, 262, 153},	//171 QGlobalSpace::operator+(const QString&, char)
    {16, 346, 283, 2, Smoke::mf_static, 214, 154},	//172 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {16, 376, 0, 0, Smoke::mf_static, 115, 155},	//173 QGlobalSpace::qAppName()
    {16, 417, 316, 1, Smoke::mf_static, 287, 156},	//174 QGlobalSpace::qHash(QChar)
    {16, 335, 122, 2, Smoke::mf_static, 214, 157},	//175 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {16, 415, 46, 1, Smoke::mf_static, 214, 158},	//176 QGlobalSpace::qFuzzyIsNull(double)
    {16, 324, 392, 2, Smoke::mf_static, 10, 159},	//177 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {16, 441, 395, 3, Smoke::mf_static, 294, 160},	//178 QGlobalSpace::qMemSet(void*, int, size_t)
    {16, 381, 268, 2, Smoke::mf_static, 276, 161},	//179 QGlobalSpace::qAtan2(double, double)
    {16, 324, 399, 2, Smoke::mf_static, 10, 162},	//180 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {16, 351, 402, 2, Smoke::mf_static, 10, 163},	//181 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {16, 388, 405, 2, Smoke::mf_static, 5, 164},	//182 QGlobalSpace::qCompress(const QByteArray&, int)
    {16, 388, 299, 1, Smoke::mf_static, 5, 165},	//183 QGlobalSpace::qCompress(const QByteArray&)
    {16, 357, 408, 2, Smoke::mf_static, 41, 166},	//184 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {16, 319, 262, 2, Smoke::mf_static, 214, 167},	//185 QGlobalSpace::operator<(const char*, const QByteArray&)
    {16, 374, 411, 1, Smoke::mf_static, 0, 168},	//186 QGlobalSpace::qAddPostRoutine(void(*)())
    {16, 357, 413, 2, Smoke::mf_static, 51, 169},	//187 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {16, 357, 416, 2, Smoke::mf_static, 51, 170},	//188 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {16, 357, 419, 2, Smoke::mf_static, 51, 171},	//189 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {16, 397, 46, 1, Smoke::mf_static, 276, 172},	//190 QGlobalSpace::qExp(double)
    {16, 357, 422, 2, Smoke::mf_static, 38, 173},	//191 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {16, 298, 75, 2, Smoke::mf_static, 214, 174},	//192 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {16, 328, 217, 2, Smoke::mf_static, 214, 175},	//193 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {16, 298, 425, 2, Smoke::mf_static, 214, 176},	//194 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {16, 357, 428, 2, Smoke::mf_static, 51, 177},	//195 QGlobalSpace::operator|(QString::SectionFlag, int)
    {16, 357, 431, 2, Smoke::mf_static, 51, 178},	//196 QGlobalSpace::operator|(Qt::WindowType, int)
    {16, 335, 434, 2, Smoke::mf_static, 214, 179},	//197 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {16, 431, 46, 1, Smoke::mf_static, 214, 180},	//198 QGlobalSpace::qIsNull(double)
    {16, 346, 437, 2, Smoke::mf_static, 214, 181},	//199 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {16, 335, 440, 2, Smoke::mf_static, 214, 182},	//200 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {16, 423, 46, 1, Smoke::mf_static, 278, 183},	//201 QGlobalSpace::qIntCast(double)
    {16, 355, 31, 2, Smoke::mf_static, 2, 184},	//202 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {16, 386, 443, 2, Smoke::mf_static, 290, 185},	//203 QGlobalSpace::qChecksum(const char*, unsigned int)
    {16, 357, 446, 2, Smoke::mf_static, 33, 186},	//204 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {16, 357, 449, 2, Smoke::mf_static, 51, 187},	//205 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {16, 319, 283, 2, Smoke::mf_static, 214, 188},	//206 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {16, 324, 452, 2, Smoke::mf_static, 13, 189},	//207 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {16, 484, 455, 1, Smoke::mf_static, 5, 190},	//208 QGlobalSpace::qgetenv(const char*)
    {16, 298, 359, 2, Smoke::mf_static, 214, 191},	//209 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {16, 351, 457, 2, Smoke::mf_static, 123, 192},	//210 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {16, 298, 262, 2, Smoke::mf_static, 214, 193},	//211 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {16, 372, 46, 1, Smoke::mf_static, 276, 194},	//212 QGlobalSpace::qAcos(double)
    {16, 341, 283, 2, Smoke::mf_static, 214, 195},	//213 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {16, 324, 460, 2, Smoke::mf_static, 13, 196},	//214 QGlobalSpace::operator<<(QDebug, const QSqlDatabase&)
    {16, 324, 463, 2, Smoke::mf_static, 10, 197},	//215 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {16, 357, 466, 2, Smoke::mf_static, 25, 198},	//216 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {16, 508, 469, 3, Smoke::mf_static, 216, 199},	//217 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {16, 324, 473, 2, Smoke::mf_static, 10, 200},	//218 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {16, 425, 200, 1, Smoke::mf_static, 214, 201},	//219 QGlobalSpace::qIsFinite(float)
    {16, 523, 476, 1, Smoke::mf_static, 115, 202},	//220 QGlobalSpace::qt_error_string(int)
    {16, 523, 0, 0, Smoke::mf_static, 115, 203},	//221 QGlobalSpace::qt_error_string()
    {16, 357, 478, 2, Smoke::mf_static, 51, 204},	//222 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {16, 446, 481, 2, Smoke::mf_static, 294, 205},	//223 QGlobalSpace::qRealloc(void*, size_t)
    {16, 309, 484, 2, Smoke::mf_static, 262, 206},	//224 QGlobalSpace::operator+(const QString&, const QString&)
    {16, 519, 487, 4, Smoke::mf_static, 0, 207},	//225 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {16, 319, 259, 2, Smoke::mf_static, 214, 208},	//226 QGlobalSpace::operator<(const char*, const QString&)
    {16, 298, 259, 2, Smoke::mf_static, 214, 209},	//227 QGlobalSpace::operator!=(const char*, const QString&)
    {16, 298, 217, 2, Smoke::mf_static, 214, 210},	//228 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {16, 298, 492, 2, Smoke::mf_static, 214, 211},	//229 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {16, 341, 110, 2, Smoke::mf_static, 214, 212},	//230 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {16, 454, 46, 1, Smoke::mf_static, 278, 213},	//231 QGlobalSpace::qRound(double)
    {16, 328, 104, 2, Smoke::mf_static, 214, 214},	//232 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {16, 335, 425, 2, Smoke::mf_static, 214, 215},	//233 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {16, 324, 495, 2, Smoke::mf_static, 13, 216},	//234 QGlobalSpace::operator<<(QDebug, const QSqlRecord&)
    {16, 357, 31, 2, Smoke::mf_static, 2, 217},	//235 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {16, 335, 498, 2, Smoke::mf_static, 214, 218},	//236 QGlobalSpace::operator==(const char*, const QStringRef&)
    {16, 309, 262, 2, Smoke::mf_static, 218, 219},	//237 QGlobalSpace::operator+(const char*, const QByteArray&)
    {16, 357, 501, 2, Smoke::mf_static, 51, 220},	//238 QGlobalSpace::operator|(Qt::MouseButton, int)
    {16, 328, 283, 2, Smoke::mf_static, 214, 221},	//239 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {16, 351, 504, 2, Smoke::mf_static, 10, 222},	//240 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {16, 357, 507, 2, Smoke::mf_static, 23, 223},	//241 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {16, 357, 510, 2, Smoke::mf_static, 39, 224},	//242 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {16, 357, 513, 2, Smoke::mf_static, 32, 225},	//243 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {16, 351, 516, 2, Smoke::mf_static, 10, 226},	//244 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {16, 335, 292, 2, Smoke::mf_static, 214, 227},	//245 QGlobalSpace::operator==(QChar, QChar)
    {16, 357, 519, 2, Smoke::mf_static, 45, 228},	//246 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {16, 298, 434, 2, Smoke::mf_static, 214, 229},	//247 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {16, 298, 522, 2, Smoke::mf_static, 214, 230},	//248 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {16, 417, 525, 1, Smoke::mf_static, 287, 231},	//249 QGlobalSpace::qHash(signed char)
    {16, 357, 527, 2, Smoke::mf_static, 46, 232},	//250 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {16, 324, 530, 2, Smoke::mf_static, 10, 233},	//251 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {16, 468, 46, 1, Smoke::mf_static, 276, 234},	//252 QGlobalSpace::qSqrt(double)
    {16, 493, 533, 2, Smoke::mf_static, 278, 235},	//253 QGlobalSpace::qstrcmp(const char*, const char*)
    {16, 309, 536, 2, Smoke::mf_static, 262, 236},	//254 QGlobalSpace::operator+(char, const QString&)
    {16, 298, 113, 2, Smoke::mf_static, 214, 237},	//255 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {16, 298, 292, 2, Smoke::mf_static, 214, 238},	//256 QGlobalSpace::operator!=(QChar, QChar)
    {16, 357, 539, 2, Smoke::mf_static, 27, 239},	//257 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {16, 512, 443, 2, Smoke::mf_static, 287, 240},	//258 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {16, 335, 437, 2, Smoke::mf_static, 214, 241},	//259 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {16, 407, 46, 1, Smoke::mf_static, 278, 242},	//260 QGlobalSpace::qFloor(double)
    {16, 357, 542, 2, Smoke::mf_static, 48, 243},	//261 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {16, 324, 545, 2, Smoke::mf_static, 13, 244},	//262 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {16, 357, 548, 2, Smoke::mf_static, 33, 245},	//263 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {16, 335, 107, 2, Smoke::mf_static, 214, 246},	//264 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {16, 335, 283, 2, Smoke::mf_static, 214, 247},	//265 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {16, 298, 551, 2, Smoke::mf_static, 214, 248},	//266 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {16, 306, 554, 2, Smoke::mf_static, 247, 249},	//267 QGlobalSpace::operator*(double, const QSize&)
    {16, 357, 557, 2, Smoke::mf_static, 25, 250},	//268 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {16, 417, 5, 1, Smoke::mf_static, 287, 251},	//269 QGlobalSpace::qHash(const QModelIndex&)
    {16, 324, 560, 2, Smoke::mf_static, 13, 252},	//270 QGlobalSpace::operator<<(QDebug, const QLine&)
    {16, 452, 411, 1, Smoke::mf_static, 0, 253},	//271 QGlobalSpace::qRemovePostRoutine(void(*)())
    {16, 324, 563, 2, Smoke::mf_static, 10, 254},	//272 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {16, 405, 455, 1, Smoke::mf_static, 273, 255},	//273 QGlobalSpace::qFlagLocation(const char*)
    {16, 439, 566, 3, Smoke::mf_static, 294, 256},	//274 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {16, 346, 217, 2, Smoke::mf_static, 214, 257},	//275 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {16, 306, 570, 2, Smoke::mf_static, 239, 258},	//276 QGlobalSpace::operator*(double, const QPoint&)
    {16, 429, 46, 1, Smoke::mf_static, 214, 259},	//277 QGlobalSpace::qIsNaN(double)
    {16, 324, 573, 2, Smoke::mf_static, 13, 260},	//278 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {16, 417, 576, 1, Smoke::mf_static, 287, 261},	//279 QGlobalSpace::qHash(short)
    {16, 420, 0, 0, Smoke::mf_static, 276, 262},	//280 QGlobalSpace::qInf()
    {16, 324, 578, 2, Smoke::mf_static, 13, 263},	//281 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {16, 324, 581, 2, Smoke::mf_static, 10, 264},	//282 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {16, 309, 584, 2, Smoke::mf_static, 218, 265},	//283 QGlobalSpace::operator+(const QByteArray&, char)
    {16, 317, 313, 2, Smoke::mf_static, 241, 266},	//284 QGlobalSpace::operator/(const QPointF&, double)
    {16, 475, 299, 1, Smoke::mf_static, 5, 267},	//285 QGlobalSpace::qUncompress(const QByteArray&)
    {16, 346, 292, 2, Smoke::mf_static, 214, 268},	//286 QGlobalSpace::operator>=(QChar, QChar)
    {16, 328, 110, 2, Smoke::mf_static, 214, 269},	//287 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {16, 463, 476, 1, Smoke::mf_static, 126, 270},	//288 QGlobalSpace::qSetRealNumberPrecision(int)
    {16, 324, 587, 2, Smoke::mf_static, 13, 271},	//289 QGlobalSpace::operator<<(QDebug, const QObject*)
    {16, 466, 46, 1, Smoke::mf_static, 276, 272},	//290 QGlobalSpace::qSin(double)
    {16, 377, 46, 1, Smoke::mf_static, 276, 273},	//291 QGlobalSpace::qAsin(double)
    {16, 502, 533, 2, Smoke::mf_static, 278, 274},	//292 QGlobalSpace::qstricmp(const char*, const char*)
    {16, 482, 590, 3, Smoke::mf_static, 216, 275},	//293 QGlobalSpace::qgcvt(long double, int, char*)
    {16, 413, 594, 2, Smoke::mf_static, 214, 276},	//294 QGlobalSpace::qFuzzyCompare(float, float)
    {16, 357, 597, 2, Smoke::mf_static, 22, 277},	//295 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {16, 328, 437, 2, Smoke::mf_static, 214, 278},	//296 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {16, 540, 600, 4, Smoke::mf_static, 278, 279},	//297 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {16, 357, 605, 2, Smoke::mf_static, 30, 280},	//298 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {16, 324, 608, 2, Smoke::mf_static, 10, 281},	//299 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {16, 531, 0, 0, Smoke::mf_static, 0, 282},	//300 QGlobalSpace::qt_noop()
    {16, 341, 262, 2, Smoke::mf_static, 214, 283},	//301 QGlobalSpace::operator>(const char*, const QByteArray&)
    {16, 351, 611, 2, Smoke::mf_static, 10, 284},	//302 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {16, 459, 476, 1, Smoke::mf_static, 126, 285},	//303 QGlobalSpace::qSetFieldWidth(int)
    {16, 357, 614, 2, Smoke::mf_static, 31, 286},	//304 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {16, 324, 617, 2, Smoke::mf_static, 13, 287},	//305 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {16, 324, 620, 2, Smoke::mf_static, 10, 288},	//306 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {16, 335, 551, 2, Smoke::mf_static, 214, 289},	//307 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {16, 298, 623, 2, Smoke::mf_static, 214, 290},	//308 QGlobalSpace::operator!=(bool, QBool)
    {16, 417, 626, 1, Smoke::mf_static, 287, 291},	//309 QGlobalSpace::qHash(unsigned long)
    {16, 324, 628, 2, Smoke::mf_static, 13, 292},	//310 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {16, 298, 631, 2, Smoke::mf_static, 214, 293},	//311 QGlobalSpace::operator!=(QBool, bool)
    {16, 357, 634, 2, Smoke::mf_static, 51, 294},	//312 QGlobalSpace::operator|(Qt::WindowState, int)
    {16, 314, 425, 2, Smoke::mf_static, 239, 295},	//313 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {16, 433, 46, 1, Smoke::mf_static, 276, 296},	//314 QGlobalSpace::qLn(double)
    {16, 351, 637, 2, Smoke::mf_static, 10, 297},	//315 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {16, 504, 455, 1, Smoke::mf_static, 287, 298},	//316 QGlobalSpace::qstrlen(const char*)
    {16, 309, 217, 2, Smoke::mf_static, 218, 299},	//317 QGlobalSpace::operator+(const QByteArray&, const char*)
    {16, 324, 640, 2, Smoke::mf_static, 10, 300},	//318 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {16, 328, 262, 2, Smoke::mf_static, 214, 301},	//319 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {16, 298, 107, 2, Smoke::mf_static, 214, 302},	//320 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {16, 357, 643, 2, Smoke::mf_static, 35, 303},	//321 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {16, 335, 492, 2, Smoke::mf_static, 214, 304},	//322 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {16, 357, 646, 2, Smoke::mf_static, 28, 305},	//323 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {16, 298, 437, 2, Smoke::mf_static, 214, 306},	//324 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {16, 357, 649, 2, Smoke::mf_static, 49, 307},	//325 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {16, 306, 652, 2, Smoke::mf_static, 247, 308},	//326 QGlobalSpace::operator*(const QSize&, double)
    {16, 335, 655, 2, Smoke::mf_static, 214, 309},	//327 QGlobalSpace::operator==(QString::Null, const QString&)
    {16, 357, 658, 2, Smoke::mf_static, 22, 310},	//328 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {16, 357, 661, 2, Smoke::mf_static, 39, 311},	//329 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {16, 351, 664, 2, Smoke::mf_static, 10, 312},	//330 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {16, 324, 667, 2, Smoke::mf_static, 13, 313},	//331 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {16, 335, 217, 2, Smoke::mf_static, 214, 314},	//332 QGlobalSpace::operator==(const QByteArray&, const char*)
    {16, 534, 670, 5, Smoke::mf_static, 0, 315},	//333 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {16, 351, 676, 2, Smoke::mf_static, 10, 316},	//334 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {16, 341, 259, 2, Smoke::mf_static, 214, 317},	//335 QGlobalSpace::operator>(const char*, const QString&)
    {16, 489, 679, 4, Smoke::mf_static, 0, 318},	//336 QGlobalSpace::qsort(void*, size_t, size_t, __compar_fn_t)
    {16, 324, 684, 2, Smoke::mf_static, 10, 319},	//337 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {16, 341, 217, 2, Smoke::mf_static, 214, 320},	//338 QGlobalSpace::operator>(const QByteArray&, const char*)
    {16, 319, 104, 2, Smoke::mf_static, 214, 321},	//339 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {16, 309, 425, 2, Smoke::mf_static, 239, 322},	//340 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {16, 324, 687, 2, Smoke::mf_static, 10, 323},	//341 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {16, 409, 345, 1, Smoke::mf_static, 0, 324},	//342 QGlobalSpace::qFree(void*)
    {16, 328, 292, 2, Smoke::mf_static, 214, 325},	//343 QGlobalSpace::operator<=(QChar, QChar)
    {16, 324, 690, 2, Smoke::mf_static, 123, 326},	//344 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {16, 417, 198, 1, Smoke::mf_static, 287, 327},	//345 QGlobalSpace::qHash(unsigned int)
    {16, 298, 655, 2, Smoke::mf_static, 214, 328},	//346 QGlobalSpace::operator!=(QString::Null, const QString&)
    {16, 456, 46, 1, Smoke::mf_static, 281, 329},	//347 QGlobalSpace::qRound64(double)
    {16, 341, 437, 2, Smoke::mf_static, 214, 330},	//348 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {16, 357, 693, 2, Smoke::mf_static, 30, 331},	//349 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {16, 437, 696, 2, Smoke::mf_static, 294, 332},	//350 QGlobalSpace::qMallocAligned(size_t, size_t)
    {16, 357, 699, 2, Smoke::mf_static, 51, 333},	//351 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {16, 298, 347, 2, Smoke::mf_static, 214, 334},	//352 QGlobalSpace::operator!=(const QString&, QString::Null)
    {16, 388, 702, 3, Smoke::mf_static, 5, 335},	//353 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {16, 388, 706, 2, Smoke::mf_static, 5, 336},	//354 QGlobalSpace::qCompress(const unsigned char*, int)
    {16, 357, 709, 2, Smoke::mf_static, 51, 337},	//355 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {16, 500, 455, 1, Smoke::mf_static, 216, 338},	//356 QGlobalSpace::qstrdup(const char*)
    {16, 357, 712, 2, Smoke::mf_static, 37, 339},	//357 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {16, 396, 0, 0, Smoke::mf_static, 13, 340},	//358 QGlobalSpace::qDebug()
    {16, 314, 715, 1, Smoke::mf_static, 239, 341},	//359 QGlobalSpace::operator-(const QPoint&)
    {16, 357, 717, 2, Smoke::mf_static, 29, 342},	//360 QGlobalSpace::operator|(QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>)
    {16, 493, 262, 2, Smoke::mf_static, 278, 343},	//361 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {16, 473, 46, 1, Smoke::mf_static, 276, 344},	//362 QGlobalSpace::qTan(double)
    {16, 351, 720, 2, Smoke::mf_static, 10, 345},	//363 QGlobalSpace::operator>>(QDataStream&, QString&)
    {16, 335, 110, 2, Smoke::mf_static, 214, 346},	//364 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {16, 324, 723, 2, Smoke::mf_static, 10, 347},	//365 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {16, 417, 476, 1, Smoke::mf_static, 287, 348},	//366 QGlobalSpace::qHash(int)
    {16, 314, 280, 2, Smoke::mf_static, 241, 349},	//367 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {16, 319, 437, 2, Smoke::mf_static, 214, 350},	//368 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {16, 351, 726, 2, Smoke::mf_static, 10, 351},	//369 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {16, 357, 729, 2, Smoke::mf_static, 45, 352},	//370 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {16, 443, 268, 2, Smoke::mf_static, 276, 353},	//371 QGlobalSpace::qPow(double, double)
    {16, 335, 359, 2, Smoke::mf_static, 214, 354},	//372 QGlobalSpace::operator==(const QStringRef&, const char*)
    {16, 298, 498, 2, Smoke::mf_static, 214, 355},	//373 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {16, 309, 110, 2, Smoke::mf_static, 218, 356},	//374 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {16, 309, 732, 2, Smoke::mf_static, 262, 357},	//375 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {16, 470, 238, 2, Smoke::mf_static, 214, 358},	//376 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {16, 357, 735, 2, Smoke::mf_static, 24, 359},	//377 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {16, 357, 738, 2, Smoke::mf_static, 51, 360},	//378 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {16, 351, 741, 2, Smoke::mf_static, 10, 361},	//379 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {16, 525, 744, 2, Smoke::mf_static, 0, 362},	//380 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {16, 324, 747, 2, Smoke::mf_static, 13, 363},	//381 QGlobalSpace::operator<<(QDebug, const QSqlError&)
    {16, 357, 750, 2, Smoke::mf_static, 51, 364},	//382 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {16, 335, 259, 2, Smoke::mf_static, 214, 365},	//383 QGlobalSpace::operator==(const char*, const QString&)
    {16, 324, 753, 2, Smoke::mf_static, 13, 366},	//384 QGlobalSpace::operator<<(QDebug, const QRect&)
    {16, 401, 46, 1, Smoke::mf_static, 276, 367},	//385 QGlobalSpace::qFastCos(double)
    {16, 324, 756, 2, Smoke::mf_static, 10, 368},	//386 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {16, 317, 652, 2, Smoke::mf_static, 247, 369},	//387 QGlobalSpace::operator/(const QSize&, double)
    {16, 351, 759, 2, Smoke::mf_static, 10, 370},	//388 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {16, 335, 623, 2, Smoke::mf_static, 214, 371},	//389 QGlobalSpace::operator==(bool, QBool)
    {16, 357, 762, 2, Smoke::mf_static, 47, 372},	//390 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {16, 357, 765, 2, Smoke::mf_static, 51, 373},	//391 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {16, 346, 259, 2, Smoke::mf_static, 214, 374},	//392 QGlobalSpace::operator>=(const char*, const QString&)
    {16, 417, 768, 1, Smoke::mf_static, 287, 375},	//393 QGlobalSpace::qHash(char)
    {16, 324, 770, 2, Smoke::mf_static, 10, 376},	//394 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {16, 351, 773, 2, Smoke::mf_static, 10, 377},	//395 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {16, 298, 280, 2, Smoke::mf_static, 214, 378},	//396 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {16, 425, 46, 1, Smoke::mf_static, 214, 379},	//397 QGlobalSpace::qIsFinite(double)
    {16, 357, 776, 2, Smoke::mf_static, 38, 380},	//398 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {16, 314, 75, 2, Smoke::mf_static, 247, 381},	//399 QGlobalSpace::operator-(const QSize&, const QSize&)
    {16, 458, 0, 0, Smoke::mf_static, 276, 382},	//400 QGlobalSpace::qSNaN()
    {16, 415, 200, 1, Smoke::mf_static, 214, 383},	//401 QGlobalSpace::qFuzzyIsNull(float)
    {16, 357, 779, 2, Smoke::mf_static, 36, 384},	//402 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {16, 475, 706, 2, Smoke::mf_static, 5, 385},	//403 QGlobalSpace::qUncompress(const unsigned char*, int)
    {16, 357, 782, 2, Smoke::mf_static, 36, 386},	//404 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {16, 357, 785, 2, Smoke::mf_static, 51, 387},	//405 QGlobalSpace::operator|(Qt::Orientation, int)
    {16, 298, 104, 2, Smoke::mf_static, 214, 388},	//406 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {16, 403, 46, 1, Smoke::mf_static, 276, 389},	//407 QGlobalSpace::qFastSin(double)
    {16, 324, 788, 2, Smoke::mf_static, 13, 390},	//408 QGlobalSpace::operator<<(QDebug, const QDir&)
    {16, 309, 280, 2, Smoke::mf_static, 241, 391},	//409 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {16, 335, 631, 2, Smoke::mf_static, 214, 392},	//410 QGlobalSpace::operator==(QBool, bool)
    {16, 335, 72, 2, Smoke::mf_static, 214, 393},	//411 QGlobalSpace::operator==(const QRect&, const QRect&)
    {16, 514, 304, 2, Smoke::mf_static, 115, 394},	//412 QGlobalSpace::qtTrId(const char*, int)
    {16, 514, 455, 1, Smoke::mf_static, 115, 395},	//413 QGlobalSpace::qtTrId(const char*)
    {16, 351, 791, 2, Smoke::mf_static, 10, 396},	//414 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {16, 357, 794, 2, Smoke::mf_static, 27, 397},	//415 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {16, 309, 797, 2, Smoke::mf_static, 262, 398},	//416 QGlobalSpace::operator+(const QString&, QChar)
    {16, 383, 0, 0, Smoke::mf_static, 0, 399},	//417 QGlobalSpace::qBadAlloc()
    {16, 298, 133, 2, Smoke::mf_static, 214, 400},	//418 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {16, 357, 800, 2, Smoke::mf_static, 44, 401},	//419 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {16, 298, 125, 2, Smoke::mf_static, 214, 402},	//420 QGlobalSpace::operator!=(QBool, QBool)
    {16, 324, 457, 2, Smoke::mf_static, 123, 403},	//421 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {16, 435, 803, 1, Smoke::mf_static, 294, 404},	//422 QGlobalSpace::qMalloc(size_t)
    {16, 324, 805, 2, Smoke::mf_static, 13, 405},	//423 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {16, 335, 522, 2, Smoke::mf_static, 214, 406},	//424 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {16, 357, 808, 2, Smoke::mf_static, 28, 407},	//425 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {16, 324, 811, 2, Smoke::mf_static, 10, 408},	//426 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {16, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 409},	//427 QGlobalSpace::_IEEE_ (enum)
    {16, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 410},	//428 QGlobalSpace::_SVID_ (enum)
    {16, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 411},	//429 QGlobalSpace::_XOPEN_ (enum)
    {16, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 412},	//430 QGlobalSpace::_POSIX_ (enum)
    {16, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 413},	//431 QGlobalSpace::_ISOC_ (enum)
    {16, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 414},	//432 QGlobalSpace::QtDebugMsg (enum)
    {16, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 415},	//433 QGlobalSpace::QtWarningMsg (enum)
    {16, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 416},	//434 QGlobalSpace::QtCriticalMsg (enum)
    {16, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 417},	//435 QGlobalSpace::QtFatalMsg (enum)
    {16, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 418},	//436 QGlobalSpace::QtSystemMsg (enum)
    {16, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 419},	//437 QGlobalSpace::__codecvt_ok (enum)
    {16, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 420},	//438 QGlobalSpace::__codecvt_partial (enum)
    {16, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 421},	//439 QGlobalSpace::__codecvt_error (enum)
    {16, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 422},	//440 QGlobalSpace::__codecvt_noconv (enum)
    {27, 194, 814, 1, Smoke::mf_virtual, 214, 0},	//441 QObject::event(QEvent*)
    {27, 195, 816, 2, Smoke::mf_virtual, 214, 0},	//442 QObject::eventFilter(QObject*, QEvent*)
    {27, 698, 819, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//443 QObject::timerEvent(QTimerEvent*)
    {27, 147, 821, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//444 QObject::childEvent(QChildEvent*)
    {27, 169, 814, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//445 QObject::customEvent(QEvent*)
    {27, 157, 455, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//446 QObject::connectNotify(const char*)
    {27, 184, 455, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//447 QObject::disconnectNotify(const char*)
    {36, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 1},	//448 QSql::In (enum)
    {36, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 2},	//449 QSql::Out (enum)
    {36, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 3},	//450 QSql::InOut (enum)
    {36, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 4},	//451 QSql::Binary (enum)
    {36, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 5},	//452 QSql::LowPrecisionInt32 (enum)
    {36, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 6},	//453 QSql::LowPrecisionInt64 (enum)
    {36, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 7},	//454 QSql::LowPrecisionDouble (enum)
    {36, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 8},	//455 QSql::HighPrecision (enum)
    {36, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 9},	//456 QSql::Tables (enum)
    {36, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 10},	//457 QSql::SystemTables (enum)
    {36, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 11},	//458 QSql::Views (enum)
    {36, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 12},	//459 QSql::AllTables (enum)
    {36, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 13},	//460 QSql::BeforeFirstRow (enum)
    {36, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 14},	//461 QSql::AfterLastRow (enum)
    {37, 36, 0, 0, Smoke::mf_ctor, 80, 1},	//462 QSqlDatabase::QSqlDatabase()
    {37, 36, 823, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 80, 2},	//463 QSqlDatabase::QSqlDatabase(const QSqlDatabase&)
    {37, 333, 823, 1, 0, 79, 3},	//464 QSqlDatabase::operator=(const QSqlDatabase&)
    {37, 291, 0, 0, 0, 214, 4},	//465 QSqlDatabase::open()
    {37, 291, 484, 2, 0, 214, 5},	//466 QSqlDatabase::open(const QString&, const QString&)
    {37, 152, 0, 0, 0, 0, 6},	//467 QSqlDatabase::close()
    {37, 267, 0, 0, Smoke::mf_const, 214, 7},	//468 QSqlDatabase::isOpen() const
    {37, 268, 0, 0, Smoke::mf_const, 214, 8},	//469 QSqlDatabase::isOpenError() const
    {37, 695, 825, 1, Smoke::mf_const, 119, 9},	//470 QSqlDatabase::tables(QSql::TableType) const
    {37, 367, 176, 1, Smoke::mf_const, 96, 10},	//471 QSqlDatabase::primaryIndex(const QString&) const
    {37, 542, 176, 1, Smoke::mf_const, 104, 11},	//472 QSqlDatabase::record(const QString&) const
    {37, 196, 176, 1, Smoke::mf_const, 99, 12},	//473 QSqlDatabase::exec(const QString&) const
    {37, 275, 0, 0, Smoke::mf_const, 88, 13},	//474 QSqlDatabase::lastError() const
    {37, 271, 0, 0, Smoke::mf_const, 214, 14},	//475 QSqlDatabase::isValid() const
    {37, 707, 0, 0, 0, 214, 15},	//476 QSqlDatabase::transaction()
    {37, 155, 0, 0, 0, 214, 16},	//477 QSqlDatabase::commit()
    {37, 570, 0, 0, 0, 214, 17},	//478 QSqlDatabase::rollback()
    {37, 594, 176, 1, 0, 0, 18},	//479 QSqlDatabase::setDatabaseName(const QString&)
    {37, 669, 176, 1, 0, 0, 19},	//480 QSqlDatabase::setUserName(const QString&)
    {37, 637, 176, 1, 0, 0, 20},	//481 QSqlDatabase::setPassword(const QString&)
    {37, 618, 176, 1, 0, 0, 21},	//482 QSqlDatabase::setHostName(const QString&)
    {37, 639, 476, 1, 0, 0, 22},	//483 QSqlDatabase::setPort(int)
    {37, 587, 176, 1, 0, 0, 23},	//484 QSqlDatabase::setConnectOptions(const QString&)
    {37, 177, 0, 0, Smoke::mf_const, 115, 24},	//485 QSqlDatabase::databaseName() const
    {37, 716, 0, 0, Smoke::mf_const, 115, 25},	//486 QSqlDatabase::userName() const
    {37, 361, 0, 0, Smoke::mf_const, 115, 26},	//487 QSqlDatabase::password() const
    {37, 230, 0, 0, Smoke::mf_const, 115, 27},	//488 QSqlDatabase::hostName() const
    {37, 187, 0, 0, Smoke::mf_const, 115, 28},	//489 QSqlDatabase::driverName() const
    {37, 362, 0, 0, Smoke::mf_const, 278, 29},	//490 QSqlDatabase::port() const
    {37, 158, 0, 0, Smoke::mf_const, 115, 30},	//491 QSqlDatabase::connectOptions() const
    {37, 159, 0, 0, Smoke::mf_const, 115, 31},	//492 QSqlDatabase::connectionName() const
    {37, 631, 827, 1, 0, 0, 32},	//493 QSqlDatabase::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {37, 290, 0, 0, Smoke::mf_const, 75, 33},	//494 QSqlDatabase::numericalPrecisionPolicy() const
    {37, 186, 0, 0, Smoke::mf_const, 81, 34},	//495 QSqlDatabase::driver() const
    {37, 116, 484, 2, Smoke::mf_static, 78, 35},	//496 QSqlDatabase::addDatabase(const QString&, const QString&)
    {37, 116, 829, 2, Smoke::mf_static, 78, 36},	//497 QSqlDatabase::addDatabase(QSqlDriver*, const QString&)
    {37, 150, 832, 2, Smoke::mf_static, 78, 37},	//498 QSqlDatabase::cloneDatabase(const QSqlDatabase&, const QString&)
    {37, 174, 835, 2, Smoke::mf_static, 78, 38},	//499 QSqlDatabase::database(const QString&, bool)
    {37, 555, 176, 1, Smoke::mf_static, 0, 39},	//500 QSqlDatabase::removeDatabase(const QString&)
    {37, 161, 176, 1, Smoke::mf_static, 214, 40},	//501 QSqlDatabase::contains(const QString&)
    {37, 189, 0, 0, Smoke::mf_static, 119, 41},	//502 QSqlDatabase::drivers()
    {37, 160, 0, 0, Smoke::mf_static, 119, 42},	//503 QSqlDatabase::connectionNames()
    {37, 544, 838, 2, Smoke::mf_static, 0, 43},	//504 QSqlDatabase::registerSqlDriver(const QString&, QSqlDriverCreatorBase*)
    {37, 255, 176, 1, Smoke::mf_static, 214, 44},	//505 QSqlDatabase::isDriverAvailable(const QString&)
    {37, 36, 176, 1, Smoke::mf_ctor|Smoke::mf_protected, 80, 45},	//506 QSqlDatabase::QSqlDatabase(const QString&)
    {37, 36, 841, 1, Smoke::mf_ctor|Smoke::mf_protected, 80, 46},	//507 QSqlDatabase::QSqlDatabase(QSqlDriver*)
    {37, 695, 0, 0, Smoke::mf_const, 119, 47},	//508 QSqlDatabase::tables() const
    {37, 196, 0, 0, Smoke::mf_const, 99, 48},	//509 QSqlDatabase::exec() const
    {37, 587, 0, 0, 0, 0, 49},	//510 QSqlDatabase::setConnectOptions()
    {37, 116, 176, 1, Smoke::mf_static, 78, 50},	//511 QSqlDatabase::addDatabase(const QString&)
    {37, 116, 841, 1, Smoke::mf_static, 78, 51},	//512 QSqlDatabase::addDatabase(QSqlDriver*)
    {37, 174, 0, 0, Smoke::mf_static, 78, 52},	//513 QSqlDatabase::database()
    {37, 174, 176, 1, Smoke::mf_static, 78, 53},	//514 QSqlDatabase::database(const QString&)
    {37, 161, 0, 0, Smoke::mf_static, 214, 54},	//515 QSqlDatabase::contains()
    {37, 179, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 273, 55},	//516 QSqlDatabase::defaultConnection() const
    {37, 598, 455, 1, Smoke::mf_static|Smoke::mf_attribute, 0, 56},	//517 QSqlDatabase::setDefaultConnection(const char*)
    {37, 721, 0, 0, Smoke::mf_dtor, 0, 57 },	//518 QSqlDatabase::~QSqlDatabase()
    {38, 280, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 234, 1},	//519 QSqlDriver::metaObject() const
    {38, 529, 455, 1, Smoke::mf_virtual, 294, 2},	//520 QSqlDriver::qt_metacast(const char*)
    {38, 699, 533, 2, Smoke::mf_static, 115, 3},	//521 QSqlDriver::tr(const char*, const char*)
    {38, 703, 533, 2, Smoke::mf_static, 115, 4},	//522 QSqlDriver::trUtf8(const char*, const char*)
    {38, 699, 39, 3, Smoke::mf_static, 115, 5},	//523 QSqlDriver::tr(const char*, const char*, int)
    {38, 703, 39, 3, Smoke::mf_static, 115, 6},	//524 QSqlDriver::trUtf8(const char*, const char*, int)
    {38, 527, 843, 3, Smoke::mf_virtual, 278, 7},	//525 QSqlDriver::qt_metacall(QMetaObject::Call, int, void**)
    {38, 39, 847, 1, Smoke::mf_ctor, 81, 8},	//526 QSqlDriver::QSqlDriver(QObject*)
    {38, 267, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 9},	//527 QSqlDriver::isOpen() const
    {38, 268, 0, 0, Smoke::mf_const, 214, 10},	//528 QSqlDriver::isOpenError() const
    {38, 131, 0, 0, Smoke::mf_virtual, 214, 11},	//529 QSqlDriver::beginTransaction()
    {38, 156, 0, 0, Smoke::mf_virtual, 214, 12},	//530 QSqlDriver::commitTransaction()
    {38, 571, 0, 0, Smoke::mf_virtual, 214, 13},	//531 QSqlDriver::rollbackTransaction()
    {38, 695, 825, 1, Smoke::mf_const|Smoke::mf_virtual, 119, 14},	//532 QSqlDriver::tables(QSql::TableType) const
    {38, 367, 176, 1, Smoke::mf_const|Smoke::mf_virtual, 96, 15},	//533 QSqlDriver::primaryIndex(const QString&) const
    {38, 542, 176, 1, Smoke::mf_const|Smoke::mf_virtual, 104, 16},	//534 QSqlDriver::record(const QString&) const
    {38, 220, 849, 2, Smoke::mf_const|Smoke::mf_virtual, 115, 17},	//535 QSqlDriver::formatValue(const QSqlField&, bool) const
    {38, 192, 852, 2, Smoke::mf_const|Smoke::mf_virtual, 115, 18},	//536 QSqlDriver::escapeIdentifier(const QString&, QSqlDriver::IdentifierType) const
    {38, 678, 855, 4, Smoke::mf_const|Smoke::mf_virtual, 115, 19},	//537 QSqlDriver::sqlStatement(QSqlDriver::StatementType, const QString&, const QSqlRecord&, bool) const
    {38, 275, 0, 0, Smoke::mf_const, 88, 20},	//538 QSqlDriver::lastError() const
    {38, 223, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 132, 21},	//539 QSqlDriver::handle() const
    {38, 224, 860, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 214, 22},	//540 QSqlDriver::hasFeature(QSqlDriver::DriverFeature) const [pure virtual]
    {38, 152, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 23},	//541 QSqlDriver::close() [pure virtual]
    {38, 167, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 110, 24},	//542 QSqlDriver::createResult() const [pure virtual]
    {38, 291, 862, 6, Smoke::mf_virtual|Smoke::mf_purevirtual, 214, 25},	//543 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&, int, const QString&) [pure virtual]
    {38, 687, 176, 1, 0, 214, 26},	//544 QSqlDriver::subscribeToNotification(const QString&)
    {38, 710, 176, 1, 0, 214, 27},	//545 QSqlDriver::unsubscribeFromNotification(const QString&)
    {38, 691, 0, 0, Smoke::mf_const, 119, 28},	//546 QSqlDriver::subscribedToNotifications() const
    {38, 261, 852, 2, Smoke::mf_const, 214, 29},	//547 QSqlDriver::isIdentifierEscaped(const QString&, QSqlDriver::IdentifierType) const
    {38, 681, 852, 2, Smoke::mf_const, 115, 30},	//548 QSqlDriver::stripDelimiters(const QString&, QSqlDriver::IdentifierType) const
    {38, 631, 827, 1, 0, 0, 31},	//549 QSqlDriver::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {38, 290, 0, 0, Smoke::mf_const, 75, 32},	//550 QSqlDriver::numericalPrecisionPolicy() const
    {38, 286, 176, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//551 QSqlDriver::notification(const QString&)
    {38, 633, 869, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//552 QSqlDriver::setOpen(bool)
    {38, 635, 869, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//553 QSqlDriver::setOpenError(bool)
    {38, 621, 871, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//554 QSqlDriver::setLastError(const QSqlError&)
    {38, 689, 176, 1, Smoke::mf_protected|Smoke::mf_slot, 214, 37},	//555 QSqlDriver::subscribeToNotificationImplementation(const QString&)
    {38, 712, 176, 1, Smoke::mf_protected|Smoke::mf_slot, 214, 38},	//556 QSqlDriver::unsubscribeFromNotificationImplementation(const QString&)
    {38, 692, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 119, 39},	//557 QSqlDriver::subscribedToNotificationsImplementation() const
    {38, 263, 852, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 214, 40},	//558 QSqlDriver::isIdentifierEscapedImplementation(const QString&, QSqlDriver::IdentifierType) const
    {38, 683, 852, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 115, 41},	//559 QSqlDriver::stripDelimitersImplementation(const QString&, QSqlDriver::IdentifierType) const
    {38, 699, 455, 1, Smoke::mf_static, 115, 42},	//560 QSqlDriver::tr(const char*)
    {38, 703, 455, 1, Smoke::mf_static, 115, 43},	//561 QSqlDriver::trUtf8(const char*)
    {38, 39, 0, 0, Smoke::mf_ctor, 81, 44},	//562 QSqlDriver::QSqlDriver()
    {38, 220, 873, 1, Smoke::mf_const, 115, 45},	//563 QSqlDriver::formatValue(const QSqlField&) const
    {38, 291, 176, 1, 0, 214, 46},	//564 QSqlDriver::open(const QString&)
    {38, 291, 484, 2, 0, 214, 47},	//565 QSqlDriver::open(const QString&, const QString&)
    {38, 291, 875, 3, 0, 214, 48},	//566 QSqlDriver::open(const QString&, const QString&, const QString&)
    {38, 291, 879, 4, 0, 214, 49},	//567 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&)
    {38, 291, 884, 5, 0, 214, 50},	//568 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&, int)
    {38, 680, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 233, 51},	//569 QSqlDriver::staticMetaObject() const
    {38, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 52},	//570 QSqlDriver::Transactions (enum)
    {38, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 53},	//571 QSqlDriver::QuerySize (enum)
    {38, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 54},	//572 QSqlDriver::BLOB (enum)
    {38, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 55},	//573 QSqlDriver::Unicode (enum)
    {38, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 56},	//574 QSqlDriver::PreparedQueries (enum)
    {38, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 57},	//575 QSqlDriver::NamedPlaceholders (enum)
    {38, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 58},	//576 QSqlDriver::PositionalPlaceholders (enum)
    {38, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 59},	//577 QSqlDriver::LastInsertId (enum)
    {38, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 60},	//578 QSqlDriver::BatchOperations (enum)
    {38, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 61},	//579 QSqlDriver::SimpleLocking (enum)
    {38, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 62},	//580 QSqlDriver::LowPrecisionNumbers (enum)
    {38, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 63},	//581 QSqlDriver::EventNotifications (enum)
    {38, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 64},	//582 QSqlDriver::FinishQuery (enum)
    {38, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 65},	//583 QSqlDriver::MultipleResultSets (enum)
    {38, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 66},	//584 QSqlDriver::WhereStatement (enum)
    {38, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 67},	//585 QSqlDriver::SelectStatement (enum)
    {38, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 68},	//586 QSqlDriver::UpdateStatement (enum)
    {38, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 69},	//587 QSqlDriver::InsertStatement (enum)
    {38, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 70},	//588 QSqlDriver::DeleteStatement (enum)
    {38, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 71},	//589 QSqlDriver::FieldName (enum)
    {38, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 72},	//590 QSqlDriver::TableName (enum)
    {38, 722, 0, 0, Smoke::mf_dtor, 0, 73 },	//591 QSqlDriver::~QSqlDriver()
    {39, 166, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 81, 1},	//592 QSqlDriverCreatorBase::createObject() const [pure virtual]
    {39, 41, 0, 0, Smoke::mf_ctor, 85, 2},	//593 QSqlDriverCreatorBase::QSqlDriverCreatorBase()
    {39, 41, 890, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 85, 3},	//594 QSqlDriverCreatorBase::QSqlDriverCreatorBase(const QSqlDriverCreatorBase&)
    {39, 723, 0, 0, Smoke::mf_dtor, 0, 4 },	//595 QSqlDriverCreatorBase::~QSqlDriverCreatorBase()
    {40, 164, 176, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 81, 1},	//596 QSqlDriverFactoryInterface::create(const QString&) [pure virtual]
    {40, 43, 0, 0, Smoke::mf_ctor, 86, 2},	//597 QSqlDriverFactoryInterface::QSqlDriverFactoryInterface()
    {40, 43, 892, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 86, 3},	//598 QSqlDriverFactoryInterface::QSqlDriverFactoryInterface(const QSqlDriverFactoryInterface&)
    {40, 724, 0, 0, Smoke::mf_dtor, 0, 4 },	//599 QSqlDriverFactoryInterface::~QSqlDriverFactoryInterface()
    {41, 280, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 234, 1},	//600 QSqlDriverPlugin::metaObject() const
    {41, 529, 455, 1, Smoke::mf_virtual, 294, 2},	//601 QSqlDriverPlugin::qt_metacast(const char*)
    {41, 699, 533, 2, Smoke::mf_static, 115, 3},	//602 QSqlDriverPlugin::tr(const char*, const char*)
    {41, 703, 533, 2, Smoke::mf_static, 115, 4},	//603 QSqlDriverPlugin::trUtf8(const char*, const char*)
    {41, 699, 39, 3, Smoke::mf_static, 115, 5},	//604 QSqlDriverPlugin::tr(const char*, const char*, int)
    {41, 703, 39, 3, Smoke::mf_static, 115, 6},	//605 QSqlDriverPlugin::trUtf8(const char*, const char*, int)
    {41, 527, 843, 3, Smoke::mf_virtual, 278, 7},	//606 QSqlDriverPlugin::qt_metacall(QMetaObject::Call, int, void**)
    {41, 45, 847, 1, Smoke::mf_ctor, 87, 8},	//607 QSqlDriverPlugin::QSqlDriverPlugin(QObject*)
    {41, 273, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 119, 9},	//608 QSqlDriverPlugin::keys() const [pure virtual]
    {41, 164, 176, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 81, 10},	//609 QSqlDriverPlugin::create(const QString&) [pure virtual]
    {41, 699, 455, 1, Smoke::mf_static, 115, 11},	//610 QSqlDriverPlugin::tr(const char*)
    {41, 703, 455, 1, Smoke::mf_static, 115, 12},	//611 QSqlDriverPlugin::trUtf8(const char*)
    {41, 45, 0, 0, Smoke::mf_ctor, 87, 13},	//612 QSqlDriverPlugin::QSqlDriverPlugin()
    {41, 680, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 233, 14},	//613 QSqlDriverPlugin::staticMetaObject() const
    {41, 725, 0, 0, Smoke::mf_dtor, 0, 15 },	//614 QSqlDriverPlugin::~QSqlDriverPlugin()
    {42, 47, 894, 4, Smoke::mf_ctor, 90, 1},	//615 QSqlError::QSqlError(const QString&, const QString&, QSqlError::ErrorType, int)
    {42, 47, 871, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 90, 2},	//616 QSqlError::QSqlError(const QSqlError&)
    {42, 333, 871, 1, 0, 89, 3},	//617 QSqlError::operator=(const QSqlError&)
    {42, 188, 0, 0, Smoke::mf_const, 115, 4},	//618 QSqlError::driverText() const
    {42, 604, 176, 1, 0, 0, 5},	//619 QSqlError::setDriverText(const QString&)
    {42, 178, 0, 0, Smoke::mf_const, 115, 6},	//620 QSqlError::databaseText() const
    {42, 596, 176, 1, 0, 0, 7},	//621 QSqlError::setDatabaseText(const QString&)
    {42, 708, 0, 0, Smoke::mf_const, 91, 8},	//622 QSqlError::type() const
    {42, 667, 899, 1, 0, 0, 9},	//623 QSqlError::setType(QSqlError::ErrorType)
    {42, 289, 0, 0, Smoke::mf_const, 278, 10},	//624 QSqlError::number() const
    {42, 629, 476, 1, 0, 0, 11},	//625 QSqlError::setNumber(int)
    {42, 697, 0, 0, Smoke::mf_const, 115, 12},	//626 QSqlError::text() const
    {42, 271, 0, 0, Smoke::mf_const, 214, 13},	//627 QSqlError::isValid() const
    {42, 47, 0, 0, Smoke::mf_ctor, 90, 14},	//628 QSqlError::QSqlError()
    {42, 47, 176, 1, Smoke::mf_ctor, 90, 15},	//629 QSqlError::QSqlError(const QString&)
    {42, 47, 484, 2, Smoke::mf_ctor, 90, 16},	//630 QSqlError::QSqlError(const QString&, const QString&)
    {42, 47, 901, 3, Smoke::mf_ctor, 90, 17},	//631 QSqlError::QSqlError(const QString&, const QString&, QSqlError::ErrorType)
    {42, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 18},	//632 QSqlError::NoError (enum)
    {42, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 19},	//633 QSqlError::ConnectionError (enum)
    {42, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 20},	//634 QSqlError::StatementError (enum)
    {42, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 21},	//635 QSqlError::TransactionError (enum)
    {42, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 22},	//636 QSqlError::UnknownError (enum)
    {42, 726, 0, 0, Smoke::mf_dtor, 0, 23 },	//637 QSqlError::~QSqlError()
    {43, 53, 905, 2, Smoke::mf_ctor, 94, 1},	//638 QSqlField::QSqlField(const QString&, QVariant::Type)
    {43, 53, 873, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 94, 2},	//639 QSqlField::QSqlField(const QSqlField&)
    {43, 333, 873, 1, 0, 93, 3},	//640 QSqlField::operator=(const QSqlField&)
    {43, 335, 873, 1, Smoke::mf_const, 214, 4},	//641 QSqlField::operator==(const QSqlField&) const
    {43, 298, 873, 1, Smoke::mf_const, 214, 5},	//642 QSqlField::operator!=(const QSqlField&) const
    {43, 671, 908, 1, 0, 0, 6},	//643 QSqlField::setValue(const QVariant&)
    {43, 717, 0, 0, Smoke::mf_const, 132, 7},	//644 QSqlField::value() const
    {43, 625, 176, 1, 0, 0, 8},	//645 QSqlField::setName(const QString&)
    {43, 283, 0, 0, Smoke::mf_const, 115, 9},	//646 QSqlField::name() const
    {43, 265, 0, 0, Smoke::mf_const, 214, 10},	//647 QSqlField::isNull() const
    {43, 649, 869, 1, 0, 0, 11},	//648 QSqlField::setReadOnly(bool)
    {43, 269, 0, 0, Smoke::mf_const, 214, 12},	//649 QSqlField::isReadOnly() const
    {43, 148, 0, 0, 0, 0, 13},	//650 QSqlField::clear()
    {43, 708, 0, 0, Smoke::mf_const, 134, 14},	//651 QSqlField::type() const
    {43, 250, 0, 0, Smoke::mf_const, 214, 15},	//652 QSqlField::isAutoValue() const
    {43, 667, 910, 1, 0, 0, 16},	//653 QSqlField::setType(QVariant::Type)
    {43, 657, 912, 1, 0, 0, 17},	//654 QSqlField::setRequiredStatus(QSqlField::RequiredStatus)
    {43, 655, 869, 1, 0, 0, 18},	//655 QSqlField::setRequired(bool)
    {43, 623, 476, 1, 0, 0, 19},	//656 QSqlField::setLength(int)
    {43, 641, 476, 1, 0, 0, 20},	//657 QSqlField::setPrecision(int)
    {43, 600, 908, 1, 0, 0, 21},	//658 QSqlField::setDefaultValue(const QVariant&)
    {43, 663, 476, 1, 0, 0, 22},	//659 QSqlField::setSqlType(int)
    {43, 612, 869, 1, 0, 0, 23},	//660 QSqlField::setGenerated(bool)
    {43, 585, 869, 1, 0, 0, 24},	//661 QSqlField::setAutoValue(bool)
    {43, 562, 0, 0, Smoke::mf_const, 95, 25},	//662 QSqlField::requiredStatus() const
    {43, 278, 0, 0, Smoke::mf_const, 278, 26},	//663 QSqlField::length() const
    {43, 363, 0, 0, Smoke::mf_const, 278, 27},	//664 QSqlField::precision() const
    {43, 180, 0, 0, Smoke::mf_const, 132, 28},	//665 QSqlField::defaultValue() const
    {43, 709, 0, 0, Smoke::mf_const, 278, 29},	//666 QSqlField::typeID() const
    {43, 259, 0, 0, Smoke::mf_const, 214, 30},	//667 QSqlField::isGenerated() const
    {43, 271, 0, 0, Smoke::mf_const, 214, 31},	//668 QSqlField::isValid() const
    {43, 53, 0, 0, Smoke::mf_ctor, 94, 32},	//669 QSqlField::QSqlField()
    {43, 53, 176, 1, Smoke::mf_ctor, 94, 33},	//670 QSqlField::QSqlField(const QString&)
    {43, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 34},	//671 QSqlField::Unknown (enum)
    {43, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 35},	//672 QSqlField::Optional (enum)
    {43, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 36},	//673 QSqlField::Required (enum)
    {43, 727, 0, 0, Smoke::mf_dtor, 0, 37 },	//674 QSqlField::~QSqlField()
    {44, 57, 484, 2, Smoke::mf_ctor, 98, 1},	//675 QSqlIndex::QSqlIndex(const QString&, const QString&)
    {44, 57, 914, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 98, 2},	//676 QSqlIndex::QSqlIndex(const QSqlIndex&)
    {44, 333, 914, 1, 0, 97, 3},	//677 QSqlIndex::operator=(const QSqlIndex&)
    {44, 589, 176, 1, 0, 0, 4},	//678 QSqlIndex::setCursorName(const QString&)
    {44, 168, 0, 0, Smoke::mf_const, 115, 5},	//679 QSqlIndex::cursorName() const
    {44, 625, 176, 1, 0, 0, 6},	//680 QSqlIndex::setName(const QString&)
    {44, 283, 0, 0, Smoke::mf_const, 115, 7},	//681 QSqlIndex::name() const
    {44, 121, 873, 1, 0, 0, 8},	//682 QSqlIndex::append(const QSqlField&)
    {44, 121, 849, 2, 0, 0, 9},	//683 QSqlIndex::append(const QSqlField&, bool)
    {44, 251, 476, 1, Smoke::mf_const, 214, 10},	//684 QSqlIndex::isDescending(int) const
    {44, 602, 916, 2, 0, 0, 11},	//685 QSqlIndex::setDescending(int, bool)
    {44, 57, 0, 0, Smoke::mf_ctor, 98, 12},	//686 QSqlIndex::QSqlIndex()
    {44, 57, 176, 1, Smoke::mf_ctor, 98, 13},	//687 QSqlIndex::QSqlIndex(const QString&)
    {44, 728, 0, 0, Smoke::mf_dtor, 0, 14 },	//688 QSqlIndex::~QSqlIndex()
    {45, 61, 919, 1, Smoke::mf_ctor, 101, 1},	//689 QSqlQuery::QSqlQuery(QSqlResult*)
    {45, 61, 921, 2, Smoke::mf_ctor, 101, 2},	//690 QSqlQuery::QSqlQuery(const QString&, QSqlDatabase)
    {45, 61, 924, 1, Smoke::mf_ctor, 101, 3},	//691 QSqlQuery::QSqlQuery(QSqlDatabase)
    {45, 61, 926, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 101, 4},	//692 QSqlQuery::QSqlQuery(const QSqlQuery&)
    {45, 333, 926, 1, 0, 100, 5},	//693 QSqlQuery::operator=(const QSqlQuery&)
    {45, 271, 0, 0, Smoke::mf_const, 214, 6},	//694 QSqlQuery::isValid() const
    {45, 249, 0, 0, Smoke::mf_const, 214, 7},	//695 QSqlQuery::isActive() const
    {45, 265, 476, 1, Smoke::mf_const, 214, 8},	//696 QSqlQuery::isNull(int) const
    {45, 124, 0, 0, Smoke::mf_const, 278, 9},	//697 QSqlQuery::at() const
    {45, 277, 0, 0, Smoke::mf_const, 115, 10},	//698 QSqlQuery::lastQuery() const
    {45, 288, 0, 0, Smoke::mf_const, 278, 11},	//699 QSqlQuery::numRowsAffected() const
    {45, 275, 0, 0, Smoke::mf_const, 88, 12},	//700 QSqlQuery::lastError() const
    {45, 270, 0, 0, Smoke::mf_const, 214, 13},	//701 QSqlQuery::isSelect() const
    {45, 674, 0, 0, Smoke::mf_const, 278, 14},	//702 QSqlQuery::size() const
    {45, 186, 0, 0, Smoke::mf_const, 252, 15},	//703 QSqlQuery::driver() const
    {45, 565, 0, 0, Smoke::mf_const, 261, 16},	//704 QSqlQuery::result() const
    {45, 258, 0, 0, Smoke::mf_const, 214, 17},	//705 QSqlQuery::isForwardOnly() const
    {45, 542, 0, 0, Smoke::mf_const, 104, 18},	//706 QSqlQuery::record() const
    {45, 610, 869, 1, 0, 0, 19},	//707 QSqlQuery::setForwardOnly(bool)
    {45, 196, 176, 1, 0, 214, 20},	//708 QSqlQuery::exec(const QString&)
    {45, 717, 476, 1, Smoke::mf_const, 132, 21},	//709 QSqlQuery::value(int) const
    {45, 631, 827, 1, 0, 0, 22},	//710 QSqlQuery::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {45, 290, 0, 0, Smoke::mf_const, 75, 23},	//711 QSqlQuery::numericalPrecisionPolicy() const
    {45, 576, 916, 2, 0, 214, 24},	//712 QSqlQuery::seek(int, bool)
    {45, 284, 0, 0, 0, 214, 25},	//713 QSqlQuery::next()
    {45, 366, 0, 0, 0, 214, 26},	//714 QSqlQuery::previous()
    {45, 217, 0, 0, 0, 214, 27},	//715 QSqlQuery::first()
    {45, 274, 0, 0, 0, 214, 28},	//716 QSqlQuery::last()
    {45, 148, 0, 0, 0, 0, 29},	//717 QSqlQuery::clear()
    {45, 196, 0, 0, 0, 214, 30},	//718 QSqlQuery::exec()
    {45, 198, 928, 1, 0, 214, 31},	//719 QSqlQuery::execBatch(QSqlQuery::BatchExecutionMode)
    {45, 364, 176, 1, 0, 214, 32},	//720 QSqlQuery::prepare(const QString&)
    {45, 132, 930, 3, 0, 0, 33},	//721 QSqlQuery::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {45, 132, 934, 3, 0, 0, 34},	//722 QSqlQuery::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {45, 113, 938, 2, 0, 0, 35},	//723 QSqlQuery::addBindValue(const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {45, 138, 176, 1, Smoke::mf_const, 132, 36},	//724 QSqlQuery::boundValue(const QString&) const
    {45, 138, 476, 1, Smoke::mf_const, 132, 37},	//725 QSqlQuery::boundValue(int) const
    {45, 143, 0, 0, Smoke::mf_const, 59, 38},	//726 QSqlQuery::boundValues() const
    {45, 200, 0, 0, Smoke::mf_const, 115, 39},	//727 QSqlQuery::executedQuery() const
    {45, 276, 0, 0, Smoke::mf_const, 132, 40},	//728 QSqlQuery::lastInsertId() const
    {45, 216, 0, 0, 0, 0, 41},	//729 QSqlQuery::finish()
    {45, 285, 0, 0, 0, 214, 42},	//730 QSqlQuery::nextResult()
    {45, 61, 0, 0, Smoke::mf_ctor, 101, 43},	//731 QSqlQuery::QSqlQuery()
    {45, 61, 176, 1, Smoke::mf_ctor, 101, 44},	//732 QSqlQuery::QSqlQuery(const QString&)
    {45, 576, 476, 1, 0, 214, 45},	//733 QSqlQuery::seek(int)
    {45, 198, 0, 0, 0, 214, 46},	//734 QSqlQuery::execBatch()
    {45, 132, 941, 2, 0, 0, 47},	//735 QSqlQuery::bindValue(const QString&, const QVariant&)
    {45, 132, 944, 2, 0, 0, 48},	//736 QSqlQuery::bindValue(int, const QVariant&)
    {45, 113, 908, 1, 0, 0, 49},	//737 QSqlQuery::addBindValue(const QVariant&)
    {45, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 50},	//738 QSqlQuery::ValuesAsRows (enum)
    {45, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 51},	//739 QSqlQuery::ValuesAsColumns (enum)
    {45, 729, 0, 0, Smoke::mf_dtor, 0, 52 },	//740 QSqlQuery::~QSqlQuery()
    {46, 280, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 234, 1},	//741 QSqlQueryModel::metaObject() const
    {46, 529, 455, 1, Smoke::mf_virtual, 294, 2},	//742 QSqlQueryModel::qt_metacast(const char*)
    {46, 699, 533, 2, Smoke::mf_static, 115, 3},	//743 QSqlQueryModel::tr(const char*, const char*)
    {46, 703, 533, 2, Smoke::mf_static, 115, 4},	//744 QSqlQueryModel::trUtf8(const char*, const char*)
    {46, 699, 39, 3, Smoke::mf_static, 115, 5},	//745 QSqlQueryModel::tr(const char*, const char*, int)
    {46, 703, 39, 3, Smoke::mf_static, 115, 6},	//746 QSqlQueryModel::trUtf8(const char*, const char*, int)
    {46, 527, 843, 3, Smoke::mf_virtual, 278, 7},	//747 QSqlQueryModel::qt_metacall(QMetaObject::Call, int, void**)
    {46, 65, 847, 1, Smoke::mf_ctor, 103, 8},	//748 QSqlQueryModel::QSqlQueryModel(QObject*)
    {46, 572, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 278, 9},	//749 QSqlQueryModel::rowCount(const QModelIndex&) const
    {46, 153, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 278, 10},	//750 QSqlQueryModel::columnCount(const QModelIndex&) const
    {46, 542, 476, 1, Smoke::mf_const, 104, 11},	//751 QSqlQueryModel::record(int) const
    {46, 542, 0, 0, Smoke::mf_const, 104, 12},	//752 QSqlQueryModel::record() const
    {46, 170, 947, 2, Smoke::mf_const|Smoke::mf_virtual, 132, 13},	//753 QSqlQueryModel::data(const QModelIndex&, int) const
    {46, 227, 950, 3, Smoke::mf_const|Smoke::mf_virtual, 132, 14},	//754 QSqlQueryModel::headerData(int, Qt::Orientation, int) const
    {46, 615, 954, 4, Smoke::mf_virtual, 214, 15},	//755 QSqlQueryModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {46, 239, 12, 3, Smoke::mf_virtual, 214, 16},	//756 QSqlQueryModel::insertColumns(int, int, const QModelIndex&)
    {46, 552, 12, 3, Smoke::mf_virtual, 214, 17},	//757 QSqlQueryModel::removeColumns(int, int, const QModelIndex&)
    {46, 645, 926, 1, 0, 0, 18},	//758 QSqlQueryModel::setQuery(const QSqlQuery&)
    {46, 645, 959, 2, 0, 0, 19},	//759 QSqlQueryModel::setQuery(const QString&, const QSqlDatabase&)
    {46, 536, 0, 0, Smoke::mf_const, 99, 20},	//760 QSqlQueryModel::query() const
    {46, 148, 0, 0, Smoke::mf_virtual, 0, 21},	//761 QSqlQueryModel::clear()
    {46, 275, 0, 0, Smoke::mf_const, 88, 22},	//762 QSqlQueryModel::lastError() const
    {46, 205, 5, 1, Smoke::mf_virtual, 0, 23},	//763 QSqlQueryModel::fetchMore(const QModelIndex&)
    {46, 145, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 24},	//764 QSqlQueryModel::canFetchMore(const QModelIndex&) const
    {46, 537, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//765 QSqlQueryModel::queryChange()
    {46, 233, 5, 1, Smoke::mf_const|Smoke::mf_protected, 63, 26},	//766 QSqlQueryModel::indexInQuery(const QModelIndex&) const
    {46, 621, 871, 1, Smoke::mf_protected, 0, 27},	//767 QSqlQueryModel::setLastError(const QSqlError&)
    {46, 699, 455, 1, Smoke::mf_static, 115, 28},	//768 QSqlQueryModel::tr(const char*)
    {46, 703, 455, 1, Smoke::mf_static, 115, 29},	//769 QSqlQueryModel::trUtf8(const char*)
    {46, 65, 0, 0, Smoke::mf_ctor, 103, 30},	//770 QSqlQueryModel::QSqlQueryModel()
    {46, 572, 0, 0, Smoke::mf_const, 278, 31},	//771 QSqlQueryModel::rowCount() const
    {46, 153, 0, 0, Smoke::mf_const, 278, 32},	//772 QSqlQueryModel::columnCount() const
    {46, 170, 5, 1, Smoke::mf_const, 132, 33},	//773 QSqlQueryModel::data(const QModelIndex&) const
    {46, 227, 962, 2, Smoke::mf_const, 132, 34},	//774 QSqlQueryModel::headerData(int, Qt::Orientation) const
    {46, 615, 965, 3, 0, 214, 35},	//775 QSqlQueryModel::setHeaderData(int, Qt::Orientation, const QVariant&)
    {46, 239, 969, 2, 0, 214, 36},	//776 QSqlQueryModel::insertColumns(int, int)
    {46, 552, 969, 2, 0, 214, 37},	//777 QSqlQueryModel::removeColumns(int, int)
    {46, 645, 176, 1, 0, 0, 38},	//778 QSqlQueryModel::setQuery(const QString&)
    {46, 205, 0, 0, 0, 0, 39},	//779 QSqlQueryModel::fetchMore()
    {46, 145, 0, 0, Smoke::mf_const, 214, 40},	//780 QSqlQueryModel::canFetchMore() const
    {46, 680, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 233, 41},	//781 QSqlQueryModel::staticMetaObject() const
    {46, 730, 0, 0, Smoke::mf_dtor, 0, 42 },	//782 QSqlQueryModel::~QSqlQueryModel()
    {47, 67, 0, 0, Smoke::mf_ctor, 106, 1},	//783 QSqlRecord::QSqlRecord()
    {47, 67, 972, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 106, 2},	//784 QSqlRecord::QSqlRecord(const QSqlRecord&)
    {47, 333, 972, 1, 0, 105, 3},	//785 QSqlRecord::operator=(const QSqlRecord&)
    {47, 335, 972, 1, Smoke::mf_const, 214, 4},	//786 QSqlRecord::operator==(const QSqlRecord&) const
    {47, 298, 972, 1, Smoke::mf_const, 214, 5},	//787 QSqlRecord::operator!=(const QSqlRecord&) const
    {47, 717, 476, 1, Smoke::mf_const, 132, 6},	//788 QSqlRecord::value(int) const
    {47, 717, 176, 1, Smoke::mf_const, 132, 7},	//789 QSqlRecord::value(const QString&) const
    {47, 671, 944, 2, 0, 0, 8},	//790 QSqlRecord::setValue(int, const QVariant&)
    {47, 671, 941, 2, 0, 0, 9},	//791 QSqlRecord::setValue(const QString&, const QVariant&)
    {47, 627, 476, 1, 0, 0, 10},	//792 QSqlRecord::setNull(int)
    {47, 627, 176, 1, 0, 0, 11},	//793 QSqlRecord::setNull(const QString&)
    {47, 265, 476, 1, Smoke::mf_const, 214, 12},	//794 QSqlRecord::isNull(int) const
    {47, 265, 176, 1, Smoke::mf_const, 214, 13},	//795 QSqlRecord::isNull(const QString&) const
    {47, 235, 176, 1, Smoke::mf_const, 278, 14},	//796 QSqlRecord::indexOf(const QString&) const
    {47, 213, 476, 1, Smoke::mf_const, 115, 15},	//797 QSqlRecord::fieldName(int) const
    {47, 209, 476, 1, Smoke::mf_const, 92, 16},	//798 QSqlRecord::field(int) const
    {47, 209, 176, 1, Smoke::mf_const, 92, 17},	//799 QSqlRecord::field(const QString&) const
    {47, 259, 476, 1, Smoke::mf_const, 214, 18},	//800 QSqlRecord::isGenerated(int) const
    {47, 259, 176, 1, Smoke::mf_const, 214, 19},	//801 QSqlRecord::isGenerated(const QString&) const
    {47, 612, 835, 2, 0, 0, 20},	//802 QSqlRecord::setGenerated(const QString&, bool)
    {47, 612, 916, 2, 0, 0, 21},	//803 QSqlRecord::setGenerated(int, bool)
    {47, 121, 873, 1, 0, 0, 22},	//804 QSqlRecord::append(const QSqlField&)
    {47, 560, 974, 2, 0, 0, 23},	//805 QSqlRecord::replace(int, const QSqlField&)
    {47, 237, 974, 2, 0, 0, 24},	//806 QSqlRecord::insert(int, const QSqlField&)
    {47, 550, 476, 1, 0, 0, 25},	//807 QSqlRecord::remove(int)
    {47, 257, 0, 0, Smoke::mf_const, 214, 26},	//808 QSqlRecord::isEmpty() const
    {47, 161, 176, 1, Smoke::mf_const, 214, 27},	//809 QSqlRecord::contains(const QString&) const
    {47, 148, 0, 0, 0, 0, 28},	//810 QSqlRecord::clear()
    {47, 149, 0, 0, 0, 0, 29},	//811 QSqlRecord::clearValues()
    {47, 163, 0, 0, Smoke::mf_const, 278, 30},	//812 QSqlRecord::count() const
    {47, 731, 0, 0, Smoke::mf_dtor, 0, 31 },	//813 QSqlRecord::~QSqlRecord()
    {48, 69, 0, 0, Smoke::mf_ctor, 108, 1},	//814 QSqlRelation::QSqlRelation()
    {48, 69, 875, 3, Smoke::mf_ctor, 108, 2},	//815 QSqlRelation::QSqlRelation(const QString&, const QString&, const QString&)
    {48, 694, 0, 0, Smoke::mf_const, 115, 3},	//816 QSqlRelation::tableName() const
    {48, 232, 0, 0, Smoke::mf_const, 115, 4},	//817 QSqlRelation::indexColumn() const
    {48, 185, 0, 0, Smoke::mf_const, 115, 5},	//818 QSqlRelation::displayColumn() const
    {48, 271, 0, 0, Smoke::mf_const, 214, 6},	//819 QSqlRelation::isValid() const
    {48, 69, 977, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 108, 7},	//820 QSqlRelation::QSqlRelation(const QSqlRelation&)
    {48, 732, 0, 0, Smoke::mf_dtor, 0, 8 },	//821 QSqlRelation::~QSqlRelation()
    {49, 280, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 234, 1},	//822 QSqlRelationalTableModel::metaObject() const
    {49, 529, 455, 1, Smoke::mf_virtual, 294, 2},	//823 QSqlRelationalTableModel::qt_metacast(const char*)
    {49, 699, 533, 2, Smoke::mf_static, 115, 3},	//824 QSqlRelationalTableModel::tr(const char*, const char*)
    {49, 703, 533, 2, Smoke::mf_static, 115, 4},	//825 QSqlRelationalTableModel::trUtf8(const char*, const char*)
    {49, 699, 39, 3, Smoke::mf_static, 115, 5},	//826 QSqlRelationalTableModel::tr(const char*, const char*, int)
    {49, 703, 39, 3, Smoke::mf_static, 115, 6},	//827 QSqlRelationalTableModel::trUtf8(const char*, const char*, int)
    {49, 527, 843, 3, Smoke::mf_virtual, 278, 7},	//828 QSqlRelationalTableModel::qt_metacall(QMetaObject::Call, int, void**)
    {49, 72, 979, 2, Smoke::mf_ctor, 109, 8},	//829 QSqlRelationalTableModel::QSqlRelationalTableModel(QObject*, QSqlDatabase)
    {49, 170, 947, 2, Smoke::mf_const|Smoke::mf_virtual, 132, 9},	//830 QSqlRelationalTableModel::data(const QModelIndex&, int) const
    {49, 591, 1, 3, Smoke::mf_virtual, 214, 10},	//831 QSqlRelationalTableModel::setData(const QModelIndex&, const QVariant&, int)
    {49, 552, 12, 3, Smoke::mf_virtual, 214, 11},	//832 QSqlRelationalTableModel::removeColumns(int, int, const QModelIndex&)
    {49, 148, 0, 0, Smoke::mf_virtual, 0, 12},	//833 QSqlRelationalTableModel::clear()
    {49, 579, 0, 0, Smoke::mf_virtual, 214, 13},	//834 QSqlRelationalTableModel::select()
    {49, 665, 176, 1, Smoke::mf_virtual, 0, 14},	//835 QSqlRelationalTableModel::setTable(const QString&)
    {49, 653, 982, 2, Smoke::mf_virtual, 0, 15},	//836 QSqlRelationalTableModel::setRelation(int, const QSqlRelation&)
    {49, 546, 476, 1, Smoke::mf_const, 107, 16},	//837 QSqlRelationalTableModel::relation(int) const
    {49, 548, 476, 1, Smoke::mf_const|Smoke::mf_virtual, 113, 17},	//838 QSqlRelationalTableModel::relationModel(int) const
    {49, 568, 476, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 18},	//839 QSqlRelationalTableModel::revertRow(int)
    {49, 580, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 115, 19},	//840 QSqlRelationalTableModel::selectStatement() const
    {49, 714, 985, 2, Smoke::mf_protected|Smoke::mf_virtual, 214, 20},	//841 QSqlRelationalTableModel::updateRowInTable(int, const QSqlRecord&)
    {49, 244, 972, 1, Smoke::mf_protected|Smoke::mf_virtual, 214, 21},	//842 QSqlRelationalTableModel::insertRowIntoTable(const QSqlRecord&)
    {49, 360, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 115, 22},	//843 QSqlRelationalTableModel::orderByClause() const
    {49, 699, 455, 1, Smoke::mf_static, 115, 23},	//844 QSqlRelationalTableModel::tr(const char*)
    {49, 703, 455, 1, Smoke::mf_static, 115, 24},	//845 QSqlRelationalTableModel::trUtf8(const char*)
    {49, 72, 0, 0, Smoke::mf_ctor, 109, 25},	//846 QSqlRelationalTableModel::QSqlRelationalTableModel()
    {49, 72, 847, 1, Smoke::mf_ctor, 109, 26},	//847 QSqlRelationalTableModel::QSqlRelationalTableModel(QObject*)
    {49, 170, 5, 1, Smoke::mf_const, 132, 27},	//848 QSqlRelationalTableModel::data(const QModelIndex&) const
    {49, 591, 988, 2, 0, 214, 28},	//849 QSqlRelationalTableModel::setData(const QModelIndex&, const QVariant&)
    {49, 552, 969, 2, 0, 214, 29},	//850 QSqlRelationalTableModel::removeColumns(int, int)
    {49, 680, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 233, 30},	//851 QSqlRelationalTableModel::staticMetaObject() const
    {49, 733, 0, 0, Smoke::mf_dtor, 0, 31 },	//852 QSqlRelationalTableModel::~QSqlRelationalTableModel()
    {50, 223, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 132, 1},	//853 QSqlResult::handle() const
    {50, 75, 991, 1, Smoke::mf_ctor|Smoke::mf_protected, 110, 2},	//854 QSqlResult::QSqlResult(const QSqlDriver*)
    {50, 124, 0, 0, Smoke::mf_const|Smoke::mf_protected, 278, 3},	//855 QSqlResult::at() const
    {50, 277, 0, 0, Smoke::mf_const|Smoke::mf_protected, 115, 4},	//856 QSqlResult::lastQuery() const
    {50, 275, 0, 0, Smoke::mf_const|Smoke::mf_protected, 88, 5},	//857 QSqlResult::lastError() const
    {50, 271, 0, 0, Smoke::mf_const|Smoke::mf_protected, 214, 6},	//858 QSqlResult::isValid() const
    {50, 249, 0, 0, Smoke::mf_const|Smoke::mf_protected, 214, 7},	//859 QSqlResult::isActive() const
    {50, 270, 0, 0, Smoke::mf_const|Smoke::mf_protected, 214, 8},	//860 QSqlResult::isSelect() const
    {50, 258, 0, 0, Smoke::mf_const|Smoke::mf_protected, 214, 9},	//861 QSqlResult::isForwardOnly() const
    {50, 186, 0, 0, Smoke::mf_const|Smoke::mf_protected, 252, 10},	//862 QSqlResult::driver() const
    {50, 583, 476, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//863 QSqlResult::setAt(int)
    {50, 581, 869, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//864 QSqlResult::setActive(bool)
    {50, 621, 871, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//865 QSqlResult::setLastError(const QSqlError&)
    {50, 645, 176, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//866 QSqlResult::setQuery(const QString&)
    {50, 659, 869, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//867 QSqlResult::setSelect(bool)
    {50, 610, 869, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//868 QSqlResult::setForwardOnly(bool)
    {50, 196, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 214, 17},	//869 QSqlResult::exec()
    {50, 364, 176, 1, Smoke::mf_protected|Smoke::mf_virtual, 214, 18},	//870 QSqlResult::prepare(const QString&)
    {50, 574, 176, 1, Smoke::mf_protected|Smoke::mf_virtual, 214, 19},	//871 QSqlResult::savePrepare(const QString&)
    {50, 132, 934, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//872 QSqlResult::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {50, 132, 930, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//873 QSqlResult::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {50, 113, 938, 2, Smoke::mf_protected, 0, 22},	//874 QSqlResult::addBindValue(const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {50, 138, 176, 1, Smoke::mf_const|Smoke::mf_protected, 132, 23},	//875 QSqlResult::boundValue(const QString&) const
    {50, 138, 476, 1, Smoke::mf_const|Smoke::mf_protected, 132, 24},	//876 QSqlResult::boundValue(int) const
    {50, 135, 176, 1, Smoke::mf_const|Smoke::mf_protected, 29, 25},	//877 QSqlResult::bindValueType(const QString&) const
    {50, 135, 476, 1, Smoke::mf_const|Smoke::mf_protected, 29, 26},	//878 QSqlResult::bindValueType(int) const
    {50, 140, 0, 0, Smoke::mf_const|Smoke::mf_protected, 278, 27},	//879 QSqlResult::boundValueCount() const
    {50, 143, 0, 0, Smoke::mf_const|Smoke::mf_protected, 136, 28},	//880 QSqlResult::boundValues() const
    {50, 200, 0, 0, Smoke::mf_const|Smoke::mf_protected, 115, 29},	//881 QSqlResult::executedQuery() const
    {50, 141, 476, 1, Smoke::mf_const|Smoke::mf_protected, 115, 30},	//882 QSqlResult::boundValueName(int) const
    {50, 148, 0, 0, Smoke::mf_protected, 0, 31},	//883 QSqlResult::clear()
    {50, 226, 0, 0, Smoke::mf_const|Smoke::mf_protected, 214, 32},	//884 QSqlResult::hasOutValues() const
    {50, 137, 0, 0, Smoke::mf_const|Smoke::mf_protected, 111, 33},	//885 QSqlResult::bindingSyntax() const
    {50, 170, 476, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 132, 34},	//886 QSqlResult::data(int) [pure virtual]
    {50, 265, 476, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 214, 35},	//887 QSqlResult::isNull(int) [pure virtual]
    {50, 563, 176, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 214, 36},	//888 QSqlResult::reset(const QString&) [pure virtual]
    {50, 201, 476, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 214, 37},	//889 QSqlResult::fetch(int) [pure virtual]
    {50, 207, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 214, 38},	//890 QSqlResult::fetchNext()
    {50, 208, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 214, 39},	//891 QSqlResult::fetchPrevious()
    {50, 203, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 214, 40},	//892 QSqlResult::fetchFirst() [pure virtual]
    {50, 204, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 214, 41},	//893 QSqlResult::fetchLast() [pure virtual]
    {50, 674, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 278, 42},	//894 QSqlResult::size() [pure virtual]
    {50, 288, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 278, 43},	//895 QSqlResult::numRowsAffected() [pure virtual]
    {50, 542, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 104, 44},	//896 QSqlResult::record() const
    {50, 276, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 132, 45},	//897 QSqlResult::lastInsertId() const
    {50, 719, 993, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//898 QSqlResult::virtual_hook(int, void*)
    {50, 198, 869, 1, Smoke::mf_protected, 214, 47},	//899 QSqlResult::execBatch(bool)
    {50, 183, 0, 0, Smoke::mf_protected, 0, 48},	//900 QSqlResult::detachFromResultSet()
    {50, 631, 827, 1, Smoke::mf_protected, 0, 49},	//901 QSqlResult::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {50, 290, 0, 0, Smoke::mf_const|Smoke::mf_protected, 75, 50},	//902 QSqlResult::numericalPrecisionPolicy() const
    {50, 285, 0, 0, Smoke::mf_protected, 214, 51},	//903 QSqlResult::nextResult()
    {50, 198, 0, 0, Smoke::mf_protected, 214, 52},	//904 QSqlResult::execBatch()
    {50, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 53},	//905 QSqlResult::PositionalBinding (enum)
    {50, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 54},	//906 QSqlResult::NamedBinding (enum)
    {50, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 55},	//907 QSqlResult::BatchOperation (enum)
    {50, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 56},	//908 QSqlResult::DetachFromResultSet (enum)
    {50, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 57},	//909 QSqlResult::SetNumericalPrecision (enum)
    {50, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 58},	//910 QSqlResult::NextResult (enum)
    {50, 734, 0, 0, Smoke::mf_dtor, 0, 59 },	//911 QSqlResult::~QSqlResult()
    {51, 280, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 234, 1},	//912 QSqlTableModel::metaObject() const
    {51, 529, 455, 1, Smoke::mf_virtual, 294, 2},	//913 QSqlTableModel::qt_metacast(const char*)
    {51, 699, 533, 2, Smoke::mf_static, 115, 3},	//914 QSqlTableModel::tr(const char*, const char*)
    {51, 703, 533, 2, Smoke::mf_static, 115, 4},	//915 QSqlTableModel::trUtf8(const char*, const char*)
    {51, 699, 39, 3, Smoke::mf_static, 115, 5},	//916 QSqlTableModel::tr(const char*, const char*, int)
    {51, 703, 39, 3, Smoke::mf_static, 115, 6},	//917 QSqlTableModel::trUtf8(const char*, const char*, int)
    {51, 527, 843, 3, Smoke::mf_virtual, 278, 7},	//918 QSqlTableModel::qt_metacall(QMetaObject::Call, int, void**)
    {51, 77, 979, 2, Smoke::mf_ctor, 113, 8},	//919 QSqlTableModel::QSqlTableModel(QObject*, QSqlDatabase)
    {51, 579, 0, 0, Smoke::mf_virtual, 214, 9},	//920 QSqlTableModel::select()
    {51, 665, 176, 1, Smoke::mf_virtual, 0, 10},	//921 QSqlTableModel::setTable(const QString&)
    {51, 694, 0, 0, Smoke::mf_const, 115, 11},	//922 QSqlTableModel::tableName() const
    {51, 218, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 12},	//923 QSqlTableModel::flags(const QModelIndex&) const
    {51, 170, 947, 2, Smoke::mf_const|Smoke::mf_virtual, 132, 13},	//924 QSqlTableModel::data(const QModelIndex&, int) const
    {51, 591, 1, 3, Smoke::mf_virtual, 214, 14},	//925 QSqlTableModel::setData(const QModelIndex&, const QVariant&, int)
    {51, 227, 950, 3, Smoke::mf_const|Smoke::mf_virtual, 132, 15},	//926 QSqlTableModel::headerData(int, Qt::Orientation, int) const
    {51, 253, 5, 1, Smoke::mf_const, 214, 16},	//927 QSqlTableModel::isDirty(const QModelIndex&) const
    {51, 148, 0, 0, Smoke::mf_virtual, 0, 17},	//928 QSqlTableModel::clear()
    {51, 606, 996, 1, Smoke::mf_virtual, 0, 18},	//929 QSqlTableModel::setEditStrategy(QSqlTableModel::EditStrategy)
    {51, 191, 0, 0, Smoke::mf_const, 114, 19},	//930 QSqlTableModel::editStrategy() const
    {51, 369, 0, 0, Smoke::mf_const, 96, 20},	//931 QSqlTableModel::primaryKey() const
    {51, 174, 0, 0, Smoke::mf_const, 78, 21},	//932 QSqlTableModel::database() const
    {51, 211, 176, 1, Smoke::mf_const, 278, 22},	//933 QSqlTableModel::fieldIndex(const QString&) const
    {51, 675, 16, 2, Smoke::mf_virtual, 0, 23},	//934 QSqlTableModel::sort(int, Qt::SortOrder)
    {51, 661, 16, 2, Smoke::mf_virtual, 0, 24},	//935 QSqlTableModel::setSort(int, Qt::SortOrder)
    {51, 215, 0, 0, Smoke::mf_const, 115, 25},	//936 QSqlTableModel::filter() const
    {51, 608, 176, 1, Smoke::mf_virtual, 0, 26},	//937 QSqlTableModel::setFilter(const QString&)
    {51, 572, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 278, 27},	//938 QSqlTableModel::rowCount(const QModelIndex&) const
    {51, 552, 12, 3, Smoke::mf_virtual, 214, 28},	//939 QSqlTableModel::removeColumns(int, int, const QModelIndex&)
    {51, 557, 12, 3, Smoke::mf_virtual, 214, 29},	//940 QSqlTableModel::removeRows(int, int, const QModelIndex&)
    {51, 246, 12, 3, Smoke::mf_virtual, 214, 30},	//941 QSqlTableModel::insertRows(int, int, const QModelIndex&)
    {51, 242, 985, 2, 0, 214, 31},	//942 QSqlTableModel::insertRecord(int, const QSqlRecord&)
    {51, 651, 985, 2, 0, 214, 32},	//943 QSqlTableModel::setRecord(int, const QSqlRecord&)
    {51, 568, 476, 1, Smoke::mf_virtual, 0, 33},	//944 QSqlTableModel::revertRow(int)
    {51, 685, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 214, 34},	//945 QSqlTableModel::submit()
    {51, 566, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 35},	//946 QSqlTableModel::revert()
    {51, 686, 0, 0, Smoke::mf_slot, 214, 36},	//947 QSqlTableModel::submitAll()
    {51, 567, 0, 0, Smoke::mf_slot, 0, 37},	//948 QSqlTableModel::revertAll()
    {51, 370, 998, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//949 QSqlTableModel::primeInsert(int, QSqlRecord&)
    {51, 127, 1001, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//950 QSqlTableModel::beforeInsert(QSqlRecord&)
    {51, 129, 998, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//951 QSqlTableModel::beforeUpdate(int, QSqlRecord&)
    {51, 125, 476, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//952 QSqlTableModel::beforeDelete(int)
    {51, 714, 985, 2, Smoke::mf_protected|Smoke::mf_virtual, 214, 42},	//953 QSqlTableModel::updateRowInTable(int, const QSqlRecord&)
    {51, 244, 972, 1, Smoke::mf_protected|Smoke::mf_virtual, 214, 43},	//954 QSqlTableModel::insertRowIntoTable(const QSqlRecord&)
    {51, 181, 476, 1, Smoke::mf_protected|Smoke::mf_virtual, 214, 44},	//955 QSqlTableModel::deleteRowFromTable(int)
    {51, 360, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 115, 45},	//956 QSqlTableModel::orderByClause() const
    {51, 580, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 115, 46},	//957 QSqlTableModel::selectStatement() const
    {51, 643, 914, 1, Smoke::mf_protected, 0, 47},	//958 QSqlTableModel::setPrimaryKey(const QSqlIndex&)
    {51, 645, 926, 1, Smoke::mf_protected, 0, 48},	//959 QSqlTableModel::setQuery(const QSqlQuery&)
    {51, 233, 5, 1, Smoke::mf_const|Smoke::mf_protected, 63, 49},	//960 QSqlTableModel::indexInQuery(const QModelIndex&) const
    {51, 699, 455, 1, Smoke::mf_static, 115, 50},	//961 QSqlTableModel::tr(const char*)
    {51, 703, 455, 1, Smoke::mf_static, 115, 51},	//962 QSqlTableModel::trUtf8(const char*)
    {51, 77, 0, 0, Smoke::mf_ctor, 113, 52},	//963 QSqlTableModel::QSqlTableModel()
    {51, 77, 847, 1, Smoke::mf_ctor, 113, 53},	//964 QSqlTableModel::QSqlTableModel(QObject*)
    {51, 170, 5, 1, Smoke::mf_const, 132, 54},	//965 QSqlTableModel::data(const QModelIndex&) const
    {51, 591, 988, 2, 0, 214, 55},	//966 QSqlTableModel::setData(const QModelIndex&, const QVariant&)
    {51, 227, 962, 2, Smoke::mf_const, 132, 56},	//967 QSqlTableModel::headerData(int, Qt::Orientation) const
    {51, 572, 0, 0, Smoke::mf_const, 278, 57},	//968 QSqlTableModel::rowCount() const
    {51, 552, 969, 2, 0, 214, 58},	//969 QSqlTableModel::removeColumns(int, int)
    {51, 557, 969, 2, 0, 214, 59},	//970 QSqlTableModel::removeRows(int, int)
    {51, 246, 969, 2, 0, 214, 60},	//971 QSqlTableModel::insertRows(int, int)
    {51, 680, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 233, 61},	//972 QSqlTableModel::staticMetaObject() const
    {51, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 62},	//973 QSqlTableModel::OnFieldChange (enum)
    {51, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 63},	//974 QSqlTableModel::OnRowChange (enum)
    {51, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 64},	//975 QSqlTableModel::OnManualSubmit (enum)
    {51, 735, 0, 0, Smoke::mf_dtor, 0, 65 },	//976 QSqlTableModel::~QSqlTableModel()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    463,  // QSqlDatabase::QSqlDatabase(const QSqlDatabase&)
    507,  // QSqlDatabase::QSqlDatabase(QSqlDriver*)
    0,
    798,  // QSqlRecord::field(int) const
    799,  // QSqlRecord::field(const QString&) const
    0,
    800,  // QSqlRecord::isGenerated(int) const
    801,  // QSqlRecord::isGenerated(const QString&) const
    0,
    794,  // QSqlRecord::isNull(int) const
    795,  // QSqlRecord::isNull(const QString&) const
    0,
    802,  // QSqlRecord::setGenerated(const QString&, bool)
    803,  // QSqlRecord::setGenerated(int, bool)
    0,
    792,  // QSqlRecord::setNull(int)
    793,  // QSqlRecord::setNull(const QString&)
    0,
    790,  // QSqlRecord::setValue(int, const QVariant&)
    791,  // QSqlRecord::setValue(const QString&, const QVariant&)
    0,
    788,  // QSqlRecord::value(int) const
    789,  // QSqlRecord::value(const QString&) const
    0,
    872,  // QSqlResult::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    873,  // QSqlResult::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    0,
    877,  // QSqlResult::bindValueType(const QString&) const
    878,  // QSqlResult::bindValueType(int) const
    0,
    875,  // QSqlResult::boundValue(const QString&) const
    876,  // QSqlResult::boundValue(int) const
    0,
    28,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    34,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    57,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    121,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    145,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    192,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    194,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    248,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    255,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    256,  // QGlobalSpace::operator!=(QChar, QChar)
    266,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    320,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    324,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    396,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    418,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    420,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    209,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    228,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    247,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    311,  // QGlobalSpace::operator!=(QBool, bool)
    346,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    211,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    229,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    308,  // QGlobalSpace::operator!=(bool, QBool)
    352,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    373,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    406,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    0,
    24,  // QGlobalSpace::operator*(const QPoint&, double)
    47,  // QGlobalSpace::operator*(const QSizeF&, double)
    132,  // QGlobalSpace::operator*(const QPointF&, double)
    326,  // QGlobalSpace::operator*(const QSize&, double)
    0,
    26,  // QGlobalSpace::operator*(double, const QPointF&)
    29,  // QGlobalSpace::operator*(double, const QSizeF&)
    267,  // QGlobalSpace::operator*(double, const QSize&)
    276,  // QGlobalSpace::operator*(double, const QPoint&)
    0,
    35,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    82,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    340,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    374,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    409,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    66,  // QGlobalSpace::operator+(QChar, const QString&)
    166,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    283,  // QGlobalSpace::operator+(const QByteArray&, char)
    317,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    0,
    107,  // QGlobalSpace::operator+(char, const QByteArray&)
    237,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    375,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    416,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    102,  // QGlobalSpace::operator+(const QString&, const char*)
    110,  // QGlobalSpace::operator+(const char*, const QString&)
    171,  // QGlobalSpace::operator+(const QString&, char)
    224,  // QGlobalSpace::operator+(const QString&, const QString&)
    254,  // QGlobalSpace::operator+(char, const QString&)
    0,
    162,  // QGlobalSpace::operator-(const QPointF&)
    359,  // QGlobalSpace::operator-(const QPoint&)
    0,
    52,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    313,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    367,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    399,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    109,  // QGlobalSpace::operator/(const QPoint&, double)
    148,  // QGlobalSpace::operator/(const QSizeF&, double)
    284,  // QGlobalSpace::operator/(const QPointF&, double)
    387,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    124,  // QGlobalSpace::operator<(QChar, QChar)
    155,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    206,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    368,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    185,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    339,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    31,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    38,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    46,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    63,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    69,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    70,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    71,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    91,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    96,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    103,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    123,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    140,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    157,  // QGlobalSpace::operator<<(QDebug, const QSqlField&)
    168,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    177,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    180,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    207,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    214,  // QGlobalSpace::operator<<(QDebug, const QSqlDatabase&)
    215,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    218,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    234,  // QGlobalSpace::operator<<(QDebug, const QSqlRecord&)
    251,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    262,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    270,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    272,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    278,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    281,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    282,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    289,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    299,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    306,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    310,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    318,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    331,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    337,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    341,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    344,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    381,  // QGlobalSpace::operator<<(QDebug, const QSqlError&)
    384,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    394,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    408,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    421,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    423,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    426,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    0,
    56,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    128,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    305,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    365,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    386,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    239,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    287,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    296,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    343,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    232,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    319,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    44,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    54,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    58,  // QGlobalSpace::operator==(QBool, QBool)
    61,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    119,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    136,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    175,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    200,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    233,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    245,  // QGlobalSpace::operator==(QChar, QChar)
    259,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    264,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    265,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    307,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    364,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    411,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    424,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    197,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    327,  // QGlobalSpace::operator==(QString::Null, const QString&)
    332,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    372,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    410,  // QGlobalSpace::operator==(QBool, bool)
    0,
    111,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    142,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    153,  // QGlobalSpace::operator==(const QString&, QString::Null)
    236,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    322,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    389,  // QGlobalSpace::operator==(bool, QBool)
    0,
    150,  // QGlobalSpace::operator>(QChar, QChar)
    213,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    230,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    348,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    0,
    49,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    301,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    53,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    172,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    199,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    286,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    125,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    151,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    65,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    100,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    105,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    113,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    116,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    117,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    118,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    131,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    159,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    181,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    210,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    240,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    302,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    330,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    334,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    369,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    379,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    388,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    395,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    414,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    0,
    244,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    363,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    22,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    27,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    30,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    32,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    37,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    41,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    43,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    45,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    48,  // QGlobalSpace::operator|(QDir::Filter, int)
    55,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    59,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    62,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, int)
    64,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, QSql::ParamTypeFlag)
    67,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    68,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    80,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    83,  // QGlobalSpace::operator|(Qt::DropAction, int)
    86,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    89,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    90,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    92,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    93,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    95,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    98,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    99,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    101,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    104,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    106,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    108,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    122,  // QGlobalSpace::operator|(QFile::Permission, int)
    130,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    138,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    143,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    144,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    146,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    147,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    149,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    158,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    164,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    167,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    169,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    170,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    184,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    187,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    188,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    189,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    191,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    195,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    196,  // QGlobalSpace::operator|(Qt::WindowType, int)
    204,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    205,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    216,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    222,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    238,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    241,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    242,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    243,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    246,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    250,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    257,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    261,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    263,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    268,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    295,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    298,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    304,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    312,  // QGlobalSpace::operator|(Qt::WindowState, int)
    321,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    323,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    325,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    328,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    329,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    349,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    351,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    355,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    357,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    360,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>)
    370,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    377,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    378,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    382,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    390,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    391,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    398,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    402,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    404,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    405,  // QGlobalSpace::operator|(Qt::Orientation, int)
    415,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    419,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    425,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    0,
    114,  // QGlobalSpace::qFuzzyCompare(double, double)
    294,  // QGlobalSpace::qFuzzyCompare(float, float)
    0,
    176,  // QGlobalSpace::qFuzzyIsNull(double)
    401,  // QGlobalSpace::qFuzzyIsNull(float)
    0,
    21,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    60,  // QGlobalSpace::qHash(const QStringRef&)
    72,  // QGlobalSpace::qHash(const QBitArray&)
    127,  // QGlobalSpace::qHash(const QByteArray&)
    174,  // QGlobalSpace::qHash(QChar)
    269,  // QGlobalSpace::qHash(const QModelIndex&)
    0,
    40,  // QGlobalSpace::qHash(unsigned char)
    76,  // QGlobalSpace::qHash(const QString&)
    77,  // QGlobalSpace::qHash(unsigned short)
    79,  // QGlobalSpace::qHash(long)
    81,  // QGlobalSpace::qHash(long long)
    165,  // QGlobalSpace::qHash(unsigned long long)
    249,  // QGlobalSpace::qHash(signed char)
    279,  // QGlobalSpace::qHash(short)
    309,  // QGlobalSpace::qHash(unsigned long)
    345,  // QGlobalSpace::qHash(unsigned int)
    366,  // QGlobalSpace::qHash(int)
    393,  // QGlobalSpace::qHash(char)
    0,
    154,  // QGlobalSpace::qIntCast(float)
    201,  // QGlobalSpace::qIntCast(double)
    0,
    219,  // QGlobalSpace::qIsFinite(float)
    397,  // QGlobalSpace::qIsFinite(double)
    0,
    25,  // QGlobalSpace::qIsInf(double)
    88,  // QGlobalSpace::qIsInf(float)
    0,
    112,  // QGlobalSpace::qIsNaN(float)
    277,  // QGlobalSpace::qIsNaN(double)
    0,
    115,  // QGlobalSpace::qIsNull(float)
    198,  // QGlobalSpace::qIsNull(double)
    0,
    689,  // QSqlQuery::QSqlQuery(QSqlResult*)
    691,  // QSqlQuery::QSqlQuery(QSqlDatabase)
    692,  // QSqlQuery::QSqlQuery(const QSqlQuery&)
    0,
    735,  // QSqlQuery::bindValue(const QString&, const QVariant&)
    736,  // QSqlQuery::bindValue(int, const QVariant&)
    0,
    721,  // QSqlQuery::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    722,  // QSqlQuery::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    0,
    724,  // QSqlQuery::boundValue(const QString&) const
    725,  // QSqlQuery::boundValue(int) const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {16, 80, 434},	// QGlobalSpace::QtCriticalMsg
    {16, 81, 432},	// QGlobalSpace::QtDebugMsg
    {16, 82, 435},	// QGlobalSpace::QtFatalMsg
    {16, 83, 436},	// QGlobalSpace::QtSystemMsg
    {16, 84, 433},	// QGlobalSpace::QtWarningMsg
    {16, 104, 427},	// QGlobalSpace::_IEEE_
    {16, 105, 431},	// QGlobalSpace::_ISOC_
    {16, 106, 430},	// QGlobalSpace::_POSIX_
    {16, 107, 428},	// QGlobalSpace::_SVID_
    {16, 108, 429},	// QGlobalSpace::_XOPEN_
    {16, 109, 439},	// QGlobalSpace::__codecvt_error
    {16, 110, 440},	// QGlobalSpace::__codecvt_noconv
    {16, 111, 437},	// QGlobalSpace::__codecvt_ok
    {16, 112, 438},	// QGlobalSpace::__codecvt_partial
    {16, 300, -34},	// QGlobalSpace::operator!=##
    {16, 301, -51},	// QGlobalSpace::operator!=#$
    {16, 302, -57},	// QGlobalSpace::operator!=$#
    {16, 303, 227},	// QGlobalSpace::operator!=$$
    {16, 305, 19},	// QGlobalSpace::operator&##
    {16, 307, -64},	// QGlobalSpace::operator*#$
    {16, 308, -69},	// QGlobalSpace::operator*$#
    {16, 310, -74},	// QGlobalSpace::operator+##
    {16, 311, -80},	// QGlobalSpace::operator+#$
    {16, 312, -85},	// QGlobalSpace::operator+$#
    {16, 313, -90},	// QGlobalSpace::operator+$$
    {16, 315, -96},	// QGlobalSpace::operator-#
    {16, 316, -99},	// QGlobalSpace::operator-##
    {16, 318, -104},	// QGlobalSpace::operator/#$
    {16, 320, -109},	// QGlobalSpace::operator<##
    {16, 321, 94},	// QGlobalSpace::operator<#$
    {16, 322, -114},	// QGlobalSpace::operator<$#
    {16, 323, 226},	// QGlobalSpace::operator<$$
    {16, 325, -117},	// QGlobalSpace::operator<<##
    {16, 326, -162},	// QGlobalSpace::operator<<#$
    {16, 327, 84},	// QGlobalSpace::operator<<#?
    {16, 329, -168},	// QGlobalSpace::operator<=##
    {16, 330, 193},	// QGlobalSpace::operator<=#$
    {16, 331, -173},	// QGlobalSpace::operator<=$#
    {16, 332, 120},	// QGlobalSpace::operator<=$$
    {16, 337, -176},	// QGlobalSpace::operator==##
    {16, 338, -194},	// QGlobalSpace::operator==#$
    {16, 339, -200},	// QGlobalSpace::operator==$#
    {16, 340, 383},	// QGlobalSpace::operator==$$
    {16, 342, -207},	// QGlobalSpace::operator>##
    {16, 343, 338},	// QGlobalSpace::operator>#$
    {16, 344, -212},	// QGlobalSpace::operator>$#
    {16, 345, 335},	// QGlobalSpace::operator>$$
    {16, 347, -215},	// QGlobalSpace::operator>=##
    {16, 348, 275},	// QGlobalSpace::operator>=#$
    {16, 349, -220},	// QGlobalSpace::operator>=$#
    {16, 350, 392},	// QGlobalSpace::operator>=$$
    {16, 352, -223},	// QGlobalSpace::operator>>##
    {16, 353, -244},	// QGlobalSpace::operator>>#$
    {16, 354, 315},	// QGlobalSpace::operator>>#?
    {16, 356, 202},	// QGlobalSpace::operator^##
    {16, 358, 235},	// QGlobalSpace::operator|##
    {16, 359, -247},	// QGlobalSpace::operator|$$
    {16, 373, 212},	// QGlobalSpace::qAcos$
    {16, 375, 186},	// QGlobalSpace::qAddPostRoutine$
    {16, 376, 173},	// QGlobalSpace::qAppName
    {16, 378, 291},	// QGlobalSpace::qAsin$
    {16, 380, 74},	// QGlobalSpace::qAtan$
    {16, 382, 179},	// QGlobalSpace::qAtan2$$
    {16, 383, 417},	// QGlobalSpace::qBadAlloc
    {16, 385, 50},	// QGlobalSpace::qCeil$
    {16, 387, 203},	// QGlobalSpace::qChecksum$$
    {16, 389, 183},	// QGlobalSpace::qCompress#
    {16, 390, 182},	// QGlobalSpace::qCompress#$
    {16, 391, 354},	// QGlobalSpace::qCompress$$
    {16, 392, 353},	// QGlobalSpace::qCompress$$$
    {16, 394, 85},	// QGlobalSpace::qCos$
    {16, 395, 20},	// QGlobalSpace::qCritical
    {16, 396, 358},	// QGlobalSpace::qDebug
    {16, 398, 190},	// QGlobalSpace::qExp$
    {16, 400, 36},	// QGlobalSpace::qFabs$
    {16, 402, 385},	// QGlobalSpace::qFastCos$
    {16, 404, 407},	// QGlobalSpace::qFastSin$
    {16, 406, 273},	// QGlobalSpace::qFlagLocation$
    {16, 408, 260},	// QGlobalSpace::qFloor$
    {16, 410, 342},	// QGlobalSpace::qFree$
    {16, 412, 152},	// QGlobalSpace::qFreeAligned$
    {16, 414, -338},	// QGlobalSpace::qFuzzyCompare$$
    {16, 416, -341},	// QGlobalSpace::qFuzzyIsNull$
    {16, 418, -344},	// QGlobalSpace::qHash#
    {16, 419, -351},	// QGlobalSpace::qHash$
    {16, 420, 280},	// QGlobalSpace::qInf
    {16, 422, 139},	// QGlobalSpace::qInstallMsgHandler$
    {16, 424, -364},	// QGlobalSpace::qIntCast$
    {16, 426, -367},	// QGlobalSpace::qIsFinite$
    {16, 428, -370},	// QGlobalSpace::qIsInf$
    {16, 430, -373},	// QGlobalSpace::qIsNaN$
    {16, 432, -376},	// QGlobalSpace::qIsNull$
    {16, 434, 314},	// QGlobalSpace::qLn$
    {16, 436, 422},	// QGlobalSpace::qMalloc$
    {16, 438, 350},	// QGlobalSpace::qMallocAligned$$
    {16, 440, 274},	// QGlobalSpace::qMemCopy$$$
    {16, 442, 178},	// QGlobalSpace::qMemSet$$$
    {16, 444, 371},	// QGlobalSpace::qPow$$
    {16, 445, 39},	// QGlobalSpace::qQNaN
    {16, 447, 223},	// QGlobalSpace::qRealloc$$
    {16, 449, 163},	// QGlobalSpace::qReallocAligned$$$$
    {16, 451, 78},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {16, 453, 271},	// QGlobalSpace::qRemovePostRoutine$
    {16, 455, 231},	// QGlobalSpace::qRound$
    {16, 457, 347},	// QGlobalSpace::qRound64$
    {16, 458, 400},	// QGlobalSpace::qSNaN
    {16, 460, 303},	// QGlobalSpace::qSetFieldWidth$
    {16, 462, 134},	// QGlobalSpace::qSetPadChar#
    {16, 464, 288},	// QGlobalSpace::qSetRealNumberPrecision$
    {16, 465, 137},	// QGlobalSpace::qSharedBuild
    {16, 467, 290},	// QGlobalSpace::qSin$
    {16, 469, 252},	// QGlobalSpace::qSqrt$
    {16, 471, 160},	// QGlobalSpace::qStringComparisonHelper#$
    {16, 472, 376},	// QGlobalSpace::qStringComparisonHelper$$
    {16, 474, 362},	// QGlobalSpace::qTan$
    {16, 476, 285},	// QGlobalSpace::qUncompress#
    {16, 477, 403},	// QGlobalSpace::qUncompress$$
    {16, 478, 42},	// QGlobalSpace::qVersion
    {16, 479, 97},	// QGlobalSpace::qWarning
    {16, 481, 73},	// QGlobalSpace::qbswap_helper$$$
    {16, 483, 293},	// QGlobalSpace::qgcvt$$$
    {16, 485, 208},	// QGlobalSpace::qgetenv$
    {16, 487, 156},	// QGlobalSpace::qputenv$#
    {16, 488, 51},	// QGlobalSpace::qrand
    {16, 490, 336},	// QGlobalSpace::qsort$$$?
    {16, 492, 87},	// QGlobalSpace::qsrand$
    {16, 494, 133},	// QGlobalSpace::qstrcmp##
    {16, 495, 135},	// QGlobalSpace::qstrcmp#$
    {16, 496, 361},	// QGlobalSpace::qstrcmp$#
    {16, 497, 253},	// QGlobalSpace::qstrcmp$$
    {16, 499, 33},	// QGlobalSpace::qstrcpy$$
    {16, 501, 356},	// QGlobalSpace::qstrdup$
    {16, 503, 292},	// QGlobalSpace::qstricmp$$
    {16, 505, 316},	// QGlobalSpace::qstrlen$
    {16, 507, 161},	// QGlobalSpace::qstrncmp$$$
    {16, 509, 217},	// QGlobalSpace::qstrncpy$$$
    {16, 511, 126},	// QGlobalSpace::qstrnicmp$$$
    {16, 513, 258},	// QGlobalSpace::qstrnlen$$
    {16, 515, 413},	// QGlobalSpace::qtTrId$
    {16, 516, 412},	// QGlobalSpace::qtTrId$$
    {16, 518, 23},	// QGlobalSpace::qt_assert$$$
    {16, 520, 225},	// QGlobalSpace::qt_assert_x$$$$
    {16, 522, 129},	// QGlobalSpace::qt_check_pointer$$
    {16, 523, 221},	// QGlobalSpace::qt_error_string
    {16, 524, 220},	// QGlobalSpace::qt_error_string$
    {16, 526, 380},	// QGlobalSpace::qt_message_output$$
    {16, 531, 300},	// QGlobalSpace::qt_noop
    {16, 533, 141},	// QGlobalSpace::qt_qFindChild_helper#$#
    {16, 535, 333},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {16, 539, 75},	// QGlobalSpace::qvariant_cast_helper#$$
    {16, 541, 297},	// QGlobalSpace::qvsnprintf$$$?
    {36, 1, 461},	// QSql::AfterLastRow
    {36, 2, 459},	// QSql::AllTables
    {36, 6, 460},	// QSql::BeforeFirstRow
    {36, 7, 451},	// QSql::Binary
    {36, 14, 455},	// QSql::HighPrecision
    {36, 15, 448},	// QSql::In
    {36, 16, 450},	// QSql::InOut
    {36, 19, 454},	// QSql::LowPrecisionDouble
    {36, 20, 452},	// QSql::LowPrecisionInt32
    {36, 21, 453},	// QSql::LowPrecisionInt64
    {36, 32, 449},	// QSql::Out
    {36, 91, 457},	// QSql::SystemTables
    {36, 93, 456},	// QSql::Tables
    {36, 102, 458},	// QSql::Views
    {37, 36, 462},	// QSqlDatabase::QSqlDatabase
    {37, 37, -1},	// QSqlDatabase::QSqlDatabase#
    {37, 38, 506},	// QSqlDatabase::QSqlDatabase$
    {37, 117, 512},	// QSqlDatabase::addDatabase#
    {37, 118, 497},	// QSqlDatabase::addDatabase#$
    {37, 119, 511},	// QSqlDatabase::addDatabase$
    {37, 120, 496},	// QSqlDatabase::addDatabase$$
    {37, 151, 498},	// QSqlDatabase::cloneDatabase#$
    {37, 152, 467},	// QSqlDatabase::close
    {37, 155, 477},	// QSqlDatabase::commit
    {37, 158, 491},	// QSqlDatabase::connectOptions
    {37, 159, 492},	// QSqlDatabase::connectionName
    {37, 160, 503},	// QSqlDatabase::connectionNames
    {37, 161, 515},	// QSqlDatabase::contains
    {37, 162, 501},	// QSqlDatabase::contains$
    {37, 174, 513},	// QSqlDatabase::database
    {37, 175, 514},	// QSqlDatabase::database$
    {37, 176, 499},	// QSqlDatabase::database$$
    {37, 177, 485},	// QSqlDatabase::databaseName
    {37, 179, 516},	// QSqlDatabase::defaultConnection
    {37, 186, 495},	// QSqlDatabase::driver
    {37, 187, 489},	// QSqlDatabase::driverName
    {37, 189, 502},	// QSqlDatabase::drivers
    {37, 196, 509},	// QSqlDatabase::exec
    {37, 197, 473},	// QSqlDatabase::exec$
    {37, 230, 488},	// QSqlDatabase::hostName
    {37, 256, 505},	// QSqlDatabase::isDriverAvailable$
    {37, 267, 468},	// QSqlDatabase::isOpen
    {37, 268, 469},	// QSqlDatabase::isOpenError
    {37, 271, 475},	// QSqlDatabase::isValid
    {37, 275, 474},	// QSqlDatabase::lastError
    {37, 290, 494},	// QSqlDatabase::numericalPrecisionPolicy
    {37, 291, 465},	// QSqlDatabase::open
    {37, 293, 466},	// QSqlDatabase::open$$
    {37, 334, 464},	// QSqlDatabase::operator=#
    {37, 361, 487},	// QSqlDatabase::password
    {37, 362, 490},	// QSqlDatabase::port
    {37, 368, 471},	// QSqlDatabase::primaryIndex$
    {37, 543, 472},	// QSqlDatabase::record$
    {37, 545, 504},	// QSqlDatabase::registerSqlDriver$#
    {37, 556, 500},	// QSqlDatabase::removeDatabase$
    {37, 570, 478},	// QSqlDatabase::rollback
    {37, 587, 510},	// QSqlDatabase::setConnectOptions
    {37, 588, 484},	// QSqlDatabase::setConnectOptions$
    {37, 595, 479},	// QSqlDatabase::setDatabaseName$
    {37, 599, 517},	// QSqlDatabase::setDefaultConnection$
    {37, 619, 482},	// QSqlDatabase::setHostName$
    {37, 632, 493},	// QSqlDatabase::setNumericalPrecisionPolicy$
    {37, 638, 481},	// QSqlDatabase::setPassword$
    {37, 640, 483},	// QSqlDatabase::setPort$
    {37, 670, 480},	// QSqlDatabase::setUserName$
    {37, 695, 508},	// QSqlDatabase::tables
    {37, 696, 470},	// QSqlDatabase::tables$
    {37, 707, 476},	// QSqlDatabase::transaction
    {37, 716, 486},	// QSqlDatabase::userName
    {37, 721, 518},	// QSqlDatabase::~QSqlDatabase
    {38, 3, 572},	// QSqlDriver::BLOB
    {38, 5, 578},	// QSqlDriver::BatchOperations
    {38, 9, 588},	// QSqlDriver::DeleteStatement
    {38, 11, 581},	// QSqlDriver::EventNotifications
    {38, 12, 589},	// QSqlDriver::FieldName
    {38, 13, 582},	// QSqlDriver::FinishQuery
    {38, 17, 587},	// QSqlDriver::InsertStatement
    {38, 18, 577},	// QSqlDriver::LastInsertId
    {38, 22, 580},	// QSqlDriver::LowPrecisionNumbers
    {38, 23, 583},	// QSqlDriver::MultipleResultSets
    {38, 25, 575},	// QSqlDriver::NamedPlaceholders
    {38, 34, 576},	// QSqlDriver::PositionalPlaceholders
    {38, 35, 574},	// QSqlDriver::PreparedQueries
    {38, 39, 562},	// QSqlDriver::QSqlDriver
    {38, 40, 526},	// QSqlDriver::QSqlDriver#
    {38, 85, 571},	// QSqlDriver::QuerySize
    {38, 87, 585},	// QSqlDriver::SelectStatement
    {38, 89, 579},	// QSqlDriver::SimpleLocking
    {38, 92, 590},	// QSqlDriver::TableName
    {38, 95, 570},	// QSqlDriver::Transactions
    {38, 96, 573},	// QSqlDriver::Unicode
    {38, 99, 586},	// QSqlDriver::UpdateStatement
    {38, 103, 584},	// QSqlDriver::WhereStatement
    {38, 131, 529},	// QSqlDriver::beginTransaction
    {38, 152, 541},	// QSqlDriver::close
    {38, 156, 530},	// QSqlDriver::commitTransaction
    {38, 167, 542},	// QSqlDriver::createResult
    {38, 193, 536},	// QSqlDriver::escapeIdentifier$$
    {38, 221, 563},	// QSqlDriver::formatValue#
    {38, 222, 535},	// QSqlDriver::formatValue#$
    {38, 223, 539},	// QSqlDriver::handle
    {38, 225, 540},	// QSqlDriver::hasFeature$
    {38, 262, 547},	// QSqlDriver::isIdentifierEscaped$$
    {38, 264, 558},	// QSqlDriver::isIdentifierEscapedImplementation$$
    {38, 267, 527},	// QSqlDriver::isOpen
    {38, 268, 528},	// QSqlDriver::isOpenError
    {38, 275, 538},	// QSqlDriver::lastError
    {38, 280, 519},	// QSqlDriver::metaObject
    {38, 287, 551},	// QSqlDriver::notification$
    {38, 290, 550},	// QSqlDriver::numericalPrecisionPolicy
    {38, 292, 564},	// QSqlDriver::open$
    {38, 293, 565},	// QSqlDriver::open$$
    {38, 294, 566},	// QSqlDriver::open$$$
    {38, 295, 567},	// QSqlDriver::open$$$$
    {38, 296, 568},	// QSqlDriver::open$$$$$
    {38, 297, 543},	// QSqlDriver::open$$$$$$
    {38, 368, 533},	// QSqlDriver::primaryIndex$
    {38, 528, 525},	// QSqlDriver::qt_metacall$$?
    {38, 530, 520},	// QSqlDriver::qt_metacast$
    {38, 543, 534},	// QSqlDriver::record$
    {38, 571, 531},	// QSqlDriver::rollbackTransaction
    {38, 622, 554},	// QSqlDriver::setLastError#
    {38, 632, 549},	// QSqlDriver::setNumericalPrecisionPolicy$
    {38, 634, 552},	// QSqlDriver::setOpen$
    {38, 636, 553},	// QSqlDriver::setOpenError$
    {38, 679, 537},	// QSqlDriver::sqlStatement$$#$
    {38, 680, 569},	// QSqlDriver::staticMetaObject
    {38, 682, 548},	// QSqlDriver::stripDelimiters$$
    {38, 684, 559},	// QSqlDriver::stripDelimitersImplementation$$
    {38, 688, 544},	// QSqlDriver::subscribeToNotification$
    {38, 690, 555},	// QSqlDriver::subscribeToNotificationImplementation$
    {38, 691, 546},	// QSqlDriver::subscribedToNotifications
    {38, 692, 557},	// QSqlDriver::subscribedToNotificationsImplementation
    {38, 696, 532},	// QSqlDriver::tables$
    {38, 700, 560},	// QSqlDriver::tr$
    {38, 701, 521},	// QSqlDriver::tr$$
    {38, 702, 523},	// QSqlDriver::tr$$$
    {38, 704, 561},	// QSqlDriver::trUtf8$
    {38, 705, 522},	// QSqlDriver::trUtf8$$
    {38, 706, 524},	// QSqlDriver::trUtf8$$$
    {38, 711, 545},	// QSqlDriver::unsubscribeFromNotification$
    {38, 713, 556},	// QSqlDriver::unsubscribeFromNotificationImplementation$
    {38, 722, 591},	// QSqlDriver::~QSqlDriver
    {39, 41, 593},	// QSqlDriverCreatorBase::QSqlDriverCreatorBase
    {39, 42, 594},	// QSqlDriverCreatorBase::QSqlDriverCreatorBase#
    {39, 166, 592},	// QSqlDriverCreatorBase::createObject
    {39, 723, 595},	// QSqlDriverCreatorBase::~QSqlDriverCreatorBase
    {40, 43, 597},	// QSqlDriverFactoryInterface::QSqlDriverFactoryInterface
    {40, 44, 598},	// QSqlDriverFactoryInterface::QSqlDriverFactoryInterface#
    {40, 165, 596},	// QSqlDriverFactoryInterface::create$
    {40, 724, 599},	// QSqlDriverFactoryInterface::~QSqlDriverFactoryInterface
    {41, 45, 612},	// QSqlDriverPlugin::QSqlDriverPlugin
    {41, 46, 607},	// QSqlDriverPlugin::QSqlDriverPlugin#
    {41, 165, 609},	// QSqlDriverPlugin::create$
    {41, 273, 608},	// QSqlDriverPlugin::keys
    {41, 280, 600},	// QSqlDriverPlugin::metaObject
    {41, 528, 606},	// QSqlDriverPlugin::qt_metacall$$?
    {41, 530, 601},	// QSqlDriverPlugin::qt_metacast$
    {41, 680, 613},	// QSqlDriverPlugin::staticMetaObject
    {41, 700, 610},	// QSqlDriverPlugin::tr$
    {41, 701, 602},	// QSqlDriverPlugin::tr$$
    {41, 702, 604},	// QSqlDriverPlugin::tr$$$
    {41, 704, 611},	// QSqlDriverPlugin::trUtf8$
    {41, 705, 603},	// QSqlDriverPlugin::trUtf8$$
    {41, 706, 605},	// QSqlDriverPlugin::trUtf8$$$
    {41, 725, 614},	// QSqlDriverPlugin::~QSqlDriverPlugin
    {42, 8, 633},	// QSqlError::ConnectionError
    {42, 27, 632},	// QSqlError::NoError
    {42, 47, 628},	// QSqlError::QSqlError
    {42, 48, 616},	// QSqlError::QSqlError#
    {42, 49, 629},	// QSqlError::QSqlError$
    {42, 50, 630},	// QSqlError::QSqlError$$
    {42, 51, 631},	// QSqlError::QSqlError$$$
    {42, 52, 615},	// QSqlError::QSqlError$$$$
    {42, 90, 634},	// QSqlError::StatementError
    {42, 94, 635},	// QSqlError::TransactionError
    {42, 98, 636},	// QSqlError::UnknownError
    {42, 178, 620},	// QSqlError::databaseText
    {42, 188, 618},	// QSqlError::driverText
    {42, 271, 627},	// QSqlError::isValid
    {42, 289, 624},	// QSqlError::number
    {42, 334, 617},	// QSqlError::operator=#
    {42, 597, 621},	// QSqlError::setDatabaseText$
    {42, 605, 619},	// QSqlError::setDriverText$
    {42, 630, 625},	// QSqlError::setNumber$
    {42, 668, 623},	// QSqlError::setType$
    {42, 697, 626},	// QSqlError::text
    {42, 708, 622},	// QSqlError::type
    {42, 726, 637},	// QSqlError::~QSqlError
    {43, 31, 672},	// QSqlField::Optional
    {43, 53, 669},	// QSqlField::QSqlField
    {43, 54, 639},	// QSqlField::QSqlField#
    {43, 55, 670},	// QSqlField::QSqlField$
    {43, 56, 638},	// QSqlField::QSqlField$$
    {43, 86, 673},	// QSqlField::Required
    {43, 97, 671},	// QSqlField::Unknown
    {43, 148, 650},	// QSqlField::clear
    {43, 180, 665},	// QSqlField::defaultValue
    {43, 250, 652},	// QSqlField::isAutoValue
    {43, 259, 667},	// QSqlField::isGenerated
    {43, 265, 647},	// QSqlField::isNull
    {43, 269, 649},	// QSqlField::isReadOnly
    {43, 271, 668},	// QSqlField::isValid
    {43, 278, 663},	// QSqlField::length
    {43, 283, 646},	// QSqlField::name
    {43, 299, 642},	// QSqlField::operator!=#
    {43, 334, 640},	// QSqlField::operator=#
    {43, 336, 641},	// QSqlField::operator==#
    {43, 363, 664},	// QSqlField::precision
    {43, 562, 662},	// QSqlField::requiredStatus
    {43, 586, 661},	// QSqlField::setAutoValue$
    {43, 601, 658},	// QSqlField::setDefaultValue#
    {43, 613, 660},	// QSqlField::setGenerated$
    {43, 624, 656},	// QSqlField::setLength$
    {43, 626, 645},	// QSqlField::setName$
    {43, 642, 657},	// QSqlField::setPrecision$
    {43, 650, 648},	// QSqlField::setReadOnly$
    {43, 656, 655},	// QSqlField::setRequired$
    {43, 658, 654},	// QSqlField::setRequiredStatus$
    {43, 664, 659},	// QSqlField::setSqlType$
    {43, 668, 653},	// QSqlField::setType$
    {43, 672, 643},	// QSqlField::setValue#
    {43, 708, 651},	// QSqlField::type
    {43, 709, 666},	// QSqlField::typeID
    {43, 717, 644},	// QSqlField::value
    {43, 727, 674},	// QSqlField::~QSqlField
    {44, 57, 686},	// QSqlIndex::QSqlIndex
    {44, 58, 676},	// QSqlIndex::QSqlIndex#
    {44, 59, 687},	// QSqlIndex::QSqlIndex$
    {44, 60, 675},	// QSqlIndex::QSqlIndex$$
    {44, 122, 682},	// QSqlIndex::append#
    {44, 123, 683},	// QSqlIndex::append#$
    {44, 168, 679},	// QSqlIndex::cursorName
    {44, 252, 684},	// QSqlIndex::isDescending$
    {44, 283, 681},	// QSqlIndex::name
    {44, 334, 677},	// QSqlIndex::operator=#
    {44, 590, 678},	// QSqlIndex::setCursorName$
    {44, 603, 685},	// QSqlIndex::setDescending$$
    {44, 626, 680},	// QSqlIndex::setName$
    {44, 728, 688},	// QSqlIndex::~QSqlIndex
    {45, 61, 731},	// QSqlQuery::QSqlQuery
    {45, 62, -379},	// QSqlQuery::QSqlQuery#
    {45, 63, 732},	// QSqlQuery::QSqlQuery$
    {45, 64, 690},	// QSqlQuery::QSqlQuery$#
    {45, 100, 739},	// QSqlQuery::ValuesAsColumns
    {45, 101, 738},	// QSqlQuery::ValuesAsRows
    {45, 114, 737},	// QSqlQuery::addBindValue#
    {45, 115, 723},	// QSqlQuery::addBindValue#$
    {45, 124, 697},	// QSqlQuery::at
    {45, 133, -383},	// QSqlQuery::bindValue$#
    {45, 134, -386},	// QSqlQuery::bindValue$#$
    {45, 139, -389},	// QSqlQuery::boundValue$
    {45, 143, 726},	// QSqlQuery::boundValues
    {45, 148, 717},	// QSqlQuery::clear
    {45, 186, 703},	// QSqlQuery::driver
    {45, 196, 718},	// QSqlQuery::exec
    {45, 197, 708},	// QSqlQuery::exec$
    {45, 198, 734},	// QSqlQuery::execBatch
    {45, 199, 719},	// QSqlQuery::execBatch$
    {45, 200, 727},	// QSqlQuery::executedQuery
    {45, 216, 729},	// QSqlQuery::finish
    {45, 217, 715},	// QSqlQuery::first
    {45, 249, 695},	// QSqlQuery::isActive
    {45, 258, 705},	// QSqlQuery::isForwardOnly
    {45, 266, 696},	// QSqlQuery::isNull$
    {45, 270, 701},	// QSqlQuery::isSelect
    {45, 271, 694},	// QSqlQuery::isValid
    {45, 274, 716},	// QSqlQuery::last
    {45, 275, 700},	// QSqlQuery::lastError
    {45, 276, 728},	// QSqlQuery::lastInsertId
    {45, 277, 698},	// QSqlQuery::lastQuery
    {45, 284, 713},	// QSqlQuery::next
    {45, 285, 730},	// QSqlQuery::nextResult
    {45, 288, 699},	// QSqlQuery::numRowsAffected
    {45, 290, 711},	// QSqlQuery::numericalPrecisionPolicy
    {45, 334, 693},	// QSqlQuery::operator=#
    {45, 365, 720},	// QSqlQuery::prepare$
    {45, 366, 714},	// QSqlQuery::previous
    {45, 542, 706},	// QSqlQuery::record
    {45, 565, 704},	// QSqlQuery::result
    {45, 577, 733},	// QSqlQuery::seek$
    {45, 578, 712},	// QSqlQuery::seek$$
    {45, 611, 707},	// QSqlQuery::setForwardOnly$
    {45, 632, 710},	// QSqlQuery::setNumericalPrecisionPolicy$
    {45, 674, 702},	// QSqlQuery::size
    {45, 718, 709},	// QSqlQuery::value$
    {45, 729, 740},	// QSqlQuery::~QSqlQuery
    {46, 65, 770},	// QSqlQueryModel::QSqlQueryModel
    {46, 66, 748},	// QSqlQueryModel::QSqlQueryModel#
    {46, 145, 780},	// QSqlQueryModel::canFetchMore
    {46, 146, 764},	// QSqlQueryModel::canFetchMore#
    {46, 148, 761},	// QSqlQueryModel::clear
    {46, 153, 772},	// QSqlQueryModel::columnCount
    {46, 154, 750},	// QSqlQueryModel::columnCount#
    {46, 171, 773},	// QSqlQueryModel::data#
    {46, 172, 753},	// QSqlQueryModel::data#$
    {46, 205, 779},	// QSqlQueryModel::fetchMore
    {46, 206, 763},	// QSqlQueryModel::fetchMore#
    {46, 228, 774},	// QSqlQueryModel::headerData$$
    {46, 229, 754},	// QSqlQueryModel::headerData$$$
    {46, 234, 766},	// QSqlQueryModel::indexInQuery#
    {46, 240, 776},	// QSqlQueryModel::insertColumns$$
    {46, 241, 756},	// QSqlQueryModel::insertColumns$$#
    {46, 275, 762},	// QSqlQueryModel::lastError
    {46, 280, 741},	// QSqlQueryModel::metaObject
    {46, 528, 747},	// QSqlQueryModel::qt_metacall$$?
    {46, 530, 742},	// QSqlQueryModel::qt_metacast$
    {46, 536, 760},	// QSqlQueryModel::query
    {46, 537, 765},	// QSqlQueryModel::queryChange
    {46, 542, 752},	// QSqlQueryModel::record
    {46, 543, 751},	// QSqlQueryModel::record$
    {46, 553, 777},	// QSqlQueryModel::removeColumns$$
    {46, 554, 757},	// QSqlQueryModel::removeColumns$$#
    {46, 572, 771},	// QSqlQueryModel::rowCount
    {46, 573, 749},	// QSqlQueryModel::rowCount#
    {46, 616, 775},	// QSqlQueryModel::setHeaderData$$#
    {46, 617, 755},	// QSqlQueryModel::setHeaderData$$#$
    {46, 622, 767},	// QSqlQueryModel::setLastError#
    {46, 646, 758},	// QSqlQueryModel::setQuery#
    {46, 647, 778},	// QSqlQueryModel::setQuery$
    {46, 648, 759},	// QSqlQueryModel::setQuery$#
    {46, 680, 781},	// QSqlQueryModel::staticMetaObject
    {46, 700, 768},	// QSqlQueryModel::tr$
    {46, 701, 743},	// QSqlQueryModel::tr$$
    {46, 702, 745},	// QSqlQueryModel::tr$$$
    {46, 704, 769},	// QSqlQueryModel::trUtf8$
    {46, 705, 744},	// QSqlQueryModel::trUtf8$$
    {46, 706, 746},	// QSqlQueryModel::trUtf8$$$
    {46, 730, 782},	// QSqlQueryModel::~QSqlQueryModel
    {47, 67, 783},	// QSqlRecord::QSqlRecord
    {47, 68, 784},	// QSqlRecord::QSqlRecord#
    {47, 122, 804},	// QSqlRecord::append#
    {47, 148, 810},	// QSqlRecord::clear
    {47, 149, 811},	// QSqlRecord::clearValues
    {47, 162, 809},	// QSqlRecord::contains$
    {47, 163, 812},	// QSqlRecord::count
    {47, 210, -4},	// QSqlRecord::field$
    {47, 214, 797},	// QSqlRecord::fieldName$
    {47, 236, 796},	// QSqlRecord::indexOf$
    {47, 238, 806},	// QSqlRecord::insert$#
    {47, 257, 808},	// QSqlRecord::isEmpty
    {47, 260, -7},	// QSqlRecord::isGenerated$
    {47, 266, -10},	// QSqlRecord::isNull$
    {47, 299, 787},	// QSqlRecord::operator!=#
    {47, 334, 785},	// QSqlRecord::operator=#
    {47, 336, 786},	// QSqlRecord::operator==#
    {47, 551, 807},	// QSqlRecord::remove$
    {47, 561, 805},	// QSqlRecord::replace$#
    {47, 614, -13},	// QSqlRecord::setGenerated$$
    {47, 628, -16},	// QSqlRecord::setNull$
    {47, 673, -19},	// QSqlRecord::setValue$#
    {47, 718, -22},	// QSqlRecord::value$
    {47, 731, 813},	// QSqlRecord::~QSqlRecord
    {48, 69, 814},	// QSqlRelation::QSqlRelation
    {48, 70, 820},	// QSqlRelation::QSqlRelation#
    {48, 71, 815},	// QSqlRelation::QSqlRelation$$$
    {48, 185, 818},	// QSqlRelation::displayColumn
    {48, 232, 817},	// QSqlRelation::indexColumn
    {48, 271, 819},	// QSqlRelation::isValid
    {48, 694, 816},	// QSqlRelation::tableName
    {48, 732, 821},	// QSqlRelation::~QSqlRelation
    {49, 72, 846},	// QSqlRelationalTableModel::QSqlRelationalTableModel
    {49, 73, 847},	// QSqlRelationalTableModel::QSqlRelationalTableModel#
    {49, 74, 829},	// QSqlRelationalTableModel::QSqlRelationalTableModel##
    {49, 148, 833},	// QSqlRelationalTableModel::clear
    {49, 171, 848},	// QSqlRelationalTableModel::data#
    {49, 172, 830},	// QSqlRelationalTableModel::data#$
    {49, 245, 842},	// QSqlRelationalTableModel::insertRowIntoTable#
    {49, 280, 822},	// QSqlRelationalTableModel::metaObject
    {49, 360, 843},	// QSqlRelationalTableModel::orderByClause
    {49, 528, 828},	// QSqlRelationalTableModel::qt_metacall$$?
    {49, 530, 823},	// QSqlRelationalTableModel::qt_metacast$
    {49, 547, 837},	// QSqlRelationalTableModel::relation$
    {49, 549, 838},	// QSqlRelationalTableModel::relationModel$
    {49, 553, 850},	// QSqlRelationalTableModel::removeColumns$$
    {49, 554, 832},	// QSqlRelationalTableModel::removeColumns$$#
    {49, 569, 839},	// QSqlRelationalTableModel::revertRow$
    {49, 579, 834},	// QSqlRelationalTableModel::select
    {49, 580, 840},	// QSqlRelationalTableModel::selectStatement
    {49, 592, 849},	// QSqlRelationalTableModel::setData##
    {49, 593, 831},	// QSqlRelationalTableModel::setData##$
    {49, 654, 836},	// QSqlRelationalTableModel::setRelation$#
    {49, 666, 835},	// QSqlRelationalTableModel::setTable$
    {49, 680, 851},	// QSqlRelationalTableModel::staticMetaObject
    {49, 700, 844},	// QSqlRelationalTableModel::tr$
    {49, 701, 824},	// QSqlRelationalTableModel::tr$$
    {49, 702, 826},	// QSqlRelationalTableModel::tr$$$
    {49, 704, 845},	// QSqlRelationalTableModel::trUtf8$
    {49, 705, 825},	// QSqlRelationalTableModel::trUtf8$$
    {49, 706, 827},	// QSqlRelationalTableModel::trUtf8$$$
    {49, 715, 841},	// QSqlRelationalTableModel::updateRowInTable$#
    {49, 733, 852},	// QSqlRelationalTableModel::~QSqlRelationalTableModel
    {50, 4, 907},	// QSqlResult::BatchOperation
    {50, 10, 908},	// QSqlResult::DetachFromResultSet
    {50, 24, 906},	// QSqlResult::NamedBinding
    {50, 26, 910},	// QSqlResult::NextResult
    {50, 33, 905},	// QSqlResult::PositionalBinding
    {50, 76, 854},	// QSqlResult::QSqlResult#
    {50, 88, 909},	// QSqlResult::SetNumericalPrecision
    {50, 115, 874},	// QSqlResult::addBindValue#$
    {50, 124, 855},	// QSqlResult::at
    {50, 134, -25},	// QSqlResult::bindValue$#$
    {50, 136, -28},	// QSqlResult::bindValueType$
    {50, 137, 885},	// QSqlResult::bindingSyntax
    {50, 139, -31},	// QSqlResult::boundValue$
    {50, 140, 879},	// QSqlResult::boundValueCount
    {50, 142, 882},	// QSqlResult::boundValueName$
    {50, 143, 880},	// QSqlResult::boundValues
    {50, 148, 883},	// QSqlResult::clear
    {50, 173, 886},	// QSqlResult::data$
    {50, 183, 900},	// QSqlResult::detachFromResultSet
    {50, 186, 862},	// QSqlResult::driver
    {50, 196, 869},	// QSqlResult::exec
    {50, 198, 904},	// QSqlResult::execBatch
    {50, 199, 899},	// QSqlResult::execBatch$
    {50, 200, 881},	// QSqlResult::executedQuery
    {50, 202, 889},	// QSqlResult::fetch$
    {50, 203, 892},	// QSqlResult::fetchFirst
    {50, 204, 893},	// QSqlResult::fetchLast
    {50, 207, 890},	// QSqlResult::fetchNext
    {50, 208, 891},	// QSqlResult::fetchPrevious
    {50, 223, 853},	// QSqlResult::handle
    {50, 226, 884},	// QSqlResult::hasOutValues
    {50, 249, 859},	// QSqlResult::isActive
    {50, 258, 861},	// QSqlResult::isForwardOnly
    {50, 266, 887},	// QSqlResult::isNull$
    {50, 270, 860},	// QSqlResult::isSelect
    {50, 271, 858},	// QSqlResult::isValid
    {50, 275, 857},	// QSqlResult::lastError
    {50, 276, 897},	// QSqlResult::lastInsertId
    {50, 277, 856},	// QSqlResult::lastQuery
    {50, 285, 903},	// QSqlResult::nextResult
    {50, 288, 895},	// QSqlResult::numRowsAffected
    {50, 290, 902},	// QSqlResult::numericalPrecisionPolicy
    {50, 365, 870},	// QSqlResult::prepare$
    {50, 542, 896},	// QSqlResult::record
    {50, 564, 888},	// QSqlResult::reset$
    {50, 575, 871},	// QSqlResult::savePrepare$
    {50, 582, 864},	// QSqlResult::setActive$
    {50, 584, 863},	// QSqlResult::setAt$
    {50, 611, 868},	// QSqlResult::setForwardOnly$
    {50, 622, 865},	// QSqlResult::setLastError#
    {50, 632, 901},	// QSqlResult::setNumericalPrecisionPolicy$
    {50, 647, 866},	// QSqlResult::setQuery$
    {50, 660, 867},	// QSqlResult::setSelect$
    {50, 674, 894},	// QSqlResult::size
    {50, 720, 898},	// QSqlResult::virtual_hook$$
    {50, 734, 911},	// QSqlResult::~QSqlResult
    {51, 28, 973},	// QSqlTableModel::OnFieldChange
    {51, 29, 975},	// QSqlTableModel::OnManualSubmit
    {51, 30, 974},	// QSqlTableModel::OnRowChange
    {51, 77, 963},	// QSqlTableModel::QSqlTableModel
    {51, 78, 964},	// QSqlTableModel::QSqlTableModel#
    {51, 79, 919},	// QSqlTableModel::QSqlTableModel##
    {51, 126, 952},	// QSqlTableModel::beforeDelete$
    {51, 128, 950},	// QSqlTableModel::beforeInsert#
    {51, 130, 951},	// QSqlTableModel::beforeUpdate$#
    {51, 148, 928},	// QSqlTableModel::clear
    {51, 171, 965},	// QSqlTableModel::data#
    {51, 172, 924},	// QSqlTableModel::data#$
    {51, 174, 932},	// QSqlTableModel::database
    {51, 182, 955},	// QSqlTableModel::deleteRowFromTable$
    {51, 191, 930},	// QSqlTableModel::editStrategy
    {51, 212, 933},	// QSqlTableModel::fieldIndex$
    {51, 215, 936},	// QSqlTableModel::filter
    {51, 219, 923},	// QSqlTableModel::flags#
    {51, 228, 967},	// QSqlTableModel::headerData$$
    {51, 229, 926},	// QSqlTableModel::headerData$$$
    {51, 234, 960},	// QSqlTableModel::indexInQuery#
    {51, 243, 942},	// QSqlTableModel::insertRecord$#
    {51, 245, 954},	// QSqlTableModel::insertRowIntoTable#
    {51, 247, 971},	// QSqlTableModel::insertRows$$
    {51, 248, 941},	// QSqlTableModel::insertRows$$#
    {51, 254, 927},	// QSqlTableModel::isDirty#
    {51, 280, 912},	// QSqlTableModel::metaObject
    {51, 360, 956},	// QSqlTableModel::orderByClause
    {51, 369, 931},	// QSqlTableModel::primaryKey
    {51, 371, 949},	// QSqlTableModel::primeInsert$#
    {51, 528, 918},	// QSqlTableModel::qt_metacall$$?
    {51, 530, 913},	// QSqlTableModel::qt_metacast$
    {51, 553, 969},	// QSqlTableModel::removeColumns$$
    {51, 554, 939},	// QSqlTableModel::removeColumns$$#
    {51, 558, 970},	// QSqlTableModel::removeRows$$
    {51, 559, 940},	// QSqlTableModel::removeRows$$#
    {51, 566, 946},	// QSqlTableModel::revert
    {51, 567, 948},	// QSqlTableModel::revertAll
    {51, 569, 944},	// QSqlTableModel::revertRow$
    {51, 572, 968},	// QSqlTableModel::rowCount
    {51, 573, 938},	// QSqlTableModel::rowCount#
    {51, 579, 920},	// QSqlTableModel::select
    {51, 580, 957},	// QSqlTableModel::selectStatement
    {51, 592, 966},	// QSqlTableModel::setData##
    {51, 593, 925},	// QSqlTableModel::setData##$
    {51, 607, 929},	// QSqlTableModel::setEditStrategy$
    {51, 609, 937},	// QSqlTableModel::setFilter$
    {51, 644, 958},	// QSqlTableModel::setPrimaryKey#
    {51, 646, 959},	// QSqlTableModel::setQuery#
    {51, 652, 943},	// QSqlTableModel::setRecord$#
    {51, 662, 935},	// QSqlTableModel::setSort$$
    {51, 666, 921},	// QSqlTableModel::setTable$
    {51, 676, 934},	// QSqlTableModel::sort$$
    {51, 680, 972},	// QSqlTableModel::staticMetaObject
    {51, 685, 945},	// QSqlTableModel::submit
    {51, 686, 947},	// QSqlTableModel::submitAll
    {51, 694, 922},	// QSqlTableModel::tableName
    {51, 700, 961},	// QSqlTableModel::tr$
    {51, 701, 914},	// QSqlTableModel::tr$$
    {51, 702, 916},	// QSqlTableModel::tr$$$
    {51, 704, 962},	// QSqlTableModel::trUtf8$
    {51, 705, 915},	// QSqlTableModel::trUtf8$$
    {51, 706, 917},	// QSqlTableModel::trUtf8$$$
    {51, 715, 953},	// QSqlTableModel::updateRowInTable$#
    {51, 735, 976},	// QSqlTableModel::~QSqlTableModel
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtsql_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtsql_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtsql_Smoke = new Smoke(
        "qtsql",
        __smokeqtsql::classes, 61,
        __smokeqtsql::methods, 977,
        __smokeqtsql::methodMaps, 665,
        __smokeqtsql::methodNames, 735,
        __smokeqtsql::types, 296,
        __smokeqtsql::inheritanceList,
        __smokeqtsql::argumentList,
        __smokeqtsql::ambiguousMethodList,
        __smokeqtsql::cast );
    initialized = true;
}

void delete_qtsql_Smoke() { delete qtsql_Smoke; }

}
