#include <qtsvg_includes.h>

#include <smoke.h>
#include <qtsvg_smoke.h>

namespace __smokeqtsvg {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAccessible2Interface
      switch(to) {
        case 1: return (void*)(QAccessible2Interface*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBitArray
      switch(to) {
        case 3: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 4:   //QBool
      switch(to) {
        case 4: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 5:   //QBrush
      switch(to) {
        case 5: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QCloseEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 9: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QColor
      switch(to) {
        case 10: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 11:   //QContextMenuEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 11: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QCursor
      switch(to) {
        case 12: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 13:   //QDataStream
      switch(to) {
        case 13: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 14:   //QDate
      switch(to) {
        case 14: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 15:   //QDateTime
      switch(to) {
        case 15: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 16:   //QDebug
      switch(to) {
        case 16: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 17:   //QDir
      switch(to) {
        case 17: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 18:   //QDragEnterEvent
      switch(to) {
        case 20: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 22: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 24: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 18: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QDragLeaveEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 19: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QDragMoveEvent
      switch(to) {
        case 22: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 24: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 20: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QDrawPixmaps::Data
      switch(to) {
        case 21: return (void*)(QDrawPixmaps::Data*)xptr;
        default: return xptr;
      }
    case 22:   //QDropEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 22: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 23:   //QEasingCurve
      switch(to) {
        case 23: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 24:   //QEvent
      switch(to) {
        case 24: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QFocusEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 25: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 26:   //QFont
      switch(to) {
        case 26: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 28:   //QGraphicsItem
      switch(to) {
        case 28: return (void*)(QGraphicsItem*)xptr;
        case 35: return (void*)(QGraphicsSvgItem*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 29:   //QGraphicsObject
      switch(to) {
        case 58: return (void*)(QObject*)(QGraphicsObject*)xptr;
        case 28: return (void*)(QGraphicsItem*)(QGraphicsObject*)xptr;
        case 29: return (void*)(QGraphicsObject*)xptr;
        case 35: return (void*)(QGraphicsSvgItem*)(QGraphicsObject*)xptr;
        default: return xptr;
      }
    case 30:   //QGraphicsSceneContextMenuEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QGraphicsSceneContextMenuEvent*)xptr;
        case 30: return (void*)(QGraphicsSceneContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QGraphicsSceneDragDropEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QGraphicsSceneDragDropEvent*)xptr;
        case 31: return (void*)(QGraphicsSceneDragDropEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QGraphicsSceneHoverEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QGraphicsSceneHoverEvent*)xptr;
        case 32: return (void*)(QGraphicsSceneHoverEvent*)xptr;
        default: return xptr;
      }
    case 33:   //QGraphicsSceneMouseEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QGraphicsSceneMouseEvent*)xptr;
        case 33: return (void*)(QGraphicsSceneMouseEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QGraphicsSceneWheelEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QGraphicsSceneWheelEvent*)xptr;
        case 34: return (void*)(QGraphicsSceneWheelEvent*)xptr;
        default: return xptr;
      }
    case 35:   //QGraphicsSvgItem
      switch(to) {
        case 29: return (void*)(QGraphicsObject*)(QGraphicsSvgItem*)xptr;
        case 58: return (void*)(QObject*)(QGraphicsSvgItem*)xptr;
        case 28: return (void*)(QGraphicsItem*)(QGraphicsSvgItem*)xptr;
        case 35: return (void*)(QGraphicsSvgItem*)xptr;
        default: return xptr;
      }
    case 36:   //QHashDummyValue
      switch(to) {
        case 36: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 37:   //QHideEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 37: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 38:   //QIODevice
      switch(to) {
        case 58: return (void*)(QObject*)(QIODevice*)xptr;
        case 38: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 39:   //QIcon
      switch(to) {
        case 39: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 40:   //QImage
      switch(to) {
        case 59: return (void*)(QPaintDevice*)(QImage*)xptr;
        case 40: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 41:   //QIncompatibleFlag
      switch(to) {
        case 41: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 42:   //QInputMethodEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 42: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 43:   //QItemSelectionRange
      switch(to) {
        case 43: return (void*)(QItemSelectionRange*)xptr;
        default: return xptr;
      }
    case 44:   //QKeyEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 44: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QKeySequence
      switch(to) {
        case 45: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 46:   //QLatin1String
      switch(to) {
        case 46: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 47:   //QLine
      switch(to) {
        case 47: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 48:   //QLineF
      switch(to) {
        case 48: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 49:   //QListWidgetItem
      switch(to) {
        case 49: return (void*)(QListWidgetItem*)xptr;
        default: return xptr;
      }
    case 50:   //QLocale
      switch(to) {
        case 50: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 51:   //QMargins
      switch(to) {
        case 51: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 52:   //QMatrix
      switch(to) {
        case 52: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 53:   //QMatrix4x4
      switch(to) {
        case 53: return (void*)(QMatrix4x4*)xptr;
        default: return xptr;
      }
    case 54:   //QMetaObject
      switch(to) {
        case 54: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 55:   //QModelIndex
      switch(to) {
        case 55: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 56:   //QMouseEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 56: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 57:   //QMoveEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 57: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 58:   //QObject
      switch(to) {
        case 58: return (void*)(QObject*)xptr;
        case 35: return (void*)(QGraphicsSvgItem*)(QObject*)xptr;
        case 91: return (void*)(QSvgRenderer*)(QObject*)xptr;
        case 92: return (void*)(QSvgWidget*)(QObject*)xptr;
        default: return xptr;
      }
    case 59:   //QPaintDevice
      switch(to) {
        case 59: return (void*)(QPaintDevice*)xptr;
        case 90: return (void*)(QSvgGenerator*)(QPaintDevice*)xptr;
        case 92: return (void*)(QSvgWidget*)(QPaintDevice*)xptr;
        default: return xptr;
      }
    case 60:   //QPaintEngine
      switch(to) {
        case 60: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 61:   //QPaintEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 61: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 62:   //QPainter
      switch(to) {
        case 62: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 63:   //QPainterPath
      switch(to) {
        case 63: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 64:   //QPalette
      switch(to) {
        case 64: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 65:   //QPen
      switch(to) {
        case 65: return (void*)(QPen*)xptr;
        default: return xptr;
      }
    case 66:   //QPersistentModelIndex
      switch(to) {
        case 66: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 67:   //QPicture
      switch(to) {
        case 59: return (void*)(QPaintDevice*)(QPicture*)xptr;
        case 67: return (void*)(QPicture*)xptr;
        default: return xptr;
      }
    case 68:   //QPixmap
      switch(to) {
        case 59: return (void*)(QPaintDevice*)(QPixmap*)xptr;
        case 68: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 69:   //QPoint
      switch(to) {
        case 69: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 70:   //QPointF
      switch(to) {
        case 70: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 71:   //QPolygon
      switch(to) {
        case 71: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 72:   //QPolygonF
      switch(to) {
        case 72: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 73:   //QQuaternion
      switch(to) {
        case 73: return (void*)(QQuaternion*)xptr;
        default: return xptr;
      }
    case 74:   //QRect
      switch(to) {
        case 74: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 75:   //QRectF
      switch(to) {
        case 75: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 76:   //QRegExp
      switch(to) {
        case 76: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 77:   //QRegion
      switch(to) {
        case 77: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 78:   //QResizeEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 78: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 79:   //QShowEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 79: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 80:   //QSize
      switch(to) {
        case 80: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 81:   //QSizeF
      switch(to) {
        case 81: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 82:   //QSizePolicy
      switch(to) {
        case 82: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 83:   //QSplitter
      switch(to) {
        case 113: return (void*)(QWidget*)(QSplitter*)xptr;
        case 58: return (void*)(QObject*)(QSplitter*)xptr;
        case 59: return (void*)(QPaintDevice*)(QSplitter*)xptr;
        case 83: return (void*)(QSplitter*)xptr;
        default: return xptr;
      }
    case 84:   //QStandardItem
      switch(to) {
        case 84: return (void*)(QStandardItem*)xptr;
        default: return xptr;
      }
    case 85:   //QString::Null
      switch(to) {
        case 85: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 86:   //QStringRef
      switch(to) {
        case 86: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 87:   //QStyle
      switch(to) {
        case 58: return (void*)(QObject*)(QStyle*)xptr;
        case 87: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 88:   //QStyleOption
      switch(to) {
        case 88: return (void*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 89:   //QStyleOptionGraphicsItem
      switch(to) {
        case 88: return (void*)(QStyleOption*)(QStyleOptionGraphicsItem*)xptr;
        case 89: return (void*)(QStyleOptionGraphicsItem*)xptr;
        default: return xptr;
      }
    case 90:   //QSvgGenerator
      switch(to) {
        case 59: return (void*)(QPaintDevice*)(QSvgGenerator*)xptr;
        case 90: return (void*)(QSvgGenerator*)xptr;
        default: return xptr;
      }
    case 91:   //QSvgRenderer
      switch(to) {
        case 58: return (void*)(QObject*)(QSvgRenderer*)xptr;
        case 91: return (void*)(QSvgRenderer*)xptr;
        default: return xptr;
      }
    case 92:   //QSvgWidget
      switch(to) {
        case 113: return (void*)(QWidget*)(QSvgWidget*)xptr;
        case 58: return (void*)(QObject*)(QSvgWidget*)xptr;
        case 59: return (void*)(QPaintDevice*)(QSvgWidget*)xptr;
        case 92: return (void*)(QSvgWidget*)xptr;
        default: return xptr;
      }
    case 93:   //QTableWidgetItem
      switch(to) {
        case 93: return (void*)(QTableWidgetItem*)xptr;
        default: return xptr;
      }
    case 94:   //QTabletEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 94: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 95:   //QTextCodec
      switch(to) {
        case 95: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 96:   //QTextFormat
      switch(to) {
        case 96: return (void*)(QTextFormat*)xptr;
        default: return xptr;
      }
    case 97:   //QTextLength
      switch(to) {
        case 97: return (void*)(QTextLength*)xptr;
        default: return xptr;
      }
    case 98:   //QTextStream
      switch(to) {
        case 98: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 99:   //QTextStreamManipulator
      switch(to) {
        case 99: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 100:   //QTileRules
      switch(to) {
        case 100: return (void*)(QTileRules*)xptr;
        default: return xptr;
      }
    case 101:   //QTime
      switch(to) {
        case 101: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 102:   //QTimerEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 102: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 103:   //QTransform
      switch(to) {
        case 103: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 104:   //QTreeWidgetItem
      switch(to) {
        case 104: return (void*)(QTreeWidgetItem*)xptr;
        default: return xptr;
      }
    case 105:   //QUrl
      switch(to) {
        case 105: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 106:   //QUuid
      switch(to) {
        case 106: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 107:   //QVariant
      switch(to) {
        case 107: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 108:   //QVariantComparisonHelper
      switch(to) {
        case 108: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 109:   //QVector2D
      switch(to) {
        case 109: return (void*)(QVector2D*)xptr;
        default: return xptr;
      }
    case 110:   //QVector3D
      switch(to) {
        case 110: return (void*)(QVector3D*)xptr;
        default: return xptr;
      }
    case 111:   //QVector4D
      switch(to) {
        case 111: return (void*)(QVector4D*)xptr;
        default: return xptr;
      }
    case 112:   //QWheelEvent
      switch(to) {
        case 24: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 112: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 113:   //QWidget
      switch(to) {
        case 58: return (void*)(QObject*)(QWidget*)xptr;
        case 59: return (void*)(QPaintDevice*)(QWidget*)xptr;
        case 113: return (void*)(QWidget*)xptr;
        case 92: return (void*)(QSvgWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    case 114:   //QXmlStreamReader
      switch(to) {
        case 114: return (void*)(QXmlStreamReader*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    29, 0,	// 1: QGraphicsObject
    59, 0,	// 3: QPaintDevice
    58, 0,	// 5: QObject
    113, 0,	// 7: QWidget
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QGraphicsSvgItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QSvgGenerator(Smoke::Index, void*, Smoke::Stack);
void xcall_QSvgRenderer(Smoke::Index, void*, Smoke::Stack);
void xcall_QSvgWidget(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAccessible2Interface", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//3
    { "QBool", true, 0, 0, 0, 0, 0 },	//4
    { "QBrush", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QColor", true, 0, 0, 0, 0, 0 },	//10
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QCursor", true, 0, 0, 0, 0, 0 },	//12
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//13
    { "QDate", true, 0, 0, 0, 0, 0 },	//14
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//15
    { "QDebug", true, 0, 0, 0, 0, 0 },	//16
    { "QDir", true, 0, 0, 0, 0, 0 },	//17
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QDrawPixmaps::Data", true, 0, 0, 0, 0, 0 },	//21
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//22
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//23
    { "QEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//25
    { "QFont", true, 0, 0, 0, 0, 0 },	//26
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//27
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//28
    { "QGraphicsObject", true, 0, 0, 0, 0, 0 },	//29
    { "QGraphicsSceneContextMenuEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QGraphicsSceneDragDropEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QGraphicsSceneHoverEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QGraphicsSceneMouseEvent", true, 0, 0, 0, 0, 0 },	//33
    { "QGraphicsSceneWheelEvent", true, 0, 0, 0, 0, 0 },	//34
    { "QGraphicsSvgItem", false, 1, xcall_QGraphicsSvgItem, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGraphicsSvgItem) },	//35
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//36
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//37
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//38
    { "QIcon", true, 0, 0, 0, 0, 0 },	//39
    { "QImage", true, 0, 0, 0, 0, 0 },	//40
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//41
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//42
    { "QItemSelectionRange", true, 0, 0, 0, 0, 0 },	//43
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//45
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//46
    { "QLine", true, 0, 0, 0, 0, 0 },	//47
    { "QLineF", true, 0, 0, 0, 0, 0 },	//48
    { "QListWidgetItem", true, 0, 0, 0, 0, 0 },	//49
    { "QLocale", true, 0, 0, 0, 0, 0 },	//50
    { "QMargins", true, 0, 0, 0, 0, 0 },	//51
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//52
    { "QMatrix4x4", true, 0, 0, 0, 0, 0 },	//53
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//54
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//55
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//56
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//57
    { "QObject", true, 0, 0, 0, 0, 0 },	//58
    { "QPaintDevice", true, 0, 0, 0, 0, 0 },	//59
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//60
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//61
    { "QPainter", true, 0, 0, 0, 0, 0 },	//62
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//63
    { "QPalette", true, 0, 0, 0, 0, 0 },	//64
    { "QPen", true, 0, 0, 0, 0, 0 },	//65
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//66
    { "QPicture", true, 0, 0, 0, 0, 0 },	//67
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//68
    { "QPoint", true, 0, 0, 0, 0, 0 },	//69
    { "QPointF", true, 0, 0, 0, 0, 0 },	//70
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//71
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//72
    { "QQuaternion", true, 0, 0, 0, 0, 0 },	//73
    { "QRect", true, 0, 0, 0, 0, 0 },	//74
    { "QRectF", true, 0, 0, 0, 0, 0 },	//75
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//76
    { "QRegion", true, 0, 0, 0, 0, 0 },	//77
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//78
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//79
    { "QSize", true, 0, 0, 0, 0, 0 },	//80
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//81
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//82
    { "QSplitter", true, 0, 0, 0, 0, 0 },	//83
    { "QStandardItem", true, 0, 0, 0, 0, 0 },	//84
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//85
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//86
    { "QStyle", true, 0, 0, 0, 0, 0 },	//87
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//88
    { "QStyleOptionGraphicsItem", true, 0, 0, 0, 0, 0 },	//89
    { "QSvgGenerator", false, 3, xcall_QSvgGenerator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSvgGenerator) },	//90
    { "QSvgRenderer", false, 5, xcall_QSvgRenderer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSvgRenderer) },	//91
    { "QSvgWidget", false, 7, xcall_QSvgWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSvgWidget) },	//92
    { "QTableWidgetItem", true, 0, 0, 0, 0, 0 },	//93
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//94
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//95
    { "QTextFormat", true, 0, 0, 0, 0, 0 },	//96
    { "QTextLength", true, 0, 0, 0, 0, 0 },	//97
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//98
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//99
    { "QTileRules", true, 0, 0, 0, 0, 0 },	//100
    { "QTime", true, 0, 0, 0, 0, 0 },	//101
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//102
    { "QTransform", true, 0, 0, 0, 0, 0 },	//103
    { "QTreeWidgetItem", true, 0, 0, 0, 0, 0 },	//104
    { "QUrl", true, 0, 0, 0, 0, 0 },	//105
    { "QUuid", true, 0, 0, 0, 0, 0 },	//106
    { "QVariant", true, 0, 0, 0, 0, 0 },	//107
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//108
    { "QVector2D", true, 0, 0, 0, 0, 0 },	//109
    { "QVector3D", true, 0, 0, 0, 0, 0 },	//110
    { "QVector4D", true, 0, 0, 0, 0, 0 },	//111
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//112
    { "QWidget", true, 0, 0, 0, 0, 0 },	//113
    { "QXmlStreamReader", true, 0, 0, 0, 0, 0 },	//114
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QAbstractItemView::EditTrigger", 0, Smoke::t_enum|Smoke::tf_stack },	//2
    { "QAbstractPrintDialog::PrintDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "QAbstractSpinBox::StepEnabledFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAccessible2::BoundaryType", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAccessible2::CoordinateType", 0, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAccessible2Interface*", 1, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QAccessible::RelationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//9
    { "QAccessible::StateFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//10
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QBitArray", 3, Smoke::t_class|Smoke::tf_stack },	//12
    { "QBitArray&", 3, Smoke::t_class|Smoke::tf_ref },	//13
    { "QBool", 4, Smoke::t_class|Smoke::tf_stack },	//14
    { "QBrush&", 5, Smoke::t_class|Smoke::tf_ref },	//15
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//16
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//17
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//18
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//19
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//20
    { "QCloseEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QColor&", 10, Smoke::t_class|Smoke::tf_ref },	//22
    { "QColorDialog::ColorDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//23
    { "QContextMenuEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QCursor&", 12, Smoke::t_class|Smoke::tf_ref },	//25
    { "QDataStream&", 13, Smoke::t_class|Smoke::tf_ref },	//26
    { "QDate&", 14, Smoke::t_class|Smoke::tf_ref },	//27
    { "QDateTime&", 15, Smoke::t_class|Smoke::tf_ref },	//28
    { "QDateTimeEdit::Section", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "QDebug", 16, Smoke::t_class|Smoke::tf_stack },	//30
    { "QDialogButtonBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "QDir::Filter", 17, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QDir::SortFlag", 17, Smoke::t_enum|Smoke::tf_stack },	//33
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "QDockWidget::DockWidgetFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "QDragEnterEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QDragLeaveEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QDragMoveEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "QDrawPixmaps::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "QDropEvent*", 22, Smoke::t_class|Smoke::tf_ptr },	//41
    { "QEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "QFileDialog::Option", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "QFlags<QAbstractItemView::EditTrigger>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<QAbstractPrintDialog::PrintDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<QAbstractSpinBox::StepEnabledFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<QAccessible::RelationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<QAccessible::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<QColorDialog::ColorDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<QDateTimeEdit::Section>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<QDialogButtonBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<QDockWidget::DockWidgetFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<QDrawBorderPixmap::DrawingHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<QDrawPixmaps::DrawingHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<QFileDialog::Option>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<QFontComboBox::FontFilter>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<QFontDialog::FontDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<QGestureRecognizer::ResultFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<QGraphicsBlurEffect::BlurHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<QGraphicsEffect::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<QGraphicsItem::GraphicsItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QGraphicsScene::SceneLayer>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QGraphicsView::CacheModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QGraphicsView::OptimizationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QImageIOPlugin::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QInputDialog::InputDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QMainWindow::DockOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QMdiArea::AreaOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QMdiSubWindow::SubWindowOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QMessageBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QPaintEngine::DirtyFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QPaintEngine::PaintEngineFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<QStyle::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<QStyle::SubControl>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<QStyleOptionButton::ButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<QStyleOptionFrameV2::FrameFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<QStyleOptionTab::CornerWidget>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<QStyleOptionToolBar::ToolBarFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<QStyleOptionToolButton::ToolButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<QStyleOptionViewItemV2::ViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<QTextDocument::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<QTextEdit::AutoFormattingFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<QTextFormat::PageBreakFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<QTextItem::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<QTextOption::Flag>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QFlags<QTreeWidgetItemIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//104
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//105
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//106
    { "QFlags<QWizard::WizardOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//107
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//108
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//109
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//110
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//111
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//112
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//113
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//114
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//115
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//116
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//117
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//118
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//119
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//120
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//121
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//122
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//123
    { "QFocusEvent*", 25, Smoke::t_class|Smoke::tf_ptr },	//124
    { "QFont&", 26, Smoke::t_class|Smoke::tf_ref },	//125
    { "QFontComboBox::FontFilter", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QFontDialog::FontDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QGestureRecognizer::ResultFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QGraphicsBlurEffect::BlurHint", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "QGraphicsEffect::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QGraphicsItem*", 28, Smoke::t_class|Smoke::tf_ptr },	//131
    { "QGraphicsItem::Extension", 28, Smoke::t_enum|Smoke::tf_stack },	//132
    { "QGraphicsItem::GraphicsItemChange", 28, Smoke::t_enum|Smoke::tf_stack },	//133
    { "QGraphicsItem::GraphicsItemFlag", 28, Smoke::t_enum|Smoke::tf_stack },	//134
    { "QGraphicsObject*", 29, Smoke::t_class|Smoke::tf_ptr },	//135
    { "QGraphicsScene::SceneLayer", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "QGraphicsSceneContextMenuEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//137
    { "QGraphicsSceneDragDropEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//138
    { "QGraphicsSceneHoverEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//139
    { "QGraphicsSceneMouseEvent*", 33, Smoke::t_class|Smoke::tf_ptr },	//140
    { "QGraphicsSceneWheelEvent*", 34, Smoke::t_class|Smoke::tf_ptr },	//141
    { "QGraphicsSvgItem*", 35, Smoke::t_class|Smoke::tf_ptr },	//142
    { "QGraphicsView::CacheModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "QGraphicsView::OptimizationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "QHideEvent*", 37, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QIODevice*", 38, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QIODevice::OpenModeFlag", 38, Smoke::t_enum|Smoke::tf_stack },	//147
    { "QIcon&", 39, Smoke::t_class|Smoke::tf_ref },	//148
    { "QImage&", 40, Smoke::t_class|Smoke::tf_ref },	//149
    { "QImageIOPlugin::Capability", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "QIncompatibleFlag", 41, Smoke::t_class|Smoke::tf_stack },	//151
    { "QInputDialog::InputDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "QInputMethodEvent*", 42, Smoke::t_class|Smoke::tf_ptr },	//153
    { "QItemSelectionModel::SelectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "QKeyEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//155
    { "QKeySequence&", 45, Smoke::t_class|Smoke::tf_ref },	//156
    { "QKeySequence::StandardKey", 45, Smoke::t_enum|Smoke::tf_stack },	//157
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "QLine", 47, Smoke::t_class|Smoke::tf_stack },	//159
    { "QLine&", 47, Smoke::t_class|Smoke::tf_ref },	//160
    { "QLineF", 48, Smoke::t_class|Smoke::tf_stack },	//161
    { "QLineF&", 48, Smoke::t_class|Smoke::tf_ref },	//162
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//163
    { "QListWidgetItem&", 49, Smoke::t_class|Smoke::tf_ref },	//164
    { "QLocale&", 50, Smoke::t_class|Smoke::tf_ref },	//165
    { "QLocale::NumberOption", 50, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QMainWindow::DockOption", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QMatrix", 52, Smoke::t_class|Smoke::tf_stack },	//168
    { "QMatrix&", 52, Smoke::t_class|Smoke::tf_ref },	//169
    { "QMatrix4x4", 53, Smoke::t_class|Smoke::tf_stack },	//170
    { "QMatrix4x4&", 53, Smoke::t_class|Smoke::tf_ref },	//171
    { "QMdiArea::AreaOption", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QMdiSubWindow::SubWindowOption", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "QMessageBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "QMetaObject::Call", 54, Smoke::t_enum|Smoke::tf_stack },	//175
    { "QMouseEvent*", 56, Smoke::t_class|Smoke::tf_ptr },	//176
    { "QMoveEvent*", 57, Smoke::t_class|Smoke::tf_ptr },	//177
    { "QObject*", 58, Smoke::t_class|Smoke::tf_ptr },	//178
    { "QObject*(*)()", 58, Smoke::t_class|Smoke::tf_ptr },	//179
    { "QPaintDevice::PaintDeviceMetric", 59, Smoke::t_enum|Smoke::tf_stack },	//180
    { "QPaintEngine*", 60, Smoke::t_class|Smoke::tf_ptr },	//181
    { "QPaintEngine::DirtyFlag", 60, Smoke::t_enum|Smoke::tf_stack },	//182
    { "QPaintEngine::PaintEngineFeature", 60, Smoke::t_enum|Smoke::tf_stack },	//183
    { "QPaintEvent*", 61, Smoke::t_class|Smoke::tf_ptr },	//184
    { "QPainter*", 62, Smoke::t_class|Smoke::tf_ptr },	//185
    { "QPainter::RenderHint", 62, Smoke::t_enum|Smoke::tf_stack },	//186
    { "QPainterPath", 63, Smoke::t_class|Smoke::tf_stack },	//187
    { "QPainterPath&", 63, Smoke::t_class|Smoke::tf_ref },	//188
    { "QPalette&", 64, Smoke::t_class|Smoke::tf_ref },	//189
    { "QPen&", 65, Smoke::t_class|Smoke::tf_ref },	//190
    { "QPicture&", 67, Smoke::t_class|Smoke::tf_ref },	//191
    { "QPixmap&", 68, Smoke::t_class|Smoke::tf_ref },	//192
    { "QPoint", 69, Smoke::t_class|Smoke::tf_stack },	//193
    { "QPoint&", 69, Smoke::t_class|Smoke::tf_ref },	//194
    { "QPointF", 70, Smoke::t_class|Smoke::tf_stack },	//195
    { "QPointF&", 70, Smoke::t_class|Smoke::tf_ref },	//196
    { "QPolygon", 71, Smoke::t_class|Smoke::tf_stack },	//197
    { "QPolygon&", 71, Smoke::t_class|Smoke::tf_ref },	//198
    { "QPolygonF", 72, Smoke::t_class|Smoke::tf_stack },	//199
    { "QPolygonF&", 72, Smoke::t_class|Smoke::tf_ref },	//200
    { "QQuaternion&", 73, Smoke::t_class|Smoke::tf_ref },	//201
    { "QRect", 74, Smoke::t_class|Smoke::tf_stack },	//202
    { "QRect&", 74, Smoke::t_class|Smoke::tf_ref },	//203
    { "QRectF", 75, Smoke::t_class|Smoke::tf_stack },	//204
    { "QRectF&", 75, Smoke::t_class|Smoke::tf_ref },	//205
    { "QRegExp&", 76, Smoke::t_class|Smoke::tf_ref },	//206
    { "QRegion", 77, Smoke::t_class|Smoke::tf_stack },	//207
    { "QRegion&", 77, Smoke::t_class|Smoke::tf_ref },	//208
    { "QResizeEvent*", 78, Smoke::t_class|Smoke::tf_ptr },	//209
    { "QShowEvent*", 79, Smoke::t_class|Smoke::tf_ptr },	//210
    { "QSize", 80, Smoke::t_class|Smoke::tf_stack },	//211
    { "QSize&", 80, Smoke::t_class|Smoke::tf_ref },	//212
    { "QSizeF&", 81, Smoke::t_class|Smoke::tf_ref },	//213
    { "QSizePolicy&", 82, Smoke::t_class|Smoke::tf_ref },	//214
    { "QSizePolicy::ControlType", 82, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QSplitter&", 83, Smoke::t_class|Smoke::tf_ref },	//216
    { "QStandardItem&", 84, Smoke::t_class|Smoke::tf_ref },	//217
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//218
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//219
    { "QString::Null", 85, Smoke::t_class|Smoke::tf_stack },	//220
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//222
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//223
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//224
    { "QStyle&", 87, Smoke::t_class|Smoke::tf_ref },	//225
    { "QStyle::StateFlag", 87, Smoke::t_enum|Smoke::tf_stack },	//226
    { "QStyle::SubControl", 87, Smoke::t_enum|Smoke::tf_stack },	//227
    { "QStyleOptionButton::ButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "QStyleOptionFrameV2::FrameFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "QStyleOptionQ3ListViewItem::Q3ListViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QStyleOptionTab::CornerWidget", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QStyleOptionToolBar::ToolBarFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QStyleOptionToolButton::ToolButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "QStyleOptionViewItemV2::ViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//234
    { "QSvgGenerator*", 90, Smoke::t_class|Smoke::tf_ptr },	//235
    { "QSvgRenderer*", 91, Smoke::t_class|Smoke::tf_ptr },	//236
    { "QSvgWidget*", 92, Smoke::t_class|Smoke::tf_ptr },	//237
    { "QTableWidgetItem&", 93, Smoke::t_class|Smoke::tf_ref },	//238
    { "QTabletEvent*", 94, Smoke::t_class|Smoke::tf_ptr },	//239
    { "QTextCodec*", 95, Smoke::t_class|Smoke::tf_ptr },	//240
    { "QTextCodec::ConversionFlag", 95, Smoke::t_enum|Smoke::tf_stack },	//241
    { "QTextDocument::FindFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//242
    { "QTextEdit::AutoFormattingFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//243
    { "QTextFormat&", 96, Smoke::t_class|Smoke::tf_ref },	//244
    { "QTextFormat::PageBreakFlag", 96, Smoke::t_enum|Smoke::tf_stack },	//245
    { "QTextItem::RenderFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//246
    { "QTextLength&", 97, Smoke::t_class|Smoke::tf_ref },	//247
    { "QTextOption::Flag", 0, Smoke::t_enum|Smoke::tf_stack },	//248
    { "QTextStream&", 98, Smoke::t_class|Smoke::tf_ref },	//249
    { "QTextStream&(*)(QTextStream&)", 98, Smoke::t_class|Smoke::tf_ref },	//250
    { "QTextStream::NumberFlag", 98, Smoke::t_enum|Smoke::tf_stack },	//251
    { "QTextStreamManipulator", 99, Smoke::t_class|Smoke::tf_stack },	//252
    { "QTime&", 101, Smoke::t_class|Smoke::tf_ref },	//253
    { "QTimerEvent*", 102, Smoke::t_class|Smoke::tf_ptr },	//254
    { "QTransform", 103, Smoke::t_class|Smoke::tf_stack },	//255
    { "QTransform&", 103, Smoke::t_class|Smoke::tf_ref },	//256
    { "QTreeWidgetItem&", 104, Smoke::t_class|Smoke::tf_ref },	//257
    { "QTreeWidgetItemIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "QUrl&", 105, Smoke::t_class|Smoke::tf_ref },	//259
    { "QUrl::FormattingOption", 105, Smoke::t_enum|Smoke::tf_stack },	//260
    { "QUuid&", 106, Smoke::t_class|Smoke::tf_ref },	//261
    { "QVariant", 107, Smoke::t_class|Smoke::tf_stack },	//262
    { "QVariant&", 107, Smoke::t_class|Smoke::tf_ref },	//263
    { "QVariant::Type", 107, Smoke::t_enum|Smoke::tf_stack },	//264
    { "QVariant::Type&", 107, Smoke::t_enum|Smoke::tf_ref },	//265
    { "QVector2D&", 109, Smoke::t_class|Smoke::tf_ref },	//266
    { "QVector3D", 110, Smoke::t_class|Smoke::tf_stack },	//267
    { "QVector3D&", 110, Smoke::t_class|Smoke::tf_ref },	//268
    { "QVector4D", 111, Smoke::t_class|Smoke::tf_stack },	//269
    { "QVector4D&", 111, Smoke::t_class|Smoke::tf_ref },	//270
    { "QWheelEvent*", 112, Smoke::t_class|Smoke::tf_ptr },	//271
    { "QWidget*", 113, Smoke::t_class|Smoke::tf_ptr },	//272
    { "QWidget::RenderFlag", 113, Smoke::t_enum|Smoke::tf_stack },	//273
    { "QWizard::WizardOption", 0, Smoke::t_enum|Smoke::tf_stack },	//274
    { "QXmlStreamReader*", 114, Smoke::t_class|Smoke::tf_ptr },	//275
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//276
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//277
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//278
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//279
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//280
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//281
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//282
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//283
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//284
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//285
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//286
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//287
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//288
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//289
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//290
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//291
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//292
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::HitTestAccuracy", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::WhiteSpaceMode", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "QtMsgType", 27, Smoke::t_enum|Smoke::tf_stack },	//351
    { "_LIB_VERSION_TYPE", 27, Smoke::t_enum|Smoke::tf_stack },	//352
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//353
    { "__codecvt_result", 27, Smoke::t_enum|Smoke::tf_stack },	//354
    { "__compar_fn_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//355
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//356
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//357
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//358
    { "const QBitArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//359
    { "const QBrush&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//360
    { "const QBrush*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//361
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//362
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//363
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//364
    { "const QColor&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//365
    { "const QCursor&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//366
    { "const QDate&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//367
    { "const QDateTime&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//368
    { "const QDir&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//369
    { "const QDrawPixmaps::Data*", 21, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//370
    { "const QEasingCurve&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//371
    { "const QEvent*", 24, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//372
    { "const QFont&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//373
    { "const QGraphicsItem*", 28, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//374
    { "const QHashDummyValue&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//375
    { "const QIcon&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//376
    { "const QImage&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//377
    { "const QItemSelectionRange&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//378
    { "const QKeySequence&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//379
    { "const QLatin1String&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//380
    { "const QLine&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//381
    { "const QLineF&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//382
    { "const QListWidgetItem&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//383
    { "const QLocale&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//384
    { "const QMargins&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const QMatrix&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//386
    { "const QMatrix4x4&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//387
    { "const QMetaObject&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//388
    { "const QMetaObject*", 54, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//389
    { "const QModelIndex&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//390
    { "const QObject*", 58, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//391
    { "const QPainterPath&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//392
    { "const QPalette&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//393
    { "const QPen&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const QPersistentModelIndex&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const QPicture&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const QPixmap&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//397
    { "const QPoint", 69, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//398
    { "const QPoint&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const QPointF", 70, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//400
    { "const QPointF&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const QPolygon&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const QPolygonF&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//403
    { "const QQuaternion", 73, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//404
    { "const QQuaternion&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const QRect&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//406
    { "const QRectF&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const QRegExp&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const QRegExp*", 76, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//409
    { "const QRegion&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const QSize", 80, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//411
    { "const QSize&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const QSizeF", 81, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//413
    { "const QSizeF&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const QSizePolicy&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const QSplitter&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const QStandardItem&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//418
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//420
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//421
    { "const QStringRef&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//422
    { "const QStyleOption&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const QStyleOption::OptionType&", 88, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//424
    { "const QStyleOptionGraphicsItem*", 89, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//425
    { "const QTableWidgetItem&", 93, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//426
    { "const QTextFormat&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//427
    { "const QTextLength&", 97, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const QTileRules&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const QTime&", 101, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//430
    { "const QTransform&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const QTreeWidgetItem&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const QUrl&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const QUuid&", 106, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const QVariant&", 107, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//435
    { "const QVariant::Type", 107, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//436
    { "const QVariantComparisonHelper&", 108, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//437
    { "const QVector2D", 109, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//438
    { "const QVector2D&", 109, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//439
    { "const QVector3D", 110, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//440
    { "const QVector3D&", 110, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const QVector4D", 111, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//442
    { "const QVector4D&", 111, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//443
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//444
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//445
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//446
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//447
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//448
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//449
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//450
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//451
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//452
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//453
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//454
    { "size_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//455
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//456
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//457
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//458
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//459
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//460
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//461
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//462
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//463
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//464
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//465
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//466
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//467
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    29, 449, 0,	//1  QDateTimeEdit::Section, int
    422, 422, 0,	//4  const QStringRef&, const QStringRef&
    460, 0,	//7  unsigned long long
    447, 0,	//9  double
    241, 449, 0,	//11  QTextCodec::ConversionFlag, int
    387, 387, 0,	//14  const QMatrix4x4&, const QMatrix4x4&
    307, 449, 0,	//17  Qt::ImageConversionFlag, int
    441, 441, 0,	//20  const QVector3D&, const QVector3D&
    439, 439, 0,	//23  const QVector2D&, const QVector2D&
    444, 458, 0,	//26  const char*, unsigned int
    465, 446, 455, 0,	//29  void*, const void*, size_t
    444, 380, 0,	//33  const char*, const QLatin1String&
    30, 73, 0,	//36  QDebug, QFlags<QIODevice::OpenModeFlag>
    26, 148, 0,	//39  QDataStream&, QIcon&
    401, 386, 0,	//42  const QPointF&, const QMatrix&
    182, 83, 0,	//45  QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>
    422, 419, 0,	//48  const QStringRef&, const QString&
    412, 412, 0,	//51  const QSize&, const QSize&
    26, 379, 0,	//54  QDataStream&, const QKeySequence&
    243, 243, 0,	//57  QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag
    444, 363, 0,	//60  const char*, const QByteArray&
    26, 217, 0,	//63  QDataStream&, QStandardItem&
    228, 228, 0,	//66  QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature
    172, 80, 0,	//69  QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>
    44, 62, 0,	//72  QFile::Permission, QFlags<QFile::Permission>
    419, 444, 0,	//75  const QString&, const char*
    26, 201, 0,	//78  QDataStream&, QQuaternion&
    401, 401, 0,	//81  const QPointF&, const QPointF&
    26, 403, 0,	//84  QDataStream&, const QPolygonF&
    447, 447, 0,	//87  double, double
    26, 213, 0,	//90  QDataStream&, QSizeF&
    363, 444, 0,	//93  const QByteArray&, const char*
    448, 0,	//96  float
    444, 0,	//98  const char*
    454, 0,	//100  signed char
    130, 449, 0,	//102  QGraphicsEffect::ChangeFlag, int
    419, 422, 0,	//105  const QString&, const QStringRef&
    45, 449, 0,	//108  QFileDialog::Option, int
    18, 0,	//111  QChar
    26, 410, 0,	//113  QDataStream&, const QRegion&
    174, 174, 0,	//116  QMessageBox::StandardButton, QMessageBox::StandardButton
    227, 89, 0,	//119  QStyle::SubControl, QFlags<QStyle::SubControl>
    387, 399, 0,	//122  const QMatrix4x4&, const QPoint&
    26, 428, 0,	//125  QDataStream&, const QTextLength&
    30, 360, 0,	//128  QDebug, const QBrush&
    128, 128, 0,	//131  QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag
    422, 380, 0,	//134  const QStringRef&, const QLatin1String&
    387, 443, 0,	//137  const QMatrix4x4&, const QVector4D&
    18, 18, 0,	//140  QChar, QChar
    30, 405, 0,	//143  QDebug, const QQuaternion&
    340, 340, 0,	//146  Qt::TouchPointState, Qt::TouchPointState
    387, 0,	//149  const QMatrix4x4&
    363, 0,	//151  const QByteArray&
    273, 449, 0,	//153  QWidget::RenderFlag, int
    387, 447, 0,	//156  const QMatrix4x4&, double
    26, 393, 0,	//159  QDataStream&, const QPalette&
    30, 433, 0,	//162  QDebug, const QUrl&
    26, 22, 0,	//165  QDataStream&, QColor&
    26, 238, 0,	//168  QDataStream&, QTableWidgetItem&
    167, 79, 0,	//171  QMainWindow::DockOption, QFlags<QMainWindow::DockOption>
    220, 419, 0,	//174  QString::Null, const QString&
    30, 134, 0,	//177  QDebug, QGraphicsItem::GraphicsItemFlag
    273, 106, 0,	//180  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    337, 337, 0,	//183  Qt::ToolBarArea, Qt::ToolBarArea
    444, 444, 0,	//186  const char*, const char*
    144, 449, 0,	//189  QGraphicsView::OptimizationFlag, int
    166, 166, 0,	//192  QLocale::NumberOption, QLocale::NumberOption
    348, 348, 0,	//195  Qt::WindowType, Qt::WindowType
    447, 414, 0,	//198  double, const QSizeF&
    405, 405, 0,	//201  const QQuaternion&, const QQuaternion&
    32, 449, 0,	//204  QDir::Filter, int
    227, 227, 0,	//207  QStyle::SubControl, QStyle::SubControl
    399, 399, 0,	//210  const QPoint&, const QPoint&
    26, 407, 0,	//213  QDataStream&, const QRectF&
    315, 449, 0,	//216  Qt::KeyboardModifier, int
    334, 119, 0,	//219  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    172, 449, 0,	//222  QMdiArea::AreaOption, int
    431, 447, 0,	//225  const QTransform&, double
    2, 47, 0,	//228  QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>
    357, 0,	//231  char
    274, 274, 0,	//233  QWizard::WizardOption, QWizard::WizardOption
    251, 103, 0,	//236  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    248, 449, 0,	//239  QTextOption::Flag, int
    30, 385, 0,	//242  QDebug, const QMargins&
    260, 449, 0,	//245  QUrl::FormattingOption, int
    44, 449, 0,	//248  QFile::Permission, int
    128, 66, 0,	//251  QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>
    399, 447, 0,	//254  const QPoint&, double
    185, 449, 449, 449, 449, 393, 356, 361, 0,	//257  QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*
    185, 449, 449, 449, 449, 393, 0,	//266  QPainter*, int, int, int, int, const QPalette&
    185, 449, 449, 449, 449, 393, 356, 0,	//273  QPainter*, int, int, int, int, const QPalette&, bool
    26, 431, 0,	//281  QDataStream&, const QTransform&
    34, 57, 0,	//284  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    419, 363, 0,	//287  const QString&, const QByteArray&
    414, 414, 0,	//290  const QSizeF&, const QSizeF&
    441, 387, 0,	//293  const QVector3D&, const QMatrix4x4&
    443, 443, 0,	//296  const QVector4D&, const QVector4D&
    30, 401, 0,	//299  QDebug, const QPointF&
    45, 63, 0,	//302  QFileDialog::Option, QFlags<QFileDialog::Option>
    26, 397, 0,	//305  QDataStream&, const QPixmap&
    315, 115, 0,	//308  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    274, 449, 0,	//311  QWizard::WizardOption, int
    30, 382, 0,	//314  QDebug, const QLineF&
    458, 0,	//317  unsigned int
    30, 368, 0,	//319  QDebug, const QDateTime&
    35, 58, 0,	//322  QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>
    444, 419, 0,	//325  const char*, const QString&
    449, 449, 449, 0,	//328  int, int, int
    143, 143, 0,	//332  QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag
    26, 396, 0,	//335  QDataStream&, const QPicture&
    260, 260, 0,	//338  QUrl::FormattingOption, QUrl::FormattingOption
    340, 121, 0,	//341  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    307, 307, 0,	//344  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    449, 0,	//347  int
    183, 449, 0,	//349  QPaintEngine::PaintEngineFeature, int
    2, 2, 0,	//352  QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger
    166, 449, 0,	//355  QLocale::NumberOption, int
    380, 380, 0,	//358  const QLatin1String&, const QLatin1String&
    445, 449, 0,	//361  const unsigned char*, int
    444, 444, 458, 0,	//364  const char*, const char*, unsigned int
    380, 422, 0,	//368  const QLatin1String&, const QStringRef&
    155, 157, 0,	//371  QKeyEvent*, QKeySequence::StandardKey
    230, 230, 0,	//374  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature
    249, 216, 0,	//377  QTextStream&, QSplitter&
    378, 0,	//380  const QItemSelectionRange&
    297, 297, 0,	//382  Qt::DropAction, Qt::DropAction
    186, 85, 0,	//385  QPainter::RenderHint, QFlags<QPainter::RenderHint>
    30, 399, 0,	//388  QDebug, const QPoint&
    26, 165, 0,	//391  QDataStream&, QLocale&
    419, 18, 0,	//394  const QString&, QChar
    220, 220, 0,	//397  QString::Null, QString::Null
    9, 50, 0,	//400  QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>
    445, 457, 449, 0,	//403  const unsigned char*, unsigned char*, int
    229, 91, 0,	//407  QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>
    241, 241, 0,	//410  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    322, 322, 0,	//413  Qt::Orientation, Qt::Orientation
    465, 455, 455, 455, 0,	//416  void*, size_t, size_t, size_t
    26, 189, 0,	//421  QDataStream&, QPalette&
    26, 366, 0,	//424  QDataStream&, const QCursor&
    363, 419, 0,	//427  const QByteArray&, const QString&
    337, 120, 0,	//430  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    243, 99, 0,	//433  QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>
    406, 406, 0,	//436  const QRect&, const QRect&
    43, 61, 0,	//439  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    359, 359, 0,	//442  const QBitArray&, const QBitArray&
    363, 363, 0,	//445  const QByteArray&, const QByteArray&
    174, 82, 0,	//448  QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>
    465, 455, 0,	//451  void*, size_t
    419, 0,	//454  const QString&
    26, 386, 0,	//456  QDataStream&, const QMatrix&
    26, 384, 0,	//459  QDataStream&, const QLocale&
    30, 371, 0,	//462  QDebug, const QEasingCurve&
    464, 0,	//465  void(*)(QtMsgType,const char*)
    3, 449, 0,	//467  QAbstractPrintDialog::PrintDialogOption, int
    390, 0,	//470  const QModelIndex&
    29, 29, 0,	//472  QDateTimeEdit::Section, QDateTimeEdit::Section
    234, 96, 0,	//475  QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>
    26, 28, 0,	//478  QDataStream&, QDateTime&
    30, 372, 0,	//481  QDebug, const QEvent*
    14, 14, 0,	//484  QBool, QBool
    130, 130, 0,	//487  QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag
    444, 422, 0,	//490  const char*, const QStringRef&
    126, 449, 0,	//493  QFontComboBox::FontFilter, int
    337, 449, 0,	//496  Qt::ToolBarArea, int
    128, 449, 0,	//499  QGestureRecognizer::ResultFlag, int
    150, 150, 0,	//502  QImageIOPlugin::Capability, QImageIOPlugin::Capability
    26, 190, 0,	//505  QDataStream&, QPen&
    381, 431, 0,	//508  const QLine&, const QTransform&
    30, 403, 0,	//511  QDebug, const QPolygonF&
    309, 449, 0,	//514  Qt::InputMethodHint, int
    18, 419, 0,	//517  QChar, const QString&
    231, 93, 0,	//520  QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>
    221, 449, 0,	//523  QString::SectionFlag, int
    129, 67, 0,	//526  QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>
    158, 449, 0,	//529  QLibrary::LoadHint, int
    30, 133, 0,	//532  QDebug, QGraphicsItem::GraphicsItemChange
    26, 259, 0,	//535  QDataStream&, QUrl&
    444, 444, 449, 0,	//538  const char*, const char*, int
    452, 0,	//542  long long
    405, 0,	//544  const QQuaternion&
    419, 220, 0,	//546  const QString&, QString::Null
    127, 127, 0,	//549  QFontDialog::FontDialogOption, QFontDialog::FontDialogOption
    431, 431, 0,	//552  const QTransform&, const QTransform&
    167, 449, 0,	//555  QMainWindow::DockOption, int
    26, 15, 0,	//558  QDataStream&, QBrush&
    1, 449, 0,	//561  QAbstractFileEngine::FileFlag, int
    241, 97, 0,	//564  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    419, 357, 0,	//567  const QString&, char
    392, 386, 0,	//570  const QPainterPath&, const QMatrix&
    309, 113, 0,	//573  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    167, 167, 0,	//576  QMainWindow::DockOption, QMainWindow::DockOption
    274, 107, 0,	//579  QWizard::WizardOption, QFlags<QWizard::WizardOption>
    26, 214, 0,	//582  QDataStream&, QSizePolicy&
    348, 123, 0,	//585  Qt::WindowType, QFlags<Qt::WindowType>
    185, 449, 449, 449, 449, 365, 449, 361, 0,	//588  QPainter*, int, int, int, int, const QColor&, int, const QBrush*
    185, 449, 449, 449, 449, 365, 0,	//597  QPainter*, int, int, int, int, const QColor&
    185, 449, 449, 449, 449, 365, 449, 0,	//604  QPainter*, int, int, int, int, const QColor&, int
    405, 447, 0,	//612  const QQuaternion&, double
    320, 320, 0,	//615  Qt::MouseButton, Qt::MouseButton
    358, 444, 0,	//618  char*, const char*
    410, 386, 0,	//621  const QRegion&, const QMatrix&
    276, 276, 0,	//624  Qt::AlignmentFlag, Qt::AlignmentFlag
    399, 0,	//627  const QPoint&
    297, 449, 0,	//629  Qt::DropAction, int
    26, 430, 0,	//632  QDataStream&, const QTime&
    33, 449, 0,	//635  QDir::SortFlag, int
    385, 385, 0,	//638  const QMargins&, const QMargins&
    185, 406, 393, 356, 449, 449, 361, 0,	//641  QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*
    185, 406, 393, 0,	//649  QPainter*, const QRect&, const QPalette&
    185, 406, 393, 356, 0,	//653  QPainter*, const QRect&, const QPalette&, bool
    185, 406, 393, 356, 449, 0,	//658  QPainter*, const QRect&, const QPalette&, bool, int
    185, 406, 393, 356, 449, 449, 0,	//664  QPainter*, const QRect&, const QPalette&, bool, int, int
    26, 392, 0,	//671  QDataStream&, const QPainterPath&
    443, 387, 0,	//674  const QVector4D&, const QMatrix4x4&
    242, 449, 0,	//677  QTextDocument::FindFlag, int
    179, 0,	//680  QObject*(*)()
    30, 378, 0,	//682  QDebug, const QItemSelectionRange&
    30, 379, 0,	//685  QDebug, const QKeySequence&
    35, 35, 0,	//688  QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature
    185, 406, 385, 397, 0,	//691  QPainter*, const QRect&, const QMargins&, const QPixmap&
    443, 447, 0,	//696  const QVector4D&, double
    249, 416, 0,	//699  QTextStream&, const QSplitter&
    318, 318, 0,	//702  Qt::MatchFlag, Qt::MatchFlag
    455, 0,	//705  size_t
    295, 109, 0,	//707  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    26, 223, 0,	//710  QDataStream&, QStringList&
    232, 232, 0,	//713  QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature
    154, 76, 0,	//716  QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>
    26, 441, 0,	//719  QDataStream&, const QVector3D&
    30, 436, 0,	//722  QDebug, const QVariant::Type
    295, 449, 0,	//725  Qt::DockWidgetArea, int
    246, 101, 0,	//728  QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>
    26, 439, 0,	//731  QDataStream&, const QVector2D&
    26, 360, 0,	//734  QDataStream&, const QBrush&
    185, 406, 393, 356, 361, 0,	//737  QPainter*, const QRect&, const QPalette&, bool, const QBrush*
    173, 449, 0,	//743  QMdiSubWindow::SubWindowOption, int
    450, 0,	//746  long
    26, 432, 0,	//748  QDataStream&, const QTreeWidgetItem&
    461, 0,	//751  unsigned short
    245, 245, 0,	//753  QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag
    26, 162, 0,	//756  QDataStream&, QLineF&
    182, 182, 0,	//759  QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag
    26, 377, 0,	//762  QDataStream&, const QImage&
    44, 44, 0,	//765  QFile::Permission, QFile::Permission
    152, 75, 0,	//768  QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>
    185, 406, 393, 356, 449, 361, 0,	//771  QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*
    357, 419, 0,	//778  char, const QString&
    26, 212, 0,	//781  QDataStream&, QSize&
    26, 156, 0,	//784  QDataStream&, QKeySequence&
    231, 231, 0,	//787  QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget
    31, 449, 0,	//790  QDialogButtonBox::StandardButton, int
    245, 100, 0,	//793  QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>
    395, 0,	//796  const QPersistentModelIndex&
    30, 410, 0,	//798  QDebug, const QRegion&
    26, 443, 0,	//801  QDataStream&, const QVector4D&
    26, 376, 0,	//804  QDataStream&, const QIcon&
    26, 419, 0,	//807  QDataStream&, const QString&
    26, 368, 0,	//810  QDataStream&, const QDateTime&
    26, 268, 0,	//813  QDataStream&, QVector3D&
    391, 419, 388, 0,	//816  const QObject*, const QString&, const QMetaObject&
    185, 449, 449, 449, 449, 393, 356, 449, 361, 0,	//820  QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*
    185, 449, 449, 449, 449, 393, 356, 449, 0,	//830  QPainter*, int, int, int, int, const QPalette&, bool, int
    221, 221, 0,	//839  QString::SectionFlag, QString::SectionFlag
    26, 266, 0,	//842  QDataStream&, QVector2D&
    174, 449, 0,	//845  QMessageBox::StandardButton, int
    439, 447, 0,	//848  const QVector2D&, double
    229, 229, 0,	//851  QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature
    401, 447, 0,	//854  const QPointF&, double
    356, 14, 0,	//857  bool, QBool
    144, 144, 0,	//860  QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag
    441, 447, 0,	//863  const QVector3D&, double
    152, 152, 0,	//866  QInputDialog::InputDialogOption, QInputDialog::InputDialogOption
    154, 154, 0,	//869  QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag
    358, 444, 458, 0,	//872  char*, const char*, unsigned int
    447, 439, 0,	//876  double, const QVector2D&
    443, 0,	//879  const QVector4D&
    258, 104, 0,	//881  QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>
    26, 171, 0,	//884  QDataStream&, QMatrix4x4&
    232, 94, 0,	//887  QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>
    243, 449, 0,	//890  QTextEdit::AutoFormattingFlag, int
    231, 449, 0,	//893  QStyleOptionTab::CornerWidget, int
    26, 399, 0,	//896  QDataStream&, const QPoint&
    26, 263, 0,	//899  QDataStream&, QVariant&
    401, 387, 0,	//902  const QPointF&, const QMatrix4x4&
    320, 449, 0,	//905  Qt::MouseButton, int
    26, 149, 0,	//908  QDataStream&, QImage&
    401, 0,	//911  const QPointF&
    30, 423, 0,	//913  QDebug, const QStyleOption&
    3, 48, 0,	//916  QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>
    26, 191, 0,	//919  QDataStream&, QPicture&
    23, 449, 0,	//922  QColorDialog::ColorDialogOption, int
    30, 395, 0,	//925  QDebug, const QPersistentModelIndex&
    403, 386, 0,	//928  const QPolygonF&, const QMatrix&
    26, 270, 0,	//931  QDataStream&, QVector4D&
    23, 23, 0,	//934  QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption
    444, 444, 444, 449, 0,	//937  const char*, const char*, const char*, int
    45, 45, 0,	//942  QFileDialog::Option, QFileDialog::Option
    248, 248, 0,	//945  QTextOption::Flag, QTextOption::Flag
    322, 118, 0,	//948  Qt::Orientation, QFlags<Qt::Orientation>
    26, 387, 0,	//951  QDataStream&, const QMatrix4x4&
    386, 386, 0,	//954  const QMatrix&, const QMatrix&
    43, 449, 0,	//957  QEventLoop::ProcessEventsFlag, int
    407, 407, 0,	//960  const QRectF&, const QRectF&
    465, 455, 455, 355, 0,	//963  void*, size_t, size_t, __compar_fn_t
    449, 449, 449, 449, 0,	//968  int, int, int, int
    26, 256, 0,	//973  QDataStream&, QTransform&
    30, 135, 0,	//976  QDebug, QGraphicsObject*
    26, 417, 0,	//979  QDataStream&, const QStandardItem&
    307, 112, 0,	//982  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    447, 443, 0,	//985  double, const QVector4D&
    9, 449, 0,	//988  QAccessible::RelationFlag, int
    173, 81, 0,	//991  QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>
    185, 370, 449, 397, 60, 0,	//994  QPainter*, const QDrawPixmaps::Data*, int, const QPixmap&, QFlags<QDrawPixmaps::DrawingHint>
    185, 370, 449, 397, 0,	//1000  QPainter*, const QDrawPixmaps::Data*, int, const QPixmap&
    26, 420, 0,	//1005  QDataStream&, const QStringList&
    30, 387, 0,	//1008  QDebug, const QMatrix4x4&
    363, 357, 0,	//1011  const QByteArray&, char
    34, 34, 0,	//1014  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    32, 55, 0,	//1017  QDir::Filter, QFlags<QDir::Filter>
    26, 194, 0,	//1020  QDataStream&, QPoint&
    414, 447, 0,	//1023  const QSizeF&, double
    26, 367, 0,	//1026  QDataStream&, const QDate&
    234, 449, 0,	//1029  QStyleOptionViewItemV2::ViewItemFeature, int
    463, 0,	//1032  void(*)()
    445, 449, 449, 0,	//1034  const unsigned char*, int, int
    215, 215, 0,	//1038  QSizePolicy::ControlType, QSizePolicy::ControlType
    26, 381, 0,	//1041  QDataStream&, const QLine&
    26, 169, 0,	//1044  QDataStream&, QMatrix&
    31, 31, 0,	//1047  QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton
    26, 219, 0,	//1050  QDataStream&, QString&
    226, 226, 0,	//1053  QStyle::StateFlag, QStyle::StateFlag
    26, 383, 0,	//1056  QDataStream&, const QListWidgetItem&
    229, 449, 0,	//1059  QStyleOptionFrameV2::FrameFeature, int
    465, 0,	//1062  void*
    30, 69, 0,	//1064  QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>
    382, 386, 0,	//1067  const QLineF&, const QMatrix&
    26, 427, 0,	//1070  QDataStream&, const QTextFormat&
    312, 449, 0,	//1073  Qt::ItemFlag, int
    26, 257, 0,	//1076  QDataStream&, QTreeWidgetItem&
    30, 369, 0,	//1079  QDebug, const QDir&
    249, 250, 0,	//1082  QTextStream&, QTextStream&(*)(QTextStream&)
    30, 394, 0,	//1085  QDebug, const QPen&
    447, 405, 0,	//1088  double, const QQuaternion&
    30, 390, 0,	//1091  QDebug, const QModelIndex&
    134, 69, 0,	//1094  QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>
    30, 441, 0,	//1097  QDebug, const QVector3D&
    246, 246, 0,	//1100  QTextItem::RenderFlag, QTextItem::RenderFlag
    43, 43, 0,	//1103  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    359, 0,	//1106  const QBitArray&
    30, 439, 0,	//1108  QDebug, const QVector2D&
    150, 74, 0,	//1111  QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>
    30, 430, 0,	//1114  QDebug, const QTime&
    249, 252, 0,	//1117  QTextStream&, QTextStreamManipulator
    30, 443, 0,	//1120  QDebug, const QVector4D&
    26, 244, 0,	//1123  QDataStream&, QTextFormat&
    302, 111, 0,	//1126  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    422, 444, 0,	//1129  const QStringRef&, const char*
    233, 449, 0,	//1132  QStyleOptionToolButton::ToolButtonFeature, int
    215, 86, 0,	//1135  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    273, 273, 0,	//1138  QWidget::RenderFlag, QWidget::RenderFlag
    26, 13, 0,	//1141  QDataStream&, QBitArray&
    26, 198, 0,	//1144  QDataStream&, QPolygon&
    26, 208, 0,	//1147  QDataStream&, QRegion&
    4, 4, 0,	//1150  QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag
    26, 415, 0,	//1153  QDataStream&, const QSizePolicy&
    233, 233, 0,	//1156  QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature
    35, 449, 0,	//1159  QDockWidget::DockWidgetFeature, int
    455, 455, 0,	//1162  size_t, size_t
    136, 70, 0,	//1165  QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>
    399, 431, 0,	//1168  const QPoint&, const QTransform&
    30, 414, 0,	//1171  QDebug, const QSizeF&
    302, 449, 0,	//1174  Qt::GestureFlag, int
    357, 363, 0,	//1177  char, const QByteArray&
    226, 449, 0,	//1180  QStyle::StateFlag, int
    26, 435, 0,	//1183  QDataStream&, const QVariant&
    233, 95, 0,	//1186  QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>
    30, 435, 0,	//1189  QDebug, const QVariant&
    10, 10, 0,	//1192  QAccessible::StateFlag, QAccessible::StateFlag
    186, 186, 0,	//1195  QPainter::RenderHint, QPainter::RenderHint
    347, 449, 0,	//1198  Qt::WindowState, int
    26, 253, 0,	//1201  QDataStream&, QTime&
    26, 192, 0,	//1204  QDataStream&, QPixmap&
    29, 53, 0,	//1207  QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>
    248, 102, 0,	//1210  QTextOption::Flag, QFlags<QTextOption::Flag>
    30, 55, 0,	//1213  QDebug, QFlags<QDir::Filter>
    315, 315, 0,	//1216  Qt::KeyboardModifier, Qt::KeyboardModifier
    447, 401, 0,	//1219  double, const QPointF&
    297, 110, 0,	//1222  Qt::DropAction, QFlags<Qt::DropAction>
    410, 431, 0,	//1225  const QRegion&, const QTransform&
    412, 447, 0,	//1228  const QSize&, double
    30, 367, 0,	//1231  QDebug, const QDate&
    392, 431, 0,	//1234  const QPainterPath&, const QTransform&
    10, 51, 0,	//1237  QAccessible::StateFlag, QFlags<QAccessible::StateFlag>
    32, 32, 0,	//1240  QDir::Filter, QDir::Filter
    358, 455, 444, 462, 0,	//1243  char*, size_t, const char*, va_list
    447, 399, 0,	//1248  double, const QPoint&
    403, 431, 0,	//1251  const QPolygonF&, const QTransform&
    465, 449, 455, 0,	//1254  void*, int, size_t
    26, 382, 0,	//1258  QDataStream&, const QLineF&
    444, 449, 0,	//1261  const char*, int
    453, 0,	//1264  short
    173, 173, 0,	//1266  QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption
    147, 147, 0,	//1269  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    295, 295, 0,	//1272  Qt::DockWidgetArea, Qt::DockWidgetArea
    33, 56, 0,	//1275  QDir::SortFlag, QFlags<QDir::SortFlag>
    448, 448, 0,	//1278  float, float
    435, 437, 0,	//1281  const QVariant&, const QVariantComparisonHelper&
    152, 449, 0,	//1284  QInputDialog::InputDialogOption, int
    158, 158, 0,	//1287  QLibrary::LoadHint, QLibrary::LoadHint
    451, 449, 358, 0,	//1290  long double, int, char*
    258, 258, 0,	//1294  QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag
    230, 92, 0,	//1297  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>
    144, 72, 0,	//1300  QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>
    34, 449, 0,	//1303  QDirIterator::IteratorFlag, int
    309, 309, 0,	//1306  Qt::InputMethodHint, Qt::InputMethodHint
    136, 449, 0,	//1309  QGraphicsScene::SceneLayer, int
    26, 394, 0,	//1312  QDataStream&, const QPen&
    183, 183, 0,	//1315  QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature
    26, 188, 0,	//1318  QDataStream&, QPainterPath&
    30, 381, 0,	//1321  QDebug, const QLine&
    334, 334, 0,	//1324  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    185, 449, 449, 449, 449, 393, 356, 449, 449, 361, 0,	//1327  QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*
    185, 449, 449, 449, 449, 393, 356, 449, 449, 0,	//1338  QPainter*, int, int, int, int, const QPalette&, bool, int, int
    340, 449, 0,	//1348  Qt::TouchPointState, int
    26, 247, 0,	//1351  QDataStream&, QTextLength&
    30, 431, 0,	//1354  QDebug, const QTransform&
    258, 449, 0,	//1357  QTreeWidgetItemIterator::IteratorFlag, int
    363, 449, 0,	//1360  const QByteArray&, int
    30, 402, 0,	//1363  QDebug, const QPolygon&
    260, 105, 0,	//1366  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    4, 449, 0,	//1369  QAbstractSpinBox::StepEnabledFlag, int
    215, 449, 0,	//1372  QSizePolicy::ControlType, int
    136, 136, 0,	//1375  QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer
    334, 449, 0,	//1378  Qt::TextInteractionFlag, int
    347, 347, 0,	//1381  Qt::WindowState, Qt::WindowState
    245, 449, 0,	//1384  QTextFormat::PageBreakFlag, int
    439, 0,	//1387  const QVector2D&
    1, 46, 0,	//1389  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    26, 365, 0,	//1392  QDataStream&, const QColor&
    447, 387, 0,	//1395  double, const QMatrix4x4&
    26, 363, 0,	//1398  QDataStream&, const QByteArray&
    9, 9, 0,	//1401  QAccessible::RelationFlag, QAccessible::RelationFlag
    381, 386, 0,	//1404  const QLine&, const QMatrix&
    26, 433, 0,	//1407  QDataStream&, const QUrl&
    30, 406, 0,	//1410  QDebug, const QRect&
    30, 373, 0,	//1413  QDebug, const QFont&
    33, 33, 0,	//1416  QDir::SortFlag, QDir::SortFlag
    23, 52, 0,	//1419  QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>
    143, 449, 0,	//1422  QGraphicsView::CacheModeFlag, int
    251, 449, 0,	//1425  QTextStream::NumberFlag, int
    26, 203, 0,	//1428  QDataStream&, QRect&
    172, 172, 0,	//1431  QMdiArea::AreaOption, QMdiArea::AreaOption
    26, 412, 0,	//1434  QDataStream&, const QSize&
    26, 364, 0,	//1437  QDataStream&, const QChar&
    126, 64, 0,	//1440  QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>
    157, 155, 0,	//1443  QKeySequence::StandardKey, QKeyEvent*
    127, 65, 0,	//1446  QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>
    226, 88, 0,	//1449  QStyle::StateFlag, QFlags<QStyle::StateFlag>
    276, 449, 0,	//1452  Qt::AlignmentFlag, int
    26, 164, 0,	//1455  QDataStream&, QListWidgetItem&
    26, 408, 0,	//1458  QDataStream&, const QRegExp&
    150, 449, 0,	//1461  QImageIOPlugin::Capability, int
    242, 98, 0,	//1464  QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>
    441, 0,	//1467  const QVector3D&
    30, 407, 0,	//1469  QDebug, const QRectF&
    347, 122, 0,	//1472  Qt::WindowState, QFlags<Qt::WindowState>
    130, 68, 0,	//1475  QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>
    312, 312, 0,	//1478  Qt::ItemFlag, Qt::ItemFlag
    26, 261, 0,	//1481  QDataStream&, QUuid&
    26, 125, 0,	//1484  QDataStream&, QFont&
    185, 406, 365, 449, 361, 0,	//1487  QPainter*, const QRect&, const QColor&, int, const QBrush*
    185, 406, 365, 0,	//1493  QPainter*, const QRect&, const QColor&
    185, 406, 365, 449, 0,	//1497  QPainter*, const QRect&, const QColor&, int
    26, 200, 0,	//1502  QDataStream&, QPolygonF&
    134, 134, 0,	//1505  QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag
    232, 449, 0,	//1508  QStyleOptionToolBar::ToolBarFeature, int
    26, 265, 0,	//1511  QDataStream&, QVariant::Type&
    186, 449, 0,	//1514  QPainter::RenderHint, int
    435, 264, 465, 0,	//1517  const QVariant&, QVariant::Type, void*
    30, 88, 0,	//1521  QDebug, QFlags<QStyle::StateFlag>
    2, 449, 0,	//1524  QAbstractItemView::EditTrigger, int
    399, 387, 0,	//1527  const QPoint&, const QMatrix4x4&
    399, 386, 0,	//1530  const QPoint&, const QMatrix&
    3, 3, 0,	//1533  QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption
    391, 419, 409, 388, 163, 0,	//1536  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    375, 375, 0,	//1542  const QHashDummyValue&, const QHashDummyValue&
    26, 196, 0,	//1545  QDataStream&, QPointF&
    322, 449, 0,	//1548  Qt::Orientation, int
    234, 234, 0,	//1551  QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature
    387, 441, 0,	//1554  const QMatrix4x4&, const QVector3D&
    26, 426, 0,	//1557  QDataStream&, const QTableWidgetItem&
    30, 131, 0,	//1560  QDebug, QGraphicsItem*
    185, 399, 399, 393, 356, 449, 449, 0,	//1563  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int
    185, 399, 399, 393, 0,	//1571  QPainter*, const QPoint&, const QPoint&, const QPalette&
    185, 399, 399, 393, 356, 0,	//1576  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool
    185, 399, 399, 393, 356, 449, 0,	//1582  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int
    302, 302, 0,	//1589  Qt::GestureFlag, Qt::GestureFlag
    147, 73, 0,	//1592  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    387, 401, 0,	//1595  const QMatrix4x4&, const QPointF&
    129, 449, 0,	//1598  QGraphicsBlurEffect::BlurHint, int
    183, 84, 0,	//1601  QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>
    26, 373, 0,	//1604  QDataStream&, const QFont&
    129, 129, 0,	//1607  QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint
    402, 431, 0,	//1610  const QPolygon&, const QTransform&
    182, 449, 0,	//1613  QPaintEngine::DirtyFlag, int
    447, 412, 0,	//1616  double, const QSize&
    154, 449, 0,	//1619  QItemSelectionModel::SelectionFlag, int
    14, 356, 0,	//1622  QBool, bool
    31, 54, 0,	//1625  QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>
    26, 160, 0,	//1628  QDataStream&, QLine&
    30, 412, 0,	//1631  QDebug, const QSize&
    227, 449, 0,	//1634  QStyle::SubControl, int
    251, 251, 0,	//1637  QTextStream::NumberFlag, QTextStream::NumberFlag
    382, 431, 0,	//1640  const QLineF&, const QTransform&
    127, 449, 0,	//1643  QFontDialog::FontDialogOption, int
    320, 117, 0,	//1646  Qt::MouseButton, QFlags<Qt::MouseButton>
    26, 436, 0,	//1649  QDataStream&, const QVariant::Type
    242, 242, 0,	//1652  QTextDocument::FindFlag, QTextDocument::FindFlag
    230, 449, 0,	//1655  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int
    312, 114, 0,	//1658  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    401, 431, 0,	//1661  const QPointF&, const QTransform&
    30, 365, 0,	//1664  QDebug, const QColor&
    30, 386, 0,	//1667  QDebug, const QMatrix&
    26, 434, 0,	//1670  QDataStream&, const QUuid&
    158, 77, 0,	//1673  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    348, 449, 0,	//1676  Qt::WindowType, int
    228, 449, 0,	//1679  QStyleOptionButton::ButtonFeature, int
    26, 205, 0,	//1682  QDataStream&, QRectF&
    228, 90, 0,	//1685  QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>
    143, 71, 0,	//1688  QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>
    26, 25, 0,	//1691  QDataStream&, QCursor&
    134, 449, 0,	//1694  QGraphicsItem::GraphicsItemFlag, int
    26, 406, 0,	//1697  QDataStream&, const QRect&
    318, 116, 0,	//1700  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    276, 108, 0,	//1703  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    26, 19, 0,	//1706  QDataStream&, QChar&
    26, 206, 0,	//1709  QDataStream&, QRegExp&
    459, 0,	//1712  unsigned long
    26, 405, 0,	//1714  QDataStream&, const QQuaternion&
    10, 449, 0,	//1717  QAccessible::StateFlag, int
    26, 401, 0,	//1720  QDataStream&, const QPointF&
    26, 414, 0,	//1723  QDataStream&, const QSizeF&
    166, 78, 0,	//1726  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    246, 449, 0,	//1729  QTextItem::RenderFlag, int
    185, 406, 385, 397, 406, 385, 429, 59, 0,	//1732  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>
    185, 406, 385, 397, 406, 385, 0,	//1741  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&
    185, 406, 385, 397, 406, 385, 429, 0,	//1748  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&
    221, 87, 0,	//1756  QString::SectionFlag, QFlags<QString::SectionFlag>
    419, 419, 0,	//1759  const QString&, const QString&
    1, 1, 0,	//1762  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    351, 444, 0,	//1765  QtMsgType, const char*
    30, 392, 0,	//1768  QDebug, const QPainterPath&
    447, 441, 0,	//1771  double, const QVector3D&
    422, 0,	//1774  const QStringRef&
    147, 449, 0,	//1776  QIODevice::OpenModeFlag, int
    4, 49, 0,	//1779  QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>
    456, 0,	//1782  unsigned char
    26, 17, 0,	//1784  QDataStream&, QByteArray&
    126, 126, 0,	//1787  QFontComboBox::FontFilter, QFontComboBox::FontFilter
    402, 386, 0,	//1790  const QPolygon&, const QMatrix&
    30, 424, 0,	//1793  QDebug, const QStyleOption::OptionType&
    30, 391, 0,	//1796  QDebug, const QObject*
    318, 449, 0,	//1799  Qt::MatchFlag, int
    26, 402, 0,	//1802  QDataStream&, const QPolygon&
    26, 27, 0,	//1805  QDataStream&, QDate&
    26, 359, 0,	//1808  QDataStream&, const QBitArray&
    374, 313, 0,	//1811  const QGraphicsItem*, Qt::ItemSelectionMode
    392, 313, 0,	//1814  const QPainterPath&, Qt::ItemSelectionMode
    374, 0,	//1817  const QGraphicsItem*
    131, 42, 0,	//1819  QGraphicsItem*, QEvent*
    42, 0,	//1822  QEvent*
    137, 0,	//1824  QGraphicsSceneContextMenuEvent*
    138, 0,	//1826  QGraphicsSceneDragDropEvent*
    124, 0,	//1828  QFocusEvent*
    139, 0,	//1830  QGraphicsSceneHoverEvent*
    155, 0,	//1832  QKeyEvent*
    140, 0,	//1834  QGraphicsSceneMouseEvent*
    141, 0,	//1836  QGraphicsSceneWheelEvent*
    153, 0,	//1838  QInputMethodEvent*
    310, 0,	//1840  Qt::InputMethodQuery
    133, 435, 0,	//1842  QGraphicsItem::GraphicsItemChange, const QVariant&
    132, 0,	//1845  QGraphicsItem::Extension
    132, 435, 0,	//1847  QGraphicsItem::Extension, const QVariant&
    435, 0,	//1850  const QVariant&
    175, 449, 466, 0,	//1852  QMetaObject::Call, int, void**
    131, 0,	//1856  QGraphicsItem*
    419, 131, 0,	//1858  const QString&, QGraphicsItem*
    236, 0,	//1861  QSvgRenderer*
    356, 0,	//1863  bool
    412, 0,	//1865  const QSize&
    185, 425, 272, 0,	//1867  QPainter*, const QStyleOptionGraphicsItem*, QWidget*
    185, 425, 0,	//1871  QPainter*, const QStyleOptionGraphicsItem*
    178, 42, 0,	//1874  QObject*, QEvent*
    254, 0,	//1877  QTimerEvent*
    20, 0,	//1879  QChildEvent*
    406, 0,	//1881  const QRect&
    407, 0,	//1883  const QRectF&
    146, 0,	//1885  QIODevice*
    180, 0,	//1887  QPaintDevice::PaintDeviceMetric
    178, 0,	//1889  QObject*
    419, 178, 0,	//1891  const QString&, QObject*
    363, 178, 0,	//1894  const QByteArray&, QObject*
    275, 178, 0,	//1897  QXmlStreamReader*, QObject*
    275, 0,	//1900  QXmlStreamReader*
    185, 0,	//1902  QPainter*
    185, 407, 0,	//1904  QPainter*, const QRectF&
    185, 419, 407, 0,	//1907  QPainter*, const QString&, const QRectF&
    185, 419, 0,	//1911  QPainter*, const QString&
    272, 0,	//1914  QWidget*
    419, 272, 0,	//1916  const QString&, QWidget*
    184, 0,	//1919  QPaintEvent*
    176, 0,	//1921  QMouseEvent*
    271, 0,	//1923  QWheelEvent*
    177, 0,	//1925  QMoveEvent*
    209, 0,	//1927  QResizeEvent*
    21, 0,	//1929  QCloseEvent*
    24, 0,	//1931  QContextMenuEvent*
    239, 0,	//1933  QTabletEvent*
    11, 0,	//1935  QActionEvent*
    36, 0,	//1937  QDragEnterEvent*
    38, 0,	//1939  QDragMoveEvent*
    37, 0,	//1941  QDragLeaveEvent*
    41, 0,	//1943  QDropEvent*
    210, 0,	//1945  QShowEvent*
    145, 0,	//1947  QHideEvent*
    353, 0,	//1949  _XEvent*
    225, 0,	//1951  QStyle&
    393, 0,	//1953  const QPalette&
    373, 0,	//1955  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "DeviceCoordinateCache",	//1
    "DrawChildren",	//2
    "DrawWindowBackground",	//3
    "IgnoreMask",	//4
    "ItemAcceptsInputMethod",	//5
    "ItemChildAddedChange",	//6
    "ItemChildRemovedChange",	//7
    "ItemClipsChildrenToShape",	//8
    "ItemClipsToShape",	//9
    "ItemCoordinateCache",	//10
    "ItemCursorChange",	//11
    "ItemCursorHasChanged",	//12
    "ItemDoesntPropagateOpacityToChildren",	//13
    "ItemEnabledChange",	//14
    "ItemEnabledHasChanged",	//15
    "ItemFlagsChange",	//16
    "ItemFlagsHaveChanged",	//17
    "ItemHasNoContents",	//18
    "ItemIgnoresParentOpacity",	//19
    "ItemIgnoresTransformations",	//20
    "ItemIsFocusScope",	//21
    "ItemIsFocusable",	//22
    "ItemIsMovable",	//23
    "ItemIsPanel",	//24
    "ItemIsSelectable",	//25
    "ItemMatrixChange",	//26
    "ItemNegativeZStacksBehindParent",	//27
    "ItemOpacityChange",	//28
    "ItemOpacityHasChanged",	//29
    "ItemParentChange",	//30
    "ItemParentHasChanged",	//31
    "ItemPositionChange",	//32
    "ItemPositionHasChanged",	//33
    "ItemSceneChange",	//34
    "ItemSceneHasChanged",	//35
    "ItemScenePositionHasChanged",	//36
    "ItemSelectedChange",	//37
    "ItemSelectedHasChanged",	//38
    "ItemSendsGeometryChanges",	//39
    "ItemSendsScenePositionChanges",	//40
    "ItemStacksBehindParent",	//41
    "ItemToolTipChange",	//42
    "ItemToolTipHasChanged",	//43
    "ItemTransformChange",	//44
    "ItemTransformHasChanged",	//45
    "ItemUsesExtendedStyleOption",	//46
    "ItemVisibleChange",	//47
    "ItemVisibleHasChanged",	//48
    "ItemZValueChange",	//49
    "ItemZValueHasChanged",	//50
    "NoCache",	//51
    "NonModal",	//52
    "PanelModal",	//53
    "PdmDepth",	//54
    "PdmDpiX",	//55
    "PdmDpiY",	//56
    "PdmHeight",	//57
    "PdmHeightMM",	//58
    "PdmNumColors",	//59
    "PdmPhysicalDpiX",	//60
    "PdmPhysicalDpiY",	//61
    "PdmWidth",	//62
    "PdmWidthMM",	//63
    "QGraphicsSvgItem",	//64
    "QGraphicsSvgItem#",	//65
    "QGraphicsSvgItem$",	//66
    "QGraphicsSvgItem$#",	//67
    "QSvgGenerator",	//68
    "QSvgRenderer",	//69
    "QSvgRenderer#",	//70
    "QSvgRenderer##",	//71
    "QSvgRenderer$",	//72
    "QSvgRenderer$#",	//73
    "QSvgWidget",	//74
    "QSvgWidget#",	//75
    "QSvgWidget$",	//76
    "QSvgWidget$#",	//77
    "QtCriticalMsg",	//78
    "QtDebugMsg",	//79
    "QtFatalMsg",	//80
    "QtSystemMsg",	//81
    "QtWarningMsg",	//82
    "SceneModal",	//83
    "Type",	//84
    "UserExtension",	//85
    "UserType",	//86
    "_IEEE_",	//87
    "_ISOC_",	//88
    "_POSIX_",	//89
    "_SVID_",	//90
    "_XOPEN_",	//91
    "__codecvt_error",	//92
    "__codecvt_noconv",	//93
    "__codecvt_ok",	//94
    "__codecvt_partial",	//95
    "actionEvent",	//96
    "advance",	//97
    "animated",	//98
    "animationDuration",	//99
    "boundingRect",	//100
    "boundsOnElement",	//101
    "boundsOnElement$",	//102
    "changeEvent",	//103
    "childEvent",	//104
    "closeEvent",	//105
    "collidesWithItem",	//106
    "collidesWithPath",	//107
    "connectNotify",	//108
    "contains",	//109
    "contextMenuEvent",	//110
    "currentFrame",	//111
    "customEvent",	//112
    "defaultSize",	//113
    "description",	//114
    "devType",	//115
    "disconnectNotify",	//116
    "dragEnterEvent",	//117
    "dragLeaveEvent",	//118
    "dragMoveEvent",	//119
    "dropEvent",	//120
    "elementExists",	//121
    "elementExists$",	//122
    "elementId",	//123
    "enabledChange",	//124
    "enterEvent",	//125
    "event",	//126
    "eventFilter",	//127
    "extension",	//128
    "fileName",	//129
    "focusInEvent",	//130
    "focusNextPrevChild",	//131
    "focusOutEvent",	//132
    "fontChange",	//133
    "framesPerSecond",	//134
    "heightForWidth",	//135
    "hideEvent",	//136
    "hoverEnterEvent",	//137
    "hoverLeaveEvent",	//138
    "hoverMoveEvent",	//139
    "inputMethodEvent",	//140
    "inputMethodQuery",	//141
    "isCachingEnabled",	//142
    "isObscuredBy",	//143
    "isValid",	//144
    "itemChange",	//145
    "keyPressEvent",	//146
    "keyReleaseEvent",	//147
    "languageChange",	//148
    "leaveEvent",	//149
    "load",	//150
    "load#",	//151
    "load$",	//152
    "matrixForElement",	//153
    "matrixForElement$",	//154
    "maximumCacheSize",	//155
    "metaObject",	//156
    "metric",	//157
    "metric$",	//158
    "minimumSizeHint",	//159
    "mouseDoubleClickEvent",	//160
    "mouseMoveEvent",	//161
    "mousePressEvent",	//162
    "mouseReleaseEvent",	//163
    "moveEvent",	//164
    "opaqueArea",	//165
    "operator!=",	//166
    "operator!=##",	//167
    "operator!=#$",	//168
    "operator!=$#",	//169
    "operator!=$$",	//170
    "operator&",	//171
    "operator&##",	//172
    "operator*",	//173
    "operator*##",	//174
    "operator*#$",	//175
    "operator*$#",	//176
    "operator+",	//177
    "operator+##",	//178
    "operator+#$",	//179
    "operator+$#",	//180
    "operator+$$",	//181
    "operator-",	//182
    "operator-#",	//183
    "operator-##",	//184
    "operator-#$",	//185
    "operator/",	//186
    "operator/#$",	//187
    "operator<",	//188
    "operator<##",	//189
    "operator<#$",	//190
    "operator<$#",	//191
    "operator<$$",	//192
    "operator<<",	//193
    "operator<<##",	//194
    "operator<<#$",	//195
    "operator<<#?",	//196
    "operator<=",	//197
    "operator<=##",	//198
    "operator<=#$",	//199
    "operator<=$#",	//200
    "operator<=$$",	//201
    "operator==",	//202
    "operator==##",	//203
    "operator==#$",	//204
    "operator==$#",	//205
    "operator==$$",	//206
    "operator>",	//207
    "operator>##",	//208
    "operator>#$",	//209
    "operator>$#",	//210
    "operator>$$",	//211
    "operator>=",	//212
    "operator>=##",	//213
    "operator>=#$",	//214
    "operator>=$#",	//215
    "operator>=$$",	//216
    "operator>>",	//217
    "operator>>##",	//218
    "operator>>#$",	//219
    "operator>>#?",	//220
    "operator^",	//221
    "operator^##",	//222
    "operator|",	//223
    "operator|##",	//224
    "operator|$$",	//225
    "outputDevice",	//226
    "paint",	//227
    "paint##",	//228
    "paint###",	//229
    "paintEngine",	//230
    "paintEvent",	//231
    "paintEvent#",	//232
    "paletteChange",	//233
    "qAccessibleActionCastHelper",	//234
    "qAccessibleEditableTextCastHelper",	//235
    "qAccessibleImageCastHelper",	//236
    "qAccessibleTableCastHelper",	//237
    "qAccessibleTextCastHelper",	//238
    "qAccessibleValueCastHelper",	//239
    "qAcos",	//240
    "qAcos$",	//241
    "qAddPostRoutine",	//242
    "qAddPostRoutine$",	//243
    "qAlpha",	//244
    "qAlpha$",	//245
    "qAppName",	//246
    "qAsin",	//247
    "qAsin$",	//248
    "qAtan",	//249
    "qAtan$",	//250
    "qAtan2",	//251
    "qAtan2$$",	//252
    "qBadAlloc",	//253
    "qBlue",	//254
    "qBlue$",	//255
    "qCeil",	//256
    "qCeil$",	//257
    "qChecksum",	//258
    "qChecksum$$",	//259
    "qCompress",	//260
    "qCompress#",	//261
    "qCompress#$",	//262
    "qCompress$$",	//263
    "qCompress$$$",	//264
    "qCos",	//265
    "qCos$",	//266
    "qCritical",	//267
    "qDebug",	//268
    "qDrawBorderPixmap",	//269
    "qDrawBorderPixmap####",	//270
    "qDrawBorderPixmap######",	//271
    "qDrawBorderPixmap#######",	//272
    "qDrawBorderPixmap#######$",	//273
    "qDrawPixmaps",	//274
    "qDrawPixmaps##$#",	//275
    "qDrawPixmaps##$#$",	//276
    "qDrawPlainRect",	//277
    "qDrawPlainRect###",	//278
    "qDrawPlainRect###$",	//279
    "qDrawPlainRect###$#",	//280
    "qDrawPlainRect#$$$$#",	//281
    "qDrawPlainRect#$$$$#$",	//282
    "qDrawPlainRect#$$$$#$#",	//283
    "qDrawShadeLine",	//284
    "qDrawShadeLine####",	//285
    "qDrawShadeLine####$",	//286
    "qDrawShadeLine####$$",	//287
    "qDrawShadeLine####$$$",	//288
    "qDrawShadeLine#$$$$#",	//289
    "qDrawShadeLine#$$$$#$",	//290
    "qDrawShadeLine#$$$$#$$",	//291
    "qDrawShadeLine#$$$$#$$$",	//292
    "qDrawShadePanel",	//293
    "qDrawShadePanel###",	//294
    "qDrawShadePanel###$",	//295
    "qDrawShadePanel###$$",	//296
    "qDrawShadePanel###$$#",	//297
    "qDrawShadePanel#$$$$#",	//298
    "qDrawShadePanel#$$$$#$",	//299
    "qDrawShadePanel#$$$$#$$",	//300
    "qDrawShadePanel#$$$$#$$#",	//301
    "qDrawShadeRect",	//302
    "qDrawShadeRect###",	//303
    "qDrawShadeRect###$",	//304
    "qDrawShadeRect###$$",	//305
    "qDrawShadeRect###$$$",	//306
    "qDrawShadeRect###$$$#",	//307
    "qDrawShadeRect#$$$$#",	//308
    "qDrawShadeRect#$$$$#$",	//309
    "qDrawShadeRect#$$$$#$$",	//310
    "qDrawShadeRect#$$$$#$$$",	//311
    "qDrawShadeRect#$$$$#$$$#",	//312
    "qDrawWinButton",	//313
    "qDrawWinButton###",	//314
    "qDrawWinButton###$",	//315
    "qDrawWinButton###$#",	//316
    "qDrawWinButton#$$$$#",	//317
    "qDrawWinButton#$$$$#$",	//318
    "qDrawWinButton#$$$$#$#",	//319
    "qDrawWinPanel",	//320
    "qDrawWinPanel###",	//321
    "qDrawWinPanel###$",	//322
    "qDrawWinPanel###$#",	//323
    "qDrawWinPanel#$$$$#",	//324
    "qDrawWinPanel#$$$$#$",	//325
    "qDrawWinPanel#$$$$#$#",	//326
    "qExp",	//327
    "qExp$",	//328
    "qFabs",	//329
    "qFabs$",	//330
    "qFastCos",	//331
    "qFastCos$",	//332
    "qFastSin",	//333
    "qFastSin$",	//334
    "qFlagLocation",	//335
    "qFlagLocation$",	//336
    "qFloor",	//337
    "qFloor$",	//338
    "qFree",	//339
    "qFree$",	//340
    "qFreeAligned",	//341
    "qFreeAligned$",	//342
    "qFuzzyCompare",	//343
    "qFuzzyCompare##",	//344
    "qFuzzyCompare$$",	//345
    "qFuzzyIsNull",	//346
    "qFuzzyIsNull$",	//347
    "qGray",	//348
    "qGray$",	//349
    "qGray$$$",	//350
    "qGreen",	//351
    "qGreen$",	//352
    "qHash",	//353
    "qHash#",	//354
    "qHash$",	//355
    "qInf",	//356
    "qInstallMsgHandler",	//357
    "qInstallMsgHandler$",	//358
    "qIntCast",	//359
    "qIntCast$",	//360
    "qIsFinite",	//361
    "qIsFinite$",	//362
    "qIsGray",	//363
    "qIsGray$",	//364
    "qIsInf",	//365
    "qIsInf$",	//366
    "qIsNaN",	//367
    "qIsNaN$",	//368
    "qIsNull",	//369
    "qIsNull$",	//370
    "qLn",	//371
    "qLn$",	//372
    "qMalloc",	//373
    "qMalloc$",	//374
    "qMallocAligned",	//375
    "qMallocAligned$$",	//376
    "qMemCopy",	//377
    "qMemCopy$$$",	//378
    "qMemSet",	//379
    "qMemSet$$$",	//380
    "qPow",	//381
    "qPow$$",	//382
    "qQNaN",	//383
    "qRealloc",	//384
    "qRealloc$$",	//385
    "qReallocAligned",	//386
    "qReallocAligned$$$$",	//387
    "qRed",	//388
    "qRed$",	//389
    "qRegisterStaticPluginInstanceFunction",	//390
    "qRegisterStaticPluginInstanceFunction#",	//391
    "qRemovePostRoutine",	//392
    "qRemovePostRoutine$",	//393
    "qRgb",	//394
    "qRgb$$$",	//395
    "qRgba",	//396
    "qRgba$$$$",	//397
    "qRound",	//398
    "qRound$",	//399
    "qRound64",	//400
    "qRound64$",	//401
    "qSNaN",	//402
    "qSetFieldWidth",	//403
    "qSetFieldWidth$",	//404
    "qSetPadChar",	//405
    "qSetPadChar#",	//406
    "qSetRealNumberPrecision",	//407
    "qSetRealNumberPrecision$",	//408
    "qSharedBuild",	//409
    "qSin",	//410
    "qSin$",	//411
    "qSqrt",	//412
    "qSqrt$",	//413
    "qStringComparisonHelper",	//414
    "qStringComparisonHelper#$",	//415
    "qStringComparisonHelper$$",	//416
    "qTan",	//417
    "qTan$",	//418
    "qUncompress",	//419
    "qUncompress#",	//420
    "qUncompress$$",	//421
    "qVersion",	//422
    "qWarning",	//423
    "qbswap_helper",	//424
    "qbswap_helper$$$",	//425
    "qgcvt",	//426
    "qgcvt$$$",	//427
    "qgetenv",	//428
    "qgetenv$",	//429
    "qputenv",	//430
    "qputenv$#",	//431
    "qrand",	//432
    "qsort",	//433
    "qsort$$$?",	//434
    "qsrand",	//435
    "qsrand$",	//436
    "qstrcmp",	//437
    "qstrcmp##",	//438
    "qstrcmp#$",	//439
    "qstrcmp$#",	//440
    "qstrcmp$$",	//441
    "qstrcpy",	//442
    "qstrcpy$$",	//443
    "qstrdup",	//444
    "qstrdup$",	//445
    "qstricmp",	//446
    "qstricmp$$",	//447
    "qstrlen",	//448
    "qstrlen$",	//449
    "qstrncmp",	//450
    "qstrncmp$$$",	//451
    "qstrncpy",	//452
    "qstrncpy$$$",	//453
    "qstrnicmp",	//454
    "qstrnicmp$$$",	//455
    "qstrnlen",	//456
    "qstrnlen$$",	//457
    "qtTrId",	//458
    "qtTrId$",	//459
    "qtTrId$$",	//460
    "qt_assert",	//461
    "qt_assert$$$",	//462
    "qt_assert_x",	//463
    "qt_assert_x$$$$",	//464
    "qt_check_pointer",	//465
    "qt_check_pointer$$",	//466
    "qt_error_string",	//467
    "qt_error_string$",	//468
    "qt_message_output",	//469
    "qt_message_output$$",	//470
    "qt_metacall",	//471
    "qt_metacall$$?",	//472
    "qt_metacast",	//473
    "qt_metacast$",	//474
    "qt_noop",	//475
    "qt_qFindChild_helper",	//476
    "qt_qFindChild_helper#$#",	//477
    "qt_qFindChildren_helper",	//478
    "qt_qFindChildren_helper#$##?",	//479
    "qvariant_cast_helper",	//480
    "qvariant_cast_helper#$$",	//481
    "qvsnprintf",	//482
    "qvsnprintf$$$?",	//483
    "render",	//484
    "render#",	//485
    "render##",	//486
    "render#$",	//487
    "render#$#",	//488
    "renderer",	//489
    "repaintNeeded",	//490
    "resizeEvent",	//491
    "resolution",	//492
    "sceneEvent",	//493
    "sceneEventFilter",	//494
    "setCachingEnabled",	//495
    "setCachingEnabled$",	//496
    "setCurrentFrame",	//497
    "setCurrentFrame$",	//498
    "setDescription",	//499
    "setDescription$",	//500
    "setElementId",	//501
    "setElementId$",	//502
    "setExtension",	//503
    "setFileName",	//504
    "setFileName$",	//505
    "setFramesPerSecond",	//506
    "setFramesPerSecond$",	//507
    "setMaximumCacheSize",	//508
    "setMaximumCacheSize#",	//509
    "setOutputDevice",	//510
    "setOutputDevice#",	//511
    "setResolution",	//512
    "setResolution$",	//513
    "setSharedRenderer",	//514
    "setSharedRenderer#",	//515
    "setSize",	//516
    "setSize#",	//517
    "setTitle",	//518
    "setTitle$",	//519
    "setViewBox",	//520
    "setViewBox#",	//521
    "setVisible",	//522
    "shape",	//523
    "showEvent",	//524
    "size",	//525
    "sizeHint",	//526
    "staticMetaObject",	//527
    "styleChange",	//528
    "supportsExtension",	//529
    "tabletEvent",	//530
    "timerEvent",	//531
    "title",	//532
    "tr",	//533
    "tr$",	//534
    "tr$$",	//535
    "tr$$$",	//536
    "trUtf8",	//537
    "trUtf8$",	//538
    "trUtf8$$",	//539
    "trUtf8$$$",	//540
    "type",	//541
    "viewBox",	//542
    "viewBoxF",	//543
    "wheelEvent",	//544
    "windowActivationChange",	//545
    "x11Event",	//546
    "~QGraphicsSvgItem",	//547
    "~QSvgGenerator",	//548
    "~QSvgRenderer",	//549
    "~QSvgWidget",	//550
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {27, 223, 1, 2, Smoke::mf_static, 151, 1},	//1 QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    {27, 239, 0, 0, Smoke::mf_static, 8, 2},	//2 QGlobalSpace::qAccessibleValueCastHelper()
    {27, 212, 4, 2, Smoke::mf_static, 356, 3},	//3 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {27, 353, 7, 1, Smoke::mf_static, 458, 4},	//4 QGlobalSpace::qHash(unsigned long long)
    {27, 365, 9, 1, Smoke::mf_static, 356, 5},	//5 QGlobalSpace::qIsInf(double)
    {27, 223, 11, 2, Smoke::mf_static, 151, 6},	//6 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {27, 182, 14, 2, Smoke::mf_static, 170, 7},	//7 QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    {27, 223, 17, 2, Smoke::mf_static, 151, 8},	//8 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {27, 202, 20, 2, Smoke::mf_static, 356, 9},	//9 QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    {27, 166, 23, 2, Smoke::mf_static, 356, 10},	//10 QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    {27, 456, 26, 2, Smoke::mf_static, 458, 11},	//11 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {27, 377, 29, 3, Smoke::mf_static, 465, 12},	//12 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {27, 475, 0, 0, Smoke::mf_static, 0, 13},	//13 QGlobalSpace::qt_noop()
    {27, 202, 33, 2, Smoke::mf_static, 356, 14},	//14 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {27, 193, 36, 2, Smoke::mf_static, 30, 15},	//15 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {27, 217, 39, 2, Smoke::mf_static, 26, 16},	//16 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {27, 173, 42, 2, Smoke::mf_static, 195, 17},	//17 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {27, 223, 45, 2, Smoke::mf_static, 83, 18},	//18 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    {27, 202, 48, 2, Smoke::mf_static, 356, 19},	//19 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {27, 202, 51, 2, Smoke::mf_static, 356, 20},	//20 QGlobalSpace::operator==(const QSize&, const QSize&)
    {27, 193, 54, 2, Smoke::mf_static, 26, 21},	//21 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {27, 223, 57, 2, Smoke::mf_static, 99, 22},	//22 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    {27, 177, 60, 2, Smoke::mf_static, 362, 23},	//23 QGlobalSpace::operator+(const char*, const QByteArray&)
    {27, 217, 63, 2, Smoke::mf_static, 26, 24},	//24 QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    {27, 223, 66, 2, Smoke::mf_static, 90, 25},	//25 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    {27, 223, 69, 2, Smoke::mf_static, 80, 26},	//26 QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    {27, 223, 72, 2, Smoke::mf_static, 62, 27},	//27 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {27, 414, 75, 2, Smoke::mf_static, 356, 28},	//28 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {27, 217, 78, 2, Smoke::mf_static, 26, 29},	//29 QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    {27, 437, 60, 2, Smoke::mf_static, 449, 30},	//30 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {27, 202, 81, 2, Smoke::mf_static, 356, 31},	//31 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {27, 193, 84, 2, Smoke::mf_static, 26, 32},	//32 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {27, 251, 87, 2, Smoke::mf_static, 447, 33},	//33 QGlobalSpace::qAtan2(double, double)
    {27, 217, 90, 2, Smoke::mf_static, 26, 34},	//34 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {27, 212, 93, 2, Smoke::mf_static, 356, 35},	//35 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {27, 365, 96, 1, Smoke::mf_static, 356, 36},	//36 QGlobalSpace::qIsInf(float)
    {27, 428, 98, 1, Smoke::mf_static, 16, 37},	//37 QGlobalSpace::qgetenv(const char*)
    {27, 353, 100, 1, Smoke::mf_static, 458, 38},	//38 QGlobalSpace::qHash(signed char)
    {27, 223, 102, 2, Smoke::mf_static, 151, 39},	//39 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    {27, 202, 105, 2, Smoke::mf_static, 356, 40},	//40 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {27, 207, 60, 2, Smoke::mf_static, 356, 41},	//41 QGlobalSpace::operator>(const char*, const QByteArray&)
    {27, 223, 108, 2, Smoke::mf_static, 151, 42},	//42 QGlobalSpace::operator|(QFileDialog::Option, int)
    {27, 177, 14, 2, Smoke::mf_static, 170, 43},	//43 QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    {27, 359, 9, 1, Smoke::mf_static, 449, 44},	//44 QGlobalSpace::qIntCast(double)
    {27, 405, 111, 1, Smoke::mf_static, 252, 45},	//45 QGlobalSpace::qSetPadChar(QChar)
    {27, 193, 113, 2, Smoke::mf_static, 26, 46},	//46 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {27, 223, 116, 2, Smoke::mf_static, 82, 47},	//47 QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    {27, 223, 119, 2, Smoke::mf_static, 89, 48},	//48 QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    {27, 173, 122, 2, Smoke::mf_static, 193, 49},	//49 QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    {27, 193, 125, 2, Smoke::mf_static, 26, 50},	//50 QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    {27, 193, 128, 2, Smoke::mf_static, 30, 51},	//51 QGlobalSpace::operator<<(QDebug, const QBrush&)
    {27, 223, 131, 2, Smoke::mf_static, 66, 52},	//52 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    {27, 202, 134, 2, Smoke::mf_static, 356, 53},	//53 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {27, 173, 137, 2, Smoke::mf_static, 269, 54},	//54 QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    {27, 202, 140, 2, Smoke::mf_static, 356, 55},	//55 QGlobalSpace::operator==(QChar, QChar)
    {27, 193, 143, 2, Smoke::mf_static, 30, 56},	//56 QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    {27, 173, 14, 2, Smoke::mf_static, 170, 57},	//57 QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    {27, 223, 146, 2, Smoke::mf_static, 121, 58},	//58 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {27, 182, 149, 1, Smoke::mf_static, 170, 59},	//59 QGlobalSpace::operator-(const QMatrix4x4&)
    {27, 353, 151, 1, Smoke::mf_static, 458, 60},	//60 QGlobalSpace::qHash(const QByteArray&)
    {27, 223, 153, 2, Smoke::mf_static, 151, 61},	//61 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {27, 173, 156, 2, Smoke::mf_static, 170, 62},	//62 QGlobalSpace::operator*(const QMatrix4x4&, double)
    {27, 193, 159, 2, Smoke::mf_static, 26, 63},	//63 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {27, 193, 162, 2, Smoke::mf_static, 30, 64},	//64 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {27, 217, 165, 2, Smoke::mf_static, 26, 65},	//65 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {27, 188, 140, 2, Smoke::mf_static, 356, 66},	//66 QGlobalSpace::operator<(QChar, QChar)
    {27, 217, 168, 2, Smoke::mf_static, 26, 67},	//67 QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    {27, 223, 171, 2, Smoke::mf_static, 79, 68},	//68 QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    {27, 212, 140, 2, Smoke::mf_static, 356, 69},	//69 QGlobalSpace::operator>=(QChar, QChar)
    {27, 166, 174, 2, Smoke::mf_static, 356, 70},	//70 QGlobalSpace::operator!=(QString::Null, const QString&)
    {27, 193, 177, 2, Smoke::mf_static, 30, 71},	//71 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    {27, 188, 60, 2, Smoke::mf_static, 356, 72},	//72 QGlobalSpace::operator<(const char*, const QByteArray&)
    {27, 223, 180, 2, Smoke::mf_static, 106, 73},	//73 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {27, 223, 183, 2, Smoke::mf_static, 120, 74},	//74 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {27, 437, 186, 2, Smoke::mf_static, 449, 75},	//75 QGlobalSpace::qstrcmp(const char*, const char*)
    {27, 223, 189, 2, Smoke::mf_static, 151, 76},	//76 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    {27, 177, 20, 2, Smoke::mf_static, 440, 77},	//77 QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    {27, 265, 9, 1, Smoke::mf_static, 447, 78},	//78 QGlobalSpace::qCos(double)
    {27, 223, 192, 2, Smoke::mf_static, 78, 79},	//79 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {27, 207, 140, 2, Smoke::mf_static, 356, 80},	//80 QGlobalSpace::operator>(QChar, QChar)
    {27, 223, 195, 2, Smoke::mf_static, 123, 81},	//81 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {27, 173, 198, 2, Smoke::mf_static, 413, 82},	//82 QGlobalSpace::operator*(double, const QSizeF&)
    {27, 409, 0, 0, Smoke::mf_static, 356, 83},	//83 QGlobalSpace::qSharedBuild()
    {27, 202, 201, 2, Smoke::mf_static, 356, 84},	//84 QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    {27, 223, 204, 2, Smoke::mf_static, 151, 85},	//85 QGlobalSpace::operator|(QDir::Filter, int)
    {27, 223, 207, 2, Smoke::mf_static, 89, 86},	//86 QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    {27, 166, 4, 2, Smoke::mf_static, 356, 87},	//87 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {27, 182, 210, 2, Smoke::mf_static, 398, 88},	//88 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {27, 235, 0, 0, Smoke::mf_static, 8, 89},	//89 QGlobalSpace::qAccessibleEditableTextCastHelper()
    {27, 193, 213, 2, Smoke::mf_static, 26, 90},	//90 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {27, 223, 216, 2, Smoke::mf_static, 151, 91},	//91 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {27, 223, 219, 2, Smoke::mf_static, 119, 92},	//92 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {27, 223, 222, 2, Smoke::mf_static, 151, 93},	//93 QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    {27, 182, 225, 2, Smoke::mf_static, 255, 94},	//94 QGlobalSpace::operator-(const QTransform&, double)
    {27, 223, 228, 2, Smoke::mf_static, 47, 95},	//95 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    {27, 353, 231, 1, Smoke::mf_static, 458, 96},	//96 QGlobalSpace::qHash(char)
    {27, 173, 20, 2, Smoke::mf_static, 440, 97},	//97 QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    {27, 223, 233, 2, Smoke::mf_static, 107, 98},	//98 QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    {27, 166, 48, 2, Smoke::mf_static, 356, 99},	//99 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {27, 223, 236, 2, Smoke::mf_static, 103, 100},	//100 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {27, 223, 239, 2, Smoke::mf_static, 151, 101},	//101 QGlobalSpace::operator|(QTextOption::Flag, int)
    {27, 193, 242, 2, Smoke::mf_static, 30, 102},	//102 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {27, 223, 245, 2, Smoke::mf_static, 151, 103},	//103 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {27, 223, 248, 2, Smoke::mf_static, 151, 104},	//104 QGlobalSpace::operator|(QFile::Permission, int)
    {27, 223, 251, 2, Smoke::mf_static, 66, 105},	//105 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    {27, 186, 254, 2, Smoke::mf_static, 398, 106},	//106 QGlobalSpace::operator/(const QPoint&, double)
    {27, 320, 257, 8, Smoke::mf_static, 0, 107},	//107 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {27, 320, 266, 6, Smoke::mf_static, 0, 108},	//108 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&)
    {27, 320, 273, 7, Smoke::mf_static, 0, 109},	//109 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {27, 177, 210, 2, Smoke::mf_static, 398, 110},	//110 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {27, 193, 281, 2, Smoke::mf_static, 26, 111},	//111 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {27, 223, 284, 2, Smoke::mf_static, 57, 112},	//112 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {27, 177, 287, 2, Smoke::mf_static, 418, 113},	//113 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {27, 182, 290, 2, Smoke::mf_static, 413, 114},	//114 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {27, 173, 293, 2, Smoke::mf_static, 267, 115},	//115 QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    {27, 343, 296, 2, Smoke::mf_static, 356, 116},	//116 QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    {27, 193, 299, 2, Smoke::mf_static, 30, 117},	//117 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {27, 182, 20, 2, Smoke::mf_static, 440, 118},	//118 QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    {27, 361, 9, 1, Smoke::mf_static, 356, 119},	//119 QGlobalSpace::qIsFinite(double)
    {27, 223, 302, 2, Smoke::mf_static, 63, 120},	//120 QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    {27, 166, 93, 2, Smoke::mf_static, 356, 121},	//121 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {27, 193, 305, 2, Smoke::mf_static, 26, 122},	//122 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {27, 223, 308, 2, Smoke::mf_static, 115, 123},	//123 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {27, 223, 311, 2, Smoke::mf_static, 151, 124},	//124 QGlobalSpace::operator|(QWizard::WizardOption, int)
    {27, 193, 314, 2, Smoke::mf_static, 30, 125},	//125 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {27, 244, 317, 1, Smoke::mf_static, 449, 126},	//126 QGlobalSpace::qAlpha(unsigned int)
    {27, 193, 319, 2, Smoke::mf_static, 30, 127},	//127 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {27, 223, 322, 2, Smoke::mf_static, 58, 128},	//128 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    {27, 188, 325, 2, Smoke::mf_static, 356, 129},	//129 QGlobalSpace::operator<(const char*, const QString&)
    {27, 348, 328, 3, Smoke::mf_static, 449, 130},	//130 QGlobalSpace::qGray(int, int, int)
    {27, 223, 332, 2, Smoke::mf_static, 71, 131},	//131 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    {27, 193, 335, 2, Smoke::mf_static, 26, 132},	//132 QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    {27, 223, 338, 2, Smoke::mf_static, 105, 133},	//133 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {27, 177, 51, 2, Smoke::mf_static, 411, 134},	//134 QGlobalSpace::operator+(const QSize&, const QSize&)
    {27, 223, 341, 2, Smoke::mf_static, 121, 135},	//135 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {27, 223, 344, 2, Smoke::mf_static, 112, 136},	//136 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {27, 467, 347, 1, Smoke::mf_static, 218, 137},	//137 QGlobalSpace::qt_error_string(int)
    {27, 467, 0, 0, Smoke::mf_static, 218, 138},	//138 QGlobalSpace::qt_error_string()
    {27, 177, 290, 2, Smoke::mf_static, 413, 139},	//139 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {27, 186, 156, 2, Smoke::mf_static, 170, 140},	//140 QGlobalSpace::operator/(const QMatrix4x4&, double)
    {27, 223, 349, 2, Smoke::mf_static, 151, 141},	//141 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    {27, 223, 352, 2, Smoke::mf_static, 47, 142},	//142 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    {27, 223, 355, 2, Smoke::mf_static, 151, 143},	//143 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {27, 182, 296, 2, Smoke::mf_static, 442, 144},	//144 QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    {27, 188, 358, 2, Smoke::mf_static, 356, 145},	//145 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {27, 419, 361, 2, Smoke::mf_static, 16, 146},	//146 QGlobalSpace::qUncompress(const unsigned char*, int)
    {27, 450, 364, 3, Smoke::mf_static, 449, 147},	//147 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {27, 417, 9, 1, Smoke::mf_static, 447, 148},	//148 QGlobalSpace::qTan(double)
    {27, 207, 33, 2, Smoke::mf_static, 356, 149},	//149 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {27, 166, 368, 2, Smoke::mf_static, 356, 150},	//150 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {27, 403, 347, 1, Smoke::mf_static, 252, 151},	//151 QGlobalSpace::qSetFieldWidth(int)
    {27, 202, 371, 2, Smoke::mf_static, 356, 152},	//152 QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    {27, 223, 374, 2, Smoke::mf_static, 92, 153},	//153 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    {27, 217, 377, 2, Smoke::mf_static, 249, 154},	//154 QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    {27, 353, 380, 1, Smoke::mf_static, 458, 155},	//155 QGlobalSpace::qHash(const QItemSelectionRange&)
    {27, 388, 317, 1, Smoke::mf_static, 449, 156},	//156 QGlobalSpace::qRed(unsigned int)
    {27, 223, 382, 2, Smoke::mf_static, 110, 157},	//157 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {27, 173, 225, 2, Smoke::mf_static, 255, 158},	//158 QGlobalSpace::operator*(const QTransform&, double)
    {27, 337, 9, 1, Smoke::mf_static, 449, 159},	//159 QGlobalSpace::qFloor(double)
    {27, 223, 385, 2, Smoke::mf_static, 85, 160},	//160 QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    {27, 193, 388, 2, Smoke::mf_static, 30, 161},	//161 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {27, 217, 391, 2, Smoke::mf_static, 26, 162},	//162 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {27, 361, 96, 1, Smoke::mf_static, 356, 163},	//163 QGlobalSpace::qIsFinite(float)
    {27, 177, 394, 2, Smoke::mf_static, 418, 164},	//164 QGlobalSpace::operator+(const QString&, QChar)
    {27, 166, 397, 2, Smoke::mf_static, 356, 165},	//165 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {27, 173, 296, 2, Smoke::mf_static, 442, 166},	//166 QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    {27, 223, 400, 2, Smoke::mf_static, 50, 167},	//167 QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    {27, 424, 403, 3, Smoke::mf_static, 0, 168},	//168 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {27, 177, 93, 2, Smoke::mf_static, 362, 169},	//169 QGlobalSpace::operator+(const QByteArray&, const char*)
    {27, 238, 0, 0, Smoke::mf_static, 8, 170},	//170 QGlobalSpace::qAccessibleTextCastHelper()
    {27, 223, 407, 2, Smoke::mf_static, 91, 171},	//171 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    {27, 223, 410, 2, Smoke::mf_static, 97, 172},	//172 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {27, 177, 75, 2, Smoke::mf_static, 418, 173},	//173 QGlobalSpace::operator+(const QString&, const char*)
    {27, 207, 358, 2, Smoke::mf_static, 356, 174},	//174 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {27, 223, 413, 2, Smoke::mf_static, 118, 175},	//175 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {27, 386, 416, 4, Smoke::mf_static, 465, 176},	//176 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {27, 217, 421, 2, Smoke::mf_static, 26, 177},	//177 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {27, 193, 424, 2, Smoke::mf_static, 26, 178},	//178 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {27, 177, 427, 2, Smoke::mf_static, 418, 179},	//179 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {27, 353, 317, 1, Smoke::mf_static, 458, 180},	//180 QGlobalSpace::qHash(unsigned int)
    {27, 343, 201, 2, Smoke::mf_static, 356, 181},	//181 QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    {27, 223, 430, 2, Smoke::mf_static, 120, 182},	//182 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {27, 353, 111, 1, Smoke::mf_static, 458, 183},	//183 QGlobalSpace::qHash(QChar)
    {27, 223, 433, 2, Smoke::mf_static, 99, 184},	//184 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    {27, 197, 93, 2, Smoke::mf_static, 356, 185},	//185 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {27, 359, 96, 1, Smoke::mf_static, 449, 186},	//186 QGlobalSpace::qIntCast(float)
    {27, 202, 436, 2, Smoke::mf_static, 356, 187},	//187 QGlobalSpace::operator==(const QRect&, const QRect&)
    {27, 223, 439, 2, Smoke::mf_static, 61, 188},	//188 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {27, 221, 442, 2, Smoke::mf_static, 12, 189},	//189 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {27, 207, 445, 2, Smoke::mf_static, 356, 190},	//190 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {27, 223, 448, 2, Smoke::mf_static, 82, 191},	//191 QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    {27, 384, 451, 2, Smoke::mf_static, 465, 192},	//192 QGlobalSpace::qRealloc(void*, size_t)
    {27, 353, 454, 1, Smoke::mf_static, 458, 193},	//193 QGlobalSpace::qHash(const QString&)
    {27, 197, 358, 2, Smoke::mf_static, 356, 194},	//194 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {27, 177, 296, 2, Smoke::mf_static, 442, 195},	//195 QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    {27, 193, 456, 2, Smoke::mf_static, 26, 196},	//196 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {27, 193, 459, 2, Smoke::mf_static, 26, 197},	//197 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {27, 193, 462, 2, Smoke::mf_static, 30, 198},	//198 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {27, 400, 9, 1, Smoke::mf_static, 452, 199},	//199 QGlobalSpace::qRound64(double)
    {27, 357, 465, 1, Smoke::mf_static, 464, 200},	//200 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {27, 412, 9, 1, Smoke::mf_static, 447, 201},	//201 QGlobalSpace::qSqrt(double)
    {27, 223, 467, 2, Smoke::mf_static, 151, 202},	//202 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    {27, 353, 470, 1, Smoke::mf_static, 458, 203},	//203 QGlobalSpace::qHash(const QModelIndex&)
    {27, 223, 472, 2, Smoke::mf_static, 53, 204},	//204 QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    {27, 331, 9, 1, Smoke::mf_static, 447, 205},	//205 QGlobalSpace::qFastCos(double)
    {27, 223, 475, 2, Smoke::mf_static, 96, 206},	//206 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    {27, 217, 478, 2, Smoke::mf_static, 26, 207},	//207 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {27, 193, 481, 2, Smoke::mf_static, 30, 208},	//208 QGlobalSpace::operator<<(QDebug, const QEvent*)
    {27, 202, 484, 2, Smoke::mf_static, 356, 209},	//209 QGlobalSpace::operator==(QBool, QBool)
    {27, 223, 487, 2, Smoke::mf_static, 68, 210},	//210 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    {27, 202, 490, 2, Smoke::mf_static, 356, 211},	//211 QGlobalSpace::operator==(const char*, const QStringRef&)
    {27, 223, 493, 2, Smoke::mf_static, 151, 212},	//212 QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    {27, 223, 496, 2, Smoke::mf_static, 151, 213},	//213 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {27, 166, 325, 2, Smoke::mf_static, 356, 214},	//214 QGlobalSpace::operator!=(const char*, const QString&)
    {27, 367, 96, 1, Smoke::mf_static, 356, 215},	//215 QGlobalSpace::qIsNaN(float)
    {27, 223, 499, 2, Smoke::mf_static, 151, 216},	//216 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    {27, 223, 502, 2, Smoke::mf_static, 74, 217},	//217 QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    {27, 197, 445, 2, Smoke::mf_static, 356, 218},	//218 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {27, 217, 505, 2, Smoke::mf_static, 26, 219},	//219 QGlobalSpace::operator>>(QDataStream&, QPen&)
    {27, 335, 98, 1, Smoke::mf_static, 444, 220},	//220 QGlobalSpace::qFlagLocation(const char*)
    {27, 177, 225, 2, Smoke::mf_static, 255, 221},	//221 QGlobalSpace::operator+(const QTransform&, double)
    {27, 173, 508, 2, Smoke::mf_static, 159, 222},	//222 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {27, 193, 511, 2, Smoke::mf_static, 30, 223},	//223 QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    {27, 223, 514, 2, Smoke::mf_static, 151, 224},	//224 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {27, 367, 9, 1, Smoke::mf_static, 356, 225},	//225 QGlobalSpace::qIsNaN(double)
    {27, 348, 317, 1, Smoke::mf_static, 449, 226},	//226 QGlobalSpace::qGray(unsigned int)
    {27, 177, 517, 2, Smoke::mf_static, 418, 227},	//227 QGlobalSpace::operator+(QChar, const QString&)
    {27, 223, 520, 2, Smoke::mf_static, 93, 228},	//228 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    {27, 223, 523, 2, Smoke::mf_static, 151, 229},	//229 QGlobalSpace::operator|(QString::SectionFlag, int)
    {27, 223, 526, 2, Smoke::mf_static, 67, 230},	//230 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    {27, 223, 529, 2, Smoke::mf_static, 151, 231},	//231 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {27, 193, 532, 2, Smoke::mf_static, 30, 232},	//232 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    {27, 217, 535, 2, Smoke::mf_static, 26, 233},	//233 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {27, 461, 538, 3, Smoke::mf_static, 0, 234},	//234 QGlobalSpace::qt_assert(const char*, const char*, int)
    {27, 353, 542, 1, Smoke::mf_static, 458, 235},	//235 QGlobalSpace::qHash(long long)
    {27, 182, 544, 1, Smoke::mf_static, 404, 236},	//236 QGlobalSpace::operator-(const QQuaternion&)
    {27, 166, 546, 2, Smoke::mf_static, 356, 237},	//237 QGlobalSpace::operator!=(const QString&, QString::Null)
    {27, 223, 549, 2, Smoke::mf_static, 65, 238},	//238 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    {27, 343, 552, 2, Smoke::mf_static, 356, 239},	//239 QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    {27, 223, 555, 2, Smoke::mf_static, 151, 240},	//240 QGlobalSpace::operator|(QMainWindow::DockOption, int)
    {27, 217, 558, 2, Smoke::mf_static, 26, 241},	//241 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {27, 223, 561, 2, Smoke::mf_static, 151, 242},	//242 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {27, 394, 328, 3, Smoke::mf_static, 458, 243},	//243 QGlobalSpace::qRgb(int, int, int)
    {27, 223, 564, 2, Smoke::mf_static, 97, 244},	//244 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {27, 177, 567, 2, Smoke::mf_static, 418, 245},	//245 QGlobalSpace::operator+(const QString&, char)
    {27, 166, 134, 2, Smoke::mf_static, 356, 246},	//246 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {27, 173, 570, 2, Smoke::mf_static, 187, 247},	//247 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {27, 182, 81, 2, Smoke::mf_static, 400, 248},	//248 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {27, 202, 397, 2, Smoke::mf_static, 356, 249},	//249 QGlobalSpace::operator==(QString::Null, QString::Null)
    {27, 223, 573, 2, Smoke::mf_static, 113, 250},	//250 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {27, 223, 576, 2, Smoke::mf_static, 79, 251},	//251 QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    {27, 223, 579, 2, Smoke::mf_static, 107, 252},	//252 QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    {27, 217, 582, 2, Smoke::mf_static, 26, 253},	//253 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {27, 188, 445, 2, Smoke::mf_static, 356, 254},	//254 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {27, 237, 0, 0, Smoke::mf_static, 8, 255},	//255 QGlobalSpace::qAccessibleTableCastHelper()
    {27, 223, 585, 2, Smoke::mf_static, 123, 256},	//256 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {27, 277, 588, 8, Smoke::mf_static, 0, 257},	//257 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int, const QBrush*)
    {27, 277, 597, 6, Smoke::mf_static, 0, 258},	//258 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&)
    {27, 277, 604, 7, Smoke::mf_static, 0, 259},	//259 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int)
    {27, 346, 96, 1, Smoke::mf_static, 356, 260},	//260 QGlobalSpace::qFuzzyIsNull(float)
    {27, 173, 612, 2, Smoke::mf_static, 404, 261},	//261 QGlobalSpace::operator*(const QQuaternion&, double)
    {27, 223, 615, 2, Smoke::mf_static, 117, 262},	//262 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {27, 442, 618, 2, Smoke::mf_static, 358, 263},	//263 QGlobalSpace::qstrcpy(char*, const char*)
    {27, 353, 347, 1, Smoke::mf_static, 458, 264},	//264 QGlobalSpace::qHash(int)
    {27, 177, 81, 2, Smoke::mf_static, 400, 265},	//265 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {27, 173, 621, 2, Smoke::mf_static, 207, 266},	//266 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {27, 223, 624, 2, Smoke::mf_static, 108, 267},	//267 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {27, 202, 290, 2, Smoke::mf_static, 356, 268},	//268 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {27, 182, 627, 1, Smoke::mf_static, 398, 269},	//269 QGlobalSpace::operator-(const QPoint&)
    {27, 223, 629, 2, Smoke::mf_static, 151, 270},	//270 QGlobalSpace::operator|(Qt::DropAction, int)
    {27, 193, 632, 2, Smoke::mf_static, 26, 271},	//271 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {27, 223, 635, 2, Smoke::mf_static, 151, 272},	//272 QGlobalSpace::operator|(QDir::SortFlag, int)
    {27, 327, 9, 1, Smoke::mf_static, 447, 273},	//273 QGlobalSpace::qExp(double)
    {27, 407, 347, 1, Smoke::mf_static, 252, 274},	//274 QGlobalSpace::qSetRealNumberPrecision(int)
    {27, 202, 638, 2, Smoke::mf_static, 356, 275},	//275 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {27, 371, 9, 1, Smoke::mf_static, 447, 276},	//276 QGlobalSpace::qLn(double)
    {27, 177, 23, 2, Smoke::mf_static, 438, 277},	//277 QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    {27, 302, 641, 7, Smoke::mf_static, 0, 278},	//278 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*)
    {27, 302, 649, 3, Smoke::mf_static, 0, 279},	//279 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&)
    {27, 302, 653, 4, Smoke::mf_static, 0, 280},	//280 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool)
    {27, 302, 658, 5, Smoke::mf_static, 0, 281},	//281 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int)
    {27, 302, 664, 6, Smoke::mf_static, 0, 282},	//282 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int)
    {27, 193, 671, 2, Smoke::mf_static, 26, 283},	//283 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {27, 173, 674, 2, Smoke::mf_static, 269, 284},	//284 QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    {27, 223, 677, 2, Smoke::mf_static, 151, 285},	//285 QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    {27, 166, 290, 2, Smoke::mf_static, 356, 286},	//286 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {27, 390, 680, 1, Smoke::mf_static, 0, 287},	//287 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {27, 193, 682, 2, Smoke::mf_static, 30, 288},	//288 QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    {27, 193, 685, 2, Smoke::mf_static, 30, 289},	//289 QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    {27, 223, 688, 2, Smoke::mf_static, 58, 290},	//290 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    {27, 258, 26, 2, Smoke::mf_static, 461, 291},	//291 QGlobalSpace::qChecksum(const char*, unsigned int)
    {27, 269, 691, 4, Smoke::mf_static, 0, 292},	//292 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&)
    {27, 186, 696, 2, Smoke::mf_static, 442, 293},	//293 QGlobalSpace::operator/(const QVector4D&, double)
    {27, 193, 699, 2, Smoke::mf_static, 249, 294},	//294 QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    {27, 223, 702, 2, Smoke::mf_static, 116, 295},	//295 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {27, 373, 705, 1, Smoke::mf_static, 465, 296},	//296 QGlobalSpace::qMalloc(size_t)
    {27, 383, 0, 0, Smoke::mf_static, 447, 297},	//297 QGlobalSpace::qQNaN()
    {27, 223, 707, 2, Smoke::mf_static, 109, 298},	//298 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {27, 217, 710, 2, Smoke::mf_static, 26, 299},	//299 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {27, 430, 60, 2, Smoke::mf_static, 356, 300},	//300 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {27, 223, 713, 2, Smoke::mf_static, 94, 301},	//301 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    {27, 223, 716, 2, Smoke::mf_static, 76, 302},	//302 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    {27, 193, 719, 2, Smoke::mf_static, 26, 303},	//303 QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    {27, 193, 722, 2, Smoke::mf_static, 30, 304},	//304 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {27, 223, 725, 2, Smoke::mf_static, 151, 305},	//305 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {27, 254, 317, 1, Smoke::mf_static, 449, 306},	//306 QGlobalSpace::qBlue(unsigned int)
    {27, 223, 728, 2, Smoke::mf_static, 101, 307},	//307 QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    {27, 173, 23, 2, Smoke::mf_static, 438, 308},	//308 QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    {27, 193, 731, 2, Smoke::mf_static, 26, 309},	//309 QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    {27, 193, 734, 2, Smoke::mf_static, 26, 310},	//310 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {27, 313, 737, 5, Smoke::mf_static, 0, 311},	//311 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {27, 313, 649, 3, Smoke::mf_static, 0, 312},	//312 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&)
    {27, 313, 653, 4, Smoke::mf_static, 0, 313},	//313 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool)
    {27, 435, 317, 1, Smoke::mf_static, 0, 314},	//314 QGlobalSpace::qsrand(unsigned int)
    {27, 166, 201, 2, Smoke::mf_static, 356, 315},	//315 QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    {27, 223, 743, 2, Smoke::mf_static, 151, 316},	//316 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    {27, 353, 746, 1, Smoke::mf_static, 458, 317},	//317 QGlobalSpace::qHash(long)
    {27, 193, 748, 2, Smoke::mf_static, 26, 318},	//318 QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    {27, 207, 4, 2, Smoke::mf_static, 356, 319},	//319 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {27, 353, 751, 1, Smoke::mf_static, 458, 320},	//320 QGlobalSpace::qHash(unsigned short)
    {27, 223, 753, 2, Smoke::mf_static, 100, 321},	//321 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    {27, 217, 756, 2, Smoke::mf_static, 26, 322},	//322 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {27, 166, 81, 2, Smoke::mf_static, 356, 323},	//323 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {27, 223, 759, 2, Smoke::mf_static, 83, 324},	//324 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    {27, 193, 762, 2, Smoke::mf_static, 26, 325},	//325 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {27, 223, 765, 2, Smoke::mf_static, 62, 326},	//326 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {27, 223, 768, 2, Smoke::mf_static, 75, 327},	//327 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    {27, 182, 23, 2, Smoke::mf_static, 438, 328},	//328 QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    {27, 293, 771, 6, Smoke::mf_static, 0, 329},	//329 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*)
    {27, 293, 649, 3, Smoke::mf_static, 0, 330},	//330 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&)
    {27, 293, 653, 4, Smoke::mf_static, 0, 331},	//331 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool)
    {27, 293, 658, 5, Smoke::mf_static, 0, 332},	//332 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int)
    {27, 454, 364, 3, Smoke::mf_static, 449, 333},	//333 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {27, 177, 778, 2, Smoke::mf_static, 418, 334},	//334 QGlobalSpace::operator+(char, const QString&)
    {27, 217, 781, 2, Smoke::mf_static, 26, 335},	//335 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {27, 202, 174, 2, Smoke::mf_static, 356, 336},	//336 QGlobalSpace::operator==(QString::Null, const QString&)
    {27, 217, 784, 2, Smoke::mf_static, 26, 337},	//337 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {27, 202, 368, 2, Smoke::mf_static, 356, 338},	//338 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {27, 223, 787, 2, Smoke::mf_static, 93, 339},	//339 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    {27, 223, 790, 2, Smoke::mf_static, 151, 340},	//340 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    {27, 177, 445, 2, Smoke::mf_static, 362, 341},	//341 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {27, 223, 793, 2, Smoke::mf_static, 100, 342},	//342 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    {27, 353, 796, 1, Smoke::mf_static, 458, 343},	//343 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {27, 207, 325, 2, Smoke::mf_static, 356, 344},	//344 QGlobalSpace::operator>(const char*, const QString&)
    {27, 193, 798, 2, Smoke::mf_static, 30, 345},	//345 QGlobalSpace::operator<<(QDebug, const QRegion&)
    {27, 193, 801, 2, Smoke::mf_static, 26, 346},	//346 QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    {27, 193, 804, 2, Smoke::mf_static, 26, 347},	//347 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {27, 193, 807, 2, Smoke::mf_static, 26, 348},	//348 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {27, 193, 810, 2, Smoke::mf_static, 26, 349},	//349 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {27, 217, 813, 2, Smoke::mf_static, 26, 350},	//350 QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    {27, 476, 816, 3, Smoke::mf_static, 178, 351},	//351 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {27, 293, 820, 9, Smoke::mf_static, 0, 352},	//352 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*)
    {27, 293, 266, 6, Smoke::mf_static, 0, 353},	//353 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&)
    {27, 293, 273, 7, Smoke::mf_static, 0, 354},	//354 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {27, 293, 830, 8, Smoke::mf_static, 0, 355},	//355 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {27, 223, 839, 2, Smoke::mf_static, 87, 356},	//356 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {27, 217, 842, 2, Smoke::mf_static, 26, 357},	//357 QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    {27, 223, 845, 2, Smoke::mf_static, 151, 358},	//358 QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    {27, 186, 848, 2, Smoke::mf_static, 438, 359},	//359 QGlobalSpace::operator/(const QVector2D&, double)
    {27, 223, 851, 2, Smoke::mf_static, 91, 360},	//360 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    {27, 186, 854, 2, Smoke::mf_static, 400, 361},	//361 QGlobalSpace::operator/(const QPointF&, double)
    {27, 166, 857, 2, Smoke::mf_static, 356, 362},	//362 QGlobalSpace::operator!=(bool, QBool)
    {27, 202, 358, 2, Smoke::mf_static, 356, 363},	//363 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {27, 223, 860, 2, Smoke::mf_static, 72, 364},	//364 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    {27, 186, 863, 2, Smoke::mf_static, 440, 365},	//365 QGlobalSpace::operator/(const QVector3D&, double)
    {27, 223, 866, 2, Smoke::mf_static, 75, 366},	//366 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    {27, 223, 869, 2, Smoke::mf_static, 76, 367},	//367 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    {27, 452, 872, 3, Smoke::mf_static, 358, 368},	//368 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {27, 173, 876, 2, Smoke::mf_static, 438, 369},	//369 QGlobalSpace::operator*(double, const QVector2D&)
    {27, 182, 879, 1, Smoke::mf_static, 442, 370},	//370 QGlobalSpace::operator-(const QVector4D&)
    {27, 223, 881, 2, Smoke::mf_static, 104, 371},	//371 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    {27, 217, 884, 2, Smoke::mf_static, 26, 372},	//372 QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    {27, 419, 151, 1, Smoke::mf_static, 16, 373},	//373 QGlobalSpace::qUncompress(const QByteArray&)
    {27, 223, 887, 2, Smoke::mf_static, 94, 374},	//374 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    {27, 186, 225, 2, Smoke::mf_static, 255, 375},	//375 QGlobalSpace::operator/(const QTransform&, double)
    {27, 223, 890, 2, Smoke::mf_static, 151, 376},	//376 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    {27, 343, 14, 2, Smoke::mf_static, 356, 377},	//377 QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    {27, 223, 893, 2, Smoke::mf_static, 151, 378},	//378 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    {27, 193, 896, 2, Smoke::mf_static, 26, 379},	//379 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {27, 217, 899, 2, Smoke::mf_static, 26, 380},	//380 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {27, 234, 0, 0, Smoke::mf_static, 8, 381},	//381 QGlobalSpace::qAccessibleActionCastHelper()
    {27, 173, 902, 2, Smoke::mf_static, 195, 382},	//382 QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    {27, 223, 905, 2, Smoke::mf_static, 151, 383},	//383 QGlobalSpace::operator|(Qt::MouseButton, int)
    {27, 217, 908, 2, Smoke::mf_static, 26, 384},	//384 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {27, 182, 911, 1, Smoke::mf_static, 400, 385},	//385 QGlobalSpace::operator-(const QPointF&)
    {27, 193, 913, 2, Smoke::mf_static, 30, 386},	//386 QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    {27, 223, 916, 2, Smoke::mf_static, 48, 387},	//387 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    {27, 202, 857, 2, Smoke::mf_static, 356, 388},	//388 QGlobalSpace::operator==(bool, QBool)
    {27, 217, 919, 2, Smoke::mf_static, 26, 389},	//389 QGlobalSpace::operator>>(QDataStream&, QPicture&)
    {27, 223, 922, 2, Smoke::mf_static, 151, 390},	//390 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    {27, 432, 0, 0, Smoke::mf_static, 449, 391},	//391 QGlobalSpace::qrand()
    {27, 193, 925, 2, Smoke::mf_static, 30, 392},	//392 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {27, 173, 928, 2, Smoke::mf_static, 199, 393},	//393 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {27, 217, 931, 2, Smoke::mf_static, 26, 394},	//394 QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    {27, 223, 934, 2, Smoke::mf_static, 52, 395},	//395 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    {27, 463, 937, 4, Smoke::mf_static, 0, 396},	//396 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {27, 171, 442, 2, Smoke::mf_static, 12, 397},	//397 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {27, 212, 60, 2, Smoke::mf_static, 356, 398},	//398 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {27, 223, 942, 2, Smoke::mf_static, 63, 399},	//399 QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    {27, 223, 945, 2, Smoke::mf_static, 102, 400},	//400 QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    {27, 223, 948, 2, Smoke::mf_static, 118, 401},	//401 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {27, 193, 951, 2, Smoke::mf_static, 26, 402},	//402 QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    {27, 343, 954, 2, Smoke::mf_static, 356, 403},	//403 QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    {27, 223, 957, 2, Smoke::mf_static, 151, 404},	//404 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {27, 166, 960, 2, Smoke::mf_static, 356, 405},	//405 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {27, 433, 963, 4, Smoke::mf_static, 0, 406},	//406 QGlobalSpace::qsort(void*, size_t, size_t, __compar_fn_t)
    {27, 396, 968, 4, Smoke::mf_static, 458, 407},	//407 QGlobalSpace::qRgba(int, int, int, int)
    {27, 267, 0, 0, Smoke::mf_static, 30, 408},	//408 QGlobalSpace::qCritical()
    {27, 173, 696, 2, Smoke::mf_static, 442, 409},	//409 QGlobalSpace::operator*(const QVector4D&, double)
    {27, 217, 973, 2, Smoke::mf_static, 26, 410},	//410 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {27, 193, 976, 2, Smoke::mf_static, 30, 411},	//411 QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    {27, 193, 979, 2, Smoke::mf_static, 26, 412},	//412 QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    {27, 223, 982, 2, Smoke::mf_static, 112, 413},	//413 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {27, 166, 60, 2, Smoke::mf_static, 356, 414},	//414 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {27, 166, 210, 2, Smoke::mf_static, 356, 415},	//415 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {27, 188, 33, 2, Smoke::mf_static, 356, 416},	//416 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {27, 173, 985, 2, Smoke::mf_static, 442, 417},	//417 QGlobalSpace::operator*(double, const QVector4D&)
    {27, 223, 988, 2, Smoke::mf_static, 151, 418},	//418 QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    {27, 223, 991, 2, Smoke::mf_static, 81, 419},	//419 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    {27, 274, 994, 5, Smoke::mf_static, 0, 420},	//420 QGlobalSpace::qDrawPixmaps(QPainter*, const QDrawPixmaps::Data*, int, const QPixmap&, QFlags<QDrawPixmaps::DrawingHint>)
    {27, 274, 1000, 4, Smoke::mf_static, 0, 421},	//421 QGlobalSpace::qDrawPixmaps(QPainter*, const QDrawPixmaps::Data*, int, const QPixmap&)
    {27, 202, 960, 2, Smoke::mf_static, 356, 422},	//422 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {27, 193, 1005, 2, Smoke::mf_static, 26, 423},	//423 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {27, 193, 1008, 2, Smoke::mf_static, 30, 424},	//424 QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    {27, 177, 1011, 2, Smoke::mf_static, 362, 425},	//425 QGlobalSpace::operator+(const QByteArray&, char)
    {27, 223, 1014, 2, Smoke::mf_static, 57, 426},	//426 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {27, 223, 1017, 2, Smoke::mf_static, 55, 427},	//427 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {27, 217, 1020, 2, Smoke::mf_static, 26, 428},	//428 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {27, 186, 1023, 2, Smoke::mf_static, 413, 429},	//429 QGlobalSpace::operator/(const QSizeF&, double)
    {27, 212, 358, 2, Smoke::mf_static, 356, 430},	//430 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {27, 202, 296, 2, Smoke::mf_static, 356, 431},	//431 QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    {27, 193, 1026, 2, Smoke::mf_static, 26, 432},	//432 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {27, 223, 1029, 2, Smoke::mf_static, 151, 433},	//433 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    {27, 202, 210, 2, Smoke::mf_static, 356, 434},	//434 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {27, 242, 1032, 1, Smoke::mf_static, 0, 435},	//435 QGlobalSpace::qAddPostRoutine(void(*)())
    {27, 260, 1034, 3, Smoke::mf_static, 16, 436},	//436 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {27, 260, 361, 2, Smoke::mf_static, 16, 437},	//437 QGlobalSpace::qCompress(const unsigned char*, int)
    {27, 223, 1038, 2, Smoke::mf_static, 86, 438},	//438 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {27, 197, 60, 2, Smoke::mf_static, 356, 439},	//439 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {27, 333, 9, 1, Smoke::mf_static, 447, 440},	//440 QGlobalSpace::qFastSin(double)
    {27, 197, 4, 2, Smoke::mf_static, 356, 441},	//441 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {27, 193, 1041, 2, Smoke::mf_static, 26, 442},	//442 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {27, 217, 1044, 2, Smoke::mf_static, 26, 443},	//443 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {27, 223, 1047, 2, Smoke::mf_static, 54, 444},	//444 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    {27, 217, 1050, 2, Smoke::mf_static, 26, 445},	//445 QGlobalSpace::operator>>(QDataStream&, QString&)
    {27, 186, 612, 2, Smoke::mf_static, 404, 446},	//446 QGlobalSpace::operator/(const QQuaternion&, double)
    {27, 246, 0, 0, Smoke::mf_static, 218, 447},	//447 QGlobalSpace::qAppName()
    {27, 422, 0, 0, Smoke::mf_static, 444, 448},	//448 QGlobalSpace::qVersion()
    {27, 223, 1053, 2, Smoke::mf_static, 88, 449},	//449 QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    {27, 193, 1056, 2, Smoke::mf_static, 26, 450},	//450 QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    {27, 223, 1059, 2, Smoke::mf_static, 151, 451},	//451 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    {27, 339, 1062, 1, Smoke::mf_static, 0, 452},	//452 QGlobalSpace::qFree(void*)
    {27, 193, 1064, 2, Smoke::mf_static, 30, 453},	//453 QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {27, 173, 1067, 2, Smoke::mf_static, 161, 454},	//454 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {27, 193, 1070, 2, Smoke::mf_static, 26, 455},	//455 QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    {27, 223, 1073, 2, Smoke::mf_static, 151, 456},	//456 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {27, 341, 1062, 1, Smoke::mf_static, 0, 457},	//457 QGlobalSpace::qFreeAligned(void*)
    {27, 217, 1076, 2, Smoke::mf_static, 26, 458},	//458 QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    {27, 202, 546, 2, Smoke::mf_static, 356, 459},	//459 QGlobalSpace::operator==(const QString&, QString::Null)
    {27, 193, 1079, 2, Smoke::mf_static, 30, 460},	//460 QGlobalSpace::operator<<(QDebug, const QDir&)
    {27, 193, 1082, 2, Smoke::mf_static, 249, 461},	//461 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {27, 188, 93, 2, Smoke::mf_static, 356, 462},	//462 QGlobalSpace::operator<(const QByteArray&, const char*)
    {27, 193, 1085, 2, Smoke::mf_static, 30, 463},	//463 QGlobalSpace::operator<<(QDebug, const QPen&)
    {27, 173, 1088, 2, Smoke::mf_static, 404, 464},	//464 QGlobalSpace::operator*(double, const QQuaternion&)
    {27, 173, 848, 2, Smoke::mf_static, 438, 465},	//465 QGlobalSpace::operator*(const QVector2D&, double)
    {27, 193, 1091, 2, Smoke::mf_static, 30, 466},	//466 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {27, 166, 296, 2, Smoke::mf_static, 356, 467},	//467 QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    {27, 223, 1094, 2, Smoke::mf_static, 69, 468},	//468 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {27, 193, 1097, 2, Smoke::mf_static, 30, 469},	//469 QGlobalSpace::operator<<(QDebug, const QVector3D&)
    {27, 223, 1100, 2, Smoke::mf_static, 101, 470},	//470 QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    {27, 223, 1103, 2, Smoke::mf_static, 61, 471},	//471 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {27, 173, 863, 2, Smoke::mf_static, 440, 472},	//472 QGlobalSpace::operator*(const QVector3D&, double)
    {27, 353, 1106, 1, Smoke::mf_static, 458, 473},	//473 QGlobalSpace::qHash(const QBitArray&)
    {27, 193, 1108, 2, Smoke::mf_static, 30, 474},	//474 QGlobalSpace::operator<<(QDebug, const QVector2D&)
    {27, 223, 1111, 2, Smoke::mf_static, 74, 475},	//475 QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    {27, 193, 1114, 2, Smoke::mf_static, 30, 476},	//476 QGlobalSpace::operator<<(QDebug, const QTime&)
    {27, 193, 1117, 2, Smoke::mf_static, 249, 477},	//477 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {27, 256, 9, 1, Smoke::mf_static, 449, 478},	//478 QGlobalSpace::qCeil(double)
    {27, 193, 1120, 2, Smoke::mf_static, 30, 479},	//479 QGlobalSpace::operator<<(QDebug, const QVector4D&)
    {27, 217, 1123, 2, Smoke::mf_static, 26, 480},	//480 QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    {27, 166, 140, 2, Smoke::mf_static, 356, 481},	//481 QGlobalSpace::operator!=(QChar, QChar)
    {27, 223, 1126, 2, Smoke::mf_static, 111, 482},	//482 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {27, 414, 1129, 2, Smoke::mf_static, 356, 483},	//483 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {27, 444, 98, 1, Smoke::mf_static, 358, 484},	//484 QGlobalSpace::qstrdup(const char*)
    {27, 223, 1132, 2, Smoke::mf_static, 151, 485},	//485 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    {27, 223, 1135, 2, Smoke::mf_static, 86, 486},	//486 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {27, 236, 0, 0, Smoke::mf_static, 8, 487},	//487 QGlobalSpace::qAccessibleImageCastHelper()
    {27, 223, 1138, 2, Smoke::mf_static, 106, 488},	//488 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {27, 217, 1141, 2, Smoke::mf_static, 26, 489},	//489 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {27, 217, 1144, 2, Smoke::mf_static, 26, 490},	//490 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {27, 197, 325, 2, Smoke::mf_static, 356, 491},	//491 QGlobalSpace::operator<=(const char*, const QString&)
    {27, 166, 490, 2, Smoke::mf_static, 356, 492},	//492 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {27, 217, 1147, 2, Smoke::mf_static, 26, 493},	//493 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {27, 223, 1150, 2, Smoke::mf_static, 49, 494},	//494 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    {27, 193, 1153, 2, Smoke::mf_static, 26, 495},	//495 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {27, 223, 1156, 2, Smoke::mf_static, 95, 496},	//496 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    {27, 223, 1159, 2, Smoke::mf_static, 151, 497},	//497 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    {27, 268, 0, 0, Smoke::mf_static, 30, 498},	//498 QGlobalSpace::qDebug()
    {27, 375, 1162, 2, Smoke::mf_static, 465, 499},	//499 QGlobalSpace::qMallocAligned(size_t, size_t)
    {27, 223, 1165, 2, Smoke::mf_static, 70, 500},	//500 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    {27, 173, 1168, 2, Smoke::mf_static, 193, 501},	//501 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {27, 166, 1129, 2, Smoke::mf_static, 356, 502},	//502 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {27, 351, 317, 1, Smoke::mf_static, 449, 503},	//503 QGlobalSpace::qGreen(unsigned int)
    {27, 381, 87, 2, Smoke::mf_static, 447, 504},	//504 QGlobalSpace::qPow(double, double)
    {27, 197, 33, 2, Smoke::mf_static, 356, 505},	//505 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {27, 193, 1171, 2, Smoke::mf_static, 30, 506},	//506 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {27, 223, 1174, 2, Smoke::mf_static, 151, 507},	//507 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {27, 217, 1082, 2, Smoke::mf_static, 249, 508},	//508 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {27, 177, 1177, 2, Smoke::mf_static, 362, 509},	//509 QGlobalSpace::operator+(char, const QByteArray&)
    {27, 223, 1180, 2, Smoke::mf_static, 151, 510},	//510 QGlobalSpace::operator|(QStyle::StateFlag, int)
    {27, 202, 60, 2, Smoke::mf_static, 356, 511},	//511 QGlobalSpace::operator==(const char*, const QByteArray&)
    {27, 193, 1183, 2, Smoke::mf_static, 26, 512},	//512 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {27, 223, 1186, 2, Smoke::mf_static, 95, 513},	//513 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    {27, 182, 51, 2, Smoke::mf_static, 411, 514},	//514 QGlobalSpace::operator-(const QSize&, const QSize&)
    {27, 193, 1189, 2, Smoke::mf_static, 30, 515},	//515 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {27, 177, 325, 2, Smoke::mf_static, 418, 516},	//516 QGlobalSpace::operator+(const char*, const QString&)
    {27, 223, 1192, 2, Smoke::mf_static, 51, 517},	//517 QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    {27, 223, 1195, 2, Smoke::mf_static, 85, 518},	//518 QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    {27, 223, 1198, 2, Smoke::mf_static, 151, 519},	//519 QGlobalSpace::operator|(Qt::WindowState, int)
    {27, 217, 1201, 2, Smoke::mf_static, 26, 520},	//520 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {27, 217, 1204, 2, Smoke::mf_static, 26, 521},	//521 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {27, 223, 1207, 2, Smoke::mf_static, 53, 522},	//522 QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    {27, 166, 638, 2, Smoke::mf_static, 356, 523},	//523 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {27, 223, 1210, 2, Smoke::mf_static, 102, 524},	//524 QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    {27, 193, 1213, 2, Smoke::mf_static, 30, 525},	//525 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {27, 223, 1216, 2, Smoke::mf_static, 115, 526},	//526 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {27, 173, 1219, 2, Smoke::mf_static, 400, 527},	//527 QGlobalSpace::operator*(double, const QPointF&)
    {27, 223, 1222, 2, Smoke::mf_static, 110, 528},	//528 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {27, 173, 1225, 2, Smoke::mf_static, 207, 529},	//529 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {27, 202, 4, 2, Smoke::mf_static, 356, 530},	//530 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {27, 173, 1228, 2, Smoke::mf_static, 411, 531},	//531 QGlobalSpace::operator*(const QSize&, double)
    {27, 193, 1231, 2, Smoke::mf_static, 30, 532},	//532 QGlobalSpace::operator<<(QDebug, const QDate&)
    {27, 343, 23, 2, Smoke::mf_static, 356, 533},	//533 QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    {27, 173, 1234, 2, Smoke::mf_static, 187, 534},	//534 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {27, 223, 1237, 2, Smoke::mf_static, 51, 535},	//535 QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    {27, 223, 1240, 2, Smoke::mf_static, 55, 536},	//536 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {27, 482, 1243, 4, Smoke::mf_static, 449, 537},	//537 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {27, 173, 1248, 2, Smoke::mf_static, 398, 538},	//538 QGlobalSpace::operator*(double, const QPoint&)
    {27, 173, 1251, 2, Smoke::mf_static, 199, 539},	//539 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {27, 379, 1254, 3, Smoke::mf_static, 465, 540},	//540 QGlobalSpace::qMemSet(void*, int, size_t)
    {27, 193, 1258, 2, Smoke::mf_static, 26, 541},	//541 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {27, 465, 1261, 2, Smoke::mf_static, 0, 542},	//542 QGlobalSpace::qt_check_pointer(const char*, int)
    {27, 320, 737, 5, Smoke::mf_static, 0, 543},	//543 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {27, 320, 649, 3, Smoke::mf_static, 0, 544},	//544 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&)
    {27, 320, 653, 4, Smoke::mf_static, 0, 545},	//545 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool)
    {27, 353, 1264, 1, Smoke::mf_static, 458, 546},	//546 QGlobalSpace::qHash(short)
    {27, 223, 1266, 2, Smoke::mf_static, 81, 547},	//547 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    {27, 223, 1269, 2, Smoke::mf_static, 73, 548},	//548 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {27, 329, 9, 1, Smoke::mf_static, 447, 549},	//549 QGlobalSpace::qFabs(double)
    {27, 223, 1272, 2, Smoke::mf_static, 109, 550},	//550 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {27, 223, 1275, 2, Smoke::mf_static, 56, 551},	//551 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {27, 437, 445, 2, Smoke::mf_static, 449, 552},	//552 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {27, 343, 1278, 2, Smoke::mf_static, 356, 553},	//553 QGlobalSpace::qFuzzyCompare(float, float)
    {27, 202, 1281, 2, Smoke::mf_static, 356, 554},	//554 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {27, 223, 1284, 2, Smoke::mf_static, 151, 555},	//555 QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    {27, 223, 1287, 2, Smoke::mf_static, 77, 556},	//556 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {27, 426, 1290, 3, Smoke::mf_static, 358, 557},	//557 QGlobalSpace::qgcvt(long double, int, char*)
    {27, 223, 1294, 2, Smoke::mf_static, 104, 558},	//558 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    {27, 223, 1297, 2, Smoke::mf_static, 92, 559},	//559 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    {27, 223, 1300, 2, Smoke::mf_static, 72, 560},	//560 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    {27, 240, 9, 1, Smoke::mf_static, 447, 561},	//561 QGlobalSpace::qAcos(double)
    {27, 223, 1303, 2, Smoke::mf_static, 151, 562},	//562 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {27, 223, 1306, 2, Smoke::mf_static, 113, 563},	//563 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {27, 223, 1309, 2, Smoke::mf_static, 151, 564},	//564 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    {27, 193, 1312, 2, Smoke::mf_static, 26, 565},	//565 QGlobalSpace::operator<<(QDataStream&, const QPen&)
    {27, 212, 445, 2, Smoke::mf_static, 356, 566},	//566 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {27, 223, 1315, 2, Smoke::mf_static, 84, 567},	//567 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    {27, 217, 1318, 2, Smoke::mf_static, 26, 568},	//568 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {27, 253, 0, 0, Smoke::mf_static, 0, 569},	//569 QGlobalSpace::qBadAlloc()
    {27, 193, 1321, 2, Smoke::mf_static, 30, 570},	//570 QGlobalSpace::operator<<(QDebug, const QLine&)
    {27, 223, 1324, 2, Smoke::mf_static, 119, 571},	//571 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {27, 302, 1327, 10, Smoke::mf_static, 0, 572},	//572 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*)
    {27, 302, 266, 6, Smoke::mf_static, 0, 573},	//573 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&)
    {27, 302, 273, 7, Smoke::mf_static, 0, 574},	//574 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool)
    {27, 302, 830, 8, Smoke::mf_static, 0, 575},	//575 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {27, 302, 1338, 9, Smoke::mf_static, 0, 576},	//576 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {27, 223, 1348, 2, Smoke::mf_static, 151, 577},	//577 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {27, 217, 1351, 2, Smoke::mf_static, 26, 578},	//578 QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    {27, 193, 1354, 2, Smoke::mf_static, 30, 579},	//579 QGlobalSpace::operator<<(QDebug, const QTransform&)
    {27, 223, 1357, 2, Smoke::mf_static, 151, 580},	//580 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    {27, 346, 9, 1, Smoke::mf_static, 356, 581},	//581 QGlobalSpace::qFuzzyIsNull(double)
    {27, 260, 1360, 2, Smoke::mf_static, 16, 582},	//582 QGlobalSpace::qCompress(const QByteArray&, int)
    {27, 260, 151, 1, Smoke::mf_static, 16, 583},	//583 QGlobalSpace::qCompress(const QByteArray&)
    {27, 193, 1363, 2, Smoke::mf_static, 30, 584},	//584 QGlobalSpace::operator<<(QDebug, const QPolygon&)
    {27, 223, 1366, 2, Smoke::mf_static, 105, 585},	//585 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {27, 223, 1369, 2, Smoke::mf_static, 151, 586},	//586 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    {27, 223, 1372, 2, Smoke::mf_static, 151, 587},	//587 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {27, 223, 1375, 2, Smoke::mf_static, 70, 588},	//588 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    {27, 223, 1378, 2, Smoke::mf_static, 151, 589},	//589 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {27, 223, 1381, 2, Smoke::mf_static, 122, 590},	//590 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {27, 223, 1384, 2, Smoke::mf_static, 151, 591},	//591 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    {27, 182, 1387, 1, Smoke::mf_static, 438, 592},	//592 QGlobalSpace::operator-(const QVector2D&)
    {27, 223, 1389, 2, Smoke::mf_static, 46, 593},	//593 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {27, 193, 1392, 2, Smoke::mf_static, 26, 594},	//594 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {27, 173, 1395, 2, Smoke::mf_static, 170, 595},	//595 QGlobalSpace::operator*(double, const QMatrix4x4&)
    {27, 193, 1398, 2, Smoke::mf_static, 26, 596},	//596 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {27, 284, 1338, 9, Smoke::mf_static, 0, 597},	//597 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {27, 284, 266, 6, Smoke::mf_static, 0, 598},	//598 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&)
    {27, 284, 273, 7, Smoke::mf_static, 0, 599},	//599 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool)
    {27, 284, 830, 8, Smoke::mf_static, 0, 600},	//600 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {27, 223, 1401, 2, Smoke::mf_static, 50, 601},	//601 QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    {27, 173, 1404, 2, Smoke::mf_static, 159, 602},	//602 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {27, 193, 1407, 2, Smoke::mf_static, 26, 603},	//603 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {27, 247, 9, 1, Smoke::mf_static, 447, 604},	//604 QGlobalSpace::qAsin(double)
    {27, 193, 1410, 2, Smoke::mf_static, 30, 605},	//605 QGlobalSpace::operator<<(QDebug, const QRect&)
    {27, 193, 1413, 2, Smoke::mf_static, 30, 606},	//606 QGlobalSpace::operator<<(QDebug, const QFont&)
    {27, 223, 1416, 2, Smoke::mf_static, 56, 607},	//607 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {27, 223, 1419, 2, Smoke::mf_static, 52, 608},	//608 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    {27, 223, 1422, 2, Smoke::mf_static, 151, 609},	//609 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    {27, 166, 436, 2, Smoke::mf_static, 356, 610},	//610 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {27, 410, 9, 1, Smoke::mf_static, 447, 611},	//611 QGlobalSpace::qSin(double)
    {27, 223, 1425, 2, Smoke::mf_static, 151, 612},	//612 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {27, 202, 445, 2, Smoke::mf_static, 356, 613},	//613 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {27, 217, 1428, 2, Smoke::mf_static, 26, 614},	//614 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {27, 223, 1431, 2, Smoke::mf_static, 80, 615},	//615 QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    {27, 223, 442, 2, Smoke::mf_static, 12, 616},	//616 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {27, 193, 1434, 2, Smoke::mf_static, 26, 617},	//617 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {27, 343, 20, 2, Smoke::mf_static, 356, 618},	//618 QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    {27, 313, 257, 8, Smoke::mf_static, 0, 619},	//619 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {27, 313, 266, 6, Smoke::mf_static, 0, 620},	//620 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&)
    {27, 313, 273, 7, Smoke::mf_static, 0, 621},	//621 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool)
    {27, 193, 1437, 2, Smoke::mf_static, 26, 622},	//622 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {27, 223, 1440, 2, Smoke::mf_static, 64, 623},	//623 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    {27, 202, 1443, 2, Smoke::mf_static, 356, 624},	//624 QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    {27, 223, 1446, 2, Smoke::mf_static, 65, 625},	//625 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    {27, 223, 1449, 2, Smoke::mf_static, 88, 626},	//626 QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    {27, 223, 1452, 2, Smoke::mf_static, 151, 627},	//627 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {27, 217, 1455, 2, Smoke::mf_static, 26, 628},	//628 QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    {27, 193, 1458, 2, Smoke::mf_static, 26, 629},	//629 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {27, 458, 1261, 2, Smoke::mf_static, 218, 630},	//630 QGlobalSpace::qtTrId(const char*, int)
    {27, 458, 98, 1, Smoke::mf_static, 218, 631},	//631 QGlobalSpace::qtTrId(const char*)
    {27, 223, 1461, 2, Smoke::mf_static, 151, 632},	//632 QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    {27, 223, 1464, 2, Smoke::mf_static, 98, 633},	//633 QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    {27, 182, 1467, 1, Smoke::mf_static, 440, 634},	//634 QGlobalSpace::operator-(const QVector3D&)
    {27, 193, 1469, 2, Smoke::mf_static, 30, 635},	//635 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {27, 197, 140, 2, Smoke::mf_static, 356, 636},	//636 QGlobalSpace::operator<=(QChar, QChar)
    {27, 223, 1472, 2, Smoke::mf_static, 122, 637},	//637 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {27, 363, 317, 1, Smoke::mf_static, 356, 638},	//638 QGlobalSpace::qIsGray(unsigned int)
    {27, 223, 1475, 2, Smoke::mf_static, 68, 639},	//639 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    {27, 166, 1281, 2, Smoke::mf_static, 356, 640},	//640 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {27, 223, 1478, 2, Smoke::mf_static, 114, 641},	//641 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {27, 217, 1481, 2, Smoke::mf_static, 26, 642},	//642 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {27, 217, 1484, 2, Smoke::mf_static, 26, 643},	//643 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {27, 277, 1487, 5, Smoke::mf_static, 0, 644},	//644 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int, const QBrush*)
    {27, 277, 1493, 3, Smoke::mf_static, 0, 645},	//645 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&)
    {27, 277, 1497, 4, Smoke::mf_static, 0, 646},	//646 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int)
    {27, 217, 1502, 2, Smoke::mf_static, 26, 647},	//647 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {27, 223, 1505, 2, Smoke::mf_static, 69, 648},	//648 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    {27, 223, 1508, 2, Smoke::mf_static, 151, 649},	//649 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    {27, 217, 1511, 2, Smoke::mf_static, 26, 650},	//650 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {27, 223, 1514, 2, Smoke::mf_static, 151, 651},	//651 QGlobalSpace::operator|(QPainter::RenderHint, int)
    {27, 480, 1517, 3, Smoke::mf_static, 356, 652},	//652 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {27, 193, 1521, 2, Smoke::mf_static, 30, 653},	//653 QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    {27, 223, 1524, 2, Smoke::mf_static, 151, 654},	//654 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    {27, 173, 1527, 2, Smoke::mf_static, 193, 655},	//655 QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    {27, 186, 1228, 2, Smoke::mf_static, 411, 656},	//656 QGlobalSpace::operator/(const QSize&, double)
    {27, 173, 1530, 2, Smoke::mf_static, 193, 657},	//657 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {27, 369, 96, 1, Smoke::mf_static, 356, 658},	//658 QGlobalSpace::qIsNull(float)
    {27, 223, 1533, 2, Smoke::mf_static, 48, 659},	//659 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    {27, 478, 1536, 5, Smoke::mf_static, 0, 660},	//660 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {27, 202, 1542, 2, Smoke::mf_static, 356, 661},	//661 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {27, 249, 9, 1, Smoke::mf_static, 447, 662},	//662 QGlobalSpace::qAtan(double)
    {27, 217, 1545, 2, Smoke::mf_static, 26, 663},	//663 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {27, 223, 1548, 2, Smoke::mf_static, 151, 664},	//664 QGlobalSpace::operator|(Qt::Orientation, int)
    {27, 223, 1551, 2, Smoke::mf_static, 96, 665},	//665 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    {27, 343, 87, 2, Smoke::mf_static, 356, 666},	//666 QGlobalSpace::qFuzzyCompare(double, double)
    {27, 173, 1554, 2, Smoke::mf_static, 267, 667},	//667 QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    {27, 166, 33, 2, Smoke::mf_static, 356, 668},	//668 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {27, 193, 1557, 2, Smoke::mf_static, 26, 669},	//669 QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    {27, 193, 1560, 2, Smoke::mf_static, 30, 670},	//670 QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    {27, 284, 1563, 7, Smoke::mf_static, 0, 671},	//671 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int)
    {27, 284, 1571, 4, Smoke::mf_static, 0, 672},	//672 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&)
    {27, 284, 1576, 5, Smoke::mf_static, 0, 673},	//673 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool)
    {27, 284, 1582, 6, Smoke::mf_static, 0, 674},	//674 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int)
    {27, 173, 254, 2, Smoke::mf_static, 398, 675},	//675 QGlobalSpace::operator*(const QPoint&, double)
    {27, 223, 1589, 2, Smoke::mf_static, 111, 676},	//676 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {27, 223, 1592, 2, Smoke::mf_static, 73, 677},	//677 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {27, 402, 0, 0, Smoke::mf_static, 447, 678},	//678 QGlobalSpace::qSNaN()
    {27, 173, 1595, 2, Smoke::mf_static, 195, 679},	//679 QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    {27, 223, 1598, 2, Smoke::mf_static, 151, 680},	//680 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    {27, 202, 93, 2, Smoke::mf_static, 356, 681},	//681 QGlobalSpace::operator==(const QByteArray&, const char*)
    {27, 223, 1601, 2, Smoke::mf_static, 84, 682},	//682 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    {27, 193, 1604, 2, Smoke::mf_static, 26, 683},	//683 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {27, 173, 1023, 2, Smoke::mf_static, 413, 684},	//684 QGlobalSpace::operator*(const QSizeF&, double)
    {27, 223, 1607, 2, Smoke::mf_static, 67, 685},	//685 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    {27, 202, 1129, 2, Smoke::mf_static, 356, 686},	//686 QGlobalSpace::operator==(const QStringRef&, const char*)
    {27, 166, 20, 2, Smoke::mf_static, 356, 687},	//687 QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    {27, 202, 23, 2, Smoke::mf_static, 356, 688},	//688 QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    {27, 173, 1610, 2, Smoke::mf_static, 197, 689},	//689 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {27, 223, 1613, 2, Smoke::mf_static, 151, 690},	//690 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    {27, 173, 1616, 2, Smoke::mf_static, 411, 691},	//691 QGlobalSpace::operator*(double, const QSize&)
    {27, 223, 1619, 2, Smoke::mf_static, 151, 692},	//692 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    {27, 188, 4, 2, Smoke::mf_static, 356, 693},	//693 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {27, 166, 1622, 2, Smoke::mf_static, 356, 694},	//694 QGlobalSpace::operator!=(QBool, bool)
    {27, 223, 1625, 2, Smoke::mf_static, 54, 695},	//695 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    {27, 166, 51, 2, Smoke::mf_static, 356, 696},	//696 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {27, 217, 1628, 2, Smoke::mf_static, 26, 697},	//697 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {27, 193, 1631, 2, Smoke::mf_static, 30, 698},	//698 QGlobalSpace::operator<<(QDebug, const QSize&)
    {27, 166, 358, 2, Smoke::mf_static, 356, 699},	//699 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {27, 223, 1634, 2, Smoke::mf_static, 151, 700},	//700 QGlobalSpace::operator|(QStyle::SubControl, int)
    {27, 223, 1637, 2, Smoke::mf_static, 103, 701},	//701 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {27, 173, 1640, 2, Smoke::mf_static, 161, 702},	//702 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {27, 182, 201, 2, Smoke::mf_static, 404, 703},	//703 QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    {27, 173, 854, 2, Smoke::mf_static, 400, 704},	//704 QGlobalSpace::operator*(const QPointF&, double)
    {27, 446, 186, 2, Smoke::mf_static, 449, 705},	//705 QGlobalSpace::qstricmp(const char*, const char*)
    {27, 223, 1643, 2, Smoke::mf_static, 151, 706},	//706 QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    {27, 223, 1646, 2, Smoke::mf_static, 117, 707},	//707 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {27, 166, 105, 2, Smoke::mf_static, 356, 708},	//708 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {27, 398, 9, 1, Smoke::mf_static, 449, 709},	//709 QGlobalSpace::qRound(double)
    {27, 356, 0, 0, Smoke::mf_static, 447, 710},	//710 QGlobalSpace::qInf()
    {27, 193, 1649, 2, Smoke::mf_static, 26, 711},	//711 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {27, 223, 1652, 2, Smoke::mf_static, 98, 712},	//712 QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    {27, 173, 201, 2, Smoke::mf_static, 404, 713},	//713 QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    {27, 223, 1655, 2, Smoke::mf_static, 151, 714},	//714 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    {27, 223, 1658, 2, Smoke::mf_static, 114, 715},	//715 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {27, 173, 1661, 2, Smoke::mf_static, 195, 716},	//716 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {27, 193, 1664, 2, Smoke::mf_static, 30, 717},	//717 QGlobalSpace::operator<<(QDebug, const QColor&)
    {27, 193, 1667, 2, Smoke::mf_static, 30, 718},	//718 QGlobalSpace::operator<<(QDebug, const QMatrix&)
    {27, 193, 1670, 2, Smoke::mf_static, 26, 719},	//719 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {27, 223, 1673, 2, Smoke::mf_static, 77, 720},	//720 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {27, 223, 1676, 2, Smoke::mf_static, 151, 721},	//721 QGlobalSpace::operator|(Qt::WindowType, int)
    {27, 437, 93, 2, Smoke::mf_static, 449, 722},	//722 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {27, 223, 1679, 2, Smoke::mf_static, 151, 723},	//723 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    {27, 392, 1032, 1, Smoke::mf_static, 0, 724},	//724 QGlobalSpace::qRemovePostRoutine(void(*)())
    {27, 177, 201, 2, Smoke::mf_static, 404, 725},	//725 QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    {27, 217, 1682, 2, Smoke::mf_static, 26, 726},	//726 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {27, 223, 1685, 2, Smoke::mf_static, 90, 727},	//727 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    {27, 223, 1688, 2, Smoke::mf_static, 71, 728},	//728 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    {27, 217, 1691, 2, Smoke::mf_static, 26, 729},	//729 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {27, 223, 1694, 2, Smoke::mf_static, 151, 730},	//730 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    {27, 193, 1697, 2, Smoke::mf_static, 26, 731},	//731 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {27, 223, 1700, 2, Smoke::mf_static, 116, 732},	//732 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {27, 223, 1703, 2, Smoke::mf_static, 108, 733},	//733 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {27, 423, 0, 0, Smoke::mf_static, 30, 734},	//734 QGlobalSpace::qWarning()
    {27, 448, 98, 1, Smoke::mf_static, 458, 735},	//735 QGlobalSpace::qstrlen(const char*)
    {27, 202, 1622, 2, Smoke::mf_static, 356, 736},	//736 QGlobalSpace::operator==(QBool, bool)
    {27, 217, 1706, 2, Smoke::mf_static, 26, 737},	//737 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {27, 217, 1709, 2, Smoke::mf_static, 26, 738},	//738 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {27, 353, 1712, 1, Smoke::mf_static, 458, 739},	//739 QGlobalSpace::qHash(unsigned long)
    {27, 193, 1714, 2, Smoke::mf_static, 26, 740},	//740 QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    {27, 223, 1717, 2, Smoke::mf_static, 151, 741},	//741 QGlobalSpace::operator|(QAccessible::StateFlag, int)
    {27, 193, 1720, 2, Smoke::mf_static, 26, 742},	//742 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {27, 193, 1723, 2, Smoke::mf_static, 26, 743},	//743 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {27, 223, 1726, 2, Smoke::mf_static, 78, 744},	//744 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {27, 202, 325, 2, Smoke::mf_static, 356, 745},	//745 QGlobalSpace::operator==(const char*, const QString&)
    {27, 223, 1729, 2, Smoke::mf_static, 151, 746},	//746 QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    {27, 269, 1732, 8, Smoke::mf_static, 0, 747},	//747 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>)
    {27, 269, 1741, 6, Smoke::mf_static, 0, 748},	//748 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&)
    {27, 269, 1748, 7, Smoke::mf_static, 0, 749},	//749 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&)
    {27, 223, 1756, 2, Smoke::mf_static, 87, 750},	//750 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {27, 177, 1759, 2, Smoke::mf_static, 418, 751},	//751 QGlobalSpace::operator+(const QString&, const QString&)
    {27, 166, 484, 2, Smoke::mf_static, 356, 752},	//752 QGlobalSpace::operator!=(QBool, QBool)
    {27, 223, 1762, 2, Smoke::mf_static, 46, 753},	//753 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {27, 469, 1765, 2, Smoke::mf_static, 0, 754},	//754 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {27, 193, 1768, 2, Smoke::mf_static, 30, 755},	//755 QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    {27, 173, 1771, 2, Smoke::mf_static, 440, 756},	//756 QGlobalSpace::operator*(double, const QVector3D&)
    {27, 212, 325, 2, Smoke::mf_static, 356, 757},	//757 QGlobalSpace::operator>=(const char*, const QString&)
    {27, 353, 1774, 1, Smoke::mf_static, 458, 758},	//758 QGlobalSpace::qHash(const QStringRef&)
    {27, 369, 9, 1, Smoke::mf_static, 356, 759},	//759 QGlobalSpace::qIsNull(double)
    {27, 223, 1776, 2, Smoke::mf_static, 151, 760},	//760 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {27, 223, 1779, 2, Smoke::mf_static, 49, 761},	//761 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    {27, 212, 33, 2, Smoke::mf_static, 356, 762},	//762 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {27, 207, 93, 2, Smoke::mf_static, 356, 763},	//763 QGlobalSpace::operator>(const QByteArray&, const char*)
    {27, 353, 1782, 1, Smoke::mf_static, 458, 764},	//764 QGlobalSpace::qHash(unsigned char)
    {27, 217, 1784, 2, Smoke::mf_static, 26, 765},	//765 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {27, 223, 1787, 2, Smoke::mf_static, 64, 766},	//766 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    {27, 173, 1790, 2, Smoke::mf_static, 197, 767},	//767 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {27, 193, 1793, 2, Smoke::mf_static, 30, 768},	//768 QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    {27, 193, 1796, 2, Smoke::mf_static, 30, 769},	//769 QGlobalSpace::operator<<(QDebug, const QObject*)
    {27, 223, 1799, 2, Smoke::mf_static, 151, 770},	//770 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {27, 166, 445, 2, Smoke::mf_static, 356, 771},	//771 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {27, 193, 1802, 2, Smoke::mf_static, 26, 772},	//772 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {27, 217, 1805, 2, Smoke::mf_static, 26, 773},	//773 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {27, 193, 1808, 2, Smoke::mf_static, 26, 774},	//774 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {27, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 352, 775},	//775 QGlobalSpace::_IEEE_ (enum)
    {27, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 352, 776},	//776 QGlobalSpace::_SVID_ (enum)
    {27, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 352, 777},	//777 QGlobalSpace::_XOPEN_ (enum)
    {27, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 352, 778},	//778 QGlobalSpace::_POSIX_ (enum)
    {27, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 352, 779},	//779 QGlobalSpace::_ISOC_ (enum)
    {27, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 351, 780},	//780 QGlobalSpace::QtDebugMsg (enum)
    {27, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 351, 781},	//781 QGlobalSpace::QtWarningMsg (enum)
    {27, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 351, 782},	//782 QGlobalSpace::QtCriticalMsg (enum)
    {27, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 351, 783},	//783 QGlobalSpace::QtFatalMsg (enum)
    {27, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 351, 784},	//784 QGlobalSpace::QtSystemMsg (enum)
    {27, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 785},	//785 QGlobalSpace::__codecvt_ok (enum)
    {27, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 786},	//786 QGlobalSpace::__codecvt_partial (enum)
    {27, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 787},	//787 QGlobalSpace::__codecvt_error (enum)
    {27, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 788},	//788 QGlobalSpace::__codecvt_noconv (enum)
    {28, 97, 347, 1, Smoke::mf_virtual, 0, 0},	//789 QGraphicsItem::advance(int)
    {28, 523, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 0},	//790 QGraphicsItem::shape() const
    {28, 109, 911, 1, Smoke::mf_const|Smoke::mf_virtual, 356, 0},	//791 QGraphicsItem::contains(const QPointF&) const
    {28, 106, 1811, 2, Smoke::mf_const|Smoke::mf_virtual, 356, 0},	//792 QGraphicsItem::collidesWithItem(const QGraphicsItem*, Qt::ItemSelectionMode) const
    {28, 107, 1814, 2, Smoke::mf_const|Smoke::mf_virtual, 356, 0},	//793 QGraphicsItem::collidesWithPath(const QPainterPath&, Qt::ItemSelectionMode) const
    {28, 143, 1817, 1, Smoke::mf_const|Smoke::mf_virtual, 356, 0},	//794 QGraphicsItem::isObscuredBy(const QGraphicsItem*) const
    {28, 165, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 0},	//795 QGraphicsItem::opaqueArea() const
    {28, 494, 1819, 2, Smoke::mf_protected|Smoke::mf_virtual, 356, 0},	//796 QGraphicsItem::sceneEventFilter(QGraphicsItem*, QEvent*)
    {28, 493, 1822, 1, Smoke::mf_protected|Smoke::mf_virtual, 356, 0},	//797 QGraphicsItem::sceneEvent(QEvent*)
    {28, 110, 1824, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//798 QGraphicsItem::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {28, 117, 1826, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//799 QGraphicsItem::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {28, 118, 1826, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//800 QGraphicsItem::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {28, 119, 1826, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//801 QGraphicsItem::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {28, 120, 1826, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//802 QGraphicsItem::dropEvent(QGraphicsSceneDragDropEvent*)
    {28, 130, 1828, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//803 QGraphicsItem::focusInEvent(QFocusEvent*)
    {28, 132, 1828, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//804 QGraphicsItem::focusOutEvent(QFocusEvent*)
    {28, 137, 1830, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//805 QGraphicsItem::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {28, 139, 1830, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//806 QGraphicsItem::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {28, 138, 1830, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//807 QGraphicsItem::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {28, 146, 1832, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//808 QGraphicsItem::keyPressEvent(QKeyEvent*)
    {28, 147, 1832, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//809 QGraphicsItem::keyReleaseEvent(QKeyEvent*)
    {28, 162, 1834, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//810 QGraphicsItem::mousePressEvent(QGraphicsSceneMouseEvent*)
    {28, 161, 1834, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//811 QGraphicsItem::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {28, 163, 1834, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//812 QGraphicsItem::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {28, 160, 1834, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//813 QGraphicsItem::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {28, 544, 1836, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//814 QGraphicsItem::wheelEvent(QGraphicsSceneWheelEvent*)
    {28, 140, 1838, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//815 QGraphicsItem::inputMethodEvent(QInputMethodEvent*)
    {28, 141, 1840, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 262, 0},	//816 QGraphicsItem::inputMethodQuery(Qt::InputMethodQuery) const
    {28, 145, 1842, 2, Smoke::mf_protected|Smoke::mf_virtual, 262, 0},	//817 QGraphicsItem::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {28, 529, 1845, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 356, 0},	//818 QGraphicsItem::supportsExtension(QGraphicsItem::Extension) const
    {28, 503, 1847, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//819 QGraphicsItem::setExtension(QGraphicsItem::Extension, const QVariant&)
    {28, 128, 1850, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 262, 0},	//820 QGraphicsItem::extension(const QVariant&) const
    {28, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 33},	//821 QGraphicsItem::ItemIsMovable (enum)
    {28, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 34},	//822 QGraphicsItem::ItemIsSelectable (enum)
    {28, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 35},	//823 QGraphicsItem::ItemIsFocusable (enum)
    {28, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 36},	//824 QGraphicsItem::ItemClipsToShape (enum)
    {28, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 37},	//825 QGraphicsItem::ItemClipsChildrenToShape (enum)
    {28, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 38},	//826 QGraphicsItem::ItemIgnoresTransformations (enum)
    {28, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 39},	//827 QGraphicsItem::ItemIgnoresParentOpacity (enum)
    {28, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 40},	//828 QGraphicsItem::ItemDoesntPropagateOpacityToChildren (enum)
    {28, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 41},	//829 QGraphicsItem::ItemStacksBehindParent (enum)
    {28, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 42},	//830 QGraphicsItem::ItemUsesExtendedStyleOption (enum)
    {28, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 43},	//831 QGraphicsItem::ItemHasNoContents (enum)
    {28, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 44},	//832 QGraphicsItem::ItemSendsGeometryChanges (enum)
    {28, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 45},	//833 QGraphicsItem::ItemAcceptsInputMethod (enum)
    {28, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 46},	//834 QGraphicsItem::ItemNegativeZStacksBehindParent (enum)
    {28, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 47},	//835 QGraphicsItem::ItemIsPanel (enum)
    {28, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 48},	//836 QGraphicsItem::ItemIsFocusScope (enum)
    {28, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 49},	//837 QGraphicsItem::ItemSendsScenePositionChanges (enum)
    {28, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 50},	//838 QGraphicsItem::ItemPositionChange (enum)
    {28, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 51},	//839 QGraphicsItem::ItemMatrixChange (enum)
    {28, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 52},	//840 QGraphicsItem::ItemVisibleChange (enum)
    {28, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 53},	//841 QGraphicsItem::ItemEnabledChange (enum)
    {28, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 54},	//842 QGraphicsItem::ItemSelectedChange (enum)
    {28, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 55},	//843 QGraphicsItem::ItemParentChange (enum)
    {28, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 56},	//844 QGraphicsItem::ItemChildAddedChange (enum)
    {28, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 57},	//845 QGraphicsItem::ItemChildRemovedChange (enum)
    {28, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 58},	//846 QGraphicsItem::ItemTransformChange (enum)
    {28, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 59},	//847 QGraphicsItem::ItemPositionHasChanged (enum)
    {28, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 60},	//848 QGraphicsItem::ItemTransformHasChanged (enum)
    {28, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 61},	//849 QGraphicsItem::ItemSceneChange (enum)
    {28, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 62},	//850 QGraphicsItem::ItemVisibleHasChanged (enum)
    {28, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 63},	//851 QGraphicsItem::ItemEnabledHasChanged (enum)
    {28, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 64},	//852 QGraphicsItem::ItemSelectedHasChanged (enum)
    {28, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 65},	//853 QGraphicsItem::ItemParentHasChanged (enum)
    {28, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 66},	//854 QGraphicsItem::ItemSceneHasChanged (enum)
    {28, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 67},	//855 QGraphicsItem::ItemCursorChange (enum)
    {28, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 68},	//856 QGraphicsItem::ItemCursorHasChanged (enum)
    {28, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 69},	//857 QGraphicsItem::ItemToolTipChange (enum)
    {28, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 70},	//858 QGraphicsItem::ItemToolTipHasChanged (enum)
    {28, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 71},	//859 QGraphicsItem::ItemFlagsChange (enum)
    {28, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 72},	//860 QGraphicsItem::ItemFlagsHaveChanged (enum)
    {28, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 73},	//861 QGraphicsItem::ItemZValueChange (enum)
    {28, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 74},	//862 QGraphicsItem::ItemZValueHasChanged (enum)
    {28, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 75},	//863 QGraphicsItem::ItemOpacityChange (enum)
    {28, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 76},	//864 QGraphicsItem::ItemOpacityHasChanged (enum)
    {28, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 77},	//865 QGraphicsItem::ItemScenePositionHasChanged (enum)
    {28, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 450, 78},	//866 QGraphicsItem::Type (enum)
    {28, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 450, 79},	//867 QGraphicsItem::UserType (enum)
    {28, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 80},	//868 QGraphicsItem::UserExtension (enum)
    {35, 156, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 389, 1},	//869 QGraphicsSvgItem::metaObject() const
    {35, 473, 98, 1, Smoke::mf_virtual, 465, 2},	//870 QGraphicsSvgItem::qt_metacast(const char*)
    {35, 533, 186, 2, Smoke::mf_static, 218, 3},	//871 QGraphicsSvgItem::tr(const char*, const char*)
    {35, 537, 186, 2, Smoke::mf_static, 218, 4},	//872 QGraphicsSvgItem::trUtf8(const char*, const char*)
    {35, 533, 538, 3, Smoke::mf_static, 218, 5},	//873 QGraphicsSvgItem::tr(const char*, const char*, int)
    {35, 537, 538, 3, Smoke::mf_static, 218, 6},	//874 QGraphicsSvgItem::trUtf8(const char*, const char*, int)
    {35, 471, 1852, 3, Smoke::mf_virtual, 449, 7},	//875 QGraphicsSvgItem::qt_metacall(QMetaObject::Call, int, void**)
    {35, 64, 1856, 1, Smoke::mf_ctor, 142, 8},	//876 QGraphicsSvgItem::QGraphicsSvgItem(QGraphicsItem*)
    {35, 64, 1858, 2, Smoke::mf_ctor, 142, 9},	//877 QGraphicsSvgItem::QGraphicsSvgItem(const QString&, QGraphicsItem*)
    {35, 514, 1861, 1, 0, 0, 10},	//878 QGraphicsSvgItem::setSharedRenderer(QSvgRenderer*)
    {35, 489, 0, 0, Smoke::mf_const, 236, 11},	//879 QGraphicsSvgItem::renderer() const
    {35, 501, 454, 1, Smoke::mf_property, 0, 12},	//880 QGraphicsSvgItem::setElementId(const QString&)
    {35, 123, 0, 0, Smoke::mf_const|Smoke::mf_property, 218, 13},	//881 QGraphicsSvgItem::elementId() const
    {35, 495, 1863, 1, 0, 0, 14},	//882 QGraphicsSvgItem::setCachingEnabled(bool)
    {35, 142, 0, 0, Smoke::mf_const, 356, 15},	//883 QGraphicsSvgItem::isCachingEnabled() const
    {35, 508, 1865, 1, Smoke::mf_property, 0, 16},	//884 QGraphicsSvgItem::setMaximumCacheSize(const QSize&)
    {35, 155, 0, 0, Smoke::mf_const|Smoke::mf_property, 211, 17},	//885 QGraphicsSvgItem::maximumCacheSize() const
    {35, 100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 18},	//886 QGraphicsSvgItem::boundingRect() const
    {35, 227, 1867, 3, Smoke::mf_virtual, 0, 19},	//887 QGraphicsSvgItem::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {35, 541, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 449, 20},	//888 QGraphicsSvgItem::type() const
    {35, 533, 98, 1, Smoke::mf_static, 218, 21},	//889 QGraphicsSvgItem::tr(const char*)
    {35, 537, 98, 1, Smoke::mf_static, 218, 22},	//890 QGraphicsSvgItem::trUtf8(const char*)
    {35, 64, 0, 0, Smoke::mf_ctor, 142, 23},	//891 QGraphicsSvgItem::QGraphicsSvgItem()
    {35, 64, 454, 1, Smoke::mf_ctor, 142, 24},	//892 QGraphicsSvgItem::QGraphicsSvgItem(const QString&)
    {35, 227, 1871, 2, 0, 0, 25},	//893 QGraphicsSvgItem::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {35, 527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 388, 26},	//894 QGraphicsSvgItem::staticMetaObject() const
    {35, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 450, 27},	//895 QGraphicsSvgItem::Type (enum)
    {35, 547, 0, 0, Smoke::mf_dtor, 0, 28 },	//896 QGraphicsSvgItem::~QGraphicsSvgItem()
    {58, 126, 1822, 1, Smoke::mf_virtual, 356, 0},	//897 QObject::event(QEvent*)
    {58, 127, 1874, 2, Smoke::mf_virtual, 356, 0},	//898 QObject::eventFilter(QObject*, QEvent*)
    {58, 531, 1877, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//899 QObject::timerEvent(QTimerEvent*)
    {58, 104, 1879, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//900 QObject::childEvent(QChildEvent*)
    {58, 112, 1822, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//901 QObject::customEvent(QEvent*)
    {58, 108, 98, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//902 QObject::connectNotify(const char*)
    {58, 116, 98, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//903 QObject::disconnectNotify(const char*)
    {59, 115, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 449, 0},	//904 QPaintDevice::devType() const
    {59, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 2},	//905 QPaintDevice::PdmWidth (enum)
    {59, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 3},	//906 QPaintDevice::PdmHeight (enum)
    {59, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 4},	//907 QPaintDevice::PdmWidthMM (enum)
    {59, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 5},	//908 QPaintDevice::PdmHeightMM (enum)
    {59, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 6},	//909 QPaintDevice::PdmNumColors (enum)
    {59, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 7},	//910 QPaintDevice::PdmDepth (enum)
    {59, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 8},	//911 QPaintDevice::PdmDpiX (enum)
    {59, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 9},	//912 QPaintDevice::PdmDpiY (enum)
    {59, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 10},	//913 QPaintDevice::PdmPhysicalDpiX (enum)
    {59, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 11},	//914 QPaintDevice::PdmPhysicalDpiY (enum)
    {90, 68, 0, 0, Smoke::mf_ctor, 235, 1},	//915 QSvgGenerator::QSvgGenerator()
    {90, 532, 0, 0, Smoke::mf_const|Smoke::mf_property, 218, 2},	//916 QSvgGenerator::title() const
    {90, 518, 454, 1, Smoke::mf_property, 0, 3},	//917 QSvgGenerator::setTitle(const QString&)
    {90, 114, 0, 0, Smoke::mf_const|Smoke::mf_property, 218, 4},	//918 QSvgGenerator::description() const
    {90, 499, 454, 1, Smoke::mf_property, 0, 5},	//919 QSvgGenerator::setDescription(const QString&)
    {90, 525, 0, 0, Smoke::mf_const|Smoke::mf_property, 211, 6},	//920 QSvgGenerator::size() const
    {90, 516, 1865, 1, Smoke::mf_property, 0, 7},	//921 QSvgGenerator::setSize(const QSize&)
    {90, 542, 0, 0, Smoke::mf_const, 202, 8},	//922 QSvgGenerator::viewBox() const
    {90, 543, 0, 0, Smoke::mf_const|Smoke::mf_property, 204, 9},	//923 QSvgGenerator::viewBoxF() const
    {90, 520, 1881, 1, 0, 0, 10},	//924 QSvgGenerator::setViewBox(const QRect&)
    {90, 520, 1883, 1, Smoke::mf_property, 0, 11},	//925 QSvgGenerator::setViewBox(const QRectF&)
    {90, 129, 0, 0, Smoke::mf_const|Smoke::mf_property, 218, 12},	//926 QSvgGenerator::fileName() const
    {90, 504, 454, 1, Smoke::mf_property, 0, 13},	//927 QSvgGenerator::setFileName(const QString&)
    {90, 226, 0, 0, Smoke::mf_const|Smoke::mf_property, 146, 14},	//928 QSvgGenerator::outputDevice() const
    {90, 510, 1885, 1, Smoke::mf_property, 0, 15},	//929 QSvgGenerator::setOutputDevice(QIODevice*)
    {90, 512, 347, 1, Smoke::mf_property, 0, 16},	//930 QSvgGenerator::setResolution(int)
    {90, 492, 0, 0, Smoke::mf_const|Smoke::mf_property, 449, 17},	//931 QSvgGenerator::resolution() const
    {90, 230, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 181, 18},	//932 QSvgGenerator::paintEngine() const
    {90, 157, 1887, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 449, 19},	//933 QSvgGenerator::metric(QPaintDevice::PaintDeviceMetric) const
    {90, 548, 0, 0, Smoke::mf_dtor, 0, 20 },	//934 QSvgGenerator::~QSvgGenerator()
    {91, 156, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 389, 1},	//935 QSvgRenderer::metaObject() const
    {91, 473, 98, 1, Smoke::mf_virtual, 465, 2},	//936 QSvgRenderer::qt_metacast(const char*)
    {91, 533, 186, 2, Smoke::mf_static, 218, 3},	//937 QSvgRenderer::tr(const char*, const char*)
    {91, 537, 186, 2, Smoke::mf_static, 218, 4},	//938 QSvgRenderer::trUtf8(const char*, const char*)
    {91, 533, 538, 3, Smoke::mf_static, 218, 5},	//939 QSvgRenderer::tr(const char*, const char*, int)
    {91, 537, 538, 3, Smoke::mf_static, 218, 6},	//940 QSvgRenderer::trUtf8(const char*, const char*, int)
    {91, 471, 1852, 3, Smoke::mf_virtual, 449, 7},	//941 QSvgRenderer::qt_metacall(QMetaObject::Call, int, void**)
    {91, 69, 1889, 1, Smoke::mf_ctor, 236, 8},	//942 QSvgRenderer::QSvgRenderer(QObject*)
    {91, 69, 1891, 2, Smoke::mf_ctor, 236, 9},	//943 QSvgRenderer::QSvgRenderer(const QString&, QObject*)
    {91, 69, 1894, 2, Smoke::mf_ctor, 236, 10},	//944 QSvgRenderer::QSvgRenderer(const QByteArray&, QObject*)
    {91, 69, 1897, 2, Smoke::mf_ctor, 236, 11},	//945 QSvgRenderer::QSvgRenderer(QXmlStreamReader*, QObject*)
    {91, 144, 0, 0, Smoke::mf_const, 356, 12},	//946 QSvgRenderer::isValid() const
    {91, 113, 0, 0, Smoke::mf_const, 211, 13},	//947 QSvgRenderer::defaultSize() const
    {91, 542, 0, 0, Smoke::mf_const, 202, 14},	//948 QSvgRenderer::viewBox() const
    {91, 543, 0, 0, Smoke::mf_const|Smoke::mf_property, 204, 15},	//949 QSvgRenderer::viewBoxF() const
    {91, 520, 1881, 1, 0, 0, 16},	//950 QSvgRenderer::setViewBox(const QRect&)
    {91, 520, 1883, 1, Smoke::mf_property, 0, 17},	//951 QSvgRenderer::setViewBox(const QRectF&)
    {91, 98, 0, 0, Smoke::mf_const, 356, 18},	//952 QSvgRenderer::animated() const
    {91, 134, 0, 0, Smoke::mf_const|Smoke::mf_property, 449, 19},	//953 QSvgRenderer::framesPerSecond() const
    {91, 506, 347, 1, Smoke::mf_property, 0, 20},	//954 QSvgRenderer::setFramesPerSecond(int)
    {91, 111, 0, 0, Smoke::mf_const|Smoke::mf_property, 449, 21},	//955 QSvgRenderer::currentFrame() const
    {91, 497, 347, 1, Smoke::mf_property, 0, 22},	//956 QSvgRenderer::setCurrentFrame(int)
    {91, 99, 0, 0, Smoke::mf_const, 449, 23},	//957 QSvgRenderer::animationDuration() const
    {91, 101, 454, 1, Smoke::mf_const, 204, 24},	//958 QSvgRenderer::boundsOnElement(const QString&) const
    {91, 121, 454, 1, Smoke::mf_const, 356, 25},	//959 QSvgRenderer::elementExists(const QString&) const
    {91, 153, 454, 1, Smoke::mf_const, 168, 26},	//960 QSvgRenderer::matrixForElement(const QString&) const
    {91, 150, 454, 1, Smoke::mf_slot, 356, 27},	//961 QSvgRenderer::load(const QString&)
    {91, 150, 151, 1, Smoke::mf_slot, 356, 28},	//962 QSvgRenderer::load(const QByteArray&)
    {91, 150, 1900, 1, Smoke::mf_slot, 356, 29},	//963 QSvgRenderer::load(QXmlStreamReader*)
    {91, 484, 1902, 1, Smoke::mf_slot, 0, 30},	//964 QSvgRenderer::render(QPainter*)
    {91, 484, 1904, 2, Smoke::mf_slot, 0, 31},	//965 QSvgRenderer::render(QPainter*, const QRectF&)
    {91, 484, 1907, 3, Smoke::mf_slot, 0, 32},	//966 QSvgRenderer::render(QPainter*, const QString&, const QRectF&)
    {91, 490, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//967 QSvgRenderer::repaintNeeded()
    {91, 533, 98, 1, Smoke::mf_static, 218, 34},	//968 QSvgRenderer::tr(const char*)
    {91, 537, 98, 1, Smoke::mf_static, 218, 35},	//969 QSvgRenderer::trUtf8(const char*)
    {91, 69, 0, 0, Smoke::mf_ctor, 236, 36},	//970 QSvgRenderer::QSvgRenderer()
    {91, 69, 454, 1, Smoke::mf_ctor, 236, 37},	//971 QSvgRenderer::QSvgRenderer(const QString&)
    {91, 69, 151, 1, Smoke::mf_ctor, 236, 38},	//972 QSvgRenderer::QSvgRenderer(const QByteArray&)
    {91, 69, 1900, 1, Smoke::mf_ctor, 236, 39},	//973 QSvgRenderer::QSvgRenderer(QXmlStreamReader*)
    {91, 484, 1911, 2, Smoke::mf_slot, 0, 40},	//974 QSvgRenderer::render(QPainter*, const QString&)
    {91, 527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 388, 41},	//975 QSvgRenderer::staticMetaObject() const
    {91, 549, 0, 0, Smoke::mf_dtor, 0, 42 },	//976 QSvgRenderer::~QSvgRenderer()
    {92, 156, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 389, 1},	//977 QSvgWidget::metaObject() const
    {92, 473, 98, 1, Smoke::mf_virtual, 465, 2},	//978 QSvgWidget::qt_metacast(const char*)
    {92, 533, 186, 2, Smoke::mf_static, 218, 3},	//979 QSvgWidget::tr(const char*, const char*)
    {92, 537, 186, 2, Smoke::mf_static, 218, 4},	//980 QSvgWidget::trUtf8(const char*, const char*)
    {92, 533, 538, 3, Smoke::mf_static, 218, 5},	//981 QSvgWidget::tr(const char*, const char*, int)
    {92, 537, 538, 3, Smoke::mf_static, 218, 6},	//982 QSvgWidget::trUtf8(const char*, const char*, int)
    {92, 471, 1852, 3, Smoke::mf_virtual, 449, 7},	//983 QSvgWidget::qt_metacall(QMetaObject::Call, int, void**)
    {92, 74, 1914, 1, Smoke::mf_ctor, 237, 8},	//984 QSvgWidget::QSvgWidget(QWidget*)
    {92, 74, 1916, 2, Smoke::mf_ctor, 237, 9},	//985 QSvgWidget::QSvgWidget(const QString&, QWidget*)
    {92, 489, 0, 0, Smoke::mf_const, 236, 10},	//986 QSvgWidget::renderer() const
    {92, 526, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 211, 11},	//987 QSvgWidget::sizeHint() const
    {92, 150, 454, 1, Smoke::mf_slot, 0, 12},	//988 QSvgWidget::load(const QString&)
    {92, 150, 151, 1, Smoke::mf_slot, 0, 13},	//989 QSvgWidget::load(const QByteArray&)
    {92, 231, 1919, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//990 QSvgWidget::paintEvent(QPaintEvent*)
    {92, 533, 98, 1, Smoke::mf_static, 218, 15},	//991 QSvgWidget::tr(const char*)
    {92, 537, 98, 1, Smoke::mf_static, 218, 16},	//992 QSvgWidget::trUtf8(const char*)
    {92, 74, 0, 0, Smoke::mf_ctor, 237, 17},	//993 QSvgWidget::QSvgWidget()
    {92, 74, 454, 1, Smoke::mf_ctor, 237, 18},	//994 QSvgWidget::QSvgWidget(const QString&)
    {92, 527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 388, 19},	//995 QSvgWidget::staticMetaObject() const
    {92, 550, 0, 0, Smoke::mf_dtor, 0, 20 },	//996 QSvgWidget::~QSvgWidget()
    {113, 115, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 449, 0},	//997 QWidget::devType() const
    {113, 522, 1863, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//998 QWidget::setVisible(bool)
    {113, 159, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 211, 0},	//999 QWidget::minimumSizeHint() const
    {113, 135, 347, 1, Smoke::mf_const|Smoke::mf_virtual, 449, 0},	//1000 QWidget::heightForWidth(int) const
    {113, 230, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 181, 0},	//1001 QWidget::paintEngine() const
    {113, 126, 1822, 1, Smoke::mf_protected|Smoke::mf_virtual, 356, 0},	//1002 QWidget::event(QEvent*)
    {113, 162, 1921, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1003 QWidget::mousePressEvent(QMouseEvent*)
    {113, 163, 1921, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1004 QWidget::mouseReleaseEvent(QMouseEvent*)
    {113, 160, 1921, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1005 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {113, 161, 1921, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1006 QWidget::mouseMoveEvent(QMouseEvent*)
    {113, 544, 1923, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1007 QWidget::wheelEvent(QWheelEvent*)
    {113, 146, 1832, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1008 QWidget::keyPressEvent(QKeyEvent*)
    {113, 147, 1832, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1009 QWidget::keyReleaseEvent(QKeyEvent*)
    {113, 130, 1828, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1010 QWidget::focusInEvent(QFocusEvent*)
    {113, 132, 1828, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1011 QWidget::focusOutEvent(QFocusEvent*)
    {113, 125, 1822, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1012 QWidget::enterEvent(QEvent*)
    {113, 149, 1822, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1013 QWidget::leaveEvent(QEvent*)
    {113, 164, 1925, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1014 QWidget::moveEvent(QMoveEvent*)
    {113, 491, 1927, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1015 QWidget::resizeEvent(QResizeEvent*)
    {113, 105, 1929, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1016 QWidget::closeEvent(QCloseEvent*)
    {113, 110, 1931, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1017 QWidget::contextMenuEvent(QContextMenuEvent*)
    {113, 530, 1933, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1018 QWidget::tabletEvent(QTabletEvent*)
    {113, 96, 1935, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1019 QWidget::actionEvent(QActionEvent*)
    {113, 117, 1937, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1020 QWidget::dragEnterEvent(QDragEnterEvent*)
    {113, 119, 1939, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1021 QWidget::dragMoveEvent(QDragMoveEvent*)
    {113, 118, 1941, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1022 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {113, 120, 1943, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1023 QWidget::dropEvent(QDropEvent*)
    {113, 524, 1945, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1024 QWidget::showEvent(QShowEvent*)
    {113, 136, 1947, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1025 QWidget::hideEvent(QHideEvent*)
    {113, 546, 1949, 1, Smoke::mf_protected|Smoke::mf_virtual, 356, 0},	//1026 QWidget::x11Event(_XEvent*)
    {113, 103, 1822, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1027 QWidget::changeEvent(QEvent*)
    {113, 157, 1887, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 449, 0},	//1028 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {113, 140, 1838, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1029 QWidget::inputMethodEvent(QInputMethodEvent*)
    {113, 141, 1840, 1, Smoke::mf_const|Smoke::mf_virtual, 262, 0},	//1030 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {113, 131, 1863, 1, Smoke::mf_protected|Smoke::mf_virtual, 356, 0},	//1031 QWidget::focusNextPrevChild(bool)
    {113, 528, 1951, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1032 QWidget::styleChange(QStyle&)
    {113, 124, 1863, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1033 QWidget::enabledChange(bool)
    {113, 233, 1953, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1034 QWidget::paletteChange(const QPalette&)
    {113, 133, 1955, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1035 QWidget::fontChange(const QFont&)
    {113, 545, 1863, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1036 QWidget::windowActivationChange(bool)
    {113, 148, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1037 QWidget::languageChange()
    {113, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 42},	//1038 QWidget::DrawWindowBackground (enum)
    {113, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 43},	//1039 QWidget::DrawChildren (enum)
    {113, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 44},	//1040 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    10,  // QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    87,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    150,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    165,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    246,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    286,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    315,  // QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    323,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    405,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    415,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    467,  // QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    481,  // QGlobalSpace::operator!=(QChar, QChar)
    523,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    610,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    640,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    687,  // QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    696,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    699,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    752,  // QGlobalSpace::operator!=(QBool, QBool)
    771,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    70,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    99,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    121,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    502,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    694,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    237,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    362,  // QGlobalSpace::operator!=(bool, QBool)
    414,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    492,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    668,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    708,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    17,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    49,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    54,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    57,  // QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    97,  // QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    115,  // QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    166,  // QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    222,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    247,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    266,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    284,  // QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    308,  // QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    382,  // QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    393,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    454,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    501,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    529,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    534,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    539,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    602,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    655,  // QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    657,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    667,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    679,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    689,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    702,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    713,  // QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    716,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    767,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    0,
    62,  // QGlobalSpace::operator*(const QMatrix4x4&, double)
    158,  // QGlobalSpace::operator*(const QTransform&, double)
    261,  // QGlobalSpace::operator*(const QQuaternion&, double)
    409,  // QGlobalSpace::operator*(const QVector4D&, double)
    465,  // QGlobalSpace::operator*(const QVector2D&, double)
    472,  // QGlobalSpace::operator*(const QVector3D&, double)
    531,  // QGlobalSpace::operator*(const QSize&, double)
    675,  // QGlobalSpace::operator*(const QPoint&, double)
    684,  // QGlobalSpace::operator*(const QSizeF&, double)
    704,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    82,  // QGlobalSpace::operator*(double, const QSizeF&)
    369,  // QGlobalSpace::operator*(double, const QVector2D&)
    417,  // QGlobalSpace::operator*(double, const QVector4D&)
    464,  // QGlobalSpace::operator*(double, const QQuaternion&)
    527,  // QGlobalSpace::operator*(double, const QPointF&)
    538,  // QGlobalSpace::operator*(double, const QPoint&)
    595,  // QGlobalSpace::operator*(double, const QMatrix4x4&)
    691,  // QGlobalSpace::operator*(double, const QSize&)
    756,  // QGlobalSpace::operator*(double, const QVector3D&)
    0,
    43,  // QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    77,  // QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    110,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    134,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    139,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    195,  // QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    265,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    277,  // QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    341,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    725,  // QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    0,
    169,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    179,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    221,  // QGlobalSpace::operator+(const QTransform&, double)
    227,  // QGlobalSpace::operator+(QChar, const QString&)
    425,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    23,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    113,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    164,  // QGlobalSpace::operator+(const QString&, QChar)
    509,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    173,  // QGlobalSpace::operator+(const QString&, const char*)
    245,  // QGlobalSpace::operator+(const QString&, char)
    334,  // QGlobalSpace::operator+(char, const QString&)
    516,  // QGlobalSpace::operator+(const char*, const QString&)
    751,  // QGlobalSpace::operator+(const QString&, const QString&)
    0,
    59,  // QGlobalSpace::operator-(const QMatrix4x4&)
    236,  // QGlobalSpace::operator-(const QQuaternion&)
    269,  // QGlobalSpace::operator-(const QPoint&)
    370,  // QGlobalSpace::operator-(const QVector4D&)
    385,  // QGlobalSpace::operator-(const QPointF&)
    592,  // QGlobalSpace::operator-(const QVector2D&)
    634,  // QGlobalSpace::operator-(const QVector3D&)
    0,
    7,  // QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    88,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    114,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    118,  // QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    144,  // QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    248,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    328,  // QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    514,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    703,  // QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    0,
    106,  // QGlobalSpace::operator/(const QPoint&, double)
    140,  // QGlobalSpace::operator/(const QMatrix4x4&, double)
    293,  // QGlobalSpace::operator/(const QVector4D&, double)
    359,  // QGlobalSpace::operator/(const QVector2D&, double)
    361,  // QGlobalSpace::operator/(const QPointF&, double)
    365,  // QGlobalSpace::operator/(const QVector3D&, double)
    375,  // QGlobalSpace::operator/(const QTransform&, double)
    429,  // QGlobalSpace::operator/(const QSizeF&, double)
    446,  // QGlobalSpace::operator/(const QQuaternion&, double)
    656,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    66,  // QGlobalSpace::operator<(QChar, QChar)
    145,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    254,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    693,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    72,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    416,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    21,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    32,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    46,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    50,  // QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    51,  // QGlobalSpace::operator<<(QDebug, const QBrush&)
    56,  // QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    63,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    64,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    90,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    102,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    111,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    117,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    122,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    125,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    127,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    132,  // QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    161,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    178,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    196,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    197,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    198,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    208,  // QGlobalSpace::operator<<(QDebug, const QEvent*)
    223,  // QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    271,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    283,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    288,  // QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    289,  // QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    294,  // QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    303,  // QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    309,  // QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    310,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    318,  // QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    325,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    345,  // QGlobalSpace::operator<<(QDebug, const QRegion&)
    346,  // QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    347,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    349,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    379,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    386,  // QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    392,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    402,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    411,  // QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    412,  // QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    424,  // QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    432,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    442,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    450,  // QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    455,  // QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    460,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    461,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    463,  // QGlobalSpace::operator<<(QDebug, const QPen&)
    466,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    469,  // QGlobalSpace::operator<<(QDebug, const QVector3D&)
    474,  // QGlobalSpace::operator<<(QDebug, const QVector2D&)
    476,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    477,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    479,  // QGlobalSpace::operator<<(QDebug, const QVector4D&)
    495,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    506,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    512,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    515,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    532,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    541,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    565,  // QGlobalSpace::operator<<(QDataStream&, const QPen&)
    570,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    579,  // QGlobalSpace::operator<<(QDebug, const QTransform&)
    584,  // QGlobalSpace::operator<<(QDebug, const QPolygon&)
    594,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    596,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    603,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    605,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    606,  // QGlobalSpace::operator<<(QDebug, const QFont&)
    617,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    622,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    629,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    635,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    669,  // QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    670,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    683,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    698,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    717,  // QGlobalSpace::operator<<(QDebug, const QColor&)
    718,  // QGlobalSpace::operator<<(QDebug, const QMatrix&)
    719,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    731,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    740,  // QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    742,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    743,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    755,  // QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    769,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    772,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    774,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    15,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    71,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    232,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    304,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    348,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    453,  // QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    525,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    653,  // QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    711,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    768,  // QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    0,
    194,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    218,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    441,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    636,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    439,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    505,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    0,
    9,  // QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    20,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    31,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    53,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    55,  // QGlobalSpace::operator==(QChar, QChar)
    84,  // QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    187,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    209,  // QGlobalSpace::operator==(QBool, QBool)
    249,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    268,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    275,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    338,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    363,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    422,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    431,  // QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    434,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    530,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    554,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    613,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    661,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    688,  // QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    0,
    19,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    152,  // QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    336,  // QGlobalSpace::operator==(QString::Null, const QString&)
    681,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    686,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    736,  // QGlobalSpace::operator==(QBool, bool)
    0,
    14,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    40,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    211,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    388,  // QGlobalSpace::operator==(bool, QBool)
    459,  // QGlobalSpace::operator==(const QString&, QString::Null)
    511,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    624,  // QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    0,
    80,  // QGlobalSpace::operator>(QChar, QChar)
    174,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    190,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    319,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    41,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    149,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    0,
    3,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    69,  // QGlobalSpace::operator>=(QChar, QChar)
    430,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    566,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    398,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    762,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    0,
    16,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    24,  // QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    29,  // QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    34,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    65,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    67,  // QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    154,  // QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    162,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    177,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    207,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    219,  // QGlobalSpace::operator>>(QDataStream&, QPen&)
    233,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    241,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    253,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    322,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    335,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    337,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    350,  // QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    357,  // QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    372,  // QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    380,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    384,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    389,  // QGlobalSpace::operator>>(QDataStream&, QPicture&)
    394,  // QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    410,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    428,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    443,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    458,  // QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    480,  // QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    489,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    490,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    493,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    508,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    520,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    521,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    568,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    578,  // QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    614,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    628,  // QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    642,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    643,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    647,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    663,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    697,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    726,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    729,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    737,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    738,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    765,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    773,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    445,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    650,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    1,  // QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    6,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    8,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    18,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    22,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    25,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    26,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    27,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    39,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    42,  // QGlobalSpace::operator|(QFileDialog::Option, int)
    47,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    48,  // QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    52,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    58,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    61,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    68,  // QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    73,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    74,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    76,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    79,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    81,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    85,  // QGlobalSpace::operator|(QDir::Filter, int)
    86,  // QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    91,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    92,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    93,  // QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    95,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    98,  // QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    100,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    101,  // QGlobalSpace::operator|(QTextOption::Flag, int)
    103,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    104,  // QGlobalSpace::operator|(QFile::Permission, int)
    105,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    112,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    120,  // QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    123,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    124,  // QGlobalSpace::operator|(QWizard::WizardOption, int)
    128,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    131,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    133,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    135,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    136,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    141,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    142,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    143,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    153,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    157,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    160,  // QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    167,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    171,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    172,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    175,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    182,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    184,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    188,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    191,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    202,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    204,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    206,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    210,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    212,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    213,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    216,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    217,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    224,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    228,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    229,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    230,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    231,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    238,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    240,  // QGlobalSpace::operator|(QMainWindow::DockOption, int)
    242,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    244,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    250,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    251,  // QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    252,  // QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    256,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    262,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    267,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    270,  // QGlobalSpace::operator|(Qt::DropAction, int)
    272,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    285,  // QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    290,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    295,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    298,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    301,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    302,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    305,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    307,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    316,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    321,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    324,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    326,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    327,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    339,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    340,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    342,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    356,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    358,  // QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    360,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    364,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    366,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    367,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    371,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    374,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    376,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    378,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    383,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    387,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    390,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    395,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    399,  // QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    400,  // QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    401,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    404,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    413,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    418,  // QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    419,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    426,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    427,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    433,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    438,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    444,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    449,  // QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    451,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    456,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    468,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    470,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    471,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    475,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    482,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    485,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    486,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    488,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    494,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    496,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    497,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    500,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    507,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    510,  // QGlobalSpace::operator|(QStyle::StateFlag, int)
    513,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    517,  // QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    518,  // QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    519,  // QGlobalSpace::operator|(Qt::WindowState, int)
    522,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    524,  // QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    526,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    528,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    535,  // QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    536,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    547,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    548,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    550,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    551,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    555,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    556,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    558,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    559,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    560,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    562,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    563,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    564,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    567,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    571,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    577,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    580,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    585,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    586,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    587,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    588,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    589,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    590,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    591,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    593,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    601,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    607,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    608,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    609,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    612,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    615,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    623,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    625,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    626,  // QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    627,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    632,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    633,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    637,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    639,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    641,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    648,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    649,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    651,  // QGlobalSpace::operator|(QPainter::RenderHint, int)
    654,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    659,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    664,  // QGlobalSpace::operator|(Qt::Orientation, int)
    665,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    676,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    677,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    680,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    682,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    685,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    690,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    692,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    695,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    700,  // QGlobalSpace::operator|(QStyle::SubControl, int)
    701,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    706,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    707,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    712,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    714,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    715,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    720,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    721,  // QGlobalSpace::operator|(Qt::WindowType, int)
    723,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    727,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    728,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    730,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    732,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    733,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    741,  // QGlobalSpace::operator|(QAccessible::StateFlag, int)
    744,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    746,  // QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    750,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    753,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    760,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    761,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    766,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    770,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
    116,  // QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    181,  // QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    239,  // QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    377,  // QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    403,  // QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    533,  // QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    618,  // QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    0,
    553,  // QGlobalSpace::qFuzzyCompare(float, float)
    666,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    260,  // QGlobalSpace::qFuzzyIsNull(float)
    581,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    60,  // QGlobalSpace::qHash(const QByteArray&)
    155,  // QGlobalSpace::qHash(const QItemSelectionRange&)
    183,  // QGlobalSpace::qHash(QChar)
    203,  // QGlobalSpace::qHash(const QModelIndex&)
    343,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    473,  // QGlobalSpace::qHash(const QBitArray&)
    758,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    4,  // QGlobalSpace::qHash(unsigned long long)
    38,  // QGlobalSpace::qHash(signed char)
    96,  // QGlobalSpace::qHash(char)
    180,  // QGlobalSpace::qHash(unsigned int)
    193,  // QGlobalSpace::qHash(const QString&)
    235,  // QGlobalSpace::qHash(long long)
    264,  // QGlobalSpace::qHash(int)
    317,  // QGlobalSpace::qHash(long)
    320,  // QGlobalSpace::qHash(unsigned short)
    546,  // QGlobalSpace::qHash(short)
    739,  // QGlobalSpace::qHash(unsigned long)
    764,  // QGlobalSpace::qHash(unsigned char)
    0,
    44,  // QGlobalSpace::qIntCast(double)
    186,  // QGlobalSpace::qIntCast(float)
    0,
    119,  // QGlobalSpace::qIsFinite(double)
    163,  // QGlobalSpace::qIsFinite(float)
    0,
    5,  // QGlobalSpace::qIsInf(double)
    36,  // QGlobalSpace::qIsInf(float)
    0,
    215,  // QGlobalSpace::qIsNaN(float)
    225,  // QGlobalSpace::qIsNaN(double)
    0,
    658,  // QGlobalSpace::qIsNull(float)
    759,  // QGlobalSpace::qIsNull(double)
    0,
    942,  // QSvgRenderer::QSvgRenderer(QObject*)
    972,  // QSvgRenderer::QSvgRenderer(const QByteArray&)
    973,  // QSvgRenderer::QSvgRenderer(QXmlStreamReader*)
    0,
    944,  // QSvgRenderer::QSvgRenderer(const QByteArray&, QObject*)
    945,  // QSvgRenderer::QSvgRenderer(QXmlStreamReader*, QObject*)
    0,
    962,  // QSvgRenderer::load(const QByteArray&)
    963,  // QSvgRenderer::load(QXmlStreamReader*)
    0,
    950,  // QSvgRenderer::setViewBox(const QRect&)
    951,  // QSvgRenderer::setViewBox(const QRectF&)
    0,
    924,  // QSvgGenerator::setViewBox(const QRect&)
    925,  // QSvgGenerator::setViewBox(const QRectF&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {27, 78, 782},	// QGlobalSpace::QtCriticalMsg
    {27, 79, 780},	// QGlobalSpace::QtDebugMsg
    {27, 80, 783},	// QGlobalSpace::QtFatalMsg
    {27, 81, 784},	// QGlobalSpace::QtSystemMsg
    {27, 82, 781},	// QGlobalSpace::QtWarningMsg
    {27, 87, 775},	// QGlobalSpace::_IEEE_
    {27, 88, 779},	// QGlobalSpace::_ISOC_
    {27, 89, 778},	// QGlobalSpace::_POSIX_
    {27, 90, 776},	// QGlobalSpace::_SVID_
    {27, 91, 777},	// QGlobalSpace::_XOPEN_
    {27, 92, 787},	// QGlobalSpace::__codecvt_error
    {27, 93, 788},	// QGlobalSpace::__codecvt_noconv
    {27, 94, 785},	// QGlobalSpace::__codecvt_ok
    {27, 95, 786},	// QGlobalSpace::__codecvt_partial
    {27, 167, -1},	// QGlobalSpace::operator!=##
    {27, 168, -22},	// QGlobalSpace::operator!=#$
    {27, 169, -28},	// QGlobalSpace::operator!=$#
    {27, 170, 214},	// QGlobalSpace::operator!=$$
    {27, 172, 397},	// QGlobalSpace::operator&##
    {27, 174, -35},	// QGlobalSpace::operator*##
    {27, 175, -65},	// QGlobalSpace::operator*#$
    {27, 176, -76},	// QGlobalSpace::operator*$#
    {27, 178, -86},	// QGlobalSpace::operator+##
    {27, 179, -97},	// QGlobalSpace::operator+#$
    {27, 180, -103},	// QGlobalSpace::operator+$#
    {27, 181, -108},	// QGlobalSpace::operator+$$
    {27, 183, -114},	// QGlobalSpace::operator-#
    {27, 184, -122},	// QGlobalSpace::operator-##
    {27, 185, 94},	// QGlobalSpace::operator-#$
    {27, 187, -132},	// QGlobalSpace::operator/#$
    {27, 189, -143},	// QGlobalSpace::operator<##
    {27, 190, 462},	// QGlobalSpace::operator<#$
    {27, 191, -148},	// QGlobalSpace::operator<$#
    {27, 192, 129},	// QGlobalSpace::operator<$$
    {27, 194, -151},	// QGlobalSpace::operator<<##
    {27, 195, -243},	// QGlobalSpace::operator<<#$
    {27, 196, 423},	// QGlobalSpace::operator<<#?
    {27, 198, -254},	// QGlobalSpace::operator<=##
    {27, 199, 185},	// QGlobalSpace::operator<=#$
    {27, 200, -259},	// QGlobalSpace::operator<=$#
    {27, 201, 491},	// QGlobalSpace::operator<=$$
    {27, 203, -262},	// QGlobalSpace::operator==##
    {27, 204, -284},	// QGlobalSpace::operator==#$
    {27, 205, -291},	// QGlobalSpace::operator==$#
    {27, 206, 745},	// QGlobalSpace::operator==$$
    {27, 208, -299},	// QGlobalSpace::operator>##
    {27, 209, 763},	// QGlobalSpace::operator>#$
    {27, 210, -304},	// QGlobalSpace::operator>$#
    {27, 211, 344},	// QGlobalSpace::operator>$$
    {27, 213, -307},	// QGlobalSpace::operator>=##
    {27, 214, 35},	// QGlobalSpace::operator>=#$
    {27, 215, -312},	// QGlobalSpace::operator>=$#
    {27, 216, 757},	// QGlobalSpace::operator>=$$
    {27, 218, -315},	// QGlobalSpace::operator>>##
    {27, 219, -366},	// QGlobalSpace::operator>>#$
    {27, 220, 299},	// QGlobalSpace::operator>>#?
    {27, 222, 189},	// QGlobalSpace::operator^##
    {27, 224, 616},	// QGlobalSpace::operator|##
    {27, 225, -369},	// QGlobalSpace::operator|$$
    {27, 234, 381},	// QGlobalSpace::qAccessibleActionCastHelper
    {27, 235, 89},	// QGlobalSpace::qAccessibleEditableTextCastHelper
    {27, 236, 487},	// QGlobalSpace::qAccessibleImageCastHelper
    {27, 237, 255},	// QGlobalSpace::qAccessibleTableCastHelper
    {27, 238, 170},	// QGlobalSpace::qAccessibleTextCastHelper
    {27, 239, 2},	// QGlobalSpace::qAccessibleValueCastHelper
    {27, 241, 561},	// QGlobalSpace::qAcos$
    {27, 243, 435},	// QGlobalSpace::qAddPostRoutine$
    {27, 245, 126},	// QGlobalSpace::qAlpha$
    {27, 246, 447},	// QGlobalSpace::qAppName
    {27, 248, 604},	// QGlobalSpace::qAsin$
    {27, 250, 662},	// QGlobalSpace::qAtan$
    {27, 252, 33},	// QGlobalSpace::qAtan2$$
    {27, 253, 569},	// QGlobalSpace::qBadAlloc
    {27, 255, 306},	// QGlobalSpace::qBlue$
    {27, 257, 478},	// QGlobalSpace::qCeil$
    {27, 259, 291},	// QGlobalSpace::qChecksum$$
    {27, 261, 583},	// QGlobalSpace::qCompress#
    {27, 262, 582},	// QGlobalSpace::qCompress#$
    {27, 263, 437},	// QGlobalSpace::qCompress$$
    {27, 264, 436},	// QGlobalSpace::qCompress$$$
    {27, 266, 78},	// QGlobalSpace::qCos$
    {27, 267, 408},	// QGlobalSpace::qCritical
    {27, 268, 498},	// QGlobalSpace::qDebug
    {27, 270, 292},	// QGlobalSpace::qDrawBorderPixmap####
    {27, 271, 748},	// QGlobalSpace::qDrawBorderPixmap######
    {27, 272, 749},	// QGlobalSpace::qDrawBorderPixmap#######
    {27, 273, 747},	// QGlobalSpace::qDrawBorderPixmap#######$
    {27, 275, 421},	// QGlobalSpace::qDrawPixmaps##$#
    {27, 276, 420},	// QGlobalSpace::qDrawPixmaps##$#$
    {27, 278, 645},	// QGlobalSpace::qDrawPlainRect###
    {27, 279, 646},	// QGlobalSpace::qDrawPlainRect###$
    {27, 280, 644},	// QGlobalSpace::qDrawPlainRect###$#
    {27, 281, 258},	// QGlobalSpace::qDrawPlainRect#$$$$#
    {27, 282, 259},	// QGlobalSpace::qDrawPlainRect#$$$$#$
    {27, 283, 257},	// QGlobalSpace::qDrawPlainRect#$$$$#$#
    {27, 285, 672},	// QGlobalSpace::qDrawShadeLine####
    {27, 286, 673},	// QGlobalSpace::qDrawShadeLine####$
    {27, 287, 674},	// QGlobalSpace::qDrawShadeLine####$$
    {27, 288, 671},	// QGlobalSpace::qDrawShadeLine####$$$
    {27, 289, 598},	// QGlobalSpace::qDrawShadeLine#$$$$#
    {27, 290, 599},	// QGlobalSpace::qDrawShadeLine#$$$$#$
    {27, 291, 600},	// QGlobalSpace::qDrawShadeLine#$$$$#$$
    {27, 292, 597},	// QGlobalSpace::qDrawShadeLine#$$$$#$$$
    {27, 294, 330},	// QGlobalSpace::qDrawShadePanel###
    {27, 295, 331},	// QGlobalSpace::qDrawShadePanel###$
    {27, 296, 332},	// QGlobalSpace::qDrawShadePanel###$$
    {27, 297, 329},	// QGlobalSpace::qDrawShadePanel###$$#
    {27, 298, 353},	// QGlobalSpace::qDrawShadePanel#$$$$#
    {27, 299, 354},	// QGlobalSpace::qDrawShadePanel#$$$$#$
    {27, 300, 355},	// QGlobalSpace::qDrawShadePanel#$$$$#$$
    {27, 301, 352},	// QGlobalSpace::qDrawShadePanel#$$$$#$$#
    {27, 303, 279},	// QGlobalSpace::qDrawShadeRect###
    {27, 304, 280},	// QGlobalSpace::qDrawShadeRect###$
    {27, 305, 281},	// QGlobalSpace::qDrawShadeRect###$$
    {27, 306, 282},	// QGlobalSpace::qDrawShadeRect###$$$
    {27, 307, 278},	// QGlobalSpace::qDrawShadeRect###$$$#
    {27, 308, 573},	// QGlobalSpace::qDrawShadeRect#$$$$#
    {27, 309, 574},	// QGlobalSpace::qDrawShadeRect#$$$$#$
    {27, 310, 575},	// QGlobalSpace::qDrawShadeRect#$$$$#$$
    {27, 311, 576},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$
    {27, 312, 572},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$#
    {27, 314, 312},	// QGlobalSpace::qDrawWinButton###
    {27, 315, 313},	// QGlobalSpace::qDrawWinButton###$
    {27, 316, 311},	// QGlobalSpace::qDrawWinButton###$#
    {27, 317, 620},	// QGlobalSpace::qDrawWinButton#$$$$#
    {27, 318, 621},	// QGlobalSpace::qDrawWinButton#$$$$#$
    {27, 319, 619},	// QGlobalSpace::qDrawWinButton#$$$$#$#
    {27, 321, 544},	// QGlobalSpace::qDrawWinPanel###
    {27, 322, 545},	// QGlobalSpace::qDrawWinPanel###$
    {27, 323, 543},	// QGlobalSpace::qDrawWinPanel###$#
    {27, 324, 108},	// QGlobalSpace::qDrawWinPanel#$$$$#
    {27, 325, 109},	// QGlobalSpace::qDrawWinPanel#$$$$#$
    {27, 326, 107},	// QGlobalSpace::qDrawWinPanel#$$$$#$#
    {27, 328, 273},	// QGlobalSpace::qExp$
    {27, 330, 549},	// QGlobalSpace::qFabs$
    {27, 332, 205},	// QGlobalSpace::qFastCos$
    {27, 334, 440},	// QGlobalSpace::qFastSin$
    {27, 336, 220},	// QGlobalSpace::qFlagLocation$
    {27, 338, 159},	// QGlobalSpace::qFloor$
    {27, 340, 452},	// QGlobalSpace::qFree$
    {27, 342, 457},	// QGlobalSpace::qFreeAligned$
    {27, 344, -598},	// QGlobalSpace::qFuzzyCompare##
    {27, 345, -606},	// QGlobalSpace::qFuzzyCompare$$
    {27, 347, -609},	// QGlobalSpace::qFuzzyIsNull$
    {27, 349, 226},	// QGlobalSpace::qGray$
    {27, 350, 130},	// QGlobalSpace::qGray$$$
    {27, 352, 503},	// QGlobalSpace::qGreen$
    {27, 354, -612},	// QGlobalSpace::qHash#
    {27, 355, -620},	// QGlobalSpace::qHash$
    {27, 356, 710},	// QGlobalSpace::qInf
    {27, 358, 200},	// QGlobalSpace::qInstallMsgHandler$
    {27, 360, -633},	// QGlobalSpace::qIntCast$
    {27, 362, -636},	// QGlobalSpace::qIsFinite$
    {27, 364, 638},	// QGlobalSpace::qIsGray$
    {27, 366, -639},	// QGlobalSpace::qIsInf$
    {27, 368, -642},	// QGlobalSpace::qIsNaN$
    {27, 370, -645},	// QGlobalSpace::qIsNull$
    {27, 372, 276},	// QGlobalSpace::qLn$
    {27, 374, 296},	// QGlobalSpace::qMalloc$
    {27, 376, 499},	// QGlobalSpace::qMallocAligned$$
    {27, 378, 12},	// QGlobalSpace::qMemCopy$$$
    {27, 380, 540},	// QGlobalSpace::qMemSet$$$
    {27, 382, 504},	// QGlobalSpace::qPow$$
    {27, 383, 297},	// QGlobalSpace::qQNaN
    {27, 385, 192},	// QGlobalSpace::qRealloc$$
    {27, 387, 176},	// QGlobalSpace::qReallocAligned$$$$
    {27, 389, 156},	// QGlobalSpace::qRed$
    {27, 391, 287},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {27, 393, 724},	// QGlobalSpace::qRemovePostRoutine$
    {27, 395, 243},	// QGlobalSpace::qRgb$$$
    {27, 397, 407},	// QGlobalSpace::qRgba$$$$
    {27, 399, 709},	// QGlobalSpace::qRound$
    {27, 401, 199},	// QGlobalSpace::qRound64$
    {27, 402, 678},	// QGlobalSpace::qSNaN
    {27, 404, 151},	// QGlobalSpace::qSetFieldWidth$
    {27, 406, 45},	// QGlobalSpace::qSetPadChar#
    {27, 408, 274},	// QGlobalSpace::qSetRealNumberPrecision$
    {27, 409, 83},	// QGlobalSpace::qSharedBuild
    {27, 411, 611},	// QGlobalSpace::qSin$
    {27, 413, 201},	// QGlobalSpace::qSqrt$
    {27, 415, 483},	// QGlobalSpace::qStringComparisonHelper#$
    {27, 416, 28},	// QGlobalSpace::qStringComparisonHelper$$
    {27, 418, 148},	// QGlobalSpace::qTan$
    {27, 420, 373},	// QGlobalSpace::qUncompress#
    {27, 421, 146},	// QGlobalSpace::qUncompress$$
    {27, 422, 448},	// QGlobalSpace::qVersion
    {27, 423, 734},	// QGlobalSpace::qWarning
    {27, 425, 168},	// QGlobalSpace::qbswap_helper$$$
    {27, 427, 557},	// QGlobalSpace::qgcvt$$$
    {27, 429, 37},	// QGlobalSpace::qgetenv$
    {27, 431, 300},	// QGlobalSpace::qputenv$#
    {27, 432, 391},	// QGlobalSpace::qrand
    {27, 434, 406},	// QGlobalSpace::qsort$$$?
    {27, 436, 314},	// QGlobalSpace::qsrand$
    {27, 438, 552},	// QGlobalSpace::qstrcmp##
    {27, 439, 722},	// QGlobalSpace::qstrcmp#$
    {27, 440, 30},	// QGlobalSpace::qstrcmp$#
    {27, 441, 75},	// QGlobalSpace::qstrcmp$$
    {27, 443, 263},	// QGlobalSpace::qstrcpy$$
    {27, 445, 484},	// QGlobalSpace::qstrdup$
    {27, 447, 705},	// QGlobalSpace::qstricmp$$
    {27, 449, 735},	// QGlobalSpace::qstrlen$
    {27, 451, 147},	// QGlobalSpace::qstrncmp$$$
    {27, 453, 368},	// QGlobalSpace::qstrncpy$$$
    {27, 455, 333},	// QGlobalSpace::qstrnicmp$$$
    {27, 457, 11},	// QGlobalSpace::qstrnlen$$
    {27, 459, 631},	// QGlobalSpace::qtTrId$
    {27, 460, 630},	// QGlobalSpace::qtTrId$$
    {27, 462, 234},	// QGlobalSpace::qt_assert$$$
    {27, 464, 396},	// QGlobalSpace::qt_assert_x$$$$
    {27, 466, 542},	// QGlobalSpace::qt_check_pointer$$
    {27, 467, 138},	// QGlobalSpace::qt_error_string
    {27, 468, 137},	// QGlobalSpace::qt_error_string$
    {27, 470, 754},	// QGlobalSpace::qt_message_output$$
    {27, 475, 13},	// QGlobalSpace::qt_noop
    {27, 477, 351},	// QGlobalSpace::qt_qFindChild_helper#$#
    {27, 479, 660},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {27, 481, 652},	// QGlobalSpace::qvariant_cast_helper#$$
    {27, 483, 537},	// QGlobalSpace::qvsnprintf$$$?
    {35, 64, 891},	// QGraphicsSvgItem::QGraphicsSvgItem
    {35, 65, 876},	// QGraphicsSvgItem::QGraphicsSvgItem#
    {35, 66, 892},	// QGraphicsSvgItem::QGraphicsSvgItem$
    {35, 67, 877},	// QGraphicsSvgItem::QGraphicsSvgItem$#
    {35, 84, 895},	// QGraphicsSvgItem::Type
    {35, 100, 886},	// QGraphicsSvgItem::boundingRect
    {35, 123, 881},	// QGraphicsSvgItem::elementId
    {35, 142, 883},	// QGraphicsSvgItem::isCachingEnabled
    {35, 155, 885},	// QGraphicsSvgItem::maximumCacheSize
    {35, 156, 869},	// QGraphicsSvgItem::metaObject
    {35, 228, 893},	// QGraphicsSvgItem::paint##
    {35, 229, 887},	// QGraphicsSvgItem::paint###
    {35, 472, 875},	// QGraphicsSvgItem::qt_metacall$$?
    {35, 474, 870},	// QGraphicsSvgItem::qt_metacast$
    {35, 489, 879},	// QGraphicsSvgItem::renderer
    {35, 496, 882},	// QGraphicsSvgItem::setCachingEnabled$
    {35, 502, 880},	// QGraphicsSvgItem::setElementId$
    {35, 509, 884},	// QGraphicsSvgItem::setMaximumCacheSize#
    {35, 515, 878},	// QGraphicsSvgItem::setSharedRenderer#
    {35, 527, 894},	// QGraphicsSvgItem::staticMetaObject
    {35, 534, 889},	// QGraphicsSvgItem::tr$
    {35, 535, 871},	// QGraphicsSvgItem::tr$$
    {35, 536, 873},	// QGraphicsSvgItem::tr$$$
    {35, 538, 890},	// QGraphicsSvgItem::trUtf8$
    {35, 539, 872},	// QGraphicsSvgItem::trUtf8$$
    {35, 540, 874},	// QGraphicsSvgItem::trUtf8$$$
    {35, 541, 888},	// QGraphicsSvgItem::type
    {35, 547, 896},	// QGraphicsSvgItem::~QGraphicsSvgItem
    {90, 68, 915},	// QSvgGenerator::QSvgGenerator
    {90, 114, 918},	// QSvgGenerator::description
    {90, 129, 926},	// QSvgGenerator::fileName
    {90, 158, 933},	// QSvgGenerator::metric$
    {90, 226, 928},	// QSvgGenerator::outputDevice
    {90, 230, 932},	// QSvgGenerator::paintEngine
    {90, 492, 931},	// QSvgGenerator::resolution
    {90, 500, 919},	// QSvgGenerator::setDescription$
    {90, 505, 927},	// QSvgGenerator::setFileName$
    {90, 511, 929},	// QSvgGenerator::setOutputDevice#
    {90, 513, 930},	// QSvgGenerator::setResolution$
    {90, 517, 921},	// QSvgGenerator::setSize#
    {90, 519, 917},	// QSvgGenerator::setTitle$
    {90, 521, -661},	// QSvgGenerator::setViewBox#
    {90, 525, 920},	// QSvgGenerator::size
    {90, 532, 916},	// QSvgGenerator::title
    {90, 542, 922},	// QSvgGenerator::viewBox
    {90, 543, 923},	// QSvgGenerator::viewBoxF
    {90, 548, 934},	// QSvgGenerator::~QSvgGenerator
    {91, 69, 970},	// QSvgRenderer::QSvgRenderer
    {91, 70, -648},	// QSvgRenderer::QSvgRenderer#
    {91, 71, -652},	// QSvgRenderer::QSvgRenderer##
    {91, 72, 971},	// QSvgRenderer::QSvgRenderer$
    {91, 73, 943},	// QSvgRenderer::QSvgRenderer$#
    {91, 98, 952},	// QSvgRenderer::animated
    {91, 99, 957},	// QSvgRenderer::animationDuration
    {91, 102, 958},	// QSvgRenderer::boundsOnElement$
    {91, 111, 955},	// QSvgRenderer::currentFrame
    {91, 113, 947},	// QSvgRenderer::defaultSize
    {91, 122, 959},	// QSvgRenderer::elementExists$
    {91, 134, 953},	// QSvgRenderer::framesPerSecond
    {91, 144, 946},	// QSvgRenderer::isValid
    {91, 151, -655},	// QSvgRenderer::load#
    {91, 152, 961},	// QSvgRenderer::load$
    {91, 154, 960},	// QSvgRenderer::matrixForElement$
    {91, 156, 935},	// QSvgRenderer::metaObject
    {91, 472, 941},	// QSvgRenderer::qt_metacall$$?
    {91, 474, 936},	// QSvgRenderer::qt_metacast$
    {91, 485, 964},	// QSvgRenderer::render#
    {91, 486, 965},	// QSvgRenderer::render##
    {91, 487, 974},	// QSvgRenderer::render#$
    {91, 488, 966},	// QSvgRenderer::render#$#
    {91, 490, 967},	// QSvgRenderer::repaintNeeded
    {91, 498, 956},	// QSvgRenderer::setCurrentFrame$
    {91, 507, 954},	// QSvgRenderer::setFramesPerSecond$
    {91, 521, -658},	// QSvgRenderer::setViewBox#
    {91, 527, 975},	// QSvgRenderer::staticMetaObject
    {91, 534, 968},	// QSvgRenderer::tr$
    {91, 535, 937},	// QSvgRenderer::tr$$
    {91, 536, 939},	// QSvgRenderer::tr$$$
    {91, 538, 969},	// QSvgRenderer::trUtf8$
    {91, 539, 938},	// QSvgRenderer::trUtf8$$
    {91, 540, 940},	// QSvgRenderer::trUtf8$$$
    {91, 542, 948},	// QSvgRenderer::viewBox
    {91, 543, 949},	// QSvgRenderer::viewBoxF
    {91, 549, 976},	// QSvgRenderer::~QSvgRenderer
    {92, 74, 993},	// QSvgWidget::QSvgWidget
    {92, 75, 984},	// QSvgWidget::QSvgWidget#
    {92, 76, 994},	// QSvgWidget::QSvgWidget$
    {92, 77, 985},	// QSvgWidget::QSvgWidget$#
    {92, 151, 989},	// QSvgWidget::load#
    {92, 152, 988},	// QSvgWidget::load$
    {92, 156, 977},	// QSvgWidget::metaObject
    {92, 232, 990},	// QSvgWidget::paintEvent#
    {92, 472, 983},	// QSvgWidget::qt_metacall$$?
    {92, 474, 978},	// QSvgWidget::qt_metacast$
    {92, 489, 986},	// QSvgWidget::renderer
    {92, 526, 987},	// QSvgWidget::sizeHint
    {92, 527, 995},	// QSvgWidget::staticMetaObject
    {92, 534, 991},	// QSvgWidget::tr$
    {92, 535, 979},	// QSvgWidget::tr$$
    {92, 536, 981},	// QSvgWidget::tr$$$
    {92, 538, 992},	// QSvgWidget::trUtf8$
    {92, 539, 980},	// QSvgWidget::trUtf8$$
    {92, 540, 982},	// QSvgWidget::trUtf8$$$
    {92, 550, 996},	// QSvgWidget::~QSvgWidget
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtsvg_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtsvg_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtsvg_Smoke = new Smoke(
        "qtsvg",
        __smokeqtsvg::classes, 114,
        __smokeqtsvg::methods, 1041,
        __smokeqtsvg::methodMaps, 324,
        __smokeqtsvg::methodNames, 550,
        __smokeqtsvg::types, 467,
        __smokeqtsvg::inheritanceList,
        __smokeqtsvg::argumentList,
        __smokeqtsvg::ambiguousMethodList,
        __smokeqtsvg::cast );
    initialized = true;
}

void delete_qtsvg_Smoke() { delete qtsvg_Smoke; }

}
