#include <qtwebkit_includes.h>

#include <smoke.h>
#include <qtwebkit_smoke.h>

namespace __smokeqtwebkit {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAction
      switch(to) {
        case 1: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChildEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 5: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QCloseEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 6: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 7:   //QContextMenuEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 7: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDateTime
      switch(to) {
        case 8: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 9:   //QDragEnterEvent
      switch(to) {
        case 11: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 12: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 13: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 9: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QDragLeaveEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 10: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QDragMoveEvent
      switch(to) {
        case 12: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 13: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 11: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QDropEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 12: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QEvent
      switch(to) {
        case 13: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QFocusEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 14: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QFont
      switch(to) {
        case 15: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 17:   //QHideEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 17: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 18:   //QIcon
      switch(to) {
        case 18: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 19:   //QIncompatibleFlag
      switch(to) {
        case 19: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 20:   //QInputMethodEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 20: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QKeyEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 21: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QMenu
      switch(to) {
        case 22: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 23:   //QMetaObject
      switch(to) {
        case 23: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 24:   //QMouseEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 24: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QMoveEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 25: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 26:   //QNetworkAccessManager
      switch(to) {
        case 29: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 26: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 27:   //QNetworkReply
      switch(to) {
        case 29: return (void*)(QObject*)(QNetworkReply*)xptr;
        case 27: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 28:   //QNetworkRequest
      switch(to) {
        case 28: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 29:   //QObject
      switch(to) {
        case 29: return (void*)(QObject*)xptr;
        case 76: return (void*)(QWebView*)(QObject*)xptr;
        case 54: return (void*)(QWebFrame*)(QObject*)xptr;
        case 60: return (void*)(QWebPage*)(QObject*)xptr;
        case 68: return (void*)(QWebPluginFactory*)(QObject*)xptr;
        case 56: return (void*)(QWebHistoryInterface*)(QObject*)xptr;
        case 59: return (void*)(QWebInspector*)(QObject*)xptr;
        default: return xptr;
      }
    case 30:   //QPaintEngine
      switch(to) {
        case 30: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 31:   //QPaintEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 31: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QPainter
      switch(to) {
        case 32: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 33:   //QPalette
      switch(to) {
        case 33: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 34:   //QPixmap
      switch(to) {
        case 34: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 35:   //QPoint
      switch(to) {
        case 35: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 36:   //QPrinter
      switch(to) {
        case 36: return (void*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 37:   //QRect
      switch(to) {
        case 37: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 38:   //QRegExp
      switch(to) {
        case 38: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 39:   //QRegion
      switch(to) {
        case 39: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 40:   //QResizeEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 40: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QShowEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 41: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QSize
      switch(to) {
        case 42: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 43:   //QStyle
      switch(to) {
        case 43: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 44:   //QTabletEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 44: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QTimerEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 45: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QUndoStack
      switch(to) {
        case 46: return (void*)(QUndoStack*)xptr;
        default: return xptr;
      }
    case 47:   //QUrl
      switch(to) {
        case 47: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 48:   //QVariant
      switch(to) {
        case 48: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 49:   //QWebDatabase
      switch(to) {
        case 49: return (void*)(QWebDatabase*)xptr;
        default: return xptr;
      }
    case 50:   //QWebElement
      switch(to) {
        case 50: return (void*)(QWebElement*)xptr;
        default: return xptr;
      }
    case 51:   //QWebElementCollection
      switch(to) {
        case 51: return (void*)(QWebElementCollection*)xptr;
        default: return xptr;
      }
    case 52:   //QWebElementCollection::const_iterator
      switch(to) {
        case 52: return (void*)(QWebElementCollection::const_iterator*)xptr;
        default: return xptr;
      }
    case 53:   //QWebElementCollection::iterator
      switch(to) {
        case 53: return (void*)(QWebElementCollection::iterator*)xptr;
        default: return xptr;
      }
    case 54:   //QWebFrame
      switch(to) {
        case 29: return (void*)(QObject*)(QWebFrame*)xptr;
        case 54: return (void*)(QWebFrame*)xptr;
        default: return xptr;
      }
    case 55:   //QWebHistory
      switch(to) {
        case 55: return (void*)(QWebHistory*)xptr;
        default: return xptr;
      }
    case 56:   //QWebHistoryInterface
      switch(to) {
        case 29: return (void*)(QObject*)(QWebHistoryInterface*)xptr;
        case 56: return (void*)(QWebHistoryInterface*)xptr;
        default: return xptr;
      }
    case 57:   //QWebHistoryItem
      switch(to) {
        case 57: return (void*)(QWebHistoryItem*)xptr;
        default: return xptr;
      }
    case 58:   //QWebHitTestResult
      switch(to) {
        case 58: return (void*)(QWebHitTestResult*)xptr;
        default: return xptr;
      }
    case 59:   //QWebInspector
      switch(to) {
        case 78: return (void*)(QWidget*)(QWebInspector*)xptr;
        case 29: return (void*)(QObject*)(QWebInspector*)xptr;
        case 59: return (void*)(QWebInspector*)xptr;
        default: return xptr;
      }
    case 60:   //QWebPage
      switch(to) {
        case 29: return (void*)(QObject*)(QWebPage*)xptr;
        case 60: return (void*)(QWebPage*)xptr;
        default: return xptr;
      }
    case 61:   //QWebPage::ChooseMultipleFilesExtensionOption
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionOption*)(QWebPage::ChooseMultipleFilesExtensionOption*)xptr;
        case 61: return (void*)(QWebPage::ChooseMultipleFilesExtensionOption*)xptr;
        default: return xptr;
      }
    case 62:   //QWebPage::ChooseMultipleFilesExtensionReturn
      switch(to) {
        case 66: return (void*)(QWebPage::ExtensionReturn*)(QWebPage::ChooseMultipleFilesExtensionReturn*)xptr;
        case 62: return (void*)(QWebPage::ChooseMultipleFilesExtensionReturn*)xptr;
        default: return xptr;
      }
    case 63:   //QWebPage::ErrorPageExtensionOption
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionOption*)(QWebPage::ErrorPageExtensionOption*)xptr;
        case 63: return (void*)(QWebPage::ErrorPageExtensionOption*)xptr;
        default: return xptr;
      }
    case 64:   //QWebPage::ErrorPageExtensionReturn
      switch(to) {
        case 66: return (void*)(QWebPage::ExtensionReturn*)(QWebPage::ErrorPageExtensionReturn*)xptr;
        case 64: return (void*)(QWebPage::ErrorPageExtensionReturn*)xptr;
        default: return xptr;
      }
    case 65:   //QWebPage::ExtensionOption
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionOption*)xptr;
        case 61: return (void*)(QWebPage::ChooseMultipleFilesExtensionOption*)(QWebPage::ExtensionOption*)xptr;
        case 63: return (void*)(QWebPage::ErrorPageExtensionOption*)(QWebPage::ExtensionOption*)xptr;
        default: return xptr;
      }
    case 66:   //QWebPage::ExtensionReturn
      switch(to) {
        case 66: return (void*)(QWebPage::ExtensionReturn*)xptr;
        case 64: return (void*)(QWebPage::ErrorPageExtensionReturn*)(QWebPage::ExtensionReturn*)xptr;
        case 62: return (void*)(QWebPage::ChooseMultipleFilesExtensionReturn*)(QWebPage::ExtensionReturn*)xptr;
        default: return xptr;
      }
    case 67:   //QWebPagePrivate
      switch(to) {
        case 67: return (void*)(QWebPagePrivate*)xptr;
        default: return xptr;
      }
    case 68:   //QWebPluginFactory
      switch(to) {
        case 29: return (void*)(QObject*)(QWebPluginFactory*)xptr;
        case 68: return (void*)(QWebPluginFactory*)xptr;
        default: return xptr;
      }
    case 69:   //QWebPluginFactory::ExtensionOption
      switch(to) {
        case 69: return (void*)(QWebPluginFactory::ExtensionOption*)xptr;
        default: return xptr;
      }
    case 70:   //QWebPluginFactory::ExtensionReturn
      switch(to) {
        case 70: return (void*)(QWebPluginFactory::ExtensionReturn*)xptr;
        default: return xptr;
      }
    case 71:   //QWebPluginFactory::MimeType
      switch(to) {
        case 71: return (void*)(QWebPluginFactory::MimeType*)xptr;
        default: return xptr;
      }
    case 72:   //QWebPluginFactory::Plugin
      switch(to) {
        case 72: return (void*)(QWebPluginFactory::Plugin*)xptr;
        default: return xptr;
      }
    case 73:   //QWebSecurityOrigin
      switch(to) {
        case 73: return (void*)(QWebSecurityOrigin*)xptr;
        default: return xptr;
      }
    case 74:   //QWebSettings
      switch(to) {
        case 74: return (void*)(QWebSettings*)xptr;
        default: return xptr;
      }
    case 75:   //QWebSettingsPrivate
      switch(to) {
        case 75: return (void*)(QWebSettingsPrivate*)xptr;
        default: return xptr;
      }
    case 76:   //QWebView
      switch(to) {
        case 78: return (void*)(QWidget*)(QWebView*)xptr;
        case 29: return (void*)(QObject*)(QWebView*)xptr;
        case 76: return (void*)(QWebView*)xptr;
        default: return xptr;
      }
    case 77:   //QWheelEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 77: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 78:   //QWidget
      switch(to) {
        case 29: return (void*)(QObject*)(QWidget*)xptr;
        case 78: return (void*)(QWidget*)xptr;
        case 76: return (void*)(QWebView*)(QWidget*)xptr;
        case 59: return (void*)(QWebInspector*)(QWidget*)xptr;
        default: return xptr;
      }
    case 79:   //std::bidirectional_iterator_tag
      switch(to) {
        case 79: return (void*)(std::bidirectional_iterator_tag*)xptr;
        default: return xptr;
      }
    case 80:   //std::random_access_iterator_tag
      switch(to) {
        case 80: return (void*)(std::random_access_iterator_tag*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    29, 0,	// 1: QObject
    78, 0,	// 3: QWidget
    65, 0,	// 5: QWebPage::ExtensionOption
    66, 0,	// 7: QWebPage::ExtensionReturn
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebPage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebSettings(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebElement(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebFrame(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebPluginFactory(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebDatabase(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElement(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection__const_iterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection__iterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebFrame(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistory(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistoryInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistoryItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHitTestResult(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebInspector(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ChooseMultipleFilesExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ChooseMultipleFilesExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ErrorPageExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ErrorPageExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__ExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__ExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__MimeType(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebSecurityOrigin(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebSettings(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebView(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAction", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//5
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//7
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//8
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QFont", true, 0, 0, 0, 0, 0 },	//15
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//16
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//17
    { "QIcon", true, 0, 0, 0, 0, 0 },	//18
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//19
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QMenu", true, 0, 0, 0, 0, 0 },	//22
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//23
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//25
    { "QNetworkAccessManager", true, 0, 0, 0, 0, 0 },	//26
    { "QNetworkReply", true, 0, 0, 0, 0, 0 },	//27
    { "QNetworkRequest", true, 0, 0, 0, 0, 0 },	//28
    { "QObject", true, 0, 0, 0, 0, 0 },	//29
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//30
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QPainter", true, 0, 0, 0, 0, 0 },	//32
    { "QPalette", true, 0, 0, 0, 0, 0 },	//33
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//34
    { "QPoint", true, 0, 0, 0, 0, 0 },	//35
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//36
    { "QRect", true, 0, 0, 0, 0, 0 },	//37
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//38
    { "QRegion", true, 0, 0, 0, 0, 0 },	//39
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QSize", true, 0, 0, 0, 0, 0 },	//42
    { "QStyle", true, 0, 0, 0, 0, 0 },	//43
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QUndoStack", true, 0, 0, 0, 0, 0 },	//46
    { "QUrl", true, 0, 0, 0, 0, 0 },	//47
    { "QVariant", true, 0, 0, 0, 0, 0 },	//48
    { "QWebDatabase", false, 0, xcall_QWebDatabase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebDatabase) },	//49
    { "QWebElement", false, 0, xcall_QWebElement, xenum_QWebElement, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElement) },	//50
    { "QWebElementCollection", false, 0, xcall_QWebElementCollection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection) },	//51
    { "QWebElementCollection::const_iterator", false, 0, xcall_QWebElementCollection__const_iterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection::const_iterator) },	//52
    { "QWebElementCollection::iterator", false, 0, xcall_QWebElementCollection__iterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection::iterator) },	//53
    { "QWebFrame", false, 1, xcall_QWebFrame, xenum_QWebFrame, Smoke::cf_virtual, sizeof(QWebFrame) },	//54
    { "QWebHistory", false, 0, xcall_QWebHistory, 0, 0, sizeof(QWebHistory) },	//55
    { "QWebHistoryInterface", false, 1, xcall_QWebHistoryInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebHistoryInterface) },	//56
    { "QWebHistoryItem", false, 0, xcall_QWebHistoryItem, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebHistoryItem) },	//57
    { "QWebHitTestResult", false, 0, xcall_QWebHitTestResult, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebHitTestResult) },	//58
    { "QWebInspector", false, 3, xcall_QWebInspector, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebInspector) },	//59
    { "QWebPage", false, 1, xcall_QWebPage, xenum_QWebPage, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebPage) },	//60
    { "QWebPage::ChooseMultipleFilesExtensionOption", false, 5, xcall_QWebPage__ChooseMultipleFilesExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ChooseMultipleFilesExtensionOption) },	//61
    { "QWebPage::ChooseMultipleFilesExtensionReturn", false, 7, xcall_QWebPage__ChooseMultipleFilesExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ChooseMultipleFilesExtensionReturn) },	//62
    { "QWebPage::ErrorPageExtensionOption", false, 5, xcall_QWebPage__ErrorPageExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ErrorPageExtensionOption) },	//63
    { "QWebPage::ErrorPageExtensionReturn", false, 7, xcall_QWebPage__ErrorPageExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ErrorPageExtensionReturn) },	//64
    { "QWebPage::ExtensionOption", false, 0, xcall_QWebPage__ExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ExtensionOption) },	//65
    { "QWebPage::ExtensionReturn", false, 0, xcall_QWebPage__ExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ExtensionReturn) },	//66
    { "QWebPagePrivate", true, 0, 0, 0, 0, 0 },	//67
    { "QWebPluginFactory", false, 1, xcall_QWebPluginFactory, xenum_QWebPluginFactory, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebPluginFactory) },	//68
    { "QWebPluginFactory::ExtensionOption", false, 0, xcall_QWebPluginFactory__ExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::ExtensionOption) },	//69
    { "QWebPluginFactory::ExtensionReturn", false, 0, xcall_QWebPluginFactory__ExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::ExtensionReturn) },	//70
    { "QWebPluginFactory::MimeType", false, 0, xcall_QWebPluginFactory__MimeType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::MimeType) },	//71
    { "QWebPluginFactory::Plugin", false, 0, xcall_QWebPluginFactory__Plugin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::Plugin) },	//72
    { "QWebSecurityOrigin", false, 0, xcall_QWebSecurityOrigin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebSecurityOrigin) },	//73
    { "QWebSettings", false, 0, xcall_QWebSettings, xenum_QWebSettings, 0, sizeof(QWebSettings) },	//74
    { "QWebSettingsPrivate", true, 0, 0, 0, 0, 0 },	//75
    { "QWebView", false, 3, xcall_QWebView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebView) },	//76
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//77
    { "QWidget", true, 0, 0, 0, 0, 0 },	//78
    { "std::bidirectional_iterator_tag", true, 0, 0, 0, 0, 0 },	//79
    { "std::random_access_iterator_tag", true, 0, 0, 0, 0, 0 },	//80
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "QByteArray&", 4, Smoke::t_class|Smoke::tf_ref },	//4
    { "QChildEvent*", 5, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QCloseEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//6
    { "QContextMenuEvent*", 7, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QDateTime", 8, Smoke::t_class|Smoke::tf_stack },	//8
    { "QDragEnterEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDragLeaveEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QDragMoveEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//12
    { "QDrawPixmaps::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//13
    { "QDropEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//15
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//16
    { "QFlags<QWebPage::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//17
    { "QFlags<QtConcurrent::ReduceOptions::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//18
    { "QFocusEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//19
    { "QHideEvent*", 17, Smoke::t_class|Smoke::tf_ptr },	//20
    { "QIcon", 18, Smoke::t_class|Smoke::tf_stack },	//21
    { "QIncompatibleFlag", 19, Smoke::t_class|Smoke::tf_stack },	//22
    { "QInputMethodEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//23
    { "QKeyEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QList<QWebDatabase>", 0, Smoke::t_voidp|Smoke::tf_stack },	//25
    { "QList<QWebElement>", 0, Smoke::t_voidp|Smoke::tf_stack },	//26
    { "QList<QWebFrame*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//27
    { "QList<QWebHistoryItem>", 0, Smoke::t_voidp|Smoke::tf_stack },	//28
    { "QList<QWebPluginFactory::MimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//29
    { "QList<QWebPluginFactory::Plugin>", 0, Smoke::t_voidp|Smoke::tf_stack },	//30
    { "QList<QWebSecurityOrigin>", 0, Smoke::t_voidp|Smoke::tf_stack },	//31
    { "QMenu*", 22, Smoke::t_class|Smoke::tf_ptr },	//32
    { "QMetaObject::Call", 23, Smoke::t_enum|Smoke::tf_stack },	//33
    { "QMouseEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QMoveEvent*", 25, Smoke::t_class|Smoke::tf_ptr },	//35
    { "QMultiMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//36
    { "QNetworkAccessManager*", 26, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QNetworkAccessManager::Operation", 26, Smoke::t_enum|Smoke::tf_stack },	//38
    { "QNetworkReply*", 27, Smoke::t_class|Smoke::tf_ptr },	//39
    { "QObject*", 29, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "QPaintEngine*", 30, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QPaintEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QPainter*", 32, Smoke::t_class|Smoke::tf_ptr },	//44
    { "QPainter::RenderHint", 32, Smoke::t_enum|Smoke::tf_stack },	//45
    { "QPalette", 33, Smoke::t_class|Smoke::tf_stack },	//46
    { "QPixmap", 34, Smoke::t_class|Smoke::tf_stack },	//47
    { "QPoint", 35, Smoke::t_class|Smoke::tf_stack },	//48
    { "QPrinter*", 36, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QRect", 37, Smoke::t_class|Smoke::tf_stack },	//50
    { "QRegExp&", 38, Smoke::t_class|Smoke::tf_ref },	//51
    { "QResizeEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QScriptEngine::ValueOwnership", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "QShowEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QSize", 42, Smoke::t_class|Smoke::tf_stack },	//55
    { "QSsl::AlternateNameEntryType", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "QSsl::EncodingFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "QSsl::KeyAlgorithm", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "QSsl::KeyType", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "QSsl::SslProtocol", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//61
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//62
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//63
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//64
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//65
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//66
    { "QStyle&", 43, Smoke::t_class|Smoke::tf_ref },	//67
    { "QTabletEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QTimerEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QUndoStack*", 46, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QUrl", 47, Smoke::t_class|Smoke::tf_stack },	//71
    { "QUrl&", 47, Smoke::t_class|Smoke::tf_ref },	//72
    { "QVariant", 48, Smoke::t_class|Smoke::tf_stack },	//73
    { "QWebDatabase&", 49, Smoke::t_class|Smoke::tf_ref },	//74
    { "QWebDatabase*", 49, Smoke::t_class|Smoke::tf_ptr },	//75
    { "QWebElement", 50, Smoke::t_class|Smoke::tf_stack },	//76
    { "QWebElement&", 50, Smoke::t_class|Smoke::tf_ref },	//77
    { "QWebElement*", 50, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QWebElement::StyleResolveStrategy", 50, Smoke::t_enum|Smoke::tf_stack },	//79
    { "QWebElementCollection", 51, Smoke::t_class|Smoke::tf_stack },	//80
    { "QWebElementCollection&", 51, Smoke::t_class|Smoke::tf_ref },	//81
    { "QWebElementCollection*", 51, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QWebElementCollection::const_iterator", 52, Smoke::t_class|Smoke::tf_stack },	//83
    { "QWebElementCollection::const_iterator&", 52, Smoke::t_class|Smoke::tf_ref },	//84
    { "QWebElementCollection::const_iterator*", 52, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QWebElementCollection::iterator", 53, Smoke::t_class|Smoke::tf_stack },	//86
    { "QWebElementCollection::iterator&", 53, Smoke::t_class|Smoke::tf_ref },	//87
    { "QWebElementCollection::iterator*", 53, Smoke::t_class|Smoke::tf_ptr },	//88
    { "QWebFrame*", 54, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QWebFrame::RenderLayer", 54, Smoke::t_enum|Smoke::tf_stack },	//90
    { "QWebHistory*", 55, Smoke::t_class|Smoke::tf_ptr },	//91
    { "QWebHistoryInterface*", 56, Smoke::t_class|Smoke::tf_ptr },	//92
    { "QWebHistoryItem", 57, Smoke::t_class|Smoke::tf_stack },	//93
    { "QWebHistoryItem&", 57, Smoke::t_class|Smoke::tf_ref },	//94
    { "QWebHistoryItem*", 57, Smoke::t_class|Smoke::tf_ptr },	//95
    { "QWebHitTestResult", 58, Smoke::t_class|Smoke::tf_stack },	//96
    { "QWebHitTestResult&", 58, Smoke::t_class|Smoke::tf_ref },	//97
    { "QWebHitTestResult*", 58, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QWebInspector*", 59, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QWebPage*", 60, Smoke::t_class|Smoke::tf_ptr },	//100
    { "QWebPage::ChooseMultipleFilesExtensionOption*", 61, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QWebPage::ChooseMultipleFilesExtensionReturn*", 62, Smoke::t_class|Smoke::tf_ptr },	//102
    { "QWebPage::ErrorDomain", 60, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QWebPage::ErrorPageExtensionOption*", 63, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QWebPage::ErrorPageExtensionReturn*", 64, Smoke::t_class|Smoke::tf_ptr },	//105
    { "QWebPage::Extension", 60, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QWebPage::ExtensionOption*", 65, Smoke::t_class|Smoke::tf_ptr },	//107
    { "QWebPage::ExtensionReturn*", 66, Smoke::t_class|Smoke::tf_ptr },	//108
    { "QWebPage::FindFlag", 60, Smoke::t_enum|Smoke::tf_stack },	//109
    { "QWebPage::LinkDelegationPolicy", 60, Smoke::t_enum|Smoke::tf_stack },	//110
    { "QWebPage::NavigationType", 60, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QWebPage::WebAction", 60, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QWebPage::WebWindowType", 60, Smoke::t_enum|Smoke::tf_stack },	//113
    { "QWebPagePrivate*", 67, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QWebPluginFactory*", 68, Smoke::t_class|Smoke::tf_ptr },	//115
    { "QWebPluginFactory::Extension", 68, Smoke::t_enum|Smoke::tf_stack },	//116
    { "QWebPluginFactory::ExtensionOption*", 69, Smoke::t_class|Smoke::tf_ptr },	//117
    { "QWebPluginFactory::ExtensionReturn*", 70, Smoke::t_class|Smoke::tf_ptr },	//118
    { "QWebPluginFactory::MimeType*", 71, Smoke::t_class|Smoke::tf_ptr },	//119
    { "QWebPluginFactory::Plugin*", 72, Smoke::t_class|Smoke::tf_ptr },	//120
    { "QWebSecurityOrigin", 73, Smoke::t_class|Smoke::tf_stack },	//121
    { "QWebSecurityOrigin&", 73, Smoke::t_class|Smoke::tf_ref },	//122
    { "QWebSecurityOrigin*", 73, Smoke::t_class|Smoke::tf_ptr },	//123
    { "QWebSettings*", 74, Smoke::t_class|Smoke::tf_ptr },	//124
    { "QWebSettings::FontFamily", 74, Smoke::t_enum|Smoke::tf_stack },	//125
    { "QWebSettings::FontSize", 74, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QWebSettings::WebAttribute", 74, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QWebSettings::WebGraphic", 74, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QWebSettingsPrivate*", 75, Smoke::t_class|Smoke::tf_ptr },	//129
    { "QWebView*", 76, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QWheelEvent*", 77, Smoke::t_class|Smoke::tf_ptr },	//131
    { "QWidget*", 78, Smoke::t_class|Smoke::tf_ptr },	//132
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "QtConcurrent::ReduceOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//205
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QtMsgType", 16, Smoke::t_enum|Smoke::tf_stack },	//207
    { "_LIB_VERSION_TYPE", 16, Smoke::t_enum|Smoke::tf_stack },	//208
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//209
    { "__codecvt_result", 16, Smoke::t_enum|Smoke::tf_stack },	//210
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//211
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//212
    { "const QFont&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//213
    { "const QList<QWebPluginFactory::MimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//214
    { "const QMetaObject&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//215
    { "const QMetaObject*", 23, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//216
    { "const QNetworkRequest&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//217
    { "const QPalette&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//218
    { "const QPixmap&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//219
    { "const QPoint&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//220
    { "const QRect&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//221
    { "const QRegExp&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//222
    { "const QRegion&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//223
    { "const QSize&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//224
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//225
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//226
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//227
    { "const QUrl&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//228
    { "const QVariant&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//229
    { "const QWebDatabase&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//230
    { "const QWebElement", 50, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//231
    { "const QWebElement&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//232
    { "const QWebElementCollection&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const QWebElementCollection*", 51, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//234
    { "const QWebElementCollection::const_iterator&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const QWebElementCollection::iterator&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const QWebHistoryItem&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const QWebHitTestResult&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QWebPage::ChooseMultipleFilesExtensionOption&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QWebPage::ChooseMultipleFilesExtensionReturn&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QWebPage::ErrorPageExtensionOption&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QWebPage::ErrorPageExtensionReturn&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QWebPage::ExtensionOption&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QWebPage::ExtensionOption*", 65, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//244
    { "const QWebPage::ExtensionReturn&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QWebPluginFactory::ExtensionOption&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QWebPluginFactory::ExtensionOption*", 69, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//247
    { "const QWebPluginFactory::ExtensionReturn&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QWebPluginFactory::MimeType&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QWebPluginFactory::Plugin&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QWebSecurityOrigin&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//252
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//253
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//254
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//255
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//256
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//257
    { "std::bidirectional_iterator_tag", 79, Smoke::t_class|Smoke::tf_stack },	//258
    { "std::forward_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//259
    { "std::random_access_iterator_tag", 80, Smoke::t_class|Smoke::tf_stack },	//260
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//261
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//262
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//263
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//264
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    15, 0,	//1  QEvent*
    40, 15, 0,	//3  QObject*, QEvent*
    69, 0,	//6  QTimerEvent*
    5, 0,	//8  QChildEvent*
    252, 0,	//10  const char*
    230, 0,	//12  const QWebDatabase&
    232, 0,	//14  const QWebElement&
    225, 0,	//16  const QString&
    225, 225, 0,	//18  const QString&, const QString&
    225, 225, 225, 0,	//21  const QString&, const QString&, const QString&
    225, 79, 0,	//25  const QString&, QWebElement::StyleResolveStrategy
    44, 0,	//28  QPainter*
    232, 225, 0,	//30  const QWebElement&, const QString&
    233, 0,	//33  const QWebElementCollection&
    255, 0,	//35  int
    234, 255, 0,	//37  const QWebElementCollection*, int
    235, 0,	//40  const QWebElementCollection::const_iterator&
    83, 0,	//42  QWebElementCollection::const_iterator
    236, 0,	//44  const QWebElementCollection::iterator&
    86, 0,	//46  QWebElementCollection::iterator
    252, 252, 0,	//48  const char*, const char*
    252, 252, 255, 0,	//51  const char*, const char*, int
    33, 255, 263, 0,	//55  QMetaObject::Call, int, void**
    228, 0,	//59  const QUrl&
    217, 38, 212, 0,	//61  const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&
    225, 228, 0,	//65  const QString&, const QUrl&
    212, 225, 228, 0,	//68  const QByteArray&, const QString&, const QUrl&
    225, 40, 0,	//72  const QString&, QObject*
    225, 40, 53, 0,	//75  const QString&, QObject*, QScriptEngine::ValueOwnership
    178, 0,	//79  Qt::Orientation
    178, 182, 0,	//81  Qt::Orientation, Qt::ScrollBarPolicy
    178, 255, 0,	//84  Qt::Orientation, int
    255, 255, 0,	//87  int, int
    220, 0,	//90  const QPoint&
    44, 223, 0,	//92  QPainter*, const QRegion&
    44, 90, 223, 0,	//95  QPainter*, QWebFrame::RenderLayer, const QRegion&
    254, 0,	//99  double
    49, 0,	//101  QPrinter*
    224, 0,	//103  const QSize&
    211, 0,	//105  bool
    217, 0,	//107  const QNetworkRequest&
    217, 38, 0,	//109  const QNetworkRequest&, QNetworkAccessManager::Operation
    212, 0,	//112  const QByteArray&
    212, 225, 0,	//114  const QByteArray&, const QString&
    44, 90, 0,	//117  QPainter*, QWebFrame::RenderLayer
    237, 0,	//120  const QWebHistoryItem&
    40, 0,	//122  QObject*
    92, 0,	//124  QWebHistoryInterface*
    229, 0,	//126  const QVariant&
    238, 0,	//128  const QWebHitTestResult&
    132, 0,	//130  QWidget*
    100, 0,	//132  QWebPage*
    52, 0,	//134  QResizeEvent*
    54, 0,	//136  QShowEvent*
    20, 0,	//138  QHideEvent*
    37, 0,	//140  QNetworkAccessManager*
    115, 0,	//142  QWebPluginFactory*
    112, 0,	//144  QWebPage::WebAction
    112, 211, 0,	//146  QWebPage::WebAction, bool
    166, 0,	//149  Qt::InputMethodQuery
    225, 17, 0,	//151  const QString&, QFlags<QWebPage::FindFlag>
    110, 0,	//154  QWebPage::LinkDelegationPolicy
    218, 0,	//156  const QPalette&
    7, 0,	//158  QContextMenuEvent*
    106, 244, 108, 0,	//160  QWebPage::Extension, const QWebPage::ExtensionOption*, QWebPage::ExtensionReturn*
    106, 0,	//164  QWebPage::Extension
    89, 0,	//166  QWebFrame*
    221, 0,	//168  const QRect&
    255, 255, 221, 0,	//170  int, int, const QRect&
    39, 0,	//174  QNetworkReply*
    89, 61, 0,	//176  QWebFrame*, QString
    89, 95, 0,	//179  QWebFrame*, QWebHistoryItem*
    113, 0,	//182  QWebPage::WebWindowType
    225, 228, 226, 226, 0,	//184  const QString&, const QUrl&, const QStringList&, const QStringList&
    89, 217, 111, 0,	//189  QWebFrame*, const QNetworkRequest&, QWebPage::NavigationType
    89, 225, 0,	//193  QWebFrame*, const QString&
    89, 225, 225, 63, 0,	//196  QWebFrame*, const QString&, const QString&, QString*
    225, 255, 225, 0,	//201  const QString&, int, const QString&
    106, 244, 0,	//205  QWebPage::Extension, const QWebPage::ExtensionOption*
    239, 0,	//208  const QWebPage::ChooseMultipleFilesExtensionOption&
    226, 0,	//210  const QStringList&
    240, 0,	//212  const QWebPage::ChooseMultipleFilesExtensionReturn&
    241, 0,	//214  const QWebPage::ErrorPageExtensionOption&
    103, 0,	//216  QWebPage::ErrorDomain
    242, 0,	//218  const QWebPage::ErrorPageExtensionReturn&
    243, 0,	//220  const QWebPage::ExtensionOption&
    245, 0,	//222  const QWebPage::ExtensionReturn&
    116, 247, 118, 0,	//224  QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*, QWebPluginFactory::ExtensionReturn*
    116, 0,	//228  QWebPluginFactory::Extension
    116, 247, 0,	//230  QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*
    246, 0,	//233  const QWebPluginFactory::ExtensionOption&
    248, 0,	//235  const QWebPluginFactory::ExtensionReturn&
    249, 0,	//237  const QWebPluginFactory::MimeType&
    250, 0,	//239  const QWebPluginFactory::Plugin&
    214, 0,	//241  const QList<QWebPluginFactory::MimeType>&
    257, 0,	//243  long long
    251, 0,	//245  const QWebSecurityOrigin&
    125, 225, 0,	//247  QWebSettings::FontFamily, const QString&
    125, 0,	//250  QWebSettings::FontFamily
    126, 255, 0,	//252  QWebSettings::FontSize, int
    126, 0,	//255  QWebSettings::FontSize
    127, 211, 0,	//257  QWebSettings::WebAttribute, bool
    127, 0,	//260  QWebSettings::WebAttribute
    128, 219, 0,	//262  QWebSettings::WebGraphic, const QPixmap&
    128, 0,	//265  QWebSettings::WebGraphic
    255, 255, 255, 0,	//267  int, int, int
    16, 0,	//271  QFlags<QPainter::RenderHint>
    45, 211, 0,	//273  QPainter::RenderHint, bool
    43, 0,	//276  QPaintEvent*
    34, 0,	//278  QMouseEvent*
    131, 0,	//280  QWheelEvent*
    24, 0,	//282  QKeyEvent*
    9, 0,	//284  QDragEnterEvent*
    10, 0,	//286  QDragLeaveEvent*
    11, 0,	//288  QDragMoveEvent*
    14, 0,	//290  QDropEvent*
    19, 0,	//292  QFocusEvent*
    23, 0,	//294  QInputMethodEvent*
    45, 0,	//296  QPainter::RenderHint
    35, 0,	//298  QMoveEvent*
    6, 0,	//300  QCloseEvent*
    68, 0,	//302  QTabletEvent*
    2, 0,	//304  QActionEvent*
    209, 0,	//306  _XEvent*
    41, 0,	//308  QPaintDevice::PaintDeviceMetric
    67, 0,	//310  QStyle&
    213, 0,	//312  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AlignCenter",	//1
    "AlignJustified",	//2
    "AlignLeft",	//3
    "AlignRight",	//4
    "AllLayers",	//5
    "AutoLoadImages",	//6
    "Back",	//7
    "CascadedStyle",	//8
    "ChooseMultipleFilesExtension",	//9
    "ChooseMultipleFilesExtensionOption",	//10
    "ChooseMultipleFilesExtensionOption#",	//11
    "ChooseMultipleFilesExtensionReturn",	//12
    "ChooseMultipleFilesExtensionReturn#",	//13
    "ComputedStyle",	//14
    "ContentsLayer",	//15
    "Copy",	//16
    "CopyImageToClipboard",	//17
    "CopyLinkToClipboard",	//18
    "CursiveFont",	//19
    "Cut",	//20
    "DefaultFixedFontSize",	//21
    "DefaultFontSize",	//22
    "DefaultFrameIconGraphic",	//23
    "DelegateAllLinks",	//24
    "DelegateExternalLinks",	//25
    "DeleteEndOfWord",	//26
    "DeleteStartOfWord",	//27
    "DeveloperExtrasEnabled",	//28
    "DnsPrefetchEnabled",	//29
    "DontDelegateLinks",	//30
    "DownloadImageToDisk",	//31
    "DownloadLinkToDisk",	//32
    "DrawChildren",	//33
    "DrawWindowBackground",	//34
    "ErrorPageExtension",	//35
    "ErrorPageExtensionOption",	//36
    "ErrorPageExtensionOption#",	//37
    "ErrorPageExtensionReturn",	//38
    "ErrorPageExtensionReturn#",	//39
    "ExtensionOption",	//40
    "ExtensionOption#",	//41
    "ExtensionReturn",	//42
    "ExtensionReturn#",	//43
    "FantasyFont",	//44
    "FindBackward",	//45
    "FindCaseSensitively",	//46
    "FindWrapsAroundDocument",	//47
    "FixedFont",	//48
    "Forward",	//49
    "HighlightAllOccurrences",	//50
    "Http",	//51
    "IgnoreMask",	//52
    "Indent",	//53
    "InlineStyle",	//54
    "InsertLineSeparator",	//55
    "InsertOrderedList",	//56
    "InsertParagraphSeparator",	//57
    "InsertUnorderedList",	//58
    "InspectElement",	//59
    "JavaEnabled",	//60
    "JavascriptCanAccessClipboard",	//61
    "JavascriptCanOpenWindows",	//62
    "JavascriptEnabled",	//63
    "LinksIncludedInFocusChain",	//64
    "LocalContentCanAccessRemoteUrls",	//65
    "LocalStorageDatabaseEnabled",	//66
    "LocalStorageEnabled",	//67
    "MimeType",	//68
    "MimeType#",	//69
    "MinimumFontSize",	//70
    "MinimumLogicalFontSize",	//71
    "MissingImageGraphic",	//72
    "MissingPluginGraphic",	//73
    "MoveToEndOfBlock",	//74
    "MoveToEndOfDocument",	//75
    "MoveToEndOfLine",	//76
    "MoveToNextChar",	//77
    "MoveToNextLine",	//78
    "MoveToNextWord",	//79
    "MoveToPreviousChar",	//80
    "MoveToPreviousLine",	//81
    "MoveToPreviousWord",	//82
    "MoveToStartOfBlock",	//83
    "MoveToStartOfDocument",	//84
    "MoveToStartOfLine",	//85
    "NavigationTypeBackOrForward",	//86
    "NavigationTypeFormResubmitted",	//87
    "NavigationTypeFormSubmitted",	//88
    "NavigationTypeLinkClicked",	//89
    "NavigationTypeOther",	//90
    "NavigationTypeReload",	//91
    "NoWebAction",	//92
    "OfflineStorageDatabaseEnabled",	//93
    "OfflineWebApplicationCacheEnabled",	//94
    "OpenFrameInNewWindow",	//95
    "OpenImageInNewWindow",	//96
    "OpenLink",	//97
    "OpenLinkInNewWindow",	//98
    "Outdent",	//99
    "PanIconLayer",	//100
    "Paste",	//101
    "PasteAndMatchStyle",	//102
    "Plugin",	//103
    "Plugin#",	//104
    "PluginsEnabled",	//105
    "PrintElementBackgrounds",	//106
    "PrivateBrowsingEnabled",	//107
    "QWebDatabase",	//108
    "QWebDatabase#",	//109
    "QWebElement",	//110
    "QWebElement#",	//111
    "QWebElementCollection",	//112
    "QWebElementCollection#",	//113
    "QWebElementCollection#$",	//114
    "QWebHistoryInterface",	//115
    "QWebHistoryInterface#",	//116
    "QWebHistoryItem",	//117
    "QWebHistoryItem#",	//118
    "QWebHitTestResult",	//119
    "QWebHitTestResult#",	//120
    "QWebInspector",	//121
    "QWebInspector#",	//122
    "QWebPage",	//123
    "QWebPage#",	//124
    "QWebPluginFactory",	//125
    "QWebPluginFactory#",	//126
    "QWebSecurityOrigin",	//127
    "QWebSecurityOrigin#",	//128
    "QWebView",	//129
    "QWebView#",	//130
    "QtCriticalMsg",	//131
    "QtDebugMsg",	//132
    "QtFatalMsg",	//133
    "QtNetwork",	//134
    "QtSystemMsg",	//135
    "QtWarningMsg",	//136
    "Redo",	//137
    "Reload",	//138
    "ReloadAndBypassCache",	//139
    "RemoveFormat",	//140
    "SansSerifFont",	//141
    "ScrollBarLayer",	//142
    "SelectAll",	//143
    "SelectEndOfBlock",	//144
    "SelectEndOfDocument",	//145
    "SelectEndOfLine",	//146
    "SelectNextChar",	//147
    "SelectNextLine",	//148
    "SelectNextWord",	//149
    "SelectPreviousChar",	//150
    "SelectPreviousLine",	//151
    "SelectPreviousWord",	//152
    "SelectStartOfBlock",	//153
    "SelectStartOfDocument",	//154
    "SelectStartOfLine",	//155
    "SerifFont",	//156
    "SetTextDirectionDefault",	//157
    "SetTextDirectionLeftToRight",	//158
    "SetTextDirectionRightToLeft",	//159
    "StandardFont",	//160
    "Stop",	//161
    "TextAreaSizeGripCornerGraphic",	//162
    "ToggleBold",	//163
    "ToggleItalic",	//164
    "ToggleStrikethrough",	//165
    "ToggleSubscript",	//166
    "ToggleSuperscript",	//167
    "ToggleUnderline",	//168
    "Undo",	//169
    "WebActionCount",	//170
    "WebBrowserWindow",	//171
    "WebKit",	//172
    "WebModalDialog",	//173
    "ZoomTextOnly",	//174
    "_IEEE_",	//175
    "_ISOC_",	//176
    "_POSIX_",	//177
    "_SVID_",	//178
    "_XOPEN_",	//179
    "__codecvt_error",	//180
    "__codecvt_noconv",	//181
    "__codecvt_ok",	//182
    "__codecvt_partial",	//183
    "acceptNavigationRequest",	//184
    "acceptNavigationRequest##$",	//185
    "action",	//186
    "action$",	//187
    "actionEvent",	//188
    "addClass",	//189
    "addClass$",	//190
    "addHistoryEntry",	//191
    "addHistoryEntry$",	//192
    "addLocalScheme",	//193
    "addLocalScheme$",	//194
    "addToJavaScriptWindowObject",	//195
    "addToJavaScriptWindowObject$#",	//196
    "addToJavaScriptWindowObject$#$",	//197
    "allOrigins",	//198
    "alternateText",	//199
    "append",	//200
    "append#",	//201
    "appendInside",	//202
    "appendInside#",	//203
    "appendInside$",	//204
    "appendOutside",	//205
    "appendOutside#",	//206
    "appendOutside$",	//207
    "at",	//208
    "at$",	//209
    "attribute",	//210
    "attribute$",	//211
    "attribute$$",	//212
    "attributeNS",	//213
    "attributeNS$$",	//214
    "attributeNS$$$",	//215
    "attributeNames",	//216
    "attributeNames$",	//217
    "back",	//218
    "backItem",	//219
    "backItems",	//220
    "backItems$",	//221
    "baseUrl",	//222
    "begin",	//223
    "boundingRect",	//224
    "bytesReceived",	//225
    "canGoBack",	//226
    "canGoForward",	//227
    "changeEvent",	//228
    "changeEvent#",	//229
    "childEvent",	//230
    "childFrames",	//231
    "chooseFile",	//232
    "chooseFile#$",	//233
    "classes",	//234
    "clear",	//235
    "clearIconDatabase",	//236
    "clearMemoryCaches",	//237
    "clone",	//238
    "closeEvent",	//239
    "connectNotify",	//240
    "constBegin",	//241
    "constEnd",	//242
    "const_iterator",	//243
    "const_iterator#",	//244
    "const_iterator#$",	//245
    "content",	//246
    "contentType",	//247
    "contentsChanged",	//248
    "contentsSize",	//249
    "contentsSizeChanged",	//250
    "contentsSizeChanged#",	//251
    "contextMenuEvent",	//252
    "contextMenuEvent#",	//253
    "count",	//254
    "create",	//255
    "create$#??",	//256
    "createPlugin",	//257
    "createPlugin$#??",	//258
    "createStandardContextMenu",	//259
    "createWindow",	//260
    "createWindow$",	//261
    "currentFrame",	//262
    "currentItem",	//263
    "currentItemIndex",	//264
    "customEvent",	//265
    "databaseQuota",	//266
    "databaseQuotaExceeded",	//267
    "databaseQuotaExceeded#$",	//268
    "databaseUsage",	//269
    "databases",	//270
    "defaultInterface",	//271
    "defaultTextEncoding",	//272
    "description",	//273
    "devType",	//274
    "disconnectNotify",	//275
    "displayName",	//276
    "document",	//277
    "documentElement",	//278
    "domain",	//279
    "downloadRequested",	//280
    "downloadRequested#",	//281
    "dragEnterEvent",	//282
    "dragEnterEvent#",	//283
    "dragLeaveEvent",	//284
    "dragLeaveEvent#",	//285
    "dragMoveEvent",	//286
    "dragMoveEvent#",	//287
    "dropEvent",	//288
    "dropEvent#",	//289
    "element",	//290
    "enablePersistentStorage",	//291
    "enablePersistentStorage$",	//292
    "enabledChange",	//293
    "encloseContentsWith",	//294
    "encloseContentsWith#",	//295
    "encloseContentsWith$",	//296
    "encloseWith",	//297
    "encloseWith#",	//298
    "encloseWith$",	//299
    "enclosingBlockElement",	//300
    "encoding",	//301
    "end",	//302
    "enterEvent",	//303
    "error",	//304
    "errorString",	//305
    "evaluateJavaScript",	//306
    "evaluateJavaScript$",	//307
    "event",	//308
    "event#",	//309
    "eventFilter",	//310
    "expectedSize",	//311
    "extension",	//312
    "extension$",	//313
    "extension$#",	//314
    "extension$##",	//315
    "fileExtensions",	//316
    "fileName",	//317
    "fileNames",	//318
    "findAll",	//319
    "findAll$",	//320
    "findAllElements",	//321
    "findAllElements$",	//322
    "findFirst",	//323
    "findFirst$",	//324
    "findFirstElement",	//325
    "findFirstElement$",	//326
    "findText",	//327
    "findText$",	//328
    "findText$$",	//329
    "first",	//330
    "firstChild",	//331
    "focusInEvent",	//332
    "focusInEvent#",	//333
    "focusNextPrevChild",	//334
    "focusNextPrevChild$",	//335
    "focusOutEvent",	//336
    "focusOutEvent#",	//337
    "fontChange",	//338
    "fontFamily",	//339
    "fontFamily$",	//340
    "fontSize",	//341
    "fontSize$",	//342
    "forward",	//343
    "forwardItem",	//344
    "forwardItems",	//345
    "forwardItems$",	//346
    "forwardUnsupportedContent",	//347
    "frame",	//348
    "frameAt",	//349
    "frameAt#",	//350
    "frameCreated",	//351
    "frameCreated#",	//352
    "frameName",	//353
    "geometry",	//354
    "geometryChangeRequested",	//355
    "geometryChangeRequested#",	//356
    "globalSettings",	//357
    "goToItem",	//358
    "goToItem#",	//359
    "handle",	//360
    "hasAttribute",	//361
    "hasAttribute$",	//362
    "hasAttributeNS",	//363
    "hasAttributeNS$$",	//364
    "hasAttributes",	//365
    "hasClass",	//366
    "hasClass$",	//367
    "hasFocus",	//368
    "heightForWidth",	//369
    "hideEvent",	//370
    "hideEvent#",	//371
    "history",	//372
    "historyContains",	//373
    "historyContains$",	//374
    "hitTestContent",	//375
    "hitTestContent#",	//376
    "host",	//377
    "icon",	//378
    "iconChanged",	//379
    "iconDatabasePath",	//380
    "iconForUrl",	//381
    "iconForUrl#",	//382
    "imageUrl",	//383
    "initialLayoutCompleted",	//384
    "inputMethodEvent",	//385
    "inputMethodEvent#",	//386
    "inputMethodQuery",	//387
    "inputMethodQuery$",	//388
    "isContentEditable",	//389
    "isContentSelected",	//390
    "isModified",	//391
    "isNull",	//392
    "isValid",	//393
    "itemAt",	//394
    "itemAt$",	//395
    "items",	//396
    "iterator",	//397
    "iterator#",	//398
    "iterator#$",	//399
    "javaScriptAlert",	//400
    "javaScriptAlert#$",	//401
    "javaScriptConfirm",	//402
    "javaScriptConfirm#$",	//403
    "javaScriptConsoleMessage",	//404
    "javaScriptConsoleMessage$$$",	//405
    "javaScriptPrompt",	//406
    "javaScriptPrompt#$$$",	//407
    "javaScriptWindowObjectCleared",	//408
    "keyPressEvent",	//409
    "keyPressEvent#",	//410
    "keyReleaseEvent",	//411
    "keyReleaseEvent#",	//412
    "languageChange",	//413
    "last",	//414
    "lastChild",	//415
    "lastVisited",	//416
    "leaveEvent",	//417
    "linkClicked",	//418
    "linkClicked#",	//419
    "linkDelegationPolicy",	//420
    "linkElement",	//421
    "linkHovered",	//422
    "linkHovered$$$",	//423
    "linkTargetFrame",	//424
    "linkText",	//425
    "linkTitle",	//426
    "linkUrl",	//427
    "load",	//428
    "load#",	//429
    "load#$",	//430
    "load#$#",	//431
    "loadFinished",	//432
    "loadFinished$",	//433
    "loadProgress",	//434
    "loadProgress$",	//435
    "loadStarted",	//436
    "localName",	//437
    "localSchemes",	//438
    "localStoragePath",	//439
    "mainFrame",	//440
    "maximumItemCount",	//441
    "maximumPagesInCache",	//442
    "menuBarVisibilityChangeRequested",	//443
    "menuBarVisibilityChangeRequested$",	//444
    "metaData",	//445
    "metaObject",	//446
    "metric",	//447
    "microFocusChanged",	//448
    "mimeTypes",	//449
    "minimumSizeHint",	//450
    "mouseDoubleClickEvent",	//451
    "mouseDoubleClickEvent#",	//452
    "mouseMoveEvent",	//453
    "mouseMoveEvent#",	//454
    "mousePressEvent",	//455
    "mousePressEvent#",	//456
    "mouseReleaseEvent",	//457
    "mouseReleaseEvent#",	//458
    "moveEvent",	//459
    "name",	//460
    "namespaceUri",	//461
    "networkAccessManager",	//462
    "nextSibling",	//463
    "offlineStorageDefaultQuota",	//464
    "offlineStoragePath",	//465
    "offlineWebApplicationCachePath",	//466
    "offlineWebApplicationCacheQuota",	//467
    "operator!=",	//468
    "operator!=#",	//469
    "operator*",	//470
    "operator+",	//471
    "operator+#",	//472
    "operator+$",	//473
    "operator++",	//474
    "operator++$",	//475
    "operator+=",	//476
    "operator+=#",	//477
    "operator+=$",	//478
    "operator-",	//479
    "operator-#",	//480
    "operator-$",	//481
    "operator--",	//482
    "operator--$",	//483
    "operator-=",	//484
    "operator-=$",	//485
    "operator<",	//486
    "operator<#",	//487
    "operator<=",	//488
    "operator<=#",	//489
    "operator=",	//490
    "operator=#",	//491
    "operator==",	//492
    "operator==#",	//493
    "operator>",	//494
    "operator>#",	//495
    "operator>=",	//496
    "operator>=#",	//497
    "operator[]",	//498
    "operator[]$",	//499
    "origin",	//500
    "originalUrl",	//501
    "page",	//502
    "pageAction",	//503
    "pageAction$",	//504
    "paintEngine",	//505
    "paintEvent",	//506
    "paintEvent#",	//507
    "palette",	//508
    "paletteChange",	//509
    "parent",	//510
    "parentFrame",	//511
    "pixmap",	//512
    "pluginFactory",	//513
    "plugins",	//514
    "port",	//515
    "pos",	//516
    "preferredContentsSize",	//517
    "prefix",	//518
    "prependInside",	//519
    "prependInside#",	//520
    "prependInside$",	//521
    "prependOutside",	//522
    "prependOutside#",	//523
    "prependOutside$",	//524
    "previousSibling",	//525
    "print",	//526
    "print#",	//527
    "printRequested",	//528
    "printRequested#",	//529
    "provisionalLoad",	//530
    "qt_metacall",	//531
    "qt_metacall$$?",	//532
    "qt_metacast",	//533
    "qt_metacast$",	//534
    "refreshPlugins",	//535
    "reload",	//536
    "removeAllChildren",	//537
    "removeAllDatabases",	//538
    "removeAttribute",	//539
    "removeAttribute$",	//540
    "removeAttributeNS",	//541
    "removeAttributeNS$$",	//542
    "removeClass",	//543
    "removeClass$",	//544
    "removeDatabase",	//545
    "removeDatabase#",	//546
    "removeFromDocument",	//547
    "removeLocalScheme",	//548
    "removeLocalScheme$",	//549
    "render",	//550
    "render#",	//551
    "render##",	//552
    "render#$",	//553
    "render#$#",	//554
    "renderHints",	//555
    "renderTreeDump",	//556
    "repaintRequested",	//557
    "repaintRequested#",	//558
    "replace",	//559
    "replace#",	//560
    "replace$",	//561
    "requestedUrl",	//562
    "resetAttribute",	//563
    "resetAttribute$",	//564
    "resetFontFamily",	//565
    "resetFontFamily$",	//566
    "resetFontSize",	//567
    "resetFontSize$",	//568
    "resizeEvent",	//569
    "resizeEvent#",	//570
    "restoreFrameStateRequested",	//571
    "restoreFrameStateRequested#",	//572
    "saveFrameStateRequested",	//573
    "saveFrameStateRequested##",	//574
    "scheme",	//575
    "scroll",	//576
    "scroll$$",	//577
    "scrollBarGeometry",	//578
    "scrollBarGeometry$",	//579
    "scrollBarMaximum",	//580
    "scrollBarMaximum$",	//581
    "scrollBarMinimum",	//582
    "scrollBarMinimum$",	//583
    "scrollBarPolicy",	//584
    "scrollBarPolicy$",	//585
    "scrollBarValue",	//586
    "scrollBarValue$",	//587
    "scrollPosition",	//588
    "scrollRequested",	//589
    "scrollRequested$$#",	//590
    "securityOrigin",	//591
    "selectedText",	//592
    "selectionChanged",	//593
    "setAttribute",	//594
    "setAttribute$$",	//595
    "setAttributeNS",	//596
    "setAttributeNS$$$",	//597
    "setBaseUrl",	//598
    "setBaseUrl#",	//599
    "setContent",	//600
    "setContent#",	//601
    "setContent#$",	//602
    "setContent#$#",	//603
    "setContentEditable",	//604
    "setContentEditable$",	//605
    "setContentType",	//606
    "setContentType$",	//607
    "setDatabaseQuota",	//608
    "setDatabaseQuota$",	//609
    "setDefaultInterface",	//610
    "setDefaultInterface#",	//611
    "setDefaultTextEncoding",	//612
    "setDefaultTextEncoding$",	//613
    "setDescription",	//614
    "setDescription$",	//615
    "setDomain",	//616
    "setDomain$",	//617
    "setEncoding",	//618
    "setEncoding$",	//619
    "setError",	//620
    "setError$",	//621
    "setErrorString",	//622
    "setErrorString$",	//623
    "setFileExtensions",	//624
    "setFileExtensions?",	//625
    "setFileNames",	//626
    "setFileNames?",	//627
    "setFocus",	//628
    "setFontFamily",	//629
    "setFontFamily$$",	//630
    "setFontSize",	//631
    "setFontSize$$",	//632
    "setForwardUnsupportedContent",	//633
    "setForwardUnsupportedContent$",	//634
    "setFrame",	//635
    "setFrame#",	//636
    "setHtml",	//637
    "setHtml$",	//638
    "setHtml$#",	//639
    "setIconDatabasePath",	//640
    "setIconDatabasePath$",	//641
    "setInnerXml",	//642
    "setInnerXml$",	//643
    "setLinkDelegationPolicy",	//644
    "setLinkDelegationPolicy$",	//645
    "setLocalStoragePath",	//646
    "setLocalStoragePath$",	//647
    "setMaximumItemCount",	//648
    "setMaximumItemCount$",	//649
    "setMaximumPagesInCache",	//650
    "setMaximumPagesInCache$",	//651
    "setMimeTypes",	//652
    "setMimeTypes?",	//653
    "setName",	//654
    "setName$",	//655
    "setNetworkAccessManager",	//656
    "setNetworkAccessManager#",	//657
    "setObjectCacheCapacities",	//658
    "setObjectCacheCapacities$$$",	//659
    "setOfflineStorageDefaultQuota",	//660
    "setOfflineStorageDefaultQuota$",	//661
    "setOfflineStoragePath",	//662
    "setOfflineStoragePath$",	//663
    "setOfflineWebApplicationCachePath",	//664
    "setOfflineWebApplicationCachePath$",	//665
    "setOfflineWebApplicationCacheQuota",	//666
    "setOfflineWebApplicationCacheQuota$",	//667
    "setOuterXml",	//668
    "setOuterXml$",	//669
    "setPage",	//670
    "setPage#",	//671
    "setPalette",	//672
    "setPalette#",	//673
    "setParentFrame",	//674
    "setParentFrame#",	//675
    "setPlainText",	//676
    "setPlainText$",	//677
    "setPluginFactory",	//678
    "setPluginFactory#",	//679
    "setPreferredContentsSize",	//680
    "setPreferredContentsSize#",	//681
    "setRenderHint",	//682
    "setRenderHint$",	//683
    "setRenderHint$$",	//684
    "setRenderHints",	//685
    "setRenderHints$",	//686
    "setScrollBarPolicy",	//687
    "setScrollBarPolicy$$",	//688
    "setScrollBarValue",	//689
    "setScrollBarValue$$",	//690
    "setScrollPosition",	//691
    "setScrollPosition#",	//692
    "setStyleProperty",	//693
    "setStyleProperty$$",	//694
    "setSuggestedFileNames",	//695
    "setSuggestedFileNames?",	//696
    "setTextSizeMultiplier",	//697
    "setTextSizeMultiplier$",	//698
    "setUrl",	//699
    "setUrl#",	//700
    "setUserData",	//701
    "setUserData#",	//702
    "setUserStyleSheetUrl",	//703
    "setUserStyleSheetUrl#",	//704
    "setView",	//705
    "setView#",	//706
    "setViewportSize",	//707
    "setViewportSize#",	//708
    "setVisible",	//709
    "setWebGraphic",	//710
    "setWebGraphic$#",	//711
    "setZoomFactor",	//712
    "setZoomFactor$",	//713
    "settings",	//714
    "shouldInterruptJavaScript",	//715
    "showEvent",	//716
    "showEvent#",	//717
    "size",	//718
    "sizeHint",	//719
    "staticMetaObject",	//720
    "statusBarMessage",	//721
    "statusBarMessage$",	//722
    "statusBarVisibilityChangeRequested",	//723
    "statusBarVisibilityChangeRequested$",	//724
    "stop",	//725
    "styleChange",	//726
    "styleProperty",	//727
    "styleProperty$$",	//728
    "suggestedFileNames",	//729
    "supportsExtension",	//730
    "supportsExtension$",	//731
    "swallowContextMenuEvent",	//732
    "swallowContextMenuEvent#",	//733
    "tabletEvent",	//734
    "tagName",	//735
    "takeFromDocument",	//736
    "testAttribute",	//737
    "testAttribute$",	//738
    "textSizeMultiplier",	//739
    "timerEvent",	//740
    "title",	//741
    "titleChanged",	//742
    "titleChanged$",	//743
    "toHtml",	//744
    "toInnerXml",	//745
    "toList",	//746
    "toOuterXml",	//747
    "toPlainText",	//748
    "toggleClass",	//749
    "toggleClass$",	//750
    "toolBarVisibilityChangeRequested",	//751
    "toolBarVisibilityChangeRequested$",	//752
    "totalBytes",	//753
    "tr",	//754
    "tr$",	//755
    "tr$$",	//756
    "tr$$$",	//757
    "trUtf8",	//758
    "trUtf8$",	//759
    "trUtf8$$",	//760
    "trUtf8$$$",	//761
    "triggerAction",	//762
    "triggerAction$",	//763
    "triggerAction$$",	//764
    "triggerPageAction",	//765
    "triggerPageAction$",	//766
    "triggerPageAction$$",	//767
    "undoStack",	//768
    "unsupportedContent",	//769
    "unsupportedContent#",	//770
    "updatePositionDependentActions",	//771
    "updatePositionDependentActions#",	//772
    "url",	//773
    "urlChanged",	//774
    "urlChanged#",	//775
    "userAgentForUrl",	//776
    "userAgentForUrl#",	//777
    "userData",	//778
    "userStyleSheetUrl",	//779
    "view",	//780
    "viewportSize",	//781
    "webFrame",	//782
    "webGraphic",	//783
    "webGraphic$",	//784
    "wheelEvent",	//785
    "wheelEvent#",	//786
    "windowActivationChange",	//787
    "windowCloseRequested",	//788
    "x11Event",	//789
    "zoomFactor",	//790
    "~ChooseMultipleFilesExtensionOption",	//791
    "~ChooseMultipleFilesExtensionReturn",	//792
    "~ErrorPageExtensionOption",	//793
    "~ErrorPageExtensionReturn",	//794
    "~ExtensionOption",	//795
    "~ExtensionReturn",	//796
    "~MimeType",	//797
    "~Plugin",	//798
    "~QWebDatabase",	//799
    "~QWebElement",	//800
    "~QWebElementCollection",	//801
    "~QWebHistoryInterface",	//802
    "~QWebHistoryItem",	//803
    "~QWebHitTestResult",	//804
    "~QWebInspector",	//805
    "~QWebPage",	//806
    "~QWebPluginFactory",	//807
    "~QWebSecurityOrigin",	//808
    "~QWebView",	//809
    "~const_iterator",	//810
    "~iterator",	//811
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {16, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 1},	//1 QGlobalSpace::_IEEE_ (enum)
    {16, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 2},	//2 QGlobalSpace::_SVID_ (enum)
    {16, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 3},	//3 QGlobalSpace::_XOPEN_ (enum)
    {16, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 4},	//4 QGlobalSpace::_POSIX_ (enum)
    {16, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 5},	//5 QGlobalSpace::_ISOC_ (enum)
    {16, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 6},	//6 QGlobalSpace::QtDebugMsg (enum)
    {16, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 7},	//7 QGlobalSpace::QtWarningMsg (enum)
    {16, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 8},	//8 QGlobalSpace::QtCriticalMsg (enum)
    {16, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 9},	//9 QGlobalSpace::QtFatalMsg (enum)
    {16, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 10},	//10 QGlobalSpace::QtSystemMsg (enum)
    {16, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 11},	//11 QGlobalSpace::__codecvt_ok (enum)
    {16, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 12},	//12 QGlobalSpace::__codecvt_partial (enum)
    {16, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 13},	//13 QGlobalSpace::__codecvt_error (enum)
    {16, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 14},	//14 QGlobalSpace::__codecvt_noconv (enum)
    {29, 308, 1, 1, Smoke::mf_virtual, 211, 0},	//15 QObject::event(QEvent*)
    {29, 310, 3, 2, Smoke::mf_virtual, 211, 0},	//16 QObject::eventFilter(QObject*, QEvent*)
    {29, 740, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//17 QObject::timerEvent(QTimerEvent*)
    {29, 230, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//18 QObject::childEvent(QChildEvent*)
    {29, 265, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//19 QObject::customEvent(QEvent*)
    {29, 240, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//20 QObject::connectNotify(const char*)
    {29, 275, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//21 QObject::disconnectNotify(const char*)
    {49, 108, 12, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 75, 1},	//22 QWebDatabase::QWebDatabase(const QWebDatabase&)
    {49, 490, 12, 1, 0, 74, 2},	//23 QWebDatabase::operator=(const QWebDatabase&)
    {49, 460, 0, 0, Smoke::mf_const, 61, 3},	//24 QWebDatabase::name() const
    {49, 276, 0, 0, Smoke::mf_const, 61, 4},	//25 QWebDatabase::displayName() const
    {49, 311, 0, 0, Smoke::mf_const, 257, 5},	//26 QWebDatabase::expectedSize() const
    {49, 718, 0, 0, Smoke::mf_const, 257, 6},	//27 QWebDatabase::size() const
    {49, 317, 0, 0, Smoke::mf_const, 61, 7},	//28 QWebDatabase::fileName() const
    {49, 500, 0, 0, Smoke::mf_const, 121, 8},	//29 QWebDatabase::origin() const
    {49, 545, 12, 1, Smoke::mf_static, 0, 9},	//30 QWebDatabase::removeDatabase(const QWebDatabase&)
    {49, 538, 0, 0, Smoke::mf_static, 0, 10},	//31 QWebDatabase::removeAllDatabases()
    {49, 799, 0, 0, Smoke::mf_dtor, 0, 11 },	//32 QWebDatabase::~QWebDatabase()
    {50, 110, 0, 0, Smoke::mf_ctor, 78, 1},	//33 QWebElement::QWebElement()
    {50, 110, 14, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 78, 2},	//34 QWebElement::QWebElement(const QWebElement&)
    {50, 490, 14, 1, 0, 77, 3},	//35 QWebElement::operator=(const QWebElement&)
    {50, 492, 14, 1, Smoke::mf_const, 211, 4},	//36 QWebElement::operator==(const QWebElement&) const
    {50, 468, 14, 1, Smoke::mf_const, 211, 5},	//37 QWebElement::operator!=(const QWebElement&) const
    {50, 392, 0, 0, Smoke::mf_const, 211, 6},	//38 QWebElement::isNull() const
    {50, 319, 16, 1, Smoke::mf_const, 80, 7},	//39 QWebElement::findAll(const QString&) const
    {50, 323, 16, 1, Smoke::mf_const, 76, 8},	//40 QWebElement::findFirst(const QString&) const
    {50, 676, 16, 1, 0, 0, 9},	//41 QWebElement::setPlainText(const QString&)
    {50, 748, 0, 0, Smoke::mf_const, 61, 10},	//42 QWebElement::toPlainText() const
    {50, 668, 16, 1, 0, 0, 11},	//43 QWebElement::setOuterXml(const QString&)
    {50, 747, 0, 0, Smoke::mf_const, 61, 12},	//44 QWebElement::toOuterXml() const
    {50, 642, 16, 1, 0, 0, 13},	//45 QWebElement::setInnerXml(const QString&)
    {50, 745, 0, 0, Smoke::mf_const, 61, 14},	//46 QWebElement::toInnerXml() const
    {50, 594, 18, 2, 0, 0, 15},	//47 QWebElement::setAttribute(const QString&, const QString&)
    {50, 596, 21, 3, 0, 0, 16},	//48 QWebElement::setAttributeNS(const QString&, const QString&, const QString&)
    {50, 210, 18, 2, Smoke::mf_const, 61, 17},	//49 QWebElement::attribute(const QString&, const QString&) const
    {50, 213, 21, 3, Smoke::mf_const, 61, 18},	//50 QWebElement::attributeNS(const QString&, const QString&, const QString&) const
    {50, 361, 16, 1, Smoke::mf_const, 211, 19},	//51 QWebElement::hasAttribute(const QString&) const
    {50, 363, 18, 2, Smoke::mf_const, 211, 20},	//52 QWebElement::hasAttributeNS(const QString&, const QString&) const
    {50, 539, 16, 1, 0, 0, 21},	//53 QWebElement::removeAttribute(const QString&)
    {50, 541, 18, 2, 0, 0, 22},	//54 QWebElement::removeAttributeNS(const QString&, const QString&)
    {50, 365, 0, 0, Smoke::mf_const, 211, 23},	//55 QWebElement::hasAttributes() const
    {50, 216, 16, 1, Smoke::mf_const, 64, 24},	//56 QWebElement::attributeNames(const QString&) const
    {50, 234, 0, 0, Smoke::mf_const, 64, 25},	//57 QWebElement::classes() const
    {50, 366, 16, 1, Smoke::mf_const, 211, 26},	//58 QWebElement::hasClass(const QString&) const
    {50, 189, 16, 1, 0, 0, 27},	//59 QWebElement::addClass(const QString&)
    {50, 543, 16, 1, 0, 0, 28},	//60 QWebElement::removeClass(const QString&)
    {50, 749, 16, 1, 0, 0, 29},	//61 QWebElement::toggleClass(const QString&)
    {50, 368, 0, 0, Smoke::mf_const, 211, 30},	//62 QWebElement::hasFocus() const
    {50, 628, 0, 0, 0, 0, 31},	//63 QWebElement::setFocus()
    {50, 354, 0, 0, Smoke::mf_const, 50, 32},	//64 QWebElement::geometry() const
    {50, 735, 0, 0, Smoke::mf_const, 61, 33},	//65 QWebElement::tagName() const
    {50, 518, 0, 0, Smoke::mf_const, 61, 34},	//66 QWebElement::prefix() const
    {50, 437, 0, 0, Smoke::mf_const, 61, 35},	//67 QWebElement::localName() const
    {50, 461, 0, 0, Smoke::mf_const, 61, 36},	//68 QWebElement::namespaceUri() const
    {50, 510, 0, 0, Smoke::mf_const, 76, 37},	//69 QWebElement::parent() const
    {50, 331, 0, 0, Smoke::mf_const, 76, 38},	//70 QWebElement::firstChild() const
    {50, 415, 0, 0, Smoke::mf_const, 76, 39},	//71 QWebElement::lastChild() const
    {50, 463, 0, 0, Smoke::mf_const, 76, 40},	//72 QWebElement::nextSibling() const
    {50, 525, 0, 0, Smoke::mf_const, 76, 41},	//73 QWebElement::previousSibling() const
    {50, 277, 0, 0, Smoke::mf_const, 76, 42},	//74 QWebElement::document() const
    {50, 782, 0, 0, Smoke::mf_const, 89, 43},	//75 QWebElement::webFrame() const
    {50, 202, 16, 1, 0, 0, 44},	//76 QWebElement::appendInside(const QString&)
    {50, 202, 14, 1, 0, 0, 45},	//77 QWebElement::appendInside(const QWebElement&)
    {50, 519, 16, 1, 0, 0, 46},	//78 QWebElement::prependInside(const QString&)
    {50, 519, 14, 1, 0, 0, 47},	//79 QWebElement::prependInside(const QWebElement&)
    {50, 205, 16, 1, 0, 0, 48},	//80 QWebElement::appendOutside(const QString&)
    {50, 205, 14, 1, 0, 0, 49},	//81 QWebElement::appendOutside(const QWebElement&)
    {50, 522, 16, 1, 0, 0, 50},	//82 QWebElement::prependOutside(const QString&)
    {50, 522, 14, 1, 0, 0, 51},	//83 QWebElement::prependOutside(const QWebElement&)
    {50, 294, 14, 1, 0, 0, 52},	//84 QWebElement::encloseContentsWith(const QWebElement&)
    {50, 294, 16, 1, 0, 0, 53},	//85 QWebElement::encloseContentsWith(const QString&)
    {50, 297, 16, 1, 0, 0, 54},	//86 QWebElement::encloseWith(const QString&)
    {50, 297, 14, 1, 0, 0, 55},	//87 QWebElement::encloseWith(const QWebElement&)
    {50, 559, 16, 1, 0, 0, 56},	//88 QWebElement::replace(const QString&)
    {50, 559, 14, 1, 0, 0, 57},	//89 QWebElement::replace(const QWebElement&)
    {50, 238, 0, 0, Smoke::mf_const, 76, 58},	//90 QWebElement::clone() const
    {50, 736, 0, 0, 0, 77, 59},	//91 QWebElement::takeFromDocument()
    {50, 547, 0, 0, 0, 0, 60},	//92 QWebElement::removeFromDocument()
    {50, 537, 0, 0, 0, 0, 61},	//93 QWebElement::removeAllChildren()
    {50, 306, 16, 1, 0, 73, 62},	//94 QWebElement::evaluateJavaScript(const QString&)
    {50, 727, 25, 2, Smoke::mf_const, 61, 63},	//95 QWebElement::styleProperty(const QString&, QWebElement::StyleResolveStrategy) const
    {50, 693, 18, 2, 0, 0, 64},	//96 QWebElement::setStyleProperty(const QString&, const QString&)
    {50, 550, 28, 1, 0, 0, 65},	//97 QWebElement::render(QPainter*)
    {50, 210, 16, 1, Smoke::mf_const, 61, 66},	//98 QWebElement::attribute(const QString&) const
    {50, 213, 18, 2, Smoke::mf_const, 61, 67},	//99 QWebElement::attributeNS(const QString&, const QString&) const
    {50, 216, 0, 0, Smoke::mf_const, 64, 68},	//100 QWebElement::attributeNames() const
    {50, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 69},	//101 QWebElement::InlineStyle (enum)
    {50, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 70},	//102 QWebElement::CascadedStyle (enum)
    {50, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 71},	//103 QWebElement::ComputedStyle (enum)
    {50, 800, 0, 0, Smoke::mf_dtor, 0, 72 },	//104 QWebElement::~QWebElement()
    {51, 112, 0, 0, Smoke::mf_ctor, 82, 1},	//105 QWebElementCollection::QWebElementCollection()
    {51, 112, 30, 2, Smoke::mf_ctor, 82, 2},	//106 QWebElementCollection::QWebElementCollection(const QWebElement&, const QString&)
    {51, 112, 33, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 82, 3},	//107 QWebElementCollection::QWebElementCollection(const QWebElementCollection&)
    {51, 490, 33, 1, 0, 81, 4},	//108 QWebElementCollection::operator=(const QWebElementCollection&)
    {51, 471, 33, 1, Smoke::mf_const, 80, 5},	//109 QWebElementCollection::operator+(const QWebElementCollection&) const
    {51, 476, 33, 1, 0, 81, 6},	//110 QWebElementCollection::operator+=(const QWebElementCollection&)
    {51, 200, 33, 1, 0, 0, 7},	//111 QWebElementCollection::append(const QWebElementCollection&)
    {51, 254, 0, 0, Smoke::mf_const, 255, 8},	//112 QWebElementCollection::count() const
    {51, 208, 35, 1, Smoke::mf_const, 76, 9},	//113 QWebElementCollection::at(int) const
    {51, 498, 35, 1, Smoke::mf_const, 76, 10},	//114 QWebElementCollection::operator[](int) const
    {51, 330, 0, 0, Smoke::mf_const, 76, 11},	//115 QWebElementCollection::first() const
    {51, 414, 0, 0, Smoke::mf_const, 76, 12},	//116 QWebElementCollection::last() const
    {51, 746, 0, 0, Smoke::mf_const, 26, 13},	//117 QWebElementCollection::toList() const
    {51, 223, 0, 0, Smoke::mf_const, 83, 14},	//118 QWebElementCollection::begin() const
    {51, 302, 0, 0, Smoke::mf_const, 83, 15},	//119 QWebElementCollection::end() const
    {51, 241, 0, 0, Smoke::mf_const, 83, 16},	//120 QWebElementCollection::constBegin() const
    {51, 242, 0, 0, Smoke::mf_const, 83, 17},	//121 QWebElementCollection::constEnd() const
    {51, 223, 0, 0, 0, 86, 18},	//122 QWebElementCollection::begin()
    {51, 302, 0, 0, 0, 86, 19},	//123 QWebElementCollection::end()
    {51, 801, 0, 0, Smoke::mf_dtor, 0, 20 },	//124 QWebElementCollection::~QWebElementCollection()
    {52, 243, 37, 2, Smoke::mf_ctor, 85, 1},	//125 QWebElementCollection::const_iterator::const_iterator(const QWebElementCollection*, int)
    {52, 243, 40, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 85, 2},	//126 QWebElementCollection::const_iterator::const_iterator(const QWebElementCollection::const_iterator&)
    {52, 470, 0, 0, Smoke::mf_const, 231, 3},	//127 QWebElementCollection::const_iterator::operator*() const
    {52, 492, 40, 1, Smoke::mf_const, 211, 4},	//128 QWebElementCollection::const_iterator::operator==(const QWebElementCollection::const_iterator&) const
    {52, 468, 40, 1, Smoke::mf_const, 211, 5},	//129 QWebElementCollection::const_iterator::operator!=(const QWebElementCollection::const_iterator&) const
    {52, 486, 40, 1, Smoke::mf_const, 211, 6},	//130 QWebElementCollection::const_iterator::operator<(const QWebElementCollection::const_iterator&) const
    {52, 488, 40, 1, Smoke::mf_const, 211, 7},	//131 QWebElementCollection::const_iterator::operator<=(const QWebElementCollection::const_iterator&) const
    {52, 494, 40, 1, Smoke::mf_const, 211, 8},	//132 QWebElementCollection::const_iterator::operator>(const QWebElementCollection::const_iterator&) const
    {52, 496, 40, 1, Smoke::mf_const, 211, 9},	//133 QWebElementCollection::const_iterator::operator>=(const QWebElementCollection::const_iterator&) const
    {52, 474, 0, 0, 0, 84, 10},	//134 QWebElementCollection::const_iterator::operator++()
    {52, 474, 35, 1, 0, 83, 11},	//135 QWebElementCollection::const_iterator::operator++(int)
    {52, 482, 0, 0, 0, 84, 12},	//136 QWebElementCollection::const_iterator::operator--()
    {52, 482, 35, 1, 0, 83, 13},	//137 QWebElementCollection::const_iterator::operator--(int)
    {52, 476, 35, 1, 0, 84, 14},	//138 QWebElementCollection::const_iterator::operator+=(int)
    {52, 484, 35, 1, 0, 84, 15},	//139 QWebElementCollection::const_iterator::operator-=(int)
    {52, 471, 35, 1, Smoke::mf_const, 83, 16},	//140 QWebElementCollection::const_iterator::operator+(int) const
    {52, 479, 35, 1, Smoke::mf_const, 83, 17},	//141 QWebElementCollection::const_iterator::operator-(int) const
    {52, 479, 42, 1, Smoke::mf_const, 255, 18},	//142 QWebElementCollection::const_iterator::operator-(QWebElementCollection::const_iterator) const
    {52, 810, 0, 0, Smoke::mf_dtor, 0, 19 },	//143 QWebElementCollection::const_iterator::~const_iterator()
    {53, 397, 37, 2, Smoke::mf_ctor, 88, 1},	//144 QWebElementCollection::iterator::iterator(const QWebElementCollection*, int)
    {53, 397, 44, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 88, 2},	//145 QWebElementCollection::iterator::iterator(const QWebElementCollection::iterator&)
    {53, 470, 0, 0, Smoke::mf_const, 76, 3},	//146 QWebElementCollection::iterator::operator*() const
    {53, 492, 44, 1, Smoke::mf_const, 211, 4},	//147 QWebElementCollection::iterator::operator==(const QWebElementCollection::iterator&) const
    {53, 468, 44, 1, Smoke::mf_const, 211, 5},	//148 QWebElementCollection::iterator::operator!=(const QWebElementCollection::iterator&) const
    {53, 486, 44, 1, Smoke::mf_const, 211, 6},	//149 QWebElementCollection::iterator::operator<(const QWebElementCollection::iterator&) const
    {53, 488, 44, 1, Smoke::mf_const, 211, 7},	//150 QWebElementCollection::iterator::operator<=(const QWebElementCollection::iterator&) const
    {53, 494, 44, 1, Smoke::mf_const, 211, 8},	//151 QWebElementCollection::iterator::operator>(const QWebElementCollection::iterator&) const
    {53, 496, 44, 1, Smoke::mf_const, 211, 9},	//152 QWebElementCollection::iterator::operator>=(const QWebElementCollection::iterator&) const
    {53, 474, 0, 0, 0, 87, 10},	//153 QWebElementCollection::iterator::operator++()
    {53, 474, 35, 1, 0, 86, 11},	//154 QWebElementCollection::iterator::operator++(int)
    {53, 482, 0, 0, 0, 87, 12},	//155 QWebElementCollection::iterator::operator--()
    {53, 482, 35, 1, 0, 86, 13},	//156 QWebElementCollection::iterator::operator--(int)
    {53, 476, 35, 1, 0, 87, 14},	//157 QWebElementCollection::iterator::operator+=(int)
    {53, 484, 35, 1, 0, 87, 15},	//158 QWebElementCollection::iterator::operator-=(int)
    {53, 471, 35, 1, Smoke::mf_const, 86, 16},	//159 QWebElementCollection::iterator::operator+(int) const
    {53, 479, 35, 1, Smoke::mf_const, 86, 17},	//160 QWebElementCollection::iterator::operator-(int) const
    {53, 479, 46, 1, Smoke::mf_const, 255, 18},	//161 QWebElementCollection::iterator::operator-(QWebElementCollection::iterator) const
    {53, 811, 0, 0, Smoke::mf_dtor, 0, 19 },	//162 QWebElementCollection::iterator::~iterator()
    {54, 446, 0, 0, Smoke::mf_const, 216, 1},	//163 QWebFrame::metaObject() const
    {54, 533, 10, 1, 0, 262, 2},	//164 QWebFrame::qt_metacast(const char*)
    {54, 754, 48, 2, Smoke::mf_static, 61, 3},	//165 QWebFrame::tr(const char*, const char*)
    {54, 758, 48, 2, Smoke::mf_static, 61, 4},	//166 QWebFrame::trUtf8(const char*, const char*)
    {54, 754, 51, 3, Smoke::mf_static, 61, 5},	//167 QWebFrame::tr(const char*, const char*, int)
    {54, 758, 51, 3, Smoke::mf_static, 61, 6},	//168 QWebFrame::trUtf8(const char*, const char*, int)
    {54, 531, 55, 3, 0, 255, 7},	//169 QWebFrame::qt_metacall(QMetaObject::Call, int, void**)
    {54, 502, 0, 0, Smoke::mf_const, 100, 8},	//170 QWebFrame::page() const
    {54, 428, 59, 1, 0, 0, 9},	//171 QWebFrame::load(const QUrl&)
    {54, 428, 61, 3, 0, 0, 10},	//172 QWebFrame::load(const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&)
    {54, 637, 65, 2, 0, 0, 11},	//173 QWebFrame::setHtml(const QString&, const QUrl&)
    {54, 600, 68, 3, 0, 0, 12},	//174 QWebFrame::setContent(const QByteArray&, const QString&, const QUrl&)
    {54, 195, 72, 2, 0, 0, 13},	//175 QWebFrame::addToJavaScriptWindowObject(const QString&, QObject*)
    {54, 195, 75, 3, 0, 0, 14},	//176 QWebFrame::addToJavaScriptWindowObject(const QString&, QObject*, QScriptEngine::ValueOwnership)
    {54, 744, 0, 0, Smoke::mf_const, 61, 15},	//177 QWebFrame::toHtml() const
    {54, 748, 0, 0, Smoke::mf_const, 61, 16},	//178 QWebFrame::toPlainText() const
    {54, 556, 0, 0, Smoke::mf_const, 61, 17},	//179 QWebFrame::renderTreeDump() const
    {54, 741, 0, 0, Smoke::mf_const|Smoke::mf_property, 61, 18},	//180 QWebFrame::title() const
    {54, 699, 59, 1, Smoke::mf_property, 0, 19},	//181 QWebFrame::setUrl(const QUrl&)
    {54, 773, 0, 0, Smoke::mf_const|Smoke::mf_property, 71, 20},	//182 QWebFrame::url() const
    {54, 562, 0, 0, Smoke::mf_const|Smoke::mf_property, 71, 21},	//183 QWebFrame::requestedUrl() const
    {54, 222, 0, 0, Smoke::mf_const|Smoke::mf_property, 71, 22},	//184 QWebFrame::baseUrl() const
    {54, 378, 0, 0, Smoke::mf_const|Smoke::mf_property, 21, 23},	//185 QWebFrame::icon() const
    {54, 445, 0, 0, Smoke::mf_const, 36, 24},	//186 QWebFrame::metaData() const
    {54, 353, 0, 0, Smoke::mf_const, 61, 25},	//187 QWebFrame::frameName() const
    {54, 511, 0, 0, Smoke::mf_const, 89, 26},	//188 QWebFrame::parentFrame() const
    {54, 231, 0, 0, Smoke::mf_const, 27, 27},	//189 QWebFrame::childFrames() const
    {54, 584, 79, 1, Smoke::mf_const, 182, 28},	//190 QWebFrame::scrollBarPolicy(Qt::Orientation) const
    {54, 687, 81, 2, 0, 0, 29},	//191 QWebFrame::setScrollBarPolicy(Qt::Orientation, Qt::ScrollBarPolicy)
    {54, 689, 84, 2, 0, 0, 30},	//192 QWebFrame::setScrollBarValue(Qt::Orientation, int)
    {54, 586, 79, 1, Smoke::mf_const, 255, 31},	//193 QWebFrame::scrollBarValue(Qt::Orientation) const
    {54, 582, 79, 1, Smoke::mf_const, 255, 32},	//194 QWebFrame::scrollBarMinimum(Qt::Orientation) const
    {54, 580, 79, 1, Smoke::mf_const, 255, 33},	//195 QWebFrame::scrollBarMaximum(Qt::Orientation) const
    {54, 578, 79, 1, Smoke::mf_const, 50, 34},	//196 QWebFrame::scrollBarGeometry(Qt::Orientation) const
    {54, 576, 87, 2, 0, 0, 35},	//197 QWebFrame::scroll(int, int)
    {54, 588, 0, 0, Smoke::mf_const|Smoke::mf_property, 48, 36},	//198 QWebFrame::scrollPosition() const
    {54, 691, 90, 1, Smoke::mf_property, 0, 37},	//199 QWebFrame::setScrollPosition(const QPoint&)
    {54, 550, 28, 1, 0, 0, 38},	//200 QWebFrame::render(QPainter*)
    {54, 550, 92, 2, 0, 0, 39},	//201 QWebFrame::render(QPainter*, const QRegion&)
    {54, 550, 95, 3, 0, 0, 40},	//202 QWebFrame::render(QPainter*, QWebFrame::RenderLayer, const QRegion&)
    {54, 697, 99, 1, 0, 0, 41},	//203 QWebFrame::setTextSizeMultiplier(double)
    {54, 739, 0, 0, Smoke::mf_const, 254, 42},	//204 QWebFrame::textSizeMultiplier() const
    {54, 790, 0, 0, Smoke::mf_const, 254, 43},	//205 QWebFrame::zoomFactor() const
    {54, 712, 99, 1, 0, 0, 44},	//206 QWebFrame::setZoomFactor(double)
    {54, 368, 0, 0, Smoke::mf_const|Smoke::mf_property, 211, 45},	//207 QWebFrame::hasFocus() const
    {54, 628, 0, 0, 0, 0, 46},	//208 QWebFrame::setFocus()
    {54, 516, 0, 0, Smoke::mf_const, 48, 47},	//209 QWebFrame::pos() const
    {54, 354, 0, 0, Smoke::mf_const, 50, 48},	//210 QWebFrame::geometry() const
    {54, 249, 0, 0, Smoke::mf_const|Smoke::mf_property, 55, 49},	//211 QWebFrame::contentsSize() const
    {54, 278, 0, 0, Smoke::mf_const, 76, 50},	//212 QWebFrame::documentElement() const
    {54, 321, 16, 1, Smoke::mf_const, 80, 51},	//213 QWebFrame::findAllElements(const QString&) const
    {54, 325, 16, 1, Smoke::mf_const, 76, 52},	//214 QWebFrame::findFirstElement(const QString&) const
    {54, 375, 90, 1, Smoke::mf_const, 96, 53},	//215 QWebFrame::hitTestContent(const QPoint&) const
    {54, 308, 1, 1, 0, 211, 54},	//216 QWebFrame::event(QEvent*)
    {54, 591, 0, 0, Smoke::mf_const, 121, 55},	//217 QWebFrame::securityOrigin() const
    {54, 306, 16, 1, Smoke::mf_slot, 73, 56},	//218 QWebFrame::evaluateJavaScript(const QString&)
    {54, 526, 101, 1, Smoke::mf_const|Smoke::mf_slot, 0, 57},	//219 QWebFrame::print(QPrinter*) const
    {54, 408, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 58},	//220 QWebFrame::javaScriptWindowObjectCleared()
    {54, 530, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//221 QWebFrame::provisionalLoad()
    {54, 742, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//222 QWebFrame::titleChanged(const QString&)
    {54, 774, 59, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 61},	//223 QWebFrame::urlChanged(const QUrl&)
    {54, 384, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 62},	//224 QWebFrame::initialLayoutCompleted()
    {54, 379, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 63},	//225 QWebFrame::iconChanged()
    {54, 250, 103, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 64},	//226 QWebFrame::contentsSizeChanged(const QSize&)
    {54, 436, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//227 QWebFrame::loadStarted()
    {54, 432, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//228 QWebFrame::loadFinished(bool)
    {54, 754, 10, 1, Smoke::mf_static, 61, 67},	//229 QWebFrame::tr(const char*)
    {54, 758, 10, 1, Smoke::mf_static, 61, 68},	//230 QWebFrame::trUtf8(const char*)
    {54, 428, 107, 1, 0, 0, 69},	//231 QWebFrame::load(const QNetworkRequest&)
    {54, 428, 109, 2, 0, 0, 70},	//232 QWebFrame::load(const QNetworkRequest&, QNetworkAccessManager::Operation)
    {54, 637, 16, 1, 0, 0, 71},	//233 QWebFrame::setHtml(const QString&)
    {54, 600, 112, 1, 0, 0, 72},	//234 QWebFrame::setContent(const QByteArray&)
    {54, 600, 114, 2, 0, 0, 73},	//235 QWebFrame::setContent(const QByteArray&, const QString&)
    {54, 550, 117, 2, 0, 0, 74},	//236 QWebFrame::render(QPainter*, QWebFrame::RenderLayer)
    {54, 720, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 215, 75},	//237 QWebFrame::staticMetaObject() const
    {54, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 76},	//238 QWebFrame::ContentsLayer (enum)
    {54, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 77},	//239 QWebFrame::ScrollBarLayer (enum)
    {54, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 78},	//240 QWebFrame::PanIconLayer (enum)
    {54, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 79},	//241 QWebFrame::AllLayers (enum)
    {55, 235, 0, 0, 0, 0, 1},	//242 QWebHistory::clear()
    {55, 396, 0, 0, Smoke::mf_const, 28, 2},	//243 QWebHistory::items() const
    {55, 220, 35, 1, Smoke::mf_const, 28, 3},	//244 QWebHistory::backItems(int) const
    {55, 345, 35, 1, Smoke::mf_const, 28, 4},	//245 QWebHistory::forwardItems(int) const
    {55, 226, 0, 0, Smoke::mf_const, 211, 5},	//246 QWebHistory::canGoBack() const
    {55, 227, 0, 0, Smoke::mf_const, 211, 6},	//247 QWebHistory::canGoForward() const
    {55, 218, 0, 0, 0, 0, 7},	//248 QWebHistory::back()
    {55, 343, 0, 0, 0, 0, 8},	//249 QWebHistory::forward()
    {55, 358, 120, 1, 0, 0, 9},	//250 QWebHistory::goToItem(const QWebHistoryItem&)
    {55, 219, 0, 0, Smoke::mf_const, 93, 10},	//251 QWebHistory::backItem() const
    {55, 263, 0, 0, Smoke::mf_const, 93, 11},	//252 QWebHistory::currentItem() const
    {55, 344, 0, 0, Smoke::mf_const, 93, 12},	//253 QWebHistory::forwardItem() const
    {55, 394, 35, 1, Smoke::mf_const, 93, 13},	//254 QWebHistory::itemAt(int) const
    {55, 264, 0, 0, Smoke::mf_const, 255, 14},	//255 QWebHistory::currentItemIndex() const
    {55, 254, 0, 0, Smoke::mf_const, 255, 15},	//256 QWebHistory::count() const
    {55, 441, 0, 0, Smoke::mf_const, 255, 16},	//257 QWebHistory::maximumItemCount() const
    {55, 648, 35, 1, 0, 0, 17},	//258 QWebHistory::setMaximumItemCount(int)
    {56, 446, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 1},	//259 QWebHistoryInterface::metaObject() const
    {56, 533, 10, 1, Smoke::mf_virtual, 262, 2},	//260 QWebHistoryInterface::qt_metacast(const char*)
    {56, 754, 48, 2, Smoke::mf_static, 61, 3},	//261 QWebHistoryInterface::tr(const char*, const char*)
    {56, 758, 48, 2, Smoke::mf_static, 61, 4},	//262 QWebHistoryInterface::trUtf8(const char*, const char*)
    {56, 754, 51, 3, Smoke::mf_static, 61, 5},	//263 QWebHistoryInterface::tr(const char*, const char*, int)
    {56, 758, 51, 3, Smoke::mf_static, 61, 6},	//264 QWebHistoryInterface::trUtf8(const char*, const char*, int)
    {56, 531, 55, 3, Smoke::mf_virtual, 255, 7},	//265 QWebHistoryInterface::qt_metacall(QMetaObject::Call, int, void**)
    {56, 115, 122, 1, Smoke::mf_ctor, 92, 8},	//266 QWebHistoryInterface::QWebHistoryInterface(QObject*)
    {56, 610, 124, 1, Smoke::mf_static, 0, 9},	//267 QWebHistoryInterface::setDefaultInterface(QWebHistoryInterface*)
    {56, 271, 0, 0, Smoke::mf_static, 92, 10},	//268 QWebHistoryInterface::defaultInterface()
    {56, 373, 16, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 211, 11},	//269 QWebHistoryInterface::historyContains(const QString&) const [pure virtual]
    {56, 191, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//270 QWebHistoryInterface::addHistoryEntry(const QString&) [pure virtual]
    {56, 754, 10, 1, Smoke::mf_static, 61, 13},	//271 QWebHistoryInterface::tr(const char*)
    {56, 758, 10, 1, Smoke::mf_static, 61, 14},	//272 QWebHistoryInterface::trUtf8(const char*)
    {56, 115, 0, 0, Smoke::mf_ctor, 92, 15},	//273 QWebHistoryInterface::QWebHistoryInterface()
    {56, 720, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 215, 16},	//274 QWebHistoryInterface::staticMetaObject() const
    {56, 802, 0, 0, Smoke::mf_dtor, 0, 17 },	//275 QWebHistoryInterface::~QWebHistoryInterface()
    {57, 117, 120, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 95, 1},	//276 QWebHistoryItem::QWebHistoryItem(const QWebHistoryItem&)
    {57, 490, 120, 1, 0, 94, 2},	//277 QWebHistoryItem::operator=(const QWebHistoryItem&)
    {57, 501, 0, 0, Smoke::mf_const, 71, 3},	//278 QWebHistoryItem::originalUrl() const
    {57, 773, 0, 0, Smoke::mf_const, 71, 4},	//279 QWebHistoryItem::url() const
    {57, 741, 0, 0, Smoke::mf_const, 61, 5},	//280 QWebHistoryItem::title() const
    {57, 416, 0, 0, Smoke::mf_const, 8, 6},	//281 QWebHistoryItem::lastVisited() const
    {57, 378, 0, 0, Smoke::mf_const, 21, 7},	//282 QWebHistoryItem::icon() const
    {57, 778, 0, 0, Smoke::mf_const, 73, 8},	//283 QWebHistoryItem::userData() const
    {57, 701, 126, 1, 0, 0, 9},	//284 QWebHistoryItem::setUserData(const QVariant&)
    {57, 393, 0, 0, Smoke::mf_const, 211, 10},	//285 QWebHistoryItem::isValid() const
    {57, 803, 0, 0, Smoke::mf_dtor, 0, 11 },	//286 QWebHistoryItem::~QWebHistoryItem()
    {58, 119, 0, 0, Smoke::mf_ctor, 98, 1},	//287 QWebHitTestResult::QWebHitTestResult()
    {58, 119, 128, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 98, 2},	//288 QWebHitTestResult::QWebHitTestResult(const QWebHitTestResult&)
    {58, 490, 128, 1, 0, 97, 3},	//289 QWebHitTestResult::operator=(const QWebHitTestResult&)
    {58, 392, 0, 0, Smoke::mf_const, 211, 4},	//290 QWebHitTestResult::isNull() const
    {58, 516, 0, 0, Smoke::mf_const, 48, 5},	//291 QWebHitTestResult::pos() const
    {58, 224, 0, 0, Smoke::mf_const, 50, 6},	//292 QWebHitTestResult::boundingRect() const
    {58, 300, 0, 0, Smoke::mf_const, 76, 7},	//293 QWebHitTestResult::enclosingBlockElement() const
    {58, 741, 0, 0, Smoke::mf_const, 61, 8},	//294 QWebHitTestResult::title() const
    {58, 425, 0, 0, Smoke::mf_const, 61, 9},	//295 QWebHitTestResult::linkText() const
    {58, 427, 0, 0, Smoke::mf_const, 71, 10},	//296 QWebHitTestResult::linkUrl() const
    {58, 426, 0, 0, Smoke::mf_const, 71, 11},	//297 QWebHitTestResult::linkTitle() const
    {58, 424, 0, 0, Smoke::mf_const, 89, 12},	//298 QWebHitTestResult::linkTargetFrame() const
    {58, 421, 0, 0, Smoke::mf_const, 76, 13},	//299 QWebHitTestResult::linkElement() const
    {58, 199, 0, 0, Smoke::mf_const, 61, 14},	//300 QWebHitTestResult::alternateText() const
    {58, 383, 0, 0, Smoke::mf_const, 71, 15},	//301 QWebHitTestResult::imageUrl() const
    {58, 512, 0, 0, Smoke::mf_const, 47, 16},	//302 QWebHitTestResult::pixmap() const
    {58, 389, 0, 0, Smoke::mf_const, 211, 17},	//303 QWebHitTestResult::isContentEditable() const
    {58, 390, 0, 0, Smoke::mf_const, 211, 18},	//304 QWebHitTestResult::isContentSelected() const
    {58, 290, 0, 0, Smoke::mf_const, 76, 19},	//305 QWebHitTestResult::element() const
    {58, 348, 0, 0, Smoke::mf_const, 89, 20},	//306 QWebHitTestResult::frame() const
    {58, 804, 0, 0, Smoke::mf_dtor, 0, 21 },	//307 QWebHitTestResult::~QWebHitTestResult()
    {59, 446, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 1},	//308 QWebInspector::metaObject() const
    {59, 533, 10, 1, Smoke::mf_virtual, 262, 2},	//309 QWebInspector::qt_metacast(const char*)
    {59, 754, 48, 2, Smoke::mf_static, 61, 3},	//310 QWebInspector::tr(const char*, const char*)
    {59, 758, 48, 2, Smoke::mf_static, 61, 4},	//311 QWebInspector::trUtf8(const char*, const char*)
    {59, 754, 51, 3, Smoke::mf_static, 61, 5},	//312 QWebInspector::tr(const char*, const char*, int)
    {59, 758, 51, 3, Smoke::mf_static, 61, 6},	//313 QWebInspector::trUtf8(const char*, const char*, int)
    {59, 531, 55, 3, Smoke::mf_virtual, 255, 7},	//314 QWebInspector::qt_metacall(QMetaObject::Call, int, void**)
    {59, 121, 130, 1, Smoke::mf_ctor, 99, 8},	//315 QWebInspector::QWebInspector(QWidget*)
    {59, 670, 132, 1, 0, 0, 9},	//316 QWebInspector::setPage(QWebPage*)
    {59, 502, 0, 0, Smoke::mf_const, 100, 10},	//317 QWebInspector::page() const
    {59, 719, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 55, 11},	//318 QWebInspector::sizeHint() const
    {59, 308, 1, 1, Smoke::mf_virtual, 211, 12},	//319 QWebInspector::event(QEvent*)
    {59, 569, 134, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//320 QWebInspector::resizeEvent(QResizeEvent*)
    {59, 716, 136, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//321 QWebInspector::showEvent(QShowEvent*)
    {59, 370, 138, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//322 QWebInspector::hideEvent(QHideEvent*)
    {59, 754, 10, 1, Smoke::mf_static, 61, 16},	//323 QWebInspector::tr(const char*)
    {59, 758, 10, 1, Smoke::mf_static, 61, 17},	//324 QWebInspector::trUtf8(const char*)
    {59, 121, 0, 0, Smoke::mf_ctor, 99, 18},	//325 QWebInspector::QWebInspector()
    {59, 720, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 215, 19},	//326 QWebInspector::staticMetaObject() const
    {59, 805, 0, 0, Smoke::mf_dtor, 0, 20 },	//327 QWebInspector::~QWebInspector()
    {60, 446, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 1},	//328 QWebPage::metaObject() const
    {60, 533, 10, 1, Smoke::mf_virtual, 262, 2},	//329 QWebPage::qt_metacast(const char*)
    {60, 754, 48, 2, Smoke::mf_static, 61, 3},	//330 QWebPage::tr(const char*, const char*)
    {60, 758, 48, 2, Smoke::mf_static, 61, 4},	//331 QWebPage::trUtf8(const char*, const char*)
    {60, 754, 51, 3, Smoke::mf_static, 61, 5},	//332 QWebPage::tr(const char*, const char*, int)
    {60, 758, 51, 3, Smoke::mf_static, 61, 6},	//333 QWebPage::trUtf8(const char*, const char*, int)
    {60, 531, 55, 3, Smoke::mf_virtual, 255, 7},	//334 QWebPage::qt_metacall(QMetaObject::Call, int, void**)
    {60, 123, 122, 1, Smoke::mf_ctor, 100, 8},	//335 QWebPage::QWebPage(QObject*)
    {60, 440, 0, 0, Smoke::mf_const, 89, 9},	//336 QWebPage::mainFrame() const
    {60, 262, 0, 0, Smoke::mf_const, 89, 10},	//337 QWebPage::currentFrame() const
    {60, 349, 90, 1, Smoke::mf_const, 89, 11},	//338 QWebPage::frameAt(const QPoint&) const
    {60, 372, 0, 0, Smoke::mf_const, 91, 12},	//339 QWebPage::history() const
    {60, 714, 0, 0, Smoke::mf_const, 124, 13},	//340 QWebPage::settings() const
    {60, 705, 130, 1, 0, 0, 14},	//341 QWebPage::setView(QWidget*)
    {60, 780, 0, 0, Smoke::mf_const, 132, 15},	//342 QWebPage::view() const
    {60, 391, 0, 0, Smoke::mf_const|Smoke::mf_property, 211, 16},	//343 QWebPage::isModified() const
    {60, 768, 0, 0, Smoke::mf_const, 70, 17},	//344 QWebPage::undoStack() const
    {60, 656, 140, 1, 0, 0, 18},	//345 QWebPage::setNetworkAccessManager(QNetworkAccessManager*)
    {60, 462, 0, 0, Smoke::mf_const, 37, 19},	//346 QWebPage::networkAccessManager() const
    {60, 678, 142, 1, 0, 0, 20},	//347 QWebPage::setPluginFactory(QWebPluginFactory*)
    {60, 513, 0, 0, Smoke::mf_const, 115, 21},	//348 QWebPage::pluginFactory() const
    {60, 753, 0, 0, Smoke::mf_const, 261, 22},	//349 QWebPage::totalBytes() const
    {60, 225, 0, 0, Smoke::mf_const, 261, 23},	//350 QWebPage::bytesReceived() const
    {60, 592, 0, 0, Smoke::mf_const|Smoke::mf_property, 61, 24},	//351 QWebPage::selectedText() const
    {60, 186, 144, 1, Smoke::mf_const, 1, 25},	//352 QWebPage::action(QWebPage::WebAction) const
    {60, 762, 146, 2, Smoke::mf_virtual, 0, 26},	//353 QWebPage::triggerAction(QWebPage::WebAction, bool)
    {60, 781, 0, 0, Smoke::mf_const|Smoke::mf_property, 55, 27},	//354 QWebPage::viewportSize() const
    {60, 707, 103, 1, Smoke::mf_const|Smoke::mf_property, 0, 28},	//355 QWebPage::setViewportSize(const QSize&) const
    {60, 517, 0, 0, Smoke::mf_const|Smoke::mf_property, 55, 29},	//356 QWebPage::preferredContentsSize() const
    {60, 680, 103, 1, Smoke::mf_const|Smoke::mf_property, 0, 30},	//357 QWebPage::setPreferredContentsSize(const QSize&) const
    {60, 308, 1, 1, Smoke::mf_virtual, 211, 31},	//358 QWebPage::event(QEvent*)
    {60, 334, 105, 1, 0, 211, 32},	//359 QWebPage::focusNextPrevChild(bool)
    {60, 387, 149, 1, Smoke::mf_const, 73, 33},	//360 QWebPage::inputMethodQuery(Qt::InputMethodQuery) const
    {60, 327, 151, 2, 0, 211, 34},	//361 QWebPage::findText(const QString&, QFlags<QWebPage::FindFlag>)
    {60, 633, 105, 1, Smoke::mf_property, 0, 35},	//362 QWebPage::setForwardUnsupportedContent(bool)
    {60, 347, 0, 0, Smoke::mf_const|Smoke::mf_property, 211, 36},	//363 QWebPage::forwardUnsupportedContent() const
    {60, 644, 154, 1, Smoke::mf_property, 0, 37},	//364 QWebPage::setLinkDelegationPolicy(QWebPage::LinkDelegationPolicy)
    {60, 420, 0, 0, Smoke::mf_const|Smoke::mf_property, 110, 38},	//365 QWebPage::linkDelegationPolicy() const
    {60, 672, 156, 1, Smoke::mf_property, 0, 39},	//366 QWebPage::setPalette(const QPalette&)
    {60, 508, 0, 0, Smoke::mf_const|Smoke::mf_property, 46, 40},	//367 QWebPage::palette() const
    {60, 604, 105, 1, Smoke::mf_property, 0, 41},	//368 QWebPage::setContentEditable(bool)
    {60, 389, 0, 0, Smoke::mf_const|Smoke::mf_property, 211, 42},	//369 QWebPage::isContentEditable() const
    {60, 732, 158, 1, 0, 211, 43},	//370 QWebPage::swallowContextMenuEvent(QContextMenuEvent*)
    {60, 771, 90, 1, 0, 0, 44},	//371 QWebPage::updatePositionDependentActions(const QPoint&)
    {60, 259, 0, 0, 0, 32, 45},	//372 QWebPage::createStandardContextMenu()
    {60, 312, 160, 3, Smoke::mf_virtual, 211, 46},	//373 QWebPage::extension(QWebPage::Extension, const QWebPage::ExtensionOption*, QWebPage::ExtensionReturn*)
    {60, 730, 164, 1, Smoke::mf_const|Smoke::mf_virtual, 211, 47},	//374 QWebPage::supportsExtension(QWebPage::Extension) const
    {60, 360, 0, 0, Smoke::mf_const, 114, 48},	//375 QWebPage::handle() const
    {60, 715, 0, 0, Smoke::mf_slot, 211, 49},	//376 QWebPage::shouldInterruptJavaScript()
    {60, 436, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//377 QWebPage::loadStarted()
    {60, 434, 35, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//378 QWebPage::loadProgress(int)
    {60, 432, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//379 QWebPage::loadFinished(bool)
    {60, 422, 21, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//380 QWebPage::linkHovered(const QString&, const QString&, const QString&)
    {60, 721, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//381 QWebPage::statusBarMessage(const QString&)
    {60, 593, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//382 QWebPage::selectionChanged()
    {60, 351, 166, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//383 QWebPage::frameCreated(QWebFrame*)
    {60, 355, 168, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//384 QWebPage::geometryChangeRequested(const QRect&)
    {60, 557, 168, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 58},	//385 QWebPage::repaintRequested(const QRect&)
    {60, 589, 170, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//386 QWebPage::scrollRequested(int, int, const QRect&)
    {60, 788, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//387 QWebPage::windowCloseRequested()
    {60, 528, 166, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 61},	//388 QWebPage::printRequested(QWebFrame*)
    {60, 418, 59, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 62},	//389 QWebPage::linkClicked(const QUrl&)
    {60, 751, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 63},	//390 QWebPage::toolBarVisibilityChangeRequested(bool)
    {60, 723, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 64},	//391 QWebPage::statusBarVisibilityChangeRequested(bool)
    {60, 443, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//392 QWebPage::menuBarVisibilityChangeRequested(bool)
    {60, 769, 174, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//393 QWebPage::unsupportedContent(QNetworkReply*)
    {60, 280, 107, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 67},	//394 QWebPage::downloadRequested(const QNetworkRequest&)
    {60, 448, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 68},	//395 QWebPage::microFocusChanged()
    {60, 248, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 69},	//396 QWebPage::contentsChanged()
    {60, 267, 176, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 70},	//397 QWebPage::databaseQuotaExceeded(QWebFrame*, QString)
    {60, 573, 179, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 71},	//398 QWebPage::saveFrameStateRequested(QWebFrame*, QWebHistoryItem*)
    {60, 571, 166, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 72},	//399 QWebPage::restoreFrameStateRequested(QWebFrame*)
    {60, 260, 182, 1, Smoke::mf_protected|Smoke::mf_virtual, 100, 73},	//400 QWebPage::createWindow(QWebPage::WebWindowType)
    {60, 257, 184, 4, Smoke::mf_protected|Smoke::mf_virtual, 40, 74},	//401 QWebPage::createPlugin(const QString&, const QUrl&, const QStringList&, const QStringList&)
    {60, 184, 189, 3, Smoke::mf_protected|Smoke::mf_virtual, 211, 75},	//402 QWebPage::acceptNavigationRequest(QWebFrame*, const QNetworkRequest&, QWebPage::NavigationType)
    {60, 232, 193, 2, Smoke::mf_protected|Smoke::mf_virtual, 61, 76},	//403 QWebPage::chooseFile(QWebFrame*, const QString&)
    {60, 400, 193, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 77},	//404 QWebPage::javaScriptAlert(QWebFrame*, const QString&)
    {60, 402, 193, 2, Smoke::mf_protected|Smoke::mf_virtual, 211, 78},	//405 QWebPage::javaScriptConfirm(QWebFrame*, const QString&)
    {60, 406, 196, 4, Smoke::mf_protected|Smoke::mf_virtual, 211, 79},	//406 QWebPage::javaScriptPrompt(QWebFrame*, const QString&, const QString&, QString*)
    {60, 404, 201, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 80},	//407 QWebPage::javaScriptConsoleMessage(const QString&, int, const QString&)
    {60, 776, 59, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 61, 81},	//408 QWebPage::userAgentForUrl(const QUrl&) const
    {60, 754, 10, 1, Smoke::mf_static, 61, 82},	//409 QWebPage::tr(const char*)
    {60, 758, 10, 1, Smoke::mf_static, 61, 83},	//410 QWebPage::trUtf8(const char*)
    {60, 123, 0, 0, Smoke::mf_ctor, 100, 84},	//411 QWebPage::QWebPage()
    {60, 762, 144, 1, 0, 0, 85},	//412 QWebPage::triggerAction(QWebPage::WebAction)
    {60, 327, 16, 1, 0, 211, 86},	//413 QWebPage::findText(const QString&)
    {60, 312, 164, 1, 0, 211, 87},	//414 QWebPage::extension(QWebPage::Extension)
    {60, 312, 205, 2, 0, 211, 88},	//415 QWebPage::extension(QWebPage::Extension, const QWebPage::ExtensionOption*)
    {60, 720, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 215, 89},	//416 QWebPage::staticMetaObject() const
    {60, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 90},	//417 QWebPage::NavigationTypeLinkClicked (enum)
    {60, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 91},	//418 QWebPage::NavigationTypeFormSubmitted (enum)
    {60, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 92},	//419 QWebPage::NavigationTypeBackOrForward (enum)
    {60, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 93},	//420 QWebPage::NavigationTypeReload (enum)
    {60, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 94},	//421 QWebPage::NavigationTypeFormResubmitted (enum)
    {60, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 95},	//422 QWebPage::NavigationTypeOther (enum)
    {60, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 96},	//423 QWebPage::NoWebAction (enum)
    {60, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 97},	//424 QWebPage::OpenLink (enum)
    {60, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 98},	//425 QWebPage::OpenLinkInNewWindow (enum)
    {60, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 99},	//426 QWebPage::OpenFrameInNewWindow (enum)
    {60, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 100},	//427 QWebPage::DownloadLinkToDisk (enum)
    {60, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 101},	//428 QWebPage::CopyLinkToClipboard (enum)
    {60, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 102},	//429 QWebPage::OpenImageInNewWindow (enum)
    {60, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 103},	//430 QWebPage::DownloadImageToDisk (enum)
    {60, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 104},	//431 QWebPage::CopyImageToClipboard (enum)
    {60, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 105},	//432 QWebPage::Back (enum)
    {60, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 106},	//433 QWebPage::Forward (enum)
    {60, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 107},	//434 QWebPage::Stop (enum)
    {60, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 108},	//435 QWebPage::Reload (enum)
    {60, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 109},	//436 QWebPage::Cut (enum)
    {60, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 110},	//437 QWebPage::Copy (enum)
    {60, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 111},	//438 QWebPage::Paste (enum)
    {60, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 112},	//439 QWebPage::Undo (enum)
    {60, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 113},	//440 QWebPage::Redo (enum)
    {60, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 114},	//441 QWebPage::MoveToNextChar (enum)
    {60, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 115},	//442 QWebPage::MoveToPreviousChar (enum)
    {60, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 116},	//443 QWebPage::MoveToNextWord (enum)
    {60, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 117},	//444 QWebPage::MoveToPreviousWord (enum)
    {60, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 118},	//445 QWebPage::MoveToNextLine (enum)
    {60, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 119},	//446 QWebPage::MoveToPreviousLine (enum)
    {60, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 120},	//447 QWebPage::MoveToStartOfLine (enum)
    {60, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 121},	//448 QWebPage::MoveToEndOfLine (enum)
    {60, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 122},	//449 QWebPage::MoveToStartOfBlock (enum)
    {60, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 123},	//450 QWebPage::MoveToEndOfBlock (enum)
    {60, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 124},	//451 QWebPage::MoveToStartOfDocument (enum)
    {60, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 125},	//452 QWebPage::MoveToEndOfDocument (enum)
    {60, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 126},	//453 QWebPage::SelectNextChar (enum)
    {60, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 127},	//454 QWebPage::SelectPreviousChar (enum)
    {60, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 128},	//455 QWebPage::SelectNextWord (enum)
    {60, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 129},	//456 QWebPage::SelectPreviousWord (enum)
    {60, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 130},	//457 QWebPage::SelectNextLine (enum)
    {60, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 131},	//458 QWebPage::SelectPreviousLine (enum)
    {60, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 132},	//459 QWebPage::SelectStartOfLine (enum)
    {60, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 133},	//460 QWebPage::SelectEndOfLine (enum)
    {60, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 134},	//461 QWebPage::SelectStartOfBlock (enum)
    {60, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 135},	//462 QWebPage::SelectEndOfBlock (enum)
    {60, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 136},	//463 QWebPage::SelectStartOfDocument (enum)
    {60, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 137},	//464 QWebPage::SelectEndOfDocument (enum)
    {60, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 138},	//465 QWebPage::DeleteStartOfWord (enum)
    {60, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 139},	//466 QWebPage::DeleteEndOfWord (enum)
    {60, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 140},	//467 QWebPage::SetTextDirectionDefault (enum)
    {60, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 141},	//468 QWebPage::SetTextDirectionLeftToRight (enum)
    {60, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 142},	//469 QWebPage::SetTextDirectionRightToLeft (enum)
    {60, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 143},	//470 QWebPage::ToggleBold (enum)
    {60, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 144},	//471 QWebPage::ToggleItalic (enum)
    {60, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 145},	//472 QWebPage::ToggleUnderline (enum)
    {60, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 146},	//473 QWebPage::InspectElement (enum)
    {60, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 147},	//474 QWebPage::InsertParagraphSeparator (enum)
    {60, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 148},	//475 QWebPage::InsertLineSeparator (enum)
    {60, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 149},	//476 QWebPage::SelectAll (enum)
    {60, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 150},	//477 QWebPage::ReloadAndBypassCache (enum)
    {60, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 151},	//478 QWebPage::PasteAndMatchStyle (enum)
    {60, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 152},	//479 QWebPage::RemoveFormat (enum)
    {60, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 153},	//480 QWebPage::ToggleStrikethrough (enum)
    {60, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 154},	//481 QWebPage::ToggleSubscript (enum)
    {60, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 155},	//482 QWebPage::ToggleSuperscript (enum)
    {60, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 156},	//483 QWebPage::InsertUnorderedList (enum)
    {60, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 157},	//484 QWebPage::InsertOrderedList (enum)
    {60, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 158},	//485 QWebPage::Indent (enum)
    {60, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 159},	//486 QWebPage::Outdent (enum)
    {60, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 160},	//487 QWebPage::AlignCenter (enum)
    {60, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 161},	//488 QWebPage::AlignJustified (enum)
    {60, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 162},	//489 QWebPage::AlignLeft (enum)
    {60, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 163},	//490 QWebPage::AlignRight (enum)
    {60, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 164},	//491 QWebPage::WebActionCount (enum)
    {60, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 165},	//492 QWebPage::FindBackward (enum)
    {60, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 166},	//493 QWebPage::FindCaseSensitively (enum)
    {60, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 167},	//494 QWebPage::FindWrapsAroundDocument (enum)
    {60, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 168},	//495 QWebPage::HighlightAllOccurrences (enum)
    {60, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 169},	//496 QWebPage::DontDelegateLinks (enum)
    {60, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 170},	//497 QWebPage::DelegateExternalLinks (enum)
    {60, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 171},	//498 QWebPage::DelegateAllLinks (enum)
    {60, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 172},	//499 QWebPage::WebBrowserWindow (enum)
    {60, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 173},	//500 QWebPage::WebModalDialog (enum)
    {60, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 174},	//501 QWebPage::ChooseMultipleFilesExtension (enum)
    {60, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 175},	//502 QWebPage::ErrorPageExtension (enum)
    {60, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 176},	//503 QWebPage::QtNetwork (enum)
    {60, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 177},	//504 QWebPage::Http (enum)
    {60, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 178},	//505 QWebPage::WebKit (enum)
    {60, 806, 0, 0, Smoke::mf_dtor, 0, 179 },	//506 QWebPage::~QWebPage()
    {61, 10, 0, 0, Smoke::mf_ctor, 101, 1},	//507 QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption()
    {61, 10, 208, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 101, 2},	//508 QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption(const QWebPage::ChooseMultipleFilesExtensionOption&)
    {61, 511, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 89, 3},	//509 QWebPage::ChooseMultipleFilesExtensionOption::parentFrame() const
    {61, 674, 166, 1, Smoke::mf_attribute, 0, 4},	//510 QWebPage::ChooseMultipleFilesExtensionOption::setParentFrame(QWebFrame*)
    {61, 729, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 65, 5},	//511 QWebPage::ChooseMultipleFilesExtensionOption::suggestedFileNames() const
    {61, 695, 210, 1, Smoke::mf_attribute, 0, 6},	//512 QWebPage::ChooseMultipleFilesExtensionOption::setSuggestedFileNames(const QStringList&)
    {61, 791, 0, 0, Smoke::mf_dtor, 0, 7 },	//513 QWebPage::ChooseMultipleFilesExtensionOption::~ChooseMultipleFilesExtensionOption()
    {62, 12, 0, 0, Smoke::mf_ctor, 102, 1},	//514 QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn()
    {62, 12, 212, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 102, 2},	//515 QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn(const QWebPage::ChooseMultipleFilesExtensionReturn&)
    {62, 318, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 65, 3},	//516 QWebPage::ChooseMultipleFilesExtensionReturn::fileNames() const
    {62, 626, 210, 1, Smoke::mf_attribute, 0, 4},	//517 QWebPage::ChooseMultipleFilesExtensionReturn::setFileNames(const QStringList&)
    {62, 792, 0, 0, Smoke::mf_dtor, 0, 5 },	//518 QWebPage::ChooseMultipleFilesExtensionReturn::~ChooseMultipleFilesExtensionReturn()
    {63, 36, 0, 0, Smoke::mf_ctor, 104, 1},	//519 QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption()
    {63, 36, 214, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 104, 2},	//520 QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption(const QWebPage::ErrorPageExtensionOption&)
    {63, 773, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 72, 3},	//521 QWebPage::ErrorPageExtensionOption::url() const
    {63, 699, 59, 1, Smoke::mf_attribute, 0, 4},	//522 QWebPage::ErrorPageExtensionOption::setUrl(const QUrl&)
    {63, 348, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 89, 5},	//523 QWebPage::ErrorPageExtensionOption::frame() const
    {63, 635, 166, 1, Smoke::mf_attribute, 0, 6},	//524 QWebPage::ErrorPageExtensionOption::setFrame(QWebFrame*)
    {63, 279, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 103, 7},	//525 QWebPage::ErrorPageExtensionOption::domain() const
    {63, 616, 216, 1, Smoke::mf_attribute, 0, 8},	//526 QWebPage::ErrorPageExtensionOption::setDomain(QWebPage::ErrorDomain)
    {63, 304, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 255, 9},	//527 QWebPage::ErrorPageExtensionOption::error() const
    {63, 620, 35, 1, Smoke::mf_attribute, 0, 10},	//528 QWebPage::ErrorPageExtensionOption::setError(int)
    {63, 305, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 62, 11},	//529 QWebPage::ErrorPageExtensionOption::errorString() const
    {63, 622, 16, 1, Smoke::mf_attribute, 0, 12},	//530 QWebPage::ErrorPageExtensionOption::setErrorString(const QString&)
    {63, 793, 0, 0, Smoke::mf_dtor, 0, 13 },	//531 QWebPage::ErrorPageExtensionOption::~ErrorPageExtensionOption()
    {64, 38, 0, 0, Smoke::mf_ctor, 105, 1},	//532 QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn()
    {64, 38, 218, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 105, 2},	//533 QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn(const QWebPage::ErrorPageExtensionReturn&)
    {64, 247, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 62, 3},	//534 QWebPage::ErrorPageExtensionReturn::contentType() const
    {64, 606, 16, 1, Smoke::mf_attribute, 0, 4},	//535 QWebPage::ErrorPageExtensionReturn::setContentType(const QString&)
    {64, 301, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 62, 5},	//536 QWebPage::ErrorPageExtensionReturn::encoding() const
    {64, 618, 16, 1, Smoke::mf_attribute, 0, 6},	//537 QWebPage::ErrorPageExtensionReturn::setEncoding(const QString&)
    {64, 222, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 72, 7},	//538 QWebPage::ErrorPageExtensionReturn::baseUrl() const
    {64, 598, 59, 1, Smoke::mf_attribute, 0, 8},	//539 QWebPage::ErrorPageExtensionReturn::setBaseUrl(const QUrl&)
    {64, 246, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 4, 9},	//540 QWebPage::ErrorPageExtensionReturn::content() const
    {64, 600, 112, 1, Smoke::mf_attribute, 0, 10},	//541 QWebPage::ErrorPageExtensionReturn::setContent(const QByteArray&)
    {64, 794, 0, 0, Smoke::mf_dtor, 0, 11 },	//542 QWebPage::ErrorPageExtensionReturn::~ErrorPageExtensionReturn()
    {65, 40, 0, 0, Smoke::mf_ctor, 107, 1},	//543 QWebPage::ExtensionOption::ExtensionOption()
    {65, 40, 220, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 107, 2},	//544 QWebPage::ExtensionOption::ExtensionOption(const QWebPage::ExtensionOption&)
    {65, 795, 0, 0, Smoke::mf_dtor, 0, 3 },	//545 QWebPage::ExtensionOption::~ExtensionOption()
    {66, 42, 0, 0, Smoke::mf_ctor, 108, 1},	//546 QWebPage::ExtensionReturn::ExtensionReturn()
    {66, 42, 222, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 108, 2},	//547 QWebPage::ExtensionReturn::ExtensionReturn(const QWebPage::ExtensionReturn&)
    {66, 796, 0, 0, Smoke::mf_dtor, 0, 3 },	//548 QWebPage::ExtensionReturn::~ExtensionReturn()
    {68, 446, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 1},	//549 QWebPluginFactory::metaObject() const
    {68, 533, 10, 1, Smoke::mf_virtual, 262, 2},	//550 QWebPluginFactory::qt_metacast(const char*)
    {68, 754, 48, 2, Smoke::mf_static, 61, 3},	//551 QWebPluginFactory::tr(const char*, const char*)
    {68, 758, 48, 2, Smoke::mf_static, 61, 4},	//552 QWebPluginFactory::trUtf8(const char*, const char*)
    {68, 754, 51, 3, Smoke::mf_static, 61, 5},	//553 QWebPluginFactory::tr(const char*, const char*, int)
    {68, 758, 51, 3, Smoke::mf_static, 61, 6},	//554 QWebPluginFactory::trUtf8(const char*, const char*, int)
    {68, 531, 55, 3, Smoke::mf_virtual, 255, 7},	//555 QWebPluginFactory::qt_metacall(QMetaObject::Call, int, void**)
    {68, 125, 122, 1, Smoke::mf_ctor, 115, 8},	//556 QWebPluginFactory::QWebPluginFactory(QObject*)
    {68, 514, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 30, 9},	//557 QWebPluginFactory::plugins() const [pure virtual]
    {68, 535, 0, 0, Smoke::mf_virtual, 0, 10},	//558 QWebPluginFactory::refreshPlugins()
    {68, 255, 184, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 40, 11},	//559 QWebPluginFactory::create(const QString&, const QUrl&, const QStringList&, const QStringList&) const [pure virtual]
    {68, 312, 224, 3, Smoke::mf_virtual, 211, 12},	//560 QWebPluginFactory::extension(QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*, QWebPluginFactory::ExtensionReturn*)
    {68, 730, 228, 1, Smoke::mf_const|Smoke::mf_virtual, 211, 13},	//561 QWebPluginFactory::supportsExtension(QWebPluginFactory::Extension) const
    {68, 754, 10, 1, Smoke::mf_static, 61, 14},	//562 QWebPluginFactory::tr(const char*)
    {68, 758, 10, 1, Smoke::mf_static, 61, 15},	//563 QWebPluginFactory::trUtf8(const char*)
    {68, 125, 0, 0, Smoke::mf_ctor, 115, 16},	//564 QWebPluginFactory::QWebPluginFactory()
    {68, 312, 228, 1, 0, 211, 17},	//565 QWebPluginFactory::extension(QWebPluginFactory::Extension)
    {68, 312, 230, 2, 0, 211, 18},	//566 QWebPluginFactory::extension(QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*)
    {68, 720, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 215, 19},	//567 QWebPluginFactory::staticMetaObject() const
    {68, 807, 0, 0, Smoke::mf_dtor, 0, 20 },	//568 QWebPluginFactory::~QWebPluginFactory()
    {69, 40, 0, 0, Smoke::mf_ctor, 117, 1},	//569 QWebPluginFactory::ExtensionOption::ExtensionOption()
    {69, 40, 233, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 117, 2},	//570 QWebPluginFactory::ExtensionOption::ExtensionOption(const QWebPluginFactory::ExtensionOption&)
    {69, 795, 0, 0, Smoke::mf_dtor, 0, 3 },	//571 QWebPluginFactory::ExtensionOption::~ExtensionOption()
    {70, 42, 0, 0, Smoke::mf_ctor, 118, 1},	//572 QWebPluginFactory::ExtensionReturn::ExtensionReturn()
    {70, 42, 235, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 118, 2},	//573 QWebPluginFactory::ExtensionReturn::ExtensionReturn(const QWebPluginFactory::ExtensionReturn&)
    {70, 796, 0, 0, Smoke::mf_dtor, 0, 3 },	//574 QWebPluginFactory::ExtensionReturn::~ExtensionReturn()
    {71, 492, 237, 1, Smoke::mf_const, 211, 1},	//575 QWebPluginFactory::MimeType::operator==(const QWebPluginFactory::MimeType&) const
    {71, 468, 237, 1, Smoke::mf_const, 211, 2},	//576 QWebPluginFactory::MimeType::operator!=(const QWebPluginFactory::MimeType&) const
    {71, 68, 0, 0, Smoke::mf_ctor, 119, 3},	//577 QWebPluginFactory::MimeType::MimeType()
    {71, 68, 237, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 119, 4},	//578 QWebPluginFactory::MimeType::MimeType(const QWebPluginFactory::MimeType&)
    {71, 460, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 62, 5},	//579 QWebPluginFactory::MimeType::name() const
    {71, 654, 16, 1, Smoke::mf_attribute, 0, 6},	//580 QWebPluginFactory::MimeType::setName(const QString&)
    {71, 273, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 62, 7},	//581 QWebPluginFactory::MimeType::description() const
    {71, 614, 16, 1, Smoke::mf_attribute, 0, 8},	//582 QWebPluginFactory::MimeType::setDescription(const QString&)
    {71, 316, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 65, 9},	//583 QWebPluginFactory::MimeType::fileExtensions() const
    {71, 624, 210, 1, Smoke::mf_attribute, 0, 10},	//584 QWebPluginFactory::MimeType::setFileExtensions(const QStringList&)
    {71, 797, 0, 0, Smoke::mf_dtor, 0, 11 },	//585 QWebPluginFactory::MimeType::~MimeType()
    {72, 103, 0, 0, Smoke::mf_ctor, 120, 1},	//586 QWebPluginFactory::Plugin::Plugin()
    {72, 103, 239, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 120, 2},	//587 QWebPluginFactory::Plugin::Plugin(const QWebPluginFactory::Plugin&)
    {72, 460, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 62, 3},	//588 QWebPluginFactory::Plugin::name() const
    {72, 654, 16, 1, Smoke::mf_attribute, 0, 4},	//589 QWebPluginFactory::Plugin::setName(const QString&)
    {72, 273, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 62, 5},	//590 QWebPluginFactory::Plugin::description() const
    {72, 614, 16, 1, Smoke::mf_attribute, 0, 6},	//591 QWebPluginFactory::Plugin::setDescription(const QString&)
    {72, 449, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 29, 7},	//592 QWebPluginFactory::Plugin::mimeTypes() const
    {72, 652, 241, 1, Smoke::mf_attribute, 0, 8},	//593 QWebPluginFactory::Plugin::setMimeTypes(const QList<QWebPluginFactory::MimeType>&)
    {72, 798, 0, 0, Smoke::mf_dtor, 0, 9 },	//594 QWebPluginFactory::Plugin::~Plugin()
    {73, 198, 0, 0, Smoke::mf_static, 31, 1},	//595 QWebSecurityOrigin::allOrigins()
    {73, 193, 16, 1, Smoke::mf_static, 0, 2},	//596 QWebSecurityOrigin::addLocalScheme(const QString&)
    {73, 548, 16, 1, Smoke::mf_static, 0, 3},	//597 QWebSecurityOrigin::removeLocalScheme(const QString&)
    {73, 438, 0, 0, Smoke::mf_static, 64, 4},	//598 QWebSecurityOrigin::localSchemes()
    {73, 575, 0, 0, Smoke::mf_const, 61, 5},	//599 QWebSecurityOrigin::scheme() const
    {73, 377, 0, 0, Smoke::mf_const, 61, 6},	//600 QWebSecurityOrigin::host() const
    {73, 515, 0, 0, Smoke::mf_const, 255, 7},	//601 QWebSecurityOrigin::port() const
    {73, 269, 0, 0, Smoke::mf_const, 257, 8},	//602 QWebSecurityOrigin::databaseUsage() const
    {73, 266, 0, 0, Smoke::mf_const, 257, 9},	//603 QWebSecurityOrigin::databaseQuota() const
    {73, 608, 243, 1, 0, 0, 10},	//604 QWebSecurityOrigin::setDatabaseQuota(long long)
    {73, 270, 0, 0, Smoke::mf_const, 25, 11},	//605 QWebSecurityOrigin::databases() const
    {73, 127, 245, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 123, 12},	//606 QWebSecurityOrigin::QWebSecurityOrigin(const QWebSecurityOrigin&)
    {73, 490, 245, 1, 0, 122, 13},	//607 QWebSecurityOrigin::operator=(const QWebSecurityOrigin&)
    {73, 808, 0, 0, Smoke::mf_dtor, 0, 14 },	//608 QWebSecurityOrigin::~QWebSecurityOrigin()
    {74, 357, 0, 0, Smoke::mf_static, 124, 1},	//609 QWebSettings::globalSettings()
    {74, 629, 247, 2, 0, 0, 2},	//610 QWebSettings::setFontFamily(QWebSettings::FontFamily, const QString&)
    {74, 339, 250, 1, Smoke::mf_const, 61, 3},	//611 QWebSettings::fontFamily(QWebSettings::FontFamily) const
    {74, 565, 250, 1, 0, 0, 4},	//612 QWebSettings::resetFontFamily(QWebSettings::FontFamily)
    {74, 631, 252, 2, 0, 0, 5},	//613 QWebSettings::setFontSize(QWebSettings::FontSize, int)
    {74, 341, 255, 1, Smoke::mf_const, 255, 6},	//614 QWebSettings::fontSize(QWebSettings::FontSize) const
    {74, 567, 255, 1, 0, 0, 7},	//615 QWebSettings::resetFontSize(QWebSettings::FontSize)
    {74, 594, 257, 2, 0, 0, 8},	//616 QWebSettings::setAttribute(QWebSettings::WebAttribute, bool)
    {74, 737, 260, 1, Smoke::mf_const, 211, 9},	//617 QWebSettings::testAttribute(QWebSettings::WebAttribute) const
    {74, 563, 260, 1, 0, 0, 10},	//618 QWebSettings::resetAttribute(QWebSettings::WebAttribute)
    {74, 703, 59, 1, 0, 0, 11},	//619 QWebSettings::setUserStyleSheetUrl(const QUrl&)
    {74, 779, 0, 0, Smoke::mf_const, 71, 12},	//620 QWebSettings::userStyleSheetUrl() const
    {74, 612, 16, 1, 0, 0, 13},	//621 QWebSettings::setDefaultTextEncoding(const QString&)
    {74, 272, 0, 0, Smoke::mf_const, 61, 14},	//622 QWebSettings::defaultTextEncoding() const
    {74, 640, 16, 1, Smoke::mf_static, 0, 15},	//623 QWebSettings::setIconDatabasePath(const QString&)
    {74, 380, 0, 0, Smoke::mf_static, 61, 16},	//624 QWebSettings::iconDatabasePath()
    {74, 236, 0, 0, Smoke::mf_static, 0, 17},	//625 QWebSettings::clearIconDatabase()
    {74, 381, 59, 1, Smoke::mf_static, 21, 18},	//626 QWebSettings::iconForUrl(const QUrl&)
    {74, 710, 262, 2, Smoke::mf_static, 0, 19},	//627 QWebSettings::setWebGraphic(QWebSettings::WebGraphic, const QPixmap&)
    {74, 783, 265, 1, Smoke::mf_static, 47, 20},	//628 QWebSettings::webGraphic(QWebSettings::WebGraphic)
    {74, 650, 35, 1, Smoke::mf_static, 0, 21},	//629 QWebSettings::setMaximumPagesInCache(int)
    {74, 442, 0, 0, Smoke::mf_static, 255, 22},	//630 QWebSettings::maximumPagesInCache()
    {74, 658, 267, 3, Smoke::mf_static, 0, 23},	//631 QWebSettings::setObjectCacheCapacities(int, int, int)
    {74, 662, 16, 1, Smoke::mf_static, 0, 24},	//632 QWebSettings::setOfflineStoragePath(const QString&)
    {74, 465, 0, 0, Smoke::mf_static, 61, 25},	//633 QWebSettings::offlineStoragePath()
    {74, 660, 243, 1, Smoke::mf_static, 0, 26},	//634 QWebSettings::setOfflineStorageDefaultQuota(long long)
    {74, 464, 0, 0, Smoke::mf_static, 257, 27},	//635 QWebSettings::offlineStorageDefaultQuota()
    {74, 664, 16, 1, Smoke::mf_static, 0, 28},	//636 QWebSettings::setOfflineWebApplicationCachePath(const QString&)
    {74, 466, 0, 0, Smoke::mf_static, 61, 29},	//637 QWebSettings::offlineWebApplicationCachePath()
    {74, 666, 243, 1, Smoke::mf_static, 0, 30},	//638 QWebSettings::setOfflineWebApplicationCacheQuota(long long)
    {74, 467, 0, 0, Smoke::mf_static, 257, 31},	//639 QWebSettings::offlineWebApplicationCacheQuota()
    {74, 646, 16, 1, 0, 0, 32},	//640 QWebSettings::setLocalStoragePath(const QString&)
    {74, 439, 0, 0, Smoke::mf_const, 61, 33},	//641 QWebSettings::localStoragePath() const
    {74, 237, 0, 0, Smoke::mf_static, 0, 34},	//642 QWebSettings::clearMemoryCaches()
    {74, 291, 16, 1, Smoke::mf_static, 0, 35},	//643 QWebSettings::enablePersistentStorage(const QString&)
    {74, 360, 0, 0, Smoke::mf_const, 129, 36},	//644 QWebSettings::handle() const
    {74, 291, 0, 0, Smoke::mf_static, 0, 37},	//645 QWebSettings::enablePersistentStorage()
    {74, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 38},	//646 QWebSettings::StandardFont (enum)
    {74, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 39},	//647 QWebSettings::FixedFont (enum)
    {74, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 40},	//648 QWebSettings::SerifFont (enum)
    {74, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 41},	//649 QWebSettings::SansSerifFont (enum)
    {74, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 42},	//650 QWebSettings::CursiveFont (enum)
    {74, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 43},	//651 QWebSettings::FantasyFont (enum)
    {74, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 44},	//652 QWebSettings::AutoLoadImages (enum)
    {74, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 45},	//653 QWebSettings::JavascriptEnabled (enum)
    {74, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 46},	//654 QWebSettings::JavaEnabled (enum)
    {74, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 47},	//655 QWebSettings::PluginsEnabled (enum)
    {74, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 48},	//656 QWebSettings::PrivateBrowsingEnabled (enum)
    {74, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 49},	//657 QWebSettings::JavascriptCanOpenWindows (enum)
    {74, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 50},	//658 QWebSettings::JavascriptCanAccessClipboard (enum)
    {74, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 51},	//659 QWebSettings::DeveloperExtrasEnabled (enum)
    {74, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 52},	//660 QWebSettings::LinksIncludedInFocusChain (enum)
    {74, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 53},	//661 QWebSettings::ZoomTextOnly (enum)
    {74, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 54},	//662 QWebSettings::PrintElementBackgrounds (enum)
    {74, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 55},	//663 QWebSettings::OfflineStorageDatabaseEnabled (enum)
    {74, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 56},	//664 QWebSettings::OfflineWebApplicationCacheEnabled (enum)
    {74, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 57},	//665 QWebSettings::LocalStorageEnabled (enum)
    {74, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 58},	//666 QWebSettings::LocalStorageDatabaseEnabled (enum)
    {74, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 59},	//667 QWebSettings::LocalContentCanAccessRemoteUrls (enum)
    {74, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 60},	//668 QWebSettings::DnsPrefetchEnabled (enum)
    {74, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 61},	//669 QWebSettings::MissingImageGraphic (enum)
    {74, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 62},	//670 QWebSettings::MissingPluginGraphic (enum)
    {74, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 63},	//671 QWebSettings::DefaultFrameIconGraphic (enum)
    {74, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 64},	//672 QWebSettings::TextAreaSizeGripCornerGraphic (enum)
    {74, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 65},	//673 QWebSettings::MinimumFontSize (enum)
    {74, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 66},	//674 QWebSettings::MinimumLogicalFontSize (enum)
    {74, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 67},	//675 QWebSettings::DefaultFontSize (enum)
    {74, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 68},	//676 QWebSettings::DefaultFixedFontSize (enum)
    {76, 446, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 1},	//677 QWebView::metaObject() const
    {76, 533, 10, 1, Smoke::mf_virtual, 262, 2},	//678 QWebView::qt_metacast(const char*)
    {76, 754, 48, 2, Smoke::mf_static, 61, 3},	//679 QWebView::tr(const char*, const char*)
    {76, 758, 48, 2, Smoke::mf_static, 61, 4},	//680 QWebView::trUtf8(const char*, const char*)
    {76, 754, 51, 3, Smoke::mf_static, 61, 5},	//681 QWebView::tr(const char*, const char*, int)
    {76, 758, 51, 3, Smoke::mf_static, 61, 6},	//682 QWebView::trUtf8(const char*, const char*, int)
    {76, 531, 55, 3, Smoke::mf_virtual, 255, 7},	//683 QWebView::qt_metacall(QMetaObject::Call, int, void**)
    {76, 129, 130, 1, Smoke::mf_ctor, 130, 8},	//684 QWebView::QWebView(QWidget*)
    {76, 502, 0, 0, Smoke::mf_const, 100, 9},	//685 QWebView::page() const
    {76, 670, 132, 1, 0, 0, 10},	//686 QWebView::setPage(QWebPage*)
    {76, 428, 59, 1, 0, 0, 11},	//687 QWebView::load(const QUrl&)
    {76, 428, 61, 3, 0, 0, 12},	//688 QWebView::load(const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&)
    {76, 637, 65, 2, 0, 0, 13},	//689 QWebView::setHtml(const QString&, const QUrl&)
    {76, 600, 68, 3, 0, 0, 14},	//690 QWebView::setContent(const QByteArray&, const QString&, const QUrl&)
    {76, 372, 0, 0, Smoke::mf_const, 91, 15},	//691 QWebView::history() const
    {76, 714, 0, 0, Smoke::mf_const, 124, 16},	//692 QWebView::settings() const
    {76, 741, 0, 0, Smoke::mf_const|Smoke::mf_property, 61, 17},	//693 QWebView::title() const
    {76, 699, 59, 1, Smoke::mf_property, 0, 18},	//694 QWebView::setUrl(const QUrl&)
    {76, 773, 0, 0, Smoke::mf_const|Smoke::mf_property, 71, 19},	//695 QWebView::url() const
    {76, 378, 0, 0, Smoke::mf_const|Smoke::mf_property, 21, 20},	//696 QWebView::icon() const
    {76, 592, 0, 0, Smoke::mf_const|Smoke::mf_property, 61, 21},	//697 QWebView::selectedText() const
    {76, 503, 144, 1, Smoke::mf_const, 1, 22},	//698 QWebView::pageAction(QWebPage::WebAction) const
    {76, 765, 146, 2, 0, 0, 23},	//699 QWebView::triggerPageAction(QWebPage::WebAction, bool)
    {76, 391, 0, 0, Smoke::mf_const|Smoke::mf_property, 211, 24},	//700 QWebView::isModified() const
    {76, 387, 149, 1, Smoke::mf_const|Smoke::mf_virtual, 73, 25},	//701 QWebView::inputMethodQuery(Qt::InputMethodQuery) const
    {76, 719, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 55, 26},	//702 QWebView::sizeHint() const
    {76, 790, 0, 0, Smoke::mf_const, 254, 27},	//703 QWebView::zoomFactor() const
    {76, 712, 99, 1, 0, 0, 28},	//704 QWebView::setZoomFactor(double)
    {76, 697, 99, 1, 0, 0, 29},	//705 QWebView::setTextSizeMultiplier(double)
    {76, 739, 0, 0, Smoke::mf_const, 254, 30},	//706 QWebView::textSizeMultiplier() const
    {76, 555, 0, 0, Smoke::mf_const, 16, 31},	//707 QWebView::renderHints() const
    {76, 685, 271, 1, 0, 0, 32},	//708 QWebView::setRenderHints(QFlags<QPainter::RenderHint>)
    {76, 682, 273, 2, 0, 0, 33},	//709 QWebView::setRenderHint(QPainter::RenderHint, bool)
    {76, 327, 151, 2, 0, 211, 34},	//710 QWebView::findText(const QString&, QFlags<QWebPage::FindFlag>)
    {76, 308, 1, 1, Smoke::mf_virtual, 211, 35},	//711 QWebView::event(QEvent*)
    {76, 725, 0, 0, Smoke::mf_slot, 0, 36},	//712 QWebView::stop()
    {76, 218, 0, 0, Smoke::mf_slot, 0, 37},	//713 QWebView::back()
    {76, 343, 0, 0, Smoke::mf_slot, 0, 38},	//714 QWebView::forward()
    {76, 536, 0, 0, Smoke::mf_slot, 0, 39},	//715 QWebView::reload()
    {76, 526, 101, 1, Smoke::mf_const|Smoke::mf_slot, 0, 40},	//716 QWebView::print(QPrinter*) const
    {76, 436, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//717 QWebView::loadStarted()
    {76, 434, 35, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//718 QWebView::loadProgress(int)
    {76, 432, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//719 QWebView::loadFinished(bool)
    {76, 742, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//720 QWebView::titleChanged(const QString&)
    {76, 721, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//721 QWebView::statusBarMessage(const QString&)
    {76, 418, 59, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//722 QWebView::linkClicked(const QUrl&)
    {76, 593, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//723 QWebView::selectionChanged()
    {76, 379, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//724 QWebView::iconChanged()
    {76, 774, 59, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//725 QWebView::urlChanged(const QUrl&)
    {76, 569, 134, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 50},	//726 QWebView::resizeEvent(QResizeEvent*)
    {76, 506, 276, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 51},	//727 QWebView::paintEvent(QPaintEvent*)
    {76, 260, 182, 1, Smoke::mf_protected|Smoke::mf_virtual, 130, 52},	//728 QWebView::createWindow(QWebPage::WebWindowType)
    {76, 228, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//729 QWebView::changeEvent(QEvent*)
    {76, 453, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//730 QWebView::mouseMoveEvent(QMouseEvent*)
    {76, 455, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//731 QWebView::mousePressEvent(QMouseEvent*)
    {76, 451, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//732 QWebView::mouseDoubleClickEvent(QMouseEvent*)
    {76, 457, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//733 QWebView::mouseReleaseEvent(QMouseEvent*)
    {76, 252, 158, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//734 QWebView::contextMenuEvent(QContextMenuEvent*)
    {76, 785, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 59},	//735 QWebView::wheelEvent(QWheelEvent*)
    {76, 409, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//736 QWebView::keyPressEvent(QKeyEvent*)
    {76, 411, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 61},	//737 QWebView::keyReleaseEvent(QKeyEvent*)
    {76, 282, 284, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//738 QWebView::dragEnterEvent(QDragEnterEvent*)
    {76, 284, 286, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//739 QWebView::dragLeaveEvent(QDragLeaveEvent*)
    {76, 286, 288, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//740 QWebView::dragMoveEvent(QDragMoveEvent*)
    {76, 288, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//741 QWebView::dropEvent(QDropEvent*)
    {76, 332, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 66},	//742 QWebView::focusInEvent(QFocusEvent*)
    {76, 336, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 67},	//743 QWebView::focusOutEvent(QFocusEvent*)
    {76, 385, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 68},	//744 QWebView::inputMethodEvent(QInputMethodEvent*)
    {76, 334, 105, 1, Smoke::mf_protected|Smoke::mf_virtual, 211, 69},	//745 QWebView::focusNextPrevChild(bool)
    {76, 754, 10, 1, Smoke::mf_static, 61, 70},	//746 QWebView::tr(const char*)
    {76, 758, 10, 1, Smoke::mf_static, 61, 71},	//747 QWebView::trUtf8(const char*)
    {76, 129, 0, 0, Smoke::mf_ctor, 130, 72},	//748 QWebView::QWebView()
    {76, 428, 107, 1, 0, 0, 73},	//749 QWebView::load(const QNetworkRequest&)
    {76, 428, 109, 2, 0, 0, 74},	//750 QWebView::load(const QNetworkRequest&, QNetworkAccessManager::Operation)
    {76, 637, 16, 1, 0, 0, 75},	//751 QWebView::setHtml(const QString&)
    {76, 600, 112, 1, 0, 0, 76},	//752 QWebView::setContent(const QByteArray&)
    {76, 600, 114, 2, 0, 0, 77},	//753 QWebView::setContent(const QByteArray&, const QString&)
    {76, 765, 144, 1, 0, 0, 78},	//754 QWebView::triggerPageAction(QWebPage::WebAction)
    {76, 682, 296, 1, 0, 0, 79},	//755 QWebView::setRenderHint(QPainter::RenderHint)
    {76, 327, 16, 1, 0, 211, 80},	//756 QWebView::findText(const QString&)
    {76, 720, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 215, 81},	//757 QWebView::staticMetaObject() const
    {76, 809, 0, 0, Smoke::mf_dtor, 0, 82 },	//758 QWebView::~QWebView()
    {78, 274, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 255, 0},	//759 QWidget::devType() const
    {78, 709, 105, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//760 QWidget::setVisible(bool)
    {78, 450, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 55, 0},	//761 QWidget::minimumSizeHint() const
    {78, 369, 35, 1, Smoke::mf_const|Smoke::mf_virtual, 255, 0},	//762 QWidget::heightForWidth(int) const
    {78, 505, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 42, 0},	//763 QWidget::paintEngine() const
    {78, 455, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//764 QWidget::mousePressEvent(QMouseEvent*)
    {78, 457, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//765 QWidget::mouseReleaseEvent(QMouseEvent*)
    {78, 451, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//766 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {78, 453, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//767 QWidget::mouseMoveEvent(QMouseEvent*)
    {78, 785, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//768 QWidget::wheelEvent(QWheelEvent*)
    {78, 409, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//769 QWidget::keyPressEvent(QKeyEvent*)
    {78, 411, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//770 QWidget::keyReleaseEvent(QKeyEvent*)
    {78, 332, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//771 QWidget::focusInEvent(QFocusEvent*)
    {78, 336, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//772 QWidget::focusOutEvent(QFocusEvent*)
    {78, 303, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//773 QWidget::enterEvent(QEvent*)
    {78, 417, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//774 QWidget::leaveEvent(QEvent*)
    {78, 506, 276, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//775 QWidget::paintEvent(QPaintEvent*)
    {78, 459, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//776 QWidget::moveEvent(QMoveEvent*)
    {78, 239, 300, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//777 QWidget::closeEvent(QCloseEvent*)
    {78, 252, 158, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//778 QWidget::contextMenuEvent(QContextMenuEvent*)
    {78, 734, 302, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//779 QWidget::tabletEvent(QTabletEvent*)
    {78, 188, 304, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//780 QWidget::actionEvent(QActionEvent*)
    {78, 282, 284, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//781 QWidget::dragEnterEvent(QDragEnterEvent*)
    {78, 286, 288, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//782 QWidget::dragMoveEvent(QDragMoveEvent*)
    {78, 284, 286, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//783 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {78, 288, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//784 QWidget::dropEvent(QDropEvent*)
    {78, 716, 136, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//785 QWidget::showEvent(QShowEvent*)
    {78, 370, 138, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//786 QWidget::hideEvent(QHideEvent*)
    {78, 789, 306, 1, Smoke::mf_protected|Smoke::mf_virtual, 211, 0},	//787 QWidget::x11Event(_XEvent*)
    {78, 228, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//788 QWidget::changeEvent(QEvent*)
    {78, 447, 308, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 255, 0},	//789 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {78, 385, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//790 QWidget::inputMethodEvent(QInputMethodEvent*)
    {78, 387, 149, 1, Smoke::mf_const|Smoke::mf_virtual, 73, 0},	//791 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {78, 334, 105, 1, Smoke::mf_protected|Smoke::mf_virtual, 211, 0},	//792 QWidget::focusNextPrevChild(bool)
    {78, 726, 310, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//793 QWidget::styleChange(QStyle&)
    {78, 293, 105, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//794 QWidget::enabledChange(bool)
    {78, 509, 156, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//795 QWidget::paletteChange(const QPalette&)
    {78, 338, 312, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//796 QWidget::fontChange(const QFont&)
    {78, 787, 105, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//797 QWidget::windowActivationChange(bool)
    {78, 413, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//798 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    687,  // QWebView::load(const QUrl&)
    749,  // QWebView::load(const QNetworkRequest&)
    0,
    171,  // QWebFrame::load(const QUrl&)
    231,  // QWebFrame::load(const QNetworkRequest&)
    0,
    118,  // QWebElementCollection::begin() const
    122,  // QWebElementCollection::begin()
    0,
    119,  // QWebElementCollection::end() const
    123,  // QWebElementCollection::end()
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {16, 131, 8},	// QGlobalSpace::QtCriticalMsg
    {16, 132, 6},	// QGlobalSpace::QtDebugMsg
    {16, 133, 9},	// QGlobalSpace::QtFatalMsg
    {16, 135, 10},	// QGlobalSpace::QtSystemMsg
    {16, 136, 7},	// QGlobalSpace::QtWarningMsg
    {16, 175, 1},	// QGlobalSpace::_IEEE_
    {16, 176, 5},	// QGlobalSpace::_ISOC_
    {16, 177, 4},	// QGlobalSpace::_POSIX_
    {16, 178, 2},	// QGlobalSpace::_SVID_
    {16, 179, 3},	// QGlobalSpace::_XOPEN_
    {16, 180, 13},	// QGlobalSpace::__codecvt_error
    {16, 181, 14},	// QGlobalSpace::__codecvt_noconv
    {16, 182, 11},	// QGlobalSpace::__codecvt_ok
    {16, 183, 12},	// QGlobalSpace::__codecvt_partial
    {49, 109, 22},	// QWebDatabase::QWebDatabase#
    {49, 276, 25},	// QWebDatabase::displayName
    {49, 311, 26},	// QWebDatabase::expectedSize
    {49, 317, 28},	// QWebDatabase::fileName
    {49, 460, 24},	// QWebDatabase::name
    {49, 491, 23},	// QWebDatabase::operator=#
    {49, 500, 29},	// QWebDatabase::origin
    {49, 538, 31},	// QWebDatabase::removeAllDatabases
    {49, 546, 30},	// QWebDatabase::removeDatabase#
    {49, 718, 27},	// QWebDatabase::size
    {49, 799, 32},	// QWebDatabase::~QWebDatabase
    {50, 8, 102},	// QWebElement::CascadedStyle
    {50, 14, 103},	// QWebElement::ComputedStyle
    {50, 54, 101},	// QWebElement::InlineStyle
    {50, 110, 33},	// QWebElement::QWebElement
    {50, 111, 34},	// QWebElement::QWebElement#
    {50, 190, 59},	// QWebElement::addClass$
    {50, 203, 77},	// QWebElement::appendInside#
    {50, 204, 76},	// QWebElement::appendInside$
    {50, 206, 81},	// QWebElement::appendOutside#
    {50, 207, 80},	// QWebElement::appendOutside$
    {50, 211, 98},	// QWebElement::attribute$
    {50, 212, 49},	// QWebElement::attribute$$
    {50, 214, 99},	// QWebElement::attributeNS$$
    {50, 215, 50},	// QWebElement::attributeNS$$$
    {50, 216, 100},	// QWebElement::attributeNames
    {50, 217, 56},	// QWebElement::attributeNames$
    {50, 234, 57},	// QWebElement::classes
    {50, 238, 90},	// QWebElement::clone
    {50, 277, 74},	// QWebElement::document
    {50, 295, 84},	// QWebElement::encloseContentsWith#
    {50, 296, 85},	// QWebElement::encloseContentsWith$
    {50, 298, 87},	// QWebElement::encloseWith#
    {50, 299, 86},	// QWebElement::encloseWith$
    {50, 307, 94},	// QWebElement::evaluateJavaScript$
    {50, 320, 39},	// QWebElement::findAll$
    {50, 324, 40},	// QWebElement::findFirst$
    {50, 331, 70},	// QWebElement::firstChild
    {50, 354, 64},	// QWebElement::geometry
    {50, 362, 51},	// QWebElement::hasAttribute$
    {50, 364, 52},	// QWebElement::hasAttributeNS$$
    {50, 365, 55},	// QWebElement::hasAttributes
    {50, 367, 58},	// QWebElement::hasClass$
    {50, 368, 62},	// QWebElement::hasFocus
    {50, 392, 38},	// QWebElement::isNull
    {50, 415, 71},	// QWebElement::lastChild
    {50, 437, 67},	// QWebElement::localName
    {50, 461, 68},	// QWebElement::namespaceUri
    {50, 463, 72},	// QWebElement::nextSibling
    {50, 469, 37},	// QWebElement::operator!=#
    {50, 491, 35},	// QWebElement::operator=#
    {50, 493, 36},	// QWebElement::operator==#
    {50, 510, 69},	// QWebElement::parent
    {50, 518, 66},	// QWebElement::prefix
    {50, 520, 79},	// QWebElement::prependInside#
    {50, 521, 78},	// QWebElement::prependInside$
    {50, 523, 83},	// QWebElement::prependOutside#
    {50, 524, 82},	// QWebElement::prependOutside$
    {50, 525, 73},	// QWebElement::previousSibling
    {50, 537, 93},	// QWebElement::removeAllChildren
    {50, 540, 53},	// QWebElement::removeAttribute$
    {50, 542, 54},	// QWebElement::removeAttributeNS$$
    {50, 544, 60},	// QWebElement::removeClass$
    {50, 547, 92},	// QWebElement::removeFromDocument
    {50, 551, 97},	// QWebElement::render#
    {50, 560, 89},	// QWebElement::replace#
    {50, 561, 88},	// QWebElement::replace$
    {50, 595, 47},	// QWebElement::setAttribute$$
    {50, 597, 48},	// QWebElement::setAttributeNS$$$
    {50, 628, 63},	// QWebElement::setFocus
    {50, 643, 45},	// QWebElement::setInnerXml$
    {50, 669, 43},	// QWebElement::setOuterXml$
    {50, 677, 41},	// QWebElement::setPlainText$
    {50, 694, 96},	// QWebElement::setStyleProperty$$
    {50, 728, 95},	// QWebElement::styleProperty$$
    {50, 735, 65},	// QWebElement::tagName
    {50, 736, 91},	// QWebElement::takeFromDocument
    {50, 745, 46},	// QWebElement::toInnerXml
    {50, 747, 44},	// QWebElement::toOuterXml
    {50, 748, 42},	// QWebElement::toPlainText
    {50, 750, 61},	// QWebElement::toggleClass$
    {50, 782, 75},	// QWebElement::webFrame
    {50, 800, 104},	// QWebElement::~QWebElement
    {51, 112, 105},	// QWebElementCollection::QWebElementCollection
    {51, 113, 107},	// QWebElementCollection::QWebElementCollection#
    {51, 114, 106},	// QWebElementCollection::QWebElementCollection#$
    {51, 201, 111},	// QWebElementCollection::append#
    {51, 209, 113},	// QWebElementCollection::at$
    {51, 223, -7},	// QWebElementCollection::begin
    {51, 241, 120},	// QWebElementCollection::constBegin
    {51, 242, 121},	// QWebElementCollection::constEnd
    {51, 254, 112},	// QWebElementCollection::count
    {51, 302, -10},	// QWebElementCollection::end
    {51, 330, 115},	// QWebElementCollection::first
    {51, 414, 116},	// QWebElementCollection::last
    {51, 472, 109},	// QWebElementCollection::operator+#
    {51, 477, 110},	// QWebElementCollection::operator+=#
    {51, 491, 108},	// QWebElementCollection::operator=#
    {51, 499, 114},	// QWebElementCollection::operator[]$
    {51, 746, 117},	// QWebElementCollection::toList
    {51, 801, 124},	// QWebElementCollection::~QWebElementCollection
    {52, 244, 126},	// QWebElementCollection::const_iterator::const_iterator#
    {52, 245, 125},	// QWebElementCollection::const_iterator::const_iterator#$
    {52, 469, 129},	// QWebElementCollection::const_iterator::operator!=#
    {52, 470, 127},	// QWebElementCollection::const_iterator::operator*
    {52, 473, 140},	// QWebElementCollection::const_iterator::operator+$
    {52, 474, 134},	// QWebElementCollection::const_iterator::operator++
    {52, 475, 135},	// QWebElementCollection::const_iterator::operator++$
    {52, 478, 138},	// QWebElementCollection::const_iterator::operator+=$
    {52, 480, 142},	// QWebElementCollection::const_iterator::operator-#
    {52, 481, 141},	// QWebElementCollection::const_iterator::operator-$
    {52, 482, 136},	// QWebElementCollection::const_iterator::operator--
    {52, 483, 137},	// QWebElementCollection::const_iterator::operator--$
    {52, 485, 139},	// QWebElementCollection::const_iterator::operator-=$
    {52, 487, 130},	// QWebElementCollection::const_iterator::operator<#
    {52, 489, 131},	// QWebElementCollection::const_iterator::operator<=#
    {52, 493, 128},	// QWebElementCollection::const_iterator::operator==#
    {52, 495, 132},	// QWebElementCollection::const_iterator::operator>#
    {52, 497, 133},	// QWebElementCollection::const_iterator::operator>=#
    {52, 810, 143},	// QWebElementCollection::const_iterator::~const_iterator
    {53, 398, 145},	// QWebElementCollection::iterator::iterator#
    {53, 399, 144},	// QWebElementCollection::iterator::iterator#$
    {53, 469, 148},	// QWebElementCollection::iterator::operator!=#
    {53, 470, 146},	// QWebElementCollection::iterator::operator*
    {53, 473, 159},	// QWebElementCollection::iterator::operator+$
    {53, 474, 153},	// QWebElementCollection::iterator::operator++
    {53, 475, 154},	// QWebElementCollection::iterator::operator++$
    {53, 478, 157},	// QWebElementCollection::iterator::operator+=$
    {53, 480, 161},	// QWebElementCollection::iterator::operator-#
    {53, 481, 160},	// QWebElementCollection::iterator::operator-$
    {53, 482, 155},	// QWebElementCollection::iterator::operator--
    {53, 483, 156},	// QWebElementCollection::iterator::operator--$
    {53, 485, 158},	// QWebElementCollection::iterator::operator-=$
    {53, 487, 149},	// QWebElementCollection::iterator::operator<#
    {53, 489, 150},	// QWebElementCollection::iterator::operator<=#
    {53, 493, 147},	// QWebElementCollection::iterator::operator==#
    {53, 495, 151},	// QWebElementCollection::iterator::operator>#
    {53, 497, 152},	// QWebElementCollection::iterator::operator>=#
    {53, 811, 162},	// QWebElementCollection::iterator::~iterator
    {54, 5, 241},	// QWebFrame::AllLayers
    {54, 15, 238},	// QWebFrame::ContentsLayer
    {54, 100, 240},	// QWebFrame::PanIconLayer
    {54, 142, 239},	// QWebFrame::ScrollBarLayer
    {54, 196, 175},	// QWebFrame::addToJavaScriptWindowObject$#
    {54, 197, 176},	// QWebFrame::addToJavaScriptWindowObject$#$
    {54, 222, 184},	// QWebFrame::baseUrl
    {54, 231, 189},	// QWebFrame::childFrames
    {54, 249, 211},	// QWebFrame::contentsSize
    {54, 251, 226},	// QWebFrame::contentsSizeChanged#
    {54, 278, 212},	// QWebFrame::documentElement
    {54, 307, 218},	// QWebFrame::evaluateJavaScript$
    {54, 309, 216},	// QWebFrame::event#
    {54, 322, 213},	// QWebFrame::findAllElements$
    {54, 326, 214},	// QWebFrame::findFirstElement$
    {54, 353, 187},	// QWebFrame::frameName
    {54, 354, 210},	// QWebFrame::geometry
    {54, 368, 207},	// QWebFrame::hasFocus
    {54, 376, 215},	// QWebFrame::hitTestContent#
    {54, 378, 185},	// QWebFrame::icon
    {54, 379, 225},	// QWebFrame::iconChanged
    {54, 384, 224},	// QWebFrame::initialLayoutCompleted
    {54, 408, 220},	// QWebFrame::javaScriptWindowObjectCleared
    {54, 429, -4},	// QWebFrame::load#
    {54, 430, 232},	// QWebFrame::load#$
    {54, 431, 172},	// QWebFrame::load#$#
    {54, 433, 228},	// QWebFrame::loadFinished$
    {54, 436, 227},	// QWebFrame::loadStarted
    {54, 445, 186},	// QWebFrame::metaData
    {54, 446, 163},	// QWebFrame::metaObject
    {54, 502, 170},	// QWebFrame::page
    {54, 511, 188},	// QWebFrame::parentFrame
    {54, 516, 209},	// QWebFrame::pos
    {54, 527, 219},	// QWebFrame::print#
    {54, 530, 221},	// QWebFrame::provisionalLoad
    {54, 532, 169},	// QWebFrame::qt_metacall$$?
    {54, 534, 164},	// QWebFrame::qt_metacast$
    {54, 551, 200},	// QWebFrame::render#
    {54, 552, 201},	// QWebFrame::render##
    {54, 553, 236},	// QWebFrame::render#$
    {54, 554, 202},	// QWebFrame::render#$#
    {54, 556, 179},	// QWebFrame::renderTreeDump
    {54, 562, 183},	// QWebFrame::requestedUrl
    {54, 577, 197},	// QWebFrame::scroll$$
    {54, 579, 196},	// QWebFrame::scrollBarGeometry$
    {54, 581, 195},	// QWebFrame::scrollBarMaximum$
    {54, 583, 194},	// QWebFrame::scrollBarMinimum$
    {54, 585, 190},	// QWebFrame::scrollBarPolicy$
    {54, 587, 193},	// QWebFrame::scrollBarValue$
    {54, 588, 198},	// QWebFrame::scrollPosition
    {54, 591, 217},	// QWebFrame::securityOrigin
    {54, 601, 234},	// QWebFrame::setContent#
    {54, 602, 235},	// QWebFrame::setContent#$
    {54, 603, 174},	// QWebFrame::setContent#$#
    {54, 628, 208},	// QWebFrame::setFocus
    {54, 638, 233},	// QWebFrame::setHtml$
    {54, 639, 173},	// QWebFrame::setHtml$#
    {54, 688, 191},	// QWebFrame::setScrollBarPolicy$$
    {54, 690, 192},	// QWebFrame::setScrollBarValue$$
    {54, 692, 199},	// QWebFrame::setScrollPosition#
    {54, 698, 203},	// QWebFrame::setTextSizeMultiplier$
    {54, 700, 181},	// QWebFrame::setUrl#
    {54, 713, 206},	// QWebFrame::setZoomFactor$
    {54, 720, 237},	// QWebFrame::staticMetaObject
    {54, 739, 204},	// QWebFrame::textSizeMultiplier
    {54, 741, 180},	// QWebFrame::title
    {54, 743, 222},	// QWebFrame::titleChanged$
    {54, 744, 177},	// QWebFrame::toHtml
    {54, 748, 178},	// QWebFrame::toPlainText
    {54, 755, 229},	// QWebFrame::tr$
    {54, 756, 165},	// QWebFrame::tr$$
    {54, 757, 167},	// QWebFrame::tr$$$
    {54, 759, 230},	// QWebFrame::trUtf8$
    {54, 760, 166},	// QWebFrame::trUtf8$$
    {54, 761, 168},	// QWebFrame::trUtf8$$$
    {54, 773, 182},	// QWebFrame::url
    {54, 775, 223},	// QWebFrame::urlChanged#
    {54, 790, 205},	// QWebFrame::zoomFactor
    {55, 218, 248},	// QWebHistory::back
    {55, 219, 251},	// QWebHistory::backItem
    {55, 221, 244},	// QWebHistory::backItems$
    {55, 226, 246},	// QWebHistory::canGoBack
    {55, 227, 247},	// QWebHistory::canGoForward
    {55, 235, 242},	// QWebHistory::clear
    {55, 254, 256},	// QWebHistory::count
    {55, 263, 252},	// QWebHistory::currentItem
    {55, 264, 255},	// QWebHistory::currentItemIndex
    {55, 343, 249},	// QWebHistory::forward
    {55, 344, 253},	// QWebHistory::forwardItem
    {55, 346, 245},	// QWebHistory::forwardItems$
    {55, 359, 250},	// QWebHistory::goToItem#
    {55, 395, 254},	// QWebHistory::itemAt$
    {55, 396, 243},	// QWebHistory::items
    {55, 441, 257},	// QWebHistory::maximumItemCount
    {55, 649, 258},	// QWebHistory::setMaximumItemCount$
    {56, 115, 273},	// QWebHistoryInterface::QWebHistoryInterface
    {56, 116, 266},	// QWebHistoryInterface::QWebHistoryInterface#
    {56, 192, 270},	// QWebHistoryInterface::addHistoryEntry$
    {56, 271, 268},	// QWebHistoryInterface::defaultInterface
    {56, 374, 269},	// QWebHistoryInterface::historyContains$
    {56, 446, 259},	// QWebHistoryInterface::metaObject
    {56, 532, 265},	// QWebHistoryInterface::qt_metacall$$?
    {56, 534, 260},	// QWebHistoryInterface::qt_metacast$
    {56, 611, 267},	// QWebHistoryInterface::setDefaultInterface#
    {56, 720, 274},	// QWebHistoryInterface::staticMetaObject
    {56, 755, 271},	// QWebHistoryInterface::tr$
    {56, 756, 261},	// QWebHistoryInterface::tr$$
    {56, 757, 263},	// QWebHistoryInterface::tr$$$
    {56, 759, 272},	// QWebHistoryInterface::trUtf8$
    {56, 760, 262},	// QWebHistoryInterface::trUtf8$$
    {56, 761, 264},	// QWebHistoryInterface::trUtf8$$$
    {56, 802, 275},	// QWebHistoryInterface::~QWebHistoryInterface
    {57, 118, 276},	// QWebHistoryItem::QWebHistoryItem#
    {57, 378, 282},	// QWebHistoryItem::icon
    {57, 393, 285},	// QWebHistoryItem::isValid
    {57, 416, 281},	// QWebHistoryItem::lastVisited
    {57, 491, 277},	// QWebHistoryItem::operator=#
    {57, 501, 278},	// QWebHistoryItem::originalUrl
    {57, 702, 284},	// QWebHistoryItem::setUserData#
    {57, 741, 280},	// QWebHistoryItem::title
    {57, 773, 279},	// QWebHistoryItem::url
    {57, 778, 283},	// QWebHistoryItem::userData
    {57, 803, 286},	// QWebHistoryItem::~QWebHistoryItem
    {58, 119, 287},	// QWebHitTestResult::QWebHitTestResult
    {58, 120, 288},	// QWebHitTestResult::QWebHitTestResult#
    {58, 199, 300},	// QWebHitTestResult::alternateText
    {58, 224, 292},	// QWebHitTestResult::boundingRect
    {58, 290, 305},	// QWebHitTestResult::element
    {58, 300, 293},	// QWebHitTestResult::enclosingBlockElement
    {58, 348, 306},	// QWebHitTestResult::frame
    {58, 383, 301},	// QWebHitTestResult::imageUrl
    {58, 389, 303},	// QWebHitTestResult::isContentEditable
    {58, 390, 304},	// QWebHitTestResult::isContentSelected
    {58, 392, 290},	// QWebHitTestResult::isNull
    {58, 421, 299},	// QWebHitTestResult::linkElement
    {58, 424, 298},	// QWebHitTestResult::linkTargetFrame
    {58, 425, 295},	// QWebHitTestResult::linkText
    {58, 426, 297},	// QWebHitTestResult::linkTitle
    {58, 427, 296},	// QWebHitTestResult::linkUrl
    {58, 491, 289},	// QWebHitTestResult::operator=#
    {58, 512, 302},	// QWebHitTestResult::pixmap
    {58, 516, 291},	// QWebHitTestResult::pos
    {58, 741, 294},	// QWebHitTestResult::title
    {58, 804, 307},	// QWebHitTestResult::~QWebHitTestResult
    {59, 121, 325},	// QWebInspector::QWebInspector
    {59, 122, 315},	// QWebInspector::QWebInspector#
    {59, 309, 319},	// QWebInspector::event#
    {59, 371, 322},	// QWebInspector::hideEvent#
    {59, 446, 308},	// QWebInspector::metaObject
    {59, 502, 317},	// QWebInspector::page
    {59, 532, 314},	// QWebInspector::qt_metacall$$?
    {59, 534, 309},	// QWebInspector::qt_metacast$
    {59, 570, 320},	// QWebInspector::resizeEvent#
    {59, 671, 316},	// QWebInspector::setPage#
    {59, 717, 321},	// QWebInspector::showEvent#
    {59, 719, 318},	// QWebInspector::sizeHint
    {59, 720, 326},	// QWebInspector::staticMetaObject
    {59, 755, 323},	// QWebInspector::tr$
    {59, 756, 310},	// QWebInspector::tr$$
    {59, 757, 312},	// QWebInspector::tr$$$
    {59, 759, 324},	// QWebInspector::trUtf8$
    {59, 760, 311},	// QWebInspector::trUtf8$$
    {59, 761, 313},	// QWebInspector::trUtf8$$$
    {59, 805, 327},	// QWebInspector::~QWebInspector
    {60, 1, 487},	// QWebPage::AlignCenter
    {60, 2, 488},	// QWebPage::AlignJustified
    {60, 3, 489},	// QWebPage::AlignLeft
    {60, 4, 490},	// QWebPage::AlignRight
    {60, 7, 432},	// QWebPage::Back
    {60, 9, 501},	// QWebPage::ChooseMultipleFilesExtension
    {60, 16, 437},	// QWebPage::Copy
    {60, 17, 431},	// QWebPage::CopyImageToClipboard
    {60, 18, 428},	// QWebPage::CopyLinkToClipboard
    {60, 20, 436},	// QWebPage::Cut
    {60, 24, 498},	// QWebPage::DelegateAllLinks
    {60, 25, 497},	// QWebPage::DelegateExternalLinks
    {60, 26, 466},	// QWebPage::DeleteEndOfWord
    {60, 27, 465},	// QWebPage::DeleteStartOfWord
    {60, 30, 496},	// QWebPage::DontDelegateLinks
    {60, 31, 430},	// QWebPage::DownloadImageToDisk
    {60, 32, 427},	// QWebPage::DownloadLinkToDisk
    {60, 35, 502},	// QWebPage::ErrorPageExtension
    {60, 45, 492},	// QWebPage::FindBackward
    {60, 46, 493},	// QWebPage::FindCaseSensitively
    {60, 47, 494},	// QWebPage::FindWrapsAroundDocument
    {60, 49, 433},	// QWebPage::Forward
    {60, 50, 495},	// QWebPage::HighlightAllOccurrences
    {60, 51, 504},	// QWebPage::Http
    {60, 53, 485},	// QWebPage::Indent
    {60, 55, 475},	// QWebPage::InsertLineSeparator
    {60, 56, 484},	// QWebPage::InsertOrderedList
    {60, 57, 474},	// QWebPage::InsertParagraphSeparator
    {60, 58, 483},	// QWebPage::InsertUnorderedList
    {60, 59, 473},	// QWebPage::InspectElement
    {60, 74, 450},	// QWebPage::MoveToEndOfBlock
    {60, 75, 452},	// QWebPage::MoveToEndOfDocument
    {60, 76, 448},	// QWebPage::MoveToEndOfLine
    {60, 77, 441},	// QWebPage::MoveToNextChar
    {60, 78, 445},	// QWebPage::MoveToNextLine
    {60, 79, 443},	// QWebPage::MoveToNextWord
    {60, 80, 442},	// QWebPage::MoveToPreviousChar
    {60, 81, 446},	// QWebPage::MoveToPreviousLine
    {60, 82, 444},	// QWebPage::MoveToPreviousWord
    {60, 83, 449},	// QWebPage::MoveToStartOfBlock
    {60, 84, 451},	// QWebPage::MoveToStartOfDocument
    {60, 85, 447},	// QWebPage::MoveToStartOfLine
    {60, 86, 419},	// QWebPage::NavigationTypeBackOrForward
    {60, 87, 421},	// QWebPage::NavigationTypeFormResubmitted
    {60, 88, 418},	// QWebPage::NavigationTypeFormSubmitted
    {60, 89, 417},	// QWebPage::NavigationTypeLinkClicked
    {60, 90, 422},	// QWebPage::NavigationTypeOther
    {60, 91, 420},	// QWebPage::NavigationTypeReload
    {60, 92, 423},	// QWebPage::NoWebAction
    {60, 95, 426},	// QWebPage::OpenFrameInNewWindow
    {60, 96, 429},	// QWebPage::OpenImageInNewWindow
    {60, 97, 424},	// QWebPage::OpenLink
    {60, 98, 425},	// QWebPage::OpenLinkInNewWindow
    {60, 99, 486},	// QWebPage::Outdent
    {60, 101, 438},	// QWebPage::Paste
    {60, 102, 478},	// QWebPage::PasteAndMatchStyle
    {60, 123, 411},	// QWebPage::QWebPage
    {60, 124, 335},	// QWebPage::QWebPage#
    {60, 134, 503},	// QWebPage::QtNetwork
    {60, 137, 440},	// QWebPage::Redo
    {60, 138, 435},	// QWebPage::Reload
    {60, 139, 477},	// QWebPage::ReloadAndBypassCache
    {60, 140, 479},	// QWebPage::RemoveFormat
    {60, 143, 476},	// QWebPage::SelectAll
    {60, 144, 462},	// QWebPage::SelectEndOfBlock
    {60, 145, 464},	// QWebPage::SelectEndOfDocument
    {60, 146, 460},	// QWebPage::SelectEndOfLine
    {60, 147, 453},	// QWebPage::SelectNextChar
    {60, 148, 457},	// QWebPage::SelectNextLine
    {60, 149, 455},	// QWebPage::SelectNextWord
    {60, 150, 454},	// QWebPage::SelectPreviousChar
    {60, 151, 458},	// QWebPage::SelectPreviousLine
    {60, 152, 456},	// QWebPage::SelectPreviousWord
    {60, 153, 461},	// QWebPage::SelectStartOfBlock
    {60, 154, 463},	// QWebPage::SelectStartOfDocument
    {60, 155, 459},	// QWebPage::SelectStartOfLine
    {60, 157, 467},	// QWebPage::SetTextDirectionDefault
    {60, 158, 468},	// QWebPage::SetTextDirectionLeftToRight
    {60, 159, 469},	// QWebPage::SetTextDirectionRightToLeft
    {60, 161, 434},	// QWebPage::Stop
    {60, 163, 470},	// QWebPage::ToggleBold
    {60, 164, 471},	// QWebPage::ToggleItalic
    {60, 165, 480},	// QWebPage::ToggleStrikethrough
    {60, 166, 481},	// QWebPage::ToggleSubscript
    {60, 167, 482},	// QWebPage::ToggleSuperscript
    {60, 168, 472},	// QWebPage::ToggleUnderline
    {60, 169, 439},	// QWebPage::Undo
    {60, 170, 491},	// QWebPage::WebActionCount
    {60, 171, 499},	// QWebPage::WebBrowserWindow
    {60, 172, 505},	// QWebPage::WebKit
    {60, 173, 500},	// QWebPage::WebModalDialog
    {60, 185, 402},	// QWebPage::acceptNavigationRequest##$
    {60, 187, 352},	// QWebPage::action$
    {60, 225, 350},	// QWebPage::bytesReceived
    {60, 233, 403},	// QWebPage::chooseFile#$
    {60, 248, 396},	// QWebPage::contentsChanged
    {60, 258, 401},	// QWebPage::createPlugin$#??
    {60, 259, 372},	// QWebPage::createStandardContextMenu
    {60, 261, 400},	// QWebPage::createWindow$
    {60, 262, 337},	// QWebPage::currentFrame
    {60, 268, 397},	// QWebPage::databaseQuotaExceeded#$
    {60, 281, 394},	// QWebPage::downloadRequested#
    {60, 309, 358},	// QWebPage::event#
    {60, 313, 414},	// QWebPage::extension$
    {60, 314, 415},	// QWebPage::extension$#
    {60, 315, 373},	// QWebPage::extension$##
    {60, 328, 413},	// QWebPage::findText$
    {60, 329, 361},	// QWebPage::findText$$
    {60, 335, 359},	// QWebPage::focusNextPrevChild$
    {60, 347, 363},	// QWebPage::forwardUnsupportedContent
    {60, 350, 338},	// QWebPage::frameAt#
    {60, 352, 383},	// QWebPage::frameCreated#
    {60, 356, 384},	// QWebPage::geometryChangeRequested#
    {60, 360, 375},	// QWebPage::handle
    {60, 372, 339},	// QWebPage::history
    {60, 388, 360},	// QWebPage::inputMethodQuery$
    {60, 389, 369},	// QWebPage::isContentEditable
    {60, 391, 343},	// QWebPage::isModified
    {60, 401, 404},	// QWebPage::javaScriptAlert#$
    {60, 403, 405},	// QWebPage::javaScriptConfirm#$
    {60, 405, 407},	// QWebPage::javaScriptConsoleMessage$$$
    {60, 407, 406},	// QWebPage::javaScriptPrompt#$$$
    {60, 419, 389},	// QWebPage::linkClicked#
    {60, 420, 365},	// QWebPage::linkDelegationPolicy
    {60, 423, 380},	// QWebPage::linkHovered$$$
    {60, 433, 379},	// QWebPage::loadFinished$
    {60, 435, 378},	// QWebPage::loadProgress$
    {60, 436, 377},	// QWebPage::loadStarted
    {60, 440, 336},	// QWebPage::mainFrame
    {60, 444, 392},	// QWebPage::menuBarVisibilityChangeRequested$
    {60, 446, 328},	// QWebPage::metaObject
    {60, 448, 395},	// QWebPage::microFocusChanged
    {60, 462, 346},	// QWebPage::networkAccessManager
    {60, 508, 367},	// QWebPage::palette
    {60, 513, 348},	// QWebPage::pluginFactory
    {60, 517, 356},	// QWebPage::preferredContentsSize
    {60, 529, 388},	// QWebPage::printRequested#
    {60, 532, 334},	// QWebPage::qt_metacall$$?
    {60, 534, 329},	// QWebPage::qt_metacast$
    {60, 558, 385},	// QWebPage::repaintRequested#
    {60, 572, 399},	// QWebPage::restoreFrameStateRequested#
    {60, 574, 398},	// QWebPage::saveFrameStateRequested##
    {60, 590, 386},	// QWebPage::scrollRequested$$#
    {60, 592, 351},	// QWebPage::selectedText
    {60, 593, 382},	// QWebPage::selectionChanged
    {60, 605, 368},	// QWebPage::setContentEditable$
    {60, 634, 362},	// QWebPage::setForwardUnsupportedContent$
    {60, 645, 364},	// QWebPage::setLinkDelegationPolicy$
    {60, 657, 345},	// QWebPage::setNetworkAccessManager#
    {60, 673, 366},	// QWebPage::setPalette#
    {60, 679, 347},	// QWebPage::setPluginFactory#
    {60, 681, 357},	// QWebPage::setPreferredContentsSize#
    {60, 706, 341},	// QWebPage::setView#
    {60, 708, 355},	// QWebPage::setViewportSize#
    {60, 714, 340},	// QWebPage::settings
    {60, 715, 376},	// QWebPage::shouldInterruptJavaScript
    {60, 720, 416},	// QWebPage::staticMetaObject
    {60, 722, 381},	// QWebPage::statusBarMessage$
    {60, 724, 391},	// QWebPage::statusBarVisibilityChangeRequested$
    {60, 731, 374},	// QWebPage::supportsExtension$
    {60, 733, 370},	// QWebPage::swallowContextMenuEvent#
    {60, 752, 390},	// QWebPage::toolBarVisibilityChangeRequested$
    {60, 753, 349},	// QWebPage::totalBytes
    {60, 755, 409},	// QWebPage::tr$
    {60, 756, 330},	// QWebPage::tr$$
    {60, 757, 332},	// QWebPage::tr$$$
    {60, 759, 410},	// QWebPage::trUtf8$
    {60, 760, 331},	// QWebPage::trUtf8$$
    {60, 761, 333},	// QWebPage::trUtf8$$$
    {60, 763, 412},	// QWebPage::triggerAction$
    {60, 764, 353},	// QWebPage::triggerAction$$
    {60, 768, 344},	// QWebPage::undoStack
    {60, 770, 393},	// QWebPage::unsupportedContent#
    {60, 772, 371},	// QWebPage::updatePositionDependentActions#
    {60, 777, 408},	// QWebPage::userAgentForUrl#
    {60, 780, 342},	// QWebPage::view
    {60, 781, 354},	// QWebPage::viewportSize
    {60, 788, 387},	// QWebPage::windowCloseRequested
    {60, 806, 506},	// QWebPage::~QWebPage
    {61, 10, 507},	// QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption
    {61, 11, 508},	// QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption#
    {61, 511, 509},	// QWebPage::ChooseMultipleFilesExtensionOption::parentFrame
    {61, 675, 510},	// QWebPage::ChooseMultipleFilesExtensionOption::setParentFrame#
    {61, 696, 512},	// QWebPage::ChooseMultipleFilesExtensionOption::setSuggestedFileNames?
    {61, 729, 511},	// QWebPage::ChooseMultipleFilesExtensionOption::suggestedFileNames
    {61, 791, 513},	// QWebPage::ChooseMultipleFilesExtensionOption::~ChooseMultipleFilesExtensionOption
    {62, 12, 514},	// QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn
    {62, 13, 515},	// QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn#
    {62, 318, 516},	// QWebPage::ChooseMultipleFilesExtensionReturn::fileNames
    {62, 627, 517},	// QWebPage::ChooseMultipleFilesExtensionReturn::setFileNames?
    {62, 792, 518},	// QWebPage::ChooseMultipleFilesExtensionReturn::~ChooseMultipleFilesExtensionReturn
    {63, 36, 519},	// QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption
    {63, 37, 520},	// QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption#
    {63, 279, 525},	// QWebPage::ErrorPageExtensionOption::domain
    {63, 304, 527},	// QWebPage::ErrorPageExtensionOption::error
    {63, 305, 529},	// QWebPage::ErrorPageExtensionOption::errorString
    {63, 348, 523},	// QWebPage::ErrorPageExtensionOption::frame
    {63, 617, 526},	// QWebPage::ErrorPageExtensionOption::setDomain$
    {63, 621, 528},	// QWebPage::ErrorPageExtensionOption::setError$
    {63, 623, 530},	// QWebPage::ErrorPageExtensionOption::setErrorString$
    {63, 636, 524},	// QWebPage::ErrorPageExtensionOption::setFrame#
    {63, 700, 522},	// QWebPage::ErrorPageExtensionOption::setUrl#
    {63, 773, 521},	// QWebPage::ErrorPageExtensionOption::url
    {63, 793, 531},	// QWebPage::ErrorPageExtensionOption::~ErrorPageExtensionOption
    {64, 38, 532},	// QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn
    {64, 39, 533},	// QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn#
    {64, 222, 538},	// QWebPage::ErrorPageExtensionReturn::baseUrl
    {64, 246, 540},	// QWebPage::ErrorPageExtensionReturn::content
    {64, 247, 534},	// QWebPage::ErrorPageExtensionReturn::contentType
    {64, 301, 536},	// QWebPage::ErrorPageExtensionReturn::encoding
    {64, 599, 539},	// QWebPage::ErrorPageExtensionReturn::setBaseUrl#
    {64, 601, 541},	// QWebPage::ErrorPageExtensionReturn::setContent#
    {64, 607, 535},	// QWebPage::ErrorPageExtensionReturn::setContentType$
    {64, 619, 537},	// QWebPage::ErrorPageExtensionReturn::setEncoding$
    {64, 794, 542},	// QWebPage::ErrorPageExtensionReturn::~ErrorPageExtensionReturn
    {65, 40, 543},	// QWebPage::ExtensionOption::ExtensionOption
    {65, 41, 544},	// QWebPage::ExtensionOption::ExtensionOption#
    {65, 795, 545},	// QWebPage::ExtensionOption::~ExtensionOption
    {66, 42, 546},	// QWebPage::ExtensionReturn::ExtensionReturn
    {66, 43, 547},	// QWebPage::ExtensionReturn::ExtensionReturn#
    {66, 796, 548},	// QWebPage::ExtensionReturn::~ExtensionReturn
    {68, 125, 564},	// QWebPluginFactory::QWebPluginFactory
    {68, 126, 556},	// QWebPluginFactory::QWebPluginFactory#
    {68, 256, 559},	// QWebPluginFactory::create$#??
    {68, 313, 565},	// QWebPluginFactory::extension$
    {68, 314, 566},	// QWebPluginFactory::extension$#
    {68, 315, 560},	// QWebPluginFactory::extension$##
    {68, 446, 549},	// QWebPluginFactory::metaObject
    {68, 514, 557},	// QWebPluginFactory::plugins
    {68, 532, 555},	// QWebPluginFactory::qt_metacall$$?
    {68, 534, 550},	// QWebPluginFactory::qt_metacast$
    {68, 535, 558},	// QWebPluginFactory::refreshPlugins
    {68, 720, 567},	// QWebPluginFactory::staticMetaObject
    {68, 731, 561},	// QWebPluginFactory::supportsExtension$
    {68, 755, 562},	// QWebPluginFactory::tr$
    {68, 756, 551},	// QWebPluginFactory::tr$$
    {68, 757, 553},	// QWebPluginFactory::tr$$$
    {68, 759, 563},	// QWebPluginFactory::trUtf8$
    {68, 760, 552},	// QWebPluginFactory::trUtf8$$
    {68, 761, 554},	// QWebPluginFactory::trUtf8$$$
    {68, 807, 568},	// QWebPluginFactory::~QWebPluginFactory
    {69, 40, 569},	// QWebPluginFactory::ExtensionOption::ExtensionOption
    {69, 41, 570},	// QWebPluginFactory::ExtensionOption::ExtensionOption#
    {69, 795, 571},	// QWebPluginFactory::ExtensionOption::~ExtensionOption
    {70, 42, 572},	// QWebPluginFactory::ExtensionReturn::ExtensionReturn
    {70, 43, 573},	// QWebPluginFactory::ExtensionReturn::ExtensionReturn#
    {70, 796, 574},	// QWebPluginFactory::ExtensionReturn::~ExtensionReturn
    {71, 68, 577},	// QWebPluginFactory::MimeType::MimeType
    {71, 69, 578},	// QWebPluginFactory::MimeType::MimeType#
    {71, 273, 581},	// QWebPluginFactory::MimeType::description
    {71, 316, 583},	// QWebPluginFactory::MimeType::fileExtensions
    {71, 460, 579},	// QWebPluginFactory::MimeType::name
    {71, 469, 576},	// QWebPluginFactory::MimeType::operator!=#
    {71, 493, 575},	// QWebPluginFactory::MimeType::operator==#
    {71, 615, 582},	// QWebPluginFactory::MimeType::setDescription$
    {71, 625, 584},	// QWebPluginFactory::MimeType::setFileExtensions?
    {71, 655, 580},	// QWebPluginFactory::MimeType::setName$
    {71, 797, 585},	// QWebPluginFactory::MimeType::~MimeType
    {72, 103, 586},	// QWebPluginFactory::Plugin::Plugin
    {72, 104, 587},	// QWebPluginFactory::Plugin::Plugin#
    {72, 273, 590},	// QWebPluginFactory::Plugin::description
    {72, 449, 592},	// QWebPluginFactory::Plugin::mimeTypes
    {72, 460, 588},	// QWebPluginFactory::Plugin::name
    {72, 615, 591},	// QWebPluginFactory::Plugin::setDescription$
    {72, 653, 593},	// QWebPluginFactory::Plugin::setMimeTypes?
    {72, 655, 589},	// QWebPluginFactory::Plugin::setName$
    {72, 798, 594},	// QWebPluginFactory::Plugin::~Plugin
    {73, 128, 606},	// QWebSecurityOrigin::QWebSecurityOrigin#
    {73, 194, 596},	// QWebSecurityOrigin::addLocalScheme$
    {73, 198, 595},	// QWebSecurityOrigin::allOrigins
    {73, 266, 603},	// QWebSecurityOrigin::databaseQuota
    {73, 269, 602},	// QWebSecurityOrigin::databaseUsage
    {73, 270, 605},	// QWebSecurityOrigin::databases
    {73, 377, 600},	// QWebSecurityOrigin::host
    {73, 438, 598},	// QWebSecurityOrigin::localSchemes
    {73, 491, 607},	// QWebSecurityOrigin::operator=#
    {73, 515, 601},	// QWebSecurityOrigin::port
    {73, 549, 597},	// QWebSecurityOrigin::removeLocalScheme$
    {73, 575, 599},	// QWebSecurityOrigin::scheme
    {73, 609, 604},	// QWebSecurityOrigin::setDatabaseQuota$
    {73, 808, 608},	// QWebSecurityOrigin::~QWebSecurityOrigin
    {74, 6, 652},	// QWebSettings::AutoLoadImages
    {74, 19, 650},	// QWebSettings::CursiveFont
    {74, 21, 676},	// QWebSettings::DefaultFixedFontSize
    {74, 22, 675},	// QWebSettings::DefaultFontSize
    {74, 23, 671},	// QWebSettings::DefaultFrameIconGraphic
    {74, 28, 659},	// QWebSettings::DeveloperExtrasEnabled
    {74, 29, 668},	// QWebSettings::DnsPrefetchEnabled
    {74, 44, 651},	// QWebSettings::FantasyFont
    {74, 48, 647},	// QWebSettings::FixedFont
    {74, 60, 654},	// QWebSettings::JavaEnabled
    {74, 61, 658},	// QWebSettings::JavascriptCanAccessClipboard
    {74, 62, 657},	// QWebSettings::JavascriptCanOpenWindows
    {74, 63, 653},	// QWebSettings::JavascriptEnabled
    {74, 64, 660},	// QWebSettings::LinksIncludedInFocusChain
    {74, 65, 667},	// QWebSettings::LocalContentCanAccessRemoteUrls
    {74, 66, 666},	// QWebSettings::LocalStorageDatabaseEnabled
    {74, 67, 665},	// QWebSettings::LocalStorageEnabled
    {74, 70, 673},	// QWebSettings::MinimumFontSize
    {74, 71, 674},	// QWebSettings::MinimumLogicalFontSize
    {74, 72, 669},	// QWebSettings::MissingImageGraphic
    {74, 73, 670},	// QWebSettings::MissingPluginGraphic
    {74, 93, 663},	// QWebSettings::OfflineStorageDatabaseEnabled
    {74, 94, 664},	// QWebSettings::OfflineWebApplicationCacheEnabled
    {74, 105, 655},	// QWebSettings::PluginsEnabled
    {74, 106, 662},	// QWebSettings::PrintElementBackgrounds
    {74, 107, 656},	// QWebSettings::PrivateBrowsingEnabled
    {74, 141, 649},	// QWebSettings::SansSerifFont
    {74, 156, 648},	// QWebSettings::SerifFont
    {74, 160, 646},	// QWebSettings::StandardFont
    {74, 162, 672},	// QWebSettings::TextAreaSizeGripCornerGraphic
    {74, 174, 661},	// QWebSettings::ZoomTextOnly
    {74, 236, 625},	// QWebSettings::clearIconDatabase
    {74, 237, 642},	// QWebSettings::clearMemoryCaches
    {74, 272, 622},	// QWebSettings::defaultTextEncoding
    {74, 291, 645},	// QWebSettings::enablePersistentStorage
    {74, 292, 643},	// QWebSettings::enablePersistentStorage$
    {74, 340, 611},	// QWebSettings::fontFamily$
    {74, 342, 614},	// QWebSettings::fontSize$
    {74, 357, 609},	// QWebSettings::globalSettings
    {74, 360, 644},	// QWebSettings::handle
    {74, 380, 624},	// QWebSettings::iconDatabasePath
    {74, 382, 626},	// QWebSettings::iconForUrl#
    {74, 439, 641},	// QWebSettings::localStoragePath
    {74, 442, 630},	// QWebSettings::maximumPagesInCache
    {74, 464, 635},	// QWebSettings::offlineStorageDefaultQuota
    {74, 465, 633},	// QWebSettings::offlineStoragePath
    {74, 466, 637},	// QWebSettings::offlineWebApplicationCachePath
    {74, 467, 639},	// QWebSettings::offlineWebApplicationCacheQuota
    {74, 564, 618},	// QWebSettings::resetAttribute$
    {74, 566, 612},	// QWebSettings::resetFontFamily$
    {74, 568, 615},	// QWebSettings::resetFontSize$
    {74, 595, 616},	// QWebSettings::setAttribute$$
    {74, 613, 621},	// QWebSettings::setDefaultTextEncoding$
    {74, 630, 610},	// QWebSettings::setFontFamily$$
    {74, 632, 613},	// QWebSettings::setFontSize$$
    {74, 641, 623},	// QWebSettings::setIconDatabasePath$
    {74, 647, 640},	// QWebSettings::setLocalStoragePath$
    {74, 651, 629},	// QWebSettings::setMaximumPagesInCache$
    {74, 659, 631},	// QWebSettings::setObjectCacheCapacities$$$
    {74, 661, 634},	// QWebSettings::setOfflineStorageDefaultQuota$
    {74, 663, 632},	// QWebSettings::setOfflineStoragePath$
    {74, 665, 636},	// QWebSettings::setOfflineWebApplicationCachePath$
    {74, 667, 638},	// QWebSettings::setOfflineWebApplicationCacheQuota$
    {74, 704, 619},	// QWebSettings::setUserStyleSheetUrl#
    {74, 711, 627},	// QWebSettings::setWebGraphic$#
    {74, 738, 617},	// QWebSettings::testAttribute$
    {74, 779, 620},	// QWebSettings::userStyleSheetUrl
    {74, 784, 628},	// QWebSettings::webGraphic$
    {76, 129, 748},	// QWebView::QWebView
    {76, 130, 684},	// QWebView::QWebView#
    {76, 218, 713},	// QWebView::back
    {76, 229, 729},	// QWebView::changeEvent#
    {76, 253, 734},	// QWebView::contextMenuEvent#
    {76, 261, 728},	// QWebView::createWindow$
    {76, 283, 738},	// QWebView::dragEnterEvent#
    {76, 285, 739},	// QWebView::dragLeaveEvent#
    {76, 287, 740},	// QWebView::dragMoveEvent#
    {76, 289, 741},	// QWebView::dropEvent#
    {76, 309, 711},	// QWebView::event#
    {76, 328, 756},	// QWebView::findText$
    {76, 329, 710},	// QWebView::findText$$
    {76, 333, 742},	// QWebView::focusInEvent#
    {76, 335, 745},	// QWebView::focusNextPrevChild$
    {76, 337, 743},	// QWebView::focusOutEvent#
    {76, 343, 714},	// QWebView::forward
    {76, 372, 691},	// QWebView::history
    {76, 378, 696},	// QWebView::icon
    {76, 379, 724},	// QWebView::iconChanged
    {76, 386, 744},	// QWebView::inputMethodEvent#
    {76, 388, 701},	// QWebView::inputMethodQuery$
    {76, 391, 700},	// QWebView::isModified
    {76, 410, 736},	// QWebView::keyPressEvent#
    {76, 412, 737},	// QWebView::keyReleaseEvent#
    {76, 419, 722},	// QWebView::linkClicked#
    {76, 429, -1},	// QWebView::load#
    {76, 430, 750},	// QWebView::load#$
    {76, 431, 688},	// QWebView::load#$#
    {76, 433, 719},	// QWebView::loadFinished$
    {76, 435, 718},	// QWebView::loadProgress$
    {76, 436, 717},	// QWebView::loadStarted
    {76, 446, 677},	// QWebView::metaObject
    {76, 452, 732},	// QWebView::mouseDoubleClickEvent#
    {76, 454, 730},	// QWebView::mouseMoveEvent#
    {76, 456, 731},	// QWebView::mousePressEvent#
    {76, 458, 733},	// QWebView::mouseReleaseEvent#
    {76, 502, 685},	// QWebView::page
    {76, 504, 698},	// QWebView::pageAction$
    {76, 507, 727},	// QWebView::paintEvent#
    {76, 527, 716},	// QWebView::print#
    {76, 532, 683},	// QWebView::qt_metacall$$?
    {76, 534, 678},	// QWebView::qt_metacast$
    {76, 536, 715},	// QWebView::reload
    {76, 555, 707},	// QWebView::renderHints
    {76, 570, 726},	// QWebView::resizeEvent#
    {76, 592, 697},	// QWebView::selectedText
    {76, 593, 723},	// QWebView::selectionChanged
    {76, 601, 752},	// QWebView::setContent#
    {76, 602, 753},	// QWebView::setContent#$
    {76, 603, 690},	// QWebView::setContent#$#
    {76, 638, 751},	// QWebView::setHtml$
    {76, 639, 689},	// QWebView::setHtml$#
    {76, 671, 686},	// QWebView::setPage#
    {76, 683, 755},	// QWebView::setRenderHint$
    {76, 684, 709},	// QWebView::setRenderHint$$
    {76, 686, 708},	// QWebView::setRenderHints$
    {76, 698, 705},	// QWebView::setTextSizeMultiplier$
    {76, 700, 694},	// QWebView::setUrl#
    {76, 713, 704},	// QWebView::setZoomFactor$
    {76, 714, 692},	// QWebView::settings
    {76, 719, 702},	// QWebView::sizeHint
    {76, 720, 757},	// QWebView::staticMetaObject
    {76, 722, 721},	// QWebView::statusBarMessage$
    {76, 725, 712},	// QWebView::stop
    {76, 739, 706},	// QWebView::textSizeMultiplier
    {76, 741, 693},	// QWebView::title
    {76, 743, 720},	// QWebView::titleChanged$
    {76, 755, 746},	// QWebView::tr$
    {76, 756, 679},	// QWebView::tr$$
    {76, 757, 681},	// QWebView::tr$$$
    {76, 759, 747},	// QWebView::trUtf8$
    {76, 760, 680},	// QWebView::trUtf8$$
    {76, 761, 682},	// QWebView::trUtf8$$$
    {76, 766, 754},	// QWebView::triggerPageAction$
    {76, 767, 699},	// QWebView::triggerPageAction$$
    {76, 773, 695},	// QWebView::url
    {76, 775, 725},	// QWebView::urlChanged#
    {76, 786, 735},	// QWebView::wheelEvent#
    {76, 790, 703},	// QWebView::zoomFactor
    {76, 809, 758},	// QWebView::~QWebView
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtwebkit_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtwebkit_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtwebkit_Smoke = new Smoke(
        "qtwebkit",
        __smokeqtwebkit::classes, 80,
        __smokeqtwebkit::methods, 799,
        __smokeqtwebkit::methodMaps, 748,
        __smokeqtwebkit::methodNames, 811,
        __smokeqtwebkit::types, 264,
        __smokeqtwebkit::inheritanceList,
        __smokeqtwebkit::argumentList,
        __smokeqtwebkit::ambiguousMethodList,
        __smokeqtwebkit::cast );
    initialized = true;
}

void delete_qtwebkit_Smoke() { delete qtwebkit_Smoke; }

}
